/*!-----------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * Version: 0.12.0(160c7612faa359c4f196a0f3292a0f2752a1daf5)
 * Released under the MIT license
 * https://github.com/Microsoft/vscode/blob/master/LICENSE.txt
 *-----------------------------------------------------------*/
(function(){
var e,t=["require","exports","vs/base/common/lifecycle","vs/editor/common/core/range","vs/base/common/event","vs/nls!vs/editor/editor.main","vs/nls","vs/css!vs/editor/editor.main","vs/base/common/winjs.base","vs/base/common/strings","vs/base/browser/dom","vs/editor/browser/editorExtensions","vs/base/common/errors","vs/editor/common/core/position","vs/platform/instantiation/common/instantiation","vs/base/common/platform","vs/platform/theme/common/themeService","vs/editor/common/modes","vs/base/common/async","vs/platform/contextkey/common/contextkey","vs/editor/common/core/selection","vs/editor/common/editorContextKeys","vs/base/common/arrays","vs/platform/theme/common/colorRegistry","vs/editor/browser/editorBrowser","vs/base/common/objects","vs/base/browser/fastDomNode","vs/base/common/color","vs/editor/common/model","vs/base/common/uri","vs/base/common/types","vs/editor/common/model/textModel","vs/base/browser/browser","vs/platform/commands/common/commands","vs/editor/browser/view/viewPart","vs/editor/common/view/editorColorRegistry","vs/base/common/paths","vs/base/common/keyCodes","vs/editor/browser/services/codeEditorService","vs/editor/common/controller/cursorCommon","vs/platform/notification/common/notification","vs/base/browser/mouseEvent","vs/base/common/scrollable","vs/editor/common/modes/languageConfigurationRegistry","vs/platform/keybinding/common/keybindingsRegistry","vs/base/browser/ui/widget","vs/platform/registry/common/platform","vs/editor/common/services/modelService","vs/platform/keybinding/common/keybinding","vs/base/browser/builder","vs/base/browser/ui/aria/aria","vs/editor/common/core/editOperation","vs/editor/common/config/editorOptions","vs/platform/editor/common/editor","vs/platform/configuration/common/configuration","vs/editor/common/editorCommon","vs/editor/common/controller/cursorEvents","vs/base/browser/ui/scrollbar/scrollableElement","vs/editor/common/services/resolverService","vs/base/browser/keyboardEvent","vs/editor/browser/view/dynamicViewOverlay","vs/editor/common/modes/languageConfiguration","vs/platform/opener/common/opener","vs/editor/common/services/modeService","vs/editor/common/modes/nullMode","vs/base/common/actions","vs/platform/storage/common/storage","vs/editor/common/services/editorWorkerService","vs/base/common/network","vs/editor/browser/config/configuration","vs/base/browser/globalMouseMoveMonitor","vs/base/browser/ui/actionbar/actionbar","vs/editor/common/view/viewEvents","vs/base/common/htmlContent","vs/base/common/map","vs/base/browser/touch","vs/platform/contextview/browser/contextView","vs/base/common/assert","vs/platform/markers/common/markers","vs/editor/common/commands/replaceCommand","vs/editor/common/core/lineTokens","vs/platform/telemetry/common/telemetry","vs/platform/workspace/common/workspace","vs/editor/common/viewModel/viewEventHandler","vs/base/parts/tree/browser/treeDefaults","vs/editor/standalone/common/standaloneThemeService","vs/editor/common/core/characterClassifier","vs/platform/configuration/common/configurationRegistry","vs/editor/common/viewModel/viewModel","vs/platform/actions/common/actions","vs/editor/common/controller/wordCharacterClassifier","vs/base/browser/event","vs/editor/common/view/renderingContext","vs/base/common/labels","vs/editor/common/core/token","vs/platform/instantiation/common/serviceCollection","vs/base/common/severity","vs/editor/common/viewLayout/viewLineRenderer","vs/platform/progress/common/progress","vs/editor/common/modes/supports/richEditBrackets","vs/editor/common/modes/supports","vs/editor/common/model/wordHelper","vs/editor/common/core/uint","vs/platform/files/common/files","vs/editor/browser/core/editorState","vs/base/browser/ui/list/listWidget","vs/base/browser/ui/sash/sash","vs/editor/contrib/suggest/suggest","vs/base/parts/quickopen/common/quickOpen","vs/platform/theme/common/styler","vs/base/common/filters","vs/base/common/iterator","vs/editor/common/viewModel/prefixSumComputer","vs/editor/browser/view/viewLayer","vs/base/common/idGenerator","vs/base/parts/quickopen/browser/quickOpenModel","vs/platform/environment/common/environment","vs/base/browser/htmlContentRenderer","vs/editor/common/viewLayout/lineDecorations","vs/editor/common/config/fontInfo","vs/platform/log/common/log","vs/editor/contrib/referenceSearch/referencesModel","vs/editor/browser/editorDom","vs/editor/common/config/editorZoom","vs/editor/contrib/markdown/markdownRenderer","vs/editor/standalone/browser/simpleServices","vs/base/common/decorators","vs/editor/common/modes/modesRegistry","vs/base/common/cancellation","vs/editor/browser/viewParts/glyphMargin/glyphMargin","vs/editor/common/model/intervalTree","vs/editor/contrib/folding/foldingRanges","vs/editor/common/model/textModelSearch","vs/editor/contrib/snippet/snippetParser","vs/editor/common/controller/cursorTypeOperations","vs/editor/browser/controller/coreCommands","vs/base/browser/ui/highlightedlabel/highlightedLabel","vs/editor/common/view/minimapCharRenderer","vs/base/common/diff/diff","vs/base/browser/ui/scrollbar/scrollbarArrow","vs/editor/common/core/stringBuilder","vs/editor/browser/codeEditor","vs/editor/browser/widget/diffEditorWidget","vs/editor/browser/widget/embeddedCodeEditorWidget","vs/editor/contrib/find/findModel","vs/editor/contrib/referenceSearch/peekViewWidget","vs/editor/standalone/browser/quickOpen/editorQuickOpen","vs/platform/list/browser/listService","vs/base/browser/ui/inputbox/inputBox","vs/editor/contrib/referenceSearch/referencesController","vs/editor/contrib/goToDeclaration/clickLinkGesture","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeBase","vs/editor/browser/widget/diffNavigator","vs/base/common/resources","vs/base/browser/ui/findinput/findInputCheckboxes","vs/base/browser/ui/contextview/contextview","vs/base/browser/ui/iconLabel/iconLabel","vs/css!vs/base/browser/ui/list/list","vs/base/common/keybindingLabels","vs/editor/common/standalone/standaloneBase","vs/editor/common/view/overviewZoneManager","vs/platform/keybinding/common/keybindingResolver","vs/base/common/glob","vs/base/parts/tree/browser/treeImpl","vs/base/browser/iframe","vs/base/browser/ui/scrollbar/scrollbarState","vs/css!vs/editor/contrib/goToDeclaration/goToDeclarationMouse","vs/platform/instantiation/common/descriptors","vs/editor/browser/services/bulkEdit","vs/base/common/mime","vs/editor/common/editorAction","vs/base/common/functional","vs/editor/common/config/commonEditorConfig","vs/base/browser/ui/scrollbar/abstractScrollbar","vs/base/common/worker/simpleWorker","vs/editor/browser/viewParts/margin/margin","vs/editor/browser/controller/textAreaState","vs/editor/contrib/comment/blockCommentCommand","vs/editor/browser/controller/textAreaInput","vs/base/common/hash","vs/editor/contrib/colorPicker/color","vs/editor/contrib/colorPicker/colorDetector","vs/editor/contrib/goToDeclaration/goToDeclaration","vs/editor/contrib/parameterHints/provideSignatureHelp","vs/editor/common/commands/shiftCommand","vs/editor/contrib/snippet/snippetController2","vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode","vs/editor/common/controller/cursorMoveOperations","vs/editor/common/controller/cursorDeleteOperations","vs/editor/contrib/hover/hoverOperation","vs/editor/browser/viewParts/lines/viewLine","vs/editor/browser/controller/mouseTarget","vs/editor/common/controller/cursorWordOperations","vs/editor/browser/viewParts/lineNumbers/lineNumbers","vs/editor/browser/widget/codeEditorWidget","vs/editor/common/controller/cursorMoveCommands","vs/editor/common/modes/textToHtmlTokenizer","vs/editor/contrib/hover/hoverWidgets","vs/editor/common/services/resourceConfiguration","vs/editor/contrib/find/findController","vs/editor/contrib/message/messageController","vs/editor/common/services/editorWorkerServiceImpl","vs/base/common/linkedList","vs/editor/common/viewModel/splitLinesCollection","vs/editor/contrib/zoneWidget/zoneWidget","vs/editor/contrib/referenceSearch/referencesWidget","vs/editor/standalone/common/monarch/monarchCommon","vs/editor/contrib/goToDeclaration/goToDeclarationCommands","vs/platform/clipboard/common/clipboardService","vs/editor/standalone/browser/standaloneServices","vs/base/browser/ui/selectBox/selectBoxNative","vs/css!vs/base/browser/ui/inputbox/inputBox","vs/editor/browser/viewParts/lines/rangeUtil","vs/editor/common/view/viewContext","vs/editor/common/view/viewEventDispatcher","vs/css!vs/base/browser/ui/keybindingLabel/keybindingLabel","vs/base/common/marshalling","vs/css!vs/base/browser/ui/menu/menu","vs/editor/common/viewLayout/viewLinesViewportData","vs/editor/common/viewLayout/whitespaceComputer","vs/editor/common/viewLayout/linesLayout","vs/css!vs/base/browser/ui/progressbar/progressbar","vs/editor/common/model/mirrorTextModel","vs/editor/common/services/editorSimpleWorker","vs/base/browser/ui/progressbar/progressbar","vs/css!vs/base/browser/ui/sash/sash","vs/base/common/collections","vs/editor/browser/viewParts/contentWidgets/contentWidgets","vs/editor/browser/viewParts/decorations/decorations","vs/css!vs/base/browser/ui/scrollbar/media/scrollbars","vs/editor/browser/viewParts/linesDecorations/linesDecorations","vs/base/browser/ui/octiconLabel/octiconLabel","vs/editor/browser/viewParts/marginDecorations/marginDecorations","vs/editor/browser/viewParts/overlayWidgets/overlayWidgets","vs/editor/browser/viewParts/overviewRuler/overviewRuler","vs/editor/browser/viewParts/viewZones/viewZones","vs/base/browser/ui/list/listView","vs/editor/common/viewLayout/viewLayout","vs/editor/common/viewModel/viewModelDecorations","vs/editor/contrib/caretOperations/moveCaretCommand","vs/editor/contrib/colorPicker/colorPickerModel","vs/base/common/numbers","vs/editor/contrib/comment/lineCommentCommand","vs/editor/contrib/dnd/dragAndDropCommand","vs/editor/contrib/find/findState","vs/editor/contrib/find/replaceAllCommand","vs/editor/contrib/find/replacePattern","vs/base/browser/ui/list/listPaging","vs/editor/contrib/folding/foldingModel","vs/editor/contrib/folding/hiddenRangeModel","vs/editor/contrib/folding/syntaxRangeProvider","vs/editor/contrib/format/formatCommand","vs/css!vs/base/browser/ui/selectBox/selectBox","vs/css!vs/base/browser/ui/selectBox/selectBoxCustom","vs/css!vs/base/parts/quickopen/browser/quickopen","vs/editor/contrib/hover/modesGlyphHover","vs/editor/contrib/inPlaceReplace/inPlaceReplaceCommand","vs/editor/contrib/indentation/indentUtils","vs/editor/contrib/linesOperations/copyLinesCommand","vs/editor/contrib/linesOperations/deleteLinesCommand","vs/editor/contrib/linesOperations/sortLinesCommand","vs/editor/contrib/quickFix/codeActionTrigger","vs/editor/contrib/quickFix/quickFixWidget","vs/editor/contrib/smartSelect/tokenTree","vs/css!vs/base/parts/tree/browser/tree","vs/editor/contrib/suggest/completionModel","vs/css!vs/editor/browser/controller/textAreaHandler","vs/editor/standalone/common/monarch/monarchCompile","vs/nls!vs/base/browser/ui/actionbar/actionbar","vs/css!vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight","vs/css!vs/editor/browser/viewParts/currentLineMarginHighlight/currentLineMarginHighlight","vs/nls!vs/base/browser/ui/aria/aria","vs/css!vs/editor/browser/viewParts/decorations/decorations","vs/nls!vs/base/browser/ui/findinput/findInput","vs/nls!vs/base/browser/ui/findinput/findInputCheckboxes","vs/css!vs/editor/browser/viewParts/glyphMargin/glyphMargin","vs/nls!vs/base/browser/ui/inputbox/inputBox","vs/nls!vs/base/browser/ui/selectBox/selectBoxCustom","vs/base/browser/ui/selectBox/selectBoxCustom","vs/base/browser/ui/selectBox/selectBox","vs/css!vs/editor/browser/viewParts/indentGuides/indentGuides","vs/css!vs/editor/browser/viewParts/lineNumbers/lineNumbers","vs/base/browser/ui/findinput/findInput","vs/css!vs/editor/browser/viewParts/lines/viewLines","vs/nls!vs/base/common/keybindingLabels","vs/css!vs/editor/browser/viewParts/linesDecorations/linesDecorations","vs/base/browser/ui/keybindingLabel/keybindingLabel","vs/nls!vs/base/common/severity","vs/css!vs/editor/browser/viewParts/marginDecorations/marginDecorations","vs/nls!vs/base/parts/quickopen/browser/quickOpenModel","vs/css!vs/editor/browser/viewParts/minimap/minimap","vs/nls!vs/base/parts/quickopen/browser/quickOpenWidget","vs/nls!vs/base/parts/tree/browser/treeDefaults","vs/css!vs/editor/browser/viewParts/overlayWidgets/overlayWidgets","vs/base/parts/tree/browser/treeView","vs/css!vs/editor/browser/viewParts/rulers/rulers","vs/base/parts/quickopen/browser/quickOpenWidget","vs/nls!vs/editor/browser/services/bulkEdit","vs/nls!vs/editor/browser/widget/diffEditorWidget","vs/nls!vs/editor/browser/widget/diffReview","vs/nls!vs/editor/common/config/commonEditorConfig","vs/nls!vs/editor/common/config/editorOptions","vs/css!vs/editor/browser/viewParts/scrollDecoration/scrollDecoration","vs/css!vs/editor/browser/viewParts/selections/selections","vs/nls!vs/editor/common/controller/cursor","vs/nls!vs/editor/common/modes/modesRegistry","vs/nls!vs/editor/common/services/modelServiceImpl","vs/nls!vs/editor/common/view/editorColorRegistry","vs/nls!vs/editor/contrib/bracketMatching/bracketMatching","vs/nls!vs/editor/contrib/caretOperations/caretOperations","vs/nls!vs/editor/contrib/caretOperations/transpose","vs/nls!vs/editor/contrib/clipboard/clipboard","vs/nls!vs/editor/contrib/comment/comment","vs/nls!vs/editor/contrib/contextmenu/contextmenu","vs/nls!vs/editor/contrib/find/findController","vs/nls!vs/editor/contrib/find/findWidget","vs/nls!vs/editor/contrib/folding/folding","vs/nls!vs/editor/contrib/format/formatActions","vs/nls!vs/editor/contrib/goToDeclaration/goToDeclarationCommands","vs/nls!vs/editor/contrib/goToDeclaration/goToDeclarationMouse","vs/nls!vs/editor/contrib/gotoError/gotoError","vs/nls!vs/editor/contrib/gotoError/gotoErrorWidget","vs/nls!vs/editor/contrib/hover/hover","vs/nls!vs/editor/contrib/hover/modesContentHover","vs/nls!vs/editor/contrib/inPlaceReplace/inPlaceReplace","vs/nls!vs/editor/contrib/linesOperations/linesOperations","vs/nls!vs/editor/contrib/links/links","vs/nls!vs/editor/contrib/multicursor/multicursor","vs/nls!vs/editor/contrib/parameterHints/parameterHints","vs/nls!vs/editor/contrib/parameterHints/parameterHintsWidget","vs/nls!vs/editor/contrib/quickFix/quickFixCommands","vs/nls!vs/editor/contrib/referenceSearch/peekViewWidget","vs/nls!vs/editor/contrib/referenceSearch/referenceSearch","vs/nls!vs/editor/contrib/referenceSearch/referencesController","vs/nls!vs/editor/contrib/referenceSearch/referencesModel","vs/css!vs/editor/browser/viewParts/viewCursors/viewCursors","vs/nls!vs/editor/contrib/referenceSearch/referencesWidget","vs/nls!vs/editor/contrib/rename/rename","vs/nls!vs/editor/contrib/rename/renameInputField","vs/nls!vs/editor/contrib/smartSelect/smartSelect","vs/nls!vs/editor/contrib/snippet/snippetVariables","vs/editor/contrib/snippet/snippetVariables","vs/nls!vs/editor/contrib/suggest/suggestController","vs/nls!vs/editor/contrib/suggest/suggestWidget","vs/nls!vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode","vs/nls!vs/editor/contrib/wordHighlighter/wordHighlighter","vs/nls!vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp","vs/nls!vs/editor/standalone/browser/inspectTokens/inspectTokens","vs/nls!vs/editor/standalone/browser/quickOpen/gotoLine","vs/nls!vs/editor/standalone/browser/quickOpen/quickCommand","vs/nls!vs/editor/standalone/browser/quickOpen/quickOutline","vs/nls!vs/editor/standalone/browser/standaloneCodeEditor","vs/nls!vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast","vs/nls!vs/platform/configuration/common/configurationRegistry","vs/nls!vs/platform/dialogs/common/dialogs","vs/nls!vs/platform/keybinding/common/abstractKeybindingService","vs/nls!vs/platform/list/browser/listService","vs/nls!vs/platform/markers/common/markers","vs/nls!vs/platform/theme/common/colorRegistry","vs/nls!vs/platform/workspaces/common/workspaces","vs/platform/contextview/browser/contextMenuHandler","vs/platform/contextview/browser/contextMenuService","vs/css!vs/editor/browser/widget/media/diffEditor","vs/css!vs/editor/browser/widget/media/diffReview","vs/css!vs/editor/browser/widget/media/editor","vs/css!vs/editor/browser/widget/media/tokens","vs/css!vs/editor/contrib/bracketMatching/bracketMatching","vs/css!vs/editor/contrib/clipboard/clipboard","vs/editor/common/modes/languageFeatureRegistry","vs/css!vs/editor/contrib/codelens/codelensWidget","vs/css!vs/editor/contrib/colorPicker/colorPicker","vs/css!vs/editor/contrib/dnd/dnd","vs/editor/common/model/textModelTokens","vs/css!vs/editor/contrib/find/findWidget","vs/css!vs/editor/contrib/folding/folding","vs/base/common/history","vs/editor/common/controller/cursorColumnSelection","vs/css!vs/editor/contrib/gotoError/gotoErrorWidget","vs/css!vs/editor/contrib/hover/hover","vs/css!vs/editor/contrib/links/links","vs/css!vs/editor/contrib/message/messageController","vs/css!vs/editor/contrib/parameterHints/parameterHints","vs/editor/common/controller/oneCursor","vs/editor/common/controller/cursorCollection","vs/editor/common/controller/cursor","vs/css!vs/editor/contrib/quickFix/lightBulbWidget","vs/css!vs/editor/contrib/referenceSearch/media/peekViewWidget","vs/css!vs/editor/contrib/referenceSearch/media/referencesWidget","vs/css!vs/editor/contrib/rename/renameInputField","vs/editor/common/services/webWorker","vs/css!vs/editor/contrib/snippet/snippetSession","vs/editor/common/view/runtimeMinimapCharRenderer","vs/css!vs/editor/contrib/suggest/media/suggest","vs/editor/common/viewModel/characterHardWrappingLineMapper","vs/editor/common/viewModel/viewModelImpl","vs/editor/contrib/folding/foldingDecorations","vs/editor/contrib/folding/indentRangeProvider","vs/editor/contrib/linesOperations/moveLinesCommand","vs/editor/contrib/quickFix/lightBulbWidget","vs/editor/contrib/smartSelect/tokenSelectionSupport","vs/css!vs/editor/contrib/zoneWidget/zoneWidget","vs/editor/standalone/browser/colorizer","vs/editor/standalone/common/monarch/monarchLexer","vs/css!vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp","vs/css!vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard","vs/editor/contrib/snippet/snippetSession","vs/css!vs/editor/standalone/browser/inspectTokens/inspectTokens","vs/editor/contrib/links/getLinks","vs/css!vs/editor/standalone/browser/quickOpen/gotoLine","vs/css!vs/editor/standalone/browser/quickOpen/quickOutline","vs/css!vs/editor/standalone/browser/standalone-tokens","vs/platform/actions/common/menu","vs/css!vs/platform/contextview/browser/contextMenuHandler","vs/platform/dialogs/common/dialogs","vs/editor/browser/config/charWidthReader","vs/editor/browser/config/elementSizeObserver","vs/editor/editor.api","vs/base/common/comparers","vs/editor/common/commonCodeEditor","vs/platform/instantiation/common/instantiationService","vs/platform/keybinding/common/abstractKeybindingService","vs/editor/browser/services/abstractCodeEditorService","vs/base/common/stopwatch","vs/platform/keybinding/common/resolvedKeybindingItem","vs/platform/keybinding/common/usLayoutResolvedKeybinding","vs/base/browser/ui/scrollbar/scrollbarVisibilityController","vs/base/common/json","vs/platform/markers/common/markerService","vs/base/browser/ui/scrollbar/horizontalScrollbar","vs/base/browser/ui/scrollbar/verticalScrollbar","vs/base/common/winjs.polyfill.promise","vs/editor/common/commands/trimTrailingWhitespaceCommand","vs/editor/common/core/rgba","vs/base/common/graph","vs/base/parts/quickopen/browser/quickOpenViewer","vs/platform/jsonschemas/common/jsonContributionRegistry","vs/editor/common/commands/surroundSelectionCommand","vs/base/browser/ui/menu/menu","vs/editor/common/services/languagesRegistry","vs/editor/common/services/modeServiceImpl","vs/base/parts/tree/browser/tree","vs/platform/configuration/common/configurationModels","vs/platform/contextkey/browser/contextKeyService","vs/base/parts/tree/browser/treeDnd","vs/base/parts/tree/browser/treeModel","vs/base/parts/tree/browser/treeViewModel","vs/editor/browser/view/viewOverlays","vs/editor/browser/viewParts/viewCursors/viewCursor","vs/editor/contrib/suggest/suggestMemory","vs/base/worker/defaultWorkerFactory","vs/editor/common/diff/diffComputer","vs/css!vs/base/browser/builder","vs/editor/browser/view/viewController","vs/editor/contrib/caretOperations/caretOperations","vs/editor/contrib/caretOperations/transpose","vs/editor/contrib/clipboard/clipboard","vs/editor/contrib/codelens/codelens","vs/base/browser/ui/list/rangeMap","vs/base/common/diff/diffChange","vs/editor/contrib/comment/comment","vs/editor/contrib/contextmenu/contextmenu","vs/editor/contrib/cursorUndo/cursorUndo","vs/editor/contrib/dnd/dnd","vs/editor/contrib/folding/folding","vs/editor/contrib/format/format","vs/editor/contrib/format/formatActions","vs/base/browser/dnd","vs/editor/contrib/hover/getHover","vs/editor/contrib/linesOperations/linesOperations","vs/css!vs/base/browser/ui/actionbar/actionbar","vs/editor/contrib/quickFix/quickFix","vs/editor/contrib/quickFix/quickFixModel","vs/editor/contrib/quickFix/quickFixCommands","vs/editor/contrib/quickOpen/quickOpen","vs/editor/contrib/smartSelect/smartSelect","vs/css!vs/base/browser/ui/aria/aria","vs/editor/common/model/editStack","vs/editor/contrib/suggest/suggestModel","vs/editor/common/model/indentationGuesser","vs/editor/contrib/wordOperations/wordOperations","vs/editor/standalone/browser/iPadShowKeyboard/iPadShowKeyboard","vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast","vs/platform/contextview/browser/contextViewService","vs/platform/telemetry/common/telemetryUtils","vs/platform/opener/browser/openerService","vs/css!vs/base/browser/ui/checkbox/checkbox","vs/editor/common/model/pieceTreeTextBuffer/rbTreeBase","vs/editor/standalone/browser/quickOpen/quickOpenEditorWidget","vs/editor/common/model/textModelEvents","vs/editor/browser/services/codeEditorServiceImpl","vs/editor/browser/viewParts/editorScrollbar/editorScrollbar","vs/base/browser/ui/checkbox/checkbox","vs/css!vs/base/browser/ui/contextview/contextview","vs/editor/browser/controller/mouseHandler","vs/editor/browser/controller/pointerHandler","vs/editor/browser/view/viewOutgoingEvents","vs/editor/browser/viewParts/lines/viewLines","vs/editor/browser/viewParts/minimap/minimap","vs/editor/browser/viewParts/scrollDecoration/scrollDecoration","vs/editor/browser/viewParts/selections/selections","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBuffer","vs/editor/browser/viewParts/currentLineHighlight/currentLineHighlight","vs/editor/browser/viewParts/currentLineMarginHighlight/currentLineMarginHighlight","vs/editor/browser/viewParts/indentGuides/indentGuides","vs/editor/common/model/pieceTreeTextBuffer/pieceTreeTextBufferBuilder","vs/editor/browser/controller/textAreaHandler","vs/editor/browser/viewParts/overviewRuler/decorationsOverviewRuler","vs/editor/browser/viewParts/rulers/rulers","vs/editor/browser/viewParts/viewCursors/viewCursors","vs/editor/browser/view/viewImpl","vs/base/browser/ui/list/rowCache","vs/editor/common/modes/abstractMode","vs/editor/browser/widget/diffReview","vs/css!vs/base/browser/ui/countBadge/countBadge","vs/editor/common/modes/languageSelector","vs/editor/common/services/modelServiceImpl","vs/editor/contrib/bracketMatching/bracketMatching","vs/editor/contrib/codelens/codelensWidget","vs/editor/contrib/codelens/codelensController","vs/editor/contrib/colorPicker/colorPickerWidget","vs/editor/contrib/find/findDecorations","vs/editor/common/modes/linkComputer","vs/editor/contrib/find/findOptionsWidget","vs/editor/contrib/find/findWidget","vs/base/browser/ui/countBadge/countBadge","vs/editor/contrib/gotoError/gotoErrorWidget","vs/editor/contrib/gotoError/gotoError","vs/editor/contrib/hover/modesContentHover","vs/editor/contrib/hover/hover","vs/editor/contrib/inPlaceReplace/inPlaceReplace","vs/editor/contrib/links/links","vs/editor/common/modes/supports/characterPair","vs/editor/contrib/multicursor/multicursor","vs/editor/contrib/parameterHints/parameterHintsWidget","vs/editor/contrib/parameterHints/parameterHints","vs/editor/common/modes/supports/indentRules","vs/editor/contrib/rename/renameInputField","vs/editor/contrib/rename/rename","vs/editor/contrib/suggest/suggestWidget","vs/editor/contrib/suggest/suggestController","vs/editor/contrib/wordHighlighter/wordHighlighter","vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp","vs/editor/standalone/browser/inspectTokens/inspectTokens","vs/editor/common/modes/supports/inplaceReplaceSupport","vs/editor/standalone/browser/quickOpen/gotoLine","vs/editor/standalone/browser/quickOpen/quickCommand","vs/editor/standalone/browser/quickOpen/quickOutline","vs/editor/standalone/common/themes","vs/editor/standalone/browser/standaloneThemeServiceImpl","vs/platform/workbench/common/contextkeys","vs/editor/common/modes/supports/onEnter","vs/platform/workspaces/common/workspaces","vs/css!vs/base/browser/ui/findinput/findInput","vs/editor/common/modes/supports/electricCharacter","vs/css!vs/base/browser/ui/findinput/findInputCheckboxes","vs/editor/common/modes/supports/tokenization","vs/editor/contrib/goToDeclaration/goToDeclarationMouse","vs/editor/contrib/referenceSearch/referenceSearch","vs/editor/editor.all","vs/editor/standalone/browser/referenceSearch/standaloneReferenceSearch","vs/editor/common/modes/tokenizationRegistry","vs/editor/standalone/browser/standaloneCodeEditor","vs/css!vs/base/browser/ui/iconLabel/iconlabel","vs/editor/standalone/browser/standaloneEditor","vs/editor/standalone/browser/standaloneLanguages","vs/base/common/marked/marked","vs/editor/edcore.main"],n=function(e){
for(var n=[],i=0,o=e.length;i<o;i++)n[i]=t[e[i]];return n};!function(e){var t=function(){function e(){this._pendingLoads=0}return e.prototype.attachListeners=function(e,t,n,i){var o=function(){t.removeEventListener("load",r),t.removeEventListener("error",s)},r=function(e){o(),n()},s=function(e){o(),i(e)};t.addEventListener("load",r),t.addEventListener("error",s)},e.prototype._onLoad=function(e,t){this._pendingLoads--,t()},e.prototype._onLoadError=function(e,t,n){this._pendingLoads--,t(n)},e.prototype._insertLinkNode=function(e){this._pendingLoads++;var t=document.head||document.getElementsByTagName("head")[0],n=t.getElementsByTagName("link")||document.head.getElementsByTagName("script");n.length>0?t.insertBefore(e,n[n.length-1]):t.appendChild(e)},e.prototype.createLinkTag=function(e,t,n,i){var o=this,r=document.createElement("link");r.setAttribute("rel","stylesheet"),r.setAttribute("type","text/css"),r.setAttribute("data-name",e);return this.attachListeners(e,r,function(){return o._onLoad(e,n)},function(t){
return o._onLoadError(e,i,t)}),r.setAttribute("href",t),r},e.prototype._linkTagExists=function(e,t){var n,i,o,r,s=document.getElementsByTagName("link");for(n=0,i=s.length;n<i;n++)if(o=s[n].getAttribute("data-name"),r=s[n].getAttribute("href"),o===e||r===t)return!0;return!1},e.prototype.load=function(e,t,n,i){if(this._linkTagExists(e,t))n();else{var o=this.createLinkTag(e,t,n,i);this._insertLinkNode(o)}},e}(),n=function(){function e(){this._cssLoader=new t}return e.prototype.load=function(e,t,n){var i=t.toUrl(e+".css");this._cssLoader.load(e,i,function(e){n({})},function(e){"function"==typeof n.error&&n.error("Could not find "+i+" or it was empty")})},e}();e.CSSPlugin=n,define("vs/css",new n)}(e||(e={}));var i;!function(e){function t(e,t,n){var i;return i=0===t.length?e:e.replace(/\{(\d+)\}/g,function(e,n){var i=n[0];return void 0!==t[i]?t[i]:e}),n.isPseudo&&(i="［"+i.replace(/[aouei]/g,"$&$&")+"］"),i}function n(e,n){return function(i,o){var r=Array.prototype.slice.call(arguments,2);return t(e[i],r,n)}}
var i=function(){function e(){this._detected=!1,this._isPseudo=!1}return Object.defineProperty(e.prototype,"isPseudo",{get:function(){return this._detect(),this._isPseudo},enumerable:!0,configurable:!0}),e.prototype._detect=function(){this._detected||(this._detected=!0,this._isPseudo="undefined"!=typeof document&&document.location&&document.location.hash.indexOf("pseudo=true")>=0)},e}(),o=function(){function e(e){var n=this;this._env=e,this.localize=function(e,i){for(var o=[],r=2;r<arguments.length;r++)o[r-2]=arguments[r];return function(e,n,i){for(var o=[],r=3;r<arguments.length;r++)o[r-3]=arguments[r];return t(i,o,e)}.apply(void 0,[n._env,e,i].concat(o))}}return e.prototype.setPseudoTranslation=function(e){this._env._isPseudo=e},e.prototype.create=function(e,t){return{localize:n(t[e],this._env)}},e.prototype.load=function(t,i,o,r){var s=this;if(r=r||{},t&&0!==t.length){var a=r["vs/nls"]||{},l=a.availableLanguages?function(e,t){var n=e[t];return n||(n=e["*"])||null}(a.availableLanguages,t):null,u=".nls"
;null!==l&&l!==e.DEFAULT_TAG&&(u=u+"."+l);var c=function(e){Array.isArray(e)?e.localize=n(e,s._env):e.localize=n(e[t],s._env),o(e)};"function"==typeof a.loadBundle?a.loadBundle(t,l,function(e,n){e?i([t+".nls"],c):c(n)}):i([t+u],c)}else o({localize:this.localize})},e.DEFAULT_TAG="i-default",e}();e.NLSPlugin=o,define("vs/nls",new o(new i))}(i||(i={})),define(t[164],n([0,1]),function(e,t){"use strict";function n(e){if(!e.parent||e.parent===e)return null;try{var t=e.location,n=e.parent.location;if(t.protocol!==n.protocol||t.hostname!==n.hostname||t.port!==n.port)return o=!0,null}catch(e){return o=!0,null}return e.parent}function i(e,t){for(var n,i=e.document.getElementsByTagName("iframe"),o=0,r=i.length;o<r;o++)if((n=i[o]).contentWindow===t)return n;return null}Object.defineProperty(t,"__esModule",{value:!0});var o=!1,r=null,s=function(){function e(){}return e.getSameOriginWindowChain=function(){if(!r){r=[];var e,t=window;do{(e=n(t))?r.push({window:t,iframeElement:i(e,t)}):r.push({window:t,iframeElement:null}),
t=e}while(t)}return r.slice(0)},e.hasDifferentOriginAncestor=function(){return r||this.getSameOriginWindowChain(),o},e.getPositionOfChildWindowRelativeToAncestorWindow=function(e,t){if(!t||e===t)return{top:0,left:0};for(var n=0,i=0,o=this.getSameOriginWindowChain(),r=0;r<o.length;r++){var s=o[r];if(s.window===t)break;if(!s.iframeElement)break;var a=s.iframeElement.getBoundingClientRect();n+=a.top,i+=a.left}return{top:n,left:i}},e}();t.IframeUtils=s}),define(t[457],n([0,1]),function(e,t){"use strict";function n(e,t){if(e.start>=t.end||t.start>=e.end)return{start:0,end:0};var n=Math.max(e.start,t.start),i=Math.min(e.end,t.end);return i-n<=0?{start:0,end:0}:{start:n,end:i}}function i(e){return e.end-e.start<=0}function o(e,t){for(var o=[],r=0,s=t;r<s.length;r++){var a=s[r];if(!(e.start>=a.range.end)){if(e.end<a.range.start)break;var l=n(e,a.range);i(l)||o.push({range:l,size:a.size})}}return o}function r(e,t){return{start:e.start+t,end:e.end+t}}function s(e){for(var t=[],n=null,i=0,o=e;i<o.length;i++){
var r=o[i],s=r.range.start,a=r.range.end,l=r.size;n&&l===n.size?n.range.end=a:(n={range:{start:s,end:a},size:l},t.push(n))}return t}Object.defineProperty(t,"__esModule",{value:!0}),t.intersect=n,t.isEmpty=i,t.relativeComplement=function(e,t){var n=[],o={start:e.start,end:Math.min(t.start,e.end)},r={start:Math.max(t.end,e.start),end:e.end};return i(o)||n.push(o),i(r)||n.push(r),n},t.groupIntersect=o,t.shift=r,t.consolidate=s;var a=function(){function e(){this.groups=[],this._size=0}return e.prototype.splice=function(e,t){for(var n=[],i=2;i<arguments.length;i++)n[i-2]=arguments[i];var a=n.length-t,l=o({start:0,end:e},this.groups),u=o({start:e+t,end:Number.POSITIVE_INFINITY},this.groups).map(function(e){return{range:r(e.range,a),size:e.size}}),c=n.map(function(t,n){return{range:{start:e+n,end:e+n+1},size:t.size}});this.groups=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return s(e.reduce(function(e,t){return e.concat(t)},[]))}(l,c,u),this._size=this.groups.reduce(function(e,t){
return e+t.size*(t.range.end-t.range.start)},0)},Object.defineProperty(e.prototype,"count",{get:function(){var e=this.groups.length;return e?this.groups[e-1].range.end:0},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.indexAt=function(e){if(e<0)return-1;for(var t=0,n=0,i=0,o=this.groups;i<o.length;i++){var r=o[i],s=r.range.end-r.range.start,a=n+s*r.size;if(e<a)return t+Math.floor((e-n)/r.size);t+=s,n=a}return t},e.prototype.indexAfter=function(e){return Math.min(this.indexAt(e)+1,this.count)},e.prototype.positionAt=function(e){if(e<0)return-1;for(var t=0,n=0,i=0,o=this.groups;i<o.length;i++){var r=o[i],s=r.range.end-r.range.start,a=n+s;if(e<a)return t+(e-n)*r.size;t+=s*r.size,n=a}return-1},e.prototype.dispose=function(){this.groups=null},e}();t.RangeMap=a}),define(t[165],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){
this._scrollbarSize=Math.round(t),this._oppositeScrollbarSize=Math.round(n),this._arrowSize=Math.round(e),this._visibleSize=0,this._scrollSize=0,this._scrollPosition=0,this._computedAvailableSize=0,this._computedIsNeeded=!1,this._computedSliderSize=0,this._computedSliderRatio=0,this._computedSliderPosition=0,this._refreshComputedValues()}return e.prototype.clone=function(){var t=new e(this._arrowSize,this._scrollbarSize,this._oppositeScrollbarSize);return t.setVisibleSize(this._visibleSize),t.setScrollSize(this._scrollSize),t.setScrollPosition(this._scrollPosition),t},e.prototype.setVisibleSize=function(e){var t=Math.round(e);return this._visibleSize!==t&&(this._visibleSize=t,this._refreshComputedValues(),!0)},e.prototype.setScrollSize=function(e){var t=Math.round(e);return this._scrollSize!==t&&(this._scrollSize=t,this._refreshComputedValues(),!0)},e.prototype.setScrollPosition=function(e){var t=Math.round(e);return this._scrollPosition!==t&&(this._scrollPosition=t,this._refreshComputedValues(),!0)},
e._computeValues=function(e,t,n,i,o){var r=Math.max(0,n-e),s=Math.max(0,r-2*t),a=i>0&&i>n;if(!a)return{computedAvailableSize:Math.round(r),computedIsNeeded:a,computedSliderSize:Math.round(s),computedSliderRatio:0,computedSliderPosition:0};var l=Math.round(Math.max(20,Math.floor(n*s/i))),u=(s-l)/(i-n),c=o*u;return{computedAvailableSize:Math.round(r),computedIsNeeded:a,computedSliderSize:Math.round(l),computedSliderRatio:u,computedSliderPosition:Math.round(c)}},e.prototype._refreshComputedValues=function(){var t=e._computeValues(this._oppositeScrollbarSize,this._arrowSize,this._visibleSize,this._scrollSize,this._scrollPosition);this._computedAvailableSize=t.computedAvailableSize,this._computedIsNeeded=t.computedIsNeeded,this._computedSliderSize=t.computedSliderSize,this._computedSliderRatio=t.computedSliderRatio,this._computedSliderPosition=t.computedSliderPosition},e.prototype.getArrowSize=function(){return this._arrowSize},e.prototype.getScrollPosition=function(){return this._scrollPosition},
e.prototype.getRectangleLargeSize=function(){return this._computedAvailableSize},e.prototype.getRectangleSmallSize=function(){return this._scrollbarSize},e.prototype.isNeeded=function(){return this._computedIsNeeded},e.prototype.getSliderSize=function(){return this._computedSliderSize},e.prototype.getSliderPosition=function(){return this._computedSliderPosition},e.prototype.getDesiredScrollPositionFromOffset=function(e){if(!this._computedIsNeeded)return 0;var t=e-this._arrowSize-this._computedSliderSize/2;return Math.round(t/this._computedSliderRatio)},e.prototype.getDesiredScrollPositionFromDelta=function(e){if(!this._computedIsNeeded)return 0;var t=this._computedSliderPosition+e;return Math.round(t/this._computedSliderRatio)},e}();t.ScrollbarState=n}),define(t[77],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ok=function(e,t){if(!e||null===e)throw new Error(t?"Assertion failed ("+t+")":"Assertion Failed")}}),define(t[226],n([0,1]),function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var n=Object.prototype.hasOwnProperty;t.values=function(e){var t=[];for(var i in e)n.call(e,i)&&t.push(e[i]);return t},t.size=function(e){var t=0;for(var i in e)n.call(e,i)&&(t+=1);return t},t.forEach=function(e,t){var i=function(i){if(n.call(e,i)&&!1===t({key:i,value:e[i]},function(){delete e[i]}))return{value:void 0}};for(var o in e){var r=i(o);if("object"==typeof r)return r.value}},t.remove=function(e,t){return!!n.call(e,t)&&(delete e[t],!0)},t.groupBy=function(e,t){for(var n=Object.create(null),i=0,o=e;i<o.length;i++){var r=o[i],s=t(r),a=n[s];a||(a=n[s]=[]),a.push(r)}return n}}),define(t[27],n([0,1]),function(e,t){"use strict";function n(e,t){var n=Math.pow(10,t);return Math.round(e*n)/n}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,i,o){void 0===o&&(o=1),this.r=0|Math.min(255,Math.max(0,e)),this.g=0|Math.min(255,Math.max(0,t)),this.b=0|Math.min(255,Math.max(0,i)),this.a=n(Math.max(Math.min(1,o),0),3)}
return e.equals=function(e,t){return e.r===t.r&&e.g===t.g&&e.b===t.b&&e.a===t.a},e}();t.RGBA=i;var o=function(){function e(e,t,i,o){this.h=0|Math.max(Math.min(360,e),0),this.s=n(Math.max(Math.min(1,t),0),3),this.l=n(Math.max(Math.min(1,i),0),3),this.a=n(Math.max(Math.min(1,o),0),3)}return e.equals=function(e,t){return e.h===t.h&&e.s===t.s&&e.l===t.l&&e.a===t.a},e.fromRGBA=function(t){var n=t.r/255,i=t.g/255,o=t.b/255,r=t.a,s=Math.max(n,i,o),a=Math.min(n,i,o),l=0,u=0,c=(a+s)/2,d=s-a;if(d>0){switch(u=Math.min(c<=.5?d/(2*c):d/(2-2*c),1),s){case n:l=(i-o)/d+(i<o?6:0);break;case i:l=(o-n)/d+2;break;case o:l=(n-i)/d+4}l*=60,l=Math.round(l)}return new e(l,u,c,r)},e._hue2rgb=function(e,t,n){return n<0&&(n+=1),n>1&&(n-=1),n<1/6?e+6*(t-e)*n:n<.5?t:n<2/3?e+(t-e)*(2/3-n)*6:e},e.toRGBA=function(t){var n,o,r,s=t.h/360,a=t.s,l=t.l,u=t.a;if(0===a)n=o=r=l;else{var c=l<.5?l*(1+a):l+a-l*a,d=2*l-c;n=e._hue2rgb(d,c,s+1/3),o=e._hue2rgb(d,c,s),r=e._hue2rgb(d,c,s-1/3)}
return new i(Math.round(255*n),Math.round(255*o),Math.round(255*r),u)},e}();t.HSLA=o;var r=function(){function e(e,t,i,o){this.h=0|Math.max(Math.min(360,e),0),this.s=n(Math.max(Math.min(1,t),0),3),this.v=n(Math.max(Math.min(1,i),0),3),this.a=n(Math.max(Math.min(1,o),0),3)}return e.equals=function(e,t){return e.h===t.h&&e.s===t.s&&e.v===t.v&&e.a===t.a},e.fromRGBA=function(t){var n,i=t.r/255,o=t.g/255,r=t.b/255,s=Math.max(i,o,r),a=s-Math.min(i,o,r),l=0===s?0:a/s;return n=0===a?0:s===i?((o-r)/a%6+6)%6:s===o?(r-i)/a+2:(i-o)/a+4,new e(Math.round(60*n),l,s,t.a)},e.toRGBA=function(e){var t=e.h,n=e.s,o=e.v,r=e.a,s=o*n,a=s*(1-Math.abs(t/60%2-1)),l=o-s,u=[0,0,0],c=u[0],d=u[1],h=u[2];return t<60?(c=s,d=a):t<120?(c=a,d=s):t<180?(d=s,h=a):t<240?(d=a,h=s):t<300?(c=a,h=s):t<360&&(c=s,h=a),c=Math.round(255*(c+l)),d=Math.round(255*(d+l)),h=Math.round(255*(h+l)),new i(c,d,h,r)},e}();t.HSVA=r;var s=function(){function e(e){if(!e)throw new Error("Color needs a value")
;if(e instanceof i)this.rgba=e;else if(e instanceof o)this._hsla=e,this.rgba=o.toRGBA(e);else{if(!(e instanceof r))throw new Error("Invalid color ctor argument");this._hsva=e,this.rgba=r.toRGBA(e)}}return e.fromHex=function(t){return e.Format.CSS.parseHex(t)||e.red},Object.defineProperty(e.prototype,"hsla",{get:function(){return this._hsla?this._hsla:o.fromRGBA(this.rgba)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hsva",{get:function(){return this._hsva?this._hsva:r.fromRGBA(this.rgba)},enumerable:!0,configurable:!0}),e.prototype.equals=function(e){return!!e&&i.equals(this.rgba,e.rgba)&&o.equals(this.hsla,e.hsla)&&r.equals(this.hsva,e.hsva)},e.prototype.getRelativeLuminance=function(){return n(.2126*e._relativeLuminanceForComponent(this.rgba.r)+.7152*e._relativeLuminanceForComponent(this.rgba.g)+.0722*e._relativeLuminanceForComponent(this.rgba.b),4)},e._relativeLuminanceForComponent=function(e){var t=e/255;return t<=.03928?t/12.92:Math.pow((t+.055)/1.055,2.4)},
e.prototype.getContrastRatio=function(e){var t=this.getRelativeLuminance(),n=e.getRelativeLuminance();return t>n?(t+.05)/(n+.05):(n+.05)/(t+.05)},e.prototype.isDarker=function(){return(299*this.rgba.r+587*this.rgba.g+114*this.rgba.b)/1e3<128},e.prototype.isLighter=function(){return(299*this.rgba.r+587*this.rgba.g+114*this.rgba.b)/1e3>=128},e.prototype.isLighterThan=function(e){return this.getRelativeLuminance()>e.getRelativeLuminance()},e.prototype.isDarkerThan=function(e){return this.getRelativeLuminance()<e.getRelativeLuminance()},e.prototype.lighten=function(t){return new e(new o(this.hsla.h,this.hsla.s,this.hsla.l+this.hsla.l*t,this.hsla.a))},e.prototype.darken=function(t){return new e(new o(this.hsla.h,this.hsla.s,this.hsla.l-this.hsla.l*t,this.hsla.a))},e.prototype.transparent=function(t){var n=this.rgba,o=n.r,r=n.g,s=n.b,a=n.a;return new e(new i(o,r,s,a*t))},e.prototype.isTransparent=function(){return 0===this.rgba.a},e.prototype.isOpaque=function(){return 1===this.rgba.a},
e.prototype.opposite=function(){return new e(new i(255-this.rgba.r,255-this.rgba.g,255-this.rgba.b,this.rgba.a))},e.prototype.blend=function(t){var n=t.rgba,o=this.rgba.a,r=n.a,s=o+r*(1-o);if(s<1e-6)return e.transparent;var a=this.rgba.r*o/s+n.r*r*(1-o)/s,l=this.rgba.g*o/s+n.g*r*(1-o)/s,u=this.rgba.b*o/s+n.b*r*(1-o)/s;return new e(new i(a,l,u,s))},e.prototype.flatten=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var i=t.reduceRight(function(t,n){return e._flatten(n,t)});return e._flatten(this,i)},e._flatten=function(t,n){var o=1-t.rgba.a;return new e(new i(o*n.rgba.r+t.rgba.a*t.rgba.r,o*n.rgba.g+t.rgba.a*t.rgba.g,o*n.rgba.b+t.rgba.a*t.rgba.b))},e.prototype.toString=function(){return e.Format.CSS.format(this)},e.getLighterColor=function(e,t,n){if(e.isLighterThan(t))return e;n=n||.5;var i=e.getRelativeLuminance(),o=t.getRelativeLuminance();return n=n*(o-i)/o,e.lighten(n)},e.getDarkerColor=function(e,t,n){if(e.isDarkerThan(t))return e;n=n||.5;var i=e.getRelativeLuminance()
;return n=n*(i-t.getRelativeLuminance())/i,e.darken(n)},e.white=new e(new i(255,255,255,1)),e.black=new e(new i(0,0,0,1)),e.red=new e(new i(255,0,0,1)),e.blue=new e(new i(0,0,255,1)),e.green=new e(new i(0,255,0,1)),e.cyan=new e(new i(0,255,255,1)),e.lightgrey=new e(new i(211,211,211,1)),e.transparent=new e(new i(0,0,0,0)),e}();t.Color=s,function(e){!function(t){!function(t){function n(e){var t=e.toString(16);return 2!==t.length?"0"+t:t}function o(e){switch(e){case 48:return 0;case 49:return 1;case 50:return 2;case 51:return 3;case 52:return 4;case 53:return 5;case 54:return 6;case 55:return 7;case 56:return 8;case 57:return 9;case 97:case 65:return 10;case 98:case 66:return 11;case 99:case 67:return 12;case 100:case 68:return 13;case 101:case 69:return 14;case 102:case 70:return 15}return 0}t.formatRGB=function(t){return 1===t.rgba.a?"rgb("+t.rgba.r+", "+t.rgba.g+", "+t.rgba.b+")":e.Format.CSS.formatRGBA(t)},t.formatRGBA=function(e){
return"rgba("+e.rgba.r+", "+e.rgba.g+", "+e.rgba.b+", "+ +e.rgba.a.toFixed(2)+")"},t.formatHSL=function(t){return 1===t.hsla.a?"hsl("+t.hsla.h+", "+(100*t.hsla.s).toFixed(2)+"%, "+(100*t.hsla.l).toFixed(2)+"%)":e.Format.CSS.formatHSLA(t)},t.formatHSLA=function(e){return"hsla("+e.hsla.h+", "+(100*e.hsla.s).toFixed(2)+"%, "+(100*e.hsla.l).toFixed(2)+"%, "+e.hsla.a.toFixed(2)+")"},t.formatHex=function(e){return"#"+n(e.rgba.r)+n(e.rgba.g)+n(e.rgba.b)},t.formatHexA=function(t,i){return void 0===i&&(i=!1),i&&1===t.rgba.a?e.Format.CSS.formatHex(t):"#"+n(t.rgba.r)+n(t.rgba.g)+n(t.rgba.b)+n(Math.round(255*t.rgba.a))},t.format=function(t){return t?t.isOpaque()?e.Format.CSS.formatHex(t):e.Format.CSS.formatRGBA(t):null},t.parseHex=function(t){if(!t)return null;var n=t.length;if(0===n)return null;if(35!==t.charCodeAt(0))return null;if(7===n){var r=16*o(t.charCodeAt(1))+o(t.charCodeAt(2)),s=16*o(t.charCodeAt(3))+o(t.charCodeAt(4)),a=16*o(t.charCodeAt(5))+o(t.charCodeAt(6));return new e(new i(r,s,a,1))}if(9===n){
var r=16*o(t.charCodeAt(1))+o(t.charCodeAt(2)),s=16*o(t.charCodeAt(3))+o(t.charCodeAt(4)),a=16*o(t.charCodeAt(5))+o(t.charCodeAt(6)),l=16*o(t.charCodeAt(7))+o(t.charCodeAt(8));return new e(new i(r,s,a,l/255))}if(4===n){var r=o(t.charCodeAt(1)),s=o(t.charCodeAt(2)),a=o(t.charCodeAt(3));return new e(new i(16*r+r,16*s+s,16*a+a))}if(5===n){var r=o(t.charCodeAt(1)),s=o(t.charCodeAt(2)),a=o(t.charCodeAt(3)),l=o(t.charCodeAt(4));return new e(new i(16*r+r,16*s+s,16*a+a,(16*l+l)/255))}return null}}(t.CSS||(t.CSS={}))}(e.Format||(e.Format={}))}(s=t.Color||(t.Color={})),t.Color=s}),define(t[126],n([0,1]),function(e,t){"use strict";function n(e){return function(t,n,i){var o=null,r=null;if("function"==typeof i.value?(o="value",r=i.value):"function"==typeof i.get&&(o="get",r=i.get),!r)throw new Error("not supported");i[o]=e(r,n)}}Object.defineProperty(t,"__esModule",{value:!0}),t.createDecorator=n,t.memoize=function(e,t,n){var i=null,o=null;if("function"==typeof n.value?(i="value",
0!==(o=n.value).length&&console.warn("Memoize should only be used in functions with zero parameters")):"function"==typeof n.get&&(i="get",o=n.get),!o)throw new Error("not supported");var r="$memoize$"+t;n[i]=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return this.hasOwnProperty(r)||Object.defineProperty(this,r,{configurable:!1,enumerable:!1,writable:!1,value:o.apply(this,e)}),this[r]}},t.debounce=function(e,t,i){return n(function(n,o){var r="$debounce$"+o,s=i?i():void 0;return function(){for(var o=this,a=[],l=0;l<arguments.length;l++)a[l]=arguments[l];clearTimeout(this[r]),t&&(s=t.apply(void 0,[s].concat(a)),a=[s]),this[r]=setTimeout(function(){n.apply(o,a),s=i?i():void 0},e)}})}}),define(t[458],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n,i){this.originalStart=e,this.originalLength=t,this.modifiedStart=n,this.modifiedLength=i}return e.prototype.getOriginalEnd=function(){
return this.originalStart+this.originalLength},e.prototype.getModifiedEnd=function(){return this.modifiedStart+this.modifiedLength},e}();t.DiffChange=n}),define(t[138],n([0,1,458]),function(e,t,n){"use strict";function i(e){return{getLength:function(){return e.length},getElementHash:function(t){return e[t]}}}Object.defineProperty(t,"__esModule",{value:!0}),t.stringDiff=function(e,t,n){return new l(i(e),i(t)).ComputeDiff(n)};var o=function(){function e(){}return e.Assert=function(e,t){if(!e)throw new Error(t)},e}();t.Debug=o;var r=function(){function e(){}return e.Copy=function(e,t,n,i,o){for(var r=0;r<o;r++)n[i+r]=e[t+r]},e}();t.MyArray=r;var s=function(){function e(){this.m_changes=[],this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE,this.m_originalCount=0,this.m_modifiedCount=0}return e.prototype.MarkNextChange=function(){
(this.m_originalCount>0||this.m_modifiedCount>0)&&this.m_changes.push(new n.DiffChange(this.m_originalStart,this.m_originalCount,this.m_modifiedStart,this.m_modifiedCount)),this.m_originalCount=0,this.m_modifiedCount=0,this.m_originalStart=Number.MAX_VALUE,this.m_modifiedStart=Number.MAX_VALUE},e.prototype.AddOriginalElement=function(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_originalCount++},e.prototype.AddModifiedElement=function(e,t){this.m_originalStart=Math.min(this.m_originalStart,e),this.m_modifiedStart=Math.min(this.m_modifiedStart,t),this.m_modifiedCount++},e.prototype.getChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes},e.prototype.getReverseChanges=function(){return(this.m_originalCount>0||this.m_modifiedCount>0)&&this.MarkNextChange(),this.m_changes.reverse(),this.m_changes},e}(),a=Object.prototype.hasOwnProperty,l=function(){function e(e,t,n){
void 0===n&&(n=null),this.OriginalSequence=e,this.ModifiedSequence=t,this.ContinueProcessingPredicate=n,this.m_originalIds=[],this.m_modifiedIds=[],this.m_forwardHistory=[],this.m_reverseHistory=[],this.ComputeUniqueIdentifiers()}return e.prototype.ComputeUniqueIdentifiers=function(){var e=this.OriginalSequence.getLength(),t=this.ModifiedSequence.getLength();this.m_originalIds=new Array(e),this.m_modifiedIds=new Array(t);var n,i={},o=1;for(n=0;n<e;n++){var r=this.OriginalSequence.getElementHash(n);a.call(i,r)?this.m_originalIds[n]=i[r]:(this.m_originalIds[n]=o++,i[r]=this.m_originalIds[n])}for(n=0;n<t;n++){var s=this.ModifiedSequence.getElementHash(n);a.call(i,s)?this.m_modifiedIds[n]=i[s]:(this.m_modifiedIds[n]=o++,i[s]=this.m_modifiedIds[n])}},e.prototype.ElementsAreEqual=function(e,t){return this.m_originalIds[e]===this.m_modifiedIds[t]},e.prototype.OriginalElementsAreEqual=function(e,t){return this.m_originalIds[e]===this.m_originalIds[t]},e.prototype.ModifiedElementsAreEqual=function(e,t){
return this.m_modifiedIds[e]===this.m_modifiedIds[t]},e.prototype.ComputeDiff=function(e){return this._ComputeDiff(0,this.OriginalSequence.getLength()-1,0,this.ModifiedSequence.getLength()-1,e)},e.prototype._ComputeDiff=function(e,t,n,i,o){var r=this.ComputeDiffRecursive(e,t,n,i,[!1]);return o?this.ShiftChanges(r):r},e.prototype.ComputeDiffRecursive=function(e,t,i,r,s){for(s[0]=!1;e<=t&&i<=r&&this.ElementsAreEqual(e,i);)e++,i++;for(;t>=e&&r>=i&&this.ElementsAreEqual(t,r);)t--,r--;if(e>t||i>r){var a=void 0;return i<=r?(o.Assert(e===t+1,"originalStart should only be one more than originalEnd"),a=[new n.DiffChange(e,0,i,r-i+1)]):e<=t?(o.Assert(i===r+1,"modifiedStart should only be one more than modifiedEnd"),a=[new n.DiffChange(e,t-e+1,i,0)]):(o.Assert(e===t+1,"originalStart should only be one more than originalEnd"),o.Assert(i===r+1,"modifiedStart should only be one more than modifiedEnd"),a=[]),a}var l=[0],u=[0],c=this.ComputeRecursionPoint(e,t,i,r,l,u,s),d=l[0],h=u[0];if(null!==c)return c;if(!s[0]){
var p=this.ComputeDiffRecursive(e,d,i,h,s),f=[];return f=s[0]?[new n.DiffChange(d+1,t-(d+1)+1,h+1,r-(h+1)+1)]:this.ComputeDiffRecursive(d+1,t,h+1,r,s),this.ConcatenateChanges(p,f)}return[new n.DiffChange(e,t-e+1,i,r-i+1)]},e.prototype.WALKTRACE=function(e,t,i,o,r,a,l,u,c,d,h,p,f,g,m,v,_,y){var C,b=null,S=null,w=new s,E=t,L=i,x=f[0]-v[0]-o,N=Number.MIN_VALUE,I=this.m_forwardHistory.length-1;do{(C=x+e)===E||C<L&&c[C-1]<c[C+1]?(g=(h=c[C+1])-x-o,h<N&&w.MarkNextChange(),N=h,w.AddModifiedElement(h+1,g),x=C+1-e):(g=(h=c[C-1]+1)-x-o,h<N&&w.MarkNextChange(),N=h-1,w.AddOriginalElement(h,g+1),x=C-1-e),I>=0&&(e=(c=this.m_forwardHistory[I])[0],E=1,L=c.length-1)}while(--I>=-1);if(b=w.getReverseChanges(),y[0]){var T=f[0]+1,D=v[0]+1;if(null!==b&&b.length>0){var M=b[b.length-1];T=Math.max(T,M.getOriginalEnd()),D=Math.max(D,M.getModifiedEnd())}S=[new n.DiffChange(T,p-T+1,D,m-D+1)]}else{w=new s,E=a,L=l,x=f[0]-v[0]-u,N=Number.MAX_VALUE,I=_?this.m_reverseHistory.length-1:this.m_reverseHistory.length-2;do{
(C=x+r)===E||C<L&&d[C-1]>=d[C+1]?(g=(h=d[C+1]-1)-x-u,h>N&&w.MarkNextChange(),N=h+1,w.AddOriginalElement(h+1,g+1),x=C+1-r):(g=(h=d[C-1])-x-u,h>N&&w.MarkNextChange(),N=h,w.AddModifiedElement(h+1,g+1),x=C-1-r),I>=0&&(r=(d=this.m_reverseHistory[I])[0],E=1,L=d.length-1)}while(--I>=-1);S=w.getChanges()}return this.ConcatenateChanges(b,S)},e.prototype.ComputeRecursionPoint=function(e,t,i,o,s,a,l){var u,c,d,h=0,p=0,f=0,g=0;e--,i--,s[0]=0,a[0]=0,this.m_forwardHistory=[],this.m_reverseHistory=[];var m=t-e+(o-i),v=m+1,_=new Array(v),y=new Array(v),C=o-i,b=t-e,S=e-i,w=t-o,E=(b-C)%2==0;_[C]=e,y[b]=t,l[0]=!1;var L,x;for(d=1;d<=m/2+1;d++){var N=0,I=0;for(h=this.ClipDiagonalBound(C-d,d,C,v),p=this.ClipDiagonalBound(C+d,d,C,v),L=h;L<=p;L+=2){for(c=(u=L===h||L<p&&_[L-1]<_[L+1]?_[L+1]:_[L-1]+1)-(L-C)-S,x=u;u<t&&c<o&&this.ElementsAreEqual(u+1,c+1);)u++,c++;if(_[L]=u,u+c>N+I&&(N=u,I=c),!E&&Math.abs(L-b)<=d-1&&u>=y[L])return s[0]=u,a[0]=c,x<=y[L]&&d<=1448?this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,u,t,s,c,o,a,E,l):null}
var T=(N-e+(I-i)-d)/2;if(null!==this.ContinueProcessingPredicate&&!this.ContinueProcessingPredicate(N,this.OriginalSequence,T))return l[0]=!0,s[0]=N,a[0]=I,T>0&&d<=1448?this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,u,t,s,c,o,a,E,l):(e++,i++,[new n.DiffChange(e,t-e+1,i,o-i+1)]);for(f=this.ClipDiagonalBound(b-d,d,b,v),g=this.ClipDiagonalBound(b+d,d,b,v),L=f;L<=g;L+=2){for(c=(u=L===f||L<g&&y[L-1]>=y[L+1]?y[L+1]-1:y[L-1])-(L-b)-w,x=u;u>e&&c>i&&this.ElementsAreEqual(u,c);)u--,c--;if(y[L]=u,E&&Math.abs(L-C)<=d&&u<=_[L])return s[0]=u,a[0]=c,x>=_[L]&&d<=1448?this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,u,t,s,c,o,a,E,l):null}if(d<=1447){var D=new Array(p-h+2);D[0]=C-h+1,r.Copy(_,h,D,1,p-h+1),this.m_forwardHistory.push(D),(D=new Array(g-f+2))[0]=b-f+1,r.Copy(y,f,D,1,g-f+1),this.m_reverseHistory.push(D)}}return this.WALKTRACE(C,h,p,S,b,f,g,w,_,y,u,t,s,c,o,a,E,l)},e.prototype.ShiftChanges=function(e){var t;do{t=!1
;for(u=0;u<e.length;u++)for(var n=e[u],i=u<e.length-1?e[u+1].originalStart:this.OriginalSequence.getLength(),o=u<e.length-1?e[u+1].modifiedStart:this.ModifiedSequence.getLength(),r=n.originalLength>0,s=n.modifiedLength>0;n.originalStart+n.originalLength<i&&n.modifiedStart+n.modifiedLength<o&&(!r||this.OriginalElementsAreEqual(n.originalStart,n.originalStart+n.originalLength))&&(!s||this.ModifiedElementsAreEqual(n.modifiedStart,n.modifiedStart+n.modifiedLength));)n.originalStart++,n.modifiedStart++;for(var a=new Array,l=[null],u=0;u<e.length;u++)u<e.length-1&&this.ChangesOverlap(e[u],e[u+1],l)?(t=!0,a.push(l[0]),u++):a.push(e[u]);e=a}while(t);for(u=e.length-1;u>=0;u--){var n=e[u],i=0,o=0;if(u>0){var c=e[u-1];c.originalLength>0&&(i=c.originalStart+c.originalLength),c.modifiedLength>0&&(o=c.modifiedStart+c.modifiedLength)}for(var r=n.originalLength>0,s=n.modifiedLength>0,d=0,h=this._boundaryScore(n.originalStart,n.originalLength,n.modifiedStart,n.modifiedLength),p=1;;p++){
var f=n.originalStart-p,g=n.modifiedStart-p;if(f<i||g<o)break;if(r&&!this.OriginalElementsAreEqual(f,f+n.originalLength))break;if(s&&!this.ModifiedElementsAreEqual(g,g+n.modifiedLength))break;var m=this._boundaryScore(f,n.originalLength,g,n.modifiedLength);m>h&&(h=m,d=p)}n.originalStart-=d,n.modifiedStart-=d}return e},e.prototype._OriginalIsBoundary=function(e){return e<=0||e>=this.OriginalSequence.getLength()-1||/^\s*$/.test(this.OriginalSequence.getElementHash(e))},e.prototype._OriginalRegionIsBoundary=function(e,t){if(this._OriginalIsBoundary(e)||this._OriginalIsBoundary(e-1))return!0;if(t>0){var n=e+t;if(this._OriginalIsBoundary(n-1)||this._OriginalIsBoundary(n))return!0}return!1},e.prototype._ModifiedIsBoundary=function(e){return e<=0||e>=this.ModifiedSequence.getLength()-1||/^\s*$/.test(this.ModifiedSequence.getElementHash(e))},e.prototype._ModifiedRegionIsBoundary=function(e,t){if(this._ModifiedIsBoundary(e)||this._ModifiedIsBoundary(e-1))return!0;if(t>0){var n=e+t
;if(this._ModifiedIsBoundary(n-1)||this._ModifiedIsBoundary(n))return!0}return!1},e.prototype._boundaryScore=function(e,t,n,i){return(this._OriginalRegionIsBoundary(e,t)?1:0)+(this._ModifiedRegionIsBoundary(n,i)?1:0)},e.prototype.ConcatenateChanges=function(e,t){var n=[],i=null;return 0===e.length||0===t.length?t.length>0?t:e:this.ChangesOverlap(e[e.length-1],t[0],n)?(i=new Array(e.length+t.length-1),r.Copy(e,0,i,0,e.length-1),i[e.length-1]=n[0],r.Copy(t,1,i,e.length,t.length-1),i):(i=new Array(e.length+t.length),r.Copy(e,0,i,0,e.length),r.Copy(t,0,i,e.length,t.length),i)},e.prototype.ChangesOverlap=function(e,t,i){if(o.Assert(e.originalStart<=t.originalStart,"Left change is not less than or equal to right change"),o.Assert(e.modifiedStart<=t.modifiedStart,"Left change is not less than or equal to right change"),e.originalStart+e.originalLength>=t.originalStart||e.modifiedStart+e.modifiedLength>=t.modifiedStart){var r=e.originalStart,s=e.originalLength,a=e.modifiedStart,l=e.modifiedLength
;return e.originalStart+e.originalLength>=t.originalStart&&(s=t.originalStart+t.originalLength-e.originalStart),e.modifiedStart+e.modifiedLength>=t.modifiedStart&&(l=t.modifiedStart+t.modifiedLength-e.modifiedStart),i[0]=new n.DiffChange(r,s,a,l),!0}return i[0]=null,!1},e.prototype.ClipDiagonalBound=function(e,t,n,i){if(e>=0&&e<i)return e;var o=i-n-1,r=t%2==0;if(e<0){return r===(n%2==0)?0:1}return r===(o%2==0)?i-1:i-2},e}();t.LcsDiff=l}),define(t[171],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.once=function(e){var t,n=this,i=!1;return function(){return i?t:(i=!0,t=e.apply(n,arguments))}}}),define(t[179],n([0,1]),function(e,t){"use strict";function n(e,t){switch(void 0===t&&(t=0),typeof e){case"object":return null===e?i(349,t):Array.isArray(e)?function(e,t){return t=i(104579,t),e.reduce(function(e,t){return n(t,e)},t)}(e,t):function(e,t){return t=i(181387,t),Object.keys(e).sort().reduce(function(t,i){return t=o(i,t),n(e[i],t)},t)}(e,t);case"string":return o(e,t)
;case"boolean":return function(e,t){return i(e?433:863,t)}(e,t);case"number":return i(e,t);case"undefined":return i(e,937);default:return i(e,617)}}function i(e,t){return(t<<5)-t+e|0}function o(e,t){t=i(149417,t);for(var n=0,o=e.length;n<o;n++)t=i(e.charCodeAt(n),t);return t}Object.defineProperty(t,"__esModule",{value:!0}),t.hash=n}),define(t[114],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._prefix=e,this._lastId=0}return e.prototype.nextId=function(){return this._prefix+ ++this._lastId},e}();t.IdGenerator=n,t.defaultGenerator=new n("id#")});var o=this&&this.__extends||function(){var e=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(e,t){e.__proto__=t}||function(e,t){for(var n in t)t.hasOwnProperty(n)&&(e[n]=t[n])};return function(t,n){function i(){this.constructor=t}e(t,n),t.prototype=null===n?Object.create(n):(i.prototype=n.prototype,new i)}}();define(t[111],n([0,1]),function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){void 0===t&&(t=0),void 0===n&&(n=e.length),this.items=e,this.start=t,this.end=n,this.index=t-1}return e.prototype.first=function(){return this.index=this.start,this.current()},e.prototype.next=function(){return this.index=Math.min(this.index+1,this.end),this.current()},e.prototype.current=function(){return this.index===this.start-1||this.index===this.end?null:this.items[this.index]},e}();t.ArrayIterator=n;var i=function(e){function t(t,n,i){return void 0===n&&(n=0),void 0===i&&(i=t.length),e.call(this,t,n,i)||this}return o(t,e),t.prototype.current=function(){return e.prototype.current.call(this)},t.prototype.previous=function(){return this.index=Math.max(this.index-1,this.start-1),this.current()},t.prototype.first=function(){return this.index=this.start,this.current()},t.prototype.last=function(){return this.index=this.end-1,this.current()},t.prototype.parent=function(){return null},t}(n);t.ArrayNavigator=i;var r=function(){
function e(e,t){this.iterator=e,this.fn=t}return e.prototype.next=function(){return this.fn(this.iterator.next())},e}();t.MappedIterator=r;var s=function(e){function t(t,n){var i=e.call(this,t,n)||this;return i.navigator=t,i}return o(t,e),t.prototype.current=function(){return this.fn(this.navigator.current())},t.prototype.previous=function(){return this.fn(this.navigator.previous())},t.prototype.parent=function(){return this.fn(this.navigator.parent())},t.prototype.first=function(){return this.fn(this.navigator.first())},t.prototype.last=function(){return this.fn(this.navigator.last())},t.prototype.next=function(){return this.fn(this.navigator.next())},t}(r);t.MappedNavigator=s}),define(t[375],n([0,1,111]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){void 0===e&&(e=[]),void 0===t&&(t=10),this._initialize(e),this._limit=t,this._onChange()}return e.prototype.getHistory=function(){return this._elements},e.prototype.add=function(e){
this._history.delete(e),this._history.add(e),this._onChange()},e.prototype.addIfNotPresent=function(e){this._history.has(e)||this.add(e)},e.prototype.next=function(){return this._navigator.next()?this._navigator.current():(this.last(),null)},e.prototype.previous=function(){return this._navigator.previous()?this._navigator.current():(this.first(),null)},e.prototype.current=function(){return this._navigator.current()},e.prototype.parent=function(){return null},e.prototype.first=function(){return this._navigator.first()},e.prototype.last=function(){return this._navigator.last()},e.prototype._onChange=function(){this._reduceToLimit(),this._navigator=new n.ArrayNavigator(this._elements),this._navigator.last()},e.prototype._reduceToLimit=function(){var e=this._elements;e.length>this._limit&&this._initialize(e.slice(e.length-this._limit))},e.prototype._initialize=function(e){this._history=new Set;for(var t=0,n=e;t<n.length;t++){var i=n[t];this._history.add(i)}},Object.defineProperty(e.prototype,"_elements",{
get:function(){var e=[];return this._history.forEach(function(t){return e.push(t)}),e},enumerable:!0,configurable:!0}),e}();t.HistoryNavigator=i}),define(t[426],n([0,1]),function(e,t){"use strict";function n(e,t){function n(t,n){for(var i=0,o=0;i<t||!n;){var r=e.charCodeAt(a);if(r>=48&&r<=57)o=16*o+r-48;else if(r>=65&&r<=70)o=16*o+r-65+10;else{if(!(r>=97&&r<=102))break;o=16*o+r-97+10}a++,i++}return i<t&&(o=-1),o}function s(){if(d="",f=l.None,h=a,a>=c)return h=c,p=u.EOF;var t=e.charCodeAt(a);if(i(t)){do{a++,d+=String.fromCharCode(t),t=e.charCodeAt(a)}while(i(t));return p=u.Trivia}if(o(t))return a++,d+=String.fromCharCode(t),13===t&&10===e.charCodeAt(a)&&(a++,d+="\n"),p=u.LineBreakTrivia;switch(t){case 123:return a++,p=u.OpenBraceToken;case 125:return a++,p=u.CloseBraceToken;case 91:return a++,p=u.OpenBracketToken;case 93:return a++,p=u.CloseBracketToken;case 58:return a++,p=u.ColonToken;case 44:return a++,p=u.CommaToken;case 34:return a++,d=function(){for(var t="",i=a;;){if(a>=c){t+=e.substring(i,a),
f=l.UnexpectedEndOfString;break}var r=e.charCodeAt(a);if(34===r){t+=e.substring(i,a),a++;break}if(92!==r){if(r>=0&&r<=31){if(o(r)){t+=e.substring(i,a),f=l.UnexpectedEndOfString;break}f=l.InvalidCharacter}a++}else{if(t+=e.substring(i,a),++a>=c){f=l.UnexpectedEndOfString;break}switch(r=e.charCodeAt(a++)){case 34:t+='"';break;case 92:t+="\\";break;case 47:t+="/";break;case 98:t+="\b";break;case 102:t+="\f";break;case 110:t+="\n";break;case 114:t+="\r";break;case 116:t+="\t";break;case 117:var s=n(4,!0);s>=0?t+=String.fromCharCode(s):f=l.InvalidUnicode;break;default:f=l.InvalidEscapeCharacter}i=a}}return t}(),p=u.StringLiteral;case 47:var s=a-1;if(47===e.charCodeAt(a+1)){for(a+=2;a<c&&!o(e.charCodeAt(a));)a++;return d=e.substring(s,a),p=u.LineCommentTrivia}if(42===e.charCodeAt(a+1)){a+=2;for(var g=c-1,m=!1;a<g;){if(42===e.charCodeAt(a)&&47===e.charCodeAt(a+1)){a+=2,m=!0;break}a++}return m||(a++,f=l.UnexpectedEndOfComment),d=e.substring(s,a),p=u.BlockCommentTrivia}return d+=String.fromCharCode(t),a++,p=u.Unknown
;case 45:if(d+=String.fromCharCode(t),++a===c||!r(e.charCodeAt(a)))return p=u.Unknown;case 48:case 49:case 50:case 51:case 52:case 53:case 54:case 55:case 56:case 57:return d+=function(){var t=a;if(48===e.charCodeAt(a))a++;else for(a++;a<e.length&&r(e.charCodeAt(a));)a++;if(a<e.length&&46===e.charCodeAt(a)){if(!(++a<e.length&&r(e.charCodeAt(a))))return f=l.UnexpectedEndOfNumber,e.substring(t,a);for(a++;a<e.length&&r(e.charCodeAt(a));)a++}var n=a;if(a<e.length&&(69===e.charCodeAt(a)||101===e.charCodeAt(a)))if((++a<e.length&&43===e.charCodeAt(a)||45===e.charCodeAt(a))&&a++,a<e.length&&r(e.charCodeAt(a))){for(a++;a<e.length&&r(e.charCodeAt(a));)a++;n=a}else f=l.UnexpectedEndOfNumber;return e.substring(t,n)}(),p=u.NumericLiteral;default:for(;a<c&&function(e){if(i(e)||o(e))return!1;switch(e){case 125:case 93:case 123:case 91:case 34:case 58:case 44:return!1}return!0}(t);)a++,t=e.charCodeAt(a);if(h!==a){switch(d=e.substring(h,a)){case"true":return p=u.TrueKeyword;case"false":return p=u.FalseKeyword;case"null":
return p=u.NullKeyword}return p=u.Unknown}return d+=String.fromCharCode(t),a++,p=u.Unknown}}void 0===t&&(t=!1);var a=0,c=e.length,d="",h=0,p=u.Unknown,f=l.None;return{setPosition:function(e){a=e,d="",h=0,p=u.Unknown,f=l.None},getPosition:function(){return a},scan:t?function(){var e;do{e=s()}while(e>=u.LineCommentTrivia&&e<=u.Trivia);return e}:s,getToken:function(){return p},getTokenValue:function(){return d},getTokenOffset:function(){return h},getTokenLength:function(){return a-h},getTokenError:function(){return f}}}function i(e){return 32===e||9===e||11===e||12===e||160===e||5760===e||e>=8192&&e<=8203||8239===e||8287===e||12288===e||65279===e}function o(e){return 10===e||13===e||8232===e||8233===e}function r(e){return e>=48&&e<=57}function s(e){if("array"===e.type)return e.children.map(s);if("object"===e.type){for(var t={},n=0,i=e.children;n<i.length;n++){var o=i[n];t[o.children[0].value]=s(o.children[1])}return t}return e.value}function a(e,t,i){function o(e){return e?function(){
return e(p.getTokenOffset(),p.getTokenLength())}:function(){return!0}}function r(e){return e?function(t){return e(t,p.getTokenOffset(),p.getTokenLength())}:function(){return!0}}function s(){for(;;){var e=p.scan();switch(e){case u.LineCommentTrivia:case u.BlockCommentTrivia:S&&a(d.InvalidSymbol);break;case u.Unknown:a(d.InvalidSymbol);break;case u.Trivia:case u.LineBreakTrivia:break;default:return e}}}function a(e,t,n){if(void 0===t&&(t=[]),void 0===n&&(n=[]),b(e),t.length+n.length>0)for(var i=p.getToken();i!==u.EOF;){if(-1!==t.indexOf(i)){s();break}if(-1!==n.indexOf(i))break;i=s()}}function l(e){var t=p.getTokenValue();return e?y(t):g(t),s(),!0}function c(){return p.getToken()!==u.StringLiteral?(a(d.PropertyNameExpected,[],[u.CloseBraceToken,u.CommaToken]),!1):(l(!1),p.getToken()===u.ColonToken?(C(":"),s(),h()||a(d.ValueExpected,[],[u.CloseBraceToken,u.CommaToken])):a(d.ColonExpected,[],[u.CloseBraceToken,u.CommaToken]),!0)}function h(){switch(p.getToken()){case u.OpenBracketToken:return function(){v(),s()
;for(var e=!1;p.getToken()!==u.CloseBracketToken&&p.getToken()!==u.EOF;){if(p.getToken()===u.CommaToken){if(e||a(d.ValueExpected,[],[]),C(","),s(),p.getToken()===u.CloseBracketToken&&w)break}else e&&a(d.CommaExpected,[],[]);h()||a(d.ValueExpected,[],[u.CloseBracketToken,u.CommaToken]),e=!0}return _(),p.getToken()!==u.CloseBracketToken?a(d.CloseBracketExpected,[u.CloseBracketToken],[]):s(),!0}();case u.OpenBraceToken:return function(){f(),s();for(var e=!1;p.getToken()!==u.CloseBraceToken&&p.getToken()!==u.EOF;){if(p.getToken()===u.CommaToken){if(e||a(d.ValueExpected,[],[]),C(","),s(),p.getToken()===u.CloseBraceToken&&w)break}else e&&a(d.CommaExpected,[],[]);c()||a(d.ValueExpected,[],[u.CloseBraceToken,u.CommaToken]),e=!0}return m(),p.getToken()!==u.CloseBraceToken?a(d.CloseBraceExpected,[u.CloseBraceToken],[]):s(),!0}();case u.StringLiteral:return l(!0);default:return function(){switch(p.getToken()){case u.NumericLiteral:var e=0;try{"number"!=typeof(e=JSON.parse(p.getTokenValue()))&&(a(d.InvalidNumberFormat),
e=0)}catch(e){a(d.InvalidNumberFormat)}y(e);break;case u.NullKeyword:y(null);break;case u.TrueKeyword:y(!0);break;case u.FalseKeyword:y(!1);break;default:return!1}return s(),!0}()}}var p=n(e,!1),f=o(t.onObjectBegin),g=r(t.onObjectProperty),m=o(t.onObjectEnd),v=o(t.onArrayBegin),_=o(t.onArrayEnd),y=r(t.onLiteralValue),C=r(t.onSeparator),b=r(t.onError),S=i&&i.disallowComments,w=i&&i.allowTrailingComma;return s(),p.getToken()===u.EOF||(h()?(p.getToken()!==u.EOF&&a(d.EndOfFileExpected,[],[]),!0):(a(d.ValueExpected,[],[]),!1))}Object.defineProperty(t,"__esModule",{value:!0});var l;!function(e){e[e.None=0]="None",e[e.UnexpectedEndOfComment=1]="UnexpectedEndOfComment",e[e.UnexpectedEndOfString=2]="UnexpectedEndOfString",e[e.UnexpectedEndOfNumber=3]="UnexpectedEndOfNumber",e[e.InvalidUnicode=4]="InvalidUnicode",e[e.InvalidEscapeCharacter=5]="InvalidEscapeCharacter",e[e.InvalidCharacter=6]="InvalidCharacter"}(l=t.ScanError||(t.ScanError={}));var u;!function(e){e[e.Unknown=0]="Unknown",
e[e.OpenBraceToken=1]="OpenBraceToken",e[e.CloseBraceToken=2]="CloseBraceToken",e[e.OpenBracketToken=3]="OpenBracketToken",e[e.CloseBracketToken=4]="CloseBracketToken",e[e.CommaToken=5]="CommaToken",e[e.ColonToken=6]="ColonToken",e[e.NullKeyword=7]="NullKeyword",e[e.TrueKeyword=8]="TrueKeyword",e[e.FalseKeyword=9]="FalseKeyword",e[e.StringLiteral=10]="StringLiteral",e[e.NumericLiteral=11]="NumericLiteral",e[e.LineCommentTrivia=12]="LineCommentTrivia",e[e.BlockCommentTrivia=13]="BlockCommentTrivia",e[e.LineBreakTrivia=14]="LineBreakTrivia",e[e.Trivia=15]="Trivia",e[e.EOF=16]="EOF"}(u=t.SyntaxKind||(t.SyntaxKind={})),t.createScanner=n;var c;!function(e){e[e.nullCharacter=0]="nullCharacter",e[e.maxAsciiCharacter=127]="maxAsciiCharacter",e[e.lineFeed=10]="lineFeed",e[e.carriageReturn=13]="carriageReturn",e[e.lineSeparator=8232]="lineSeparator",e[e.paragraphSeparator=8233]="paragraphSeparator",e[e.nextLine=133]="nextLine",e[e.space=32]="space",e[e.nonBreakingSpace=160]="nonBreakingSpace",e[e.enQuad=8192]="enQuad",
e[e.emQuad=8193]="emQuad",e[e.enSpace=8194]="enSpace",e[e.emSpace=8195]="emSpace",e[e.threePerEmSpace=8196]="threePerEmSpace",e[e.fourPerEmSpace=8197]="fourPerEmSpace",e[e.sixPerEmSpace=8198]="sixPerEmSpace",e[e.figureSpace=8199]="figureSpace",e[e.punctuationSpace=8200]="punctuationSpace",e[e.thinSpace=8201]="thinSpace",e[e.hairSpace=8202]="hairSpace",e[e.zeroWidthSpace=8203]="zeroWidthSpace",e[e.narrowNoBreakSpace=8239]="narrowNoBreakSpace",e[e.ideographicSpace=12288]="ideographicSpace",e[e.mathematicalSpace=8287]="mathematicalSpace",e[e.ogham=5760]="ogham",e[e._=95]="_",e[e.$=36]="$",e[e._0=48]="_0",e[e._1=49]="_1",e[e._2=50]="_2",e[e._3=51]="_3",e[e._4=52]="_4",e[e._5=53]="_5",e[e._6=54]="_6",e[e._7=55]="_7",e[e._8=56]="_8",e[e._9=57]="_9",e[e.a=97]="a",e[e.b=98]="b",e[e.c=99]="c",e[e.d=100]="d",e[e.e=101]="e",e[e.f=102]="f",e[e.g=103]="g",e[e.h=104]="h",e[e.i=105]="i",e[e.j=106]="j",e[e.k=107]="k",e[e.l=108]="l",e[e.m=109]="m",e[e.n=110]="n",e[e.o=111]="o",e[e.p=112]="p",e[e.q=113]="q",e[e.r=114]="r",
e[e.s=115]="s",e[e.t=116]="t",e[e.u=117]="u",e[e.v=118]="v",e[e.w=119]="w",e[e.x=120]="x",e[e.y=121]="y",e[e.z=122]="z",e[e.A=65]="A",e[e.B=66]="B",e[e.C=67]="C",e[e.D=68]="D",e[e.E=69]="E",e[e.F=70]="F",e[e.G=71]="G",e[e.H=72]="H",e[e.I=73]="I",e[e.J=74]="J",e[e.K=75]="K",e[e.L=76]="L",e[e.M=77]="M",e[e.N=78]="N",e[e.O=79]="O",e[e.P=80]="P",e[e.Q=81]="Q",e[e.R=82]="R",e[e.S=83]="S",e[e.T=84]="T",e[e.U=85]="U",e[e.V=86]="V",e[e.W=87]="W",e[e.X=88]="X",e[e.Y=89]="Y",e[e.Z=90]="Z",e[e.ampersand=38]="ampersand",e[e.asterisk=42]="asterisk",e[e.at=64]="at",e[e.backslash=92]="backslash",e[e.bar=124]="bar",e[e.caret=94]="caret",e[e.closeBrace=125]="closeBrace",e[e.closeBracket=93]="closeBracket",e[e.closeParen=41]="closeParen",e[e.colon=58]="colon",e[e.comma=44]="comma",e[e.dot=46]="dot",e[e.doubleQuote=34]="doubleQuote",e[e.equals=61]="equals",e[e.exclamation=33]="exclamation",e[e.greaterThan=62]="greaterThan",e[e.lessThan=60]="lessThan",e[e.minus=45]="minus",e[e.openBrace=123]="openBrace",
e[e.openBracket=91]="openBracket",e[e.openParen=40]="openParen",e[e.percent=37]="percent",e[e.plus=43]="plus",e[e.question=63]="question",e[e.semicolon=59]="semicolon",e[e.singleQuote=39]="singleQuote",e[e.slash=47]="slash",e[e.tilde=126]="tilde",e[e.backspace=8]="backspace",e[e.formFeed=12]="formFeed",e[e.byteOrderMark=65279]="byteOrderMark",e[e.tab=9]="tab",e[e.verticalTab=11]="verticalTab"}(c||(c={}));var d;!function(e){e[e.InvalidSymbol=0]="InvalidSymbol",e[e.InvalidNumberFormat=1]="InvalidNumberFormat",e[e.PropertyNameExpected=2]="PropertyNameExpected",e[e.ValueExpected=3]="ValueExpected",e[e.ColonExpected=4]="ColonExpected",e[e.CommaExpected=5]="CommaExpected",e[e.CloseBraceExpected=6]="CloseBraceExpected",e[e.CloseBracketExpected=7]="CloseBracketExpected",e[e.EndOfFileExpected=8]="EndOfFileExpected"}(d=t.ParseErrorCode||(t.ParseErrorCode={})),t.parse=function(e,t,n){function i(e){Array.isArray(r)?r.push(e):o&&(r[o]=e)}void 0===t&&(t=[]);var o=null,r=[],s=[];return a(e,{onObjectBegin:function(){var e={}
;i(e),s.push(r),r=e,o=null},onObjectProperty:function(e){o=e},onObjectEnd:function(){r=s.pop()},onArrayBegin:function(){var e=[];i(e),s.push(r),r=e,o=null},onArrayEnd:function(){r=s.pop()},onLiteralValue:i,onError:function(e){t.push({error:e})}},n),r[0]},t.parseTree=function(e,t,n){function i(e){"property"===r.type&&(r.length=e-r.offset,r=r.parent)}function o(e){return r.children.push(e),e}void 0===t&&(t=[]);var r={type:"array",offset:-1,length:-1,children:[]};a(e,{onObjectBegin:function(e){r=o({type:"object",offset:e,length:-1,parent:r,children:[]})},onObjectProperty:function(e,t,n){(r=o({type:"property",offset:t,length:-1,parent:r,children:[]})).children.push({type:"string",value:e,offset:t,length:n,parent:r})},onObjectEnd:function(e,t){r.length=e+t-r.offset,r=r.parent,i(e+t)},onArrayBegin:function(e,t){r=o({type:"array",offset:e,length:-1,parent:r,children:[]})},onArrayEnd:function(e,t){r.length=e+t-r.offset,r=r.parent,i(e+t)},onLiteralValue:function(e,t,n){o({type:function(e){switch(typeof e){
case"boolean":return"boolean";case"number":return"number";case"string":return"string";default:return"null"}}(e),offset:t,length:n,parent:r,value:e}),i(t+n)},onSeparator:function(e,t,n){"property"===r.type&&(":"===e?r.columnOffset=t:","===e&&i(t))},onError:function(e){t.push({error:e})}},n);var s=r.children[0];return s&&delete s.parent,s},t.findNodeAtLocation=function(e,t){if(e){for(var n=e,i=0,o=t;i<o.length;i++){var r=o[i];if("string"==typeof r){if("object"!==n.type)return;for(var s=!1,a=0,l=n.children;a<l.length;a++){var u=l[a];if(u.children[0].value===r){n=u.children[1],s=!0;break}}if(!s)return}else{var c=r;if("array"!==n.type||c<0||c>=n.children.length)return;n=n.children[c]}}return n}},t.getNodeValue=s,t.visit=a}),define(t[37],n([0,1]),function(e,t){"use strict";function n(e,t){var n=!!(2048&e),i=!!(256&e);return new l(2===t?i:n,!!(1024&e),!!(512&e),2===t?n:i,255&e)}Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",
e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",
e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",
e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",e[e.MAX_VALUE=112]="MAX_VALUE"}(t.KeyCode||(t.KeyCode={}));var i=function(){function e(){this._keyCodeToStr=[],this._strToKeyCode=Object.create(null)}return e.prototype.define=function(e,t){this._keyCodeToStr[e]=t,this._strToKeyCode[t.toLowerCase()]=e},e.prototype.keyCodeToStr=function(e){return this._keyCodeToStr[e]
},e.prototype.strToKeyCode=function(e){return this._strToKeyCode[e.toLowerCase()]||0},e}(),o=new i,r=new i,s=new i;!function(){function e(e,t,n,i){void 0===n&&(n=t),void 0===i&&(i=n),o.define(e,t),r.define(e,n),s.define(e,i)}e(0,"unknown"),e(1,"Backspace"),e(2,"Tab"),e(3,"Enter"),e(4,"Shift"),e(5,"Ctrl"),e(6,"Alt"),e(7,"PauseBreak"),e(8,"CapsLock"),e(9,"Escape"),e(10,"Space"),e(11,"PageUp"),e(12,"PageDown"),e(13,"End"),e(14,"Home"),e(15,"LeftArrow","Left"),e(16,"UpArrow","Up"),e(17,"RightArrow","Right"),e(18,"DownArrow","Down"),e(19,"Insert"),e(20,"Delete"),e(21,"0"),e(22,"1"),e(23,"2"),e(24,"3"),e(25,"4"),e(26,"5"),e(27,"6"),e(28,"7"),e(29,"8"),e(30,"9"),e(31,"A"),e(32,"B"),e(33,"C"),e(34,"D"),e(35,"E"),e(36,"F"),e(37,"G"),e(38,"H"),e(39,"I"),e(40,"J"),e(41,"K"),e(42,"L"),e(43,"M"),e(44,"N"),e(45,"O"),e(46,"P"),e(47,"Q"),e(48,"R"),e(49,"S"),e(50,"T"),e(51,"U"),e(52,"V"),e(53,"W"),e(54,"X"),e(55,"Y"),e(56,"Z"),e(57,"Meta"),e(58,"ContextMenu"),e(59,"F1"),e(60,"F2"),e(61,"F3"),e(62,"F4"),e(63,"F5"),e(64,"F6"),
e(65,"F7"),e(66,"F8"),e(67,"F9"),e(68,"F10"),e(69,"F11"),e(70,"F12"),e(71,"F13"),e(72,"F14"),e(73,"F15"),e(74,"F16"),e(75,"F17"),e(76,"F18"),e(77,"F19"),e(78,"NumLock"),e(79,"ScrollLock"),e(80,";",";","OEM_1"),e(81,"=","=","OEM_PLUS"),e(82,",",",","OEM_COMMA"),e(83,"-","-","OEM_MINUS"),e(84,".",".","OEM_PERIOD"),e(85,"/","/","OEM_2"),e(86,"`","`","OEM_3"),e(110,"ABNT_C1"),e(111,"ABNT_C2"),e(87,"[","[","OEM_4"),e(88,"\\","\\","OEM_5"),e(89,"]","]","OEM_6"),e(90,"'","'","OEM_7"),e(91,"OEM_8"),e(92,"OEM_102"),e(93,"NumPad0"),e(94,"NumPad1"),e(95,"NumPad2"),e(96,"NumPad3"),e(97,"NumPad4"),e(98,"NumPad5"),e(99,"NumPad6"),e(100,"NumPad7"),e(101,"NumPad8"),e(102,"NumPad9"),e(103,"NumPad_Multiply"),e(104,"NumPad_Add"),e(105,"NumPad_Separator"),e(106,"NumPad_Subtract"),e(107,"NumPad_Decimal"),e(108,"NumPad_Divide")}();!function(e){e.toString=function(e){return o.keyCodeToStr(e)},e.fromString=function(e){return o.strToKeyCode(e)},e.toUserSettingsUS=function(e){return r.keyCodeToStr(e)},
e.toUserSettingsGeneral=function(e){return s.keyCodeToStr(e)},e.fromUserSettings=function(e){return r.strToKeyCode(e)||s.strToKeyCode(e)}}(t.KeyCodeUtils||(t.KeyCodeUtils={}));var a;!function(e){e[e.CtrlCmd=2048]="CtrlCmd",e[e.Shift=1024]="Shift",e[e.Alt=512]="Alt",e[e.WinCtrl=256]="WinCtrl",e[e.KeyCode=255]="KeyCode"}(a||(a={}));!function(e){e[e.CtrlCmd=2048]="CtrlCmd",e[e.Shift=1024]="Shift",e[e.Alt=512]="Alt",e[e.WinCtrl=256]="WinCtrl"}(t.KeyMod||(t.KeyMod={})),t.KeyChord=function(e,t){return(e|(65535&t)<<16>>>0)>>>0},t.createKeybinding=function(e,t){if(0===e)return null;var i=(65535&e)>>>0,o=(4294901760&e)>>>16;return 0!==o?new u(n(i,t),n(o,t)):n(i,t)},t.createSimpleKeybinding=n;!function(e){e[e.Simple=1]="Simple",e[e.Chord=2]="Chord"}(t.KeybindingType||(t.KeybindingType={}));var l=function(){function e(e,t,n,i,o){this.type=1,this.ctrlKey=e,this.shiftKey=t,this.altKey=n,this.metaKey=i,this.keyCode=o}return e.prototype.equals=function(e){
return 1===e.type&&(this.ctrlKey===e.ctrlKey&&this.shiftKey===e.shiftKey&&this.altKey===e.altKey&&this.metaKey===e.metaKey&&this.keyCode===e.keyCode)},e.prototype.getHashCode=function(){return""+(this.ctrlKey?"1":"0")+(this.shiftKey?"1":"0")+(this.altKey?"1":"0")+(this.metaKey?"1":"0")+this.keyCode},e.prototype.isModifierKey=function(){return 0===this.keyCode||5===this.keyCode||57===this.keyCode||6===this.keyCode||4===this.keyCode},e.prototype.isDuplicateModifierCase=function(){return this.ctrlKey&&5===this.keyCode||this.shiftKey&&4===this.keyCode||this.altKey&&6===this.keyCode||this.metaKey&&57===this.keyCode},e}();t.SimpleKeybinding=l;var u=function(){function e(e,t){this.type=2,this.firstPart=e,this.chordPart=t}return e.prototype.getHashCode=function(){return this.firstPart.getHashCode()+";"+this.chordPart.getHashCode()},e}();t.ChordKeybinding=u;var c=function(){return function(e,t,n,i,o,r){this.ctrlKey=e,this.shiftKey=t,this.altKey=n,this.metaKey=i,this.keyLabel=o,this.keyAriaLabel=r}}()
;t.ResolvedKeybindingPart=c;var d=function(){return function(){}}();t.ResolvedKeybinding=d}),define(t[2],n([0,1,171]),function(e,t,n){"use strict";function i(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return Array.isArray(e)?(e.forEach(function(e){return e&&e.dispose()}),[]):0!==t.length?(i(e),i(t),[]):e?(e.dispose(),e):void 0}Object.defineProperty(t,"__esModule",{value:!0}),t.empty=Object.freeze({dispose:function(){}}),t.isDisposable=function(e){return"function"==typeof e.dispose&&0===e.dispose.length},t.dispose=i,t.combinedDisposable=function(e){return{dispose:function(){return i(e)}}},t.toDisposable=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return{dispose:function(){for(var t=0,n=e;t<n.length;t++)(0,n[t])()}}};var o=function(){function e(){this._toDispose=[]}return e.prototype.dispose=function(){this._toDispose=i(this._toDispose)},e.prototype._register=function(e){return this._toDispose.push(e),e},e}();t.Disposable=o;var r=function(){function e(){
this.references=Object.create(null)}return e.prototype.acquire=function(e){var t=this,i=this.references[e];i||(i=this.references[e]={counter:0,object:this.createReferencedObject(e)});var o=i.object,r=n.once(function(){0==--i.counter&&(t.destroyReferencedObject(i.object),delete t.references[e])});return i.counter++,{object:o,dispose:r}},e}();t.ReferenceCollection=r;var s=function(){function e(e){this.object=e}return e.prototype.dispose=function(){},e}();t.ImmortalReference=s}),define(t[202],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e){this.element=e}}(),i=function(){function e(){}return e.prototype.isEmpty=function(){return!this._first},e.prototype.clear=function(){this._first=void 0,this._last=void 0},e.prototype.unshift=function(e){return this.insert(e,!1)},e.prototype.push=function(e){return this.insert(e,!0)},e.prototype.insert=function(e,t){var i=this,o=new n(e);if(this._first)if(t){var r=this._last;this._last=o,o.prev=r,r.next=o
}else{var s=this._first;this._first=o,o.next=s,s.prev=o}else this._first=o,this._last=o;return function(){for(var e=i._first;e instanceof n;e=e.next)if(e===o){if(e.prev&&e.next){var t=e.prev;t.next=e.next,e.next.prev=t}else e.prev||e.next?e.next?e.prev||(i._first=i._first.next,i._first.prev=void 0):(i._last=i._last.prev,i._last.next=void 0):(i._first=void 0,i._last=void 0);break}}},e.prototype.iterator=function(){var e={done:void 0,value:void 0},t=this._first;return{next:function(){return t?(e.done=!1,e.value=t.element,t=t.next):(e.done=!0,e.value=void 0),e}}},e.prototype.toArray=function(){for(var e=[],t=this._first;t instanceof n;t=t.next)e.push(t.element);return e},e}();t.LinkedList=i});/**
 * marked - a markdown parser
 * Copyright (c) 2011-2014, Christopher Jeffrey. (MIT Licensed)
 * https://github.com/markedjs/marked
 */
var r;(function(e){"use strict";function t(e){this.tokens=[],this.tokens.links={},this.options=e||p.defaults,this.rules=f.normal,this.options.gfm&&(this.options.tables?this.rules=f.tables:this.rules=f.gfm)}function n(e,t){if(this.options=t||p.defaults,this.links=e,this.rules=g.normal,this.renderer=this.options.renderer||new i,this.renderer.options=this.options,!this.links)throw new Error("Tokens array requires a `links` property.");this.options.gfm?this.options.breaks?this.rules=g.breaks:this.rules=g.gfm:this.options.pedantic&&(this.rules=g.pedantic)}function i(e){this.options=e||{}}function o(){}function s(e){this.tokens=[],this.token=null,this.options=e||p.defaults,this.options.renderer=this.options.renderer||new i,this.renderer=this.options.renderer,this.renderer.options=this.options}function a(e,t){return e.replace(t?/&/g:/&(?!#?\w+;)/g,"&amp;").replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&#39;")}function l(e){
return e.replace(/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/gi,function(e,t){return"colon"===(t=t.toLowerCase())?":":"#"===t.charAt(0)?"x"===t.charAt(1)?String.fromCharCode(parseInt(t.substring(2),16)):String.fromCharCode(+t.substring(1)):""})}function u(e,t){return e=e.source,t=t||"",{replace:function(t,n){return n=n.source||n,n=n.replace(/(^|[^\[])\^/g,"$1"),e=e.replace(t,n),this},getRegex:function(){return new RegExp(e,t)}}}function c(e,t){return m[" "+e]||(/^[^:]+:\/*[^/]*$/.test(e)?m[" "+e]=e+"/":m[" "+e]=e.replace(/[^/]*$/,"")),e=m[" "+e],"//"===t.slice(0,2)?e.replace(/:[\s\S]*/,":")+t:"/"===t.charAt(0)?e.replace(/(:\/*[^/]*)[\s\S]*/,"$1")+t:e+t}function d(){}function h(e){for(var t,n,i=1;i<arguments.length;i++){t=arguments[i];for(n in t)Object.prototype.hasOwnProperty.call(t,n)&&(e[n]=t[n])}return e}function p(e,n,i){if(void 0===e||null===e)throw new Error("marked(): input parameter is undefined or null")
;if("string"!=typeof e)throw new Error("marked(): input parameter is of type "+Object.prototype.toString.call(e)+", string expected");if(i||"function"==typeof n){i||(i=n,n=null);var o,r,l=(n=h({},p.defaults,n||{})).highlight,u=0;try{o=t.lex(e,n)}catch(e){return i(e)}r=o.length;var c=function(e){if(e)return n.highlight=l,i(e);var t;try{t=s.parse(o,n)}catch(t){e=t}return n.highlight=l,e?i(e):i(null,t)};if(!l||l.length<3)return c();if(delete n.highlight,!r)return c();for(;u<o.length;u++)!function(e){"code"!==e.type?--r||c():l(e.text,e.lang,function(t,n){return t?c(t):null==n||n===e.text?--r||c():(e.text=n,e.escaped=!0,void(--r||c()))})}(o[u])}else try{return n&&(n=h({},p.defaults,n)),s.parse(t.lex(e,n),n)}catch(e){if(e.message+="\nPlease report this to https://github.com/markedjs/marked.",(n||p.defaults).silent)return"<p>An error occurred:</p><pre>"+a(e.message+"",!0)+"</pre>";throw e}}var f={newline:/^\n+/,code:/^( {4}[^\n]+\n*)+/,fences:d,hr:/^ {0,3}((?:- *){3,}|(?:_ *){3,}|(?:\* *){3,})(?:\n+|$)/,
heading:/^ *(#{1,6}) *([^\n]+?) *#* *(?:\n+|$)/,nptable:d,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( *)(bull) [\s\S]+?(?:hr|def|\n{2,}(?! )(?!\1bull )\n*|\s*$)/,html:/^ *(?:comment *(?:\n|\s*$)|closed *(?:\n{2,}|\s*$)|closing *(?:\n{2,}|\s*$))/,def:/^ {0,3}\[(label)\]: *\n? *<?([^\s>]+)>?(?:(?: +\n? *| *\n *)(title))? *(?:\n+|$)/,table:d,lheading:/^([^\n]+)\n *(=|-){2,} *(?:\n+|$)/,paragraph:/^([^\n]+(?:\n?(?!hr|heading|lheading| {0,3}>|tag)[^\n]+)+)/,text:/^[^\n]+/};f._label=/(?:\\[\[\]]|[^\[\]])+/,f._title=/(?:"(?:\\"|[^"]|"[^"\n]*")*"|'\n?(?:[^'\n]+\n?)*'|\([^()]*\))/,f.def=u(f.def).replace("label",f._label).replace("title",f._title).getRegex(),f.bullet=/(?:[*+-]|\d+\.)/,f.item=/^( *)(bull) [^\n]*(?:\n(?!\1bull )[^\n]*)*/,f.item=u(f.item,"gm").replace(/bull/g,f.bullet).getRegex(),f.list=u(f.list).replace(/bull/g,f.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+f.def.source+")").getRegex(),
f._tag="(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b",f.html=u(f.html).replace("comment",/<!--[\s\S]*?-->/).replace("closed",/<(tag)[\s\S]+?<\/\1>/).replace("closing",/<tag(?:"[^"]*"|'[^']*'|\s[^'"\/>\s]*)*?\/?>/).replace(/tag/g,f._tag).getRegex(),f.paragraph=u(f.paragraph).replace("hr",f.hr).replace("heading",f.heading).replace("lheading",f.lheading).replace("tag","<"+f._tag).getRegex(),f.blockquote=u(f.blockquote).replace("paragraph",f.paragraph).getRegex(),f.normal=h({},f),f.gfm=h({},f.normal,{fences:/^ *(`{3,}|~{3,})[ \.]*(\S+)? *\n([\s\S]*?)\n? *\1 *(?:\n+|$)/,paragraph:/^/,heading:/^ *(#{1,6}) +([^\n]+?) *#* *(?:\n+|$)/}),f.gfm.paragraph=u(f.paragraph).replace("(?!","(?!"+f.gfm.fences.source.replace("\\1","\\2")+"|"+f.list.source.replace("\\1","\\3")+"|").getRegex(),f.tables=h({},f.gfm,{nptable:/^ *(\S.*\|.*)\n *([-:]+ *\|[-| :]*)\n((?:.*\|.*(?:\n|$))*)\n*/,
table:/^ *\|(.+)\n *\|( *[-:]+[-| :]*)\n((?: *\|.*(?:\n|$))*)\n*/}),t.rules=f,t.lex=function(e,n){return new t(n).lex(e)},t.prototype.lex=function(e){return e=e.replace(/\r\n|\r/g,"\n").replace(/\t/g,"    ").replace(/\u00a0/g," ").replace(/\u2424/g,"\n"),this.token(e,!0)},t.prototype.token=function(e,t){e=e.replace(/^ +$/gm,"");for(var n,i,o,r,s,a,l,u,c,d,h;e;)if((o=this.rules.newline.exec(e))&&(e=e.substring(o[0].length),o[0].length>1&&this.tokens.push({type:"space"})),o=this.rules.code.exec(e))e=e.substring(o[0].length),o=o[0].replace(/^ {4}/gm,""),this.tokens.push({type:"code",text:this.options.pedantic?o:o.replace(/\n+$/,"")});else if(o=this.rules.fences.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"code",lang:o[2],text:o[3]||""});else if(o=this.rules.heading.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"heading",depth:o[1].length,text:o[2]});else if(t&&(o=this.rules.nptable.exec(e))){for(e=e.substring(o[0].length),a={type:"table",
header:o[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),align:o[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:o[3].replace(/\n$/,"").split("\n")},u=0;u<a.align.length;u++)/^ *-+: *$/.test(a.align[u])?a.align[u]="right":/^ *:-+: *$/.test(a.align[u])?a.align[u]="center":/^ *:-+ *$/.test(a.align[u])?a.align[u]="left":a.align[u]=null;for(u=0;u<a.cells.length;u++)a.cells[u]=a.cells[u].split(/ *\| */);this.tokens.push(a)}else if(o=this.rules.hr.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"hr"});else if(o=this.rules.blockquote.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"blockquote_start"}),o=o[0].replace(/^ *> ?/gm,""),this.token(o,t),this.tokens.push({type:"blockquote_end"});else if(o=this.rules.list.exec(e)){for(e=e.substring(o[0].length),h=(r=o[2]).length>1,this.tokens.push({type:"list_start",ordered:h,start:h?+r:""}),n=!1,d=(o=o[0].match(this.rules.item)).length,u=0;u<d;u++)l=(a=o[u]).length,~(a=a.replace(/^ *([*+-]|\d+\.) +/,"")).indexOf("\n ")&&(l-=a.length,
a=this.options.pedantic?a.replace(/^ {1,4}/gm,""):a.replace(new RegExp("^ {1,"+l+"}","gm"),"")),this.options.smartLists&&u!==d-1&&(r===(s=f.bullet.exec(o[u+1])[0])||r.length>1&&s.length>1||(e=o.slice(u+1).join("\n")+e,u=d-1)),i=n||/\n\n(?!\s*$)/.test(a),u!==d-1&&(n="\n"===a.charAt(a.length-1),i||(i=n)),this.tokens.push({type:i?"loose_item_start":"list_item_start"}),this.token(a,!1),this.tokens.push({type:"list_item_end"});this.tokens.push({type:"list_end"})}else if(o=this.rules.html.exec(e))e=e.substring(o[0].length),this.tokens.push({type:this.options.sanitize?"paragraph":"html",pre:!this.options.sanitizer&&("pre"===o[1]||"script"===o[1]||"style"===o[1]),text:o[0]});else if(t&&(o=this.rules.def.exec(e)))e=e.substring(o[0].length),o[3]&&(o[3]=o[3].substring(1,o[3].length-1)),c=o[1].toLowerCase(),this.tokens.links[c]||(this.tokens.links[c]={href:o[2],title:o[3]});else if(t&&(o=this.rules.table.exec(e))){for(e=e.substring(o[0].length),a={type:"table",header:o[1].replace(/^ *| *\| *$/g,"").split(/ *\| */),
align:o[2].replace(/^ *|\| *$/g,"").split(/ *\| */),cells:o[3].replace(/(?: *\| *)?\n$/,"").split("\n")},u=0;u<a.align.length;u++)/^ *-+: *$/.test(a.align[u])?a.align[u]="right":/^ *:-+: *$/.test(a.align[u])?a.align[u]="center":/^ *:-+ *$/.test(a.align[u])?a.align[u]="left":a.align[u]=null;for(u=0;u<a.cells.length;u++)a.cells[u]=a.cells[u].replace(/^ *\| *| *\| *$/g,"").split(/ *\| */);this.tokens.push(a)}else if(o=this.rules.lheading.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"heading",depth:"="===o[2]?1:2,text:o[1]});else if(t&&(o=this.rules.paragraph.exec(e)))e=e.substring(o[0].length),this.tokens.push({type:"paragraph",text:"\n"===o[1].charAt(o[1].length-1)?o[1].slice(0,-1):o[1]});else if(o=this.rules.text.exec(e))e=e.substring(o[0].length),this.tokens.push({type:"text",text:o[0]});else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0));return this.tokens};var g={escape:/^\\([\\`*{}\[\]()#+\-.!_>])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:d,
tag:/^<!--[\s\S]*?-->|^<\/?[a-zA-Z0-9\-]+(?:"[^"]*"|'[^']*'|\s[^<'">\/\s]*)*?\/?>/,link:/^!?\[(inside)\]\(href\)/,reflink:/^!?\[(inside)\]\s*\[([^\]]*)\]/,nolink:/^!?\[((?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]])*)\]/,strong:/^__([\s\S]+?)__(?!_)|^\*\*([\s\S]+?)\*\*(?!\*)/,em:/^_([^\s_](?:[^_]|__)+?[^\s_])_\b|^\*((?:\*\*|[^*])+?)\*(?!\*)/,code:/^(`+)\s*([\s\S]*?[^`]?)\s*\1(?!`)/,br:/^ {2,}\n(?!\s*$)/,del:d,text:/^[\s\S]+?(?=[\\<!\[`*]|\b_| {2,}\n|$)/};g._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,g._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,g.autolink=u(g.autolink).replace("scheme",g._scheme).replace("email",g._email).getRegex(),g._inside=/(?:\[[^\[\]]*\]|\\[\[\]]|[^\[\]]|\](?=[^\[]*\]))*/,g._href=/\s*<?([\s\S]*?)>?(?:\s+['"]([\s\S]*?)['"])?\s*/,g.link=u(g.link).replace("inside",g._inside).replace("href",g._href).getRegex(),g.reflink=u(g.reflink).replace("inside",g._inside).getRegex(),g.normal=h({},g),
g.pedantic=h({},g.normal,{strong:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,em:/^_(?=\S)([\s\S]*?\S)_(?!_)|^\*(?=\S)([\s\S]*?\S)\*(?!\*)/}),g.gfm=h({},g.normal,{escape:u(g.escape).replace("])","~|])").getRegex(),url:u(/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/).replace("email",g._email).getRegex(),_backpedal:/(?:[^?!.,:;*_~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_~)]+(?!$))+/,del:/^~~(?=\S)([\s\S]*?\S)~~/,text:u(g.text).replace("]|","~]|").replace("|","|https?://|ftp://|www\\.|[a-zA-Z0-9.!#$%&'*+/=?^_`{\\|}~-]+@|").getRegex()}),g.breaks=h({},g.gfm,{br:u(g.br).replace("{2,}","*").getRegex(),text:u(g.gfm.text).replace("{2,}","*").getRegex()}),n.rules=g,n.output=function(e,t,i){return new n(t,i).output(e)},n.prototype.output=function(e){for(var t,n,i,o,r="";e;)if(o=this.rules.escape.exec(e))e=e.substring(o[0].length),r+=o[1];else if(o=this.rules.autolink.exec(e))e=e.substring(o[0].length),i="@"===o[2]?"mailto:"+(n=a(this.mangle(o[1]))):n=a(o[1]),
r+=this.renderer.link(i,null,n);else if(this.inLink||!(o=this.rules.url.exec(e))){if(o=this.rules.tag.exec(e))!this.inLink&&/^<a /i.test(o[0])?this.inLink=!0:this.inLink&&/^<\/a>/i.test(o[0])&&(this.inLink=!1),e=e.substring(o[0].length),r+=this.options.sanitize?this.options.sanitizer?this.options.sanitizer(o[0]):a(o[0]):o[0];else if(o=this.rules.link.exec(e))e=e.substring(o[0].length),this.inLink=!0,r+=this.outputLink(o,{href:o[2],title:o[3]}),this.inLink=!1;else if((o=this.rules.reflink.exec(e))||(o=this.rules.nolink.exec(e))){if(e=e.substring(o[0].length),t=(o[2]||o[1]).replace(/\s+/g," "),!(t=this.links[t.toLowerCase()])||!t.href){r+=o[0].charAt(0),e=o[0].substring(1)+e;continue}this.inLink=!0,r+=this.outputLink(o,t),this.inLink=!1}else if(o=this.rules.strong.exec(e))e=e.substring(o[0].length),r+=this.renderer.strong(this.output(o[2]||o[1]));else if(o=this.rules.em.exec(e))e=e.substring(o[0].length),r+=this.renderer.em(this.output(o[2]||o[1]));else if(o=this.rules.code.exec(e))e=e.substring(o[0].length),
r+=this.renderer.codespan(a(o[2].trim(),!0));else if(o=this.rules.br.exec(e))e=e.substring(o[0].length),r+=this.renderer.br();else if(o=this.rules.del.exec(e))e=e.substring(o[0].length),r+=this.renderer.del(this.output(o[1]));else if(o=this.rules.text.exec(e))e=e.substring(o[0].length),r+=this.renderer.text(a(this.smartypants(o[0])));else if(e)throw new Error("Infinite loop on byte: "+e.charCodeAt(0))}else o[0]=this.rules._backpedal.exec(o[0])[0],e=e.substring(o[0].length),"@"===o[2]?i="mailto:"+(n=a(o[0])):(n=a(o[0]),i="www."===o[1]?"http://"+n:n),r+=this.renderer.link(i,null,n);return r},n.prototype.outputLink=function(e,t){var n=a(t.href),i=t.title?a(t.title):null;return"!"!==e[0].charAt(0)?this.renderer.link(n,i,this.output(e[1])):this.renderer.image(n,i,a(e[1]))},n.prototype.smartypants=function(e){
return this.options.smartypants?e.replace(/---/g,"—").replace(/--/g,"–").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1‘").replace(/'/g,"’").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1“").replace(/"/g,"”").replace(/\.{3}/g,"…"):e},n.prototype.mangle=function(e){if(!this.options.mangle)return e;for(var t,n="",i=e.length,o=0;o<i;o++)t=e.charCodeAt(o),Math.random()>.5&&(t="x"+t.toString(16)),n+="&#"+t+";";return n},i.prototype.code=function(e,t,n){if(this.options.highlight){var i=this.options.highlight(e,t);null!=i&&i!==e&&(n=!0,e=i)}return t?'<pre><code class="'+this.options.langPrefix+a(t,!0)+'">'+(n?e:a(e,!0))+"\n</code></pre>\n":"<pre><code>"+(n?e:a(e,!0))+"\n</code></pre>"},i.prototype.blockquote=function(e){return"<blockquote>\n"+e+"</blockquote>\n"},i.prototype.html=function(e){return e},i.prototype.heading=function(e,t,n){return"<h"+t+' id="'+this.options.headerPrefix+n.toLowerCase().replace(/[^\w]+/g,"-")+'">'+e+"</h"+t+">\n"},i.prototype.hr=function(){return this.options.xhtml?"<hr/>\n":"<hr>\n"},
i.prototype.list=function(e,t,n){var i=t?"ol":"ul";return"<"+i+(t&&1!==n?' start="'+n+'"':"")+">\n"+e+"</"+i+">\n"},i.prototype.listitem=function(e){return"<li>"+e+"</li>\n"},i.prototype.paragraph=function(e){return"<p>"+e+"</p>\n"},i.prototype.table=function(e,t){return"<table>\n<thead>\n"+e+"</thead>\n<tbody>\n"+t+"</tbody>\n</table>\n"},i.prototype.tablerow=function(e){return"<tr>\n"+e+"</tr>\n"},i.prototype.tablecell=function(e,t){var n=t.header?"th":"td";return(t.align?"<"+n+' style="text-align:'+t.align+'">':"<"+n+">")+e+"</"+n+">\n"},i.prototype.strong=function(e){return"<strong>"+e+"</strong>"},i.prototype.em=function(e){return"<em>"+e+"</em>"},i.prototype.codespan=function(e){return"<code>"+e+"</code>"},i.prototype.br=function(){return this.options.xhtml?"<br/>":"<br>"},i.prototype.del=function(e){return"<del>"+e+"</del>"},i.prototype.link=function(e,t,n){if(this.options.sanitize){try{var i=decodeURIComponent(l(e)).replace(/[^\w:]/g,"").toLowerCase()}catch(e){return n}
if(0===i.indexOf("javascript:")||0===i.indexOf("vbscript:")||0===i.indexOf("data:"))return n}this.options.baseUrl&&!v.test(e)&&(e=c(this.options.baseUrl,e));var o='<a href="'+e+'"';return t&&(o+=' title="'+t+'"'),o+=">"+n+"</a>"},i.prototype.image=function(e,t,n){this.options.baseUrl&&!v.test(e)&&(e=c(this.options.baseUrl,e));var i='<img src="'+e+'" alt="'+n+'"';return t&&(i+=' title="'+t+'"'),i+=this.options.xhtml?"/>":">"},i.prototype.text=function(e){return e},o.prototype.strong=o.prototype.em=o.prototype.codespan=o.prototype.del=o.prototype.text=function(e){return e},o.prototype.link=o.prototype.image=function(e,t,n){return""+n},o.prototype.br=function(){return""},s.parse=function(e,t){return new s(t).parse(e)},s.prototype.parse=function(e){this.inline=new n(e.links,this.options),this.inlineText=new n(e.links,h({},this.options,{renderer:new o})),this.tokens=e.reverse();for(var t="";this.next();)t+=this.tok();return t},s.prototype.next=function(){return this.token=this.tokens.pop()},
s.prototype.peek=function(){return this.tokens[this.tokens.length-1]||0},s.prototype.parseText=function(){for(var e=this.token.text;"text"===this.peek().type;)e+="\n"+this.next().text;return this.inline.output(e)},s.prototype.tok=function(){switch(this.token.type){case"space":return"";case"hr":return this.renderer.hr();case"heading":return this.renderer.heading(this.inline.output(this.token.text),this.token.depth,l(this.inlineText.output(this.token.text)));case"code":return this.renderer.code(this.token.text,this.token.lang,this.token.escaped);case"table":var e,t,n,i,o="",r="";for(n="",e=0;e<this.token.header.length;e++)n+=this.renderer.tablecell(this.inline.output(this.token.header[e]),{header:!0,align:this.token.align[e]});for(o+=this.renderer.tablerow(n),e=0;e<this.token.cells.length;e++){for(t=this.token.cells[e],n="",i=0;i<t.length;i++)n+=this.renderer.tablecell(this.inline.output(t[i]),{header:!1,align:this.token.align[i]});r+=this.renderer.tablerow(n)}return this.renderer.table(o,r)
;case"blockquote_start":for(r="";"blockquote_end"!==this.next().type;)r+=this.tok();return this.renderer.blockquote(r);case"list_start":r="";for(var s=this.token.ordered,a=this.token.start;"list_end"!==this.next().type;)r+=this.tok();return this.renderer.list(r,s,a);case"list_item_start":for(r="";"list_item_end"!==this.next().type;)r+="text"===this.token.type?this.parseText():this.tok();return this.renderer.listitem(r);case"loose_item_start":for(r="";"list_item_end"!==this.next().type;)r+=this.tok();return this.renderer.listitem(r);case"html":var u=this.token.pre||this.options.pedantic?this.token.text:this.inline.output(this.token.text);return this.renderer.html(u);case"paragraph":return this.renderer.paragraph(this.inline.output(this.token.text));case"text":return this.renderer.paragraph(this.parseText())}};var m={},v=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;d.exec=d,p.options=p.setOptions=function(e){return h(p.defaults,e),p},p.defaults={gfm:!0,tables:!0,breaks:!1,pedantic:!1,sanitize:!1,sanitizer:null,mangle:!0,
smartLists:!1,silent:!1,highlight:null,langPrefix:"lang-",smartypants:!1,headerPrefix:"",renderer:new i,xhtml:!1,baseUrl:null},p.Parser=s,p.parser=s.parse,p.Renderer=i,p.TextRenderer=o,p.Lexer=t,p.lexer=t.lex,p.InlineLexer=n,p.inlineLexer=n.output,p.parse=p,r=p}).call(this),define("vs/base/common/marked/marked",[],function(){return{marked:r}}),define(t[68],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e.inMemory="inmemory",e.vscode="vscode",e.internal="private",e.walkThrough="walkThrough",e.walkThroughSnippet="walkThroughSnippet",e.http="http",e.https="https",e.file="file",e.mailto="mailto",e.untitled="untitled",e.data="data"}(t.Schemas||(t.Schemas={}))}),define(t[241],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.clamp=function(e,t,n){return Math.min(Math.max(e,t),n)},t.rot=function(e,t){return(t+e%t)%t}}),define(t[15],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var n=!1,i=!1,o=!1,r=!1,s=!1,a=void 0,l=void 0,u=void 0;if(t.LANGUAGE_DEFAULT="en","object"==typeof process&&"function"==typeof process.nextTick&&"string"==typeof process.platform){n="win32"===process.platform,i="darwin"===process.platform,o="linux"===process.platform;var c=process.env.VSCODE_NLS_CONFIG;if(c)try{var d=JSON.parse(c),h=d.availableLanguages["*"];a=d.locale,l=h||t.LANGUAGE_DEFAULT,u=d._translationsConfigFile}catch(e){}r=!0}else if("object"==typeof navigator){var p=navigator.userAgent;n=p.indexOf("Windows")>=0,i=p.indexOf("Macintosh")>=0,o=p.indexOf("Linux")>=0,s=!0,l=a=navigator.language}var f;!function(e){e[e.Web=0]="Web",e[e.Mac=1]="Mac",e[e.Linux=2]="Linux",e[e.Windows=3]="Windows"}(f=t.Platform||(t.Platform={}));var g=f.Web;r&&(i?g=f.Mac:n?g=f.Windows:o&&(g=f.Linux)),t.isWindows=n,t.isMacintosh=i,t.isLinux=o,t.isNative=r,t.isWeb=s,t.platform=g,t.isRootUser=function(){return r&&!n&&0===process.getuid()},t.language=l,t.locale=a,t.translationsConfigFile=u
;var m="object"==typeof self?self:"object"==typeof global?global:{};t.globals=m;var v=null;t.setImmediate=function(e){return null===v&&(v=t.globals.setImmediate?t.globals.setImmediate.bind(t.globals):"undefined"!=typeof process&&"function"==typeof process.nextTick?process.nextTick.bind(process):t.globals.setTimeout.bind(t.globals)),v(e)};!function(e){e[e.Windows=1]="Windows",e[e.Macintosh=2]="Macintosh",e[e.Linux=3]="Linux"}(t.OperatingSystem||(t.OperatingSystem={})),t.OS=i?2:n?1:3;!function(e){e[e.Unknown=0]="Unknown",e[e.Disabled=1]="Disabled",e[e.Enabled=2]="Enabled"}(t.AccessibilitySupport||(t.AccessibilitySupport={}))}),define(t[422],n([0,1,15]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=n.globals.performance&&"function"==typeof n.globals.performance.now,o=function(){function e(e){this._highResolution=i&&e,this._startTime=this._now(),this._stopTime=-1}return e.create=function(t){return void 0===t&&(t=!0),new e(t)},e.prototype.stop=function(){
this._stopTime=this._now()},e.prototype.elapsed=function(){return-1!==this._stopTime?this._stopTime-this._startTime:this._now()-this._startTime},e.prototype._now=function(){return this._highResolution?n.globals.performance.now():(new Date).getTime()},e}();t.StopWatch=o}),define(t[30],n([0,1]),function(e,t){"use strict";function n(e){return Array.isArray?Array.isArray(e):!(!e||typeof e.length!==u.number||e.constructor!==Array)}function i(e){return typeof e===u.string||e instanceof String}function o(e){return!(typeof e!==u.object||null===e||Array.isArray(e)||e instanceof RegExp||e instanceof Date)}function r(e){return typeof e===u.undefined}function s(e){return r(e)||null===e}function a(e){return typeof e===u.function}function l(e,t){if(i(t)){if(typeof e!==t)throw new Error("argument does not match constraint: typeof "+t)}else if(a(t)){if(e instanceof t)return;if(!s(e)&&e.constructor===t)return;if(1===t.length&&!0===t.call(void 0,e))return
;throw new Error("argument does not match one of these constraints: arg instanceof constraint, arg.constructor === constraint, nor constraint(arg) === true")}}Object.defineProperty(t,"__esModule",{value:!0});var u={number:"number",string:"string",undefined:"undefined",object:"object",function:"function"};t.isArray=n,t.isString=i,t.isStringArray=function(e){return n(e)&&e.every(function(e){return i(e)})},t.isObject=o,t.isNumber=function(e){return(typeof e===u.number||e instanceof Number)&&!isNaN(e)},t.isBoolean=function(e){return!0===e||!1===e},t.isUndefined=r,t.isUndefinedOrNull=s;var c=Object.prototype.hasOwnProperty;t.isEmptyObject=function(e){if(!o(e))return!1;for(var t in e)if(c.call(e,t))return!1;return!0},t.isFunction=a,t.areFunctions=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return e&&e.length>0&&e.every(a)},t.validateConstraints=function(e,t){for(var n=Math.min(e.length,t.length),i=0;i<n;i++)l(e[i],t[i])},t.validateConstraint=l,t.create=function(e){
for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=Object.create(e.prototype);return e.apply(i,t),i}}),define(t[433],n([0,1,30,226]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this._hashFn=e,this._nodes=Object.create(null)}return e.prototype.roots=function(){var e=[];return i.forEach(this._nodes,function(t){n.isEmptyObject(t.value.outgoing)&&e.push(t.value)}),e},e.prototype.traverse=function(e,t,n){var i=this.lookup(e);i&&this._traverse(i,t,Object.create(null),n)},e.prototype._traverse=function(e,t,n,o){var r=this,s=this._hashFn(e.data);if(!n[s]){n[s]=!0,o(e.data);var a=t?e.outgoing:e.incoming;i.forEach(a,function(e){return r._traverse(e.value,t,n,o)})}},e.prototype.insertEdge=function(e,t){var n=this.lookupOrInsertNode(e),i=this.lookupOrInsertNode(t);n.outgoing[this._hashFn(t)]=i,i.incoming[this._hashFn(e)]=n},e.prototype.removeNode=function(e){var t=this._hashFn(e);delete this._nodes[t],i.forEach(this._nodes,function(e){
delete e.value.outgoing[t],delete e.value.incoming[t]})},e.prototype.lookupOrInsertNode=function(e){var t=this._hashFn(e),n=this._nodes[t];return n||(n=function(e){return{data:e,incoming:Object.create(null),outgoing:Object.create(null)}}(e),this._nodes[t]=n),n},e.prototype.lookup=function(e){return this._nodes[this._hashFn(e)]},Object.defineProperty(e.prototype,"length",{get:function(){return Object.keys(this._nodes).length},enumerable:!0,configurable:!0}),e.prototype.toString=function(){var e=[];return i.forEach(this._nodes,function(t){e.push(t.key+", (incoming)["+Object.keys(t.value.incoming).join(", ")+"], (outgoing)["+Object.keys(t.value.outgoing).join(",")+"]")}),e.join("\n")},e}();t.Graph=o}),define(t[25],n([0,1,30]),function(e,t,n){"use strict";function i(e){if(!e||"object"!=typeof e)return e;if(e instanceof RegExp)return e;var t=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(n){e[n]&&"object"==typeof e[n]?t[n]=i(e[n]):t[n]=e[n]}),t}function o(e,t,i){if(n.isUndefinedOrNull(e))return e
;var r=t(e);if(void 0!==r)return r;if(n.isArray(e)){for(var s=[],a=0;a<e.length;a++)s.push(o(e[a],t,i));return s}if(n.isObject(e)){if(i.indexOf(e)>=0)throw new Error("Cannot clone recursive data-structure");i.push(e);var u={};for(var c in e)l.call(e,c)&&(u[c]=o(e[c],t,i));return i.pop(),u}return e}function r(e,t,i){return void 0===i&&(i=!0),n.isObject(e)?(n.isObject(t)&&Object.keys(t).forEach(function(o){o in e?i&&(n.isObject(e[o])&&n.isObject(t[o])?r(e[o],t[o],i):e[o]=t[o]):e[o]=t[o]}),e):t}function s(e,t){if(e===t)return!0;if(null===e||void 0===e||null===t||void 0===t)return!1;if(typeof e!=typeof t)return!1;if("object"!=typeof e)return!1;if(Array.isArray(e)!==Array.isArray(t))return!1;var n,i;if(Array.isArray(e)){if(e.length!==t.length)return!1;for(n=0;n<e.length;n++)if(!s(e[n],t[n]))return!1}else{var o=[];for(i in e)o.push(i);o.sort();var r=[];for(i in t)r.push(i);if(r.sort(),!s(o,r))return!1;for(n=0;n<o.length;n++)if(!s(e[o[n]],t[o[n]]))return!1}return!0}function a(e){
for(var t={},n=0;n<e.length;++n)t[e[n]]=!0;return t}Object.defineProperty(t,"__esModule",{value:!0}),t.deepClone=i,t.deepFreeze=function(e){if(!e||"object"!=typeof e)return e;for(var t=[e];t.length>0;){var n=t.shift();Object.freeze(n);for(var i in n)if(l.call(n,i)){var o=n[i];"object"!=typeof o||Object.isFrozen(o)||t.push(o)}}return e};var l=Object.prototype.hasOwnProperty;t.cloneAndChange=function(e,t){return o(e,t,[])},t.mixin=r,t.assign=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return Object.keys(t).forEach(function(n){return e[n]=t[n]})}),e},t.equals=s,t.arrayToHash=a,t.createKeywordMatcher=function(e,t){void 0===t&&(t=!1),t&&(e=e.map(function(e){return e.toLowerCase()}));var n=a(e);return t?function(e){return void 0!==n[e.toLowerCase()]&&n.hasOwnProperty(e.toLowerCase())}:function(e){return void 0!==n[e]&&n.hasOwnProperty(e)}},t.safeStringify=function(e){var t=[];return JSON.stringify(e,function(e,i){if(n.isObject(i)||Array.isArray(i)){
if(-1!==t.indexOf(i))return"[Circular]";t.push(i)}return i})},t.getOrDefault=function(e,t,n){void 0===n&&(n=null);var i=t(e);return void 0===i?n:i},t.distinct=function(e,t){var n=Object.create(null);return e&&t?(Object.keys(t).forEach(function(i){var o=e[i],r=t[i];s(o,r)||(n[i]=r)}),n):n}}),define(t[29],n([0,1,15]),function(e,t,n){"use strict";function i(e){return"%"+e.charCodeAt(0).toString(16).toUpperCase()}function r(e){var t;return t=e.authority&&e.path&&"file"===e.scheme?"//"+e.authority+e.path:p.test(e.path)?e.path[1].toLowerCase()+e.path.substr(2):e.path,n.isWindows&&(t=t.replace(/\//g,"\\")),t}function s(e,t){var n=t?function(e){return e.replace(/[#?]/,i)}:function(e){return encodeURIComponent(e).replace(/[!'()*]/g,i)},o=[],r=e.scheme,s=e.authority,a=e.path,l=e.query,u=e.fragment;if(r&&o.push(r,":"),(s||"file"===r)&&o.push("//"),s){if(-1!==(m=s.indexOf("@"))){var h=s.substr(0,m);s=s.substr(m+1),-1===(m=h.indexOf(":"))?o.push(n(h)):o.push(n(h.substr(0,m)),":",n(h.substr(m+1))),o.push("@")}
-1===(m=(s=s.toLowerCase()).indexOf(":"))?o.push(n(s)):o.push(n(s.substr(0,m)),s.substr(m))}if(a){var p=f.exec(a);p&&(a=p[1]?"/"+p[2].toLowerCase()+a.substr(3):p[2].toLowerCase()+a.substr(2));for(var g=0;;){var m=a.indexOf(d,g);if(-1===m){o.push(n(a.substring(g)));break}o.push(n(a.substring(g,m)),d),g=m+1}}return l&&o.push("?",n(l)),u&&o.push("#",n(u)),o.join(c)}Object.defineProperty(t,"__esModule",{value:!0});var a=/^\w[\w\d+.-]*$/,l=/^\//,u=/^\/\//,c="",d="/",h=/^(([^:/?#]+?):)?(\/\/([^/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,p=/^\/[a-zA-Z]:/,f=/^(\/)?([A-Z]:)/,g=/^[a-zA-Z]:/,m=function(){function e(e,t,n,i,o){"object"==typeof e?(this.scheme=e.scheme||c,this.authority=e.authority||c,this.path=e.path||c,this.query=e.query||c,this.fragment=e.fragment||c):(this.scheme=e||c,this.authority=t||c,this.path=n||c,this.query=i||c,this.fragment=o||c,function(e){if(e.scheme&&!a.test(e.scheme))throw new Error("[UriError]: Scheme contains illegal characters.");if(e.path)if(e.authority){
if(!l.test(e.path))throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character')}else if(u.test(e.path))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')}(this))}return e.isUri=function(t){return t instanceof e||!!t&&("string"==typeof t.authority&&"string"==typeof t.fragment&&"string"==typeof t.path&&"string"==typeof t.query&&"string"==typeof t.scheme)},Object.defineProperty(e.prototype,"fsPath",{get:function(){return r(this)},enumerable:!0,configurable:!0}),e.prototype.with=function(e){if(!e)return this;var t=e.scheme,n=e.authority,i=e.path,o=e.query,r=e.fragment;return void 0===t?t=this.scheme:null===t&&(t=c),void 0===n?n=this.authority:null===n&&(n=c),void 0===i?i=this.path:null===i&&(i=c),void 0===o?o=this.query:null===o&&(o=c),void 0===r?r=this.fragment:null===r&&(r=c),
t===this.scheme&&n===this.authority&&i===this.path&&o===this.query&&r===this.fragment?this:new v(t,n,i,o,r)},e.parse=function(e){var t=h.exec(e);return t?new v(t[2]||c,decodeURIComponent(t[4]||c),decodeURIComponent(t[5]||c),decodeURIComponent(t[7]||c),decodeURIComponent(t[9]||c)):new v(c,c,c,c,c)},e.file=function(e){var t=c;if(n.isWindows&&(e=e.replace(/\\/g,d)),e[0]===d&&e[1]===d){var i=e.indexOf(d,2);-1===i?(t=e.substring(2),e=d):(t=e.substring(2,i),e=e.substring(i)||d)}return g.test(e)?e=d+e:e[0]!==d&&(e=d+e),new v("file",t,e,c,c)},e.from=function(e){return new v(e.scheme,e.authority,e.path,e.query,e.fragment)},e.prototype.toString=function(e){return void 0===e&&(e=!1),s(this,e)},e.prototype.toJSON=function(){var e={$mid:1,fsPath:this.fsPath,external:this.toString()};return this.path&&(e.path=this.path),this.scheme&&(e.scheme=this.scheme),this.authority&&(e.authority=this.authority),this.query&&(e.query=this.query),this.fragment&&(e.fragment=this.fragment),e},e.revive=function(t){if(t){
if(t instanceof e)return t;var n=new v(t);return n._fsPath=t.fsPath,n._formatted=t.external,n}return t},e}();t.default=m;var v=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._formatted=null,t._fsPath=null,t}return o(t,e),Object.defineProperty(t.prototype,"fsPath",{get:function(){return this._fsPath||(this._fsPath=r(this)),this._fsPath},enumerable:!0,configurable:!0}),t.prototype.toString=function(e){return void 0===e&&(e=!1),e?s(this,!0):(this._formatted||(this._formatted=s(this,!1)),this._formatted)},t}(m)}),define(t[74],n([0,1,29]),function(e,t,n){"use strict";function i(e){var t=[];return e.forEach(function(e){return t.push(e)}),t}function r(e){var t=[];return e.forEach(function(e,n){return t.push(n)}),t}Object.defineProperty(t,"__esModule",{value:!0}),t.values=i,t.keys=r,t.getOrSet=function(e,t,n){var i=e.get(t);return void 0===i&&(i=n,e.set(t,i)),i};var s=function(){function e(){this._value="",this._pos=0}return e.prototype.reset=function(e){return this._value=e,
this._pos=0,this},e.prototype.next=function(){return this._pos+=1,this},e.prototype.join=function(e){return e.join("")},e.prototype.hasNext=function(){return this._pos<this._value.length-1},e.prototype.cmp=function(e){return e.charCodeAt(0)-this._value.charCodeAt(this._pos)},e.prototype.value=function(){return this._value[this._pos]},e}();t.StringIterator=s;var a=function(){function e(){}return e.prototype.reset=function(e){return this._value=e.replace(/\\$|\/$/,""),this._from=0,this._to=0,this.next()},e.prototype.hasNext=function(){return this._to<this._value.length},e.prototype.join=function(e){return e.join("/")},e.prototype.next=function(){this._from=this._to;for(var t=!0;this._to<this._value.length;this._to++){var n=this._value.charCodeAt(this._to);if(n===e._fwd||n===e._bwd){if(!t)break;this._from++}else t=!1}return this},e.prototype.cmp=function(e){for(var t=0,n=e.length,i=this._from;t<n&&i<this._to;){var o=e.charCodeAt(t)-this._value.charCodeAt(i);if(0!==o)return o;t+=1,i+=1}
return n===this._to-this._from?0:t<n?-1:1},e.prototype.value=function(){return this._value.substring(this._from,this._to)},e._fwd="/".charCodeAt(0),e._bwd="\\".charCodeAt(0),e}();t.PathIterator=a;var l=function(){function e(){}return e.prototype.isEmpty=function(){return!(this.left||this.mid||this.right||this.element)},e}(),u=function(){function e(e){this._iter=e}return e.forPaths=function(){return new e(new a)},e.forStrings=function(){return new e(new s)},e.prototype.clear=function(){this._root=void 0},e.prototype.set=function(e,t){var n,i=this._iter.reset(e);for(this._root||(this._root=new l,this._root.str=i.value()),n=this._root;;){var o=i.cmp(n.str);if(o>0)n.left||(n.left=new l,n.left.str=i.value()),n=n.left;else if(o<0)n.right||(n.right=new l,n.right.str=i.value()),n=n.right;else{if(!i.hasNext())break;i.next(),n.mid||(n.mid=new l,n.mid.str=i.value()),n=n.mid}}var r=n.element;return n.element=t,r},e.prototype.get=function(e){for(var t=this._iter.reset(e),n=this._root;n;){var i=t.cmp(n.str)
;if(i>0)n=n.left;else if(i<0)n=n.right;else{if(!t.hasNext())break;t.next(),n=n.mid}}return n?n.element:void 0},e.prototype.delete=function(e){for(var t=this._iter.reset(e),n=[],i=this._root;i;){var o=t.cmp(i.str);if(o>0)n.push([1,i]),i=i.left;else if(o<0)n.push([-1,i]),i=i.right;else{if(!t.hasNext()){for(i.element=void 0;n.length>0&&i.isEmpty();){var r=n.pop(),s=r[0],a=r[1];switch(s){case 1:a.left=void 0;break;case 0:a.mid=void 0;break;case-1:a.right=void 0}i=a}break}t.next(),n.push([0,i]),i=i.mid}}},e.prototype.findSubstr=function(e){for(var t,n=this._iter.reset(e),i=this._root;i;){var o=n.cmp(i.str);if(o>0)i=i.left;else if(o<0)i=i.right;else{if(!n.hasNext())break;n.next(),t=i.element||t,i=i.mid}}return i&&i.element||t},e.prototype.findSuperstr=function(t){for(var n=this._iter.reset(t),i=this._root;i;){var o=n.cmp(i.str);if(o>0)i=i.left;else if(o<0)i=i.right;else{if(!n.hasNext()){if(!i.mid)return;var r=new e(this._iter);return r._root=i.mid,r}n.next(),i=i.mid}}},e.prototype.forEach=function(e){
this._forEach(this._root,[],e)},e.prototype._forEach=function(e,t,n){e&&(this._forEach(e.left,t,n),t.push(e.str),e.element&&n(e.element,this._iter.join(t)),this._forEach(e.mid,t,n),t.pop(),this._forEach(e.right,t,n))},e}();t.TernarySearchTree=u;var c=function(){function e(e){this.ignoreCase=e,this.map=new Map}return e.prototype.set=function(e,t){this.map.set(this.toKey(e),t)},e.prototype.get=function(e){return this.map.get(this.toKey(e))},e.prototype.has=function(e){return this.map.has(this.toKey(e))},Object.defineProperty(e.prototype,"size",{get:function(){return this.map.size},enumerable:!0,configurable:!0}),e.prototype.clear=function(){this.map.clear()},e.prototype.delete=function(e){return this.map.delete(this.toKey(e))},e.prototype.forEach=function(e){this.map.forEach(e)},e.prototype.values=function(){return i(this.map)},e.prototype.toKey=function(e){var t=e.toString();return this.ignoreCase&&(t=t.toLowerCase()),t},e}();t.ResourceMap=c;var d=function(e){function t(){return e.call(this)||this}
return o(t,e),t.prototype.keys=function(){return r(this.map).map(function(e){return n.default.parse(e)})},t}(c);t.StrictResourceMap=d;var h;!function(e){e[e.None=0]="None",e[e.AsOld=1]="AsOld",e[e.AsNew=2]="AsNew"}(h=t.Touch||(t.Touch={}));var p=function(){function e(){this._map=new Map,this._head=void 0,this._tail=void 0,this._size=0}return e.prototype.clear=function(){this._map.clear(),this._head=void 0,this._tail=void 0,this._size=0},e.prototype.isEmpty=function(){return!this._head&&!this._tail},Object.defineProperty(e.prototype,"size",{get:function(){return this._size},enumerable:!0,configurable:!0}),e.prototype.has=function(e){return this._map.has(e)},e.prototype.get=function(e,t){void 0===t&&(t=h.None);var n=this._map.get(e);if(n)return t!==h.None&&this.touch(n,t),n.value},e.prototype.set=function(e,t,n){void 0===n&&(n=h.None);var i=this._map.get(e);if(i)i.value=t,n!==h.None&&this.touch(i,n);else{switch(i={key:e,value:t,next:void 0,previous:void 0},n){case h.None:this.addItemLast(i);break;case h.AsOld:
this.addItemFirst(i);break;case h.AsNew:default:this.addItemLast(i)}this._map.set(e,i),this._size++}},e.prototype.delete=function(e){return!!this.remove(e)},e.prototype.remove=function(e){var t=this._map.get(e);if(t)return this._map.delete(e),this.removeItem(t),this._size--,t.value},e.prototype.shift=function(){if(this._head||this._tail){if(!this._head||!this._tail)throw new Error("Invalid list");var e=this._head;return this._map.delete(e.key),this.removeItem(e),this._size--,e.value}},e.prototype.forEach=function(e,t){for(var n=this._head;n;)t?e.bind(t)(n.value,n.key,this):e(n.value,n.key,this),n=n.next},e.prototype.values=function(){for(var e=[],t=this._head;t;)e.push(t.value),t=t.next;return e},e.prototype.keys=function(){for(var e=[],t=this._head;t;)e.push(t.key),t=t.next;return e},e.prototype.trimOld=function(e){if(!(e>=this.size))if(0!==e){for(var t=this._head,n=this.size;t&&n>e;)this._map.delete(t.key),t=t.next,n--;this._head=t,this._size=n,t.previous=void 0}else this.clear()},
e.prototype.addItemFirst=function(e){if(this._head||this._tail){if(!this._head)throw new Error("Invalid list");e.next=this._head,this._head.previous=e}else this._tail=e;this._head=e},e.prototype.addItemLast=function(e){if(this._head||this._tail){if(!this._tail)throw new Error("Invalid list");e.previous=this._tail,this._tail.next=e}else this._head=e;this._tail=e},e.prototype.removeItem=function(e){if(e===this._head&&e===this._tail)this._head=void 0,this._tail=void 0;else if(e===this._head)this._head=e.next;else if(e===this._tail)this._tail=e.previous;else{var t=e.next,n=e.previous;if(!t||!n)throw new Error("Invalid list");t.previous=n,n.next=t}},e.prototype.touch=function(e,t){if(!this._head||!this._tail)throw new Error("Invalid list");if(t===h.AsOld||t===h.AsNew)if(t===h.AsOld){if(e===this._head)return;var n=e.next,i=e.previous;e===this._tail?(i.next=void 0,this._tail=i):(n.previous=i,i.next=n),e.previous=void 0,e.next=this._head,this._head.previous=e,this._head=e}else if(t===h.AsNew){if(e===this._tail)return
;var n=e.next,i=e.previous;e===this._head?(n.previous=void 0,this._head=n):(n.previous=i,i.next=n),e.next=void 0,e.previous=this._tail,this._tail.next=e,this._tail=e}},e}();t.LinkedMap=p;var f=function(e){function t(t,n){void 0===n&&(n=1);var i=e.call(this)||this;return i._limit=t,i._ratio=Math.min(Math.max(0,n),1),i}return o(t,e),Object.defineProperty(t.prototype,"limit",{get:function(){return this._limit},set:function(e){this._limit=e,this.checkTrim()},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"ratio",{get:function(){return this._ratio},set:function(e){this._ratio=Math.min(Math.max(0,e),1),this.checkTrim()},enumerable:!0,configurable:!0}),t.prototype.get=function(t){return e.prototype.get.call(this,t,h.AsNew)},t.prototype.peek=function(t){return e.prototype.get.call(this,t,h.None)},t.prototype.set=function(t,n){e.prototype.set.call(this,t,n,h.AsNew),this.checkTrim()},t.prototype.checkTrim=function(){this.size>this._limit&&this.trimOld(Math.round(this._limit*this._ratio))},t}(p)
;t.LRUCache=f}),define(t[216],n([0,1,29]),function(e,t,n){"use strict";function i(e,t){return t instanceof RegExp?{$mid:2,source:t.source,flags:(t.global?"g":"")+(t.ignoreCase?"i":"")+(t.multiline?"m":"")}:t}function o(e,t){if(!e||t>200)return e;if("object"==typeof e){switch(e.$mid){case 1:return n.default.revive(e);case 2:return new RegExp(e.source,e.flags)}for(var i in e)Object.hasOwnProperty.call(e,i)&&(e[i]=o(e[i],t+1))}return e}Object.defineProperty(t,"__esModule",{value:!0}),t.stringify=function(e){return JSON.stringify(e,i)},t.parse=function(e){var t=JSON.parse(e);return t=o(t,0)},t.revive=o}),define(t[9],n([0,1,74]),function(e,t,n){"use strict";function i(e){return e.replace(/[\-\\\{\}\*\+\?\|\^\$\.\[\]\(\)\#]/g,"\\$&")}function o(e,t){if(!e||!t)return e;var n=t.length;if(0===n||0===e.length)return e;for(var i=0;e.indexOf(t,i)===i;)i+=n;return e.substring(i)}function r(e,t){if(!e||!t)return e;var n=t.length,i=e.length;if(0===n||0===i)return e;for(var o=i,r=-1;;){
if(-1===(r=e.lastIndexOf(t,o-1))||r+n!==o)break;if(0===r)return"";o=r}return e.substring(0,o)}function s(e,n,i){if(!t.canNormalize||!e)return e;var o=i.get(e);if(o)return o;var r;return r=_.test(e)?e.normalize(n):e,i.set(e,r),r}function a(e,t){return e<t?-1:e>t?1:0}function l(e){return e>=97&&e<=122}function u(e){return e>=65&&e<=90}function c(e){return l(e)||u(e)}function d(e,t,n){if(void 0===n&&(n=e.length),"string"!=typeof e||"string"!=typeof t)return!1;for(var i=0;i<n;i++){var o=e.charCodeAt(i),r=t.charCodeAt(i);if(o!==r)if(c(o)&&c(r)){var s=Math.abs(o-r);if(0!==s&&32!==s)return!1}else if(String.fromCharCode(o).toLowerCase()!==String.fromCharCode(r).toLowerCase())return!1}return!0}function h(e,t,n,i,o,r){for(;t<n&&o<r;){if(e[t]!==i[o])return!1;t+=1,o+=1}return!0}function p(e){return(e=+e)>=11904&&e<=55215||e>=63744&&e<=64255||e>=65281&&e<=65374}function f(e){return e&&e.length>0&&65279===e.charCodeAt(0)}Object.defineProperty(t,"__esModule",{value:!0}),t.empty="",t.isFalsyOrWhitespace=function(e){
return!e||"string"!=typeof e||0===e.trim().length},t.pad=function(e,t,n){void 0===n&&(n="0");for(var i=""+e,o=[i],r=i.length;r<t;r++)o.push(n);return o.reverse().join("")};var g=/{(\d+)}/g;t.format=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return 0===t.length?e:e.replace(g,function(e,n){var i=parseInt(n,10);return isNaN(i)||i<0||i>=t.length?e:t[i]})},t.escape=function(e){return e.replace(/[<|>|&]/g,function(e){switch(e){case"<":return"&lt;";case">":return"&gt;";case"&":return"&amp;";default:return e}})},t.escapeRegExpCharacters=i,t.trim=function(e,t){return void 0===t&&(t=" "),r(o(e,t),t)},t.ltrim=o,t.rtrim=r,t.convertSimple2RegExpPattern=function(e){return e.replace(/[\-\\\{\}\+\?\|\^\$\.\,\[\]\(\)\#\s]/g,"\\$&").replace(/[\*]/g,".*")},t.stripWildcards=function(e){return e.replace(/\*/g,"")},t.startsWith=function(e,t){if(e.length<t.length)return!1;if(e===t)return!0;for(var n=0;n<t.length;n++)if(e[n]!==t[n])return!1;return!0},t.endsWith=function(e,t){var n=e.length-t.length
;return n>0?e.indexOf(t,n)===n:0===n&&e===t},t.createRegExp=function(e,t,n){if(void 0===n&&(n={}),!e)throw new Error("Cannot create regex from empty string");t||(e=i(e)),n.wholeWord&&(/\B/.test(e.charAt(0))||(e="\\b"+e),/\B/.test(e.charAt(e.length-1))||(e+="\\b"));var o="";return n.global&&(o+="g"),n.matchCase||(o+="i"),n.multiline&&(o+="m"),new RegExp(e,o)},t.regExpLeadsToEndlessLoop=function(e){return"^"!==e.source&&"^$"!==e.source&&"$"!==e.source&&"^\\s*$"!==e.source&&e.exec("")&&0===e.lastIndex},t.regExpContainsBackreference=function(e){return!!e.match(/([^\\]|^)(\\\\)*\\\d+/)},t.canNormalize="function"==typeof"".normalize;var m=new n.LRUCache(1e4);t.normalizeNFC=function(e){return s(e,"NFC",m)};var v=new n.LRUCache(1e4);t.normalizeNFD=function(e){return s(e,"NFD",v)};var _=/[^\u0000-\u0080]/;t.firstNonWhitespaceIndex=function(e){for(var t=0,n=e.length;t<n;t++){var i=e.charCodeAt(t);if(32!==i&&9!==i)return t}return-1},t.getLeadingWhitespace=function(e,t,n){void 0===t&&(t=0),void 0===n&&(n=e.length)
;for(var i=t;i<n;i++){var o=e.charCodeAt(i);if(32!==o&&9!==o)return e.substring(t,i)}return e.substring(t,n)},t.lastNonWhitespaceIndex=function(e,t){void 0===t&&(t=e.length-1);for(var n=t;n>=0;n--){var i=e.charCodeAt(n);if(32!==i&&9!==i)return n}return-1},t.compare=a,t.compareIgnoreCase=function(e,t){for(var n=Math.min(e.length,t.length),i=0;i<n;i++){var o=e.charCodeAt(i),r=t.charCodeAt(i);if(o!==r){u(o)&&(o+=32),u(r)&&(r+=32);var s=o-r;if(0!==s)return l(o)&&l(r)?s:a(e.toLowerCase(),t.toLowerCase())}}return e.length<t.length?-1:e.length>t.length?1:0},t.equalsIgnoreCase=function(e,t){return(e?e.length:0)===(t?t.length:0)&&d(e,t)},t.startsWithIgnoreCase=function(e,t){var n=t.length;return!(t.length>e.length)&&d(e,t,n)},t.commonPrefixLength=function(e,t){var n,i=Math.min(e.length,t.length);for(n=0;n<i;n++)if(e.charCodeAt(n)!==t.charCodeAt(n))return n;return i},t.commonSuffixLength=function(e,t){var n,i=Math.min(e.length,t.length),o=e.length-1,r=t.length-1
;for(n=0;n<i;n++)if(e.charCodeAt(o-n)!==t.charCodeAt(r-n))return n;return i},t.overlap=function(e,t){var n=e.length,i=t.length,o=n-i;if(0===o)return e===t?n:0;for(o<0&&(i+=o,o=0);o<n&&i>0;){if(h(e,o,n,t,0,i))return i;i-=1,o+=1}return 0},t.isHighSurrogate=function(e){return 55296<=e&&e<=56319},t.isLowSurrogate=function(e){return 56320<=e&&e<=57343};var y=/(?:[\u05BE\u05C0\u05C3\u05C6\u05D0-\u05F4\u0608\u060B\u060D\u061B-\u064A\u066D-\u066F\u0671-\u06D5\u06E5\u06E6\u06EE\u06EF\u06FA-\u0710\u0712-\u072F\u074D-\u07A5\u07B1-\u07EA\u07F4\u07F5\u07FA-\u0815\u081A\u0824\u0828\u0830-\u0858\u085E-\u08BD\u200F\uFB1D\uFB1F-\uFB28\uFB2A-\uFD3D\uFD50-\uFDFC\uFE70-\uFEFC]|\uD802[\uDC00-\uDD1B\uDD20-\uDE00\uDE10-\uDE33\uDE40-\uDEE4\uDEEB-\uDF35\uDF40-\uDFFF]|\uD803[\uDC00-\uDCFF]|\uD83A[\uDC00-\uDCCF\uDD00-\uDD43\uDD50-\uDFFF]|\uD83B[\uDC00-\uDEBB])/;t.containsRTL=function(e){return y.test(e)}
;var C=/(?:[\u231A\u231B\u23F0\u23F3\u2600-\u27BF\u2B50\u2B55]|\uD83C[\uDDE6-\uDDFF\uDF00-\uDFFF]|\uD83D[\uDC00-\uDE4F\uDE80-\uDEF8]|\uD83E[\uDD00-\uDDE6])/;t.containsEmoji=function(e){return C.test(e)};var b=/^[\t\n\r\x20-\x7E]*$/;t.isBasicASCII=function(e){return b.test(e)},t.containsFullWidthCharacter=function(e){for(var t=0,n=e.length;t<n;t++)if(p(e.charCodeAt(t)))return!0;return!1},t.isFullWidthCharacter=p,t.lcut=function(e,n){if(e.length<n)return e;for(var i=/\b/g,o=0;i.test(e)&&!(e.length-i.lastIndex<n);)o=i.lastIndex,i.lastIndex+=1;return e.substring(o).replace(/^\s/,t.empty)};var S=/\x1B\x5B[12]?K/g,w=/\x1b\[\d+m/g,E=/\x1b\[0?m/g;t.removeAnsiEscapeCodes=function(e){return e&&(e=(e=(e=e.replace(S,"")).replace(w,"")).replace(E,"")),e},t.UTF8_BOM_CHARACTER=String.fromCharCode(65279),t.startsWithUTF8BOM=f,t.stripUTF8BOM=function(e){return f(e)?e.substr(1):e},t.safeBtoa=function(e){return btoa(encodeURIComponent(e))},t.repeat=function(e,t){for(var n="",i=0;i<t;i++)n+=e;return n},
t.fuzzyContains=function(e,t){if(!e||!t)return!1;if(e.length<t.length)return!1;for(var n=t.length,i=e.toLowerCase(),o=0,r=-1;o<n;){var s=i.indexOf(t[o],r+1);if(s<0)return!1;r=s,o++}return!0},t.containsUppercaseCharacter=function(e,t){return void 0===t&&(t=!1),!!e&&(t&&(e=e.replace(/\\./g,"")),e.toLowerCase()!==e)}}),define(t[231],n([0,1,9]),function(e,t,n){"use strict";function i(e){return n.escape(e)}Object.defineProperty(t,"__esModule",{value:!0}),t.renderOcticons=i;var o=function(){function e(e){this._container=e}return Object.defineProperty(e.prototype,"text",{set:function(e){this._container.innerHTML=i(e||"")},enumerable:!0,configurable:!0}),e}();t.OcticonLabel=o}),define(t[110],n([0,1,9,74]),function(e,t,n,i){"use strict";function o(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t,n){for(var i=0,o=e.length;i<o;i++){var r=e[i](t,n);if(r)return r}return null}}function r(e,t,i){if(!i||i.length<t.length)return null
;return(e?n.startsWithIgnoreCase(i,t):0===i.indexOf(t))?t.length>0?[{start:0,end:t.length}]:[]:null}function s(e,t){var n=t.toLowerCase().indexOf(e.toLowerCase());return-1===n?null:[{start:n,end:n+e.length}]}function a(e,t){return l(e.toLowerCase(),t.toLowerCase(),0,0)}function l(e,t,n,i){if(n===e.length)return[];if(i===t.length)return null;if(e[n]===t[i]){var o=null;return(o=l(e,t,n+1,i+1))?f({start:i,end:i+1},o):null}return l(e,t,n,i+1)}function u(e){return 97<=e&&e<=122}function c(e){return 65<=e&&e<=90}function d(e){return 48<=e&&e<=57}function h(e){return 32===e||9===e||10===e||13===e}function p(e){return u(e)||c(e)||d(e)}function f(e,t){return 0===t.length?t=[e]:e.end===t[0].start?t[0].start=e.start:t.unshift(e),t}function g(e,t){for(var n=t;n<e.length;n++){var i=e.charCodeAt(n);if(c(i)||d(i)||n>0&&!p(e.charCodeAt(n-1)))return n}return e.length}function m(e,t,n,i){if(n===e.length)return[];if(i===t.length)return null;if(e[n]!==t[i].toLowerCase())return null;var o=null,r=i+1
;for(o=m(e,t,n+1,i+1);!o&&(r=g(t,r))<t.length;)o=m(e,t,n+1,r),r++;return null===o?null:f({start:i,end:i+1},o)}function v(e,t){if(!t)return null;if(0===(t=t.trim()).length)return null;if(!function(e){for(var t=0,n=0,i=0,o=0,r=0;r<e.length;r++)c(i=e.charCodeAt(r))&&t++,u(i)&&n++,h(i)&&o++;return 0!==t&&0!==n||0!==o?t<=5:e.length<=30}(e))return null;if(t.length>60)return null;var n=function(e){for(var t=0,n=0,i=0,o=0,r=0,s=0;s<e.length;s++)c(r=e.charCodeAt(s))&&t++,u(r)&&n++,p(r)&&i++,d(r)&&o++;return{upperPercent:t/e.length,lowerPercent:n/e.length,alphaPercent:i/e.length,numericPercent:o/e.length}}(t);if(!function(e){var t=e.upperPercent,n=e.lowerPercent,i=e.alphaPercent,o=e.numericPercent;return n>.2&&t<.8&&i>.6&&o<.2}(n)){if(!function(e){var t=e.upperPercent;return 0===e.lowerPercent&&t>.6}(n))return null;t=t.toLowerCase()}for(var i=null,o=0;o<t.length&&null===(i=m(e.toLowerCase(),t,0,o));)o=g(t,o+1);return i}function _(e,t,n,i,o){if(n===e.length)return[];if(i===t.length)return null
;if(e[n]!==t[i].toLowerCase())return null;var r=null,s=i+1;if(r=_(e,t,n+1,i+1,o),!o)for(;!r&&(s=y(t,s))<t.length;)r=_(e,t,n+1,s,o),s++;return null===r?null:f({start:i,end:i+1},r)}function y(e,t){for(var n=t;n<e.length;n++){if(h(e.charCodeAt(n))||n>0&&h(e.charCodeAt(n-1)))return n}return e.length}function C(){for(var e=[],t=[0],n=1;n<=100;n++)t.push(-n);for(n=0;n<=100;n++){var i=t.slice(0);i[0]=-n,e.push(i)}return e}function b(e,t,n,i,o){function r(e,t,n){for(void 0===n&&(n=" ");e.length<t;)e=n+e;return e}for(var s=" |   |"+i.split("").map(function(e){return r(e,3)}).join("|")+"\n",a=0;a<=n;a++)s+=0===a?" |":t[a-1]+"|",s+=e[a].slice(0,o+1).map(function(e){return r(e.toString(),3)}).join("|")+"\n";return s}function S(e,t){if(t<0||t>=e.length)return!1;switch(e.charCodeAt(t)){case 95:case 45:case 46:case 32:case 47:case 92:case 39:case 34:case 58:return!0;default:return!1}}function w(e,t){if(t<0||t>=e.length)return!1;switch(e.charCodeAt(t)){case 32:case 9:return!0;default:return!1}}function E(e,t,n){
var i=e.length>100?100:e.length,o=t.length>100?100:t.length,r=0;for(void 0===n&&(n=i);r<n&&w(e,r);)r+=1;if(r===i)return[-100,[]];if(!(i>o)){for(var s=e.toLowerCase(),a=t.toLowerCase(),l=r,u=0;l<i&&u<o;)s[l]===a[u]&&(l+=1),u+=1;if(l===i){for(l=r+1;l<=i;l++)for(u=1;u<=o;u++){var c=-1,d=a[u-1];s[l-1]===d&&(c=u===l-r?e[l-1]===t[u-1]?7:5:d!==t[u-1]?e[l-1]===t[u-1]?7:5:S(a,u-2)||w(a,u-2)?5:1),M[l][u]=c;var h=D[l-1][u-1]+(c>1?1:c),p=D[l-1][u]+-1,f=D[l][u-1]+-1;f>=p?f>h?(D[l][u]=f,k[l][u]=4):f===h?(D[l][u]=f,k[l][u]=6):(D[l][u]=h,k[l][u]=2):p>h?(D[l][u]=p,k[l][u]=1):p===h?(D[l][u]=p,k[l][u]=3):(D[l][u]=h,k[l][u]=2)}if(O&&(console.log(b(D,e,i,t,o)),console.log(b(k,e,i,t,o)),console.log(b(M,e,i,t,o))),P=0,A=-100,F=r,L(i,o,i===o?1:0,new W,!1),0!==P)return[A,R.toArray()]}}}function L(e,t,n,i,o){if(!(P>=10||n<-25)){for(var r=0;e>F&&t>0;){var s=M[e][t],a=k[e][t];if(4===a)t-=1,o?n-=5:i.isEmpty()||(n-=1),o=!1,r=0;else{if(!(2&a))return;if(4&a&&L(e,t-1,i.isEmpty()?n:n-1,i.slice(),o),n+=s,e-=1,t-=1,i.unshift(t),o=!0,1===s){
if(r+=1,e===F)return}else n+=1+r*(s-1),r=0}}P+=1,(n-=t>=3?9:3*t)>A&&(A=n,R=i)}}function x(e,t,n,i){var o=E(e,t,i);if(o&&!n)return o;if(e.length>=3)for(var r=Math.min(7,e.length-1),s=1;s<r;s++){var a=function(e,t){if(t+1>=e.length)return;var n=e[t],i=e[t+1];if(n===i)return;return e.slice(0,t)+i+n+e.slice(t+2)}(e,s);if(a){var l=E(a,t,i);l&&(l[0]-=3,(!o||l[0]>o[0])&&(o=l))}}return o}Object.defineProperty(t,"__esModule",{value:!0}),t.or=o,t.matchesStrictPrefix=r.bind(void 0,!1),t.matchesPrefix=r.bind(void 0,!0),t.matchesContiguousSubString=s,t.matchesSubString=a,t.isUpper=c,t.matchesCamelCase=v,t.matchesWords=function(e,t,n){if(void 0===n&&(n=!1),!t||0===t.length)return null;for(var i=null,o=0;o<t.length&&null===(i=_(e.toLowerCase(),t,0,o,n));)o=y(t,o+1);return i},t.fuzzyContiguousFilter=o(t.matchesPrefix,v,s);var N=o(t.matchesPrefix,v,a),I=new i.LRUCache(1e4);t.matchesFuzzy=function(e,i,o){if(void 0===o&&(o=!1),"string"!=typeof e||"string"!=typeof i)return null;var r=I.get(e)
;r||(r=new RegExp(n.convertSimple2RegExpPattern(e),"i"),I.set(e,r));var s=r.exec(i);return s?[{start:s.index,end:s.index+s[0].length}]:o?N(e,i):t.fuzzyContiguousFilter(e,i)},t.skipScore=function(e,t,n){e=e.toLowerCase(),t=t.toLowerCase();for(var i=[],o=0,r=0;r<e.length;++r){var s=t.indexOf(e.charAt(r),o);s>=0&&(i.push(s),o=s+1)}return[i.length,i]},t.createMatches=function(e){var t=[];if(!e)return t;for(var n,i=0,o=e;i<o.length;i++){var r=o[i];n&&n.end===r?n.end+=1:(n={start:r,end:r+1},t.push(n))}return t};var T,D=C(),M=C(),k=C(),O=!1;!function(e){e[e.Top=1]="Top",e[e.Diag=2]="Diag",e[e.Left=4]="Left"}(T||(T={})),t.fuzzyScore=E;var R,P=0,A=0,F=0,W=function(){function e(){}return e.prototype.isEmpty=function(){return!this._data&&(!this._parent||this._parent.isEmpty())},e.prototype.unshift=function(e){this._data?this._data.unshift(e):this._data=[e]},e.prototype.slice=function(){var t=new e;return t._parent=this,t._parentLen=this._data?this._data.length:0,t},e.prototype.toArray=function(){
if(!this._data)return this._parent.toArray();for(var e=[],t=this;t;)t._parent&&t._parent._data&&e.push(t._parent._data.slice(t._parent._data.length-t._parentLen)),t=t._parent;return Array.prototype.concat.apply(this._data,e)},e}();t.fuzzyScoreGracefulAggressive=function(e,t,n){return x(e,t,!0,n)},t.fuzzyScoreGraceful=function(e,t,n){return x(e,t,!1,n)}}),define(t[36],n([0,1,15,9]),function(e,t,n,i){"use strict";function o(e){var t=~e.lastIndexOf("/")||~e.lastIndexOf("\\");return 0===t?e:~t==e.length-1?o(e.substring(0,e.length-1)):e.substr(1+~t)}function r(e,t){if(null===e||void 0===e)return e;var i=e.length;if(0===i)return".";var o=n.isWindows&&t;if(function(e,t){return t?!d.test(e):!c.test(e)}(e,o))return e;for(var r=o?"\\":"/",l=a(e,r),u=l.length,h=!1,p="",f=l.length;f<=i;f++)if(f===i||47===e.charCodeAt(f)||92===e.charCodeAt(f)){if(s(e,u,f,"..")){var g=p.lastIndexOf(r),m=p.slice(g+1);(l||m.length>0)&&".."!==m&&(p=-1===g?"":p.slice(0,g),h=!0)}else s(e,u,f,".")&&(l||p||f<i-1)&&(h=!0);if(!h){var v=e.slice(u,f)
;""!==p&&p[p.length-1]!==r&&(p+=r),p+=v}u=f+1,h=!1}return l+p}function s(e,t,n,i){return t+i.length===n&&e.indexOf(i,t)===t}function a(e,t){if(void 0===t&&(t="/"),!e)return"";var n=e.length,i=e.charCodeAt(0);if(47===i||92===i){if((47===(i=e.charCodeAt(1))||92===i)&&47!==(i=e.charCodeAt(2))&&92!==i){for(var o=3,r=o;o<n&&(47!==(i=e.charCodeAt(o))&&92!==i);o++);if(i=e.charCodeAt(o+1),r!==o&&47!==i&&92!==i)for(o+=1;o<n;o++)if(47===(i=e.charCodeAt(o))||92===i)return e.slice(0,o+1).replace(/[\\/]/g,t)}return t}if((i>=65&&i<=90||i>=97&&i<=122)&&58===e.charCodeAt(1))return 47===(i=e.charCodeAt(2))||92===i?e.slice(0,2)+t:e.slice(0,2);var s=e.indexOf("://");if(-1!==s)for(s+=3;s<n;s++)if(47===(i=e.charCodeAt(s))||92===i)return e.slice(0,s+1);return""}function l(e){if(!e)return!1;var t=e.charCodeAt(0);if(47===t||92===t)return!0;if((t>=65&&t<=90||t>=97&&t<=122)&&e.length>2&&58===e.charCodeAt(1)){var n=e.charCodeAt(2);if(47===n||92===n)return!0}return!1}function u(e){return e&&47===e.charCodeAt(0)}
Object.defineProperty(t,"__esModule",{value:!0}),t.sep="/",t.nativeSep=n.isWindows?"\\":"/",t.dirname=function(e){var i=~e.lastIndexOf("/")||~e.lastIndexOf("\\");if(0===i)return".";if(0==~i)return e[0];var o=e.substring(0,~i);return n.isWindows&&":"===o[o.length-1]&&(o+=t.nativeSep),o},t.basename=o,t.extname=function(e){var t=~(e=o(e)).lastIndexOf(".");return t?e.substring(~t):""};var c=/(\/\.\.?\/)|(\/\.\.?)$|^(\.\.?\/)|(\/\/+)|(\\)/,d=/(\\\.\.?\\)|(\\\.\.?)$|^(\.\.?\\)|(\\\\+)|(\/)/;t.normalize=r,t.getRoot=a,t.join=function(){for(var e="",n=0;n<arguments.length;n++){var i=arguments[n];if(n>0){var o=e.charCodeAt(e.length-1);if(47!==o&&92!==o){var s=i.charCodeAt(0);47!==s&&92!==s&&(e+=t.sep)}}e+=i}return r(e)},t.isUNC=function(e){if(!n.isWindows)return!1;if(!e||e.length<5)return!1;var t=e.charCodeAt(0);if(92!==t)return!1;if(92!==(t=e.charCodeAt(1)))return!1;for(var i=2,o=i;i<e.length&&92!==(t=e.charCodeAt(i));i++);return o!==i&&(t=e.charCodeAt(i+1),!isNaN(t)&&92!==t)}
;var h=n.isWindows?/[\\/:\*\?"<>\|]/g:/[\\/]/g,p=/^(con|prn|aux|clock\$|nul|lpt[0-9]|com[0-9])$/i;t.isValidBasename=function(e){return!(!e||0===e.length||/^\s+$/.test(e)||(h.lastIndex=0,h.test(e)||n.isWindows&&p.test(e)||"."===e||".."===e||n.isWindows&&"."===e[e.length-1]||n.isWindows&&e.length!==e.trim().length))},t.isEqual=function(e,t,n){var o=e===t;return!n||o?o:!(!e||!t)&&i.equalsIgnoreCase(e,t)},t.isEqualOrParent=function(e,n,o){if(e===n)return!0;if(!e||!n)return!1;if(n.length>e.length)return!1;if(o){if(!i.startsWithIgnoreCase(e,n))return!1;if(n.length===e.length)return!0;var r=n.length;return n.charAt(n.length-1)===t.nativeSep&&r--,e.charAt(r)===t.nativeSep}return n.charAt(n.length-1)!==t.nativeSep&&(n+=t.nativeSep),0===e.indexOf(n)},t.isAbsolute=function(e){return n.isWindows?l(e):u(e)},t.isAbsolute_win32=l,t.isAbsolute_posix=u}),define(t[417],n([0,1,9,36]),function(e,t,n,i){"use strict";function o(e,t,n){if(void 0===n&&(n=!1),c){var i=e||"",o=t||"",s=c.compare(i,o);return d&&0===s&&i!==o?i<o?-1:1:s}
return r(e,t,n)}function r(e,t,n){void 0===n&&(n=!1),n||(e=e&&e.toLowerCase(),t=t&&t.toLowerCase());var i=a(e),o=i[0],r=i[1],s=a(t),l=s[0],u=s[1];return o!==l?o<l?-1:1:r===u?0:r<u?-1:1}function s(e,t){if(c){var n=a(e),i=n[0],o=n[1],r=a(t),s=r[0],l=r[1],u=c.compare(o,l);if(0===u){if(d&&o!==l)return o<l?-1:1;if(u=c.compare(i,s),d&&0===u&&i!==s)return i<s?-1:1}return u}return function(e,t){var n=a(e&&e.toLowerCase()),i=n[0],o=n[1],r=a(t&&t.toLowerCase()),s=r[0],l=r[1];if(o!==l)return o<l?-1:1;if(i===s)return 0;return i<s?-1:1}(e,t)}function a(e){var t=e?h.exec(e):[];return[t&&t[1]||"",t&&t[3]||""]}function l(e,t,n){return void 0===n&&(n=!1),n||(e=e&&e.toLowerCase(),t=t&&t.toLowerCase()),e===t?0:e<t?-1:1}function u(e,t,i){var o=e.toLowerCase(),r=t.toLowerCase(),s=n.startsWith(o,i),a=n.startsWith(r,i);if(s!==a)return s?-1:1;if(s&&a){if(o.length<r.length)return-1;if(o.length>r.length)return 1}return 0}Object.defineProperty(t,"__esModule",{value:!0});var c,d;t.setFileNameComparer=function(e){c=e,
d=e.resolvedOptions().numeric},t.compareFileNames=o;var h=/^(.*?)(\.([^.]*))?$/;t.noIntlCompareFileNames=r,t.compareFileExtensions=s,t.comparePaths=function(e,t,n){void 0===n&&(n=!1);for(var r,s,a=e.split(i.nativeSep),u=t.split(i.nativeSep),c=a.length-1,d=u.length-1,h=0;;h++){if(r=c===h,s=d===h,r&&s)return o(a[h],u[h],n);if(r)return-1;if(s)return 1;var p=l(a[h],u[h],n);if(0!==p)return p}},t.compareAnything=function(e,t,i){var r=e.toLowerCase(),s=t.toLowerCase(),a=u(e,t,i);if(a)return a;var l=n.endsWith(r,i);if(l!==n.endsWith(s,i))return l?-1:1;var c=o(r,s);return 0!==c?c:r.localeCompare(s)},t.compareByPrefix=u}),define(t[93],n([0,1,29,36,9,68,15]),function(e,t,n,i,o,r,s){"use strict";function a(e){return s.isWindows&&e&&":"===e[1]}function l(e){return a(e)?e.charAt(0).toUpperCase()+e.slice(1):e}function u(e,t){if(s.isWindows||!e||!t)return e;var n=c.original===t?c.normalized:void 0;return n||(n=""+o.rtrim(t,i.sep)+i.sep,c={original:t,normalized:n}),
(s.isLinux?o.startsWith(e,n):o.startsWithIgnoreCase(e,n))&&(e="~/"+e.substr(n.length)),e}Object.defineProperty(t,"__esModule",{value:!0}),t.getPathLabel=function(e,t,c){if(!e)return null;if("string"==typeof e&&(e=n.default.file(e)),e.scheme!==r.Schemas.file&&e.scheme!==r.Schemas.untitled)return e.with({query:null,fragment:null}).toString(!0);var d=t?t.getWorkspaceFolder(e):null;if(d){var h=t.getWorkspace().folders.length>1,p=void 0;if(p=(s.isLinux?d.uri.fsPath===e.fsPath:o.equalsIgnoreCase(d.uri.fsPath,e.fsPath))?"":i.normalize(o.ltrim(e.fsPath.substr(d.uri.fsPath.length),i.nativeSep),!0),h){var f=i.basename(d.uri.fsPath);p=p?i.join(f,p):f}return p}if(a(e.fsPath))return i.normalize(l(e.fsPath),!0);var g=i.normalize(e.fsPath,!0);return!s.isWindows&&c&&(g=u(g,c.userHome)),g},t.getBaseLabel=function(e){if(!e)return null;"string"==typeof e&&(e=n.default.file(e));var t=i.basename(e.fsPath)||e.fsPath;return a(t)?l(t):t},t.normalizeDriveLetter=l;var c=Object.create(null);t.tildify=u,t.untildify=function(e,t){
return e.replace(/^~($|\/|\\)/,t+"$1")};var d="…",h="\\\\",p="~";t.shorten=function(e){for(var t=new Array(e.length),n=!1,r=0;r<e.length;r++){var s=e[r];if(""!==s)if(s){n=!0;var a="";0===s.indexOf(h)?(a=s.substr(0,s.indexOf(h)+h.length),s=s.substr(s.indexOf(h)+h.length)):0===s.indexOf(i.nativeSep)?(a=s.substr(0,s.indexOf(i.nativeSep)+i.nativeSep.length),s=s.substr(s.indexOf(i.nativeSep)+i.nativeSep.length)):0===s.indexOf(p)&&(a=s.substr(0,s.indexOf(p)+p.length),s=s.substr(s.indexOf(p)+p.length));for(var l=s.split(i.nativeSep),u=1;n&&u<=l.length;u++)for(var c=l.length-u;n&&c>=0;c--){n=!1;for(var f=l.slice(c,c+u).join(i.nativeSep),g=0;!n&&g<e.length;g++)if(g!==r&&e[g]&&e[g].indexOf(f)>-1){var m=c+u===l.length,v=c>0&&e[g].indexOf(i.nativeSep)>-1?i.nativeSep+f:f,_=o.endsWith(e[g],v);n=!m||_}if(!n){var y="";(o.endsWith(l[0],":")||""!==a)&&(1===c&&(c=0,u++,f=l[0]+i.nativeSep+f),c>0&&(y=l[0]+i.nativeSep),y=a+y),c>0&&(y=y+d+i.nativeSep),y+=f,c+u<l.length&&(y=y+i.nativeSep+d),t[r]=y}}n&&(t[r]=s)
}else t[r]=s;else t[r]="."+i.nativeSep}return t};var f;!function(e){e[e.TEXT=0]="TEXT",e[e.VARIABLE=1]="VARIABLE",e[e.SEPARATOR=2]="SEPARATOR"}(f||(f={})),t.template=function(e,t){void 0===t&&(t=Object.create(null));for(var n,i=[],o=!1,r="",s=0;s<e.length;s++)if("$"===(n=e[s])||o&&"{"===n)r&&i.push({value:r,type:f.TEXT}),r="",o=!0;else if("}"===n&&o){var a=t[r];if("string"==typeof a)a.length&&i.push({value:a,type:f.VARIABLE});else if(a){var l=i[i.length-1];l&&l.type===f.SEPARATOR||i.push({value:a.label,type:f.SEPARATOR})}r="",o=!1}else r+=n;return r&&!o&&i.push({value:r,type:f.TEXT}),i.filter(function(e,t){return e.type!==f.SEPARATOR||[i[t-1],i[t+1]].every(function(e){return e&&(e.type===f.VARIABLE||e.type===f.TEXT)&&e.value.length>0})}).map(function(e){return e.value}).join("")},t.mnemonicMenuLabel=function(e,t){return s.isMacintosh||t?e.replace(/\(&&\w\)|&&/g,""):e.replace(/&&/g,"&")},t.mnemonicButtonLabel=function(e){return s.isMacintosh?e.replace(/\(&&\w\)|&&/g,""):e.replace(/&&/g,s.isWindows?"&":"_")},
t.unmnemonicLabel=function(e){return e.replace(/&/g,"&&")}}),define(t[153],n([0,1,36,9]),function(e,t,n,i){"use strict";function o(e,t,i){return e.scheme===t.scheme&&e.authority===t.authority&&n.isEqualOrParent(e.fsPath,t.fsPath,i)}Object.defineProperty(t,"__esModule",{value:!0}),t.basenameOrAuthority=function(e){return n.basename(e.fsPath)||e.authority},t.isEqualOrParent=o,t.isEqual=function(e,t,n){return!(e!==t)||!(!e||!t)&&(n?i.equalsIgnoreCase(e.toString(),t.toString()):e.toString()===t.toString())},t.dirname=function(e){var t=n.dirname(e.path);return e.authority&&t&&!n.isAbsolute(t)?null:e.with({path:t})},t.distinctParents=function(e,t){for(var n=[],i=function(i){var r=t(e[i]);if(e.some(function(e,n){return n!==i&&o(r,t(e))}))return"continue";n.push(e[i])},r=0;r<e.length;r++)i(r);return n}});var s;!function(){var e=Object.create(null);e["WinJS/Core/_WinJS"]={};var t=function(t,n,i){var o={},r=!1,s=n.map(function(t){return"exports"===t?(r=!0,o):e[t]}),a=i.apply({},s);e[t]=r?o:a}
;t("WinJS/Core/_Global",[],function(){"use strict";return"undefined"!=typeof window?window:"undefined"!=typeof self?self:"undefined"!=typeof global?global:{}}),t("WinJS/Core/_BaseCoreUtils",["WinJS/Core/_Global"],function(e){"use strict";var t=null;return{hasWinRT:!!e.Windows,markSupportedForProcessing:function(e){return e.supportedForProcessing=!0,e},_setImmediate:function(n){null===t&&(t=e.setImmediate?e.setImmediate.bind(e):"undefined"!=typeof process&&"function"==typeof process.nextTick?process.nextTick.bind(process):e.setTimeout.bind(e)),t(n)}}}),t("WinJS/Core/_WriteProfilerMark",["WinJS/Core/_Global"],function(e){"use strict";return e.msWriteProfilerMark||function(){}}),t("WinJS/Core/_Base",["WinJS/Core/_WinJS","WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_WriteProfilerMark"],function(e,t,n,i){"use strict";function o(e,t,n){var i,o,r,s=Object.keys(t),a=Array.isArray(e);for(o=0,r=s.length;o<r;o++){var l=s[o],u=95!==l.charCodeAt(0),c=t[l]
;!c||"object"!=typeof c||void 0===c.value&&"function"!=typeof c.get&&"function"!=typeof c.set?u?a?e.forEach(function(e){e[l]=c}):e[l]=c:(i=i||{})[l]={value:c,enumerable:u,configurable:!0,writable:!0}:(void 0===c.enumerable&&(c.enumerable=u),n&&c.setName&&"function"==typeof c.setName&&c.setName(n+"."+l),(i=i||{})[l]=c)}i&&(a?e.forEach(function(e){Object.defineProperties(e,i)}):Object.defineProperties(e,i))}return function(){function n(n,i){var o=n||{};if(i){var r=i.split(".");o===t&&"WinJS"===r[0]&&(o=e,r.splice(0,1));for(var s=0,a=r.length;s<a;s++){var l=r[s];o[l]||Object.defineProperty(o,l,{value:{},writable:!1,enumerable:!0,configurable:!0}),o=o[l]}}return o}function r(e,t,i){var r=n(e,t);return i&&o(r,i,t||"<ANONYMOUS>"),r}var s=e;s.Namespace||(s.Namespace=Object.create(Object.prototype));var a={uninitialized:1,working:2,initialized:3};Object.defineProperties(s.Namespace,{defineWithParent:{value:r,writable:!0,enumerable:!0,configurable:!0},define:{value:function(e,n){return r(t,e,n)},writable:!0,
enumerable:!0,configurable:!0},_lazy:{value:function(e){var t,n,o=a.uninitialized;return{setName:function(e){t=e},get:function(){switch(o){case a.initialized:return n;case a.uninitialized:o=a.working;try{i("WinJS.Namespace._lazy:"+t+",StartTM"),n=e()}finally{i("WinJS.Namespace._lazy:"+t+",StopTM"),o=a.uninitialized}return e=null,o=a.initialized,n;case a.working:throw"Illegal: reentrancy on initialization";default:throw"Illegal"}},set:function(e){switch(o){case a.working:throw"Illegal: reentrancy on initialization";default:o=a.initialized,n=e}},enumerable:!0,configurable:!0}},writable:!0,enumerable:!0,configurable:!0},_moduleDefine:{value:function(e,i,r){var s=[e],a=null;return i&&(a=n(t,i),s.push(a)),o(s,r,i||"<ANONYMOUS>"),a},writable:!0,enumerable:!0,configurable:!0}})}(),function(){function t(e,t,i){return e=e||function(){},n.markSupportedForProcessing(e),t&&o(e.prototype,t),i&&o(e,i),e}e.Namespace.define("WinJS.Class",{define:t,derive:function(e,i,r,s){if(e){i=i||function(){};var a=e.prototype
;return i.prototype=Object.create(a),n.markSupportedForProcessing(i),Object.defineProperty(i.prototype,"constructor",{value:i,writable:!0,configurable:!0,enumerable:!0}),r&&o(i.prototype,r),s&&o(i,s),i}return t(i,r,s)},mix:function(e){e=e||function(){};var t,n;for(t=1,n=arguments.length;t<n;t++)o(e.prototype,arguments[t]);return e}})}(),{Namespace:e.Namespace,Class:e.Class}}),t("WinJS/Core/_ErrorFromName",["WinJS/Core/_Base"],function(e){"use strict";var t=e.Class.derive(Error,function(e,t){this.name=e,this.message=t||e},{},{supportedForProcessing:!1});return e.Namespace.define("WinJS",{ErrorFromName:t}),t}),t("WinJS/Core/_Events",["exports","WinJS/Core/_Base"],function(e,t){"use strict";function n(e){var t="_on"+e+"state";return{get:function(){var e=this[t];return e&&e.userHandler},set:function(n){var i=this[t];n?(i||(i={wrapper:function(e){return i.userHandler(e)},userHandler:n},Object.defineProperty(this,t,{value:i,enumerable:!1,writable:!0,configurable:!0}),this.addEventListener(e,i.wrapper,!1)),
i.userHandler=n):i&&(this.removeEventListener(e,i.wrapper,!1),this[t]=null)},enumerable:!0}}var i=t.Class.define(function(e,t,n){this.detail=t,this.target=n,this.timeStamp=Date.now(),this.type=e},{bubbles:{value:!1,writable:!1},cancelable:{value:!1,writable:!1},currentTarget:{get:function(){return this.target}},defaultPrevented:{get:function(){return this._preventDefaultCalled}},trusted:{value:!1,writable:!1},eventPhase:{value:0,writable:!1},target:null,timeStamp:null,type:null,preventDefault:function(){this._preventDefaultCalled=!0},stopImmediatePropagation:function(){this._stopImmediatePropagationCalled=!0},stopPropagation:function(){}},{supportedForProcessing:!1}),o={_listeners:null,addEventListener:function(e,t,n){n=n||!1,this._listeners=this._listeners||{};for(var i=this._listeners[e]=this._listeners[e]||[],o=0,r=i.length;o<r;o++){var s=i[o];if(s.useCapture===n&&s.listener===t)return}i.push({listener:t,useCapture:n})},dispatchEvent:function(e,t){var n=this._listeners&&this._listeners[e];if(n){
for(var o=new i(e,t,this),r=0,s=(n=n.slice(0,n.length)).length;r<s&&!o._stopImmediatePropagationCalled;r++)n[r].listener(o);return o.defaultPrevented||!1}return!1},removeEventListener:function(e,t,n){n=n||!1;var i=this._listeners&&this._listeners[e];if(i)for(var o=0,r=i.length;o<r;o++){var s=i[o];if(s.listener===t&&s.useCapture===n){i.splice(o,1),0===i.length&&delete this._listeners[e];break}}}};t.Namespace._moduleDefine(e,"WinJS.Utilities",{_createEventProperty:n,createEventProperties:function(){for(var e={},t=0,i=arguments.length;t<i;t++){var o=arguments[t];e["on"+o]=n(o)}return e},eventMixin:o})}),t("WinJS/Core/_Trace",["WinJS/Core/_Global"],function(e){"use strict";function t(e){return e}return{_traceAsyncOperationStarting:e.Debug&&e.Debug.msTraceAsyncOperationStarting&&e.Debug.msTraceAsyncOperationStarting.bind(e.Debug)||t,_traceAsyncOperationCompleted:e.Debug&&e.Debug.msTraceAsyncOperationCompleted&&e.Debug.msTraceAsyncOperationCompleted.bind(e.Debug)||t,
_traceAsyncCallbackStarting:e.Debug&&e.Debug.msTraceAsyncCallbackStarting&&e.Debug.msTraceAsyncCallbackStarting.bind(e.Debug)||t,_traceAsyncCallbackCompleted:e.Debug&&e.Debug.msTraceAsyncCallbackCompleted&&e.Debug.msTraceAsyncCallbackCompleted.bind(e.Debug)||t}}),t("WinJS/Promise/_StateMachine",["WinJS/Core/_Global","WinJS/Core/_BaseCoreUtils","WinJS/Core/_Base","WinJS/Core/_ErrorFromName","WinJS/Core/_Events","WinJS/Core/_Trace"],function(e,t,n,i,o,r){"use strict";function s(){}function a(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?M:P,e._value=t,e._setState(n)}function l(e,t,n,i,o,r){return{exception:e,error:t,promise:n,handler:r,id:i,parent:o}}function u(e,t,n,i){var o=n._isException,r=n._errorId;return l(o?t:null,o?null:t,e,r,n,i)}function c(e,t,n){var i=n._isException,o=n._errorId;return C(e,o,i),l(i?t:null,i?null:t,e,o,n)}function d(e,t){var n=++B;return C(e,n),l(null,t,e,n)}function h(e,t){var n=++B;return C(e,n,!0),l(t,null,e,n)}function p(e,t,n,i){y(e,{c:t,e:n,p:i,
asyncOpID:r._traceAsyncOperationStarting("WinJS.Promise.done")})}function f(e,t,n,i){e._value=t,v(e,t,n,i),e._setState(F)}function g(t,n){var i=t._value,o=t._listeners;if(o){t._listeners=null;var s,a;for(s=0,a=Array.isArray(o)?o.length:1;s<a;s++){var l=1===a?o:o[s],u=l.c,c=l.promise;if(r._traceAsyncOperationCompleted(l.asyncOpID,e.Debug&&e.Debug.MS_ASYNC_OP_STATUS_SUCCESS),c){r._traceAsyncCallbackStarting(l.asyncOpID);try{c._setCompleteValue(u?u(i):i)}catch(e){c._setExceptionValue(e)}finally{r._traceAsyncCallbackCompleted()}c._state!==M&&c._listeners&&n.push(c)}else j.prototype.done.call(t,u)}}}function m(t,n){var i=t._value,o=t._listeners;if(o){t._listeners=null;var s,a;for(s=0,a=Array.isArray(o)?o.length:1;s<a;s++){var l=1===a?o:o[s],c=l.e,d=l.promise,h=e.Debug&&(i&&i.name===x?e.Debug.MS_ASYNC_OP_STATUS_CANCELED:e.Debug.MS_ASYNC_OP_STATUS_ERROR);if(r._traceAsyncOperationCompleted(l.asyncOpID,h),d){var p=!1;try{c?(r._traceAsyncCallbackStarting(l.asyncOpID),p=!0,c.handlesOnError||v(d,i,u,t,c),
d._setCompleteValue(c(i))):d._setChainedErrorValue(i,t)}catch(e){d._setExceptionValue(e)}finally{p&&r._traceAsyncCallbackCompleted()}d._state!==M&&d._listeners&&n.push(d)}else K.prototype.done.call(t,null,c)}}}function v(e,t,n,i,o){if(E._listeners[L]){if(t instanceof Error&&t.message===x)return;E.dispatchEvent(L,n(e,t,i,o))}}function _(e,t){var n=e._listeners;if(n){var i,o;for(i=0,o=Array.isArray(n)?n.length:1;i<o;i++){var r=1===o?n:n[i],s=r.p;if(s)try{s(t)}catch(e){}r.c||r.e||!r.promise||r.promise._progress(t)}}}function y(e,t){var n=e._listeners;n?(n=Array.isArray(n)?n:[n]).push(t):n=t,e._listeners=n}function C(e,t,n){e._isException=n||!1,e._errorId=t}function b(e,t,n,i){e._value=t,v(e,t,n,i),e._setState(W)}function S(e,t){var n;n=t&&"object"==typeof t&&"function"==typeof t.then?M:A,e._value=t,e._setState(n)}function w(e,t,n,i){var o=new z(e);return y(e,{promise:o,c:t,e:n,p:i,asyncOpID:r._traceAsyncOperationStarting("WinJS.Promise.then")}),o}e.Debug&&(e.Debug.setNonUserCodeExceptions=!0)
;var E=new(n.Class.mix(n.Class.define(null,{},{supportedForProcessing:!1}),o.eventMixin));E._listeners={};var L="error",x="Canceled",N=!1,I={promise:1,thenPromise:2,errorPromise:4,exceptionPromise:8,completePromise:16};I.all=I.promise|I.thenPromise|I.errorPromise|I.exceptionPromise|I.completePromise;var T,D,M,k,O,R,P,A,F,W,B=1;T={name:"created",enter:function(e){e._setState(D)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},D={name:"working",enter:s,cancel:function(e){e._setState(O)},done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,_setCompleteValue:S,_setErrorValue:b},M={name:"waiting",enter:function(e){var t=e._value;if(t instanceof z&&t._state!==W&&t._state!==A)y(t,{promise:e});else{var n=function(i){t._errorId?e._chainedError(i,t):(v(e,i,u,t,n),e._error(i))};n.handlesOnError=!0,t.then(e._completed.bind(e),n,e._progress.bind(e))}},cancel:function(e){e._setState(k)},done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,
_setCompleteValue:S,_setErrorValue:b},k={name:"waiting_canceled",enter:function(e){e._setState(R);var t=e._value;t.cancel&&t.cancel()},cancel:s,done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,_setCompleteValue:S,_setErrorValue:b},O={name:"canceled",enter:function(e){e._setState(R),e._cancelAction()},cancel:s,done:p,then:w,_completed:a,_error:f,_notify:s,_progress:_,_setCompleteValue:S,_setErrorValue:b},R={name:"canceling",enter:function(e){var t=new Error(x);t.name=t.message,e._value=t,e._setState(F)},cancel:s,done:s,then:s,_completed:s,_error:s,_notify:s,_progress:s,_setCompleteValue:s,_setErrorValue:s},P={name:"complete_notify",enter:function(e){if(e.done=j.prototype.done,e.then=j.prototype.then,e._listeners)for(var t,n=[e];n.length;)(t=n.shift())._state._notify(t,n);e._setState(A)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:g,_progress:s,_setCompleteValue:s,_setErrorValue:s},A={name:"success",enter:function(e){e.done=j.prototype.done,e.then=j.prototype.then,e._cleanupAction()},
cancel:s,done:null,then:null,_completed:s,_error:s,_notify:g,_progress:s,_setCompleteValue:s,_setErrorValue:s},F={name:"error_notify",enter:function(e){if(e.done=K.prototype.done,e.then=K.prototype.then,e._listeners)for(var t,n=[e];n.length;)(t=n.shift())._state._notify(t,n);e._setState(W)},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s},W={name:"error",enter:function(e){e.done=K.prototype.done,e.then=K.prototype.then,e._cleanupAction()},cancel:s,done:null,then:null,_completed:s,_error:s,_notify:m,_progress:s,_setCompleteValue:s,_setErrorValue:s};var V,H=n.Class.define(null,{_listeners:null,_nextState:null,_state:null,_value:null,cancel:function(){this._state.cancel(this),this._run()},done:function(e,t,n){this._state.done(this,e,t,n)},then:function(e,t,n){return this._state.then(this,e,t,n)},_chainedError:function(e,t){var n=this._state._error(this,e,c,t);return this._run(),n},_completed:function(e){var t=this._state._completed(this,e)
;return this._run(),t},_error:function(e){var t=this._state._error(this,e,d);return this._run(),t},_progress:function(e){this._state._progress(this,e)},_setState:function(e){this._nextState=e},_setCompleteValue:function(e){this._state._setCompleteValue(this,e),this._run()},_setChainedErrorValue:function(e,t){var n=this._state._setErrorValue(this,e,c,t);return this._run(),n},_setExceptionValue:function(e){var t=this._state._setErrorValue(this,e,h);return this._run(),t},_run:function(){for(;this._nextState;)this._state=this._nextState,this._nextState=null,this._state.enter(this)}},{supportedForProcessing:!1}),z=n.Class.derive(H,function(e){N&&(!0===N||N&I.thenPromise)&&(this._stack=q._getStack()),this._creator=e,this._setState(T),this._run()},{_creator:null,_cancelAction:function(){this._creator&&this._creator.cancel()},_cleanupAction:function(){this._creator=null}},{supportedForProcessing:!1}),K=n.Class.define(function(e){N&&(!0===N||N&I.errorPromise)&&(this._stack=q._getStack()),this._value=e,v(this,e,d)},{
cancel:function(){},done:function(e,t){var n=this._value;if(t)try{t.handlesOnError||v(null,n,u,this,t);var i=t(n);return void(i&&"object"==typeof i&&"function"==typeof i.done&&i.done())}catch(e){n=e}n instanceof Error&&n.message===x||q._doneHandler(n)},then:function(e,t){if(!t)return this;var n,i=this._value;try{t.handlesOnError||v(null,i,u,this,t),n=new j(t(i))}catch(e){n=e===i?this:new U(e)}return n}},{supportedForProcessing:!1}),U=n.Class.derive(K,function(e){N&&(!0===N||N&I.exceptionPromise)&&(this._stack=q._getStack()),this._value=e,v(this,e,h)},{},{supportedForProcessing:!1}),j=n.Class.define(function(e){if(N&&(!0===N||N&I.completePromise)&&(this._stack=q._getStack()),e&&"object"==typeof e&&"function"==typeof e.then){var t=new z(null);return t._setCompleteValue(e),t}this._value=e},{cancel:function(){},done:function(e){if(e)try{var t=e(this._value);t&&"object"==typeof t&&"function"==typeof t.done&&t.done()}catch(e){q._doneHandler(e)}},then:function(e){try{var t=e?e(this._value):this._value
;return t===this._value?this:new j(t)}catch(e){return new U(e)}}},{supportedForProcessing:!1}),q=n.Class.derive(H,function(e,t){N&&(!0===N||N&I.promise)&&(this._stack=q._getStack()),this._oncancel=t,this._setState(T),this._run();try{e(this._completed.bind(this),this._error.bind(this),this._progress.bind(this))}catch(e){this._setExceptionValue(e)}},{_oncancel:null,_cancelAction:function(){try{if(!this._oncancel)throw new Error("Promise did not implement oncancel");this._oncancel()}catch(e){e.message,e.stack;E.dispatchEvent("error",e)}},_cleanupAction:function(){this._oncancel=null}},{addEventListener:function(e,t,n){E.addEventListener(e,t,n)},any:function(e){return new q(function(t,n){var i=Object.keys(e);0===i.length&&t();var o=0;i.forEach(function(r){q.as(e[r]).then(function(){t({key:r,value:e[r]})},function(s){s instanceof Error&&s.name===x?++o===i.length&&t(q.cancel):n({key:r,value:e[r]})})})},function(){Object.keys(e).forEach(function(t){var n=q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},
as:function(e){return e&&"object"==typeof e&&"function"==typeof e.then?e:new j(e)},cancel:{get:function(){return V=V||new K(new i(x))}},dispatchEvent:function(e,t){return E.dispatchEvent(e,t)},is:function(e){return e&&"object"==typeof e&&"function"==typeof e.then},join:function(e){return new q(function(t,n,i){var o=Object.keys(e),r=Array.isArray(e)?[]:{},s=Array.isArray(e)?[]:{},a=0,l=o.length,u=function(e){if(0==--l){var a=Object.keys(r).length;if(0===a)t(s);else{var u=0;o.forEach(function(e){var t=r[e];t instanceof Error&&t.name===x&&u++}),u===a?t(q.cancel):n(r)}}else i({Key:e,Done:!0})};o.forEach(function(t){var n=e[t];void 0===n?a++:q.then(n,function(e){s[t]=e,u(t)},function(e){r[t]=e,u(t)})}),0!==(l-=a)||t(s)},function(){Object.keys(e).forEach(function(t){var n=q.as(e[t]);"function"==typeof n.cancel&&n.cancel()})})},removeEventListener:function(e,t,n){E.removeEventListener(e,t,n)},supportedForProcessing:!1,then:function(e,t,n,i){return q.as(e).then(t,n,i)},thenEach:function(e,t,n,i){
var o=Array.isArray(e)?[]:{};return Object.keys(e).forEach(function(r){o[r]=q.as(e[r]).then(t,n,i)}),q.join(o)},timeout:function(n,i){var o=function(n){var i;return new q(function(o){n?i=e.setTimeout(o,n):t._setImmediate(o)},function(){i&&e.clearTimeout(i)})}(n);return i?function(e,t){var n=function(){e.cancel()};return e.then(function(){t.cancel()}),t.then(n,n),t}(o,i):o},wrap:function(e){return new j(e)},wrapError:function(e){return new K(e)},_veryExpensiveTagWithStack:{get:function(){return N},set:function(e){N=e}},_veryExpensiveTagWithStack_tag:I,_getStack:function(){if(e.Debug&&e.Debug.debuggerEnabled)try{throw new Error}catch(e){return e.stack}},_cancelBlocker:function(e,t){if(!q.is(e))return q.wrap(e);var n,i,o=new q(function(e,t){n=e,i=t},function(){n=null,i=null,t&&t()});return e.then(function(e){n&&n(e)},function(e){i&&i(e)}),o}});return Object.defineProperties(q,o.createEventProperties(L)),q._doneHandler=function(e){t._setImmediate(function(){throw e})},{PromiseStateMachine:H,Promise:q,
state_created:T}}),t("WinJS/Promise",["WinJS/Core/_Base","WinJS/Promise/_StateMachine"],function(e,t){"use strict";return e.Namespace.define("WinJS",{Promise:t.Promise}),t.Promise}),(s=e["WinJS/Core/_WinJS"]).TPromise=s.Promise,s.PPromise=s.Promise,"undefined"==typeof exports&&"function"==typeof define&&define.amd?define("vs/base/common/winjs.base",[],s):module.exports=s}();var a=this&&this.__awaiter||function(e,t,n,i){return new(n||(n=Promise))(function(o,r){function s(e){try{l(i.next(e))}catch(e){r(e)}}function a(e){try{l(i.throw(e))}catch(e){r(e)}}function l(e){e.done?o(e.value):new n(function(t){t(e.value)}).then(s,a)}l((i=i.apply(e,t||[])).next())})},l=this&&this.__generator||function(e,t){function n(n){return function(s){return function(n){if(i)throw new TypeError("Generator is already executing.");for(;a;)try{if(i=1,o&&(r=o[2&n[0]?"return":n[0]?"throw":"next"])&&!(r=r.call(o,n[1])).done)return r;switch(o=0,r&&(n=[0,r.value]),n[0]){case 0:case 1:r=n;break;case 4:return a.label++,{value:n[1],done:!1}
;case 5:a.label++,o=n[1],n=[0];continue;case 7:n=a.ops.pop(),a.trys.pop();continue;default:if(r=a.trys,!(r=r.length>0&&r[r.length-1])&&(6===n[0]||2===n[0])){a=0;continue}if(3===n[0]&&(!r||n[1]>r[0]&&n[1]<r[3])){a.label=n[1];break}if(6===n[0]&&a.label<r[1]){a.label=r[1],r=n;break}if(r&&a.label<r[2]){a.label=r[2],a.ops.push(n);break}r[2]&&a.ops.pop(),a.trys.pop();continue}n=t.call(e,a)}catch(e){n=[6,e],o=0}finally{i=r=0}if(5&n[0])throw n[1];return{value:n[0]?n[1]:void 0,done:!0}}([n,s])}}var i,o,r,s,a={label:0,sent:function(){if(1&r[0])throw r[1];return r[1]},trys:[],ops:[]};return s={next:n(0),throw:n(1),return:n(2)},"function"==typeof Symbol&&(s[Symbol.iterator]=function(){return this}),s};define(t[22],n([0,1,8]),function(e,t,n){"use strict";function i(e,t){var n=0,i=e.length;if(0===i)return 0;for(;n<i;){var o=Math.floor((n+i)/2);t(e[o])?i=o:n=o+1}return n}function o(e,t){return r(e,t),e}function r(e,t){if(!(e.length<=1)){var n=e.length/2|0,i=e.slice(0,n),o=e.slice(n);r(i,t),r(o,t)
;for(var s=0,a=0,l=0;s<i.length&&a<o.length;){var u=t(i[s],o[a]);e[l++]=u<=0?i[s++]:o[a++]}for(;s<i.length;)e[l++]=i[s++];for(;a<o.length;)e[l++]=o[a++]}}function s(e,t,n){function i(e,t,n){if(0!==t||0!==n.length){var i=o[o.length-1];i&&i.start+i.deleteCount===e?(i.deleteCount+=t,(r=i.toInsert).push.apply(r,n)):o.push({start:e,deleteCount:t,toInsert:n});var r}}for(var o=[],r=0,s=0;;){if(r===e.length){i(r,0,t.slice(s));break}if(s===t.length){i(r,e.length-r,[]);break}var a=e[r],l=t[s],u=n(a,l);0===u?(r+=1,s+=1):u<0?(i(r,1,[]),r+=1):u>0&&(i(r,0,[l]),s+=1)}return o}function u(e,t,n,o,r){for(var s=function(r){var s=e[o];if(t(s,n[r-1])<0){n.pop();var a=i(n,function(e){return t(s,e)<0});n.splice(a,0,s)}},a=n.length;o<r;o++)s(a)}function c(e,t){for(var n=0;n<e.length;n++){if(t(e[n]))return n}return-1}Object.defineProperty(t,"__esModule",{value:!0}),t.tail=function(e,t){return void 0===t&&(t=0),e[e.length-(1+t)]},t.equals=function(e,t,n){if(void 0===n&&(n=function(e,t){return e===t}),e.length!==t.length)return!1
;for(var i=0,o=e.length;i<o;i++)if(!n(e[i],t[i]))return!1;return!0},t.binarySearch=function(e,t,n){for(var i=0,o=e.length-1;i<=o;){var r=(i+o)/2|0,s=n(e[r],t);if(s<0)i=r+1;else{if(!(s>0))return r;o=r-1}}return-(i+1)},t.findFirst=i,t.mergeSort=o,t.groupBy=function(e,t){for(var n,i=[],r=0,s=o(e.slice(0),t);r<s.length;r++){var a=s[r];n&&0===t(n[0],a)?n.push(a):(n=[a],i.push(n))}return i},t.sortedDiff=s,t.delta=function(e,t,n){for(var i=[],o=[],r=0,a=s(e,t,n);r<a.length;r++){var l=a[r];i.push.apply(i,e.slice(l.start,l.start+l.deleteCount)),o.push.apply(o,l.toInsert)}return{removed:i,added:o}},t.top=function(e,t,n){if(0===n)return[];var i=e.slice(0,n).sort(t);return u(e,t,i,n,e.length),i},t.topAsync=function(e,t,i,o){var r=this;if(0===i)return n.TPromise.as([]);var s=!1;return new n.TPromise(function(n,c){a(r,void 0,void 0,function(){var n,r,a,c;return l(this,function(l){switch(l.label){case 0:n=e.length,r=e.slice(0,i).sort(t),a=i,c=Math.min(i+o,n),l.label=1;case 1:return a<n?a>i?[4,new Promise(function(e){
return setTimeout(e)})]:[3,3]:[3,5];case 2:l.sent(),l.label=3;case 3:if(s)throw new Error("canceled");u(e,t,r,a,c),l.label=4;case 4:return a=c,c=Math.min(c+o,n),[3,1];case 5:return[2,r]}})}).then(n,c)},function(){s=!0})},t.coalesce=function(e){return e?e.filter(function(e){return!!e}):e},t.move=function(e,t,n){e.splice(n,0,e.splice(t,1)[0])},t.isFalsyOrEmpty=function(e){return!Array.isArray(e)||0===e.length},t.distinct=function(e,t){if(!t)return e.filter(function(t,n){return e.indexOf(t)===n});var n=Object.create(null);return e.filter(function(e){var i=t(e);return!n[i]&&(n[i]=!0,!0)})},t.uniqueFilter=function(e){var t=Object.create(null);return function(n){var i=e(n);return!t[i]&&(t[i]=!0,!0)}},t.firstIndex=c,t.first=function(e,t,n){void 0===n&&(n=null);var i=c(e,t);return i<0?n:e[i]},t.commonPrefixLength=function(e,t,n){void 0===n&&(n=function(e,t){return e===t});for(var i=0,o=0,r=Math.min(e.length,t.length);o<r&&n(e[o],t[o]);o++)i++;return i},t.flatten=function(e){return[].concat.apply([],e)},
t.range=function(e,t){var n="number"==typeof t?e:0;"number"==typeof t?n=e:(n=0,t=e);var i=[];if(n<=t)for(o=n;o<t;o++)i.push(o);else for(var o=n;o>t;o--)i.push(o);return i},t.fill=function(e,t,n){void 0===n&&(n=[]);for(var i=0;i<e;i++)n[i]=t();return n},t.index=function(e,t,n){return void 0===n&&(n=function(e){return e}),e.reduce(function(e,i){var o=t(i);return e[o]=n(i,e[o]),e},Object.create(null))},t.insert=function(e,t){return e.push(t),function(){var n=e.indexOf(t);n>-1&&e.splice(n,1)}},t.arrayInsert=function(e,t,n){var i=e.slice(0,t),o=e.slice(t);return i.concat(n,o)},t.shuffle=function(e){var t=0,n=0,i=null;for(t=e.length-1;t>0;t-=1)n=Math.floor(Math.random()*(t+1)),i=e[t],e[t]=e[n],e[n]=i}}),define(t[12],n([0,1,8]),function(e,t,n){"use strict";function i(e){o(e)||t.errorHandler.onUnexpectedError(e)}function o(e){return e instanceof Error&&e.name===a&&e.message===a}Object.defineProperty(t,"__esModule",{value:!0});var r={};n.TPromise.addEventListener("error",function(e){var t=e.detail,n=t.id
;t.parent?t.handler&&r&&delete r[n]:(r[n]=t,1===Object.keys(r).length&&setTimeout(function(){var e=r;r={},Object.keys(e).forEach(function(t){var n=e[t];n.exception?i(n.exception):n.error&&i(n.error),console.log("WARNING: Promise with no error callback:"+n.id),console.log(n),n.exception&&console.log(n.exception.stack)})},0))});var s=function(){function e(){this.listeners=[],this.unexpectedErrorHandler=function(e){setTimeout(function(){if(e.stack)throw new Error(e.message+"\n\n"+e.stack);throw e},0)}}return e.prototype.addListener=function(e){var t=this;return this.listeners.push(e),function(){t._removeListener(e)}},e.prototype.emit=function(e){this.listeners.forEach(function(t){t(e)})},e.prototype._removeListener=function(e){this.listeners.splice(this.listeners.indexOf(e),1)},e.prototype.setUnexpectedErrorHandler=function(e){this.unexpectedErrorHandler=e},e.prototype.getUnexpectedErrorHandler=function(){return this.unexpectedErrorHandler},e.prototype.onUnexpectedError=function(e){
this.unexpectedErrorHandler(e),this.emit(e)},e.prototype.onUnexpectedExternalError=function(e){this.unexpectedErrorHandler(e)},e}();t.ErrorHandler=s,t.errorHandler=new s,t.setUnexpectedErrorHandler=function(e){t.errorHandler.setUnexpectedErrorHandler(e)},t.onUnexpectedError=i,t.onUnexpectedExternalError=function(e){o(e)||t.errorHandler.onUnexpectedExternalError(e)},t.transformErrorForSerialization=function(e){if(e instanceof Error)return{$isError:!0,name:e.name,message:e.message,stack:e.stacktrace||e.stack};return e};var a="Canceled";t.isPromiseCanceledError=o,t.canceled=function(){var e=new Error(a);return e.name=e.message,e},t.illegalArgument=function(e){return e?new Error("Illegal argument: "+e):new Error("Illegal argument")},t.illegalState=function(e){return e?new Error("Illegal state: "+e):new Error("Illegal state")},t.readonly=function(e){return e?new Error("readonly property '"+e+" cannot be changed'"):new Error("readonly property cannot be changed")},t.disposed=function(e){
var t=new Error(e+" has been disposed");return t.name="DISPOSED",t},t.isErrorWithActions=function(e){return e instanceof Error&&Array.isArray(e.actions)},t.create=function(e,t){void 0===t&&(t=Object.create(null));var n=new Error(e);return t.actions&&(n.actions=t.actions),n},t.getErrorMessage=function(e){return e?e.message?e.message:e.stack?e.stack.split("\n")[0]:String(e):"Error"}}),define(t[4],n([0,1,2,8,171,12,202]),function(e,t,n,i,o,r,s){"use strict";function a(e){return function(t,n,i){void 0===n&&(n=null);var o=e(function(e){return o.dispose(),t.call(n,e)},null,i);return o}}function l(e,t){return function(n,i,o){return void 0===i&&(i=null),e(function(e){return n.call(i,t(e))},null,o)}}function u(e,t){return function(n,i,o){return void 0===i&&(i=null),e(function(e){t(e),n.call(i,e)},null,o)}}function c(e,t){return function(n,i,o){return void 0===i&&(i=null),e(function(e){return t(e)&&n.call(i,e)},null,o)}}function d(e){var t,n=!0;return c(e,function(e){var i=n||e!==t;return n=!1,t=e,i})}
Object.defineProperty(t,"__esModule",{value:!0});!function(e){var t={dispose:function(){}};e.None=function(){return t}}(t.Event||(t.Event={}));var h=function(){function e(e){this._options=e}return Object.defineProperty(e.prototype,"event",{get:function(){var t=this;return this._event||(this._event=function(n,i,o){t._listeners||(t._listeners=new s.LinkedList);var r=t._listeners.isEmpty();r&&t._options&&t._options.onFirstListenerAdd&&t._options.onFirstListenerAdd(t);var a=t._listeners.push(i?[n,i]:n);r&&t._options&&t._options.onFirstListenerDidAdd&&t._options.onFirstListenerDidAdd(t),t._options&&t._options.onListenerDidAdd&&t._options.onListenerDidAdd(t,n,i);var l;return l={dispose:function(){l.dispose=e._noop,t._disposed||(a(),t._options&&t._options.onLastListenerRemove&&t._listeners.isEmpty()&&t._options.onLastListenerRemove(t))}},Array.isArray(o)&&o.push(l),l}),this._event},enumerable:!0,configurable:!0}),e.prototype.fire=function(e){if(this._listeners){this._deliveryQueue||(this._deliveryQueue=[])
;for(var t=this._listeners.iterator(),n=t.next();!n.done;n=t.next())this._deliveryQueue.push([n.value,e]);for(;this._deliveryQueue.length>0;){var i=this._deliveryQueue.shift(),o=i[0],s=i[1];try{"function"==typeof o?o.call(void 0,s):o[0].call(o[1],s)}catch(n){r.onUnexpectedError(n)}}}},e.prototype.dispose=function(){this._listeners&&(this._listeners=void 0),this._deliveryQueue&&(this._deliveryQueue.length=0),this._disposed=!0},e._noop=function(){},e}();t.Emitter=h;var p=function(){function e(){var e=this;this.hasListeners=!1,this.events=[],this.emitter=new h({onFirstListenerAdd:function(){return e.onFirstListenerAdd()},onLastListenerRemove:function(){return e.onLastListenerRemove()}})}return Object.defineProperty(e.prototype,"event",{get:function(){return this.emitter.event},enumerable:!0,configurable:!0}),e.prototype.add=function(e){var t=this,i={event:e,listener:null};this.events.push(i),this.hasListeners&&this.hook(i);return n.toDisposable(o.once(function(){t.hasListeners&&t.unhook(i)
;var e=t.events.indexOf(i);t.events.splice(e,1)}))},e.prototype.onFirstListenerAdd=function(){var e=this;this.hasListeners=!0,this.events.forEach(function(t){return e.hook(t)})},e.prototype.onLastListenerRemove=function(){var e=this;this.hasListeners=!1,this.events.forEach(function(t){return e.unhook(t)})},e.prototype.hook=function(e){var t=this;e.listener=e.event(function(e){return t.emitter.fire(e)})},e.prototype.unhook=function(e){e.listener.dispose(),e.listener=null},e.prototype.dispose=function(){this.emitter.dispose()},e}();t.EventMultiplexer=p,t.fromCallback=function(e){var t,n=new h({onFirstListenerAdd:function(){return t=e(function(e){return n.fire(e)})},onLastListenerRemove:function(){return t.dispose()}});return n.event},t.fromPromise=function(e){var t=new h,n=!1;return e.then(null,function(){return null}).then(function(){n?t.fire():setTimeout(function(){return t.fire()},0)}),n=!0,t.event},t.toPromise=function(e){return new i.TPromise(function(t){var n=e(function(e){n.dispose(),t(e)})})},t.once=a,
t.anyEvent=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t,i,o){return void 0===i&&(i=null),n.combinedDisposable(e.map(function(e){return e(function(e){return t.call(i,e)},null,o)}))}},t.debounceEvent=function(e,t,n,i){void 0===n&&(n=100),void 0===i&&(i=!1);var o,r=void 0,s=void 0,a=0,l=new h({onFirstListenerAdd:function(){o=e(function(e){a++,r=t(r,e),i&&!s&&l.fire(r),clearTimeout(s),s=setTimeout(function(){var e=r;r=void 0,s=void 0,(!i||a>1)&&l.fire(e),a=0},n)})},onLastListenerRemove:function(){o.dispose()}});return l.event};var f=function(){function e(){this.buffers=[]}return e.prototype.wrapEvent=function(e){var t=this;return function(n,i,o){return e(function(e){var o=t.buffers[t.buffers.length-1];o?o.push(function(){return n.call(i,e)}):n.call(i,e)},void 0,o)}},e.prototype.bufferEvents=function(e){var t=[];this.buffers.push(t),e(),this.buffers.pop(),t.forEach(function(e){return e()})},e}();t.EventBufferer=f,t.mapEvent=l,t.forEach=u,t.filterEvent=c;var g=function(){
function e(e){this._event=e}return Object.defineProperty(e.prototype,"event",{get:function(){return this._event},enumerable:!0,configurable:!0}),e.prototype.map=function(t){return new e(l(this._event,t))},e.prototype.forEach=function(t){return new e(u(this._event,t))},e.prototype.filter=function(t){return new e(c(this._event,t))},e.prototype.latch=function(){return new e(d(this._event))},e.prototype.on=function(e,t,n){return this._event(e,t,n)},e}();t.chain=function(e){return new g(e)},t.stopwatch=function(e){var t=(new Date).getTime();return l(a(e),function(e){return(new Date).getTime()-t})},t.buffer=function(e,t,n){void 0===t&&(t=!1),void 0===n&&(n=[]),n=n.slice();var i=e(function(e){n?n.push(e):r.fire(e)}),o=function(){n.forEach(function(e){return r.fire(e)}),n=null},r=new h({onFirstListenerAdd:function(){i||(i=e(function(e){return r.fire(e)}))},onFirstListenerDidAdd:function(){n&&(t?setTimeout(o):o())},onLastListenerRemove:function(){i.dispose(),i=null}});return r.event},t.echo=function(e,t,n){
void 0===t&&(t=!1),void 0===n&&(n=[]),n=n.slice(),e(function(e){n.push(e),o.fire(e)});var i=function(e,t){return n.forEach(function(n){return e.call(t,n)})},o=new h({onListenerDidAdd:function(e,n,o){t?setTimeout(function(){return i(n,o)}):i(n,o)}});return o.event};var m=function(){function e(){this.emitter=new h,this.event=this.emitter.event,this.disposable=n.empty}return Object.defineProperty(e.prototype,"input",{set:function(e){this.disposable.dispose(),this.disposable=e(this.emitter.fire,this.emitter)},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.disposable.dispose(),this.emitter.dispose()},e}();t.Relay=m,t.fromNodeEventEmitter=function(e,t,n){void 0===n&&(n=function(e){return e});var i=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return o.fire(n.apply(void 0,e))},o=new h({onFirstListenerAdd:function(){return e.on(t,i)},onLastListenerRemove:function(){return e.removeListener(t,i)}});return o.event},t.latch=d}),define(t[32],n([0,1,4]),function(e,t,n){
"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){this._zoomLevel=0,this._lastZoomLevelChangeTime=0,this._onDidChangeZoomLevel=new n.Emitter,this.onDidChangeZoomLevel=this._onDidChangeZoomLevel.event,this._zoomFactor=0,this._onDidChangeFullscreen=new n.Emitter,this.onDidChangeFullscreen=this._onDidChangeFullscreen.event,this._accessibilitySupport=0,this._onDidChangeAccessibilitySupport=new n.Emitter,this.onDidChangeAccessibilitySupport=this._onDidChangeAccessibilitySupport.event}return e.prototype.getZoomLevel=function(){return this._zoomLevel},e.prototype.getTimeSinceLastZoomLevelChanged=function(){return Date.now()-this._lastZoomLevelChangeTime},e.prototype.setZoomLevel=function(e,t){this._zoomLevel!==e&&(this._zoomLevel=e,this._lastZoomLevelChangeTime=t?0:Date.now(),this._onDidChangeZoomLevel.fire(this._zoomLevel))},e.prototype.getZoomFactor=function(){return this._zoomFactor},e.prototype.setZoomFactor=function(e){this._zoomFactor=e},
e.prototype.getPixelRatio=function(){var e=document.createElement("canvas").getContext("2d");return(window.devicePixelRatio||1)/(e.webkitBackingStorePixelRatio||e.mozBackingStorePixelRatio||e.msBackingStorePixelRatio||e.oBackingStorePixelRatio||e.backingStorePixelRatio||1)},e.prototype.setFullscreen=function(e){this._fullscreen!==e&&(this._fullscreen=e,this._onDidChangeFullscreen.fire())},e.prototype.isFullscreen=function(){return this._fullscreen},e.prototype.setAccessibilitySupport=function(e){this._accessibilitySupport!==e&&(this._accessibilitySupport=e,this._onDidChangeAccessibilitySupport.fire())},e.prototype.getAccessibilitySupport=function(){return this._accessibilitySupport},e.INSTANCE=new e,e}();t.setZoomLevel=function(e,t){i.INSTANCE.setZoomLevel(e,t)},t.getZoomLevel=function(){return i.INSTANCE.getZoomLevel()},t.getTimeSinceLastZoomLevelChanged=function(){return i.INSTANCE.getTimeSinceLastZoomLevelChanged()},t.onDidChangeZoomLevel=function(e){return i.INSTANCE.onDidChangeZoomLevel(e)},
t.getZoomFactor=function(){return i.INSTANCE.getZoomFactor()},t.setZoomFactor=function(e){i.INSTANCE.setZoomFactor(e)},t.getPixelRatio=function(){return i.INSTANCE.getPixelRatio()},t.setFullscreen=function(e){i.INSTANCE.setFullscreen(e)},t.isFullscreen=function(){return i.INSTANCE.isFullscreen()},t.onDidChangeFullscreen=function(e){return i.INSTANCE.onDidChangeFullscreen(e)},t.setAccessibilitySupport=function(e){i.INSTANCE.setAccessibilitySupport(e)},t.getAccessibilitySupport=function(){return i.INSTANCE.getAccessibilitySupport()},t.onDidChangeAccessibilitySupport=function(e){return i.INSTANCE.onDidChangeAccessibilitySupport(e)};var o=navigator.userAgent;t.isIE=o.indexOf("Trident")>=0,t.isEdge=o.indexOf("Edge/")>=0,t.isEdgeOrIE=t.isIE||t.isEdge,t.isOpera=o.indexOf("Opera")>=0,t.isFirefox=o.indexOf("Firefox")>=0,t.isWebKit=o.indexOf("AppleWebKit")>=0,t.isChrome=o.indexOf("Chrome")>=0,t.isSafari=-1===o.indexOf("Chrome")&&o.indexOf("Safari")>=0,t.isIPad=o.indexOf("iPad")>=0,
t.isChromev56=o.indexOf("Chrome/56.")>=0&&-1===o.indexOf("Edge/")}),define(t[91],n([0,1,4]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.domEvent=function(e,t,i){var o=function(e){return r.fire(e)},r=new n.Emitter({onFirstListenerAdd:function(){e.addEventListener(t,o,i)},onLastListenerRemove:function(){e.removeEventListener(t,o,i)}});return r.event},t.stop=function(e){return n.mapEvent(e,function(e){return e.preventDefault(),e.stopPropagation(),e})}}),define(t[59],n([0,1,37,15,32]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r={};r[3]=7,r[8]=1,r[9]=2,r[13]=3,r[16]=4,r[17]=5,r[18]=6,r[19]=7,r[20]=8,r[27]=9,r[32]=10,r[33]=11,r[34]=12,r[35]=13,r[36]=14,r[37]=15,r[38]=16,r[39]=17,r[40]=18,r[45]=19,r[46]=20,r[48]=21,r[49]=22,r[50]=23,r[51]=24,r[52]=25,r[53]=26,r[54]=27,r[55]=28,r[56]=29,r[57]=30,r[65]=31,r[66]=32,r[67]=33,r[68]=34,r[69]=35,r[70]=36,r[71]=37,r[72]=38,r[73]=39,r[74]=40,r[75]=41,r[76]=42,r[77]=43,r[78]=44,r[79]=45,r[80]=46,
r[81]=47,r[82]=48,r[83]=49,r[84]=50,r[85]=51,r[86]=52,r[87]=53,r[88]=54,r[89]=55,r[90]=56,r[93]=58,r[96]=93,r[97]=94,r[98]=95,r[99]=96,r[100]=97,r[101]=98,r[102]=99,r[103]=100,r[104]=101,r[105]=102,r[106]=103,r[107]=104,r[108]=105,r[109]=106,r[110]=107,r[111]=108,r[112]=59,r[113]=60,r[114]=61,r[115]=62,r[116]=63,r[117]=64,r[118]=65,r[119]=66,r[120]=67,r[121]=68,r[122]=69,r[123]=70,r[124]=71,r[125]=72,r[126]=73,r[127]=74,r[128]=75,r[129]=76,r[130]=77,r[144]=78,r[145]=79,r[186]=80,r[187]=81,r[188]=82,r[189]=83,r[190]=84,r[191]=85,r[192]=86,r[193]=110,r[194]=111,r[219]=87,r[220]=88,r[221]=89,r[222]=90,r[223]=91,r[226]=92,r[229]=109,o.isIE?r[91]=57:o.isFirefox?(r[59]=80,r[107]=81,r[109]=83,i.isMacintosh&&(r[224]=57)):o.isWebKit&&(r[91]=57,i.isMacintosh?r[93]=57:r[92]=57);var s=i.isMacintosh?256:2048,a=i.isMacintosh?2048:256,l=function(){function e(e){var t=e;this.browserEvent=t,this.target=t.target,this.ctrlKey=t.ctrlKey,this.shiftKey=t.shiftKey,this.altKey=t.altKey,this.metaKey=t.metaKey,
this.keyCode=function(e){if(e.charCode){var t=String.fromCharCode(e.charCode).toUpperCase();return n.KeyCodeUtils.fromString(t)}return r[e.keyCode]||0}(t),this.code=t.code,this.ctrlKey=this.ctrlKey||5===this.keyCode,this.altKey=this.altKey||6===this.keyCode,this.shiftKey=this.shiftKey||4===this.keyCode,this.metaKey=this.metaKey||57===this.keyCode,this._asKeybinding=this._computeKeybinding(),this._asRuntimeKeybinding=this._computeRuntimeKeybinding()}return e.prototype.preventDefault=function(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e.prototype.toKeybinding=function(){return this._asRuntimeKeybinding},e.prototype.equals=function(e){return this._asKeybinding===e},e.prototype._computeKeybinding=function(){var e=0;5!==this.keyCode&&4!==this.keyCode&&6!==this.keyCode&&57!==this.keyCode&&(e=this.keyCode);var t=0
;return this.ctrlKey&&(t|=s),this.altKey&&(t|=512),this.shiftKey&&(t|=1024),this.metaKey&&(t|=a),t|=e},e.prototype._computeRuntimeKeybinding=function(){var e=0;return 5!==this.keyCode&&4!==this.keyCode&&6!==this.keyCode&&57!==this.keyCode&&(e=this.keyCode),new n.SimpleKeybinding(this.ctrlKey,this.shiftKey,this.altKey,this.metaKey,e)},e}();t.StandardKeyboardEvent=l}),define(t[41],n([0,1,15,32,164]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this.timestamp=Date.now(),this.browserEvent=e,this.leftButton=0===e.button,this.middleButton=1===e.button,this.rightButton=2===e.button,this.target=e.target,this.detail=e.detail||1,"dblclick"===e.type&&(this.detail=2),this.ctrlKey=e.ctrlKey,this.shiftKey=e.shiftKey,this.altKey=e.altKey,this.metaKey=e.metaKey,"number"==typeof e.pageX?(this.posx=e.pageX,this.posy=e.pageY):(this.posx=e.clientX+document.body.scrollLeft+document.documentElement.scrollLeft,
this.posy=e.clientY+document.body.scrollTop+document.documentElement.scrollTop);var t=r.IframeUtils.getPositionOfChildWindowRelativeToAncestorWindow(self,e.view);this.posx-=t.left,this.posy-=t.top}return e.prototype.preventDefault=function(){this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e}();t.StandardMouseEvent=s;var a=function(e){function t(t){var n=e.call(this,t)||this;return n.dataTransfer=t.dataTransfer,n}return o(t,e),t}(s);t.DragMouseEvent=a;var l=function(){function e(e,t,o){if(void 0===t&&(t=0),void 0===o&&(o=0),this.browserEvent=e||null,this.target=e?e.target||e.targetNode||e.srcElement:null,this.deltaY=o,this.deltaX=t,e){var r=e,s=e;void 0!==r.wheelDeltaY?this.deltaY=r.wheelDeltaY/120:void 0!==s.VERTICAL_AXIS&&s.axis===s.VERTICAL_AXIS&&(this.deltaY=-s.detail/3),
void 0!==r.wheelDeltaX?i.isSafari&&n.isWindows?this.deltaX=-r.wheelDeltaX/120:this.deltaX=r.wheelDeltaX/120:void 0!==s.HORIZONTAL_AXIS&&s.axis===s.HORIZONTAL_AXIS&&(this.deltaX=-e.detail/3),0===this.deltaY&&0===this.deltaX&&e.wheelDelta&&(this.deltaY=e.wheelDelta/120)}}return e.prototype.preventDefault=function(){this.browserEvent&&this.browserEvent.preventDefault&&this.browserEvent.preventDefault()},e.prototype.stopPropagation=function(){this.browserEvent&&this.browserEvent.stopPropagation&&this.browserEvent.stopPropagation()},e}();t.StandardMouseWheelEvent=l}),define(t[65],n([0,1,8,4]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n,o,r){void 0===t&&(t=""),void 0===n&&(n=""),void 0===o&&(o=!0),this._onDidChange=new i.Emitter,this._id=e,this._label=t,this._cssClass=n,this._enabled=o,this._actionCallback=r}return e.prototype.dispose=function(){this._onDidChange.dispose()},Object.defineProperty(e.prototype,"onDidChange",{get:function(){
return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"label",{get:function(){return this._label},set:function(e){this._setLabel(e)},enumerable:!0,configurable:!0}),e.prototype._setLabel=function(e){this._label!==e&&(this._label=e,this._onDidChange.fire({label:e}))},Object.defineProperty(e.prototype,"tooltip",{get:function(){return this._tooltip},set:function(e){this._setTooltip(e)},enumerable:!0,configurable:!0}),e.prototype._setTooltip=function(e){this._tooltip!==e&&(this._tooltip=e,this._onDidChange.fire({tooltip:e}))},Object.defineProperty(e.prototype,"class",{get:function(){return this._cssClass},set:function(e){this._setClass(e)},enumerable:!0,configurable:!0}),e.prototype._setClass=function(e){this._cssClass!==e&&(this._cssClass=e,this._onDidChange.fire({class:e}))},Object.defineProperty(e.prototype,"enabled",{get:function(){return this._enabled},
set:function(e){this._setEnabled(e)},enumerable:!0,configurable:!0}),e.prototype._setEnabled=function(e){this._enabled!==e&&(this._enabled=e,this._onDidChange.fire({enabled:e}))},Object.defineProperty(e.prototype,"checked",{get:function(){return this._checked},set:function(e){this._setChecked(e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"radio",{get:function(){return this._radio},set:function(e){this._setRadio(e)},enumerable:!0,configurable:!0}),e.prototype._setChecked=function(e){this._checked!==e&&(this._checked=e,this._onDidChange.fire({checked:e}))},e.prototype._setRadio=function(e){this._radio!==e&&(this._radio=e,this._onDidChange.fire({radio:e}))},Object.defineProperty(e.prototype,"order",{get:function(){return this._order},set:function(e){this._order=e},enumerable:!0,configurable:!0}),e.prototype.run=function(e,t){return void 0!==this._actionCallback?this._actionCallback(e):n.TPromise.as(!0)},e}();t.Action=o;var r=function(){function e(){this._onDidBeforeRun=new i.Emitter,
this._onDidRun=new i.Emitter}return Object.defineProperty(e.prototype,"onDidRun",{get:function(){return this._onDidRun.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidBeforeRun",{get:function(){return this._onDidBeforeRun.event},enumerable:!0,configurable:!0}),e.prototype.run=function(e,t){var i=this;return e.enabled?(this._onDidBeforeRun.fire({action:e}),this.runAction(e,t).then(function(t){i._onDidRun.fire({action:e,result:t})},function(t){i._onDidRun.fire({action:e,error:t})})):n.TPromise.as(null)},e.prototype.runAction=function(e,t){var i=t?e.run(t):e.run();return n.TPromise.is(i)?i:n.TPromise.wrap(i)},e.prototype.dispose=function(){this._onDidBeforeRun.dispose(),this._onDidRun.dispose()},e}();t.ActionRunner=r}),define(t[128],n([0,1,4]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i,o=Object.freeze(function(e,t){var n=setTimeout(e.bind(t),0);return{dispose:function(){clearTimeout(n)}}});!function(e){e.None=Object.freeze({
isCancellationRequested:!1,onCancellationRequested:n.Event.None}),e.Cancelled=Object.freeze({isCancellationRequested:!0,onCancellationRequested:o})}(i=t.CancellationToken||(t.CancellationToken={}));var r=function(){function e(){this._isCancelled=!1}return e.prototype.cancel=function(){this._isCancelled||(this._isCancelled=!0,this._emitter&&(this._emitter.fire(void 0),this.dispose()))},Object.defineProperty(e.prototype,"isCancellationRequested",{get:function(){return this._isCancelled},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onCancellationRequested",{get:function(){return this._isCancelled?o:(this._emitter||(this._emitter=new n.Emitter),this._emitter.event)},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._emitter&&(this._emitter.dispose(),this._emitter=void 0)},e}(),s=function(){function e(){}return Object.defineProperty(e.prototype,"token",{get:function(){return this._token||(this._token=new r),this._token},enumerable:!0,configurable:!0}),
e.prototype.cancel=function(){this._token?this._token instanceof r&&this._token.cancel():this._token=i.Cancelled},e.prototype.dispose=function(){this._token?this._token instanceof r&&this._token.dispose():this._token=i.None},e}();t.CancellationTokenSource=s}),define(t[18],n([0,1,12,8,128,2,4]),function(e,t,n,i,r,s,a){"use strict";function l(e){return e&&"function"==typeof e.then}function u(e,t){return function(e){return i.TPromise.is(e)&&"function"==typeof e.done}(e)?new i.TPromise(function(i,o,r){e.done(function(e){try{t(e)}catch(e){n.onUnexpectedError(e)}i(e)},function(e){try{t(e)}catch(e){n.onUnexpectedError(e)}o(e)},function(e){r(e)})},function(){e.cancel()}):(e.then(function(e){return t()},function(e){return t()}),e)}function c(e){function t(o){void 0!==o&&null!==o&&n.push(o);var r=e.length?e.pop()():null;return r?r.then(t):i.TPromise.as(n)}var n=[];return e=e.reverse(),i.TPromise.as(null).then(t)}Object.defineProperty(t,"__esModule",{value:!0}),t.isThenable=l,t.toThenable=function(e){
return l(e)?e:i.TPromise.as(e)},t.asWinJsPromise=function(e){var t=new r.CancellationTokenSource;return new i.TPromise(function(n,o,r){var s=e(t.token);s instanceof i.TPromise?(u(s,function(){return t.dispose()}),s.then(n,o,r)):l(s)?(u(s,function(){return t.dispose()}),s.then(n,o)):(t.dispose(),n(s))},function(){t.cancel()})},t.wireCancellationToken=function(e,t,o){var r=e.onCancellationRequested(function(){return t.cancel()});return o&&(t=t.then(void 0,function(e){if(!n.isPromiseCanceledError(e))return i.TPromise.wrapError(e)})),u(t,function(){return r.dispose()})};var d=function(){function e(){this.activePromise=null,this.queuedPromise=null,this.queuedPromiseFactory=null}return e.prototype.queue=function(e){var t=this;if(this.activePromise){if(this.queuedPromiseFactory=e,!this.queuedPromise){var n=function(){t.queuedPromise=null;var e=t.queue(t.queuedPromiseFactory);return t.queuedPromiseFactory=null,e};this.queuedPromise=new i.TPromise(function(e,i,o){t.activePromise.then(n,n,o).done(e)},function(){
t.activePromise.cancel()})}return new i.TPromise(function(e,n,i){t.queuedPromise.then(e,n,i)},function(){})}return this.activePromise=e(),new i.TPromise(function(e,n,i){t.activePromise.done(function(n){t.activePromise=null,e(n)},function(e){t.activePromise=null,n(e)},i)},function(){t.activePromise.cancel()})},e}();t.Throttler=d;var h=function(){function e(){this.current=i.TPromise.wrap(null)}return e.prototype.queue=function(e){return this.current=this.current.then(function(){return e()})},e}();t.SimpleThrottler=h;var p=function(){function e(e){this.defaultDelay=e,this.timeout=null,this.completionPromise=null,this.onSuccess=null,this.task=null}return e.prototype.trigger=function(e,t){var n=this;return void 0===t&&(t=this.defaultDelay),this.task=e,this.cancelTimeout(),this.completionPromise||(this.completionPromise=new i.TPromise(function(e){n.onSuccess=e},function(){}).then(function(){n.completionPromise=null,n.onSuccess=null;var e=n.task;return n.task=null,e()})),this.timeout=setTimeout(function(){
n.timeout=null,n.onSuccess(null)},t),this.completionPromise},e.prototype.isTriggered=function(){return null!==this.timeout},e.prototype.cancel=function(){this.cancelTimeout(),this.completionPromise&&(this.completionPromise.cancel(),this.completionPromise=null)},e.prototype.cancelTimeout=function(){null!==this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e}();t.Delayer=p;var f=function(e){function t(t){var n=e.call(this,t)||this;return n.throttler=new d,n}return o(t,e),t.prototype.trigger=function(t,n){var i=this;return e.prototype.trigger.call(this,function(){return i.throttler.queue(t)},n)},t}(p);t.ThrottledDelayer=f;var g=function(){function e(){var e=this;this._isOpen=!1,this._promise=new i.TPromise(function(t,n,i){e._completePromise=t},function(){console.warn("You should really not try to cancel this ready promise!")})}return e.prototype.isOpen=function(){return this._isOpen},e.prototype.open=function(){this._isOpen=!0,this._completePromise(!0)},e.prototype.wait=function(){return this._promise
},e}();t.Barrier=g;var m=function(e){function t(t){var i,o,r,s=this;return s=e.call(this,function(e,t,n){i=e,o=t,r=n},function(){o(n.canceled())})||this,t.then(i,o,r),s}return o(t,e),t}(i.TPromise);t.ShallowCancelThenPromise=m,t.timeout=function(e){return new i.Promise(function(t){return setTimeout(t,e)})},t.always=u,t.sequence=c,t.first=function(e,t){void 0===t&&(t=function(e){return!!e}),e=e.reverse().slice();var n=function(){return 0===e.length?i.TPromise.as(null):e.pop()().then(function(e){return t(e)?i.TPromise.as(e):n()})};return n()};var v=function(){function e(e){this.maxDegreeOfParalellism=e,this.outstandingPromises=[],this.runningPromises=0,this._onFinished=new a.Emitter}return Object.defineProperty(e.prototype,"onFinished",{get:function(){return this._onFinished.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"size",{get:function(){return this.runningPromises+this.outstandingPromises.length},enumerable:!0,configurable:!0}),e.prototype.queue=function(e){var t=this
;return new i.TPromise(function(n,i,o){t.outstandingPromises.push({factory:e,c:n,e:i,p:o}),t.consume()})},e.prototype.consume=function(){for(var e=this;this.outstandingPromises.length&&this.runningPromises<this.maxDegreeOfParalellism;){var t=this.outstandingPromises.shift();this.runningPromises++;var n=t.factory();n.done(t.c,t.e,t.p),n.done(function(){return e.consumed()},function(){return e.consumed()})}},e.prototype.consumed=function(){this.runningPromises--,this.outstandingPromises.length>0?this.consume():this._onFinished.fire()},e.prototype.dispose=function(){this._onFinished.dispose()},e}();t.Limiter=v;var _=function(e){function t(){return e.call(this,1)||this}return o(t,e),t}(v);t.Queue=_;var y=function(){function e(){this.queues=Object.create(null)}return e.prototype.queueFor=function(e){var t=this,n=e.toString();if(!this.queues[n]){var i=new _;i.onFinished(function(){i.dispose(),delete t.queues[n]}),this.queues[n]=i}return this.queues[n]},e}();t.ResourceQueue=y,t.setDisposableTimeout=function(e,t){
for(var n=[],i=2;i<arguments.length;i++)n[i-2]=arguments[i];var o=setTimeout.apply(void 0,[e,t].concat(n));return{dispose:function(){clearTimeout(o)}}};var C=function(e){function t(){var t=e.call(this)||this;return t._token=-1,t}return o(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(clearTimeout(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){var n=this;this.cancel(),this._token=setTimeout(function(){n._token=-1,e()},t)},t.prototype.setIfNotSet=function(e,t){var n=this;-1===this._token&&(this._token=setTimeout(function(){n._token=-1,e()},t))},t}(s.Disposable);t.TimeoutTimer=C;var b=function(e){function t(){var t=e.call(this)||this;return t._token=-1,t}return o(t,e),t.prototype.dispose=function(){this.cancel(),e.prototype.dispose.call(this)},t.prototype.cancel=function(){-1!==this._token&&(clearInterval(this._token),this._token=-1)},t.prototype.cancelAndSet=function(e,t){this.cancel(),
this._token=setInterval(function(){e()},t)},t}(s.Disposable);t.IntervalTimer=b;var S=function(){function e(e,t){this.timeoutToken=-1,this.runner=e,this.timeout=t,this.timeoutHandler=this.onTimeout.bind(this)}return e.prototype.dispose=function(){this.cancel(),this.runner=null},e.prototype.cancel=function(){this.isScheduled()&&(clearTimeout(this.timeoutToken),this.timeoutToken=-1)},e.prototype.schedule=function(e){void 0===e&&(e=this.timeout),this.cancel(),this.timeoutToken=setTimeout(this.timeoutHandler,e)},e.prototype.isScheduled=function(){return-1!==this.timeoutToken},e.prototype.onTimeout=function(){this.timeoutToken=-1,this.runner&&this.runner()},e}();t.RunOnceScheduler=S,t.nfcall=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return new i.TPromise(function(n,i){return e.apply(void 0,t.concat([function(e,t){return e?i(e):n(t)}]))},function(){return null})},t.ninvoke=function(e,t){for(var n=[],o=2;o<arguments.length;o++)n[o-2]=arguments[o];return new i.TPromise(function(i,o){
return t.call.apply(t,[e].concat(n,[function(e,t){return e?o(e):i(t)}]))},function(){return null})};var w=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.throttle=function(e){var t=this;return this.suspended=!0,u(e,function(){return t.resume()})},t.prototype.fire=function(t){return this.suspended?(this.lastEvent=t,void(this.hasLastEvent=!0)):e.prototype.fire.call(this,t)},t.prototype.resume=function(){this.suspended=!1,this.hasLastEvent&&this.fire(this.lastEvent),this.hasLastEvent=!1,this.lastEvent=void 0},t}(a.Emitter);t.ThrottledEmitter=w}),define(t[10],n([0,1,15,8,18,12,2,32,59,41,4,91]),function(e,t,n,i,r,s,a,l,u,c,d,h){"use strict";function p(e,t,n,i){return new N(e,t,n,i)}function f(e){if(!I){I=self.requestAnimationFrame||self.msRequestAnimationFrame||self.webkitRequestAnimationFrame||self.mozRequestAnimationFrame||self.oRequestAnimationFrame||function(e){return setTimeout(function(){return e((new Date).getTime())},0)}}return I(e)}function g(e){
return document.defaultView.getComputedStyle(e,null)}function m(e,t,n){var i=g(e),o="0";return i&&(o=i.getPropertyValue?i.getPropertyValue(t):i.getAttribute(n)),O(e,o)}function v(e){for(var t=e.offsetParent,n=e.offsetTop,i=e.offsetLeft;null!==(e=e.parentNode)&&e!==document.body&&e!==document.documentElement;){n-=e.scrollTop;var o=g(e);o&&(i-="rtl"!==o.direction?e.scrollLeft:-e.scrollLeft),e===t&&(i+=R.getBorderLeftWidth(e),n+=R.getBorderTopWidth(e),n+=e.offsetTop,i+=e.offsetLeft,t=e.offsetParent)}return{left:i,top:n}}function _(e){var t=R.getMarginLeft(e)+R.getMarginRight(e);return e.offsetWidth+t}function y(e){var t=R.getMarginLeft(e)+R.getMarginRight(e);return e.scrollWidth+t}function C(e,t){var n=t.map(function(t){return Math.max(y(t),_(t))+function(e,t){if(null===e)return 0;var n=v(e),i=v(t);return n.left-i.left}(t,e)||0});return Math.max.apply(Math,n)}function b(e){void 0===e&&(e=document.getElementsByTagName("head")[0]);var t=document.createElement("style");return t.type="text/css",t.media="screen",
e.appendChild(t),t}function S(){return P||(P=b()),P}function w(e){if(e&&e.hasAttribute("tabIndex")){if(document.activeElement===e){var t=function(e,t){for(;e;){if(e instanceof HTMLElement&&e.hasAttribute(t))return e;e=e.parentNode}return null}(e.parentElement,"tabIndex");t&&t.focus()}e.removeAttribute("tabindex")}}Object.defineProperty(t,"__esModule",{value:!0}),t.clearNode=function(e){for(;e.firstChild;)e.removeChild(e.firstChild)},t.isInDOM=function(e){for(;e;){if(e===document.body)return!0;e=e.parentNode}return!1};var E=new(function(){function e(){}return e.prototype._findClassName=function(e,t){var n=e.className;if(n){t=t.trim();var i=n.length,o=t.length;if(0!==o)if(i<o)this._lastStart=-1;else{if(n===t)return this._lastStart=0,void(this._lastEnd=i);for(var r,s=-1;(s=n.indexOf(t,s+1))>=0;){if(r=s+o,(0===s||32===n.charCodeAt(s-1))&&32===n.charCodeAt(r))return this._lastStart=s,void(this._lastEnd=r+1);if(s>0&&32===n.charCodeAt(s-1)&&r===i)return this._lastStart=s-1,void(this._lastEnd=r)
;if(0===s&&r===i)return this._lastStart=0,void(this._lastEnd=r)}this._lastStart=-1}else this._lastStart=-1}else this._lastStart=-1},e.prototype.hasClass=function(e,t){return this._findClassName(e,t),-1!==this._lastStart},e.prototype.addClass=function(e,t){e.className?(this._findClassName(e,t),-1===this._lastStart&&(e.className=e.className+" "+t)):e.className=t},e.prototype.removeClass=function(e,t){this._findClassName(e,t),-1!==this._lastStart&&(e.className=e.className.substring(0,this._lastStart)+e.className.substring(this._lastEnd))},e.prototype.toggleClass=function(e,t,n){this._findClassName(e,t),-1===this._lastStart||void 0!==n&&n||this.removeClass(e,t),-1!==this._lastStart||void 0!==n&&!n||this.addClass(e,t)},e}()),L=new(function(){function e(){}return e.prototype.hasClass=function(e,t){return t&&e.classList&&e.classList.contains(t)},e.prototype.addClass=function(e,t){t&&e.classList&&e.classList.add(t)},e.prototype.removeClass=function(e,t){t&&e.classList&&e.classList.remove(t)},
e.prototype.toggleClass=function(e,t,n){e.classList&&e.classList.toggle(t,n)},e}()),x=l.isIE?E:L;t.hasClass=x.hasClass.bind(x),t.addClass=x.addClass.bind(x),t.removeClass=x.removeClass.bind(x),t.toggleClass=x.toggleClass.bind(x);var N=function(){function e(e,t,n,i){this._node=e,this._type=t,this._handler=n,this._useCapture=i||!1,this._node.addEventListener(this._type,this._handler,this._useCapture)}return e.prototype.dispose=function(){this._handler&&(this._node.removeEventListener(this._type,this._handler,this._useCapture),this._node=null,this._handler=null)},e}();t.addDisposableListener=p,t.addStandardDisposableListener=function(e,t,n,i){var o=n;return"click"===t||"mousedown"===t?o=function(e){return function(t){return e(new c.StandardMouseEvent(t))}}(n):"keydown"!==t&&"keypress"!==t&&"keyup"!==t||(o=function(e){return function(t){return e(new u.StandardKeyboardEvent(t))}}(n)),p(e,t,o,i)},t.addDisposableNonBubblingMouseOutListener=function(e,t){return p(e,"mouseout",function(n){
for(var i=n.relatedTarget||n.toElement;i&&i!==e;)i=i.parentNode;i!==e&&t(n)})};var I=null,T=function(){function e(e,t){this._runner=e,this.priority=t,this._canceled=!1}return e.prototype.dispose=function(){this._canceled=!0},e.prototype.execute=function(){if(!this._canceled)try{this._runner()}catch(e){s.onUnexpectedError(e)}},e.sort=function(e,t){return t.priority-e.priority},e}();!function(){var e=[],n=null,i=!1,o=!1,r=function(){for(i=!1,n=e,e=[],o=!0;n.length>0;){n.sort(T.sort);n.shift().execute()}o=!1};t.scheduleAtNextAnimationFrame=function(t,n){void 0===n&&(n=0);var o=new T(t,n);return e.push(o),i||(i=!0,f(r)),o},t.runAtThisOrScheduleAtNextAnimationFrame=function(e,i){if(o){var r=new T(e,i);return n.push(r),r}return t.scheduleAtNextAnimationFrame(e,i)}}();var D=16,M=function(e,t){return t},k=function(e){function t(t,n,i,o,s){void 0===o&&(o=M),void 0===s&&(s=D);var a=e.call(this)||this,l=null,u=0,c=a._register(new r.TimeoutTimer),d=function(){u=(new Date).getTime(),i(l),l=null}
;return a._register(p(t,n,function(e){l=o(l,e);var t=(new Date).getTime()-u;t>=s?(c.cancel(),d()):c.setIfNotSet(d,s-t)})),a}return o(t,e),t}(a.Disposable);t.addDisposableThrottledListener=function(e,t,n,i,o){return new k(e,t,n,i,o)},t.getComputedStyle=g;var O=function(e,t){return parseFloat(t)||0},R={getBorderLeftWidth:function(e){return m(e,"border-left-width","borderLeftWidth")},getBorderRightWidth:function(e){return m(e,"border-right-width","borderRightWidth")},getBorderTopWidth:function(e){return m(e,"border-top-width","borderTopWidth")},getBorderBottomWidth:function(e){return m(e,"border-bottom-width","borderBottomWidth")},getPaddingLeft:function(e){return m(e,"padding-left","paddingLeft")},getPaddingRight:function(e){return m(e,"padding-right","paddingRight")},getPaddingTop:function(e){return m(e,"padding-top","paddingTop")},getPaddingBottom:function(e){return m(e,"padding-bottom","paddingBottom")},getMarginLeft:function(e){return m(e,"margin-left","marginLeft")},getMarginTop:function(e){
return m(e,"margin-top","marginTop")},getMarginRight:function(e){return m(e,"margin-right","marginRight")},getMarginBottom:function(e){return m(e,"margin-bottom","marginBottom")},__commaSentinel:!1};t.getTopLeftOffset=v,t.getDomNodePagePosition=function(e){var n=e.getBoundingClientRect();return{left:n.left+t.StandardWindow.scrollX,top:n.top+t.StandardWindow.scrollY,width:n.width,height:n.height}},t.StandardWindow=new(function(){function e(){}return Object.defineProperty(e.prototype,"scrollX",{get:function(){return"number"==typeof window.scrollX?window.scrollX:document.body.scrollLeft+document.documentElement.scrollLeft},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"scrollY",{get:function(){return"number"==typeof window.scrollY?window.scrollY:document.body.scrollTop+document.documentElement.scrollTop},enumerable:!0,configurable:!0}),e}()),t.getTotalWidth=_,t.getContentWidth=function(e){var t=R.getBorderLeftWidth(e)+R.getBorderRightWidth(e),n=R.getPaddingLeft(e)+R.getPaddingRight(e)
;return e.offsetWidth-t-n},t.getTotalScrollWidth=y,t.getContentHeight=function(e){var t=R.getBorderTopWidth(e)+R.getBorderBottomWidth(e),n=R.getPaddingTop(e)+R.getPaddingBottom(e);return e.offsetHeight-t-n},t.getTotalHeight=function(e){var t=R.getMarginTop(e)+R.getMarginBottom(e);return e.offsetHeight+t},t.getLargestChildWidth=C,t.isAncestor=function(e,t){for(;e;){if(e===t)return!0;e=e.parentNode}return!1},t.findParentWithClass=function(e,n,i){for(;e;){if(t.hasClass(e,n))return e;if(i&&t.hasClass(e,i))return null;e=e.parentNode}return null},t.createStyleSheet=b;var P=null;t.createCSSRule=function(e,t,n){void 0===n&&(n=S()),n&&t&&n.sheet.insertRule(e+"{"+t+"}",0)},t.removeCSSRulesContainingSelector=function(e,t){if(void 0===t&&(t=S()),t){for(var n=function(e){return e&&e.sheet&&e.sheet.rules?e.sheet.rules:e&&e.sheet&&e.sheet.cssRules?e.sheet.cssRules:[]}(t),i=[],o=0;o<n.length;o++)-1!==n[o].selectorText.indexOf(e)&&i.push(o);for(o=i.length-1;o>=0;o--)t.sheet.deleteRule(i[o])}},t.isHTMLElement=function(e){
return"object"==typeof HTMLElement?e instanceof HTMLElement:e&&"object"==typeof e&&1===e.nodeType&&"string"==typeof e.nodeName},t.EventType={CLICK:"click",AUXCLICK:"auxclick",DBLCLICK:"dblclick",MOUSE_UP:"mouseup",MOUSE_DOWN:"mousedown",MOUSE_OVER:"mouseover",MOUSE_MOVE:"mousemove",MOUSE_OUT:"mouseout",CONTEXT_MENU:"contextmenu",WHEEL:"wheel",KEY_DOWN:"keydown",KEY_PRESS:"keypress",KEY_UP:"keyup",LOAD:"load",UNLOAD:"unload",ABORT:"abort",ERROR:"error",RESIZE:"resize",SCROLL:"scroll",SELECT:"select",CHANGE:"change",SUBMIT:"submit",RESET:"reset",FOCUS:"focus",BLUR:"blur",INPUT:"input",STORAGE:"storage",DRAG_START:"dragstart",DRAG:"drag",DRAG_ENTER:"dragenter",DRAG_LEAVE:"dragleave",DRAG_OVER:"dragover",DROP:"drop",DRAG_END:"dragend",ANIMATION_START:l.isWebKit?"webkitAnimationStart":"animationstart",ANIMATION_END:l.isWebKit?"webkitAnimationEnd":"animationend",ANIMATION_ITERATION:l.isWebKit?"webkitAnimationIteration":"animationiteration"},t.EventHelper={stop:function(e,t){
e.preventDefault?e.preventDefault():e.returnValue=!1,t&&(e.stopPropagation?e.stopPropagation():e.cancelBubble=!0)}},t.saveParentsScrollTop=function(e){for(var t=[],n=0;e&&e.nodeType===e.ELEMENT_NODE;n++)t[n]=e.scrollTop,e=e.parentNode;return t},t.restoreParentsScrollTop=function(e,t){for(var n=0;e&&e.nodeType===e.ELEMENT_NODE;n++)e.scrollTop!==t[n]&&(e.scrollTop=t[n]),e=e.parentNode};var A=function(){function e(e){var n=this;this._onDidFocus=new d.Emitter,this.onDidFocus=this._onDidFocus.event,this._onDidBlur=new d.Emitter,this.onDidBlur=this._onDidBlur.event,this.disposables=[];var i=!1,o=!1;h.domEvent(e,t.EventType.FOCUS,!0)(function(){o=!1,i||(i=!0,n._onDidFocus.fire())},null,this.disposables),h.domEvent(e,t.EventType.BLUR,!0)(function(){i&&(o=!0,window.setTimeout(function(){o&&(o=!1,i=!1,n._onDidBlur.fire())},0))},null,this.disposables)}return e.prototype.dispose=function(){this.disposables=a.dispose(this.disposables),this._onDidFocus.dispose(),this._onDidBlur.dispose()},e}();t.trackFocus=function(e){
return new A(e)},t.append=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return t.forEach(function(t){return e.appendChild(t)}),t[t.length-1]},t.prepend=function(e,t){return e.insertBefore(t,e.firstChild),t};var F=/([\w\-]+)?(#([\w\-]+))?((.([\w\-]+))*)/;t.$=function(e,t){for(var n=[],i=2;i<arguments.length;i++)n[i-2]=arguments[i];var o=F.exec(e);if(!o)throw new Error("Bad use of emmet");var r=document.createElement(o[1]||"div");return o[3]&&(r.id=o[3]),o[4]&&(r.className=o[4].replace(/\./g," ").trim()),Object.keys(t||{}).forEach(function(e){/^on\w+$/.test(e)?r[e]=t[e]:"selected"===e?t[e]&&r.setAttribute(e,"true"):r.setAttribute(e,t[e])}),n.filter(function(e){return!!e}).forEach(function(e){e instanceof Node?r.appendChild(e):r.appendChild(document.createTextNode(e))}),r},t.join=function(e,t){var n=[];return e.forEach(function(e,i){i>0&&(t instanceof Node?n.push(t.cloneNode()):n.push(document.createTextNode(t))),n.push(e)}),n},t.show=function(){
for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,i=e;n<i.length;n++)i[n].style.display=""},t.hide=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0,i=e;n<i.length;n++)i[n].style.display="none"},t.removeTabIndexAndUpdateFocus=w,t.getElementsByTagName=function(e){return Array.prototype.slice.call(document.getElementsByTagName(e),0)},t.finalHandler=function(e){return function(t){t.preventDefault(),t.stopPropagation(),e(t)}},t.domContentLoaded=function(){return new i.TPromise(function(e,t){"complete"===document.readyState||document&&null!==document.body?n.setImmediate(e):window.addEventListener("DOMContentLoaded",e,!1)})},t.computeScreenAwareSize=function(e){var t=window.devicePixelRatio*e;return Math.max(1,Math.floor(t))/window.devicePixelRatio},t.windowOpenNoOpener=function(e){if(n.isNative)window.open(e);else{var t=window.open();t&&(t.opener=null,t.location.href=e)}}}),define(t[26],n([0,1,10]),function(e,t,n){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.domNode=e,this._maxWidth=-1,this._width=-1,this._height=-1,this._top=-1,this._left=-1,this._bottom=-1,this._right=-1,this._fontFamily="",this._fontWeight="",this._fontSize=-1,this._lineHeight=-1,this._letterSpacing=-100,this._className="",this._display="",this._position="",this._visibility="",this._layerHint=!1}return e.prototype.setMaxWidth=function(e){this._maxWidth!==e&&(this._maxWidth=e,this.domNode.style.maxWidth=this._maxWidth+"px")},e.prototype.setWidth=function(e){this._width!==e&&(this._width=e,this.domNode.style.width=this._width+"px")},e.prototype.setHeight=function(e){this._height!==e&&(this._height=e,this.domNode.style.height=this._height+"px")},e.prototype.setTop=function(e){this._top!==e&&(this._top=e,this.domNode.style.top=this._top+"px")},e.prototype.unsetTop=function(){-1!==this._top&&(this._top=-1,this.domNode.style.top="")},e.prototype.setLeft=function(e){this._left!==e&&(this._left=e,
this.domNode.style.left=this._left+"px")},e.prototype.setBottom=function(e){this._bottom!==e&&(this._bottom=e,this.domNode.style.bottom=this._bottom+"px")},e.prototype.setRight=function(e){this._right!==e&&(this._right=e,this.domNode.style.right=this._right+"px")},e.prototype.setFontFamily=function(e){this._fontFamily!==e&&(this._fontFamily=e,this.domNode.style.fontFamily=this._fontFamily)},e.prototype.setFontWeight=function(e){this._fontWeight!==e&&(this._fontWeight=e,this.domNode.style.fontWeight=this._fontWeight)},e.prototype.setFontSize=function(e){this._fontSize!==e&&(this._fontSize=e,this.domNode.style.fontSize=this._fontSize+"px")},e.prototype.setLineHeight=function(e){this._lineHeight!==e&&(this._lineHeight=e,this.domNode.style.lineHeight=this._lineHeight+"px")},e.prototype.setLetterSpacing=function(e){this._letterSpacing!==e&&(this._letterSpacing=e,this.domNode.style.letterSpacing=this._letterSpacing+"px")},e.prototype.setClassName=function(e){this._className!==e&&(this._className=e,
this.domNode.className=this._className)},e.prototype.toggleClassName=function(e,t){n.toggleClass(this.domNode,e,t),this._className=this.domNode.className},e.prototype.setDisplay=function(e){this._display!==e&&(this._display=e,this.domNode.style.display=this._display)},e.prototype.setPosition=function(e){this._position!==e&&(this._position=e,this.domNode.style.position=this._position)},e.prototype.setVisibility=function(e){this._visibility!==e&&(this._visibility=e,this.domNode.style.visibility=this._visibility)},e.prototype.setLayerHinting=function(e){this._layerHint!==e&&(this._layerHint=e,this.domNode.style.willChange=this._layerHint?"transform":"auto")},e.prototype.setAttribute=function(e,t){this.domNode.setAttribute(e,t)},e.prototype.removeAttribute=function(e){this.domNode.removeAttribute(e)},e.prototype.appendChild=function(e){this.domNode.appendChild(e.domNode)},e.prototype.removeChild=function(e){this.domNode.removeChild(e.domNode)},e}();t.FastDomNode=i,t.createFastDomNode=function(e){return new i(e)}
}),define(t[70],n([0,1,2,10,164,41]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.standardMouseMoveMerger=function(e,t){var n=new s.StandardMouseEvent(t);return n.preventDefault(),{leftButton:n.leftButton,posx:n.posx,posy:n.posy}};var a=function(e){function t(){var t=e.call(this)||this;return t.hooks=[],t.mouseMoveEventMerger=null,t.mouseMoveCallback=null,t.onStopCallback=null,t}return o(t,e),t.prototype.dispose=function(){this.stopMonitoring(!1),e.prototype.dispose.call(this)},t.prototype.stopMonitoring=function(e){if(this.isMonitoring()){this.hooks=n.dispose(this.hooks),this.mouseMoveEventMerger=null,this.mouseMoveCallback=null;var t=this.onStopCallback;this.onStopCallback=null,e&&t()}},t.prototype.isMonitoring=function(){return this.hooks.length>0},t.prototype.startMonitoring=function(e,t,n){var o=this;if(!this.isMonitoring()){this.mouseMoveEventMerger=e,this.mouseMoveCallback=t,this.onStopCallback=n
;for(var a=r.IframeUtils.getSameOriginWindowChain(),l=0;l<a.length;l++)this.hooks.push(i.addDisposableThrottledListener(a[l].window.document,"mousemove",function(e){return o.mouseMoveCallback(e)},function(e,t){return o.mouseMoveEventMerger(e,t)})),this.hooks.push(i.addDisposableListener(a[l].window.document,"mouseup",function(e){return o.stopMonitoring(!0)}));if(r.IframeUtils.hasDifferentOriginAncestor()){var u=a[a.length-1];this.hooks.push(i.addDisposableListener(u.window.document,"mouseout",function(e){"html"===new s.StandardMouseEvent(e).target.tagName.toLowerCase()&&o.stopMonitoring(!0)})),this.hooks.push(i.addDisposableListener(u.window.document,"mouseover",function(e){"html"===new s.StandardMouseEvent(e).target.tagName.toLowerCase()&&o.stopMonitoring(!0)})),this.hooks.push(i.addDisposableListener(u.window.document.body,"mouseleave",function(e){o.stopMonitoring(!0)}))}}},t}(n.Disposable);t.GlobalMouseMoveMonitor=a});var u=this&&this.__decorate||function(e,t,n,i){
var o,r=arguments.length,s=r<3?t:null===i?i=Object.getOwnPropertyDescriptor(t,n):i;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)s=Reflect.decorate(e,t,n,i);else for(var a=e.length-1;a>=0;a--)(o=e[a])&&(s=(r<3?o(s):r>3?o(t,n,s):o(t,n))||s);return r>3&&s&&Object.defineProperty(t,n,s),s};define(t[75],n([0,1,22,2,10,126]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s;!function(e){e.Tap="-monaco-gesturetap",e.Change="-monaco-gesturechange",e.Start="-monaco-gesturestart",e.End="-monaco-gesturesend",e.Contextmenu="-monaco-gesturecontextmenu"}(s=t.EventType||(t.EventType={}));var a=function(){function e(){var e=this;this.toDispose=[],this.activeTouches={},this.handle=null,this.targets=[],this.toDispose.push(o.addDisposableListener(document,"touchstart",function(t){return e.onTouchStart(t)})),this.toDispose.push(o.addDisposableListener(document,"touchend",function(t){return e.onTouchEnd(t)})),
this.toDispose.push(o.addDisposableListener(document,"touchmove",function(t){return e.onTouchMove(t)}))}return e.addTarget=function(t){e.isTouchDevice()&&(e.INSTANCE||(e.INSTANCE=new e),e.INSTANCE.targets.push(t))},e.isTouchDevice=function(){return"ontouchstart"in window||navigator.maxTouchPoints>0||window.navigator.msMaxTouchPoints>0},e.prototype.dispose=function(){this.handle&&(this.handle.dispose(),i.dispose(this.toDispose),this.handle=null)},e.prototype.onTouchStart=function(e){var t=Date.now();this.handle&&(this.handle.dispose(),this.handle=null);for(var n=0,i=e.targetTouches.length;n<i;n++){var o=e.targetTouches.item(n);this.activeTouches[o.identifier]={id:o.identifier,initialTarget:o.target,initialTimeStamp:t,initialPageX:o.pageX,initialPageY:o.pageY,rollingTimestamps:[t],rollingPageX:[o.pageX],rollingPageY:[o.pageY]};var r=this.newGestureEvent(s.Start,o.target);r.pageX=o.pageX,r.pageY=o.pageY,this.dispatchEvent(r)}this.dispatched&&(e.preventDefault(),e.stopPropagation(),this.dispatched=!1)},
e.prototype.onTouchEnd=function(t){for(var i=Date.now(),o=Object.keys(this.activeTouches).length,r=function(r,l){var u=t.changedTouches.item(r);if(!a.activeTouches.hasOwnProperty(String(u.identifier)))return console.warn("move of an UNKNOWN touch",u),"continue";var c=a.activeTouches[u.identifier],d=Date.now()-c.initialTimeStamp;if(d<e.HOLD_DELAY&&Math.abs(c.initialPageX-n.tail(c.rollingPageX))<30&&Math.abs(c.initialPageY-n.tail(c.rollingPageY))<30){(h=a.newGestureEvent(s.Tap,c.initialTarget)).pageX=n.tail(c.rollingPageX),h.pageY=n.tail(c.rollingPageY),a.dispatchEvent(h)}else if(d>=e.HOLD_DELAY&&Math.abs(c.initialPageX-n.tail(c.rollingPageX))<30&&Math.abs(c.initialPageY-n.tail(c.rollingPageY))<30){var h=a.newGestureEvent(s.Contextmenu,c.initialTarget);h.pageX=n.tail(c.rollingPageX),h.pageY=n.tail(c.rollingPageY),a.dispatchEvent(h)}else if(1===o){
var p=n.tail(c.rollingPageX),f=n.tail(c.rollingPageY),g=n.tail(c.rollingTimestamps)-c.rollingTimestamps[0],m=p-c.rollingPageX[0],v=f-c.rollingPageY[0],_=a.targets.filter(function(e){return c.initialTarget instanceof Node&&e.contains(c.initialTarget)});a.inertia(_,i,Math.abs(m)/g,m>0?1:-1,p,Math.abs(v)/g,v>0?1:-1,f)}a.dispatchEvent(a.newGestureEvent(s.End,c.initialTarget)),delete a.activeTouches[u.identifier]},a=this,l=0,u=t.changedTouches.length;l<u;l++)r(l);this.dispatched&&(t.preventDefault(),t.stopPropagation(),this.dispatched=!1)},e.prototype.newGestureEvent=function(e,t){var n=document.createEvent("CustomEvent");return n.initEvent(e,!1,!0),n.initialTarget=t,n},e.prototype.dispatchEvent=function(e){var t=this;this.targets.forEach(function(n){e.initialTarget instanceof Node&&n.contains(e.initialTarget)&&(n.dispatchEvent(e),t.dispatched=!0)})},e.prototype.inertia=function(t,n,i,r,a,l,u,c){var d=this;this.handle=o.scheduleAtNextAnimationFrame(function(){var o=Date.now(),h=o-n,p=0,f=0,g=!0
;l+=e.SCROLL_FRICTION*h,(i+=e.SCROLL_FRICTION*h)>0&&(g=!1,p=r*i*h),l>0&&(g=!1,f=u*l*h);var m=d.newGestureEvent(s.Change);m.translationX=p,m.translationY=f,t.forEach(function(e){return e.dispatchEvent(m)}),g||d.inertia(t,o,i,r,a+p,l,u,c+f)})},e.prototype.onTouchMove=function(e){for(var t=Date.now(),i=0,o=e.changedTouches.length;i<o;i++){var r=e.changedTouches.item(i);if(this.activeTouches.hasOwnProperty(String(r.identifier))){var a=this.activeTouches[r.identifier],l=this.newGestureEvent(s.Change,a.initialTarget);l.translationX=r.pageX-n.tail(a.rollingPageX),l.translationY=r.pageY-n.tail(a.rollingPageY),l.pageX=r.pageX,l.pageY=r.pageY,this.dispatchEvent(l),a.rollingPageX.length>3&&(a.rollingPageX.shift(),a.rollingPageY.shift(),a.rollingTimestamps.shift()),a.rollingPageX.push(r.pageX),a.rollingPageY.push(r.pageY),a.rollingTimestamps.push(t)}else console.warn("end of an UNKNOWN touch",r)}this.dispatched&&(e.preventDefault(),e.stopPropagation(),this.dispatched=!1)},e.SCROLL_FRICTION=-.005,e.HOLD_DELAY=700,
u([r.memoize],e,"isTouchDevice",null),e}();t.Gesture=a}),define(t[136],n([0,1,10,25,231]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){this.domNode=document.createElement("span"),this.domNode.className="monaco-highlighted-label",this.didEverRender=!1,e.appendChild(this.domNode)}return Object.defineProperty(e.prototype,"element",{get:function(){return this.domNode},enumerable:!0,configurable:!0}),e.prototype.set=function(e,t){void 0===t&&(t=[]),e||(e=""),this.didEverRender&&this.text===e&&i.equals(this.highlights,t)||(Array.isArray(t)||(t=[]),this.text=e,this.highlights=t,this.render())},e.prototype.render=function(){n.clearNode(this.domNode);for(var e,t=[],i=0,r=0;r<this.highlights.length;r++)(e=this.highlights[r]).end!==e.start&&(i<e.start&&(t.push("<span>"),t.push(o.renderOcticons(this.text.substring(i,e.start))),t.push("</span>"),i=e.end),t.push('<span class="highlight">'),t.push(o.renderOcticons(this.text.substring(e.start,e.end))),
t.push("</span>"),i=e.end);i<this.text.length&&(t.push("<span>"),t.push(o.renderOcticons(this.text.substring(i))),t.push("</span>")),this.domNode.innerHTML=t.join(""),this.didEverRender=!0},e.prototype.dispose=function(){this.text=null,this.highlights=null},e}();t.HighlightedLabel=r}),define(t[510],n([0,1,10]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.renderers=e,this.cache=new Map}return e.prototype.alloc=function(e){var t=this.getTemplateCache(e).pop();if(!t){var i=n.$(".monaco-list-row");t={domNode:i,templateId:e,templateData:this.renderers.get(e).renderTemplate(i)}}return t},e.prototype.release=function(e){e&&this.releaseRow(e)},e.prototype.releaseRow=function(e){var t=e.domNode,i=e.templateId;n.removeClass(t,"scrolling"),function(e){try{e.parentElement.removeChild(e)}catch(e){}}(t);this.getTemplateCache(i).push(e)},e.prototype.getTemplateCache=function(e){var t=this.cache.get(e);return t||(t=[],this.cache.set(e,t)),t},
e.prototype.garbageCollect=function(){var e=this;this.renderers&&(this.cache.forEach(function(t,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];e.renderers.get(n).disposeTemplate(r.templateData),r.domNode=null,r.templateData=null}}),this.cache.clear())},e.prototype.dispose=function(){this.garbageCollect(),this.cache.clear(),this.renderers=null},e}();t.RowCache=i}),define(t[210],n([0,1,2,4,10,22,15]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t,n){this.toDispose=[],this.selectElement=document.createElement("select"),this.selectElement.className="monaco-select-box",this._onDidSelect=new i.Emitter,this.styles=n,this.registerListeners(),this.setOptions(e,t)}return e.prototype.registerListeners=function(){var e=this;this.toDispose.push(o.addStandardDisposableListener(this.selectElement,"change",function(t){e.selectElement.title=t.target.value,e._onDidSelect.fire({index:t.target.selectedIndex,selected:t.target.value})})),
this.toDispose.push(o.addStandardDisposableListener(this.selectElement,"keydown",function(e){var t=!1;s.isMacintosh?18!==e.keyCode&&16!==e.keyCode&&10!==e.keyCode||(t=!0):(18===e.keyCode&&e.altKey||10===e.keyCode||3===e.keyCode)&&(t=!0),t&&e.stopPropagation()}))},Object.defineProperty(e.prototype,"onDidSelect",{get:function(){return this._onDidSelect.event},enumerable:!0,configurable:!0}),e.prototype.setOptions=function(e,t,n){var i=this;if(!this.options||!r.equals(this.options,e)){this.options=e,this.selectElement.options.length=0;var o=0;this.options.forEach(function(e){i.selectElement.add(i.createOption(e,o,n===o++))})}void 0!==t&&this.select(t)},e.prototype.select=function(e){e>=0&&e<this.options.length?this.selected=e:this.selected<0&&(this.selected=0),this.selectElement.selectedIndex=this.selected,this.selectElement.title=this.options[this.selected]},e.prototype.focus=function(){this.selectElement&&this.selectElement.focus()},e.prototype.blur=function(){this.selectElement&&this.selectElement.blur()},
e.prototype.render=function(e){o.addClass(e,"select-container"),e.appendChild(this.selectElement),this.setOptions(this.options,this.selected),this.applyStyles()},e.prototype.style=function(e){this.styles=e,this.applyStyles()},e.prototype.applyStyles=function(){if(this.selectElement){var e=this.styles.selectBackground?this.styles.selectBackground.toString():null,t=this.styles.selectForeground?this.styles.selectForeground.toString():null,n=this.styles.selectBorder?this.styles.selectBorder.toString():null;this.selectElement.style.backgroundColor=e,this.selectElement.style.color=t,this.selectElement.style.borderColor=n}},e.prototype.createOption=function(e,t,n){var i=document.createElement("option");return i.value=e,i.text=e,i.disabled=n,i},e.prototype.dispose=function(){this.toDispose=n.dispose(this.toDispose)},e}();t.SelectBoxNative=a}),define(t[45],n([0,1,2,41,59,10]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(){
return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.onclick=function(e,t){this._register(s.addDisposableListener(e,s.EventType.CLICK,function(e){return t(new i.StandardMouseEvent(e))}))},t.prototype.onmousedown=function(e,t){this._register(s.addDisposableListener(e,s.EventType.MOUSE_DOWN,function(e){return t(new i.StandardMouseEvent(e))}))},t.prototype.onmouseover=function(e,t){this._register(s.addDisposableListener(e,s.EventType.MOUSE_OVER,function(e){return t(new i.StandardMouseEvent(e))}))},t.prototype.onnonbubblingmouseout=function(e,t){this._register(s.addDisposableNonBubblingMouseOutListener(e,function(e){return t(new i.StandardMouseEvent(e))}))},t.prototype.onkeydown=function(e,t){this._register(s.addDisposableListener(e,s.EventType.KEY_DOWN,function(e){return t(new r.StandardKeyboardEvent(e))}))},t.prototype.onkeyup=function(e,t){this._register(s.addDisposableListener(e,s.EventType.KEY_UP,function(e){return t(new r.StandardKeyboardEvent(e))}))},t.prototype.oninput=function(e,t){
this._register(s.addDisposableListener(e,s.EventType.INPUT,t))},t.prototype.onblur=function(e,t){this._register(s.addDisposableListener(e,s.EventType.BLUR,t))},t.prototype.onfocus=function(e,t){this._register(s.addDisposableListener(e,s.EventType.FOCUS,t))},t.prototype.onchange=function(e,t){this._register(s.addDisposableListener(e,s.EventType.CHANGE,t))},t}(n.Disposable);t.Widget=a}),define(t[139],n([0,1,70,45,18]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ARROW_IMG_SIZE=11;var s=function(e){function i(i){var o=e.call(this)||this;return o._onActivate=i.onActivate,o.bgDomNode=document.createElement("div"),o.bgDomNode.className="arrow-background",o.bgDomNode.style.position="absolute",o.bgDomNode.style.width=i.bgWidth+"px",o.bgDomNode.style.height=i.bgHeight+"px",void 0!==i.top&&(o.bgDomNode.style.top="0px"),void 0!==i.left&&(o.bgDomNode.style.left="0px"),void 0!==i.bottom&&(o.bgDomNode.style.bottom="0px"),void 0!==i.right&&(o.bgDomNode.style.right="0px"),
o.domNode=document.createElement("div"),o.domNode.className=i.className,o.domNode.style.position="absolute",o.domNode.style.width=t.ARROW_IMG_SIZE+"px",o.domNode.style.height=t.ARROW_IMG_SIZE+"px",void 0!==i.top&&(o.domNode.style.top=i.top+"px"),void 0!==i.left&&(o.domNode.style.left=i.left+"px"),void 0!==i.bottom&&(o.domNode.style.bottom=i.bottom+"px"),void 0!==i.right&&(o.domNode.style.right=i.right+"px"),o._mouseMoveMonitor=o._register(new n.GlobalMouseMoveMonitor),o.onmousedown(o.bgDomNode,function(e){return o._arrowMouseDown(e)}),o.onmousedown(o.domNode,function(e){return o._arrowMouseDown(e)}),o._mousedownRepeatTimer=o._register(new r.IntervalTimer),o._mousedownScheduleRepeatTimer=o._register(new r.TimeoutTimer),o}return o(i,e),i.prototype._arrowMouseDown=function(e){var t=this;this._onActivate(),this._mousedownRepeatTimer.cancel(),this._mousedownScheduleRepeatTimer.cancelAndSet(function(){t._mousedownRepeatTimer.cancelAndSet(function(){return t._onActivate()},1e3/24)},200),
this._mouseMoveMonitor.startMonitoring(n.standardMouseMoveMerger,function(e){},function(){t._mousedownRepeatTimer.cancel(),t._mousedownScheduleRepeatTimer.cancel()}),e.preventDefault()},i}(i.Widget);t.ScrollbarArrow=s}),define(t[162],n([0,1,22,9,36,74,8]),function(e,t,n,i,o,r,s){"use strict";function a(e){switch(e){case 0:return"";case 1:return C+"*?";default:return"(?:"+y+"|"+C+"+"+y+"|"+y+C+"+)*?"}}function l(e,t){if(!e)return[];for(var n,i=[],o=!1,r=!1,s="",a=0;a<e.length;a++){switch(n=e[a]){case t:if(!o&&!r){i.push(s),s="";continue}break;case"{":o=!0;break;case"}":o=!1;break;case"[":r=!0;break;case"]":r=!1}s+=n}return s&&i.push(s),i}function u(e){if(!e)return"";var t="",n=l(e,_);if(n.every(function(e){return e===v}))t=".*";else{var o=!1;n.forEach(function(e,r){if(e!==v){for(var s,c=!1,d="",h=!1,p="",f=0;f<e.length;f++)if("}"!==(s=e[f])&&c)d+=s;else if(!h||"]"===s&&p)switch(s){case"{":c=!0;continue;case"[":h=!0;continue;case"}":var g="(?:"+l(d,",").map(function(e){return u(e)}).join("|")+")";t+=g,c=!1,d=""
;break;case"]":t+="["+p+"]",h=!1,p="";break;case"?":t+=C;continue;case"*":t+=a(1);continue;default:t+=i.escapeRegExpCharacters(s)}else{p+="-"===s?s:"^"!==s&&"!"!==s||p?s===_?"":i.escapeRegExpCharacters(s):"^"}r<n.length-1&&(n[r+1]!==v||r+2<n.length)&&(t+=y),o=!1}else o||(t+=a(2),o=!0)})}return t}function c(e,t){if(!e)return D;var o;o="string"!=typeof e?e.pattern:e;var r=(o=o.trim())+"_"+!!t.trimForExclusions,s=I.get(r);if(s)return d(s,e);var a;if(S.test(o)){var l=o.substr(4);s=function(e,t){return e&&i.endsWith(e,l)?o:null}}else s=(a=w.exec(h(o,t)))?function(e,t){var n="/"+e,o="\\"+e,r=function(r,s){return r?s?s===e?t:null:r===e||i.endsWith(r,n)||i.endsWith(r,o)?t:null:null},s=[e];return r.basenames=s,r.patterns=[t],r.allBasenames=s,r}(a[1],o):(t.trimForExclusions?L:E).test(o)?function(e,t){var i=m(e.slice(1,-1).split(",").map(function(e){return c(e,t)}).filter(function(e){return e!==D}),e),o=i.length;if(!o)return D;if(1===o)return i[0];var r=function(t,n){for(var o=0,r=i.length;o<r;o++)if(i[o](t,n))return e
;return null},s=n.first(i,function(e){return!!e.allBasenames});s&&(r.allBasenames=s.allBasenames);var a=i.reduce(function(e,t){return t.allPaths?e.concat(t.allPaths):e},[]);a.length&&(r.allPaths=a);return r}(o,t):(a=x.exec(h(o,t)))?p(a[1].substr(1),o,!0):(a=N.exec(h(o,t)))?p(a[1],o,!1):function(e){try{var t=new RegExp("^"+u(e)+"$");return function(n,i){return t.lastIndex=0,n&&t.test(n)?e:null}}catch(e){return D}}(o);return I.set(r,s),d(s,e)}function d(e,t){return"string"==typeof t?e:function(n,i){return o.isEqualOrParent(n,t.base)?e(o.normalize(t.pathToRelative(t.base,n)),i):null}}function h(e,t){return t.trimForExclusions&&i.endsWith(e,"/**")?e.substr(0,e.length-2):e}function p(e,t,n){var r=o.nativeSep!==o.sep?e.replace(b,o.nativeSep):e,s=o.nativeSep+r,a=n?function(e,n){return e&&(e===r||i.endsWith(e,s))?t:null}:function(e,n){return e&&e===r?t:null};return a.allPaths=[(n?"*/":"./")+e],a}function f(e,t){if(void 0===t&&(t={}),!e)return T;if("string"==typeof e||g(e)){var i=c(e,t);if(i===D)return T
;var r=function(e,t){return!!i(e,t)};return i.allBasenames&&(r.allBasenames=i.allBasenames),i.allPaths&&(r.allPaths=i.allPaths),r}return function(e,t){var i=m(Object.getOwnPropertyNames(e).map(function(n){return function(e,t,n){if(!1===t)return D;var i=c(e,n);if(i===D)return D;if("boolean"==typeof t)return i;if(t){var o=t.when;if("string"==typeof o){var r=function(t){var n=o.replace("$(basename)",t.name);return-1!==t.siblings.indexOf(n)?e:null},a=function(e,t,n){if(!i(e,t))return null;var o=n();return o?s.TPromise.is(o)?o.then(r):r(o):null};return a.requiresSiblings=!0,a}}return i}(n,e[n],t)}).filter(function(e){return e!==D})),r=i.length;if(!r)return D;if(!i.some(function(e){return e.requiresSiblings})){if(1===r)return i[0];var a=function(e,t,n){for(var o=0,r=i.length;o<r;o++){var s=i[o](e,t);if(s)return s}return null},l=n.first(i,function(e){return!!e.allBasenames});l&&(a.allBasenames=l.allBasenames);var u=i.reduce(function(e,t){return t.allPaths?e.concat(t.allPaths):e},[]);return u.length&&(a.allPaths=u),a
}var d=function(e,t,n){function r(n){if(n&&n.length){t||(t=o.basename(e));var i=t.substr(0,t.length-o.extname(e).length);return{siblings:n,name:i}}}function a(){if(!u){u=!0;var e=n();l=s.TPromise.is(e)?e.then(r):r(e)}return l}for(var l,u=!n,c=0,d=i.length;c<d;c++){var h=i[c](e,t,a);if(h)return h}return null},h=n.first(i,function(e){return!!e.allBasenames});h&&(d.allBasenames=h.allBasenames);var p=i.reduce(function(e,t){return t.allPaths?e.concat(t.allPaths):e},[]);p.length&&(d.allPaths=p);return d}(e,t)}function g(e){var t=e;return t&&"string"==typeof t.base&&"string"==typeof t.pattern&&"function"==typeof t.pathToRelative}function m(e,t){var n=e.filter(function(e){return!!e.basenames});if(n.length<2)return e;var i,o=n.reduce(function(e,t){return e.concat(t.basenames)},[]);if(t){i=[];for(var r=0,s=o.length;r<s;r++)i.push(t)}else i=n.reduce(function(e,t){return e.concat(t.patterns)},[]);var a=function(e,t){if(!e)return null;if(!t){var n=void 0;for(n=e.length;n>0;n--){var r=e.charCodeAt(n-1)
;if(47===r||92===r)break}t=e.substr(n)}var s=o.indexOf(t);return-1!==s?i[s]:null};a.basenames=o,a.patterns=i,a.allBasenames=o;var l=e.filter(function(e){return!e.basenames});return l.push(a),l}Object.defineProperty(t,"__esModule",{value:!0}),t.getEmptyExpression=function(){return Object.create(null)};var v="**",_="/",y="[/\\\\]",C="[^/\\\\]",b=/\//g;t.splitGlobAware=l;var S=/^\*\*\/\*\.[\w\.-]+$/,w=/^\*\*\/([\w\.-]+)\/?$/,E=/^{\*\*\/[\*\.]?[\w\.-]+\/?(,\*\*\/[\*\.]?[\w\.-]+\/?)*}$/,L=/^{\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?(,\*\*\/[\*\.]?[\w\.-]+(\/(\*\*)?)?)*}$/,x=/^\*\*((\/[\w\.-]+)+)\/?$/,N=/^([\w\.-]+(\/[\w\.-]+)*)\/?$/,I=new r.LRUCache(1e4),T=function(){return!1},D=function(){return null};t.match=function(e,t,n){return!(!e||!t)&&f(e)(t,void 0,n)},t.parse=f,t.isRelativePattern=g,t.parseToAsync=function(e,t){var n=f(e,t);return function(e,t,i){var o=n(e,t,i);return o instanceof s.TPromise?o:s.TPromise.as(o)}},t.getBasenameTerms=function(e){return e.allBasenames||[]},t.getPathTerms=function(e){
return e.allPaths||[]}}),define(t[73],n([0,1,22]),function(e,t,n){"use strict";function i(e){return o(e)?!e.value:!Array.isArray(e)||e.every(i)}function o(e){return e instanceof s||!(!e||"object"!=typeof e)&&("string"==typeof e.value&&("boolean"==typeof e.isTrusted||void 0===e.isTrusted))}function r(e,t){return e===t||!(!e||!t)&&(e.value===t.value&&e.isTrusted===t.isTrusted)}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){void 0===e&&(e=""),this.value=e}return e.prototype.appendText=function(e){return this.value+=e.replace(/[\\`*_{}[\]()#+\-.!]/g,"\\$&"),this},e.prototype.appendMarkdown=function(e){return this.value+=e,this},e.prototype.appendCodeblock=function(e,t){return this.value+="\n```",this.value+=e,this.value+="\n",this.value+=t,this.value+="\n```\n",this},e}();t.MarkdownString=s,t.isEmptyMarkdownString=i,t.isMarkdownString=o,t.markedStringsEquals=function(e,t){return!e&&!t||!(!e||!t)&&(Array.isArray(e)&&Array.isArray(t)?n.equals(e,t,r):!(!o(e)||!o(t))&&r(e,t))},
t.removeMarkdownEscapes=function(e){return e?e.replace(/\\([\\`*_{}[\]()#+\-.!])/g,"$1"):e}}),define(t[117],n([0,1,10,114,9,73,565]),function(e,t,n,i,o,r,s){"use strict";function a(e){var t=e.inline?"span":"div",n=document.createElement(t);return e.className&&(n.className=e.className),n}function l(e,t){void 0===t&&(t={});var n=a(t);return u(n,function(e){var t={type:1,children:[]},n=0,i=t,o=[],r=new h(e);for(;!r.eos();){var s=r.next(),a="\\"===s&&0!==c(r.peek());if(a&&(s=r.next()),!a&&function(e){return 0!==c(e)}(s)&&s===r.peek()){r.advance(),2===i.type&&(i=o.pop());var l=c(s);if(i.type===l||5===i.type&&6===l)i=o.pop();else{var u={type:l,children:[]};5===l&&(u.index=n,n++),i.children.push(u),o.push(i),i=u}}else if("\n"===s)2===i.type&&(i=o.pop()),i.children.push({type:7});else if(2!==i.type){var d={type:2,content:s};i.children.push(d),o.push(i),i=d}else i.content+=s}2===i.type&&(i=o.pop());o.length;return t}(e),t.actionHandler),n}function u(e,t,i){var o
;if(2===t.type)o=document.createTextNode(t.content);else if(3===t.type)o=document.createElement("b");else if(4===t.type)o=document.createElement("i");else if(5===t.type&&i){var r=document.createElement("a");r.href="#",i.disposeables.push(n.addStandardDisposableListener(r,"click",function(e){i.callback(String(t.index),e)})),o=r}else 7===t.type?o=document.createElement("br"):1===t.type&&(o=e);e!==o&&e.appendChild(o),Array.isArray(t.children)&&t.children.forEach(function(e){u(o,e,i)})}function c(e){switch(e){case"*":return 3;case"_":return 4;case"[":return 5;case"]":return 6;default:return 0}}Object.defineProperty(t,"__esModule",{value:!0}),t.renderText=function(e,t){void 0===t&&(t={});var n=a(t);return n.textContent=e,n},t.renderFormattedText=l,t.renderMarkdown=function(e,t){void 0===t&&(t={});var l,u=a(t),c=new Promise(function(e){return l=e}),d=new s.marked.Renderer;d.image=function(e,t,n){var i=[];if(e){var o=e.split("|").map(function(e){return e.trim()});e=o[0];var r=o[1];if(r){
var s=/height=(\d+)/.exec(r),a=/width=(\d+)/.exec(r),l=s&&s[1],u=a&&a[1],c=isFinite(parseInt(u)),d=isFinite(parseInt(l));c&&i.push('width="'+u+'"'),d&&i.push('height="'+l+'"')}}var h=[];return e&&h.push('src="'+e+'"'),n&&h.push('alt="'+n+'"'),t&&h.push('title="'+t+'"'),i.length&&(h=h.concat(i)),"<img "+h.join(" ")+">"},d.link=function(t,n,i){return t===i&&(i=r.removeMarkdownEscapes(i)),n=r.removeMarkdownEscapes(n),!(t=r.removeMarkdownEscapes(t))||t.match(/^data:|javascript:/i)||t.match(/^command:/i)&&!e.isTrusted?i:'<a href="#" data-href="'+t+'" title="'+(n||t)+'">'+i+"</a>"},d.paragraph=function(e){return"<p>"+e+"</p>"},t.codeBlockRenderer&&(d.code=function(e,n){var r=t.codeBlockRenderer(n,e),s=i.defaultGenerator.nextId(),a=Promise.all([r,c]).then(function(e){var t=e[0],n=u.querySelector('div[data-code="'+s+'"]');n&&(n.innerHTML=t)}).catch(function(e){});return t.codeBlockRenderCallback&&a.then(t.codeBlockRenderCallback),'<div class="code" data-code="'+s+'">'+o.escape(e)+"</div>"}),
t.actionHandler&&t.actionHandler.disposeables.push(n.addStandardDisposableListener(u,"click",function(e){var n=e.target;if("A"===n.tagName||(n=n.parentElement)&&"A"===n.tagName){var i=n.dataset.href;i&&t.actionHandler.callback(i,e)}}));var h={sanitize:!0,renderer:d};return u.innerHTML=s.marked(e.value,h),l(),u};var d,h=function(){function e(e){this.source=e,this.index=0}return e.prototype.eos=function(){return this.index>=this.source.length},e.prototype.next=function(){var e=this.peek();return this.advance(),e},e.prototype.peek=function(){return this.source[this.index]},e.prototype.advance=function(){this.index++},e}();!function(e){e[e.Invalid=0]="Invalid",e[e.Root=1]="Root",e[e.Text=2]="Text",e[e.Bold=3]="Bold",e[e.Italics=4]="Italics",e[e.Action=5]="Action",e[e.ActionClose=6]="ActionClose",e[e.NewLine=7]="NewLine"}(d||(d={}))}),define(t[169],n([0,1,36,9,162]),function(e,t,n,i,o){"use strict";function r(e,t){void 0===t&&(t=!1);var i=function(e){return{id:e.id,mime:e.mime,filename:e.filename,
extension:e.extension,filepattern:e.filepattern,firstline:e.firstline,userConfigured:e.userConfigured,filenameLowercase:e.filename?e.filename.toLowerCase():void 0,extensionLowercase:e.extension?e.extension.toLowerCase():void 0,filepatternLowercase:e.filepattern?e.filepattern.toLowerCase():void 0,filepatternOnPath:!!e.filepattern&&e.filepattern.indexOf(n.sep)>=0}}(e);u.push(i),i.userConfigured?d.push(i):c.push(i),t&&!i.userConfigured&&u.forEach(function(e){e.mime===i.mime||e.userConfigured||(i.extension&&e.extension===i.extension&&console.warn("Overwriting extension <<"+i.extension+">> to now point to mime <<"+i.mime+">>"),i.filename&&e.filename===i.filename&&console.warn("Overwriting filename <<"+i.filename+">> to now point to mime <<"+i.mime+">>"),i.filepattern&&e.filepattern===i.filepattern&&console.warn("Overwriting filepattern <<"+i.filepattern+">> to now point to mime <<"+i.mime+">>"),
i.firstline&&e.firstline===i.firstline&&console.warn("Overwriting firstline <<"+i.firstline+">> to now point to mime <<"+i.mime+">>"))})}function s(e,o){if(!e)return[t.MIME_UNKNOWN];e=e.toLowerCase();var r=n.basename(e),s=a(e,r,d);if(s)return[s,t.MIME_TEXT];var l=a(e,r,c);if(l)return[l,t.MIME_TEXT];if(o){var h=function(e){i.startsWithUTF8BOM(e)&&(e=e.substr(1));if(e.length>0)for(var t=0;t<u.length;++t){var n=u[t];if(n.firstline){var o=e.match(n.firstline);if(o&&o.length>0)return n.mime}}return null}(o);if(h)return[h,t.MIME_TEXT]}return[t.MIME_UNKNOWN]}function a(e,t,n){for(var r,s,a,l=n.length-1;l>=0;l--){var u=n[l];if(t===u.filenameLowercase){r=u;break}if(u.filepattern&&(!s||u.filepattern.length>s.filepattern.length)){var c=u.filepatternOnPath?e:t;o.match(u.filepatternLowercase,c)&&(s=u)}u.extension&&(!a||u.extension.length>a.extension.length)&&i.endsWith(t,u.extensionLowercase)&&(a=u)}return r?r.mime:s?s.mime:a?a.mime:null}function l(e){
return!e||("string"==typeof e?e===t.MIME_BINARY||e===t.MIME_TEXT||e===t.MIME_UNKNOWN:1===e.length&&l(e[0]))}Object.defineProperty(t,"__esModule",{value:!0}),t.MIME_TEXT="text/plain",t.MIME_BINARY="application/octet-stream",t.MIME_UNKNOWN="application/unknown";var u=[],c=[],d=[];t.registerTextMime=r,t.clearTextMimes=function(e){e?(u=u.filter(function(e){return!e.userConfigured}),d=[]):(u=[],c=[],d=[])},t.guessMimeTypes=s,t.isUnspecific=l,t.suggestFilename=function(e,t){for(var n=0;n<u.length;n++){var i=u[n];if(!i.userConfigured&&i.id===e&&i.extension)return t+i.extension}return t}}),define(t[42],n([0,1,2,4]),function(e,t,n,i){"use strict";function r(e,t){var n=t-e;return function(t){return e+n*function(e){return 1-function(e){return Math.pow(e,3)}(1-e)}(t)}}Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Auto=1]="Auto",e[e.Hidden=2]="Hidden",e[e.Visible=3]="Visible"}(t.ScrollbarVisibility||(t.ScrollbarVisibility={}));var s=function(){function e(e,t,n,i,o,r){t|=0,n|=0,i|=0,o|=0,r|=0,
(e|=0)<0&&(e=0),n+e>t&&(n=t-e),n<0&&(n=0),i<0&&(i=0),r+i>o&&(r=o-i),r<0&&(r=0),this.width=e,this.scrollWidth=t,this.scrollLeft=n,this.height=i,this.scrollHeight=o,this.scrollTop=r}return e.prototype.equals=function(e){return this.width===e.width&&this.scrollWidth===e.scrollWidth&&this.scrollLeft===e.scrollLeft&&this.height===e.height&&this.scrollHeight===e.scrollHeight&&this.scrollTop===e.scrollTop},e.prototype.withScrollDimensions=function(t){return new e(void 0!==t.width?t.width:this.width,void 0!==t.scrollWidth?t.scrollWidth:this.scrollWidth,this.scrollLeft,void 0!==t.height?t.height:this.height,void 0!==t.scrollHeight?t.scrollHeight:this.scrollHeight,this.scrollTop)},e.prototype.withScrollPosition=function(t){return new e(this.width,this.scrollWidth,void 0!==t.scrollLeft?t.scrollLeft:this.scrollLeft,this.height,this.scrollHeight,void 0!==t.scrollTop?t.scrollTop:this.scrollTop)},e.prototype.createScrollEvent=function(e){
var t=this.width!==e.width,n=this.scrollWidth!==e.scrollWidth,i=this.scrollLeft!==e.scrollLeft,o=this.height!==e.height,r=this.scrollHeight!==e.scrollHeight,s=this.scrollTop!==e.scrollTop;return{width:this.width,scrollWidth:this.scrollWidth,scrollLeft:this.scrollLeft,height:this.height,scrollHeight:this.scrollHeight,scrollTop:this.scrollTop,widthChanged:t,scrollWidthChanged:n,scrollLeftChanged:i,heightChanged:o,scrollHeightChanged:r,scrollTopChanged:s}},e}();t.ScrollState=s;var a=function(e){function t(t,n){var o=e.call(this)||this;return o._onScroll=o._register(new i.Emitter),o.onScroll=o._onScroll.event,o._smoothScrollDuration=t,o._scheduleAtNextAnimationFrame=n,o._state=new s(0,0,0,0,0,0),o._smoothScrolling=null,o}return o(t,e),t.prototype.dispose=function(){this._smoothScrolling&&(this._smoothScrolling.dispose(),this._smoothScrolling=null),e.prototype.dispose.call(this)},t.prototype.setSmoothScrollDuration=function(e){this._smoothScrollDuration=e},t.prototype.validateScrollPosition=function(e){
return this._state.withScrollPosition(e)},t.prototype.getScrollDimensions=function(){return this._state},t.prototype.setScrollDimensions=function(e){var t=this._state.withScrollDimensions(e);this._setState(t),this._smoothScrolling&&this._smoothScrolling.acceptScrollDimensions(this._state)},t.prototype.getFutureScrollPosition=function(){return this._smoothScrolling?this._smoothScrolling.to:this._state},t.prototype.getCurrentScrollPosition=function(){return this._state},t.prototype.setScrollPositionNow=function(e){var t=this._state.withScrollPosition(e);this._smoothScrolling&&(this._smoothScrolling.dispose(),this._smoothScrolling=null),this._setState(t)},t.prototype.setScrollPositionSmooth=function(e){var t=this;if(0===this._smoothScrollDuration)return this.setScrollPositionNow(e);if(this._smoothScrolling){e={scrollLeft:void 0===e.scrollLeft?this._smoothScrolling.to.scrollLeft:e.scrollLeft,scrollTop:void 0===e.scrollTop?this._smoothScrolling.to.scrollTop:e.scrollTop};i=this._state.withScrollPosition(e)
;if(this._smoothScrolling.to.scrollLeft===i.scrollLeft&&this._smoothScrolling.to.scrollTop===i.scrollTop)return;var n=this._smoothScrolling.combine(this._state,i,this._smoothScrollDuration);this._smoothScrolling.dispose(),this._smoothScrolling=n}else{var i=this._state.withScrollPosition(e);this._smoothScrolling=u.start(this._state,i,this._smoothScrollDuration)}this._smoothScrolling.animationFrameDisposable=this._scheduleAtNextAnimationFrame(function(){t._smoothScrolling&&(t._smoothScrolling.animationFrameDisposable=null,t._performSmoothScrolling())})},t.prototype._performSmoothScrolling=function(){var e=this,t=this._smoothScrolling.tick(),n=this._state.withScrollPosition(t);if(this._setState(n),t.isDone)return this._smoothScrolling.dispose(),void(this._smoothScrolling=null);this._smoothScrolling.animationFrameDisposable=this._scheduleAtNextAnimationFrame(function(){e._smoothScrolling&&(e._smoothScrolling.animationFrameDisposable=null,e._performSmoothScrolling())})},t.prototype._setState=function(e){
var t=this._state;t.equals(e)||(this._state=e,this._onScroll.fire(this._state.createScrollEvent(t)))},t}(n.Disposable);t.Scrollable=a;var l=function(){return function(e,t,n){this.scrollLeft=e,this.scrollTop=t,this.isDone=n}}();t.SmoothScrollingUpdate=l;var u=function(){function e(e,t,n,i){this.from=e,this.to=t,this.duration=i,this._startTime=n,this.animationFrameDisposable=null,this._initAnimations()}return e.prototype._initAnimations=function(){this.scrollLeft=this._initAnimation(this.from.scrollLeft,this.to.scrollLeft,this.to.width),this.scrollTop=this._initAnimation(this.from.scrollTop,this.to.scrollTop,this.to.height)},e.prototype._initAnimation=function(e,t,n){if(Math.abs(e-t)>2.5*n){var i=void 0,o=void 0;return e<t?(i=e+.75*n,o=t-.75*n):(i=e-.75*n,o=t+.75*n),function(e,t,n){return function(i){return i<n?e(i/n):t((i-n)/(1-n))}}(r(e,i),r(o,t),.33)}return r(e,t)},e.prototype.dispose=function(){null!==this.animationFrameDisposable&&(this.animationFrameDisposable.dispose(),this.animationFrameDisposable=null)
},e.prototype.acceptScrollDimensions=function(e){this.to=e.withScrollPosition(this.to),this._initAnimations()},e.prototype.tick=function(){return this._tick(Date.now())},e.prototype._tick=function(e){var t=(e-this._startTime)/this.duration;if(t<1){var n=this.scrollLeft(t),i=this.scrollTop(t);return new l(n,i,!1)}return new l(this.to.scrollLeft,this.to.scrollTop,!0)},e.prototype.combine=function(t,n,i){return e.start(t,n,i)},e.start=function(t,n,i){i+=10;return new e(t,n,Date.now()-10,i)},e}();t.SmoothScrollingOperation=u}),define(t[425],n([0,1,2,18,42]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t,n,o){var r=e.call(this)||this;return r._visibility=t,r._visibleClassName=n,r._invisibleClassName=o,r._domNode=null,r._isVisible=!1,r._isNeeded=!1,r._shouldBeVisible=!1,r._revealTimer=r._register(new i.TimeoutTimer),r}return o(t,e),t.prototype.applyVisibilitySetting=function(e){
return this._visibility!==r.ScrollbarVisibility.Hidden&&(this._visibility===r.ScrollbarVisibility.Visible||e)},t.prototype.setShouldBeVisible=function(e){var t=this.applyVisibilitySetting(e);this._shouldBeVisible!==t&&(this._shouldBeVisible=t,this.ensureVisibility())},t.prototype.setIsNeeded=function(e){this._isNeeded!==e&&(this._isNeeded=e,this.ensureVisibility())},t.prototype.setDomNode=function(e){this._domNode=e,this._domNode.setClassName(this._invisibleClassName),this.setShouldBeVisible(!1)},t.prototype.ensureVisibility=function(){this._isNeeded?this._shouldBeVisible?this._reveal():this._hide(!0):this._hide(!1)},t.prototype._reveal=function(){var e=this;this._isVisible||(this._isVisible=!0,this._revealTimer.setIfNotSet(function(){e._domNode.setClassName(e._visibleClassName)},0))},t.prototype._hide=function(e){this._revealTimer.cancel(),this._isVisible&&(this._isVisible=!1,this._domNode.setClassName(this._invisibleClassName+(e?" fade":"")))},t}(n.Disposable);t.ScrollbarVisibilityController=s}),
define(t[173],n([0,1,15,10,70,45,26,139,425]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(e){function t(t){var n=e.call(this)||this;return n._lazyRender=t.lazyRender,n._host=t.host,n._scrollable=t.scrollable,n._scrollbarState=t.scrollbarState,n._visibilityController=n._register(new u.ScrollbarVisibilityController(t.visibility,"visible scrollbar "+t.extraScrollbarClassName,"invisible scrollbar "+t.extraScrollbarClassName)),n._mouseMoveMonitor=n._register(new r.GlobalMouseMoveMonitor),n._shouldRender=!0,n.domNode=a.createFastDomNode(document.createElement("div")),n.domNode.setAttribute("role","presentation"),n.domNode.setAttribute("aria-hidden","true"),n._visibilityController.setDomNode(n.domNode),n.domNode.setPosition("absolute"),n.onmousedown(n.domNode.domNode,function(e){return n._domNodeMouseDown(e)}),n}return o(t,e),t.prototype._createArrow=function(e){var t=this._register(new l.ScrollbarArrow(e));this.domNode.domNode.appendChild(t.bgDomNode),
this.domNode.domNode.appendChild(t.domNode)},t.prototype._createSlider=function(e,t,n,i){var o=this;this.slider=a.createFastDomNode(document.createElement("div")),this.slider.setClassName("slider"),this.slider.setPosition("absolute"),this.slider.setTop(e),this.slider.setLeft(t),this.slider.setWidth(n),this.slider.setHeight(i),this.slider.setLayerHinting(!0),this.domNode.domNode.appendChild(this.slider.domNode),this.onmousedown(this.slider.domNode,function(e){e.leftButton&&(e.preventDefault(),o._sliderMouseDown(e,function(){}))})},t.prototype._onElementSize=function(e){return this._scrollbarState.setVisibleSize(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype._onElementScrollSize=function(e){return this._scrollbarState.setScrollSize(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},
t.prototype._onElementScrollPosition=function(e){return this._scrollbarState.setScrollPosition(e)&&(this._visibilityController.setIsNeeded(this._scrollbarState.isNeeded()),this._shouldRender=!0,this._lazyRender||this.render()),this._shouldRender},t.prototype.beginReveal=function(){this._visibilityController.setShouldBeVisible(!0)},t.prototype.beginHide=function(){this._visibilityController.setShouldBeVisible(!1)},t.prototype.render=function(){this._shouldRender&&(this._shouldRender=!1,this._renderDomNode(this._scrollbarState.getRectangleLargeSize(),this._scrollbarState.getRectangleSmallSize()),this._updateSlider(this._scrollbarState.getSliderSize(),this._scrollbarState.getArrowSize()+this._scrollbarState.getSliderPosition()))},t.prototype._domNodeMouseDown=function(e){e.target===this.domNode.domNode&&this._onMouseDown(e)},t.prototype.delegateMouseDown=function(e){
var t=this.domNode.domNode.getClientRects()[0].top,n=t+this._scrollbarState.getSliderPosition(),i=t+this._scrollbarState.getSliderPosition()+this._scrollbarState.getSliderSize(),o=this._sliderMousePosition(e);n<=o&&o<=i?e.leftButton&&(e.preventDefault(),this._sliderMouseDown(e,function(){})):this._onMouseDown(e)},t.prototype._onMouseDown=function(e){var t,n;if(e.target===this.domNode.domNode&&"number"==typeof e.browserEvent.offsetX&&"number"==typeof e.browserEvent.offsetY)t=e.browserEvent.offsetX,n=e.browserEvent.offsetY;else{var o=i.getDomNodePagePosition(this.domNode.domNode);t=e.posx-o.left,n=e.posy-o.top}this._setDesiredScrollPositionNow(this._scrollbarState.getDesiredScrollPositionFromOffset(this._mouseDownRelativePosition(t,n))),e.leftButton&&(e.preventDefault(),this._sliderMouseDown(e,function(){}))},t.prototype._sliderMouseDown=function(e,t){var i=this,o=this._sliderMousePosition(e),s=this._sliderOrthogonalMousePosition(e),a=this._scrollbarState.clone();this.slider.toggleClassName("active",!0),
this._mouseMoveMonitor.startMonitoring(r.standardMouseMoveMerger,function(e){var t=i._sliderOrthogonalMousePosition(e),r=Math.abs(t-s);if(n.isWindows&&r>140)i._setDesiredScrollPositionNow(a.getScrollPosition());else{var l=i._sliderMousePosition(e)-o;i._setDesiredScrollPositionNow(a.getDesiredScrollPositionFromDelta(l))}},function(){i.slider.toggleClassName("active",!1),i._host.onDragEnd(),t()}),this._host.onDragStart()},t.prototype._setDesiredScrollPositionNow=function(e){var t={};this.writeScrollPosition(t,e),this._scrollable.setScrollPositionNow(t)},t}(s.Widget);t.AbstractScrollbar=c}),define(t[428],n([0,1,173,41,42,165,139]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,n,o){var l=e.call(this,{lazyRender:n.lazyRender,host:o,scrollbarState:new s.ScrollbarState(n.horizontalHasArrows?n.arrowSize:0,n.horizontal===r.ScrollbarVisibility.Hidden?0:n.horizontalScrollbarSize,n.vertical===r.ScrollbarVisibility.Hidden?0:n.verticalScrollbarSize),
visibility:n.horizontal,extraScrollbarClassName:"horizontal",scrollable:t})||this;if(n.horizontalHasArrows){var u=(n.arrowSize-a.ARROW_IMG_SIZE)/2,c=(n.horizontalScrollbarSize-a.ARROW_IMG_SIZE)/2;l._createArrow({className:"left-arrow",top:c,left:u,bottom:void 0,right:void 0,bgWidth:n.arrowSize,bgHeight:n.horizontalScrollbarSize,onActivate:function(){return l._host.onMouseWheel(new i.StandardMouseWheelEvent(null,1,0))}}),l._createArrow({className:"right-arrow",top:c,left:void 0,bottom:void 0,right:u,bgWidth:n.arrowSize,bgHeight:n.horizontalScrollbarSize,onActivate:function(){return l._host.onMouseWheel(new i.StandardMouseWheelEvent(null,-1,0))}})}return l._createSlider(Math.floor((n.horizontalScrollbarSize-n.horizontalSliderSize)/2),0,null,n.horizontalSliderSize),l}return o(t,e),t.prototype._updateSlider=function(e,t){this.slider.setWidth(e),this.slider.setLeft(t)},t.prototype._renderDomNode=function(e,t){this.domNode.setWidth(e),this.domNode.setHeight(t),this.domNode.setLeft(0),this.domNode.setBottom(0)},
t.prototype.onDidScroll=function(e){return this._shouldRender=this._onElementScrollSize(e.scrollWidth)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(e.scrollLeft)||this._shouldRender,this._shouldRender=this._onElementSize(e.width)||this._shouldRender,this._shouldRender},t.prototype._mouseDownRelativePosition=function(e,t){return e},t.prototype._sliderMousePosition=function(e){return e.posx},t.prototype._sliderOrthogonalMousePosition=function(e){return e.posy},t.prototype.writeScrollPosition=function(e,t){e.scrollLeft=t},t}(n.AbstractScrollbar);t.HorizontalScrollbar=l}),define(t[429],n([0,1,173,41,42,165,139]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,n,o){var l=e.call(this,{lazyRender:n.lazyRender,host:o,scrollbarState:new s.ScrollbarState(n.verticalHasArrows?n.arrowSize:0,n.vertical===r.ScrollbarVisibility.Hidden?0:n.verticalScrollbarSize,0),visibility:n.vertical,extraScrollbarClassName:"vertical",scrollable:t
})||this;if(n.verticalHasArrows){var u=(n.arrowSize-a.ARROW_IMG_SIZE)/2,c=(n.verticalScrollbarSize-a.ARROW_IMG_SIZE)/2;l._createArrow({className:"up-arrow",top:u,left:c,bottom:void 0,right:void 0,bgWidth:n.verticalScrollbarSize,bgHeight:n.arrowSize,onActivate:function(){return l._host.onMouseWheel(new i.StandardMouseWheelEvent(null,0,1))}}),l._createArrow({className:"down-arrow",top:void 0,left:c,bottom:u,right:void 0,bgWidth:n.verticalScrollbarSize,bgHeight:n.arrowSize,onActivate:function(){return l._host.onMouseWheel(new i.StandardMouseWheelEvent(null,0,-1))}})}return l._createSlider(0,Math.floor((n.verticalScrollbarSize-n.verticalSliderSize)/2),n.verticalSliderSize,null),l}return o(t,e),t.prototype._updateSlider=function(e,t){this.slider.setHeight(e),this.slider.setTop(t)},t.prototype._renderDomNode=function(e,t){this.domNode.setWidth(t),this.domNode.setHeight(e),this.domNode.setRight(0),this.domNode.setTop(0)},t.prototype.onDidScroll=function(e){
return this._shouldRender=this._onElementScrollSize(e.scrollHeight)||this._shouldRender,this._shouldRender=this._onElementScrollPosition(e.scrollTop)||this._shouldRender,this._shouldRender=this._onElementSize(e.height)||this._shouldRender,this._shouldRender},t.prototype._mouseDownRelativePosition=function(e,t){return t},t.prototype._sliderMousePosition=function(e){return e.posy},t.prototype._sliderOrthogonalMousePosition=function(e){return e.posx},t.prototype.writeScrollPosition=function(e,t){e.scrollTop=t},t}(n.AbstractScrollbar);t.VerticalScrollbar=l}),define(t[430],n([0,1,8,15]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){n.Promise.is(e)?this._winjsPromise=e:this._winjsPromise=new n.Promise(function(t,n){var o=!0;e(function(e){o?i.setImmediate(function(){return t(e)}):t(e)},function(e){o?i.setImmediate(function(){return n(e)}):n(e)}),o=!1})}return e.all=function(t){return new e(n.Promise.join(t).then(null,function(e){
for(var t in e)if(e.hasOwnProperty(t))return e[t]}))},e.race=function(t){return new e(n.Promise.any(t).then(function(e){return e.value},function(e){return e.value}))},e.resolve=function(t){return new e(n.Promise.wrap(t))},e.reject=function(t){return new e(n.Promise.wrapError(t))},e.prototype.then=function(t,n){var o=!0,r=new e(this._winjsPromise.then(t&&function(e){o?i.setImmediate(function(){return t(e)}):t(e)},n&&function(e){o?i.setImmediate(function(){return t(e)}):t(e)}));return o=!1,r},e.prototype.catch=function(e){return this.then(null,e)},e}();t.PolyfillPromise=o}),define(t[174],n([0,1,12,2,8,18,15]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l="$initialize",u=!1;t.logOnceWebWorkerWarning=function(e){a.isWeb&&(u||(u=!0,console.warn("Could not create web worker(s). Falling back to loading web worker code in main thread, which might cause UI freezes. Please see https://github.com/Microsoft/monaco-editor#faq")),console.warn(e.message))};var c=function(){
function e(e){this._workerId=-1,this._handler=e,this._lastSentReq=0,this._pendingReplies=Object.create(null)}return e.prototype.setWorkerId=function(e){this._workerId=e},e.prototype.sendMessage=function(e,t){var n=String(++this._lastSentReq),i={c:null,e:null},o=new r.TPromise(function(e,t,n){i.c=e,i.e=t},function(){});return this._pendingReplies[n]=i,this._send({vsWorker:this._workerId,req:n,method:e,args:t}),o},e.prototype.handleMessage=function(e){var t;try{t=JSON.parse(e)}catch(e){}t&&t.vsWorker&&(-1!==this._workerId&&t.vsWorker!==this._workerId||this._handleMessage(t))},e.prototype._handleMessage=function(e){var t=this;if(e.seq){var i=e;if(!this._pendingReplies[i.seq])return void console.warn("Got reply to unknown seq");var o=this._pendingReplies[i.seq];if(delete this._pendingReplies[i.seq],i.err){var r=i.err;return i.err.$isError&&((r=new Error).name=i.err.name,r.message=i.err.message,r.stack=i.err.stack),void o.e(r)}o.c(i.res)}else{var s=e,a=s.req
;this._handler.handleMessage(s.method,s.args).then(function(e){t._send({vsWorker:t._workerId,seq:a,res:e,err:void 0})},function(e){e.detail instanceof Error&&(e.detail=n.transformErrorForSerialization(e.detail)),t._send({vsWorker:t._workerId,seq:a,res:void 0,err:n.transformErrorForSerialization(e)})})}},e.prototype._send=function(e){var t=JSON.stringify(e);this._handler.sendMessage(t)},e}(),d=function(e){function t(t,n){var i=e.call(this)||this,o=null,s=null;i._worker=i._register(t.create("vs/base/common/worker/simpleWorker",function(e){i._protocol.handleMessage(e)},function(e){s(e)})),i._protocol=new c({sendMessage:function(e){i._worker.postMessage(e)},handleMessage:function(e,t){return r.TPromise.as(null)}}),i._protocol.setWorkerId(i._worker.getId());var a=null;void 0!==self.require&&"function"==typeof self.require.getConfig?a=self.require.getConfig():void 0!==self.requirejs&&(a=self.requirejs.s.contexts._.config),i._lazyProxy=new r.TPromise(function(e,t,n){o=e,s=t},function(){}),
i._onModuleLoaded=i._protocol.sendMessage(l,[i._worker.getId(),n,a]),i._onModuleLoaded.then(function(e){for(var t={},n=0;n<e.length;n++)t[e[n]]=d(e[n],u);o(t)},function(e){s(e),i._onError("Worker failed to load "+n,e)});var u=function(e,t){return i._request(e,t)},d=function(e,t){return function(){var n=Array.prototype.slice.call(arguments,0);return t(e,n)}};return i}return o(t,e),t.prototype.getProxyObject=function(){return new s.ShallowCancelThenPromise(this._lazyProxy)},t.prototype._request=function(e,t){var n=this;return new r.TPromise(function(i,o,r){n._onModuleLoaded.then(function(){n._protocol.sendMessage(e,t).then(i,o)},o)},function(){})},t.prototype._onError=function(e,t){console.error(e),console.info(t)},t}(i.Disposable);t.SimpleWorkerClient=d;var h=function(){function e(e,t){var n=this;this._requestHandler=t,this._protocol=new c({sendMessage:function(t){e(t)},handleMessage:function(e,t){return n._handleMessage(e,t)}})}return e.prototype.onmessage=function(e){this._protocol.handleMessage(e)},
e.prototype._handleMessage=function(e,t){if(e===l)return this.initialize(t[0],t[1],t[2]);if(!this._requestHandler||"function"!=typeof this._requestHandler[e])return r.TPromise.wrapError(new Error("Missing requestHandler or method: "+e));try{return r.TPromise.as(this._requestHandler[e].apply(this._requestHandler,t))}catch(e){return r.TPromise.wrapError(e)}},e.prototype.initialize=function(e,t,n){var i=this;if(this._protocol.setWorkerId(e),this._requestHandler){var o=[];for(var s in this._requestHandler)"function"==typeof this._requestHandler[s]&&o.push(s);return r.TPromise.as(o)}n&&(void 0!==n.baseUrl&&delete n.baseUrl,void 0!==n.paths&&void 0!==n.paths.vs&&delete n.paths.vs,n.catchError=!0,self.require.config(n));var a,l,u=new r.TPromise(function(e,t,n){a=e,l=t});return self.require([t],function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];var n=e[0];i._requestHandler=n.create();var o=[];for(var r in i._requestHandler)"function"==typeof i._requestHandler[r]&&o.push(r);a(o)},l),u},e}()
;t.SimpleWorkerServer=h,t.create=function(e){return new h(e,null)}}),define(t[434],n([0,1,8,30]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this.modelProvider=i.isFunction(e.getModel)?e:{getModel:function(){return e}}}return e.prototype.getId=function(e,t){if(!t)return null;var n=this.modelProvider.getModel();return n===t?"__root__":n.dataSource.getId(t)},e.prototype.hasChildren=function(e,t){var n=this.modelProvider.getModel();return n&&n===t&&n.entries.length>0},e.prototype.getChildren=function(e,t){var i=this.modelProvider.getModel();return n.TPromise.as(i===t?i.entries:[])},e.prototype.getParent=function(e,t){return n.TPromise.as(null)},e}();t.DataSource=o;var r=function(){function e(e){this.modelProvider=e}return e.prototype.getAriaLabel=function(e,t){var n=this.modelProvider.getModel();return n.accessibilityProvider&&n.accessibilityProvider.getAriaLabel(t)},e.prototype.getPosInSet=function(e,t){var n=this.modelProvider.getModel()
;return String(n.entries.indexOf(t)+1)},e.prototype.getSetSize=function(){var e=this.modelProvider.getModel();return String(e.entries.length)},e}();t.AccessibilityProvider=r;var s=function(){function e(e){this.modelProvider=e}return e.prototype.isVisible=function(e,t){var n=this.modelProvider.getModel();return!n.filter||n.filter.isVisible(t)},e}();t.Filter=s;var a=function(){function e(e,t){this.modelProvider=e,this.styles=t}return e.prototype.updateStyles=function(e){this.styles=e},e.prototype.getHeight=function(e,t){return this.modelProvider.getModel().renderer.getHeight(t)},e.prototype.getTemplateId=function(e,t){return this.modelProvider.getModel().renderer.getTemplateId(t)},e.prototype.renderTemplate=function(e,t,n){return this.modelProvider.getModel().renderer.renderTemplate(t,n,this.styles)},e.prototype.renderElement=function(e,t,n,i){this.modelProvider.getModel().renderer.renderElement(t,n,i,this.styles)},e.prototype.disposeTemplate=function(e,t,n){
this.modelProvider.getModel().renderer.disposeTemplate(t,n)},e}();t.Renderer=a}),define(t[108],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.PREVIEW=0]="PREVIEW",e[e.OPEN=1]="OPEN",e[e.OPEN_IN_BACKGROUND=2]="OPEN_IN_BACKGROUND"}(t.Mode||(t.Mode={}))}),define(t[440],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){this._posx=e,this._posy=t,this._target=n}return e.prototype.preventDefault=function(){},e.prototype.stopPropagation=function(){},Object.defineProperty(e.prototype,"posx",{get:function(){return this._posx},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"posy",{get:function(){return this._posy},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),e}();t.ContextMenuEvent=n;var i=function(e){function t(t){var n=e.call(this,t.posx,t.posy,t.target)||this
;return n.originalEvent=t,n}return o(t,e),t.prototype.preventDefault=function(){this.originalEvent.preventDefault()},t.prototype.stopPropagation=function(){this.originalEvent.stopPropagation()},t}(n);t.MouseContextMenuEvent=i;var r=function(e){function t(t,n,i){var o=e.call(this,t,n,i.target)||this;return o.originalEvent=i,o}return o(t,e),t.prototype.preventDefault=function(){this.originalEvent.preventDefault()},t.prototype.stopPropagation=function(){this.originalEvent.stopPropagation()},t}(n);t.KeyboardContextMenuEvent=r;var s;!function(e){e[e.COPY=0]="COPY",e[e.MOVE=1]="MOVE"}(s=t.DragOverEffect||(t.DragOverEffect={}));var a;!function(e){e[e.BUBBLE_DOWN=0]="BUBBLE_DOWN",e[e.BUBBLE_UP=1]="BUBBLE_UP"}(a=t.DragOverBubble||(t.DragOverBubble={})),t.DRAG_OVER_REJECT={accept:!1},t.DRAG_OVER_ACCEPT={accept:!0},t.DRAG_OVER_ACCEPT_BUBBLE_UP={accept:!0,bubble:a.BUBBLE_UP},t.DRAG_OVER_ACCEPT_BUBBLE_DOWN=function(e){return void 0===e&&(e=!1),{accept:!0,bubble:a.BUBBLE_DOWN,autoExpand:e}},
t.DRAG_OVER_ACCEPT_BUBBLE_UP_COPY={accept:!0,bubble:a.BUBBLE_UP,effect:s.COPY},t.DRAG_OVER_ACCEPT_BUBBLE_DOWN_COPY=function(e){return void 0===e&&(e=!1),{accept:!0,bubble:a.BUBBLE_DOWN,effect:s.COPY,autoExpand:e}}}),define(t[443],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this.elements=e}return e.prototype.update=function(e){},e.prototype.getData=function(){return this.elements},e}();t.ElementsDragAndDropData=n;var i=function(){function e(e){this.elements=e}return e.prototype.update=function(e){},e.prototype.getData=function(){return this.elements},e}();t.ExternalElementsDragAndDropData=i;var o=function(){function e(){this.types=[],this.files=[]}return e.prototype.update=function(e){e.dataTransfer.types&&(this.types=[],Array.prototype.push.apply(this.types,e.dataTransfer.types)),e.dataTransfer.files&&(this.files=[],Array.prototype.push.apply(this.files,e.dataTransfer.files),this.files=this.files.filter(function(e){return e.size||e.type
}))},e.prototype.getData=function(){return{types:this.types,files:this.files}},e}();t.DesktopDragAndDropData=o}),define(t[444],n([0,1,77,12,2,22,8,4]),function(e,t,n,i,r,s,a,l){"use strict";function u(e,t){for(var n=e.getHierarchy(),i=t.getHierarchy(),o=n[s.commonPrefixLength(n,i)-1],r=o.getNavigator(),a=null,l=null,u=0,c=[];o&&(null===a||null===l);)c.push(o),o===e&&(a=u),o===t&&(l=u),u++,o=r.next();if(null===a||null===l)return[];var d=Math.min(a,l),h=Math.max(a,l);return c.slice(d,h+1)}Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e){this._onDispose=new l.Emitter,this.onDispose=this._onDispose.event,this._item=e}return Object.defineProperty(e.prototype,"item",{get:function(){return this._item},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._onDispose&&(this._onDispose.fire(),this._onDispose.dispose(),this._onDispose=null)},e}();t.LockData=c;var d=function(){function e(){this.locks=Object.create({})}return e.prototype.isLocked=function(e){
return!!this.locks[e.id]},e.prototype.run=function(e,t){var n=this,i=this.getLock(e);if(i){var o;return new a.TPromise(function(r,s){o=l.once(i.onDispose)(function(){return n.run(e,t).then(r,s)})},function(){o.dispose()})}var r;return new a.TPromise(function(i,o){if(e.isDisposed())return o(new Error("Item is disposed."));var s=n.locks[e.id]=new c(e);return r=t().then(function(t){return delete n.locks[e.id],s.dispose(),t}).then(i,o)},function(){return r.cancel()})},e.prototype.getLock=function(e){var t;for(t in this.locks){var n=this.locks[t];if(e.intersects(n.item))return n}return null},e}();t.Lock=d;var h=function(){function e(){this._isDisposed=!1,this._onDidRevealItem=new l.EventMultiplexer,this.onDidRevealItem=this._onDidRevealItem.event,this._onExpandItem=new l.EventMultiplexer,this.onExpandItem=this._onExpandItem.event,this._onDidExpandItem=new l.EventMultiplexer,this.onDidExpandItem=this._onDidExpandItem.event,this._onCollapseItem=new l.EventMultiplexer,this.onCollapseItem=this._onCollapseItem.event,
this._onDidCollapseItem=new l.EventMultiplexer,this.onDidCollapseItem=this._onDidCollapseItem.event,this._onDidAddTraitItem=new l.EventMultiplexer,this.onDidAddTraitItem=this._onDidAddTraitItem.event,this._onDidRemoveTraitItem=new l.EventMultiplexer,this.onDidRemoveTraitItem=this._onDidRemoveTraitItem.event,this._onDidRefreshItem=new l.EventMultiplexer,this.onDidRefreshItem=this._onDidRefreshItem.event,this._onRefreshItemChildren=new l.EventMultiplexer,this.onRefreshItemChildren=this._onRefreshItemChildren.event,this._onDidRefreshItemChildren=new l.EventMultiplexer,this.onDidRefreshItemChildren=this._onDidRefreshItemChildren.event,this._onDidDisposeItem=new l.EventMultiplexer,this.onDidDisposeItem=this._onDidDisposeItem.event,this.items={}}return e.prototype.register=function(e){n.ok(!this.isRegistered(e.id),"item already registered: "+e.id)
;var t=r.combinedDisposable([this._onDidRevealItem.add(e.onDidReveal),this._onExpandItem.add(e.onExpand),this._onDidExpandItem.add(e.onDidExpand),this._onCollapseItem.add(e.onCollapse),this._onDidCollapseItem.add(e.onDidCollapse),this._onDidAddTraitItem.add(e.onDidAddTrait),this._onDidRemoveTraitItem.add(e.onDidRemoveTrait),this._onDidRefreshItem.add(e.onDidRefresh),this._onRefreshItemChildren.add(e.onRefreshChildren),this._onDidRefreshItemChildren.add(e.onDidRefreshChildren),this._onDidDisposeItem.add(e.onDidDispose)]);this.items[e.id]={item:e,disposable:t}},e.prototype.deregister=function(e){n.ok(this.isRegistered(e.id),"item not registered: "+e.id),this.items[e.id].disposable.dispose(),delete this.items[e.id]},e.prototype.isRegistered=function(e){return this.items.hasOwnProperty(e)},e.prototype.getItem=function(e){var t=this.items[e];return t?t.item:null},e.prototype.dispose=function(){this.items=null,this._onDidRevealItem.dispose(),this._onExpandItem.dispose(),this._onDidExpandItem.dispose(),
this._onCollapseItem.dispose(),this._onDidCollapseItem.dispose(),this._onDidAddTraitItem.dispose(),this._onDidRemoveTraitItem.dispose(),this._onDidRefreshItem.dispose(),this._onRefreshItemChildren.dispose(),this._onDidRefreshItemChildren.dispose(),this._isDisposed=!0},e.prototype.isDisposed=function(){return this._isDisposed},e}();t.ItemRegistry=h;var p=function(){function e(e,t,n,i,o){this._onDidCreate=new l.Emitter,this.onDidCreate=this._onDidCreate.event,this._onDidReveal=new l.Emitter,this.onDidReveal=this._onDidReveal.event,this._onExpand=new l.Emitter,this.onExpand=this._onExpand.event,this._onDidExpand=new l.Emitter,this.onDidExpand=this._onDidExpand.event,this._onCollapse=new l.Emitter,this.onCollapse=this._onCollapse.event,this._onDidCollapse=new l.Emitter,this.onDidCollapse=this._onDidCollapse.event,this._onDidAddTrait=new l.Emitter,this.onDidAddTrait=this._onDidAddTrait.event,this._onDidRemoveTrait=new l.Emitter,this.onDidRemoveTrait=this._onDidRemoveTrait.event,this._onDidRefresh=new l.Emitter,
this.onDidRefresh=this._onDidRefresh.event,this._onRefreshChildren=new l.Emitter,this.onRefreshChildren=this._onRefreshChildren.event,this._onDidRefreshChildren=new l.Emitter,this.onDidRefreshChildren=this._onDidRefreshChildren.event,this._onDidDispose=new l.Emitter,this.onDidDispose=this._onDidDispose.event,this.registry=t,this.context=n,this.lock=i,this.element=o,this.id=e,this.registry.register(this),this.doesHaveChildren=this.context.dataSource.hasChildren(this.context.tree,this.element),this.needsChildrenRefresh=!0,this.parent=null,this.previous=null,this.next=null,this.firstChild=null,this.lastChild=null,this.traits={},this.depth=0,this.expanded=this.context.dataSource.shouldAutoexpand&&this.context.dataSource.shouldAutoexpand(this.context.tree,o),this._onDidCreate.fire(this),this.visible=this._isVisible(),this.height=this._getHeight(),this._isDisposed=!1}return e.prototype.getElement=function(){return this.element},e.prototype.hasChildren=function(){return this.doesHaveChildren},
e.prototype.getDepth=function(){return this.depth},e.prototype.isVisible=function(){return this.visible},e.prototype.setVisible=function(e){this.visible=e},e.prototype.isExpanded=function(){return this.expanded},e.prototype._setExpanded=function(e){this.expanded=e},e.prototype.reveal=function(e){void 0===e&&(e=null);var t={item:this,relativeTop:e};this._onDidReveal.fire(t)},e.prototype.expand=function(){var e=this;if(this.isExpanded()||!this.doesHaveChildren||this.lock.isLocked(this))return a.TPromise.as(!1);return this.lock.run(this,function(){var t={item:e};return e._onExpand.fire(t),(e.needsChildrenRefresh?e.refreshChildren(!1,!0,!0):a.TPromise.as(null)).then(function(){return e._setExpanded(!0),e._onDidExpand.fire(t),!0})}).then(function(t){return!e.isDisposed()&&(e.context.options.autoExpandSingleChildren&&t&&null!==e.firstChild&&e.firstChild===e.lastChild&&e.firstChild.isVisible()?e.firstChild.expand().then(function(){return!0}):t)})},e.prototype.collapse=function(e){var t=this;if(void 0===e&&(e=!1),e){
var n=a.TPromise.as(null);return this.forEachChild(function(e){n=n.then(function(){return e.collapse(!0)})}),n.then(function(){return t.collapse(!1)})}return!this.isExpanded()||this.lock.isLocked(this)?a.TPromise.as(!1):this.lock.run(this,function(){var e={item:t};return t._onCollapse.fire(e),t._setExpanded(!1),t._onDidCollapse.fire(e),a.TPromise.as(!0)})},e.prototype.addTrait=function(e){var t={item:this,trait:e};this.traits[e]=!0,this._onDidAddTrait.fire(t)},e.prototype.removeTrait=function(e){var t={item:this,trait:e};delete this.traits[e],this._onDidRemoveTrait.fire(t)},e.prototype.hasTrait=function(e){return this.traits[e]||!1},e.prototype.getAllTraits=function(){var e,t=[];for(e in this.traits)this.traits.hasOwnProperty(e)&&this.traits[e]&&t.push(e);return t},e.prototype.getHeight=function(){return this.height},e.prototype.refreshChildren=function(t,n,o){var r=this;if(void 0===n&&(n=!1),void 0===o&&(o=!1),!o&&!this.isExpanded())return this.needsChildrenRefresh=!0,a.TPromise.as(this)
;this.needsChildrenRefresh=!1;var s=function(){var o={item:r,isNested:n};r._onRefreshChildren.fire(o);return(r.doesHaveChildren?r.context.dataSource.getChildren(r.context.tree,r.element):a.TPromise.as([])).then(function(n){if(r.isDisposed()||r.registry.isDisposed())return a.TPromise.as(null);if(!Array.isArray(n))return a.TPromise.wrapError(new Error("Please return an array of children."));n=n?n.slice(0):[],n=r.sort(n);for(var i={};null!==r.firstChild;)i[r.firstChild.id]=r.firstChild,r.removeChild(r.firstChild);for(var o=0,s=n.length;o<s;o++){var l=n[o],u=r.context.dataSource.getId(r.context.tree,l),c=i[u]||new e(u,r.registry,r.context,r.lock,l);c.element=l,t&&(c.needsChildrenRefresh=t),delete i[u],r.addChild(c)}for(var d in i)i.hasOwnProperty(d)&&i[d].dispose();return t?a.Promise.join(r.mapEachChild(function(e){return e.doRefresh(t,!0)})):a.TPromise.as(null)}).then(null,i.onUnexpectedError).then(function(){return r._onDidRefreshChildren.fire(o)})};return n?s():this.lock.run(this,s)},
e.prototype.doRefresh=function(e,t){return void 0===t&&(t=!1),this.doesHaveChildren=this.context.dataSource.hasChildren(this.context.tree,this.element),this.height=this._getHeight(),this.setVisible(this._isVisible()),this._onDidRefresh.fire(this),this.refreshChildren(e,t)},e.prototype.refresh=function(e){return this.doRefresh(e)},e.prototype.getNavigator=function(){return new g(this)},e.prototype.intersects=function(e){return this.isAncestorOf(e)||e.isAncestorOf(this)},e.prototype.getHierarchy=function(){var e=[],t=this;do{e.push(t),t=t.parent}while(t);return e.reverse(),e},e.prototype.getChildren=function(){for(var e=this.firstChild,t=[];e;)t.push(e),e=e.next;return t},e.prototype.isAncestorOf=function(e){for(;e;){if(e.id===this.id)return!0;e=e.parent}return!1},e.prototype.addChild=function(e,t){void 0===t&&(t=this.lastChild);var n=null===this.firstChild,i=null===t,o=t===this.lastChild;n?(this.firstChild=this.lastChild=e,e.next=e.previous=null):i?(this.firstChild.previous=e,e.next=this.firstChild,
e.previous=null,this.firstChild=e):o?(this.lastChild.next=e,e.next=null,e.previous=this.lastChild,this.lastChild=e):(e.previous=t,e.next=t.next,t.next.previous=e,t.next=e),e.parent=this,e.depth=this.depth+1},e.prototype.removeChild=function(e){var t=this.firstChild===e,n=this.lastChild===e;t&&n?this.firstChild=this.lastChild=null:t?(e.next.previous=null,this.firstChild=e.next):n?(e.previous.next=null,this.lastChild=e.previous):(e.next.previous=e.previous,e.previous.next=e.next),e.parent=null,e.depth=null},e.prototype.forEachChild=function(e){for(var t,n=this.firstChild;n;)t=n.next,e(n),n=t},e.prototype.mapEachChild=function(e){var t=[];return this.forEachChild(function(n){t.push(e(n))}),t},e.prototype.sort=function(e){var t=this;return this.context.sorter?e.sort(function(e,n){return t.context.sorter.compare(t.context.tree,e,n)}):e},e.prototype._getHeight=function(){return this.context.renderer.getHeight(this.context.tree,this.element)},e.prototype._isVisible=function(){
return this.context.filter.isVisible(this.context.tree,this.element)},e.prototype.isDisposed=function(){return this._isDisposed},e.prototype.dispose=function(){this.forEachChild(function(e){return e.dispose()}),this.parent=null,this.previous=null,this.next=null,this.firstChild=null,this.lastChild=null,this._onDidDispose.fire(this),this.registry.deregister(this),this._onDidCreate.dispose(),this._onDidReveal.dispose(),this._onExpand.dispose(),this._onDidExpand.dispose(),this._onCollapse.dispose(),this._onDidCollapse.dispose(),this._onDidAddTrait.dispose(),this._onDidRemoveTrait.dispose(),this._onDidRefresh.dispose(),this._onRefreshChildren.dispose(),this._onDidRefreshChildren.dispose(),this._onDidDispose.dispose(),this._isDisposed=!0},e}();t.Item=p;var f=function(e){function t(t,n,i,o,r){return e.call(this,t,n,i,o,r)||this}return o(t,e),t.prototype.isVisible=function(){return!1},t.prototype.setVisible=function(e){},t.prototype.isExpanded=function(){return!0},t.prototype._setExpanded=function(e){},
t.prototype.render=function(){},t.prototype._getHeight=function(){return 0},t.prototype._isVisible=function(){return!1},t}(p),g=function(){function e(e,t){void 0===t&&(t=!0),this.item=e,this.start=t?e:null}return e.lastDescendantOf=function(t){return t?t instanceof f?e.lastDescendantOf(t.lastChild):t.isVisible()?t.isExpanded()&&null!==t.lastChild?e.lastDescendantOf(t.lastChild):t:e.lastDescendantOf(t.previous):null},e.prototype.current=function(){return this.item||null},e.prototype.next=function(){if(this.item)do{if((this.item instanceof f||this.item.isVisible()&&this.item.isExpanded())&&this.item.firstChild)this.item=this.item.firstChild;else if(this.item===this.start)this.item=null;else{for(;this.item&&this.item!==this.start&&!this.item.next;)this.item=this.item.parent;this.item===this.start&&(this.item=null),this.item=this.item?this.item.next:null}}while(this.item&&!this.item.isVisible());return this.item||null},e.prototype.previous=function(){if(this.item)do{var t=e.lastDescendantOf(this.item.previous)
;t?this.item=t:this.item.parent&&this.item.parent!==this.start&&this.item.parent.isVisible()?this.item=this.item.parent:this.item=null}while(this.item&&!this.item.isVisible());return this.item||null},e.prototype.parent=function(){if(this.item){var e=this.item.parent;e&&e!==this.start&&e.isVisible()?this.item=e:this.item=null}return this.item||null},e.prototype.first=function(){return this.item=this.start,this.next(),this.item||null},e.prototype.last=function(){return e.lastDescendantOf(this.start)},e}();t.TreeNavigator=g;var m=function(){function e(e){this._onSetInput=new l.Emitter,this.onSetInput=this._onSetInput.event,this._onDidSetInput=new l.Emitter,this.onDidSetInput=this._onDidSetInput.event,this._onRefresh=new l.Emitter,this.onRefresh=this._onRefresh.event,this._onDidRefresh=new l.Emitter,this.onDidRefresh=this._onDidRefresh.event,this._onDidHighlight=new l.Emitter,this.onDidHighlight=this._onDidHighlight.event,this._onDidSelect=new l.Emitter,this.onDidSelect=this._onDidSelect.event,
this._onDidFocus=new l.Emitter,this.onDidFocus=this._onDidFocus.event,this._onDidRevealItem=new l.Relay,this.onDidRevealItem=this._onDidRevealItem.event,this._onExpandItem=new l.Relay,this.onExpandItem=this._onExpandItem.event,this._onDidExpandItem=new l.Relay,this.onDidExpandItem=this._onDidExpandItem.event,this._onCollapseItem=new l.Relay,this.onCollapseItem=this._onCollapseItem.event,this._onDidCollapseItem=new l.Relay,this.onDidCollapseItem=this._onDidCollapseItem.event,this._onDidAddTraitItem=new l.Relay,this.onDidAddTraitItem=this._onDidAddTraitItem.event,this._onDidRemoveTraitItem=new l.Relay,this.onDidRemoveTraitItem=this._onDidRemoveTraitItem.event,this._onDidRefreshItem=new l.Relay,this.onDidRefreshItem=this._onDidRefreshItem.event,this._onRefreshItemChildren=new l.Relay,this.onRefreshItemChildren=this._onRefreshItemChildren.event,this._onDidRefreshItemChildren=new l.Relay,this.onDidRefreshItemChildren=this._onDidRefreshItemChildren.event,this._onDidDisposeItem=new l.Relay,
this.onDidDisposeItem=this._onDidDisposeItem.event,this.context=e,this.input=null,this.traitsToItems={}}return e.prototype.setInput=function(e){var t=this,n={item:this.input};this._onSetInput.fire(n),this.setSelection([]),this.setFocus(),this.setHighlight(),this.lock=new d,this.input&&this.input.dispose(),this.registry&&(this.registry.dispose(),this.registryDisposable.dispose()),this.registry=new h,this._onDidRevealItem.input=this.registry.onDidRevealItem,this._onExpandItem.input=this.registry.onExpandItem,this._onDidExpandItem.input=this.registry.onDidExpandItem,this._onCollapseItem.input=this.registry.onCollapseItem,this._onDidCollapseItem.input=this.registry.onDidCollapseItem,this._onDidAddTraitItem.input=this.registry.onDidAddTraitItem,this._onDidRemoveTraitItem.input=this.registry.onDidRemoveTraitItem,this._onDidRefreshItem.input=this.registry.onDidRefreshItem,this._onRefreshItemChildren.input=this.registry.onRefreshItemChildren,this._onDidRefreshItemChildren.input=this.registry.onDidRefreshItemChildren,
this._onDidDisposeItem.input=this.registry.onDidDisposeItem,this.registryDisposable=this.registry.onDidDisposeItem(function(e){return e.getAllTraits().forEach(function(n){return delete t.traitsToItems[n][e.id]})});var i=this.context.dataSource.getId(this.context.tree,e);return this.input=new f(i,this.registry,this.context,this.lock,e),n={item:this.input},this._onDidSetInput.fire(n),this.refresh(this.input)},e.prototype.getInput=function(){return this.input?this.input.getElement():null},e.prototype.refresh=function(e,t){var n=this;void 0===e&&(e=null),void 0===t&&(t=!0);var i=this.getItem(e);if(!i)return a.TPromise.as(null);var o={item:i,recursive:t};return this._onRefresh.fire(o),i.refresh(t).then(function(){n._onDidRefresh.fire(o)})},e.prototype.expand=function(e){var t=this.getItem(e);return t?t.expand():a.TPromise.as(!1)},e.prototype.expandAll=function(e){if(!e){e=[];for(var t,n=this.getNavigator();t=n.next();)e.push(t)}for(var i=[],o=0,r=e.length;o<r;o++)i.push(this.expand(e[o]));return a.Promise.join(i)
},e.prototype.collapse=function(e,t){void 0===t&&(t=!1);var n=this.getItem(e);return n?n.collapse(t):a.TPromise.as(!1)},e.prototype.collapseAll=function(e,t){void 0===e&&(e=null),void 0===t&&(t=!1),e||(e=[this.input],t=!0);for(var n=[],i=0,o=e.length;i<o;i++)n.push(this.collapse(e[i],t));return a.Promise.join(n)},e.prototype.collapseDeepestExpandedLevel=function(){for(var e=this,t=this.findDeepestExpandedLevel(this.input,0),n=[this.input],i=0;i<t;i++)n=s.flatten(n.map(function(e){return e.getChildren()}));var o=n.map(function(t){return e.collapse(t,!1)});return a.Promise.join(o)},e.prototype.findDeepestExpandedLevel=function(e,t){var n=this,i=e.getChildren().filter(function(e){return e.isExpanded()});return i.length?Math.max.apply(Math,i.map(function(e){return n.findDeepestExpandedLevel(e,t+1)})):t},e.prototype.toggleExpansion=function(e,t){return void 0===t&&(t=!1),this.isExpanded(e)?this.collapse(e,t):this.expand(e)},e.prototype.toggleExpansionAll=function(e){
for(var t=[],n=0,i=e.length;n<i;n++)t.push(this.toggleExpansion(e[n]));return a.Promise.join(t)},e.prototype.isExpanded=function(e){var t=this.getItem(e);return!!t&&t.isExpanded()},e.prototype.getExpandedElements=function(){for(var e,t=[],n=this.getNavigator();e=n.next();)e.isExpanded()&&t.push(e.getElement());return t},e.prototype.reveal=function(e,t){var n=this;return void 0===t&&(t=null),this.resolveUnknownParentChain(e).then(function(e){var t=a.TPromise.as(null);return e.forEach(function(e){t=t.then(function(){return n.expand(e)})}),t}).then(function(){var i=n.getItem(e);if(i)return i.reveal(t)})},e.prototype.resolveUnknownParentChain=function(e){var t=this;return this.context.dataSource.getParent(this.context.tree,e).then(function(e){return e?t.resolveUnknownParentChain(e).then(function(t){return t.push(e),t}):a.TPromise.as([])})},e.prototype.setHighlight=function(e,t){this.setTraits("highlighted",e?[e]:[]);var n={highlight:this.getHighlight(),payload:t};this._onDidHighlight.fire(n)},
e.prototype.getHighlight=function(e){var t=this.getElementsWithTrait("highlighted",e);return 0===t.length?null:t[0]},e.prototype.isHighlighted=function(e){var t=this.getItem(e);return!!t&&t.hasTrait("highlighted")},e.prototype.select=function(e,t){this.selectAll([e],t)},e.prototype.selectRange=function(e,t,n){var i=this.getItem(e),o=this.getItem(t);i&&o&&this.selectAll(u(i,o),n)},e.prototype.deselectRange=function(e,t,n){var i=this.getItem(e),o=this.getItem(t);i&&o&&this.deselectAll(u(i,o),n)},e.prototype.selectAll=function(e,t){this.addTraits("selected",e);var n={selection:this.getSelection(),payload:t};this._onDidSelect.fire(n)},e.prototype.deselect=function(e,t){this.deselectAll([e],t)},e.prototype.deselectAll=function(e,t){this.removeTraits("selected",e);var n={selection:this.getSelection(),payload:t};this._onDidSelect.fire(n)},e.prototype.setSelection=function(e,t){this.setTraits("selected",e);var n={selection:this.getSelection(),payload:t};this._onDidSelect.fire(n)},
e.prototype.toggleSelection=function(e,t){this.toggleTrait("selected",e);var n={selection:this.getSelection(),payload:t};this._onDidSelect.fire(n)},e.prototype.isSelected=function(e){var t=this.getItem(e);return!!t&&t.hasTrait("selected")},e.prototype.getSelection=function(e){return this.getElementsWithTrait("selected",e)},e.prototype.selectNext=function(e,t,n){void 0===e&&(e=1),void 0===t&&(t=!0);for(var i,o=this.getSelection(),r=o.length>0?o[0]:this.input,s=this.getNavigator(r,!1),a=0;a<e&&(i=s.next());a++)r=i;t?this.setSelection([r],n):this.select(r,n)},e.prototype.selectPrevious=function(e,t,n){void 0===e&&(e=1),void 0===t&&(t=!0);var i=this.getSelection(),o=null,r=null;if(0===i.length){for(s=this.getNavigator(this.input);o=s.next();)r=o;o=r}else{o=i[0];for(var s=this.getNavigator(o,!1),a=0;a<e&&(r=s.previous());a++)o=r}t?this.setSelection([o],n):this.select(o,n)},e.prototype.selectParent=function(e,t){void 0===t&&(t=!0)
;var n=this.getSelection(),i=n.length>0?n[0]:this.input,o=this.getNavigator(i,!1).parent();o&&(t?this.setSelection([o],e):this.select(o,e))},e.prototype.setFocus=function(e,t){this.setTraits("focused",e?[e]:[]);var n={focus:this.getFocus(),payload:t};this._onDidFocus.fire(n)},e.prototype.isFocused=function(e){var t=this.getItem(e);return!!t&&t.hasTrait("focused")},e.prototype.getFocus=function(e){var t=this.getElementsWithTrait("focused",e);return 0===t.length?null:t[0]},e.prototype.focusNext=function(e,t){void 0===e&&(e=1);for(var n,i=this.getFocus()||this.input,o=this.getNavigator(i,!1),r=0;r<e&&(n=o.next());r++)i=n;this.setFocus(i,t)},e.prototype.focusPrevious=function(e,t){void 0===e&&(e=1);for(var n,i=this.getFocus()||this.input,o=this.getNavigator(i,!1),r=0;r<e&&(n=o.previous());r++)i=n;this.setFocus(i,t)},e.prototype.focusParent=function(e){var t=this.getFocus()||this.input,n=this.getNavigator(t,!1).parent();n&&this.setFocus(n,e)},e.prototype.focusFirstChild=function(e){
var t=this.getItem(this.getFocus()||this.input),n=this.getNavigator(t,!1),i=n.next();n.parent()===t&&this.setFocus(i,e)},e.prototype.focusFirst=function(e,t){this.focusNth(0,e,t)},e.prototype.focusNth=function(e,t,n){for(var i=this.getParent(n),o=this.getNavigator(i),r=o.first(),s=0;s<e;s++)r=o.next();r&&this.setFocus(r,t)},e.prototype.focusLast=function(e,t){var n,i=this.getParent(t);if(t)n=i.lastChild;else{n=this.getNavigator(i).last()}n&&this.setFocus(n,e)},e.prototype.getParent=function(e){if(e){var t=this.getItem(e);if(t&&t.parent)return t.parent}return this.getItem(this.input)},e.prototype.getNavigator=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!0),new g(this.getItem(e),t)},e.prototype.getItem=function(e){return void 0===e&&(e=null),null===e?this.input:e instanceof p?e:"string"==typeof e?this.registry.getItem(e):this.registry.getItem(this.context.dataSource.getId(this.context.tree,e))},e.prototype.addTraits=function(e,t){
for(var n,i=this.traitsToItems[e]||{},o=0,r=t.length;o<r;o++)(n=this.getItem(t[o]))&&(n.addTrait(e),i[n.id]=n);this.traitsToItems[e]=i},e.prototype.removeTraits=function(e,t){var n,i,o=this.traitsToItems[e]||{};if(0===t.length){for(i in o)o.hasOwnProperty(i)&&(n=o[i]).removeTrait(e);delete this.traitsToItems[e]}else for(var r=0,s=t.length;r<s;r++)(n=this.getItem(t[r]))&&(n.removeTrait(e),delete o[n.id])},e.prototype.hasTrait=function(e,t){var n=this.getItem(t);return n&&n.hasTrait(e)},e.prototype.toggleTrait=function(e,t){var n=this.getItem(t);n&&(n.hasTrait(e)?this.removeTraits(e,[t]):this.addTraits(e,[t]))},e.prototype.setTraits=function(e,t){if(0===t.length)this.removeTraits(e,t);else{for(var n,i={},o=0,r=t.length;o<r;o++)(n=this.getItem(t[o]))&&(i[n.id]=n);var s,a=this.traitsToItems[e]||{},l=[];for(s in a)a.hasOwnProperty(s)&&(i.hasOwnProperty(s)?delete i[s]:l.push(a[s]));for(var o=0,r=l.length;o<r;o++)(n=l[o]).removeTrait(e),delete a[n.id];for(s in i)i.hasOwnProperty(s)&&((n=i[s]).addTrait(e),a[s]=n)
;this.traitsToItems[e]=a}},e.prototype.getElementsWithTrait=function(e,t){var n,i=[],o=this.traitsToItems[e]||{};for(n in o)o.hasOwnProperty(n)&&(o[n].isVisible()||t)&&i.push(o[n].getElement());return i},e.prototype.dispose=function(){this.registry&&(this.registry.dispose(),this.registry=null),this._onSetInput.dispose(),this._onDidSetInput.dispose(),this._onRefresh.dispose(),this._onDidRefresh.dispose(),this._onDidHighlight.dispose(),this._onDidSelect.dispose(),this._onDidFocus.dispose(),this._onDidRevealItem.dispose(),this._onExpandItem.dispose(),this._onDidExpandItem.dispose(),this._onCollapseItem.dispose(),this._onDidCollapseItem.dispose(),this._onDidAddTraitItem.dispose(),this._onDidRemoveTraitItem.dispose(),this._onDidRefreshItem.dispose(),this._onRefreshItemChildren.dispose(),this._onDidRefreshItemChildren.dispose(),this._onDidDisposeItem.dispose()},e}();t.TreeModel=m}),define(t[445],n([0,1,111]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){
this.heightMap=[],this.indexes={}}return e.prototype.getContentHeight=function(){var e=this.heightMap[this.heightMap.length-1];return e?e.top+e.height:0},e.prototype.onInsertItems=function(e,t){void 0===t&&(t=null);var n,i,o,r,s,a=0;if(null===t)o=0,s=0;else{if(o=this.indexes[t]+1,!(i=this.heightMap[o-1]))return void console.error("view item doesnt exist");s=i.top+i.height}for(var l=this.heightMap.splice.bind(this.heightMap,o,0),u=[];n=e.next();)(i=this.createViewItem(n)).top=s+a,this.indexes[n.id]=o++,u.push(i),a+=i.height;for(l.apply(this.heightMap,u),r=o;r<this.heightMap.length;r++)(i=this.heightMap[r]).top+=a,this.indexes[i.model.id]=r;for(r=u.length-1;r>=0;r--)this.onInsertItem(u[r]);for(r=this.heightMap.length-1;r>=o;r--)this.onRefreshItem(this.heightMap[r]);return a},e.prototype.onInsertItem=function(e){},e.prototype.onRemoveItems=function(e){for(var t,n,i,o=null,r=0;t=e.next();){if(i=this.indexes[t],!(n=this.heightMap[i]))return void console.error("view item doesnt exist");r-=n.height,
delete this.indexes[t],this.onRemoveItem(n),null===o&&(o=i)}if(0!==r)for(this.heightMap.splice(o,i-o+1),i=o;i<this.heightMap.length;i++)(n=this.heightMap[i]).top+=r,this.indexes[n.model.id]=i,this.onRefreshItem(n)},e.prototype.onRemoveItem=function(e){},e.prototype.onRefreshItemSet=function(e){var t=this,i=e.sort(function(e,n){return t.indexes[e.id]-t.indexes[n.id]});this.onRefreshItems(new n.ArrayIterator(i))},e.prototype.onRefreshItems=function(e){for(var t,n,i,o,r=null,s=0;t=e.next();){for(o=this.indexes[t.id];0!==s&&null!==r&&r<o;r++)(n=this.heightMap[r]).top+=s,this.onRefreshItem(n);n=this.heightMap[o],i=t.getHeight(),n.top+=s,s+=i-n.height,n.height=i,this.onRefreshItem(n,!0),r=o+1}if(0!==s&&null!==r)for(;r<this.heightMap.length;r++)(n=this.heightMap[r]).top+=s,this.onRefreshItem(n)},e.prototype.onRefreshItem=function(e,t){void 0===t&&(t=!1)},e.prototype.itemsCount=function(){return this.heightMap.length},e.prototype.itemAt=function(e){return this.heightMap[this.indexAt(e)].model.id},
e.prototype.withItemsInRange=function(e,t,n){e=this.indexAt(e),t=this.indexAt(t);for(var i=e;i<=t;i++)n(this.heightMap[i].model.id)},e.prototype.indexAt=function(e){for(var t,n,i=0,o=this.heightMap.length;i<o;)if(t=Math.floor((i+o)/2),n=this.heightMap[t],e<n.top)o=t;else{if(!(e>=n.top+n.height))return t;if(i===t)break;i=t}return this.heightMap.length},e.prototype.indexAfter=function(e){return Math.min(this.indexAt(e)+1,this.heightMap.length)},e.prototype.itemAtIndex=function(e){return this.heightMap[e]},e.prototype.itemAfter=function(e){return this.heightMap[this.indexes[e.model.id]+1]||null},e.prototype.createViewItem=function(e){throw new Error("not implemented")},e.prototype.dispose=function(){this.heightMap=null,this.indexes=null},e}();t.HeightMap=i}),define(t[449],n([0,1,15,174]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function t(t,i,o,r,s){this.id=i,this.worker=function(t,i){if(n.globals.MonacoEnvironment){
if("function"==typeof n.globals.MonacoEnvironment.getWorker)return n.globals.MonacoEnvironment.getWorker(t,i);if("function"==typeof n.globals.MonacoEnvironment.getWorkerUrl)return new Worker(n.globals.MonacoEnvironment.getWorkerUrl(t,i))}if("function"==typeof e)return new Worker(e.toUrl("./"+t)+"#"+i);throw new Error("You must define a function MonacoEnvironment.getWorkerUrl or MonacoEnvironment.getWorker")}("workerMain.js",o),this.postMessage(t),this.worker.onmessage=function(e){r(e.data)},"function"==typeof this.worker.addEventListener&&this.worker.addEventListener("error",s)}return t.prototype.getId=function(){return this.id},t.prototype.postMessage=function(e){this.worker&&this.worker.postMessage(e)},t.prototype.dispose=function(){this.worker.terminate(),this.worker=null},t}(),r=function(){function e(e){this._label=e,this._webWorkerFailedBeforeError=!1}return e.prototype.create=function(t,n,r){var s=this,a=++e.LAST_WORKER_ID;if(this._webWorkerFailedBeforeError)throw this._webWorkerFailedBeforeError
;return new o(t,a,this._label||"anonymous"+a,n,function(e){i.logOnceWebWorkerWarning(e),s._webWorkerFailedBeforeError=e,r(e)})},e.LAST_WORKER_ID=0,e}();t.DefaultWorkerFactory=r}),define(t[451],n([7]),{}),define(t[49],n([0,1,8,30,2,9,77,10,451]),function(e,t,n,i,r,s,a,l){"use strict";function u(e,t){a.ok(i.isString(e),"Expected String as parameter");var n=document.getElementById(e);return n?new C(n,t):null}function c(e){return e[v]||(e[v]={}),e[v]}function d(e){return!!e[v]}function h(e,t){return e instanceof b?new b(e):new C(e.getHTMLElement(),t)}function p(e,t){return new C(e,t)}function f(){return new C(null,!0)}function g(e,t,n){c(e)[t]=n}function m(e,t,n){if(d(e)){var o=c(e)[t];if(!i.isUndefined(o))return o}return n}Object.defineProperty(t,"__esModule",{value:!0}),t.withElementById=u,t.Build={withElementById:u};var v="_msDataKey",_="__$binding",y=function(){return function(e,t){this.width=e,this.height=t}}();t.Dimension=y;var C=function(){function e(e,t){this.offdom=t,this.container=e,
this.currentElement=e,this.createdElements=[],this.toUnbind={},this.captureToUnbind={}}return e.prototype.asContainer=function(){return h(this,this.offdom)},e.prototype.clone=function(){var t=new e(this.container,this.offdom);return t.currentElement=this.currentElement,t.createdElements=this.createdElements,t.captureToUnbind=this.captureToUnbind,t.toUnbind=this.toUnbind,t},e.prototype.build=function(t,n){a.ok(this.offdom,"This builder was not created off-dom, so build() can not be called."),t?t instanceof e&&(t=t.getHTMLElement()):t=this.container,a.ok(t,"Builder can only be build() with a container provided."),a.ok(l.isHTMLElement(t),"The container must either be a HTMLElement or a Builder.");var o,r,s=t,u=s.childNodes;if(i.isNumber(n)&&n<u.length)for(o=0,r=this.createdElements.length;o<r;o++)s.insertBefore(this.createdElements[o],u[n++]);else for(o=0,r=this.createdElements.length;o<r;o++)s.appendChild(this.createdElements[o]);return this},e.prototype.appendTo=function(t,n){
t?t instanceof e&&(t=t.getHTMLElement()):t=this.container,a.ok(t,"Builder can only be build() with a container provided."),a.ok(l.isHTMLElement(t),"The container must either be a HTMLElement or a Builder.");var o=t;this.currentElement.parentNode&&this.currentElement.parentNode.removeChild(this.currentElement);var r=o.childNodes;return i.isNumber(n)&&n<r.length?o.insertBefore(this.currentElement,r[n]):o.appendChild(this.currentElement),this},e.prototype.append=function(t,n){return a.ok(t,"Need a child to append"),l.isHTMLElement(t)&&(t=p(t)),a.ok(t instanceof e||t instanceof b,"Need a child to append"),t.appendTo(this,n),this},e.prototype.offDOM=function(){return this.currentElement.parentNode&&this.currentElement.parentNode.removeChild(this.currentElement),this},e.prototype.getHTMLElement=function(){return this.currentElement},e.prototype.getContainer=function(){return this.container},e.prototype.div=function(e,t){return this.doElement("div",e,t)},e.prototype.p=function(e,t){return this.doElement("p",e,t)},
e.prototype.ul=function(e,t){return this.doElement("ul",e,t)},e.prototype.li=function(e,t){return this.doElement("li",e,t)},e.prototype.span=function(e,t){return this.doElement("span",e,t)},e.prototype.img=function(e,t){return this.doElement("img",e,t)},e.prototype.a=function(e,t){return this.doElement("a",e,t)},e.prototype.element=function(e,t,n){return this.doElement(e,t,n)},e.prototype.doElement=function(t,n,o){var r=document.createElement(t);if(this.currentElement=r,this.offdom&&this.createdElements.push(r),i.isObject(n)&&this.attr(n),i.isFunction(n)&&(o=n),i.isFunction(o)){var s=new e(r);o.call(s,s)}return this.offdom||this.container.appendChild(r),this},e.prototype.domFocus=function(){return this.currentElement.focus(),this},e.prototype.domBlur=function(){return this.currentElement.blur(),this},e.prototype.on=function(e,t,n,o){var r=this;if(i.isArray(e))e.forEach(function(e){r.on(e,t,n,o)});else{var s=e,a=l.addDisposableListener(this.currentElement,s,function(e){t(e,r,a)},o||!1)
;o?(this.captureToUnbind[s]||(this.captureToUnbind[s]=[]),this.captureToUnbind[s].push(a)):(this.toUnbind[s]||(this.toUnbind[s]=[]),this.toUnbind[s].push(a));var u=this.getProperty("__$listeners",[]);u.push(a),this.setProperty("__$listeners",u),n&&i.isArray(n)&&n.push(a)}return this},e.prototype.off=function(e,t){var n=this;if(i.isArray(e))e.forEach(function(e){n.off(e)});else{var o=e;t?this.captureToUnbind[o]&&(this.captureToUnbind[o]=r.dispose(this.captureToUnbind[o])):this.toUnbind[o]&&(this.toUnbind[o]=r.dispose(this.toUnbind[o]))}return this},e.prototype.once=function(e,t,n,o){var r=this;if(i.isArray(e))e.forEach(function(e){r.once(e,t)});else{var s=e,a=l.addDisposableListener(this.currentElement,s,function(e){t(e,r,a),a.dispose()},o||!1);n&&i.isArray(n)&&n.push(a)}return this},e.prototype.attr=function(e,t){if(i.isObject(e)){for(var n in e)if(e.hasOwnProperty(n)){var o=e[n];this.doSetAttr(n,o)}return this}
return i.isString(e)&&!i.isString(t)?this.currentElement.getAttribute(e):(i.isString(e)&&(i.isString(t)||(t=String(t)),this.doSetAttr(e,t)),this)},e.prototype.doSetAttr=function(e,t){"class"===e&&(e="addClass"),this[e]?i.isArray(t)?this[e].apply(this,t):this[e].call(this,t):this.currentElement.setAttribute(e,t)},e.prototype.removeAttribute=function(e){this.currentElement.removeAttribute(e)},e.prototype.id=function(e){return this.currentElement.setAttribute("id",e),this},e.prototype.title=function(e){return this.currentElement.setAttribute("title",e),this},e.prototype.type=function(e){return this.currentElement.setAttribute("type",e),this},e.prototype.value=function(e){return this.currentElement.setAttribute("value",e),this},e.prototype.tabindex=function(e){return this.currentElement.setAttribute("tabindex",e.toString()),this},e.prototype.style=function(e,t){if(i.isObject(e)){for(var n in e)if(e.hasOwnProperty(n)){var o=e[n];this.doSetStyle(n,o)}return this}var r=i.isString(e)
;return r&&i.isUndefined(t)?this.currentElement.style[this.cssKeyToJavaScriptProperty(e)]:(r&&this.doSetStyle(e,t),this)},e.prototype.doSetStyle=function(e,t){if(e.indexOf("-")>=0){var n=e.split("-");e=n[0];for(var i=1;i<n.length;i++){var o=n[i];e=e+o.charAt(0).toUpperCase()+o.substr(1)}}this.currentElement.style[this.cssKeyToJavaScriptProperty(e)]=t},e.prototype.cssKeyToJavaScriptProperty=function(e){if(e.indexOf("-")>=0){var t=e.split("-");e=t[0];for(var n=1;n<t.length;n++){var i=t[n];e=e+i.charAt(0).toUpperCase()+i.substr(1)}}else"float"===e&&(e="cssFloat");return e},e.prototype.getComputedStyle=function(){return l.getComputedStyle(this.currentElement)},e.prototype.addClass=function(){for(var e=this,t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];return t.forEach(function(t){t.split(" ").forEach(function(t){l.addClass(e.currentElement,t)})}),this},e.prototype.setClass=function(e,t){return void 0===t&&(t=null),null===t?this.currentElement.className=e:t?this.addClass(e):this.removeClass(e),this},
e.prototype.hasClass=function(e){return l.hasClass(this.currentElement,e)},e.prototype.removeClass=function(){for(var e=this,t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];return t.forEach(function(t){t.split(" ").forEach(function(t){l.removeClass(e.currentElement,t)})}),this},e.prototype.toggleClass=function(e){return this.hasClass(e)?this.removeClass(e):this.addClass(e),this},e.prototype.color=function(e){return this.currentElement.style.color=e,this},e.prototype.padding=function(e,t,n,o){return i.isString(e)&&e.indexOf(" ")>=0?this.padding.apply(this,e.split(" ")):(i.isUndefinedOrNull(e)||(this.currentElement.style.paddingTop=this.toPixel(e)),i.isUndefinedOrNull(t)||(this.currentElement.style.paddingRight=this.toPixel(t)),i.isUndefinedOrNull(n)||(this.currentElement.style.paddingBottom=this.toPixel(n)),i.isUndefinedOrNull(o)||(this.currentElement.style.paddingLeft=this.toPixel(o)),this)},e.prototype.margin=function(e,t,n,o){
return i.isString(e)&&e.indexOf(" ")>=0?this.margin.apply(this,e.split(" ")):(i.isUndefinedOrNull(e)||(this.currentElement.style.marginTop=this.toPixel(e)),i.isUndefinedOrNull(t)||(this.currentElement.style.marginRight=this.toPixel(t)),i.isUndefinedOrNull(n)||(this.currentElement.style.marginBottom=this.toPixel(n)),i.isUndefinedOrNull(o)||(this.currentElement.style.marginLeft=this.toPixel(o)),this)},e.prototype.position=function(e,t,n,o,r){return i.isString(e)&&e.indexOf(" ")>=0?this.position.apply(this,e.split(" ")):(i.isUndefinedOrNull(e)||(this.currentElement.style.top=this.toPixel(e)),i.isUndefinedOrNull(t)||(this.currentElement.style.right=this.toPixel(t)),i.isUndefinedOrNull(n)||(this.currentElement.style.bottom=this.toPixel(n)),i.isUndefinedOrNull(o)||(this.currentElement.style.left=this.toPixel(o)),r||(r="absolute"),this.currentElement.style.position=r,this)},e.prototype.size=function(e,t){
return i.isString(e)&&e.indexOf(" ")>=0?this.size.apply(this,e.split(" ")):(i.isUndefinedOrNull(e)||(this.currentElement.style.width=this.toPixel(e)),i.isUndefinedOrNull(t)||(this.currentElement.style.height=this.toPixel(t)),this)},e.prototype.display=function(e){return this.currentElement.style.display=e,this},e.prototype.show=function(){return this.hasClass("monaco-builder-hidden")&&this.removeClass("monaco-builder-hidden"),this.attr("aria-hidden","false"),this.cancelVisibilityPromise(),this},e.prototype.showDelayed=function(e){var t=this;this.cancelVisibilityPromise();var i=n.TPromise.timeout(e);return this.setProperty("__$visibility",i),i.done(function(){t.removeProperty("__$visibility"),t.show()}),this},e.prototype.hide=function(){return this.hasClass("monaco-builder-hidden")||this.addClass("monaco-builder-hidden"),this.attr("aria-hidden","true"),this.cancelVisibilityPromise(),this},e.prototype.isHidden=function(){return this.hasClass("monaco-builder-hidden")||"none"===this.currentElement.style.display},
e.prototype.cancelVisibilityPromise=function(){var e=this.getProperty("__$visibility");e&&(e.cancel(),this.removeProperty("__$visibility"))},e.prototype.toPixel=function(e){return-1===e.toString().indexOf("px")?e.toString()+"px":e},e.prototype.innerHtml=function(e,t){return t?this.currentElement.innerHTML+=e:this.currentElement.innerHTML=e,this},e.prototype.text=function(e,t){return t?0===this.currentElement.children.length?this.currentElement.textContent+=e:this.currentElement.appendChild(document.createTextNode(e)):this.currentElement.textContent=e,this},e.prototype.safeInnerHtml=function(e,t){return this.innerHtml(s.escape(e),t)},e.prototype.setProperty=function(e,t){return g(this.currentElement,e,t),this},e.prototype.getProperty=function(e,t){return m(this.currentElement,e,t)},e.prototype.removeProperty=function(e){return d(this.currentElement)&&delete c(this.currentElement)[e],this},e.prototype.child=function(e){void 0===e&&(e=0);return p(this.currentElement.children.item(e))},
e.prototype.unbindDescendants=function(e){if(e&&e.children)for(var t=0,n=e.children.length;t<n;t++){var o=e.children.item(t);if(d(o)){var r=c(o).__$listeners;if(i.isArray(r))for(;r.length;)r.pop().dispose();delete o[v]}this.unbindDescendants(o)}},e.prototype.empty=function(){return this.unbindDescendants(this.currentElement),this.clearChildren(),this.offdom&&(this.createdElements=[]),this},e.prototype.clearChildren=function(){return this.currentElement&&l.clearNode(this.currentElement),this},e.prototype.destroy=function(){if(this.currentElement&&(this.currentElement.parentNode&&this.currentElement.parentNode.removeChild(this.currentElement),this.empty(),d(this.currentElement))){var e=c(this.currentElement).__$listeners;if(i.isArray(e))for(;e.length;)e.pop().dispose();delete this.currentElement[v]}var t;for(t in this.toUnbind)this.toUnbind.hasOwnProperty(t)&&i.isArray(this.toUnbind[t])&&(this.toUnbind[t]=r.dispose(this.toUnbind[t]))
;for(t in this.captureToUnbind)this.captureToUnbind.hasOwnProperty(t)&&i.isArray(this.captureToUnbind[t])&&(this.captureToUnbind[t]=r.dispose(this.captureToUnbind[t]));this.currentElement=null,this.container=null,this.offdom=null,this.createdElements=null,this.captureToUnbind=null,this.toUnbind=null},e.prototype.dispose=function(){this.destroy()},e.prototype.getTotalSize=function(){var e=l.getTotalWidth(this.currentElement),t=l.getTotalHeight(this.currentElement);return new y(e,t)},e.prototype.getClientArea=function(){if(this.currentElement!==document.body)return new y(this.currentElement.clientWidth,this.currentElement.clientHeight);if(window.innerWidth&&window.innerHeight)return new y(window.innerWidth,window.innerHeight);if(document.body&&document.body.clientWidth&&document.body.clientWidth)return new y(document.body.clientWidth,document.body.clientHeight)
;if(document.documentElement&&document.documentElement.clientWidth&&document.documentElement.clientHeight)return new y(document.documentElement.clientWidth,document.documentElement.clientHeight);throw new Error("Unable to figure out browser width and height")},e}();t.Builder=C;var b=function(e){function t(n){var o=this;if(a.ok(i.isArray(n)||n instanceof t,"Expected Array or MultiBuilder as parameter"),o=e.call(this)||this,o.length=0,o.builders=[],i.isArray(n))for(r=0;r<n.length;r++)n[r]instanceof HTMLElement?o.push(p(n[r])):o.push(n[r]);else for(var r=0;r<n.length;r++)o.push(n.item(r));var s=o,l=function(e){s[e]=function(){for(var n,o=Array.prototype.slice.call(arguments),r=!1,a=0;a<s.length;a++){var l=s.item(a)[e].apply(s.item(a),o);if(l instanceof t){n||(n=[]),r=!0;for(var u=0;u<l.length;u++)n.push(l.item(u))}else i.isUndefined(l)||l instanceof C||(n||(n=[]),n.push(l))}return n&&r?new t(n):n||s}}
;for(var u in C.prototype)"clone"!==u&&"and"!==u&&C.prototype.hasOwnProperty(u)&&i.isFunction(C.prototype[u])&&l(u);return o}return o(t,e),t.prototype.item=function(e){return this.builders[e]},t.prototype.push=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];for(var n=0;n<e.length;n++)this.builders.push(e[n]);this.length=this.builders.length},t.prototype.clone=function(){return new t(this)},t}(C);t.MultiBuilder=b,t.withElement=p,t.setPropertyOnElement=g,t.getPropertyFromElement=m,t.bindElement=function(e,t){g(e,_,t)};var S=/([\w\-]+)?(#([\w\-]+))?((.([\w\-]+))*)/;t.$=function(e){if(i.isUndefined(e))return f();if(!e)throw new Error("Bad use of $");if(l.isHTMLElement(e)||e===window)return p(e);if(i.isArray(e))return new b(e);if(e instanceof C)return h(e);if(i.isString(e)){if("<"===e[0]){var t=void 0,n=document.createElement("div");if(n.innerHTML=s.format.apply(s,arguments),0===n.children.length)throw new Error("Bad use of $");if(1===n.children.length)return t=n.firstChild,n.removeChild(t),
p(t);for(var o=[];n.firstChild;)t=n.firstChild,n.removeChild(t),o.push(p(t));return new b(o)}if(1===arguments.length){var r=S.exec(e);if(!r)throw new Error("Bad use of $");var a=r[1]||"div",u=r[3]||void 0,c=(r[4]||"").replace(/\./g," "),d={};return u&&(d.id=u),c&&(d.class=c),f().element(a,d)}var g=f();return g.element.apply(g,arguments),g}throw new Error("Bad use of $")},t.$.Dimension=y,t.$.Builder=C,t.$.Build=t.Build}),define(t[466],n([0,1,49]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){var i=this;n.$(e).on("dragover",function(){i.timeout||(i.timeout=setTimeout(function(){t(),i.timeout=null},800))}),n.$(e).on(["dragleave","drop","dragend"],function(){return i.clearDragTimeout()})}return e.prototype.clearDragTimeout=function(){this.timeout&&(clearTimeout(this.timeout),this.timeout=null)},e.prototype.dispose=function(){this.clearDragTimeout()},e}();t.DelayedDragHandler=i,t.DataTransfers={RESOURCES:"ResourceURLs",DOWNLOAD_URL:"DownloadURL",
FILES:"Files",TEXT:"text/plain"}}),define(t[469],n([7]),{}),define(t[475],n([7]),{}),define(t[485],n([7]),{}),define(t[491],n([0,1,10,25,45,27,485]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a={inputActiveOptionBorder:s.Color.fromHex("#007ACC")},l=function(e){function t(t){var n=e.call(this)||this;return n._opts=i.deepClone(t),i.mixin(n._opts,a,!1),n._checked=n._opts.isChecked,n.domNode=document.createElement("div"),n.domNode.title=n._opts.title,n.domNode.className="monaco-custom-checkbox "+n._opts.actionClassName+" "+(n._checked?"checked":"unchecked"),n.domNode.tabIndex=0,n.domNode.setAttribute("role","checkbox"),n.domNode.setAttribute("aria-checked",String(n._checked)),n.domNode.setAttribute("aria-label",n._opts.title),n.applyStyles(),n.onclick(n.domNode,function(e){n.checked=!n._checked,n._opts.onChange(!1),e.preventDefault()}),n.onkeydown(n.domNode,function(e){if(10===e.keyCode||3===e.keyCode)return n.checked=!n._checked,n._opts.onChange(!0),
void e.preventDefault();n._opts.onKeyDown&&n._opts.onKeyDown(e)}),n}return o(t,e),Object.defineProperty(t.prototype,"enabled",{get:function(){return"true"!==this.domNode.getAttribute("aria-disabled")},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this.domNode.focus()},Object.defineProperty(t.prototype,"checked",{get:function(){return this._checked},set:function(e){this._checked=e,this.domNode.setAttribute("aria-checked",String(this._checked)),this._checked?this.domNode.classList.add("checked"):this.domNode.classList.remove("checked"),this.applyStyles()},enumerable:!0,configurable:!0}),t.prototype.width=function(){return 22},t.prototype.style=function(e){e.inputActiveOptionBorder&&(this._opts.inputActiveOptionBorder=e.inputActiveOptionBorder),this.applyStyles()},t.prototype.applyStyles=function(){this.domNode&&(this.domNode.style.borderColor=this._checked&&this._opts.inputActiveOptionBorder?this._opts.inputActiveOptionBorder.toString():"transparent")},t.prototype.enable=function(){
this.domNode.tabIndex=0,this.domNode.setAttribute("aria-disabled",String(!1))},t.prototype.disable=function(){n.removeTabIndexAndUpdateFocus(this.domNode),this.domNode.setAttribute("aria-disabled",String(!0))},t}(r.Widget);t.Checkbox=l}),define(t[492],n([7]),{}),define(t[155],n([0,1,49,10,2,492]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r;!function(e){e[e.LEFT=0]="LEFT",e[e.RIGHT=1]="RIGHT"}(r=t.AnchorAlignment||(t.AnchorAlignment={}));var s;!function(e){e[e.BELOW=0]="BELOW",e[e.ABOVE=1]="ABOVE"}(s=t.AnchorPosition||(t.AnchorPosition={}));var a=function(){function e(e){var t=this;this.$view=n.$(".context-view").hide(),this.setContainer(e),this.toDispose=[{dispose:function(){t.setContainer(null)}}],this.toDisposeOnClean=null}return e.prototype.setContainer=function(t){var i=this;this.$container&&(this.$container.getHTMLElement().removeChild(this.$view.getHTMLElement()),this.$container.off(e.BUBBLE_UP_EVENTS),this.$container.off(e.BUBBLE_DOWN_EVENTS,!0),
this.$container=null),t&&(this.$container=n.$(t),this.$view.appendTo(this.$container),this.$container.on(e.BUBBLE_UP_EVENTS,function(e){i.onDOMEvent(e,document.activeElement,!1)}),this.$container.on(e.BUBBLE_DOWN_EVENTS,function(e){i.onDOMEvent(e,document.activeElement,!0)},null,!0))},e.prototype.show=function(e){this.isVisible()&&this.hide(),this.$view.setClass("context-view").empty().style({top:"0px",left:"0px"}).show(),this.toDisposeOnClean=e.render(this.$view.getHTMLElement()),this.delegate=e,this.doLayout()},e.prototype.layout=function(){this.isVisible()&&(!1!==this.delegate.canRelayout?(this.delegate.layout&&this.delegate.layout(),this.doLayout()):this.hide())},e.prototype.doLayout=function(){var e,t=this.delegate.getAnchor();if(i.isHTMLElement(t)){var n=i.getDomNodePagePosition(t);e={top:n.top,left:n.left,width:n.width,height:n.height}}else{var o=t;e={top:o.y,left:o.x,width:o.width||0,height:o.height||0}}var a={top:i.StandardWindow.scrollY,left:i.StandardWindow.scrollX,height:window.innerHeight,
width:window.innerWidth},l=this.$view.getTotalSize(),u={width:l.width,height:l.height},c=this.delegate.anchorPosition||s.BELOW,d=this.delegate.anchorAlignment||r.LEFT,h=function(e,t,n,i,o){var a=function(e,t,n,i){return t?e:i?n:e},l=function(e,t,n,i,o){return o?a(e,t,n,i):a(n,i,e,t)};return{top:function(){var o=t.top-e.height,r=t.top+t.height,a=o>=n.top&&o+e.height<=n.top+n.height,u=r>=n.top&&r+e.height<=n.top+n.height;return l(o,a,r,u,i===s.ABOVE)}(),left:function(){var i=t.left,s=t.left+t.width-e.width,a=i>=n.left&&i+e.width<=n.left+n.width,u=s>=n.left&&s+e.width<=n.left+n.width;return l(i,a,s,u,o===r.LEFT)}()}}(u,e,a,c,d),p=i.getDomNodePagePosition(this.$container.getHTMLElement());h.top-=p.top,h.left-=p.left,this.$view.removeClass("top","bottom","left","right"),this.$view.addClass(c===s.BELOW?"bottom":"top"),this.$view.addClass(d===r.LEFT?"left":"right"),this.$view.style({top:h.top+"px",left:h.left+"px",width:"initial"})},e.prototype.hide=function(e){
this.delegate&&this.delegate.onHide&&this.delegate.onHide(e),this.delegate=null,this.toDisposeOnClean&&(this.toDisposeOnClean.dispose(),this.toDisposeOnClean=null),this.$view.hide()},e.prototype.isVisible=function(){return!!this.delegate},e.prototype.onDOMEvent=function(e,t,n){this.delegate&&(this.delegate.onDOMEvent?this.delegate.onDOMEvent(e,document.activeElement):n&&!i.isAncestor(e.target,this.$container.getHTMLElement())&&this.hide())},e.prototype.dispose=function(){this.hide(),this.toDispose=o.dispose(this.toDispose)},e.BUBBLE_UP_EVENTS=["click","keydown","focus","blur"],e.BUBBLE_DOWN_EVENTS=["click"],e}();t.ContextView=a}),define(t[513],n([7]),{}),define(t[524],n([0,1,10,9,27,25,513]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s={badgeBackground:o.Color.fromHex("#4D4D4D"),badgeForeground:o.Color.fromHex("#FFFFFF")},a=function(){function e(e,t){this.options=t||Object.create(null),r.mixin(this.options,s,!1),this.badgeBackground=this.options.badgeBackground,
this.badgeForeground=this.options.badgeForeground,this.badgeBorder=this.options.badgeBorder,this.element=n.append(e,n.$(".monaco-count-badge")),this.countFormat=this.options.countFormat||"{0}",this.titleFormat=this.options.titleFormat||"",this.setCount(this.options.count||0)}return e.prototype.setCount=function(e){this.count=e,this.render()},e.prototype.setCountFormat=function(e){this.countFormat=e,this.render()},e.prototype.setTitleFormat=function(e){this.titleFormat=e,this.render()},e.prototype.render=function(){this.element.textContent=i.format(this.countFormat,this.count),this.element.title=i.format(this.titleFormat,this.count),this.applyStyles()},e.prototype.style=function(e){this.badgeBackground=e.badgeBackground,this.badgeForeground=e.badgeForeground,this.badgeBorder=e.badgeBorder,this.applyStyles()},e.prototype.applyStyles=function(){if(this.element){
var e=this.badgeBackground?this.badgeBackground.toString():null,t=this.badgeForeground?this.badgeForeground.toString():null,n=this.badgeBorder?this.badgeBorder.toString():null;this.element.style.backgroundColor=e,this.element.style.color=t,this.element.style.borderWidth=n?"1px":null,this.element.style.borderStyle=n?"solid":null,this.element.style.borderColor=n}},e}();t.CountBadge=a}),define(t[552],n([7]),{}),define(t[554],n([7]),{}),define(t[562],n([7]),{}),define(t[156],n([0,1,10,136,36,93,2,562]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e){this._element=e}return Object.defineProperty(e.prototype,"element",{get:function(){return this._element},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"textContent",{set:function(e){this.disposed||e===this._textContent||(this._textContent=e,this._element.textContent=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"className",{set:function(e){
this.disposed||e===this._className||(this._className=e,this._element.className=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"title",{set:function(e){this.disposed||e===this._title||(this._title=e,this._title?this._element.title=e:this._element.removeAttribute("title"))},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"empty",{set:function(e){this.disposed||e===this._empty||(this._empty=e,this._element.style.marginLeft=e?"0":null)},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.disposed=!0},e}(),u=function(){function e(e,t){var o=this;this.domNode=new l(n.append(e,n.$(".monaco-icon-label"))),this.labelDescriptionContainer=new l(n.append(this.domNode.element,n.$(".monaco-icon-label-description-container"))),t&&t.supportHighlights?this.labelNode=new i.HighlightedLabel(n.append(this.labelDescriptionContainer.element,n.$("a.label-name"))):this.labelNode=new l(n.append(this.labelDescriptionContainer.element,n.$("a.label-name"))),
t&&t.supportDescriptionHighlights?this.descriptionNodeFactory=function(){return new i.HighlightedLabel(n.append(o.labelDescriptionContainer.element,n.$("span.label-description")))}:this.descriptionNodeFactory=function(){return new l(n.append(o.labelDescriptionContainer.element,n.$("span.label-description")))}}return Object.defineProperty(e.prototype,"element",{get:function(){return this.domNode.element},enumerable:!0,configurable:!0}),e.prototype.onClick=function(e){return a.combinedDisposable([n.addDisposableListener(this.labelDescriptionContainer.element,n.EventType.CLICK,function(t){return e(t)})])},e.prototype.setValue=function(e,t,n){var o=["monaco-icon-label"];n&&(n.extraClasses&&o.push.apply(o,n.extraClasses),n.italic&&o.push("italic")),this.domNode.className=o.join(" "),this.domNode.title=n&&n.title?n.title:"",this.labelNode instanceof i.HighlightedLabel?this.labelNode.set(e||"",n?n.matches:void 0):this.labelNode.textContent=e||"",
(t||this.descriptionNode)&&(this.descriptionNode||(this.descriptionNode=this.descriptionNodeFactory()),this.descriptionNode instanceof i.HighlightedLabel?(this.descriptionNode.set(t||"",n?n.descriptionMatches:void 0),n&&n.descriptionTitle?this.descriptionNode.element.title=n.descriptionTitle:this.descriptionNode.element.removeAttribute("title")):(this.descriptionNode.textContent=t||"",this.descriptionNode.title=n&&n.descriptionTitle?n.descriptionTitle:"",this.descriptionNode.empty=!t))},e.prototype.dispose=function(){this.domNode.dispose(),this.labelNode.dispose(),this.descriptionNode&&this.descriptionNode.dispose()},e}();t.IconLabel=u;var c=function(e){function t(t,n,i,o){var r=e.call(this,t)||this;return r.setFile(n,i,o),r}return o(t,e),t.prototype.setFile=function(e,t,n){var i=r.dirname(e.fsPath);this.setValue(s.getBaseLabel(e),i&&"."!==i?s.getPathLabel(i,t,n):"",{title:e.fsPath})},t}(u);t.FileLabel=c}),define(t[211],n([7]),{}),define(t[215],n([7]),{}),define(t[157],n([7]),{}),define(t[217],n([7]),{}),
define(t[221],n([7]),{}),define(t[224],n([0,1,8,77,49,10,2,27,25,221]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u={progressBarBackground:a.Color.fromHex("#0E70C0")},c=function(){function e(e,t){this.options=t||Object.create(null),l.mixin(this.options,u,!1),this.toUnbind=[],this.workedVal=0,this.progressBarBackground=this.options.progressBarBackground,this.create(e)}return e.prototype.create=function(e){var t=this;o.$(e).div({class:"monaco-progress-container"},function(e){t.element=e.clone(),e.div({class:"progress-bit"}).on([r.EventType.ANIMATION_START,r.EventType.ANIMATION_END,r.EventType.ANIMATION_ITERATION],function(e){switch(e.type){case r.EventType.ANIMATION_ITERATION:t.animationStopToken&&t.animationStopToken(null)}},t.toUnbind),t.bit=e.getHTMLElement()}),this.applyStyles()},e.prototype.off=function(){this.bit.style.width="inherit",this.bit.style.opacity="1",this.element.removeClass("active"),this.element.removeClass("infinite"),
this.element.removeClass("discrete"),this.workedVal=0,this.totalWork=void 0},e.prototype.done=function(){return this.doDone(!0)},e.prototype.stop=function(){return this.doDone(!1)},e.prototype.doDone=function(e){var t=this;return this.element.addClass("done"),this.element.hasClass("infinite")?(this.bit.style.opacity="0",e?n.TPromise.timeout(200).then(function(){return t.off()}):this.off()):(this.bit.style.width="inherit",e?n.TPromise.timeout(200).then(function(){return t.off()}):this.off()),this},e.prototype.infinite=function(){return this.bit.style.width="2%",this.bit.style.opacity="1",this.element.removeClass("discrete"),this.element.removeClass("done"),this.element.addClass("active"),this.element.addClass("infinite"),this},e.prototype.total=function(e){return this.workedVal=0,this.totalWork=e,this},e.prototype.hasTotal=function(){return!isNaN(this.totalWork)},e.prototype.worked=function(e){return i.ok(!isNaN(this.totalWork),"Total work not set"),e=Number(e),i.ok(!isNaN(e),"Value is not a number"),
e=Math.max(1,e),this.workedVal+=e,this.workedVal=Math.min(this.totalWork,this.workedVal),this.element.hasClass("infinite")&&this.element.removeClass("infinite"),this.element.hasClass("done")&&this.element.removeClass("done"),this.element.hasClass("active")||this.element.addClass("active"),this.element.hasClass("discrete")||this.element.addClass("discrete"),this.bit.style.width=this.workedVal/this.totalWork*100+"%",this},e.prototype.getContainer=function(){return o.$(this.element)},e.prototype.style=function(e){this.progressBarBackground=e.progressBarBackground,this.applyStyles()},e.prototype.applyStyles=function(){if(this.bit){var e=this.progressBarBackground?this.progressBarBackground.toString():null;this.bit.style.backgroundColor=e}},e.prototype.dispose=function(){this.toUnbind=s.dispose(this.toUnbind)},e}();t.ProgressBar=c}),define(t[225],n([7]),{}),define(t[106],n([0,1,2,49,32,15,30,10,75,41,4,225]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h
;!function(e){e[e.VERTICAL=0]="VERTICAL",e[e.HORIZONTAL=1]="HORIZONTAL"}(h=t.Orientation||(t.Orientation={}));var p=function(){function e(e,t,n){void 0===n&&(n={});var o=this;this._onDidStart=new d.Emitter,this._onDidChange=new d.Emitter,this._onDidReset=new d.Emitter,this._onDidEnd=new d.Emitter,this.$e=i.$(".monaco-sash").appendTo(e),s.isMacintosh&&this.$e.addClass("mac"),this.$e.on(l.EventType.MOUSE_DOWN,function(e){o.onMouseDown(e)}),this.$e.on(l.EventType.DBLCLICK,function(e){return o._onDidReset.fire()}),u.Gesture.addTarget(this.$e.getHTMLElement()),this.$e.on(u.EventType.Start,function(e){o.onTouchStart(e)}),this.size=n.baseSize||5,r.isIPad&&(this.size*=4,this.$e.addClass("touch")),this.setOrientation(n.orientation||h.VERTICAL),this.isDisabled=!1,this.hidden=!1,this.layoutProvider=t}return Object.defineProperty(e.prototype,"onDidStart",{get:function(){return this._onDidStart.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidChange",{get:function(){
return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidReset",{get:function(){return this._onDidReset.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidEnd",{get:function(){return this._onDidEnd.event},enumerable:!0,configurable:!0}),e.prototype.setOrientation=function(e){this.orientation=e,this.$e.removeClass("horizontal","vertical"),this.$e.addClass(this.getOrientation()),this.orientation===h.HORIZONTAL?this.$e.size(null,this.size):this.$e.size(this.size),this.layoutProvider&&this.layout()},e.prototype.getOrientation=function(){return this.orientation===h.HORIZONTAL?"horizontal":"vertical"},e.prototype.onMouseDown=function(e){var t=this;if(l.EventHelper.stop(e,!1),!this.isDisabled){var n=i.$(l.getElementsByTagName("iframe"));n&&n.style("pointer-events","none");var o=new c.StandardMouseEvent(e),r=o.posx,a=o.posy,u=o.altKey,d={startX:r,currentX:r,startY:a,currentY:a,altKey:u};this.$e.addClass("active"),this._onDidStart.fire(d)
;var p=i.$(window),f=l.createStyleSheet(this.$e.getHTMLElement());this.orientation===h.HORIZONTAL?f.innerHTML="* { cursor: "+(s.isMacintosh?"row-resize":"ns-resize")+"; }":f.innerHTML="* { cursor: "+(s.isMacintosh?"col-resize":"ew-resize")+"; }",p.on("mousemove",function(e){l.EventHelper.stop(e,!1);var n=new c.StandardMouseEvent(e),i={startX:r,currentX:n.posx,startY:a,currentY:n.posy,altKey:u};t._onDidChange.fire(i)}).once("mouseup",function(e){l.EventHelper.stop(e,!1),t.$e.getHTMLElement().removeChild(f),t.$e.removeClass("active"),t._onDidEnd.fire(),p.off("mousemove");var n=i.$(l.getElementsByTagName("iframe"));n&&n.style("pointer-events","auto")})}},e.prototype.onTouchStart=function(e){var t=this;l.EventHelper.stop(e);var i=[],o=e.pageX,r=e.pageY,s=e.altKey;this._onDidStart.fire({startX:o,currentX:o,startY:r,currentY:r,altKey:s}),i.push(l.addDisposableListener(this.$e.getHTMLElement(),u.EventType.Change,function(e){a.isNumber(e.pageX)&&a.isNumber(e.pageY)&&t._onDidChange.fire({startX:o,currentX:e.pageX,
startY:r,currentY:e.pageY,altKey:s})})),i.push(l.addDisposableListener(this.$e.getHTMLElement(),u.EventType.End,function(e){t._onDidEnd.fire(),n.dispose(i)}))},e.prototype.layout=function(){var e;if(this.orientation===h.VERTICAL){var t=this.layoutProvider;e={left:t.getVerticalSashLeft(this)-this.size/2+"px"},t.getVerticalSashTop&&(e.top=t.getVerticalSashTop(this)+"px"),t.getVerticalSashHeight&&(e.height=t.getVerticalSashHeight(this)+"px")}else{var n=this.layoutProvider;e={top:n.getHorizontalSashTop(this)-this.size/2+"px"},n.getHorizontalSashLeft&&(e.left=n.getHorizontalSashLeft(this)+"px"),n.getHorizontalSashWidth&&(e.width=n.getHorizontalSashWidth(this)+"px")}this.$e.style(e)},e.prototype.show=function(){this.hidden=!1,this.$e.show()},e.prototype.hide=function(){this.hidden=!0,this.$e.hide()},e.prototype.isHidden=function(){return this.hidden},e.prototype.enable=function(){this.$e.removeClass("disabled"),this.isDisabled=!1},e.prototype.disable=function(){this.$e.addClass("disabled"),this.isDisabled=!0},
Object.defineProperty(e.prototype,"enabled",{get:function(){return!this.isDisabled},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this.$e&&(this.$e.destroy(),this.$e=null)},e}();t.Sash=p;var f=function(e){function t(t,n){var i=e.call(this)||this;return i.minWidth=n,i._onPositionChange=new d.Emitter,i.ratio=.5,i.sash=new p(t,i),i._register(i.sash.onDidStart(function(){return i.onSashDragStart()})),i._register(i.sash.onDidChange(function(e){return i.onSashDrag(e)})),i._register(i.sash.onDidEnd(function(){return i.onSashDragEnd()})),i._register(i.sash.onDidReset(function(){return i.onSashReset()})),i}return o(t,e),Object.defineProperty(t.prototype,"onPositionChange",{get:function(){return this._onPositionChange.event},enumerable:!0,configurable:!0}),t.prototype.getVerticalSashTop=function(){return 0},t.prototype.getVerticalSashLeft=function(){return this.position},t.prototype.getVerticalSashHeight=function(){return this.dimension.height},t.prototype.setDimenesion=function(e){this.dimension=e,
this.compute(this.ratio)},t.prototype.onSashDragStart=function(){this.startPosition=this.position},t.prototype.onSashDrag=function(e){this.compute((this.startPosition+(e.currentX-e.startX))/this.dimension.width)},t.prototype.compute=function(e){this.computeSashPosition(e),this.ratio=this.position/this.dimension.width,this._onPositionChange.fire(this.position)},t.prototype.onSashDragEnd=function(){this.sash.layout()},t.prototype.onSashReset=function(){this.compute(.5),this._onPositionChange.fire(this.position),this.sash.layout()},t.prototype.computeSashPosition=function(e){void 0===e&&(e=this.ratio);var t=this.dimension.width,n=Math.floor((e||.5)*t),i=Math.floor(.5*t);t>2*this.minWidth?(n<this.minWidth&&(n=this.minWidth),n>t-this.minWidth&&(n=t-this.minWidth)):n=i,this.position!==n&&(this.position=n,this.sash.layout())},t}(n.Disposable);t.VSash=f}),define(t[229],n([7]),{}),define(t[57],n([0,1,10,15,41,428,429,2,42,45,18,26,4,229]),function(e,t,n,i,r,s,a,l,u,c,d,h,p){"use strict";function f(e){var t={
lazyRender:void 0!==e.lazyRender&&e.lazyRender,className:void 0!==e.className?e.className:"",useShadows:void 0===e.useShadows||e.useShadows,handleMouseWheel:void 0===e.handleMouseWheel||e.handleMouseWheel,flipAxes:void 0!==e.flipAxes&&e.flipAxes,alwaysConsumeMouseWheel:void 0!==e.alwaysConsumeMouseWheel&&e.alwaysConsumeMouseWheel,scrollYToX:void 0!==e.scrollYToX&&e.scrollYToX,mouseWheelScrollSensitivity:void 0!==e.mouseWheelScrollSensitivity?e.mouseWheelScrollSensitivity:1,mouseWheelSmoothScroll:void 0===e.mouseWheelSmoothScroll||e.mouseWheelSmoothScroll,arrowSize:void 0!==e.arrowSize?e.arrowSize:11,listenOnDomNode:void 0!==e.listenOnDomNode?e.listenOnDomNode:null,horizontal:void 0!==e.horizontal?e.horizontal:u.ScrollbarVisibility.Auto,horizontalScrollbarSize:void 0!==e.horizontalScrollbarSize?e.horizontalScrollbarSize:10,horizontalSliderSize:void 0!==e.horizontalSliderSize?e.horizontalSliderSize:0,horizontalHasArrows:void 0!==e.horizontalHasArrows&&e.horizontalHasArrows,
vertical:void 0!==e.vertical?e.vertical:u.ScrollbarVisibility.Auto,verticalScrollbarSize:void 0!==e.verticalScrollbarSize?e.verticalScrollbarSize:10,verticalHasArrows:void 0!==e.verticalHasArrows&&e.verticalHasArrows,verticalSliderSize:void 0!==e.verticalSliderSize?e.verticalSliderSize:0};return t.horizontalSliderSize=void 0!==e.horizontalSliderSize?e.horizontalSliderSize:t.horizontalScrollbarSize,t.verticalSliderSize=void 0!==e.verticalSliderSize?e.verticalSliderSize:t.verticalScrollbarSize,i.isMacintosh&&(t.className+=" mac"),t}Object.defineProperty(t,"__esModule",{value:!0});var g=function(){return function(e,t,n){this.timestamp=e,this.deltaX=t,this.deltaY=n,this.score=0}}(),m=function(){function e(){this._capacity=5,this._memory=[],this._front=-1,this._rear=-1}return e.prototype.isPhysicalMouseWheel=function(){if(-1===this._front&&-1===this._rear)return!1;for(var e=1,t=0,n=1,i=this._rear;;){var o=i===this._front?e:Math.pow(2,-n);if(e-=o,t+=this._memory[i].score*o,i===this._front)break
;i=(this._capacity+i-1)%this._capacity,n++}return t<=.5},e.prototype.accept=function(e,t,n){var i=new g(e,t,n);i.score=this._computeScore(i),-1===this._front&&-1===this._rear?(this._memory[0]=i,this._front=0,this._rear=0):(this._rear=(this._rear+1)%this._capacity,this._rear===this._front&&(this._front=(this._front+1)%this._capacity),this._memory[this._rear]=i)},e.prototype._computeScore=function(e){if(Math.abs(e.deltaX)>0&&Math.abs(e.deltaY)>0)return 1;var t=.5;-1===this._front&&-1===this._rear||this._memory[this._rear];return(Math.abs(e.deltaX-Math.round(e.deltaX))>0||Math.abs(e.deltaY-Math.round(e.deltaY))>0)&&(t+=.25),Math.min(Math.max(t,0),1)},e.INSTANCE=new e,e}();t.MouseWheelClassifier=m;var v=function(e){function t(t,n,i){var o=e.call(this)||this;o._onScroll=o._register(new p.Emitter),o.onScroll=o._onScroll.event,t.style.overflow="hidden",o._options=f(n),o._scrollable=i,o._register(o._scrollable.onScroll(function(e){o._onDidScroll(e),o._onScroll.fire(e)}));var r={onMouseWheel:function(e){
return o._onMouseWheel(e)},onDragStart:function(){return o._onDragStart()},onDragEnd:function(){return o._onDragEnd()}};return o._verticalScrollbar=o._register(new a.VerticalScrollbar(o._scrollable,o._options,r)),o._horizontalScrollbar=o._register(new s.HorizontalScrollbar(o._scrollable,o._options,r)),o._domNode=document.createElement("div"),o._domNode.className="monaco-scrollable-element "+o._options.className,o._domNode.setAttribute("role","presentation"),o._domNode.style.position="relative",o._domNode.style.overflow="hidden",o._domNode.appendChild(t),o._domNode.appendChild(o._horizontalScrollbar.domNode.domNode),o._domNode.appendChild(o._verticalScrollbar.domNode.domNode),o._options.useShadows&&(o._leftShadowDomNode=h.createFastDomNode(document.createElement("div")),o._leftShadowDomNode.setClassName("shadow"),o._domNode.appendChild(o._leftShadowDomNode.domNode),o._topShadowDomNode=h.createFastDomNode(document.createElement("div")),o._topShadowDomNode.setClassName("shadow"),
o._domNode.appendChild(o._topShadowDomNode.domNode),o._topLeftShadowDomNode=h.createFastDomNode(document.createElement("div")),o._topLeftShadowDomNode.setClassName("shadow top-left-corner"),o._domNode.appendChild(o._topLeftShadowDomNode.domNode)),o._listenOnDomNode=o._options.listenOnDomNode||o._domNode,o._mouseWheelToDispose=[],o._setListeningToMouseWheel(o._options.handleMouseWheel),o.onmouseover(o._listenOnDomNode,function(e){return o._onMouseOver(e)}),o.onnonbubblingmouseout(o._listenOnDomNode,function(e){return o._onMouseOut(e)}),o._hideTimeout=o._register(new d.TimeoutTimer),o._isDragging=!1,o._mouseIsOver=!1,o._shouldRender=!0,o}return o(t,e),t.prototype.dispose=function(){this._mouseWheelToDispose=l.dispose(this._mouseWheelToDispose),e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getOverviewRulerLayoutInfo=function(){return{parent:this._domNode,insertBefore:this._verticalScrollbar.domNode.domNode}},
t.prototype.delegateVerticalScrollbarMouseDown=function(e){this._verticalScrollbar.delegateMouseDown(e)},t.prototype.getScrollDimensions=function(){return this._scrollable.getScrollDimensions()},t.prototype.setScrollDimensions=function(e){this._scrollable.setScrollDimensions(e)},t.prototype.updateClassName=function(e){this._options.className=e,i.isMacintosh&&(this._options.className+=" mac"),this._domNode.className="monaco-scrollable-element "+this._options.className},t.prototype.updateOptions=function(e){var t=f(e);this._options.handleMouseWheel=t.handleMouseWheel,this._options.mouseWheelScrollSensitivity=t.mouseWheelScrollSensitivity,this._setListeningToMouseWheel(this._options.handleMouseWheel),this._options.lazyRender||this._render()},t.prototype._setListeningToMouseWheel=function(e){var t=this;if(this._mouseWheelToDispose.length>0!==e&&(this._mouseWheelToDispose=l.dispose(this._mouseWheelToDispose),e)){var i=function(e){var n=new r.StandardMouseWheelEvent(e);t._onMouseWheel(n)}
;this._mouseWheelToDispose.push(n.addDisposableListener(this._listenOnDomNode,"mousewheel",i)),this._mouseWheelToDispose.push(n.addDisposableListener(this._listenOnDomNode,"DOMMouseScroll",i))}},t.prototype._onMouseWheel=function(e){var t=m.INSTANCE;if(t.accept(Date.now(),e.deltaX,e.deltaY),e.deltaY||e.deltaX){var n=e.deltaY*this._options.mouseWheelScrollSensitivity,o=e.deltaX*this._options.mouseWheelScrollSensitivity;this._options.flipAxes&&(n=(c=[o,n])[0],o=c[1]);var r=!i.isMacintosh&&e.browserEvent&&e.browserEvent.shiftKey;!this._options.scrollYToX&&!r||o||(o=n,n=0);var s=this._scrollable.getFutureScrollPosition(),a={};if(n){var l=s.scrollTop-50*n;this._verticalScrollbar.writeScrollPosition(a,l)}if(o){var u=s.scrollLeft-50*o;this._horizontalScrollbar.writeScrollPosition(a,u)}if(a=this._scrollable.validateScrollPosition(a),s.scrollLeft!==a.scrollLeft||s.scrollTop!==a.scrollTop){
this._options.mouseWheelSmoothScroll&&t.isPhysicalMouseWheel()?this._scrollable.setScrollPositionSmooth(a):this._scrollable.setScrollPositionNow(a),this._shouldRender=!0}}(this._options.alwaysConsumeMouseWheel||this._shouldRender)&&(e.preventDefault(),e.stopPropagation());var c},t.prototype._onDidScroll=function(e){this._shouldRender=this._horizontalScrollbar.onDidScroll(e)||this._shouldRender,this._shouldRender=this._verticalScrollbar.onDidScroll(e)||this._shouldRender,this._options.useShadows&&(this._shouldRender=!0),this._reveal(),this._options.lazyRender||this._render()},t.prototype.renderNow=function(){if(!this._options.lazyRender)throw new Error("Please use `lazyRender` together with `renderNow`!");this._render()},t.prototype._render=function(){if(this._shouldRender&&(this._shouldRender=!1,this._horizontalScrollbar.render(),this._verticalScrollbar.render(),this._options.useShadows)){var e=this._scrollable.getCurrentScrollPosition(),t=e.scrollTop>0,n=e.scrollLeft>0
;this._leftShadowDomNode.setClassName("shadow"+(n?" left":"")),this._topShadowDomNode.setClassName("shadow"+(t?" top":"")),this._topLeftShadowDomNode.setClassName("shadow top-left-corner"+(t?" top":"")+(n?" left":""))}},t.prototype._onDragStart=function(){this._isDragging=!0,this._reveal()},t.prototype._onDragEnd=function(){this._isDragging=!1,this._hide()},t.prototype._onMouseOut=function(e){this._mouseIsOver=!1,this._hide()},t.prototype._onMouseOver=function(e){this._mouseIsOver=!0,this._reveal()},t.prototype._reveal=function(){this._verticalScrollbar.beginReveal(),this._horizontalScrollbar.beginReveal(),this._scheduleHide()},t.prototype._hide=function(){this._mouseIsOver||this._isDragging||(this._verticalScrollbar.beginHide(),this._horizontalScrollbar.beginHide())},t.prototype._scheduleHide=function(){var e=this;this._mouseIsOver||this._isDragging||this._hideTimeout.cancelAndSet(function(){return e._hide()},500)},t}(c.Widget);t.AbstractScrollableElement=v;var _=function(e){function t(t,i){var o=this
;(i=i||{}).mouseWheelSmoothScroll=!1;var r=new u.Scrollable(0,function(e){return n.scheduleAtNextAnimationFrame(e)});return(o=e.call(this,t,i,r)||this)._register(r),o}return o(t,e),t.prototype.setScrollPosition=function(e){this._scrollable.setScrollPositionNow(e)},t.prototype.getScrollPosition=function(){return this._scrollable.getCurrentScrollPosition()},t}(v);t.ScrollableElement=_;var y=function(e){function t(t,n,i){return e.call(this,t,n,i)||this}return o(t,e),t}(v);t.SmoothScrollableElement=y;var C=function(e){function t(t,n){var i=e.call(this,t,n)||this;return i._element=t,i.onScroll(function(e){e.scrollTopChanged&&(i._element.scrollTop=e.scrollTop),e.scrollLeftChanged&&(i._element.scrollLeft=e.scrollLeft)}),i.scanDomNode(),i}return o(t,e),t.prototype.scanDomNode=function(){this.setScrollDimensions({width:this._element.clientWidth,scrollWidth:this._element.scrollWidth,height:this._element.clientHeight,scrollHeight:this._element.scrollHeight}),this.setScrollPosition({scrollLeft:this._element.scrollLeft,
scrollTop:this._element.scrollTop})},t}(_);t.DomScrollableElement=C}),define(t[236],n([0,1,25,2,75,10,4,91,57,42,457,510,15,32,126,41]),function(e,t,n,i,o,r,s,a,l,c,d,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v={useShadows:!0,verticalScrollMode:c.ScrollbarVisibility.Auto},_=function(){function e(e,t,i,r){void 0===r&&(r=v),this.delegate=t,this.renderers=new Map,this.splicing=!1,this.items=[],this.itemId=0,this.rangeMap=new d.RangeMap;for(var u=0,p=i;u<p.length;u++){var f=p[u];this.renderers.set(f.templateId,f)}this.cache=new h.RowCache(this.renderers),this.lastRenderTop=0,this.lastRenderHeight=0,this._domNode=document.createElement("div"),this._domNode.className="monaco-list",this.rowsContainer=document.createElement("div"),this.rowsContainer.className="monaco-list-rows",o.Gesture.addTarget(this.rowsContainer),this.scrollableElement=new l.ScrollableElement(this.rowsContainer,{alwaysConsumeMouseWheel:!0,horizontal:c.ScrollbarVisibility.Hidden,
vertical:n.getOrDefault(r,function(e){return e.verticalScrollMode},v.verticalScrollMode),useShadows:n.getOrDefault(r,function(e){return e.useShadows},v.useShadows)}),this._domNode.appendChild(this.scrollableElement.getDomNode()),e.appendChild(this._domNode),this.disposables=[this.rangeMap,this.gesture,this.scrollableElement,this.cache],this.scrollableElement.onScroll(this.onScroll,this,this.disposables),a.domEvent(this.rowsContainer,o.EventType.Change)(this.onTouchChange,this,this.disposables),a.domEvent(this.scrollableElement.getDomNode(),"scroll")(function(e){return e.target.scrollTop=0},null,this.disposables);s.mapEvent(a.domEvent(this.rowsContainer,"dragover"),function(e){return new m.DragMouseEvent(e)})(this.onDragOver,this,this.disposables),this.layout()}return Object.defineProperty(e.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t,n){if(void 0===n&&(n=[]),this.splicing)throw new Error("Can't run recursive splices.")
;this.splicing=!0;try{return this._splice(e,t,n)}finally{this.splicing=!1}},e.prototype._splice=function(e,t,n){var i=this;void 0===n&&(n=[]);for(var o=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),r={start:e,end:e+t},s=d.intersect(o,r),a=s.start;a<s.end;a++)this.removeItemFromDOM(a);var l={start:e+t,end:this.items.length},u=d.intersect(l,o),c=d.relativeComplement(l,o),h=n.map(function(e){return{id:String(i.itemId++),element:e,size:i.delegate.getHeight(e),templateId:i.delegate.getTemplateId(e),row:null}});(x=this.rangeMap).splice.apply(x,[e,t].concat(h));for(var p=(N=this.items).splice.apply(N,[e,t].concat(h)),f=n.length-t,g=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),m=d.shift(u,f),v=d.intersect(g,m),a=v.start;a<v.end;a++)this.updateItemInDOM(this.items[a],a);for(var _=d.relativeComplement(m,g),y=0;y<_.length;y++)for(var C=_[y],a=C.start;a<C.end;a++)this.removeItemFromDOM(a);for(var b=c.map(function(e){return d.shift(e,f)}),S=[{start:e,end:e+n.length
}].concat(b).map(function(e){return d.intersect(g,e)}),w=this.getNextToLastElement(S),y=0;y<S.length;y++)for(var E=S[y],a=E.start;a<E.end;a++)this.insertItemInDOM(a,w);var L=this.getContentHeight();return this.rowsContainer.style.height=L+"px",this.scrollableElement.setScrollDimensions({scrollHeight:L}),p.map(function(e){return e.element});var x,N},Object.defineProperty(e.prototype,"length",{get:function(){return this.items.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderHeight",{get:function(){return this.scrollableElement.getScrollDimensions().height},enumerable:!0,configurable:!0}),e.prototype.element=function(e){return this.items[e].element},e.prototype.domElement=function(e){var t=this.items[e].row;return t&&t.domNode},e.prototype.elementHeight=function(e){return this.items[e].size},e.prototype.elementTop=function(e){return this.rangeMap.positionAt(e)},e.prototype.indexAt=function(e){return this.rangeMap.indexAt(e)},e.prototype.indexAfter=function(e){
return this.rangeMap.indexAfter(e)},e.prototype.layout=function(e){this.scrollableElement.setScrollDimensions({height:e||r.getContentHeight(this._domNode)})},e.prototype.render=function(e,t){for(var n=this.getRenderRange(this.lastRenderTop,this.lastRenderHeight),i=this.getRenderRange(e,t),o=d.relativeComplement(i,n),r=d.relativeComplement(n,i),s=this.getNextToLastElement(o),a=0,l=o;a<l.length;a++)for(g=(h=l[a]).start;g<h.end;g++)this.insertItemInDOM(g,s);for(var u=0,c=r;u<c.length;u++)for(var h=c[u],g=h.start;g<h.end;g++)this.removeItemFromDOM(g);if(function(){if(f.isFirefox)return!1;if(0!==f.getZoomLevel())return!1;if(f.isChromev56){var e=f.getPixelRatio();if(Math.floor(e)!==e)return!1}return!0}()&&!p.isWindows){var m="translate3d(0px, -"+e+"px, 0px)";this.rowsContainer.style.transform=m,this.rowsContainer.style.webkitTransform=m}else this.rowsContainer.style.top="-"+e+"px";this.lastRenderTop=e,this.lastRenderHeight=t},e.prototype.insertItemInDOM=function(e,t){var n=this.items[e]
;n.row||(n.row=this.cache.alloc(n.templateId)),n.row.domNode.parentElement||(t?this.rowsContainer.insertBefore(n.row.domNode,t):this.rowsContainer.appendChild(n.row.domNode)),n.row.domNode.style.height=n.size+"px",this.updateItemInDOM(n,e);this.renderers.get(n.templateId).renderElement(n.element,e,n.row.templateData)},e.prototype.updateItemInDOM=function(e,t){e.row.domNode.style.top=this.elementTop(t)+"px",e.row.domNode.setAttribute("data-index",""+t),e.row.domNode.setAttribute("data-last-element",t===this.length-1?"true":"false"),e.row.domNode.setAttribute("aria-setsize",""+this.length),e.row.domNode.setAttribute("aria-posinset",""+(t+1))},e.prototype.removeItemFromDOM=function(e){var t=this.items[e];this.cache.release(t.row),t.row=null},e.prototype.getContentHeight=function(){return this.rangeMap.size},e.prototype.getScrollTop=function(){return this.scrollableElement.getScrollPosition().scrollTop},e.prototype.setScrollTop=function(e){this.scrollableElement.setScrollPosition({scrollTop:e})},
Object.defineProperty(e.prototype,"scrollTop",{get:function(){return this.getScrollTop()},set:function(e){this.setScrollTop(e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseClick",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"click"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseDblClick",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"dblclick"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseUp",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"mouseup"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseDown",{get:function(){var e=this
;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"mousedown"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseOver",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"mouseover"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseMove",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"mousemove"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseOut",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"mouseout"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onContextMenu",{get:function(){var e=this
;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"contextmenu"),function(t){return e.toMouseEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onTouchStart",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.domNode,"touchstart"),function(t){return e.toTouchEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onTap",{get:function(){var e=this;return s.filterEvent(s.mapEvent(a.domEvent(this.rowsContainer,o.EventType.Tap),function(t){return e.toGestureEvent(t)}),function(e){return e.index>=0})},enumerable:!0,configurable:!0}),e.prototype.toMouseEvent=function(e){var t=this.getItemIndexFromEventTarget(e.target),n=t<0?void 0:this.items[t];return{browserEvent:e,index:t,element:n&&n.element}},e.prototype.toTouchEvent=function(e){var t=this.getItemIndexFromEventTarget(e.target),n=t<0?void 0:this.items[t];return{browserEvent:e,index:t,element:n&&n.element}},
e.prototype.toGestureEvent=function(e){var t=this.getItemIndexFromEventTarget(e.initialTarget),n=t<0?void 0:this.items[t];return{browserEvent:e,index:t,element:n&&n.element}},e.prototype.onScroll=function(e){this.render(e.scrollTop,e.height)},e.prototype.onTouchChange=function(e){e.preventDefault(),e.stopPropagation(),this.scrollTop-=e.translationY},e.prototype.onDragOver=function(e){this.setupDragAndDropScrollInterval(),this.dragAndDropMouseY=e.posy},e.prototype.setupDragAndDropScrollInterval=function(){var e=this,t=r.getTopLeftOffset(this._domNode).top;this.dragAndDropScrollInterval||(this.dragAndDropScrollInterval=window.setInterval(function(){if(void 0!==e.dragAndDropMouseY){var n=e.dragAndDropMouseY-t,i=0,o=e.renderHeight-35;n<35?i=Math.max(-14,.2*(n-35)):n>o&&(i=Math.min(14,.2*(n-o))),e.scrollTop+=i}},10),this.cancelDragAndDropScrollTimeout(),this.dragAndDropScrollTimeout=window.setTimeout(function(){e.cancelDragAndDropScrollInterval(),e.dragAndDropScrollTimeout=null},1e3))},
e.prototype.cancelDragAndDropScrollInterval=function(){this.dragAndDropScrollInterval&&(window.clearInterval(this.dragAndDropScrollInterval),this.dragAndDropScrollInterval=null),this.cancelDragAndDropScrollTimeout()},e.prototype.cancelDragAndDropScrollTimeout=function(){this.dragAndDropScrollTimeout&&(window.clearTimeout(this.dragAndDropScrollTimeout),this.dragAndDropScrollTimeout=null)},e.prototype.getItemIndexFromEventTarget=function(e){for(;e instanceof HTMLElement&&e!==this.rowsContainer;){var t=e,n=t.getAttribute("data-index");if(n){var i=Number(n);if(!isNaN(i))return i}e=t.parentElement}return-1},e.prototype.getRenderRange=function(e,t){return{start:this.rangeMap.indexAt(e),end:this.rangeMap.indexAfter(e+t-1)}},e.prototype.getNextToLastElement=function(e){var t=e[e.length-1];if(!t)return null;var n=this.items[t.end];return n&&n.row?n.row.domNode:null},e.prototype.dispose=function(){this.items=null,this._domNode&&this._domNode.parentElement&&(this._domNode.parentNode.removeChild(this._domNode),
this._domNode=null),this.disposables=i.dispose(this.disposables)},u([g.memoize],e.prototype,"onMouseClick",null),u([g.memoize],e.prototype,"onMouseDblClick",null),u([g.memoize],e.prototype,"onMouseUp",null),u([g.memoize],e.prototype,"onMouseDown",null),u([g.memoize],e.prototype,"onMouseOver",null),u([g.memoize],e.prototype,"onMouseMove",null),u([g.memoize],e.prototype,"onMouseOut",null),u([g.memoize],e.prototype,"onContextMenu",null),u([g.memoize],e.prototype,"onTouchStart",null),u([g.memoize],e.prototype,"onTap",null),e}();t.ListView=_}),define(t[105],n([0,1,2,30,22,126,10,15,75,59,4,91,236,27,25,241,157]),function(e,t,n,i,r,s,a,l,c,d,h,p,f,g,m,v){"use strict";function _(e){return"INPUT"===e.tagName||"TEXTAREA"===e.tagName}function y(e){return l.isMacintosh?e.browserEvent.metaKey:e.browserEvent.ctrlKey}function C(e){return e.browserEvent.shiftKey}function b(e){return e instanceof MouseEvent&&2===e.button}function S(e,t){
for(var n=[],i=0,o=0;i<e.length||o<t.length;)if(i>=e.length)n.push(t[o++]);else if(o>=t.length)n.push(e[i++]);else{if(e[i]===t[o]){n.push(e[i]),i++,o++;continue}e[i]<t[o]?n.push(e[i++]):n.push(t[o++])}return n}Object.defineProperty(t,"__esModule",{value:!0});var w=function(){function e(e){this.spliceables=e}return e.prototype.splice=function(e,t,n){for(var i=0,o=this.spliceables;i<o.length;i++){o[i].splice(e,t,n)}},e}(),E=function(){function e(e){this.trait=e,this.renderedElements=[]}return Object.defineProperty(e.prototype,"templateId",{get:function(){return"template:"+this.trait.trait},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){return e},e.prototype.renderElement=function(e,t,n){var i=r.firstIndex(this.renderedElements,function(e){return e.templateData===n});if(i>=0){o=this.renderedElements[i];this.trait.unrender(n),o.index=t}else{var o={index:t,templateData:n};this.renderedElements.push(o)}this.trait.renderIndex(t,n)},e.prototype.splice=function(e,t,n){
for(var i=[],o=0;o<this.renderedElements.length;o++){var r=this.renderedElements[o];r.index<e?i.push(r):r.index>=e+t&&i.push({index:r.index+n-t,templateData:r.templateData})}this.renderedElements=i},e.prototype.renderIndexes=function(e){for(var t=0,n=this.renderedElements;t<n.length;t++){var i=n[t],o=i.index,r=i.templateData;e.indexOf(o)>-1&&this.trait.renderIndex(o,r)}},e.prototype.disposeTemplate=function(e){var t=r.firstIndex(this.renderedElements,function(t){return t.templateData===e});t<0||this.renderedElements.splice(t,1)},e}(),L=function(){function e(e){this._trait=e,this._onChange=new h.Emitter,this.indexes=[]}return Object.defineProperty(e.prototype,"onChange",{get:function(){return this._onChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"trait",{get:function(){return this._trait},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderer",{get:function(){return new E(this)},enumerable:!0,configurable:!0}),e.prototype.splice=function(e,t,n){
var i=n.length-t,o=e+t,r=this.indexes.filter(function(t){return t<e}).concat(n.map(function(t,n){return t?n+e:-1}).filter(function(e){return-1!==e}),this.indexes.filter(function(e){return e>=o}).map(function(e){return e+i}));this.renderer.splice(e,t,n.length),this.set(r)},e.prototype.renderIndex=function(e,t){a.toggleClass(t,this._trait,this.contains(e))},e.prototype.unrender=function(e){a.removeClass(e,this._trait)},e.prototype.set=function(e){var t=this.indexes;this.indexes=e;var n=S(t,e);return this.renderer.renderIndexes(n),this._onChange.fire({indexes:e}),t},e.prototype.get=function(){return this.indexes},e.prototype.contains=function(e){return this.indexes.some(function(t){return t===e})},e.prototype.dispose=function(){this.indexes=null,this._onChange=n.dispose(this._onChange)},u([s.memoize],e.prototype,"renderer",null),e}(),x=function(e){function t(t){var n=e.call(this,"focused")||this;return n.getDomId=t,n}return o(t,e),t.prototype.renderIndex=function(t,n){e.prototype.renderIndex.call(this,t,n),
n.setAttribute("role","treeitem"),n.setAttribute("id",this.getDomId(t))},t}(L),N=function(){function e(e,t,n){this.trait=e,this.view=t,this.getId=n}return e.prototype.splice=function(e,t,n){var i=this;if(!this.getId)return this.trait.splice(e,t,n.map(function(e){return!1}));var o=this.trait.get().map(function(e){return i.getId(i.view.element(e))}),r=n.map(function(e){return o.indexOf(i.getId(e))>-1});this.trait.splice(e,t,r)},e}(),I=function(){function e(e,t,n){this.list=e,this.view=t;var i=!(!1===n.multipleSelectionSupport);this.disposables=[],this.openController=n.openController||M;var o=h.chain(p.domEvent(t.domNode,"keydown")).filter(function(e){return!_(e.target)}).map(function(e){return new d.StandardKeyboardEvent(e)});o.filter(function(e){return 3===e.keyCode}).on(this.onEnter,this,this.disposables),o.filter(function(e){return 16===e.keyCode}).on(this.onUpArrow,this,this.disposables),o.filter(function(e){return 18===e.keyCode}).on(this.onDownArrow,this,this.disposables),o.filter(function(e){
return 11===e.keyCode}).on(this.onPageUpArrow,this,this.disposables),o.filter(function(e){return 12===e.keyCode}).on(this.onPageDownArrow,this,this.disposables),o.filter(function(e){return 9===e.keyCode}).on(this.onEscape,this,this.disposables),i&&o.filter(function(e){return(l.isMacintosh?e.metaKey:e.ctrlKey)&&31===e.keyCode}).on(this.onCtrlA,this,this.disposables)}return e.prototype.onEnter=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection(this.list.getFocus()),this.openController.shouldOpen(e.browserEvent)&&this.list.open(this.list.getFocus(),e.browserEvent)},e.prototype.onUpArrow=function(e){e.preventDefault(),e.stopPropagation(),this.list.focusPrevious(),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onDownArrow=function(e){e.preventDefault(),e.stopPropagation(),this.list.focusNext(),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onPageUpArrow=function(e){e.preventDefault(),e.stopPropagation(),
this.list.focusPreviousPage(),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onPageDownArrow=function(e){e.preventDefault(),e.stopPropagation(),this.list.focusNextPage(),this.list.reveal(this.list.getFocus()[0]),this.view.domNode.focus()},e.prototype.onCtrlA=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection(r.range(this.list.length)),this.view.domNode.focus()},e.prototype.onEscape=function(e){e.preventDefault(),e.stopPropagation(),this.list.setSelection([]),this.view.domNode.focus()},e.prototype.dispose=function(){this.disposables=n.dispose(this.disposables)},e}(),T=function(){function e(e,t){this.list=e,this.view=t,this.disposables=[],this.disposables=[];h.chain(p.domEvent(t.domNode,"keydown")).filter(function(e){return!_(e.target)}).map(function(e){return new d.StandardKeyboardEvent(e)}).filter(function(e){return!(2!==e.keyCode||e.ctrlKey||e.metaKey||e.shiftKey||e.altKey)}).on(this.onTab,this,this.disposables)}return e.prototype.onTab=function(e){
if(e.target===this.view.domNode){var t=this.list.getFocus();if(0!==t.length){var n=this.view.domElement(t[0]).querySelector("[tabIndex]");n&&n instanceof HTMLElement&&(e.preventDefault(),e.stopPropagation(),n.focus())}}},e.prototype.dispose=function(){this.disposables=n.dispose(this.disposables)},e}();t.isSelectionSingleChangeEvent=y,t.isSelectionRangeChangeEvent=C;var D={isSelectionSingleChangeEvent:y,isSelectionRangeChangeEvent:C},M={shouldOpen:function(e){return!(e instanceof MouseEvent)||!b(e)}},k=function(){function e(e,t,n){void 0===n&&(n={}),this.list=e,this.view=t,this.options=n,this.didJustPressContextMenuKey=!1,this.disposables=[],this.multipleSelectionSupport=!(!1===n.multipleSelectionSupport),this.multipleSelectionSupport&&(this.multipleSelectionController=n.multipleSelectionController||D),this.openController=n.openController||M,t.onMouseDown(this.onMouseDown,this,this.disposables),t.onMouseClick(this.onPointer,this,this.disposables),t.onMouseDblClick(this.onDoubleClick,this,this.disposables),
t.onTouchStart(this.onMouseDown,this,this.disposables),t.onTap(this.onPointer,this,this.disposables),c.Gesture.addTarget(t.domNode)}return Object.defineProperty(e.prototype,"onContextMenu",{get:function(){var e=this,t=h.chain(p.domEvent(this.view.domNode,"keydown")).map(function(e){return new d.StandardKeyboardEvent(e)}).filter(function(t){return e.didJustPressContextMenuKey=58===t.keyCode||t.shiftKey&&68===t.keyCode}).filter(function(e){return e.preventDefault(),e.stopPropagation(),!1}).event,n=h.chain(p.domEvent(this.view.domNode,"keyup")).filter(function(){var t=e.didJustPressContextMenuKey;return e.didJustPressContextMenuKey=!1,t}).filter(function(){return e.list.getFocus().length>0}).map(function(){var t=e.list.getFocus()[0];return{index:t,element:e.view.element(t),anchor:e.view.domElement(t)}}).filter(function(e){return!!e.anchor}).event,i=h.chain(this.view.onContextMenu).filter(function(){return!e.didJustPressContextMenuKey}).map(function(e){var t=e.element,n=e.index,i=e.browserEvent;return{element:t,
index:n,anchor:{x:i.clientX+1,y:i.clientY}}}).event;return h.anyEvent(t,n,i)},enumerable:!0,configurable:!0}),e.prototype.isSelectionSingleChangeEvent=function(e){return this.multipleSelectionController?this.multipleSelectionController.isSelectionSingleChangeEvent(e):l.isMacintosh?e.browserEvent.metaKey:e.browserEvent.ctrlKey},e.prototype.isSelectionRangeChangeEvent=function(e){return this.multipleSelectionController?this.multipleSelectionController.isSelectionRangeChangeEvent(e):e.browserEvent.shiftKey},e.prototype.isSelectionChangeEvent=function(e){return this.isSelectionSingleChangeEvent(e)||this.isSelectionRangeChangeEvent(e)},e.prototype.onMouseDown=function(e){!1===this.options.focusOnMouseDown?(e.browserEvent.preventDefault(),e.browserEvent.stopPropagation()):document.activeElement!==e.browserEvent.target&&this.view.domNode.focus();var t=this.list.getFocus()[0],n=this.list.getSelection();if(t=void 0===t?n[0]:t,
this.multipleSelectionSupport&&this.isSelectionRangeChangeEvent(e))return this.changeSelection(e,t);var i=e.index;if(n.every(function(e){return e!==i})&&this.list.setFocus([i]),this.multipleSelectionSupport&&this.isSelectionChangeEvent(e))return this.changeSelection(e,t);this.options.selectOnMouseDown&&!b(e.browserEvent)&&(this.list.setSelection([i]),this.openController.shouldOpen(e.browserEvent)&&this.list.open([i],e.browserEvent))},e.prototype.onPointer=function(e){if(!(this.multipleSelectionSupport&&this.isSelectionChangeEvent(e)||this.options.selectOnMouseDown)){var t=this.list.getFocus();this.list.setSelection(t),this.openController.shouldOpen(e.browserEvent)&&this.list.open(t,e.browserEvent)}},e.prototype.onDoubleClick=function(e){if(!this.multipleSelectionSupport||!this.isSelectionChangeEvent(e)){var t=this.list.getFocus();this.list.setSelection(t),this.list.pin(t)}},e.prototype.changeSelection=function(e,t){var n=e.index;if(this.isSelectionRangeChangeEvent(e)&&void 0!==t){
var i=Math.min(t,n),o=Math.max(t,n),s=r.range(i,o+1),a=function(e,t){var n=e.indexOf(t);if(-1===n)return[];for(var i=[],o=n-1;o>=0&&e[o]===t-(n-o);)i.push(e[o--]);for(i.reverse(),o=n;o<e.length&&e[o]===t+(o-n);)i.push(e[o++]);return i}(S(l=this.list.getSelection(),[t]),t);if(0===a.length)return;u=S(s,function(e,t){for(var n=[],i=0,o=0;i<e.length||o<t.length;)if(i>=e.length)n.push(t[o++]);else if(o>=t.length)n.push(e[i++]);else{if(e[i]===t[o]){i++,o++;continue}e[i]<t[o]?n.push(e[i++]):o++}return n}(l,a));this.list.setSelection(u)}else if(this.isSelectionSingleChangeEvent(e)){var l=this.list.getSelection(),u=l.filter(function(e){return e!==n});l.length===u.length?this.list.setSelection(u.concat([n])):this.list.setSelection(u)}},e.prototype.dispose=function(){this.disposables=n.dispose(this.disposables)},u([s.memoize],e.prototype,"onContextMenu",null),e}(),O=function(){function e(e,t){this.styleElement=e,this.selectorSuffix=t}return e.prototype.style=function(e){
var t=this.selectorSuffix?"."+this.selectorSuffix:"",n=[];e.listFocusBackground&&(n.push(".monaco-list"+t+":focus .monaco-list-row.focused { background-color: "+e.listFocusBackground+"; }"),n.push(".monaco-list"+t+":focus .monaco-list-row.focused:hover { background-color: "+e.listFocusBackground+"; }")),e.listFocusForeground&&n.push(".monaco-list"+t+":focus .monaco-list-row.focused { color: "+e.listFocusForeground+"; }"),e.listActiveSelectionBackground&&(n.push(".monaco-list"+t+":focus .monaco-list-row.selected { background-color: "+e.listActiveSelectionBackground+"; }"),n.push(".monaco-list"+t+":focus .monaco-list-row.selected:hover { background-color: "+e.listActiveSelectionBackground+"; }")),e.listActiveSelectionForeground&&n.push(".monaco-list"+t+":focus .monaco-list-row.selected { color: "+e.listActiveSelectionForeground+"; }"),e.listFocusAndSelectionBackground&&n.push(".monaco-list"+t+":focus .monaco-list-row.selected.focused { background-color: "+e.listFocusAndSelectionBackground+"; }"),
e.listFocusAndSelectionForeground&&n.push(".monaco-list"+t+":focus .monaco-list-row.selected.focused { color: "+e.listFocusAndSelectionForeground+"; }"),e.listInactiveFocusBackground&&(n.push(".monaco-list"+t+" .monaco-list-row.focused { background-color:  "+e.listInactiveFocusBackground+"; }"),n.push(".monaco-list"+t+" .monaco-list-row.focused:hover { background-color:  "+e.listInactiveFocusBackground+"; }")),e.listInactiveSelectionBackground&&(n.push(".monaco-list"+t+" .monaco-list-row.selected { background-color:  "+e.listInactiveSelectionBackground+"; }"),n.push(".monaco-list"+t+" .monaco-list-row.selected:hover { background-color:  "+e.listInactiveSelectionBackground+"; }")),e.listInactiveSelectionForeground&&n.push(".monaco-list"+t+" .monaco-list-row.selected { color: "+e.listInactiveSelectionForeground+"; }"),e.listHoverBackground&&n.push(".monaco-list"+t+" .monaco-list-row:hover { background-color:  "+e.listHoverBackground+"; }"),
e.listHoverForeground&&n.push(".monaco-list"+t+" .monaco-list-row:hover { color:  "+e.listHoverForeground+"; }"),e.listSelectionOutline&&n.push(".monaco-list"+t+" .monaco-list-row.selected { outline: 1px dotted "+e.listSelectionOutline+"; outline-offset: -1px; }"),e.listFocusOutline&&n.push(".monaco-list"+t+":focus .monaco-list-row.focused { outline: 1px solid "+e.listFocusOutline+"; outline-offset: -1px; }"),e.listInactiveFocusOutline&&n.push(".monaco-list"+t+" .monaco-list-row.focused { outline: 1px dotted "+e.listInactiveFocusOutline+"; outline-offset: -1px; }"),e.listHoverOutline&&n.push(".monaco-list"+t+" .monaco-list-row:hover { outline: 1px dashed "+e.listHoverOutline+"; outline-offset: -1px; }");var i=n.join("\n");i!==this.styleElement.innerHTML&&(this.styleElement.innerHTML=i)},e}();t.DefaultStyleController=O;var R={listFocusBackground:g.Color.fromHex("#073655"),listActiveSelectionBackground:g.Color.fromHex("#0E639C"),listActiveSelectionForeground:g.Color.fromHex("#FFFFFF"),
listFocusAndSelectionBackground:g.Color.fromHex("#094771"),listFocusAndSelectionForeground:g.Color.fromHex("#FFFFFF"),listInactiveSelectionBackground:g.Color.fromHex("#3F3F46"),listHoverBackground:g.Color.fromHex("#2A2D2E"),listDropBackground:g.Color.fromHex("#383B3D")},P={keyboardSupport:!0,mouseSupport:!0,multipleSelectionSupport:!0},A=function(e,t){return e-t},F=function(){function e(e,t){this._templateId=e,this.renderers=t}return Object.defineProperty(e.prototype,"templateId",{get:function(){return this._templateId},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){return this.renderers.map(function(t){return t.renderTemplate(e)})},e.prototype.renderElement=function(e,t,n){for(var i=0,o=0,r=this.renderers;o<r.length;o++){r[o].renderElement(e,t,n[i++])}},e.prototype.disposeTemplate=function(e){for(var t=0,n=0,i=this.renderers;n<i.length;n++){i[n].disposeTemplate(e[t++])}},e}(),W=function(){function e(t,n,i,o){void 0===o&&(o=P);var r=this;if(this.idPrefix="list_id_"+ ++e.InstanceCount,
this.eventBufferer=new h.EventBufferer,this.onContextMenu=h.Event.None,this._onOpen=new h.Emitter,this.onOpen=this._onOpen.event,this._onPin=new h.Emitter,this._onDidDispose=new h.Emitter,this.focus=new x(function(e){return r.getElementDomId(e)}),this.selection=new L("selected"),m.mixin(o,R,!1),i=i.map(function(e){return new F(e.templateId,[r.focus.renderer,r.selection.renderer,e])}),this.view=new f.ListView(t,n,i,o),this.view.domNode.setAttribute("role","tree"),a.addClass(this.view.domNode,this.idPrefix),this.view.domNode.tabIndex=0,this.styleElement=a.createStyleSheet(this.view.domNode),this.styleController=o.styleController,this.styleController||(this.styleController=new O(this.styleElement,this.idPrefix)),this.spliceable=new w([new N(this.focus,this.view,o.identityProvider),new N(this.selection,this.view,o.identityProvider),this.view]),this.disposables=[this.focus,this.selection,this.view,this._onDidDispose],this.onDidFocus=h.mapEvent(p.domEvent(this.view.domNode,"focus",!0),function(){return null}),
this.onDidBlur=h.mapEvent(p.domEvent(this.view.domNode,"blur",!0),function(){return null}),this.disposables.push(new T(this,this.view)),"boolean"!=typeof o.keyboardSupport||o.keyboardSupport){var s=new I(this,this.view,o);this.disposables.push(s)}("boolean"!=typeof o.mouseSupport||o.mouseSupport)&&(this.mouseController=new k(this,this.view,o),this.disposables.push(this.mouseController),this.onContextMenu=this.mouseController.onContextMenu),this.onFocusChange(this._onFocusChange,this,this.disposables),this.onSelectionChange(this._onSelectionChange,this,this.disposables),o.ariaLabel&&this.view.domNode.setAttribute("aria-label",o.ariaLabel),this.style(o)}return Object.defineProperty(e.prototype,"onFocusChange",{get:function(){var e=this;return h.mapEvent(this.eventBufferer.wrapEvent(this.focus.onChange),function(t){return e.toListEvent(t)})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onSelectionChange",{get:function(){var e=this
;return h.mapEvent(this.eventBufferer.wrapEvent(this.selection.onChange),function(t){return e.toListEvent(t)})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onPin",{get:function(){var e=this;return h.mapEvent(this._onPin.event,function(t){return e.toListEvent({indexes:t})})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseClick",{get:function(){return this.view.onMouseClick},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseDblClick",{get:function(){return this.view.onMouseDblClick},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseUp",{get:function(){return this.view.onMouseUp},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseDown",{get:function(){return this.view.onMouseDown},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseOver",{get:function(){return this.view.onMouseOver},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseMove",{
get:function(){return this.view.onMouseMove},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onMouseOut",{get:function(){return this.view.onMouseOut},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onTouchStart",{get:function(){return this.view.onTouchStart},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onTap",{get:function(){return this.view.onTap},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onKeyDown",{get:function(){return p.domEvent(this.view.domNode,"keydown")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onKeyUp",{get:function(){return p.domEvent(this.view.domNode,"keyup")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onKeyPress",{get:function(){return p.domEvent(this.view.domNode,"keypress")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidDispose",{get:function(){return this._onDidDispose.event},enumerable:!0,configurable:!0}),
e.prototype.splice=function(e,t,n){var i=this;void 0===n&&(n=[]),0===t&&0===n.length||this.eventBufferer.bufferEvents(function(){return i.spliceable.splice(e,t,n)})},Object.defineProperty(e.prototype,"length",{get:function(){return this.view.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"contentHeight",{get:function(){return this.view.getContentHeight()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"scrollTop",{get:function(){return this.view.getScrollTop()},set:function(e){this.view.setScrollTop(e)},enumerable:!0,configurable:!0}),e.prototype.domFocus=function(){this.view.domNode.focus()},e.prototype.layout=function(e){this.view.layout(e)},e.prototype.setSelection=function(e){for(var t=0,n=e;t<n.length;t++){var i=n[t];if(i<0||i>=this.length)throw new Error("Invalid index "+i)}e=e.sort(A),this.selection.set(e)},e.prototype.selectNext=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.selection.get(),i=n.length>0?n[0]+e:0
;this.setSelection(t?[i%this.length]:[Math.min(i,this.length-1)])}},e.prototype.selectPrevious=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.selection.get(),i=n.length>0?n[0]-e:0;t&&i<0&&(i=this.length+i%this.length),this.setSelection([Math.max(i,0)])}},e.prototype.getSelection=function(){return this.selection.get()},e.prototype.getSelectedElements=function(){var e=this;return this.getSelection().map(function(t){return e.view.element(t)})},e.prototype.setFocus=function(e){for(var t=0,n=e;t<n.length;t++){var i=n[t];if(i<0||i>=this.length)throw new Error("Invalid index "+i)}e=e.sort(A),this.focus.set(e)},e.prototype.focusNext=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.focus.get(),i=n.length>0?n[0]+e:0;this.setFocus(t?[i%this.length]:[Math.min(i,this.length-1)])}},e.prototype.focusPrevious=function(e,t){if(void 0===e&&(e=1),void 0===t&&(t=!1),0!==this.length){var n=this.focus.get(),i=n.length>0?n[0]-e:0
;t&&i<0&&(i=(this.length+i%this.length)%this.length),this.setFocus([Math.max(i,0)])}},e.prototype.focusNextPage=function(){var e=this,t=this.view.indexAt(this.view.getScrollTop()+this.view.renderHeight);t=0===t?0:t-1;var n=this.view.element(t);if(this.getFocusedElements()[0]!==n)this.setFocus([t]);else{var i=this.view.getScrollTop();this.view.setScrollTop(i+this.view.renderHeight-this.view.elementHeight(t)),this.view.getScrollTop()!==i&&setTimeout(function(){return e.focusNextPage()},0)}},e.prototype.focusPreviousPage=function(){var e,t=this,n=this.view.getScrollTop();e=0===n?this.view.indexAt(n):this.view.indexAfter(n-1);var i=this.view.element(e);if(this.getFocusedElements()[0]!==i)this.setFocus([e]);else{var o=n;this.view.setScrollTop(n-this.view.renderHeight),this.view.getScrollTop()!==o&&setTimeout(function(){return t.focusPreviousPage()},0)}},e.prototype.focusLast=function(){0!==this.length&&this.setFocus([this.length-1])},e.prototype.focusFirst=function(){0!==this.length&&this.setFocus([0])},
e.prototype.getFocus=function(){return this.focus.get()},e.prototype.getFocusedElements=function(){var e=this;return this.getFocus().map(function(t){return e.view.element(t)})},e.prototype.reveal=function(e,t){if(e<0||e>=this.length)throw new Error("Invalid index "+e);var n=this.view.getScrollTop(),o=this.view.elementTop(e),r=this.view.elementHeight(e);if(i.isNumber(t)){var s=r-this.view.renderHeight;this.view.setScrollTop(s*v.clamp(t,0,1)+o)}else{var a=o+r,l=n+this.view.renderHeight;o<n?this.view.setScrollTop(o):a>=l&&this.view.setScrollTop(a-this.view.renderHeight)}},e.prototype.getRelativeTop=function(e){if(e<0||e>=this.length)throw new Error("Invalid index "+e);var t=this.view.getScrollTop(),n=this.view.elementTop(e),i=this.view.elementHeight(e);if(n<t||n+i>t+this.view.renderHeight)return null;var o=i-this.view.renderHeight;return Math.abs((t-n)/o)},e.prototype.getElementDomId=function(e){return this.idPrefix+"_"+e},e.prototype.isDOMFocused=function(){return this.view.domNode===document.activeElement},
e.prototype.getHTMLElement=function(){return this.view.domNode},e.prototype.open=function(e,t){for(var n=this,i=0,o=e;i<o.length;i++){var r=o[i];if(r<0||r>=this.length)throw new Error("Invalid index "+r)}this._onOpen.fire({indexes:e,elements:e.map(function(e){return n.view.element(e)}),browserEvent:t})},e.prototype.pin=function(e){for(var t=0,n=e;t<n.length;t++){var i=n[t];if(i<0||i>=this.length)throw new Error("Invalid index "+i)}this._onPin.fire(e)},e.prototype.style=function(e){this.styleController.style(e)},e.prototype.toListEvent=function(e){var t=this,n=e.indexes;return{indexes:n,elements:n.map(function(e){return t.view.element(e)})}},e.prototype._onFocusChange=function(){var e=this.focus.get();e.length>0?this.view.domNode.setAttribute("aria-activedescendant",this.getElementDomId(e[0])):this.view.domNode.removeAttribute("aria-activedescendant"),this.view.domNode.setAttribute("role","tree"),a.toggleClass(this.view.domNode,"element-focused",e.length>0)},e.prototype._onSelectionChange=function(){
var e=this.selection.get();a.toggleClass(this.view.domNode,"selection-none",0===e.length),a.toggleClass(this.view.domNode,"selection-single",1===e.length),a.toggleClass(this.view.domNode,"selection-multiple",e.length>1)},e.prototype.dispose=function(){this._onDidDispose.fire(),this.disposables=n.dispose(this.disposables)},e.InstanceCount=0,u([s.memoize],e.prototype,"onFocusChange",null),u([s.memoize],e.prototype,"onSelectionChange",null),u([s.memoize],e.prototype,"onPin",null),e}();t.List=W}),define(t[247],n([0,1,22,105,4,157]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){this.renderer=e,this.modelProvider=t}return Object.defineProperty(e.prototype,"templateId",{get:function(){return this.renderer.templateId},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){return{data:this.renderer.renderTemplate(e),disposable:{dispose:function(){}}}},e.prototype.renderElement=function(e,t,n){var i=this;n.disposable.dispose()
;var o=this.modelProvider();if(o.isResolved(e))return this.renderer.renderElement(o.get(e),e,n.data);var r=o.resolve(e);n.disposable={dispose:function(){return r.cancel()}},this.renderer.renderPlaceholder(e,n.data),r.done(function(t){return i.renderer.renderElement(t,e,n.data)})},e.prototype.disposeTemplate=function(e){e.disposable.dispose(),e.disposable=null,this.renderer.disposeTemplate(e.data),e.data=null},e}(),s=function(){function e(e,t,n,o){void 0===o&&(o={});var s=this,a=n.map(function(e){return new r(e,function(){return s.model})});this.list=new i.List(e,t,a,o)}return e.prototype.getHTMLElement=function(){return this.list.getHTMLElement()},e.prototype.isDOMFocused=function(){return this.list.getHTMLElement()===document.activeElement},e.prototype.domFocus=function(){this.list.domFocus()},Object.defineProperty(e.prototype,"onDidFocus",{get:function(){return this.list.onDidFocus},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidBlur",{get:function(){return this.list.onDidBlur},
enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"widget",{get:function(){return this.list},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidDispose",{get:function(){return this.list.onDidDispose},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onFocusChange",{get:function(){var e=this;return o.mapEvent(this.list.onFocusChange,function(t){var n=t.elements,i=t.indexes;return{elements:n.map(function(t){return e._model.get(t)}),indexes:i}})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onOpen",{get:function(){var e=this;return o.mapEvent(this.list.onOpen,function(t){var n=t.elements,i=t.indexes,o=t.browserEvent;return{elements:n.map(function(t){return e._model.get(t)}),indexes:i,browserEvent:o}})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onSelectionChange",{get:function(){var e=this;return o.mapEvent(this.list.onSelectionChange,function(t){var n=t.elements,i=t.indexes;return{elements:n.map(function(t){
return e._model.get(t)}),indexes:i}})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onPin",{get:function(){var e=this;return o.mapEvent(this.list.onPin,function(t){var n=t.elements,i=t.indexes;return{elements:n.map(function(t){return e._model.get(t)}),indexes:i}})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"model",{get:function(){return this._model},set:function(e){this._model=e,this.list.splice(0,this.list.length,n.range(e.length))},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"length",{get:function(){return this.list.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"scrollTop",{get:function(){return this.list.scrollTop},set:function(e){this.list.scrollTop=e},enumerable:!0,configurable:!0}),e.prototype.open=function(e,t){this.list.open(e,t)},e.prototype.setFocus=function(e){this.list.setFocus(e)},e.prototype.focusNext=function(e,t){this.list.focusNext(e,t)},e.prototype.focusPrevious=function(e,t){
this.list.focusPrevious(e,t)},e.prototype.selectNext=function(e,t){this.list.selectNext(e,t)},e.prototype.selectPrevious=function(e,t){this.list.selectPrevious(e,t)},e.prototype.focusNextPage=function(){this.list.focusNextPage()},e.prototype.focusPreviousPage=function(){this.list.focusPreviousPage()},e.prototype.getFocus=function(){return this.list.getFocus()},e.prototype.setSelection=function(e){this.list.setSelection(e)},e.prototype.getSelection=function(){return this.list.getSelection()},e.prototype.layout=function(e){this.list.layout(e)},e.prototype.reveal=function(e,t){this.list.reveal(e,t)},e.prototype.style=function(e){this.list.style(e)},e.prototype.dispose=function(){this.list.dispose()},e}();t.PagedList=s}),define(t[252],n([7]),{}),define(t[253],n([7]),{}),define(t[254],n([7]),{}),define(t[264],n([7]),{}),define(t[266],n([7]),{}),define(t[269],n([7]),{}),define(t[270],n([7]),{}),define(t[272],n([7]),{}),define(t[275],n([7]),{}),define(t[280],n([7]),{}),define(t[281],n([7]),{}),
define(t[283],n([7]),{}),define(t[285],n([7]),{}),define(t[288],n([7]),{}),define(t[290],n([7]),{}),define(t[293],n([7]),{}),define(t[295],n([7]),{}),define(t[302],n([7]),{}),define(t[303],n([7]),{}),define(t[335],n([7]),{}),define(t[362],n([7]),{}),define(t[363],n([7]),{}),define(t[364],n([7]),{}),define(t[365],n([7]),{}),define(t[366],n([7]),{}),define(t[367],n([7]),{}),define(t[369],n([7]),{}),define(t[370],n([7]),{}),define(t[371],n([7]),{}),define(t[373],n([7]),{}),define(t[374],n([7]),{}),define(t[166],n([7]),{}),define(t[377],n([7]),{}),define(t[378],n([7]),{}),define(t[379],n([7]),{}),define(t[380],n([7]),{}),define(t[381],n([7]),{}),define(t[385],n([7]),{}),define(t[386],n([7]),{}),define(t[387],n([7]),{}),define(t[388],n([7]),{}),define(t[390],n([7]),{}),define(t[392],n([7]),{}),define(t[400],n([7]),{}),define(t[403],n([7]),{}),define(t[404],n([7]),{}),define(t[406],n([7]),{}),define(t[408],n([7]),{}),define(t[409],n([7]),{}),define(t[410],n([7]),{}),define(t[412],n([7]),{}),
define(t[414],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Regular=0]="Regular",e[e.Italic=1]="Italic",e[e.Bold=2]="Bold"}(t.CharWidthRequestType||(t.CharWidthRequestType={}));var n=function(){function e(e,t){this.chr=e,this.type=t,this.width=0}return e.prototype.fulfill=function(e){this.width=e},e}();t.CharWidthRequest=n;var i=function(){function e(e,t){this._bareFontInfo=e,this._requests=t,this._container=null,this._testElements=null}return e.prototype.read=function(){this._createDomElements(),document.body.appendChild(this._container),this._readFromDomElements(),document.body.removeChild(this._container),this._container=null,this._testElements=null},e.prototype._createDomElements=function(){var t=document.createElement("div");t.style.position="absolute",t.style.top="-50000px",t.style.width="50000px";var n=document.createElement("div");n.style.fontFamily=this._bareFontInfo.fontFamily,n.style.fontWeight=this._bareFontInfo.fontWeight,
n.style.fontSize=this._bareFontInfo.fontSize+"px",n.style.lineHeight=this._bareFontInfo.lineHeight+"px",n.style.letterSpacing=this._bareFontInfo.letterSpacing+"px",t.appendChild(n);var i=document.createElement("div");i.style.fontFamily=this._bareFontInfo.fontFamily,i.style.fontWeight="bold",i.style.fontSize=this._bareFontInfo.fontSize+"px",i.style.lineHeight=this._bareFontInfo.lineHeight+"px",i.style.letterSpacing=this._bareFontInfo.letterSpacing+"px",t.appendChild(i);var o=document.createElement("div");o.style.fontFamily=this._bareFontInfo.fontFamily,o.style.fontWeight=this._bareFontInfo.fontWeight,o.style.fontSize=this._bareFontInfo.fontSize+"px",o.style.lineHeight=this._bareFontInfo.lineHeight+"px",o.style.letterSpacing=this._bareFontInfo.letterSpacing+"px",o.style.fontStyle="italic",t.appendChild(o);for(var r=[],s=0,a=this._requests.length;s<a;s++){var l=this._requests[s],u=void 0;0===l.type&&(u=n),2===l.type&&(u=i),1===l.type&&(u=o),u.appendChild(document.createElement("br"))
;var c=document.createElement("span");e._render(c,l),u.appendChild(c),r[s]=c}this._container=t,this._testElements=r},e._render=function(e,t){if(" "===t.chr){for(var n="&nbsp;",i=0;i<8;i++)n+=n;e.innerHTML=n}else{for(var o=t.chr,i=0;i<8;i++)o+=o;e.textContent=o}},e.prototype._readFromDomElements=function(){for(var e=0,t=this._requests.length;e<t;e++){var n=this._requests[e],i=this._testElements[e];n.fulfill(i.offsetWidth/256)}},e}();t.readCharWidths=function(e,t){new i(e,t).read()}}),define(t[415],n([0,1,2]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(t,n){var i=e.call(this)||this;return i.referenceDomElement=t,i.changeCallback=n,i.measureReferenceDomElementToken=-1,i.width=-1,i.height=-1,i.measureReferenceDomElement(!1),i}return o(t,e),t.prototype.dispose=function(){this.stopObserving(),e.prototype.dispose.call(this)},t.prototype.getWidth=function(){return this.width},t.prototype.getHeight=function(){return this.height},
t.prototype.startObserving=function(){var e=this;-1===this.measureReferenceDomElementToken&&(this.measureReferenceDomElementToken=setInterval(function(){return e.measureReferenceDomElement(!0)},100))},t.prototype.stopObserving=function(){-1!==this.measureReferenceDomElementToken&&(clearInterval(this.measureReferenceDomElementToken),this.measureReferenceDomElementToken=-1)},t.prototype.observe=function(e){this.measureReferenceDomElement(!0,e)},t.prototype.measureReferenceDomElement=function(e,t){var n=0,i=0;t?(n=t.width,i=t.height):this.referenceDomElement&&(n=this.referenceDomElement.clientWidth,i=this.referenceDomElement.clientHeight),n=Math.max(5,n),i=Math.max(5,i),this.width===n&&this.height===i||(this.width=n,this.height=i,e&&this.changeCallback())},t}(n.Disposable);t.ElementSizeObserver=i}),define(t[104],n([0,1,9]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Value=1]="Value",e[e.Selection=2]="Selection",e[e.Position=4]="Position",e[e.Scroll=8]="Scroll"
}(t.CodeEditorStateFlag||(t.CodeEditorStateFlag={}));var i=function(){function e(e,t){if(this.flags=t,0!=(1&this.flags)){var i=e.getModel();this.modelVersionId=i?n.format("{0}#{1}",i.uri.toString(),i.getVersionId()):null}0!=(4&this.flags)&&(this.position=e.getPosition()),0!=(2&this.flags)&&(this.selection=e.getSelection()),0!=(8&this.flags)&&(this.scrollLeft=e.getScrollLeft(),this.scrollTop=e.getScrollTop())}return e.prototype._equals=function(t){if(!(t instanceof e))return!1;var n=t;return this.modelVersionId===n.modelVersionId&&(this.scrollLeft===n.scrollLeft&&this.scrollTop===n.scrollTop&&(!(!this.position&&n.position||this.position&&!n.position||this.position&&n.position&&!this.position.equals(n.position))&&!(!this.selection&&n.selection||this.selection&&!n.selection||this.selection&&n.selection&&!this.selection.equalsRange(n.selection))))},e.prototype.validate=function(t){return this._equals(new e(t,this.flags))},e}();t.EditorState=i}),define(t[122],n([0,1,2,41,10,70]),function(e,t,n,i,r,s){"use strict"
;function a(e){var t=r.getDomNodePagePosition(e);return new c(t.left,t.top,t.width,t.height)}Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e,t){this.x=e,this.y=t}return e.prototype.toClientCoordinates=function(){return new u(this.x-r.StandardWindow.scrollX,this.y-r.StandardWindow.scrollY)},e}();t.PageCoordinates=l;var u=function(){function e(e,t){this.clientX=e,this.clientY=t}return e.prototype.toPageCoordinates=function(){return new l(this.clientX+r.StandardWindow.scrollX,this.clientY+r.StandardWindow.scrollY)},e}();t.ClientCoordinates=u;var c=function(){return function(e,t,n,i){this.x=e,this.y=t,this.width=n,this.height=i}}();t.EditorPagePosition=c,t.createEditorPagePosition=a;var d=function(e){function t(t,n){var i=e.call(this,t)||this;return i.pos=new l(i.posx,i.posy),i.editorPos=a(n),i}return o(t,e),t}(i.StandardMouseEvent);t.EditorMouseEvent=d;var h=function(){function e(e){this._editorViewDomNode=e}return e.prototype._create=function(e){
return new d(e,this._editorViewDomNode)},e.prototype.onContextMenu=function(e,t){var n=this;return r.addDisposableListener(e,"contextmenu",function(e){t(n._create(e))})},e.prototype.onMouseUp=function(e,t){var n=this;return r.addDisposableListener(e,"mouseup",function(e){t(n._create(e))})},e.prototype.onMouseDown=function(e,t){var n=this;return r.addDisposableListener(e,"mousedown",function(e){t(n._create(e))})},e.prototype.onMouseLeave=function(e,t){var n=this;return r.addDisposableNonBubblingMouseOutListener(e,function(e){t(n._create(e))})},e.prototype.onMouseMoveThrottled=function(e,t,n,i){var o=this;return r.addDisposableThrottledListener(e,"mousemove",t,function(e,t){return n(e,o._create(t))},i)},e}();t.EditorMouseEventFactory=h;var p=function(e){function t(t){var n=e.call(this)||this;return n._editorViewDomNode=t,n._globalMouseMoveMonitor=n._register(new s.GlobalMouseMoveMonitor),n._keydownListener=null,n}return o(t,e),t.prototype.startMonitoring=function(e,t,n){var i=this
;this._keydownListener=r.addStandardDisposableListener(document,"keydown",function(e){e.toKeybinding().isModifierKey()||i._globalMouseMoveMonitor.stopMonitoring(!0)},!0);this._globalMouseMoveMonitor.startMonitoring(function(t,n){return e(t,new d(n,i._editorViewDomNode))},t,function(){i._keydownListener.dispose(),n()})},t}(n.Disposable);t.GlobalEditorMouseMoveMonitor=p}),define(t[421],n([0,1,4]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){this._transientWatchers={},this._codeEditors=Object.create(null),this._diffEditors=Object.create(null),this._onCodeEditorAdd=new n.Emitter,this._onCodeEditorRemove=new n.Emitter,this._onDiffEditorAdd=new n.Emitter,this._onDiffEditorRemove=new n.Emitter}return e.prototype.addCodeEditor=function(e){this._codeEditors[e.getId()]=e,this._onCodeEditorAdd.fire(e)},Object.defineProperty(e.prototype,"onCodeEditorAdd",{get:function(){return this._onCodeEditorAdd.event},enumerable:!0,configurable:!0}),
e.prototype.removeCodeEditor=function(e){delete this._codeEditors[e.getId()]&&this._onCodeEditorRemove.fire(e)},Object.defineProperty(e.prototype,"onCodeEditorRemove",{get:function(){return this._onCodeEditorRemove.event},enumerable:!0,configurable:!0}),e.prototype.listCodeEditors=function(){var e=this;return Object.keys(this._codeEditors).map(function(t){return e._codeEditors[t]})},e.prototype.addDiffEditor=function(e){this._diffEditors[e.getId()]=e,this._onDiffEditorAdd.fire(e)},Object.defineProperty(e.prototype,"onDiffEditorAdd",{get:function(){return this._onDiffEditorAdd.event},enumerable:!0,configurable:!0}),e.prototype.removeDiffEditor=function(e){delete this._diffEditors[e.getId()]&&this._onDiffEditorRemove.fire(e)},Object.defineProperty(e.prototype,"onDiffEditorRemove",{get:function(){return this._onDiffEditorRemove.event},enumerable:!0,configurable:!0}),e.prototype.listDiffEditors=function(){var e=this;return Object.keys(this._diffEditors).map(function(t){return e._diffEditors[t]})},
e.prototype.getFocusedCodeEditor=function(){for(var e=null,t=this.listCodeEditors(),n=0;n<t.length;n++){var i=t[n];if(i.isFocused())return i;i.hasWidgetFocus()&&(e=i)}return e},e.prototype.setTransientModelProperty=function(e,t,n){var i,r=e.uri.toString();this._transientWatchers.hasOwnProperty(r)?i=this._transientWatchers[r]:(i=new o(r,e,this),this._transientWatchers[r]=i),i.set(t,n)},e.prototype.getTransientModelProperty=function(e,t){var n=e.uri.toString();if(this._transientWatchers.hasOwnProperty(n))return this._transientWatchers[n].get(t)},e.prototype._removeWatcher=function(e){delete this._transientWatchers[e.uri]},e}();t.AbstractCodeEditorService=i;var o=function(){function e(e,t,n){var i=this;this.uri=e,this._values={},t.onWillDispose(function(){return n._removeWatcher(i)})}return e.prototype.set=function(e,t){this._values[e]=t},e.prototype.get=function(e){return this._values[e]},e}();t.ModelTransientSettingWatcher=o}),define(t[123],n([0,1,4]),function(e,t,n){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),t.EditorZoom=new(function(){function e(){this._zoomLevel=0,this._onDidChangeZoomLevel=new n.Emitter,this.onDidChangeZoomLevel=this._onDidChangeZoomLevel.event}return e.prototype.getZoomLevel=function(){return this._zoomLevel},e.prototype.setZoomLevel=function(e){e=Math.min(Math.max(-9,e),9),this._zoomLevel!==e&&(this._zoomLevel=e,this._onDidChangeZoomLevel.fire(this._zoomLevel))},e}())}),define(t[56],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.NotSet=0]="NotSet",e[e.ContentFlush=1]="ContentFlush",e[e.RecoverFromMarkers=2]="RecoverFromMarkers",e[e.Explicit=3]="Explicit",e[e.Paste=4]="Paste",e[e.Undo=5]="Undo",e[e.Redo=6]="Redo"}(t.CursorChangeReason||(t.CursorChangeReason={}))}),define(t[13],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t){this.lineNumber=e,this.column=t}return e.prototype.equals=function(t){return e.equals(this,t)},
e.equals=function(e,t){return!e&&!t||!!e&&!!t&&e.lineNumber===t.lineNumber&&e.column===t.column},e.prototype.isBefore=function(t){return e.isBefore(this,t)},e.isBefore=function(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<t.column},e.prototype.isBeforeOrEqual=function(t){return e.isBeforeOrEqual(this,t)},e.isBeforeOrEqual=function(e,t){return e.lineNumber<t.lineNumber||!(t.lineNumber<e.lineNumber)&&e.column<=t.column},e.compare=function(e,t){var n=0|e.lineNumber,i=0|t.lineNumber;if(n===i){return(0|e.column)-(0|t.column)}return n-i},e.prototype.clone=function(){return new e(this.lineNumber,this.column)},e.prototype.toString=function(){return"("+this.lineNumber+","+this.column+")"},e.lift=function(t){return new e(t.lineNumber,t.column)},e.isIPosition=function(e){return e&&"number"==typeof e.lineNumber&&"number"==typeof e.column},e}();t.Position=n}),define(t[3],n([0,1,13]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){
function e(e,t,n,i){e>n||e===n&&t>i?(this.startLineNumber=n,this.startColumn=i,this.endLineNumber=e,this.endColumn=t):(this.startLineNumber=e,this.startColumn=t,this.endLineNumber=n,this.endColumn=i)}return e.prototype.isEmpty=function(){return e.isEmpty(this)},e.isEmpty=function(e){return e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn},e.prototype.containsPosition=function(t){return e.containsPosition(this,t)},e.containsPosition=function(e,t){return!(t.lineNumber<e.startLineNumber||t.lineNumber>e.endLineNumber)&&(!(t.lineNumber===e.startLineNumber&&t.column<e.startColumn)&&!(t.lineNumber===e.endLineNumber&&t.column>e.endColumn))},e.prototype.containsRange=function(t){return e.containsRange(this,t)},e.containsRange=function(e,t){
return!(t.startLineNumber<e.startLineNumber||t.endLineNumber<e.startLineNumber)&&(!(t.startLineNumber>e.endLineNumber||t.endLineNumber>e.endLineNumber)&&(!(t.startLineNumber===e.startLineNumber&&t.startColumn<e.startColumn)&&!(t.endLineNumber===e.endLineNumber&&t.endColumn>e.endColumn)))},e.prototype.plusRange=function(t){return e.plusRange(this,t)},e.plusRange=function(t,n){var i,o,r,s;return n.startLineNumber<t.startLineNumber?(i=n.startLineNumber,o=n.startColumn):n.startLineNumber===t.startLineNumber?(i=n.startLineNumber,o=Math.min(n.startColumn,t.startColumn)):(i=t.startLineNumber,o=t.startColumn),n.endLineNumber>t.endLineNumber?(r=n.endLineNumber,s=n.endColumn):n.endLineNumber===t.endLineNumber?(r=n.endLineNumber,s=Math.max(n.endColumn,t.endColumn)):(r=t.endLineNumber,s=t.endColumn),new e(i,o,r,s)},e.prototype.intersectRanges=function(t){return e.intersectRanges(this,t)},e.intersectRanges=function(t,n){
var i=t.startLineNumber,o=t.startColumn,r=t.endLineNumber,s=t.endColumn,a=n.startLineNumber,l=n.startColumn,u=n.endLineNumber,c=n.endColumn;return i<a?(i=a,o=l):i===a&&(o=Math.max(o,l)),r>u?(r=u,s=c):r===u&&(s=Math.min(s,c)),i>r?null:i===r&&o>s?null:new e(i,o,r,s)},e.prototype.equalsRange=function(t){return e.equalsRange(this,t)},e.equalsRange=function(e,t){return!!e&&!!t&&e.startLineNumber===t.startLineNumber&&e.startColumn===t.startColumn&&e.endLineNumber===t.endLineNumber&&e.endColumn===t.endColumn},e.prototype.getEndPosition=function(){return new n.Position(this.endLineNumber,this.endColumn)},e.prototype.getStartPosition=function(){return new n.Position(this.startLineNumber,this.startColumn)},e.prototype.toString=function(){return"["+this.startLineNumber+","+this.startColumn+" -> "+this.endLineNumber+","+this.endColumn+"]"},e.prototype.setEndPosition=function(t,n){return new e(this.startLineNumber,this.startColumn,t,n)},e.prototype.setStartPosition=function(t,n){
return new e(t,n,this.endLineNumber,this.endColumn)},e.prototype.collapseToStart=function(){return e.collapseToStart(this)},e.collapseToStart=function(t){return new e(t.startLineNumber,t.startColumn,t.startLineNumber,t.startColumn)},e.fromPositions=function(t,n){return void 0===n&&(n=t),new e(t.lineNumber,t.column,n.lineNumber,n.column)},e.lift=function(t){return t?new e(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):null},e.isIRange=function(e){return e&&"number"==typeof e.startLineNumber&&"number"==typeof e.startColumn&&"number"==typeof e.endLineNumber&&"number"==typeof e.endColumn},e.areIntersectingOrTouching=function(e,t){return!(e.endLineNumber<t.startLineNumber||e.endLineNumber===t.startLineNumber&&e.endColumn<t.startColumn)&&!(t.endLineNumber<e.startLineNumber||t.endLineNumber===e.startLineNumber&&t.endColumn<e.startColumn)},e.compareRangesUsingStarts=function(e,t){var n=0|e.startLineNumber,i=0|t.startLineNumber;if(n===i){var o=0|e.startColumn,r=0|t.startColumn;if(o===r){
var s=0|e.endLineNumber,a=0|t.endLineNumber;if(s===a){return(0|e.endColumn)-(0|t.endColumn)}return s-a}return o-r}return n-i},e.compareRangesUsingEnds=function(e,t){return e.endLineNumber===t.endLineNumber?e.endColumn===t.endColumn?e.startLineNumber===t.startLineNumber?e.startColumn-t.startColumn:e.startLineNumber-t.startLineNumber:e.endColumn-t.endColumn:e.endLineNumber-t.endLineNumber},e.spansMultipleLines=function(e){return e.endLineNumber>e.startLineNumber},e}();t.Range=i}),define(t[152],n([0,1,77,25,3,2,4]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a={followsCaret:!0,ignoreCharChanges:!0,alwaysRevealFirst:!0},l=function(){function e(e,t){void 0===t&&(t={});var n=this;this._onDidUpdate=new s.Emitter,this.onDidUpdate=this._onDidUpdate.event,this._editor=e,this._options=i.mixin(t,a,!1),this.disposed=!1,this._disposables=[],this.nextIdx=-1,this.ranges=[],this.ignoreSelectionChange=!1,this.revealFirst=this._options.alwaysRevealFirst,
this._disposables.push(this._editor.onDidDispose(function(){return n.dispose()})),this._disposables.push(this._editor.onDidUpdateDiff(function(){return n._onDiffUpdated()})),this._options.followsCaret&&this._disposables.push(this._editor.getModifiedEditor().onDidChangeCursorPosition(function(e){n.ignoreSelectionChange||(n.nextIdx=-1)})),this._options.alwaysRevealFirst&&this._disposables.push(this._editor.getModifiedEditor().onDidChangeModel(function(e){n.revealFirst=!0})),this._init()}return e.prototype._init=function(){this._editor.getLineChanges()},e.prototype._onDiffUpdated=function(){this._init(),this._compute(this._editor.getLineChanges()),this.revealFirst&&null!==this._editor.getLineChanges()&&(this.revealFirst=!1,this.nextIdx=-1,this.next())},e.prototype._compute=function(e){var t=this;this.ranges=[],e&&e.forEach(function(e){!t._options.ignoreCharChanges&&e.charChanges?e.charChanges.forEach(function(e){t.ranges.push({rhs:!0,
range:new o.Range(e.modifiedStartLineNumber,e.modifiedStartColumn,e.modifiedEndLineNumber,e.modifiedEndColumn)})}):t.ranges.push({rhs:!0,range:new o.Range(e.modifiedStartLineNumber,1,e.modifiedStartLineNumber,1)})}),this.ranges.sort(function(e,t){return e.range.getStartPosition().isBeforeOrEqual(t.range.getStartPosition())?-1:t.range.getStartPosition().isBeforeOrEqual(e.range.getStartPosition())?1:0}),this._onDidUpdate.fire(this)},e.prototype._initIdx=function(e){for(var t=!1,n=this._editor.getPosition(),i=0,o=this.ranges.length;i<o&&!t;i++){var r=this.ranges[i].range;n.isBeforeOrEqual(r.getStartPosition())&&(this.nextIdx=i+(e?0:-1),t=!0)}t||(this.nextIdx=e?0:this.ranges.length-1),this.nextIdx<0&&(this.nextIdx=this.ranges.length-1)},e.prototype._move=function(e){if(n.ok(!this.disposed,"Illegal State - diff navigator has been disposed"),this.canNavigate()){-1===this.nextIdx?this._initIdx(e):e?(this.nextIdx+=1,this.nextIdx>=this.ranges.length&&(this.nextIdx=0)):(this.nextIdx-=1,
this.nextIdx<0&&(this.nextIdx=this.ranges.length-1));var t=this.ranges[this.nextIdx];this.ignoreSelectionChange=!0;try{var i=t.range.getStartPosition();this._editor.setPosition(i),this._editor.revealPositionInCenter(i,0)}finally{this.ignoreSelectionChange=!1}}},e.prototype.canNavigate=function(){return this.ranges&&this.ranges.length>0},e.prototype.next=function(){this._move(!0)},e.prototype.previous=function(){this._move(!1)},e.prototype.dispose=function(){r.dispose(this._disposables),this._disposables.length=0,this._onDidUpdate.dispose(),this.ranges=null,this.disposed=!0},e}();t.DiffNavigator=l}),define(t[51],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){}return e.insert=function(e,t){return{range:new n.Range(e.lineNumber,e.column,e.lineNumber,e.column),text:t,forceMoveMarkers:!0}},e.delete=function(e){return{range:e,text:null}},e.replace=function(e,t){return{range:e,text:t}},e.replaceMove=function(e,t){return{range:e,text:t,
forceMoveMarkers:!0}},e}();t.EditOperation=i}),define(t[431],n([0,1,9,51,3]),function(e,t,n,i,o){"use strict";function r(e,t){t.sort(function(e,t){return e.lineNumber===t.lineNumber?e.column-t.column:e.lineNumber-t.lineNumber});for(var r=t.length-2;r>=0;r--)t[r].lineNumber===t[r+1].lineNumber&&t.splice(r,1);for(var s=[],a=0,l=0,u=t.length,c=1,d=e.getLineCount();c<=d;c++){var h=e.getLineContent(c),p=h.length+1,f=0;if(!(l<u&&t[l].lineNumber===c&&(f=t[l].column,l++,f===p))&&0!==h.length){var g=n.lastNonWhitespaceIndex(h),m=0;if(-1===g)m=1;else{if(g===h.length-1)continue;m=g+2}m=Math.max(f,m),s[a++]=i.EditOperation.delete(new o.Range(c,m,c,p))}}return s}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t){this.selection=e,this.cursors=t}return e.prototype.getEditOperations=function(e,t){for(var n=r(e,this.cursors),i=0,o=n.length;i<o;i++){var s=n[i];t.addEditOperation(s.range,s.text)}this.selectionId=t.trackSelection(this.selection)},e.prototype.computeCursorState=function(e,t){
return t.getTrackedSelection(this.selectionId)},e}();t.TrimTrailingWhitespaceCommand=s,t.trimTrailingWhitespace=r}),define(t[432],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(t,n,i,o){this.r=e._clamp(t),this.g=e._clamp(n),this.b=e._clamp(i),this.a=e._clamp(o)}return e._clamp=function(e){return e<0?0:e>255?255:0|e},e}();t.RGBA8=n}),define(t[20],n([0,1,3,13]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r;!function(e){e[e.LTR=0]="LTR",e[e.RTL=1]="RTL"}(r=t.SelectionDirection||(t.SelectionDirection={}));var s=function(e){function t(t,n,i,o){var r=e.call(this,t,n,i,o)||this;return r.selectionStartLineNumber=t,r.selectionStartColumn=n,r.positionLineNumber=i,r.positionColumn=o,r}return o(t,e),t.prototype.clone=function(){return new t(this.selectionStartLineNumber,this.selectionStartColumn,this.positionLineNumber,this.positionColumn)},t.prototype.toString=function(){
return"["+this.selectionStartLineNumber+","+this.selectionStartColumn+" -> "+this.positionLineNumber+","+this.positionColumn+"]"},t.prototype.equalsSelection=function(e){return t.selectionsEqual(this,e)},t.selectionsEqual=function(e,t){return e.selectionStartLineNumber===t.selectionStartLineNumber&&e.selectionStartColumn===t.selectionStartColumn&&e.positionLineNumber===t.positionLineNumber&&e.positionColumn===t.positionColumn},t.prototype.getDirection=function(){return this.selectionStartLineNumber===this.startLineNumber&&this.selectionStartColumn===this.startColumn?r.LTR:r.RTL},t.prototype.setEndPosition=function(e,n){return this.getDirection()===r.LTR?new t(this.startLineNumber,this.startColumn,e,n):new t(e,n,this.startLineNumber,this.startColumn)},t.prototype.getPosition=function(){return new i.Position(this.positionLineNumber,this.positionColumn)},t.prototype.setStartPosition=function(e,n){
return this.getDirection()===r.LTR?new t(e,n,this.endLineNumber,this.endColumn):new t(this.endLineNumber,this.endColumn,e,n)},t.fromPositions=function(e,n){return void 0===n&&(n=e),new t(e.lineNumber,e.column,n.lineNumber,n.column)},t.liftSelection=function(e){return new t(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn)},t.selectionsArrEqual=function(e,t){if(e&&!t||!e&&t)return!1;if(!e&&!t)return!0;if(e.length!==t.length)return!1;for(var n=0,i=e.length;n<i;n++)if(!this.selectionsEqual(e[n],t[n]))return!1;return!0},t.isISelection=function(e){return e&&"number"==typeof e.selectionStartLineNumber&&"number"==typeof e.selectionStartColumn&&"number"==typeof e.positionLineNumber&&"number"==typeof e.positionColumn},t.createWithDirection=function(e,n,i,o,s){return s===r.LTR?new t(e,n,i,o):new t(i,o,e,n)},t}(n.Range);t.Selection=s}),define(t[79],n([0,1,20]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){
void 0===n&&(n=!1),this._range=e,this._text=t,this.insertsAutoWhitespace=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return new n.Selection(i.endLineNumber,i.endColumn,i.endLineNumber,i.endColumn)},e}();t.ReplaceCommand=i;var o=function(){function e(e,t,n){void 0===n&&(n=!1),this._range=e,this._text=t,this.insertsAutoWhitespace=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return new n.Selection(i.startLineNumber,i.startColumn,i.startLineNumber,i.startColumn)},e}();t.ReplaceCommandWithoutChangingPosition=o;var r=function(){function e(e,t,n,i,o){void 0===o&&(o=!1),this._range=e,this._text=t,this._columnDeltaOffset=i,this._lineNumberDeltaOffset=n,this.insertsAutoWhitespace=o}
return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._range,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range;return new n.Selection(i.endLineNumber+this._lineNumberDeltaOffset,i.endColumn+this._columnDeltaOffset,i.endLineNumber+this._lineNumberDeltaOffset,i.endColumn+this._columnDeltaOffset)},e}();t.ReplaceCommandWithOffsetCursorState=r;var s=function(){function e(e,t,n){this._range=e,this._text=t,this._initialSelection=n}return e.prototype.getEditOperations=function(e,t){t.addEditOperation(this._range,this._text),this._selectionId=t.trackSelection(this._initialSelection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._selectionId)},e}();t.ReplaceCommandThatPreservesSelection=s}),define(t[436],n([0,1,3,20]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){this._range=e,this._charBeforeSelection=t,this._charAfterSelection=n}
return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(new n.Range(this._range.startLineNumber,this._range.startColumn,this._range.startLineNumber,this._range.startColumn),this._charBeforeSelection),t.addTrackedEditOperation(new n.Range(this._range.endLineNumber,this._range.endColumn,this._range.endLineNumber,this._range.endColumn),this._charAfterSelection)},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations(),o=n[0].range,r=n[1].range;return new i.Selection(o.endLineNumber,o.endColumn,r.endLineNumber,r.endColumn-this._charAfterSelection.length)},e}();t.SurroundSelectionCommand=o}),define(t[140],n([0,1,9]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),"undefined"!=typeof TextDecoder?t.createStringBuilder=function(e){return new i(e)}:t.createStringBuilder=function(e){return new o};var i=function(){function e(e){this._decoder=new TextDecoder("UTF-16LE"),this._capacity=0|e,this._buffer=new Uint16Array(this._capacity),
this._completedStrings=null,this._bufferLength=0}return e.prototype.reset=function(){this._completedStrings=null,this._bufferLength=0},e.prototype.build=function(){return null!==this._completedStrings?(this._flushBuffer(),this._completedStrings.join("")):this._buildBuffer()},e.prototype._buildBuffer=function(){if(0===this._bufferLength)return"";var e=new Uint16Array(this._buffer.buffer,0,this._bufferLength);return this._decoder.decode(e)},e.prototype._flushBuffer=function(){var e=this._buildBuffer();this._bufferLength=0,null===this._completedStrings?this._completedStrings=[e]:this._completedStrings[this._completedStrings.length]=e},e.prototype.write1=function(e){var t=this._capacity-this._bufferLength;t<=1&&(0===t||n.isHighSurrogate(e))&&this._flushBuffer(),this._buffer[this._bufferLength++]=e},e.prototype.appendASCII=function(e){this._bufferLength===this._capacity&&this._flushBuffer(),this._buffer[this._bufferLength++]=e},e.prototype.appendASCIIString=function(e){var t=e.length
;if(this._bufferLength+t>=this._capacity)return this._flushBuffer(),void(this._completedStrings[this._completedStrings.length]=e);for(var n=0;n<t;n++)this._buffer[this._bufferLength++]=e.charCodeAt(n)},e}(),o=function(){function e(){this._pieces=[],this._piecesLen=0}return e.prototype.reset=function(){this._pieces=[],this._piecesLen=0},e.prototype.build=function(){return this._pieces.join("")},e.prototype.write1=function(e){this._pieces[this._piecesLen++]=String.fromCharCode(e)},e.prototype.appendASCII=function(e){this._pieces[this._piecesLen++]=String.fromCharCode(e)},e.prototype.appendASCIIString=function(e){this._pieces[this._piecesLen++]=e},e}()}),define(t[113],n([0,1,26,140]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this._createLine=e,this._set(1,[])}return e.prototype.flush=function(){this._set(1,[])},e.prototype._set=function(e,t){this._lines=t,this._rendLineNumberStart=e},e.prototype._get=function(){return{
rendLineNumberStart:this._rendLineNumberStart,lines:this._lines}},e.prototype.getStartLineNumber=function(){return this._rendLineNumberStart},e.prototype.getEndLineNumber=function(){return this._rendLineNumberStart+this._lines.length-1},e.prototype.getCount=function(){return this._lines.length},e.prototype.getLine=function(e){var t=e-this._rendLineNumberStart;if(t<0||t>=this._lines.length)throw new Error("Illegal value for lineNumber");return this._lines[t]},e.prototype.onLinesDeleted=function(e,t){if(0===this.getCount())return null;var n=this.getStartLineNumber(),i=this.getEndLineNumber();if(t<n){var o=t-e+1;return this._rendLineNumberStart-=o,null}if(e>i)return null;for(var r=0,s=0,a=n;a<=i;a++){var l=a-this._rendLineNumberStart;e<=a&&a<=t&&(0===s?(r=l,s=1):s++)}if(e<n){var u=0;u=t<n?t-e+1:n-e,this._rendLineNumberStart-=u}return this._lines.splice(r,s)},e.prototype.onLinesChanged=function(e,t){if(0===this.getCount())return!1
;for(var n=this.getStartLineNumber(),i=this.getEndLineNumber(),o=!1,r=e;r<=t;r++)r>=n&&r<=i&&(this._lines[r-this._rendLineNumberStart].onContentChanged(),o=!0);return o},e.prototype.onLinesInserted=function(e,t){if(0===this.getCount())return null;var n=t-e+1,i=this.getStartLineNumber(),o=this.getEndLineNumber();if(e<=i)return this._rendLineNumberStart+=n,null;if(e>o)return null;if(n+e>o){return this._lines.splice(e-this._rendLineNumberStart,o-e+1)}for(var r=[],s=0;s<n;s++)r[s]=this._createLine();var a=e-this._rendLineNumberStart,l=this._lines.slice(0,a),u=this._lines.slice(a,this._lines.length-n),c=this._lines.slice(this._lines.length-n,this._lines.length);return this._lines=l.concat(r).concat(u),c},e.prototype.onTokensChanged=function(e){if(0===this.getCount())return!1;for(var t=this.getStartLineNumber(),n=this.getEndLineNumber(),i=!1,o=0,r=e.length;o<r;o++){var s=e[o];if(!(s.toLineNumber<t||s.fromLineNumber>n))for(var a=Math.max(t,s.fromLineNumber),l=Math.min(n,s.toLineNumber),u=a;u<=l;u++){
var c=u-this._rendLineNumberStart;this._lines[c].onTokensChanged(),i=!0}}return i},e}();t.RenderedLinesCollection=o;var r=function(){function e(e){var t=this;this._host=e,this.domNode=this._createDomNode(),this._linesCollection=new o(function(){return t._host.createVisibleLine()})}return e.prototype._createDomNode=function(){var e=n.createFastDomNode(document.createElement("div"));return e.setClassName("view-layer"),e.setPosition("absolute"),e.domNode.setAttribute("role","presentation"),e.domNode.setAttribute("aria-hidden","true"),e},e.prototype.onConfigurationChanged=function(e){return e.layoutInfo},e.prototype.onFlushed=function(e){return this._linesCollection.flush(),!0},e.prototype.onLinesChanged=function(e){return this._linesCollection.onLinesChanged(e.fromLineNumber,e.toLineNumber)},e.prototype.onLinesDeleted=function(e){var t=this._linesCollection.onLinesDeleted(e.fromLineNumber,e.toLineNumber);if(t)for(var n=0,i=t.length;n<i;n++){var o=t[n].getDomNode();o&&this.domNode.domNode.removeChild(o)}return!0
},e.prototype.onLinesInserted=function(e){var t=this._linesCollection.onLinesInserted(e.fromLineNumber,e.toLineNumber);if(t)for(var n=0,i=t.length;n<i;n++){var o=t[n].getDomNode();o&&this.domNode.domNode.removeChild(o)}return!0},e.prototype.onScrollChanged=function(e){return e.scrollTopChanged},e.prototype.onTokensChanged=function(e){return this._linesCollection.onTokensChanged(e.ranges)},e.prototype.onZonesChanged=function(e){return!0},e.prototype.getStartLineNumber=function(){return this._linesCollection.getStartLineNumber()},e.prototype.getEndLineNumber=function(){return this._linesCollection.getEndLineNumber()},e.prototype.getVisibleLine=function(e){return this._linesCollection.getLine(e)},e.prototype.renderLines=function(e){var t=this._linesCollection._get(),n=new s(this.domNode.domNode,this._host,e),i={rendLineNumberStart:t.rendLineNumberStart,lines:t.lines,linesLength:t.lines.length},o=n.render(i,e.startLineNumber,e.endLineNumber,e.relativeVerticalOffset)
;this._linesCollection._set(o.rendLineNumberStart,o.lines)},e}();t.VisibleLinesCollection=r;var s=function(){function e(e,t,n){this.domNode=e,this.host=t,this.viewportData=n}return e.prototype.render=function(e,t,n,i){var o={rendLineNumberStart:e.rendLineNumberStart,lines:e.lines.slice(0),linesLength:e.linesLength};if(o.rendLineNumberStart+o.linesLength-1<t||n<o.rendLineNumberStart){o.rendLineNumberStart=t,o.linesLength=n-t+1,o.lines=[];for(var r=t;r<=n;r++)o.lines[r-t]=this.host.createVisibleLine();return this._finishRendering(o,!0,i),o}if(this._renderUntouchedLines(o,Math.max(t-o.rendLineNumberStart,0),Math.min(n-o.rendLineNumberStart,o.linesLength-1),i,t),o.rendLineNumberStart>t){(s=t)<=(a=Math.min(n,o.rendLineNumberStart-1))&&(this._insertLinesBefore(o,s,a,i,t),o.linesLength+=a-s+1)}else if(o.rendLineNumberStart<t){(l=Math.min(o.linesLength,t-o.rendLineNumberStart))>0&&(this._removeLinesBefore(o,l),o.linesLength-=l)}if(o.rendLineNumberStart=t,o.rendLineNumberStart+o.linesLength-1<n){
(s=o.rendLineNumberStart+o.linesLength)<=(a=n)&&(this._insertLinesAfter(o,s,a,i,t),o.linesLength+=a-s+1)}else if(o.rendLineNumberStart+o.linesLength-1>n){var s=Math.max(0,n-o.rendLineNumberStart+1),a=o.linesLength-1,l=a-s+1;l>0&&(this._removeLinesAfter(o,l),o.linesLength-=l)}return this._finishRendering(o,!1,i),o},e.prototype._renderUntouchedLines=function(e,t,n,i,o){for(var r=e.rendLineNumberStart,s=e.lines,a=t;a<=n;a++){var l=r+a;s[a].layoutLine(l,i[l-o])}},e.prototype._insertLinesBefore=function(e,t,n,i,o){for(var r=[],s=0,a=t;a<=n;a++)r[s++]=this.host.createVisibleLine();e.lines=r.concat(e.lines)},e.prototype._removeLinesBefore=function(e,t){for(var n=0;n<t;n++){var i=e.lines[n].getDomNode();i&&this.domNode.removeChild(i)}e.lines.splice(0,t)},e.prototype._insertLinesAfter=function(e,t,n,i,o){for(var r=[],s=0,a=t;a<=n;a++)r[s++]=this.host.createVisibleLine();e.lines=e.lines.concat(r)},e.prototype._removeLinesAfter=function(e,t){for(var n=e.linesLength-t,i=0;i<t;i++){var o=e.lines[n+i].getDomNode()
;o&&this.domNode.removeChild(o)}e.lines.splice(n,t)},e.prototype._finishRenderingNewLines=function(e,t,n,i){var o=this.domNode.lastChild;t||!o?this.domNode.innerHTML=n:o.insertAdjacentHTML("afterend",n);for(var r=this.domNode.lastChild,s=e.linesLength-1;s>=0;s--){var a=e.lines[s];i[s]&&(a.setDomNode(r),r=r.previousSibling)}},e.prototype._finishRenderingInvalidLines=function(e,t,n){var i=document.createElement("div");i.innerHTML=t;for(var o=0;o<e.linesLength;o++){var r=e.lines[o];if(n[o]){var s=i.firstChild,a=r.getDomNode();a.parentNode.replaceChild(s,a),r.setDomNode(s)}}},e.prototype._finishRendering=function(t,n,i){var o=e._sb,r=t.linesLength,s=t.lines,a=t.rendLineNumberStart,l=[];o.reset();for(var u=!1,c=0;c<r;c++){p=s[c];l[c]=!1;if(!p.getDomNode()){(f=p.renderLine(c+a,i[c],this.viewportData,o))&&(l[c]=!0,u=!0)}}u&&this._finishRenderingNewLines(t,n,o.build(),l),o.reset();for(var d=!1,h=[],c=0;c<r;c++){var p=s[c];if(h[c]=!1,!l[c]){var f=p.renderLine(c+a,i[c],this.viewportData,o);f&&(h[c]=!0,d=!0)}}
d&&this._finishRenderingInvalidLines(t,o.build(),h)},e._sb=i.createStringBuilder(1e5),e}()}),define(t[94],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n){this.offset=0|e,this.type=t,this.language=n}return e.prototype.toString=function(){return"("+this.offset+", "+this.type+")"},e}();t.Token=n;var i=function(){return function(e,t){this.tokens=e,this.endState=t}}();t.TokenizationResult=i;var o=function(){return function(e,t){this.tokens=e,this.endState=t}}();t.TokenizationResult2=o}),define(t[102],n([0,1]),function(e,t){"use strict";function n(e){return e<0?0:e>4294967295?4294967295:0|e}Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){for(var i=new Uint8Array(e*t),o=0,r=e*t;o<r;o++)i[o]=n;this._data=i,this.rows=e,this.cols=t}return e.prototype.get=function(e,t){return this._data[e*this.cols+t]},e.prototype.set=function(e,t,n){this._data[e*this.cols+t]=n},e}();t.Uint8Matrix=i;!function(e){
e[e.MAX_SAFE_SMALL_INTEGER=1073741824]="MAX_SAFE_SMALL_INTEGER",e[e.MIN_SAFE_SMALL_INTEGER=-1073741824]="MIN_SAFE_SMALL_INTEGER",e[e.MAX_UINT_8=255]="MAX_UINT_8",e[e.MAX_UINT_16=65535]="MAX_UINT_16",e[e.MAX_UINT_32=4294967295]="MAX_UINT_32"}(t.Constants||(t.Constants={})),t.toUint8=function(e){return e<0?0:e>255?255:0|e},t.toUint32=n,t.toUint32Array=function(e){for(var t=e.length,i=new Uint32Array(t),o=0;o<t;o++)i[o]=n(e[o]);return i}}),define(t[86],n([0,1,102]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(t){var i=n.toUint8(t);this._defaultValue=i,this._asciiMap=e._createAsciiMap(i),this._map=new Map}return e._createAsciiMap=function(e){for(var t=new Uint8Array(256),n=0;n<256;n++)t[n]=e;return t},e.prototype.set=function(e,t){var i=n.toUint8(t);e>=0&&e<256?this._asciiMap[e]=i:this._map.set(e,i)},e.prototype.get=function(e){return e>=0&&e<256?this._asciiMap[e]:this._map.get(e)||this._defaultValue},e}();t.CharacterClassifier=i;var o;!function(e){
e[e.False=0]="False",e[e.True=1]="True"}(o||(o={}));var r=function(){function e(){this._actual=new i(0)}return e.prototype.add=function(e){this._actual.set(e,1)},e.prototype.has=function(e){return 1===this._actual.get(e)},e}();t.CharacterSet=r}),define(t[90],n([0,1,86]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Regular=0]="Regular",e[e.Whitespace=1]="Whitespace",e[e.WordSeparator=2]="WordSeparator"}(t.WordCharacterClass||(t.WordCharacterClass={}));var i=function(e){function t(t){for(var n=e.call(this,0)||this,i=0,o=t.length;i<o;i++)n.set(t.charCodeAt(i),2);return n.set(32,1),n.set(9,1),n}return o(t,e),t}(n.CharacterClassifier);t.WordCharacterClassifier=i,t.getMapForWordSeparators=function(e){var t={};return function(n){return t.hasOwnProperty(n)||(t[n]=e(n)),t[n]}}(function(e){return new i(e)})}),define(t[450],n([0,1,138,9]),function(e,t,n,i){"use strict";function r(e,t,i,o){return new n.LcsDiff(e,t,i).ComputeDiff(o)}Object.defineProperty(t,"__esModule",{
value:!0});var s=5e3,a=3,l=function(){function e(e,t,n){this.buffer=e,this.startMarkers=t,this.endMarkers=n}return e.prototype.getLength=function(){return this.startMarkers.length},e.prototype.getElementHash=function(e){return this.buffer.substring(this.startMarkers[e].offset,this.endMarkers[e].offset)},e.prototype.getStartLineNumber=function(e){return e===this.startMarkers.length?this.startMarkers[e-1].lineNumber+1:this.startMarkers[e].lineNumber},e.prototype.getStartColumn=function(e){return this.startMarkers[e].column},e.prototype.getEndLineNumber=function(e){return this.endMarkers[e].lineNumber},e.prototype.getEndColumn=function(e){return this.endMarkers[e].column},e}(),u=function(e){function t(n){for(var i="",o=[],r=[],s=0,a=0,l=n.length;a<l;a++){i+=n[a];var u=t._getFirstNonBlankColumn(n[a],1),c=t._getLastNonBlankColumn(n[a],1);o.push({offset:s+u-1,lineNumber:a+1,column:u}),r.push({offset:s+c-1,lineNumber:a+1,column:c}),s+=n[a].length}return e.call(this,i,o,r)||this}return o(t,e),
t._getFirstNonBlankColumn=function(e,t){var n=i.firstNonWhitespaceIndex(e);return-1===n?t:n+1},t._getLastNonBlankColumn=function(e,t){var n=i.lastNonWhitespaceIndex(e);return-1===n?t:n+2},t.prototype.getCharSequence=function(e,t){for(var n=[],i=[],o=e;o<=t;o++)for(var r=this.startMarkers[o],s=this.endMarkers[o],a=r.offset;a<s.offset;a++)n.push({offset:a,lineNumber:r.lineNumber,column:r.column+(a-r.offset)}),i.push({offset:a+1,lineNumber:r.lineNumber,column:r.column+(a-r.offset)+1});return new l(this.buffer,n,i)},t}(l),c=function(){function e(e,t,n,i,o,r,s,a){this.originalStartLineNumber=e,this.originalStartColumn=t,this.originalEndLineNumber=n,this.originalEndColumn=i,this.modifiedStartLineNumber=o,this.modifiedStartColumn=r,this.modifiedEndLineNumber=s,this.modifiedEndColumn=a}return e.createFromDiffChange=function(t,n,i){var o,r,s,a,l,u,c,d;return 0===t.originalLength?(o=0,r=0,s=0,a=0):(o=n.getStartLineNumber(t.originalStart),r=n.getStartColumn(t.originalStart),
s=n.getEndLineNumber(t.originalStart+t.originalLength-1),a=n.getEndColumn(t.originalStart+t.originalLength-1)),0===t.modifiedLength?(l=0,u=0,c=0,d=0):(l=i.getStartLineNumber(t.modifiedStart),u=i.getStartColumn(t.modifiedStart),c=i.getEndLineNumber(t.modifiedStart+t.modifiedLength-1),d=i.getEndColumn(t.modifiedStart+t.modifiedLength-1)),new e(o,r,s,a,l,u,c,d)},e}(),d=function(){function e(e,t,n,i,o){this.originalStartLineNumber=e,this.originalEndLineNumber=t,this.modifiedStartLineNumber=n,this.modifiedEndLineNumber=i,this.charChanges=o}return e.createFromDiffResult=function(t,n,i,o,s){var l,u,d,h,p;if(0===t.originalLength?(l=n.getStartLineNumber(t.originalStart)-1,u=0):(l=n.getStartLineNumber(t.originalStart),u=n.getEndLineNumber(t.originalStart+t.originalLength-1)),0===t.modifiedLength?(d=i.getStartLineNumber(t.modifiedStart)-1,h=0):(d=i.getStartLineNumber(t.modifiedStart),h=i.getEndLineNumber(t.modifiedStart+t.modifiedLength-1)),0!==t.originalLength&&0!==t.modifiedLength&&o()){
var f=n.getCharSequence(t.originalStart,t.originalStart+t.originalLength-1),g=i.getCharSequence(t.modifiedStart,t.modifiedStart+t.modifiedLength-1),m=r(f,g,o,!1);s&&(m=function(e){if(e.length<=1)return e;for(var t=[e[0]],n=t[0],i=1,o=e.length;i<o;i++){var r=e[i],s=r.originalStart-(n.originalStart+n.originalLength),l=r.modifiedStart-(n.modifiedStart+n.modifiedLength);Math.min(s,l)<a?(n.originalLength=r.originalStart+r.originalLength-n.originalStart,n.modifiedLength=r.modifiedStart+r.modifiedLength-n.modifiedStart):(t.push(r),n=r)}return t}(m)),p=[];for(var v=0,_=m.length;v<_;v++)p.push(c.createFromDiffChange(m[v],f,g))}return new e(l,u,d,h,p)},e}(),h=function(){function e(e,t,n){this.shouldPostProcessCharChanges=n.shouldPostProcessCharChanges,this.shouldIgnoreTrimWhitespace=n.shouldIgnoreTrimWhitespace,this.shouldMakePrettyDiff=n.shouldMakePrettyDiff,this.maximumRunTimeMs=s,this.originalLines=e,this.modifiedLines=t,this.original=new u(e),this.modified=new u(t)}return e.prototype.computeDiff=function(){
if(1===this.original.getLength()&&0===this.original.getElementHash(0).length)return[{originalStartLineNumber:1,originalEndLineNumber:1,modifiedStartLineNumber:1,modifiedEndLineNumber:this.modified.getLength(),charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}];if(1===this.modified.getLength()&&0===this.modified.getElementHash(0).length)return[{originalStartLineNumber:1,originalEndLineNumber:this.original.getLength(),modifiedStartLineNumber:1,modifiedEndLineNumber:1,charChanges:[{modifiedEndColumn:0,modifiedEndLineNumber:0,modifiedStartColumn:0,modifiedStartLineNumber:0,originalEndColumn:0,originalEndLineNumber:0,originalStartColumn:0,originalStartLineNumber:0}]}];this.computationStartTime=(new Date).getTime();var e=r(this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldMakePrettyDiff);if(this.shouldIgnoreTrimWhitespace){
for(var t=[],n=0,i=e.length;n<i;n++)t.push(d.createFromDiffResult(e[n],this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldPostProcessCharChanges));return t}for(var o=[],s=0,a=0,n=-1,l=e.length;n<l;n++){for(var c=n+1<l?e[n+1]:null,h=c?c.originalStart:this.originalLines.length,p=c?c.modifiedStart:this.modifiedLines.length;s<h&&a<p;){var f=this.originalLines[s],g=this.modifiedLines[a];if(f!==g){for(var m=u._getFirstNonBlankColumn(f,1),v=u._getFirstNonBlankColumn(g,1);m>1&&v>1;){if((S=f.charCodeAt(m-2))!==(w=g.charCodeAt(v-2)))break;m--,v--}(m>1||v>1)&&this._pushTrimWhitespaceCharChange(o,s+1,1,m,a+1,1,v);for(var _=u._getLastNonBlankColumn(f,1),y=u._getLastNonBlankColumn(g,1),C=f.length+1,b=g.length+1;_<C&&y<b;){var S=f.charCodeAt(_-1),w=f.charCodeAt(y-1);if(S!==w)break;_++,y++}(_<C||y<b)&&this._pushTrimWhitespaceCharChange(o,s+1,_,C,a+1,y,b)}s++,a++}
c&&(o.push(d.createFromDiffResult(c,this.original,this.modified,this._continueProcessingPredicate.bind(this),this.shouldPostProcessCharChanges)),s+=c.originalLength,a+=c.modifiedLength)}return o},e.prototype._pushTrimWhitespaceCharChange=function(e,t,n,i,o,r,s){this._mergeTrimWhitespaceCharChange(e,t,n,i,o,r,s)||e.push(new d(t,t,o,o,[new c(t,n,t,i,o,r,o,s)]))},e.prototype._mergeTrimWhitespaceCharChange=function(e,t,n,i,o,r,s){var a=e.length;if(0===a)return!1;var l=e[a-1];return 0!==l.originalEndLineNumber&&0!==l.modifiedEndLineNumber&&(l.originalEndLineNumber+1===t&&l.modifiedEndLineNumber+1===o&&(l.originalEndLineNumber=t,l.modifiedEndLineNumber=o,l.charChanges.push(new c(t,n,t,i,o,r,o,s)),!0))},e.prototype._continueProcessingPredicate=function(){if(0===this.maximumRunTimeMs)return!0;return(new Date).getTime()-this.computationStartTime<this.maximumRunTimeMs},e}();t.DiffComputer=h}),define(t[170],n([0,1,8]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){
function e(e,t,n,i,o,r){this.id=e,this.label=t,this.alias=n,this._precondition=i,this._run=o,this._contextKeyService=r}return e.prototype.isSupported=function(){return this._contextKeyService.contextMatchesRules(this._precondition)},e.prototype.run=function(){if(!this.isSupported())return n.TPromise.as(void 0);var e=this._run();return e||n.TPromise.as(void 0)},e}();t.InternalEditorAction=i}),define(t[55],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"}(t.ScrollType||(t.ScrollType={})),t.isThemeColor=function(e){return e&&"string"==typeof e.id},t.EditorType={ICodeEditor:"vs.editor.ICodeEditor",IDiffEditor:"vs.editor.IDiffEditor"},t.Handler={ExecuteCommand:"executeCommand",ExecuteCommands:"executeCommands",Type:"type",ReplacePreviousChar:"replacePreviousChar",CompositionStart:"compositionStart",CompositionEnd:"compositionEnd",Paste:"paste",Cut:"cut",Undo:"undo",Redo:"redo"}}),
define(t[24],n([0,1,55]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.EXACT=0]="EXACT",e[e.ABOVE=1]="ABOVE",e[e.BELOW=2]="BELOW"}(t.ContentWidgetPositionPreference||(t.ContentWidgetPositionPreference={}));!function(e){e[e.TOP_RIGHT_CORNER=0]="TOP_RIGHT_CORNER",e[e.BOTTOM_RIGHT_CORNER=1]="BOTTOM_RIGHT_CORNER",e[e.TOP_CENTER=2]="TOP_CENTER"}(t.OverlayWidgetPositionPreference||(t.OverlayWidgetPositionPreference={}));!function(e){e[e.UNKNOWN=0]="UNKNOWN",e[e.TEXTAREA=1]="TEXTAREA",e[e.GUTTER_GLYPH_MARGIN=2]="GUTTER_GLYPH_MARGIN",e[e.GUTTER_LINE_NUMBERS=3]="GUTTER_LINE_NUMBERS",e[e.GUTTER_LINE_DECORATIONS=4]="GUTTER_LINE_DECORATIONS",e[e.GUTTER_VIEW_ZONE=5]="GUTTER_VIEW_ZONE",e[e.CONTENT_TEXT=6]="CONTENT_TEXT",e[e.CONTENT_EMPTY=7]="CONTENT_EMPTY",e[e.CONTENT_VIEW_ZONE=8]="CONTENT_VIEW_ZONE",e[e.CONTENT_WIDGET=9]="CONTENT_WIDGET",e[e.OVERVIEW_RULER=10]="OVERVIEW_RULER",e[e.SCROLLBAR=11]="SCROLLBAR",e[e.OVERLAY_WIDGET=12]="OVERLAY_WIDGET",
e[e.OUTSIDE_EDITOR=13]="OUTSIDE_EDITOR"}(t.MouseTargetType||(t.MouseTargetType={})),t.isCodeEditor=function(e){return!(!e||"function"!=typeof e.getEditorType)&&e.getEditorType()===n.EditorType.ICodeEditor},t.isDiffEditor=function(e){return!(!e||"function"!=typeof e.getEditorType)&&e.getEditorType()===n.EditorType.IDiffEditor}}),define(t[28],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(t.OverviewRulerLane||(t.OverviewRulerLane={}));!function(e){e[e.TextDefined=0]="TextDefined",e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.EndOfLinePreference||(t.EndOfLinePreference={}));!function(e){e[e.LF=1]="LF",e[e.CRLF=2]="CRLF"}(t.DefaultEndOfLine||(t.DefaultEndOfLine={}));!function(e){e[e.LF=0]="LF",e[e.CRLF=1]="CRLF"}(t.EndOfLineSequence||(t.EndOfLineSequence={}));var n=function(){function e(e){this.tabSize=0|e.tabSize,this.insertSpaces=Boolean(e.insertSpaces),this.defaultEOL=0|e.defaultEOL,
this.trimAutoWhitespace=Boolean(e.trimAutoWhitespace)}return e.prototype.equals=function(e){return this.tabSize===e.tabSize&&this.insertSpaces===e.insertSpaces&&this.defaultEOL===e.defaultEOL&&this.trimAutoWhitespace===e.trimAutoWhitespace},e.prototype.createChangeEvent=function(e){return{tabSize:this.tabSize!==e.tabSize,insertSpaces:this.insertSpaces!==e.insertSpaces,trimAutoWhitespace:this.trimAutoWhitespace!==e.trimAutoWhitespace}},e}();t.TextModelResolvedOptions=n;var i=function(){return function(e,t){this.range=e,this.matches=t}}();t.FindMatch=i;!function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(t.TrackedRangeStickiness||(t.TrackedRangeStickiness={}));var o=function(){return function(e,t,n){this.reverseEdits=e,this.changes=t,this.trimAutoWhitespaceLineNumbers=n}}();t.ApplyEditsResult=o}),
define(t[176],n([0,1,3,13,28,9]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t,n,i,o){this.value=e,this.selectionStart=t,this.selectionEnd=n,this.selectionStartPosition=i,this.selectionEndPosition=o}return e.prototype.toString=function(){return"[ <"+this.value+">, selectionStart: "+this.selectionStart+", selectionEnd: "+this.selectionEnd+"]"},e.prototype.readFromTextArea=function(t){return new e(t.getValue(),t.getSelectionStart(),t.getSelectionEnd(),null,null)},e.prototype.collapseSelection=function(){return new e(this.value,this.value.length,this.value.length,null,null)},e.prototype.writeToTextArea=function(e,t,n){t.setValue(e,this.value),n&&t.setSelectionRange(e,this.selectionStart,this.selectionEnd)},e.prototype.deduceEditorPosition=function(e){if(e<=this.selectionStart){t=this.value.substring(e,this.selectionStart);return this._finishDeduceEditorPosition(this.selectionStartPosition,t,-1)}if(e>=this.selectionEnd){
var t=this.value.substring(this.selectionEnd,e);return this._finishDeduceEditorPosition(this.selectionEndPosition,t,1)}var n=this.value.substring(this.selectionStart,e);if(-1===n.indexOf(String.fromCharCode(8230)))return this._finishDeduceEditorPosition(this.selectionStartPosition,n,1);var i=this.value.substring(e,this.selectionEnd);return this._finishDeduceEditorPosition(this.selectionEndPosition,i,-1)},e.prototype._finishDeduceEditorPosition=function(e,t,n){for(var i=0,o=-1;-1!==(o=t.indexOf("\n",o+1));)i++;return[e,n*t.length,i]},e.selectedText=function(t){return new e(t,0,t.length,null,null)},e.deduceInput=function(e,t,n){if(!e)return{text:"",replaceCharCnt:0};var i=e.value,o=e.selectionStart,s=e.selectionEnd,a=t.value,l=t.selectionStart,u=t.selectionEnd,c=i.substring(s),d=a.substring(u),h=r.commonSuffixLength(c,d);a=a.substring(0,a.length-h);var p=(i=i.substring(0,i.length-h)).substring(0,o),f=a.substring(0,l),g=r.commonPrefixLength(p,f);if(a=a.substring(g),i=i.substring(g),l-=g,o-=g,u-=g,s-=g,
n&&l===u&&i.length>0){var m=null;if(l===a.length?r.startsWith(a,i)&&(m=a.substring(i.length)):r.endsWith(a,i)&&(m=a.substring(0,a.length-i.length)),null!==m&&m.length>0&&(/\uFE0F/.test(m)||r.containsEmoji(m)))return{text:m,replaceCharCnt:0}}if(l===u){if(i===a&&0===o&&s===i.length&&l===a.length&&-1===a.indexOf("\n")&&r.containsFullWidthCharacter(a))return{text:"",replaceCharCnt:0};return{text:a,replaceCharCnt:p.length-g}}return{text:a,replaceCharCnt:s-o}},e.EMPTY=new e("",0,0,null,null),e}();t.TextAreaState=s;var a=function(){function e(){}return e._getPageOfLine=function(t){return Math.floor((t-1)/e._LINES_PER_PAGE)},e._getRangeForPage=function(t){var i=t*e._LINES_PER_PAGE,o=i+1,r=i+e._LINES_PER_PAGE;return new n.Range(o,1,r+1,1)},e.fromEditorSelection=function(t,r,a,l){
var u=e._getPageOfLine(a.startLineNumber),c=e._getRangeForPage(u),d=e._getPageOfLine(a.endLineNumber),h=e._getRangeForPage(d),p=c.intersectRanges(new n.Range(1,1,a.startLineNumber,a.startColumn)),f=r.getValueInRange(p,o.EndOfLinePreference.LF),g=r.getLineCount(),m=r.getLineMaxColumn(g),v=h.intersectRanges(new n.Range(a.endLineNumber,a.endColumn,g,m)),_=r.getValueInRange(v,o.EndOfLinePreference.LF),y=null;if(u===d||u+1===d)y=r.getValueInRange(a,o.EndOfLinePreference.LF);else{var C=c.intersectRanges(a),b=h.intersectRanges(a);y=r.getValueInRange(C,o.EndOfLinePreference.LF)+String.fromCharCode(8230)+r.getValueInRange(b,o.EndOfLinePreference.LF)}if(l){f.length>500&&(f=f.substring(f.length-500,f.length)),_.length>500&&(_=_.substring(0,500)),y.length>1e3&&(y=y.substring(0,500)+String.fromCharCode(8230)+y.substring(y.length-500,y.length))}return new s(f+y+_,f.length,f.length+y.length,new i.Position(a.startLineNumber,a.startColumn),new i.Position(a.endLineNumber,a.endColumn))},e._LINES_PER_PAGE=10,e}()
;t.PagedScreenReaderStrategy=a}),define(t[178],n([0,1,18,20,9,4,2,176,32,15,10]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CopyOptions={forceCopyWithSyntaxHighlighting:!1};var h;!function(e){e[e.Type=0]="Type",e[e.Paste=1]="Paste"}(h||(h={}));var p=function(e){function a(t,o){var a=e.call(this)||this;a._onFocus=a._register(new s.Emitter),a.onFocus=a._onFocus.event,a._onBlur=a._register(new s.Emitter),a.onBlur=a._onBlur.event,a._onKeyDown=a._register(new s.Emitter),a.onKeyDown=a._onKeyDown.event,a._onKeyUp=a._register(new s.Emitter),a.onKeyUp=a._onKeyUp.event,a._onCut=a._register(new s.Emitter),a.onCut=a._onCut.event,a._onPaste=a._register(new s.Emitter),a.onPaste=a._onPaste.event,a._onType=a._register(new s.Emitter),a.onType=a._onType.event,a._onCompositionStart=a._register(new s.Emitter),a.onCompositionStart=a._onCompositionStart.event,a._onCompositionUpdate=a._register(new s.Emitter),a.onCompositionUpdate=a._onCompositionUpdate.event,
a._onCompositionEnd=a._register(new s.Emitter),a.onCompositionEnd=a._onCompositionEnd.event,a._onSelectionChangeRequest=a._register(new s.Emitter),a.onSelectionChangeRequest=a._onSelectionChangeRequest.event,a._host=t,a._textArea=a._register(new g(o)),a._asyncTriggerCut=a._register(new n.RunOnceScheduler(function(){return a._onCut.fire()},0)),a._textAreaState=l.TextAreaState.EMPTY,a.writeScreenReaderContent("ctor"),a._hasFocus=!1,a._isDoingComposition=!1,a._nextCommand=0,a._register(d.addStandardDisposableListener(o.domNode,"keydown",function(e){a._isDoingComposition&&109===e.keyCode&&e.stopPropagation(),e.equals(9)&&e.preventDefault(),a._onKeyDown.fire(e)})),a._register(d.addStandardDisposableListener(o.domNode,"keyup",function(e){a._onKeyUp.fire(e)})),a._register(d.addDisposableListener(o.domNode,"compositionstart",function(e){a._isDoingComposition||(a._isDoingComposition=!0,u.isEdgeOrIE||a._setAndWriteTextAreaState("compositionstart",l.TextAreaState.EMPTY),a._onCompositionStart.fire())}))
;var h=function(e){var t=a._textAreaState,n=a._textAreaState.readFromTextArea(a._textArea);return[n,l.TextAreaState.deduceInput(t,n,e)]},p=function(e){var t=a._textAreaState,n=l.TextAreaState.selectedText(e);return[n,{text:n.value,replaceCharCnt:t.selectionEnd-t.selectionStart}]},m=function(e){return!(!u.isEdgeOrIE||"ja"!==e)||!(!u.isIE||0!==e.indexOf("zh-Han"))};a._register(d.addDisposableListener(o.domNode,"compositionupdate",function(e){if(!u.isChromev56){if(m(e.locale)){var t=h(!1),n=t[0],i=t[1];return a._textAreaState=n,a._onType.fire(i),void a._onCompositionUpdate.fire(e)}var o=p(e.data),r=o[0],s=o[1];a._textAreaState=r,a._onType.fire(s),a._onCompositionUpdate.fire(e)}})),a._register(d.addDisposableListener(o.domNode,"compositionend",function(e){if(m(e.locale)){var t=h(!1),n=t[0],i=t[1];a._textAreaState=n,a._onType.fire(i)}else{var o=p(e.data),n=o[0],i=o[1];a._textAreaState=n,a._onType.fire(i)}(u.isEdgeOrIE||u.isChrome)&&(a._textAreaState=a._textAreaState.readFromTextArea(a._textArea)),
a._isDoingComposition&&(a._isDoingComposition=!1,a._onCompositionEnd.fire())})),a._register(d.addDisposableListener(o.domNode,"input",function(){if(a._textArea.setIgnoreSelectionChangeTime("received input event"),a._isDoingComposition){if(u.isChromev56){var e=p(a._textArea.getValue()),t=e[0],n=e[1];a._textAreaState=t,a._onType.fire(n);var i={data:n.text};a._onCompositionUpdate.fire(i)}}else{var o=h(c.isMacintosh),s=o[0],l=o[1];0===l.replaceCharCnt&&1===l.text.length&&r.isHighSurrogate(l.text.charCodeAt(0))||(a._textAreaState=s,0===a._nextCommand?""!==l.text&&a._onType.fire(l):(""!==l.text&&a._onPaste.fire({text:l.text}),a._nextCommand=0))}})),a._register(d.addDisposableListener(o.domNode,"cut",function(e){a._textArea.setIgnoreSelectionChangeTime("received cut event"),a._ensureClipboardGetsEditorSelection(e),a._asyncTriggerCut.schedule()})),a._register(d.addDisposableListener(o.domNode,"copy",function(e){a._ensureClipboardGetsEditorSelection(e)})),
a._register(d.addDisposableListener(o.domNode,"paste",function(e){if(a._textArea.setIgnoreSelectionChangeTime("received paste event"),f.canUseTextData(e)){var t=f.getTextData(e);""!==t&&a._onPaste.fire({text:t})}else a._textArea.getSelectionStart()!==a._textArea.getSelectionEnd()&&a._setAndWriteTextAreaState("paste",l.TextAreaState.EMPTY),a._nextCommand=1})),a._register(d.addDisposableListener(o.domNode,"focus",function(){return a._setHasFocus(!0)})),a._register(d.addDisposableListener(o.domNode,"blur",function(){return a._setHasFocus(!1)}));var v=0;return a._register(d.addDisposableListener(document,"selectionchange",function(e){if(a._hasFocus&&!a._isDoingComposition&&u.isChrome&&c.isWindows){var t=Date.now(),n=t-v;if(v=t,!(n<5)){var o=t-a._textArea.getIgnoreSelectionChangeTime();if(a._textArea.resetSelectionChangeTime(),!(o<100)&&a._textAreaState.selectionStartPosition&&a._textAreaState.selectionEndPosition){var r=a._textArea.getValue();if(a._textAreaState.value===r){
var s=a._textArea.getSelectionStart(),l=a._textArea.getSelectionEnd();if(a._textAreaState.selectionStart!==s||a._textAreaState.selectionEnd!==l){var d=a._textAreaState.deduceEditorPosition(s),h=a._host.deduceModelPosition(d[0],d[1],d[2]),p=a._textAreaState.deduceEditorPosition(l),f=a._host.deduceModelPosition(p[0],p[1],p[2]),g=new i.Selection(h.lineNumber,h.column,f.lineNumber,f.column);a._onSelectionChangeRequest.fire(g)}}}}}})),a}return o(a,e),a.prototype.dispose=function(){e.prototype.dispose.call(this)},a.prototype.focusTextArea=function(){this._setHasFocus(!0)},a.prototype.isFocused=function(){return this._hasFocus},a.prototype._setHasFocus=function(e){this._hasFocus!==e&&(this._hasFocus=e,this._hasFocus&&(u.isEdge?this._setAndWriteTextAreaState("focusgain",l.TextAreaState.EMPTY):this.writeScreenReaderContent("focusgain")),this._hasFocus?this._onFocus.fire():this._onBlur.fire())},a.prototype._setAndWriteTextAreaState=function(e,t){this._hasFocus||(t=t.collapseSelection()),
t.writeToTextArea(e,this._textArea,this._hasFocus),this._textAreaState=t},a.prototype.writeScreenReaderContent=function(e){this._isDoingComposition||this._setAndWriteTextAreaState(e,this._host.getScreenReaderContent(this._textAreaState))},a.prototype._ensureClipboardGetsEditorSelection=function(e){var n=this._host.getPlainTextToCopy();if(f.canUseTextData(e)){var i=null;!u.isEdgeOrIE&&(n.length<65536||t.CopyOptions.forceCopyWithSyntaxHighlighting)&&(i=this._host.getHTMLToCopy()),f.setTextData(e,n,i)}else this._setAndWriteTextAreaState("copy or cut",l.TextAreaState.selectedText(n))},a}(a.Disposable);t.TextAreaInput=p;var f=function(){function e(){}return e.canUseTextData=function(e){return!!e.clipboardData||!!window.clipboardData},e.getTextData=function(e){if(e.clipboardData)return e.preventDefault(),e.clipboardData.getData("text/plain");if(window.clipboardData)return e.preventDefault(),window.clipboardData.getData("Text");throw new Error("ClipboardEventUtils.getTextData: Cannot use text data!")},
e.setTextData=function(e,t,n){if(e.clipboardData)return e.clipboardData.setData("text/plain",t),null!==n&&e.clipboardData.setData("text/html",n),void e.preventDefault();if(window.clipboardData)return window.clipboardData.setData("Text",t),void e.preventDefault();throw new Error("ClipboardEventUtils.setTextData: Cannot use text data!")},e}(),g=function(e){function t(t){var n=e.call(this)||this;return n._actual=t,n._ignoreSelectionChangeTime=0,n}return o(t,e),t.prototype.setIgnoreSelectionChangeTime=function(e){this._ignoreSelectionChangeTime=Date.now()},t.prototype.getIgnoreSelectionChangeTime=function(){return this._ignoreSelectionChangeTime},t.prototype.resetSelectionChangeTime=function(){this._ignoreSelectionChangeTime=0},t.prototype.getValue=function(){return this._actual.domNode.value},t.prototype.setValue=function(e,t){var n=this._actual.domNode;n.value!==t&&(this.setIgnoreSelectionChangeTime("setValue"),n.value=t)},t.prototype.getSelectionStart=function(){return this._actual.domNode.selectionStart},
t.prototype.getSelectionEnd=function(){return this._actual.domNode.selectionEnd},t.prototype.setSelectionRange=function(e,t,n){var i=this._actual.domNode,o=document.activeElement===i,r=i.selectionStart,s=i.selectionEnd;if(o&&r===t&&s===n)u.isFirefox&&window.parent!==window&&i.focus();else{if(o)return this.setIgnoreSelectionChangeTime("setSelectionRange"),i.setSelectionRange(t,n),void(u.isFirefox&&window.parent!==window&&i.focus());try{var a=d.saveParentsScrollTop(i);this.setIgnoreSelectionChangeTime("setSelectionRange"),i.focus(),i.setSelectionRange(t,n),d.restoreParentsScrollTop(i,a)}catch(e){}}},t}(a.Disposable)}),define(t[476],n([0,1,12]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.model=e,this.currentOpenStackElement=null,this.past=[],this.future=[]}return e.prototype.pushStackElement=function(){null!==this.currentOpenStackElement&&(this.past.push(this.currentOpenStackElement),this.currentOpenStackElement=null)},
e.prototype.clear=function(){this.currentOpenStackElement=null,this.past=[],this.future=[]},e.prototype.pushEditOperation=function(e,t,i){this.future=[],this.currentOpenStackElement||(this.currentOpenStackElement={beforeVersionId:this.model.getAlternativeVersionId(),beforeCursorState:e,editOperations:[],afterCursorState:null,afterVersionId:-1});var o={operations:this.model.applyEdits(t)};this.currentOpenStackElement.editOperations.push(o);try{this.currentOpenStackElement.afterCursorState=i?i(o.operations):null}catch(e){n.onUnexpectedError(e),this.currentOpenStackElement.afterCursorState=null}return this.currentOpenStackElement.afterVersionId=this.model.getVersionId(),this.currentOpenStackElement.afterCursorState},e.prototype.undo=function(){if(this.pushStackElement(),this.past.length>0){var e=this.past.pop();try{for(var t=e.editOperations.length-1;t>=0;t--)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(e){return this.clear(),null}return this.future.push(e),{
selections:e.beforeCursorState,recordedVersionId:e.beforeVersionId}}return null},e.prototype.redo=function(){if(this.future.length>0){if(this.currentOpenStackElement)throw new Error("How is this possible?");var e=this.future.pop();try{for(var t=0;t<e.editOperations.length;t++)e.editOperations[t]={operations:this.model.applyEdits(e.editOperations[t].operations)}}catch(e){return this.clear(),null}return this.past.push(e),{selections:e.afterCursorState,recordedVersionId:e.afterVersionId}}return null},e}();t.EditStack=i}),define(t[478],n([0,1]),function(e,t){"use strict";function n(e,t,n,i){var o;for(o=0;o<t&&o<i;o++){if((l=e.charCodeAt(o))!==(d=n.charCodeAt(o)))break}for(var r=0,s=0,a=o;a<t;a++){var l=e.charCodeAt(a);32===l?r++:s++}for(var u=0,c=0,a=o;a<i;a++){var d=n.charCodeAt(a);32===d?u++:c++}if(r>0&&s>0)return 0;if(u>0&&c>0)return 0;var h=Math.abs(s-c),p=Math.abs(r-u);return 0===h?p:p%h==0?p/h:0}Object.defineProperty(t,"__esModule",{value:!0}),t.guessIndentation=function(e,t,i){
for(var o=Math.min(e.getLineCount(),1e4),r=0,s=0,a="",l=0,u=[0,0,0,0,0,0,0,0,0],c=function(t){var i=e.getLineLength(t),o=e.getLineContent(t),c=void 0;c=i>65536?function(n){return e.getLineCharCode(t,n)}:function(e){return o.charCodeAt(e)};for(var d=!1,h=0,p=0,f=0,g=0,m=i;g<m;g++){var v=c(g);if(9===v)f++;else{if(32!==v){d=!0,h=g;break}p++}}if(!d)return"continue";f>0?r++:p>1&&s++;var _=n(a,l,o,h);_<=8&&u[_]++,a=o,l=h},d=1;d<=o;d++)c(d);var h=n(a,l,"",0);h<=8&&u[h]++;var p=i;r!==s&&(p=r<s);var f=t,g=p?0:.1*o;return[2,4,6,8].forEach(function(e){var t=u[e];t>g&&(g=t,f=e)}),{insertSpaces:p,tabSize:f}}}),define(t[130],n([0,1]),function(e,t){"use strict";function n(e){return(1&e.metadata)>>>0}function i(e,t){e.metadata=254&e.metadata|t<<0}function o(e){return(2&e.metadata)>>>1==1}function r(e,t){e.metadata=253&e.metadata|(t?1:0)<<1}function s(e){return(4&e.metadata)>>>2==1}function a(e,t){e.metadata=251&e.metadata|(t?1:0)<<2}function l(e,t){e.metadata=247&e.metadata|(t?1:0)<<3}function u(e,t){
e.metadata=207&e.metadata|t<<4}function c(e,t,n,i){return e<n||!(e>n)&&(1!==i&&(2===i||t))}function d(e,n,i,a){for(var l=e.root,u=0,c=0,d=0,h=[],p=0;l!==t.SENTINEL;)if(o(l))r(l.left,!1),r(l.right,!1),l===l.parent.right&&(u-=l.parent.delta),l=l.parent;else if(l.left===t.SENTINEL||o(l.left)){c=u+l.start,d=u+l.end,l.setCachedOffsets(c,d,a);var f=!0;n&&l.ownerId&&l.ownerId!==n&&(f=!1),i&&s(l)&&(f=!1),f&&(h[p++]=l),r(l,!0),l.right===t.SENTINEL||o(l.right)||(u+=l.delta,l=l.right)}else l=l.left;return r(e.root,!1),h}function h(e,o){if(e.root===t.SENTINEL)return o.parent=t.SENTINEL,o.left=t.SENTINEL,o.right=t.SENTINEL,i(o,0),e.root=o,e.root;!function(e,n){var o=0,r=e.root,s=n.start,a=n.end;for(;;){if(C(s,a,r.start+o,r.end+o)<0){if(r.left===t.SENTINEL){n.start-=o,n.end-=o,n.maxEnd-=o,r.left=n;break}r=r.left}else{if(r.right===t.SENTINEL){n.start-=o+r.delta,n.end-=o+r.delta,n.maxEnd-=o+r.delta,r.right=n;break}o+=r.delta,r=r.right}}n.parent=r,n.left=t.SENTINEL,n.right=t.SENTINEL,i(n,1)}(e,o),y(o.parent)
;for(var r=o;r!==e.root&&1===n(r.parent);)if(r.parent===r.parent.parent.left){1===n(s=r.parent.parent.right)?(i(r.parent,0),i(s,0),i(r.parent.parent,1),r=r.parent.parent):(r===r.parent.right&&g(e,r=r.parent),i(r.parent,0),i(r.parent.parent,1),m(e,r.parent.parent))}else{var s=r.parent.parent.left;1===n(s)?(i(r.parent,0),i(s,0),i(r.parent.parent,1),r=r.parent.parent):(r===r.parent.left&&m(e,r=r.parent),i(r.parent,0),i(r.parent.parent,1),g(e,r.parent.parent))}return i(e.root,0),o}function p(e,o){var r,s;if(o.left===t.SENTINEL?(s=o,(r=o.right).delta+=o.delta,(r.delta<-1073741824||r.delta>1073741824)&&(e.requestNormalizeDelta=!0),r.start+=o.delta,r.end+=o.delta):o.right===t.SENTINEL?(r=o.left,s=o):((r=(s=function(e){for(;e.left!==t.SENTINEL;)e=e.left;return e}(o.right)).right).start+=s.delta,r.end+=s.delta,r.delta+=s.delta,(r.delta<-1073741824||r.delta>1073741824)&&(e.requestNormalizeDelta=!0),s.start+=o.delta,s.end+=o.delta,s.delta=o.delta,(s.delta<-1073741824||s.delta>1073741824)&&(e.requestNormalizeDelta=!0)),
s===e.root)return e.root=r,i(r,0),o.detach(),f(),_(r),void(e.root.parent=t.SENTINEL);var a=1===n(s);if(s===s.parent.left?s.parent.left=r:s.parent.right=r,s===o?r.parent=s.parent:(s.parent===o?r.parent=s:r.parent=s.parent,s.left=o.left,s.right=o.right,s.parent=o.parent,i(s,n(o)),o===e.root?e.root=s:o===o.parent.left?o.parent.left=s:o.parent.right=s,s.left!==t.SENTINEL&&(s.left.parent=s),s.right!==t.SENTINEL&&(s.right.parent=s)),o.detach(),a)return y(r.parent),s!==o&&(y(s),y(s.parent)),void f();y(r),y(r.parent),s!==o&&(y(s),y(s.parent));for(var l;r!==e.root&&0===n(r);)r===r.parent.left?(1===n(l=r.parent.right)&&(i(l,0),i(r.parent,1),g(e,r.parent),l=r.parent.right),0===n(l.left)&&0===n(l.right)?(i(l,1),r=r.parent):(0===n(l.right)&&(i(l.left,0),i(l,1),m(e,l),l=r.parent.right),i(l,n(r.parent)),i(r.parent,0),i(l.right,0),g(e,r.parent),r=e.root)):(1===n(l=r.parent.left)&&(i(l,0),i(r.parent,1),m(e,r.parent),l=r.parent.left),0===n(l.left)&&0===n(l.right)?(i(l,1),r=r.parent):(0===n(l.left)&&(i(l.right,0),i(l,1),g(e,l),
l=r.parent.left),i(l,n(r.parent)),i(r.parent,0),i(l.left,0),m(e,r.parent),r=e.root));i(r,0),f()}function f(){t.SENTINEL.parent=t.SENTINEL,t.SENTINEL.delta=0,t.SENTINEL.start=0,t.SENTINEL.end=0}function g(e,n){var i=n.right;i.delta+=n.delta,(i.delta<-1073741824||i.delta>1073741824)&&(e.requestNormalizeDelta=!0),i.start+=n.delta,i.end+=n.delta,n.right=i.left,i.left!==t.SENTINEL&&(i.left.parent=n),i.parent=n.parent,n.parent===t.SENTINEL?e.root=i:n===n.parent.left?n.parent.left=i:n.parent.right=i,i.left=n,n.parent=i,_(n),_(i)}function m(e,n){var i=n.left;n.delta-=i.delta,(n.delta<-1073741824||n.delta>1073741824)&&(e.requestNormalizeDelta=!0),n.start-=i.delta,n.end-=i.delta,n.left=i.right,i.right!==t.SENTINEL&&(i.right.parent=n),i.parent=n.parent,n.parent===t.SENTINEL?e.root=i:n===n.parent.right?n.parent.right=i:n.parent.left=i,i.right=n,n.parent=i,_(n),_(i)}function v(e){var n=e.end;if(e.left!==t.SENTINEL){var i=e.left.maxEnd;i>n&&(n=i)}if(e.right!==t.SENTINEL){var o=e.right.maxEnd+e.delta;o>n&&(n=o)}return n}
function _(e){e.maxEnd=v(e)}function y(e){for(;e!==t.SENTINEL;){var n=v(e);if(e.maxEnd===n)return;e.maxEnd=n,e=e.parent}}function C(e,t,n,i){return e===n?t-i:e-n}Object.defineProperty(t,"__esModule",{value:!0}),t.ClassName={EditorHintDecoration:"squiggly-a-hint",EditorInfoDecoration:"squiggly-b-info",EditorWarningDecoration:"squiggly-c-warning",EditorErrorDecoration:"squiggly-d-error"};var b;!function(e){e[e.AlwaysGrowsWhenTypingAtEdges=0]="AlwaysGrowsWhenTypingAtEdges",e[e.NeverGrowsWhenTypingAtEdges=1]="NeverGrowsWhenTypingAtEdges",e[e.GrowsOnlyWhenTypingBefore=2]="GrowsOnlyWhenTypingBefore",e[e.GrowsOnlyWhenTypingAfter=3]="GrowsOnlyWhenTypingAfter"}(b||(b={}));!function(e){e[e.Black=0]="Black",e[e.Red=1]="Red"}(t.NodeColor||(t.NodeColor={}));var S;!function(e){e[e.ColorMask=1]="ColorMask",e[e.ColorMaskInverse=254]="ColorMaskInverse",e[e.ColorOffset=0]="ColorOffset",e[e.IsVisitedMask=2]="IsVisitedMask",e[e.IsVisitedMaskInverse=253]="IsVisitedMaskInverse",e[e.IsVisitedOffset=1]="IsVisitedOffset",
e[e.IsForValidationMask=4]="IsForValidationMask",e[e.IsForValidationMaskInverse=251]="IsForValidationMaskInverse",e[e.IsForValidationOffset=2]="IsForValidationOffset",e[e.IsInOverviewRulerMask=8]="IsInOverviewRulerMask",e[e.IsInOverviewRulerMaskInverse=247]="IsInOverviewRulerMaskInverse",e[e.IsInOverviewRulerOffset=3]="IsInOverviewRulerOffset",e[e.StickinessMask=48]="StickinessMask",e[e.StickinessMaskInverse=207]="StickinessMaskInverse",e[e.StickinessOffset=4]="StickinessOffset",e[e.MIN_SAFE_DELTA=-1073741824]="MIN_SAFE_DELTA",e[e.MAX_SAFE_DELTA=1073741824]="MAX_SAFE_DELTA"}(S||(S={})),t.getNodeColor=n,t.getNodeIsInOverviewRuler=function(e){return(8&e.metadata)>>>3==1};var w=function(){function e(e,t,n){this.metadata=0,this.parent=null,this.left=null,this.right=null,i(this,1),this.start=t,this.end=n,this.delta=0,this.maxEnd=n,this.id=e,this.ownerId=0,this.options=null,a(this,!1),u(this,1),l(this,!1),this.cachedVersionId=0,this.cachedAbsoluteStart=t,this.cachedAbsoluteEnd=n,this.range=null,r(this,!1)}
return e.prototype.reset=function(e,t,n,i){this.start=t,this.end=n,this.maxEnd=n,this.cachedVersionId=e,this.cachedAbsoluteStart=t,this.cachedAbsoluteEnd=n,this.range=i},e.prototype.setOptions=function(e){this.options=e;var n=this.options.className;a(this,n===t.ClassName.EditorErrorDecoration||n===t.ClassName.EditorWarningDecoration||n===t.ClassName.EditorInfoDecoration),u(this,this.options.stickiness),l(this,!!this.options.overviewRuler.color)},e.prototype.setCachedOffsets=function(e,t,n){this.cachedVersionId!==n&&(this.range=null),this.cachedVersionId=n,this.cachedAbsoluteStart=e,this.cachedAbsoluteEnd=t},e.prototype.detach=function(){this.parent=null,this.left=null,this.right=null},e}();t.IntervalNode=w,t.SENTINEL=new w(null,0,0),t.SENTINEL.parent=t.SENTINEL,t.SENTINEL.left=t.SENTINEL,t.SENTINEL.right=t.SENTINEL,i(t.SENTINEL,0);var E=function(){function e(){this.root=t.SENTINEL,this.requestNormalizeDelta=!1}return e.prototype.intervalSearch=function(e,n,i,a,l){
return this.root===t.SENTINEL?[]:function(e,n,i,a,l,u){for(var c=e.root,d=0,h=0,p=0,f=[],g=0;c!==t.SENTINEL;)if(o(c))r(c.left,!1),r(c.right,!1),c===c.parent.right&&(d-=c.parent.delta),c=c.parent;else{if(!o(c.left)){if(d+c.maxEnd<n){r(c,!0);continue}if(c.left!==t.SENTINEL){c=c.left;continue}}if((h=d+c.start)>i)r(c,!0);else{if((p=d+c.end)>=n){c.setCachedOffsets(h,p,u);var m=!0;a&&c.ownerId&&c.ownerId!==a&&(m=!1),l&&s(c)&&(m=!1),m&&(f[g++]=c)}r(c,!0),c.right===t.SENTINEL||o(c.right)||(d+=c.delta,c=c.right)}}return r(e.root,!1),f}(this,e,n,i,a,l)},e.prototype.search=function(e,n,i){return this.root===t.SENTINEL?[]:d(this,e,n,i)},e.prototype.collectNodesFromOwner=function(e){return function(e,n){for(var i=e.root,s=[],a=0;i!==t.SENTINEL;)o(i)?(r(i.left,!1),r(i.right,!1),i=i.parent):i.left===t.SENTINEL||o(i.left)?(i.ownerId===n&&(s[a++]=i),r(i,!0),i.right===t.SENTINEL||o(i.right)||(i=i.right)):i=i.left;return r(e.root,!1),s}(this,e)},e.prototype.collectNodesPostOrder=function(){return function(e){
for(var n=e.root,i=[],s=0;n!==t.SENTINEL;)o(n)?(r(n.left,!1),r(n.right,!1),n=n.parent):n.left===t.SENTINEL||o(n.left)?n.right===t.SENTINEL||o(n.right)?(i[s++]=n,r(n,!0)):n=n.right:n=n.left;return r(e.root,!1),i}(this)},e.prototype.insert=function(e){h(this,e),this._normalizeDeltaIfNecessary()},e.prototype.delete=function(e){p(this,e),this._normalizeDeltaIfNecessary()},e.prototype.resolveNode=function(e,t){for(var n=e,i=0;e!==this.root;)e===e.parent.right&&(i+=e.parent.delta),e=e.parent;var o=n.start+i,r=n.end+i;n.setCachedOffsets(o,r,t)},e.prototype.acceptReplace=function(e,n,i,s){for(var a=function(e,n,i){for(var s=e.root,a=0,l=0,u=0,c=[],d=0;s!==t.SENTINEL;)if(o(s))r(s.left,!1),r(s.right,!1),s===s.parent.right&&(a-=s.parent.delta),s=s.parent;else{if(!o(s.left)){if(a+s.maxEnd<n){r(s,!0);continue}if(s.left!==t.SENTINEL){s=s.left;continue}}(l=a+s.start)>i?r(s,!0):((u=a+s.end)>=n&&(s.setCachedOffsets(l,u,0),c[d++]=s),r(s,!0),s.right===t.SENTINEL||o(s.right)||(a+=s.delta,s=s.right))}return r(e.root,!1),c
}(this,e,e+n),l=0,u=a.length;l<u;l++){p(this,d=a[l])}this._normalizeDeltaIfNecessary(),function(e,n,i,s){for(var a=e.root,l=0,u=s-(i-n);a!==t.SENTINEL;)if(o(a))r(a.left,!1),r(a.right,!1),a===a.parent.right&&(l-=a.parent.delta),_(a),a=a.parent;else{if(!o(a.left)){if(l+a.maxEnd<n){r(a,!0);continue}if(a.left!==t.SENTINEL){a=a.left;continue}}l+a.start>i?(a.start+=u,a.end+=u,a.delta+=u,(a.delta<-1073741824||a.delta>1073741824)&&(e.requestNormalizeDelta=!0),r(a,!0)):(r(a,!0),a.right===t.SENTINEL||o(a.right)||(l+=a.delta,a=a.right))}r(e.root,!1)}(this,e,e+n,i),this._normalizeDeltaIfNecessary();for(var l=0,u=a.length;l<u;l++){var d=a[l];d.start=d.cachedAbsoluteStart,d.end=d.cachedAbsoluteEnd,function(e,t,n,i,o){var r=function(e){return(48&e.metadata)>>>4}(e),s=0===r||2===r,a=1===r||2===r,l=n-t,u=i,d=Math.min(l,u),h=e.start,p=!1,f=e.end,g=!1,m=o?1:l>0?2:0;!p&&c(h,s,t,m)&&(p=!0),!g&&c(f,a,t,m)&&(g=!0),d>0&&!o&&(m=l>u?2:0,!p&&c(h,s,t+d,m)&&(p=!0),!g&&c(f,a,t+d,m)&&(g=!0));m=o?1:0,!p&&c(h,s,n,m)&&(e.start=t+u,p=!0),
!g&&c(f,a,n,m)&&(e.end=t+u,g=!0);var v=u-l;p||(e.start=Math.max(0,h+v),p=!0),g||(e.end=Math.max(0,f+v),g=!0),e.start>e.end&&(e.end=e.start)}(d,e,e+n,i,s),d.maxEnd=d.end,h(this,d)}this._normalizeDeltaIfNecessary()},e.prototype.getAllInOrder=function(){return d(this,0,!1,0)},e.prototype._normalizeDeltaIfNecessary=function(){this.requestNormalizeDelta&&(this.requestNormalizeDelta=!1,function(e){for(var n=e.root,i=0;n!==t.SENTINEL;)n.left===t.SENTINEL||o(n.left)?n.right===t.SENTINEL||o(n.right)?(n.start=i+n.start,n.end=i+n.end,n.delta=0,_(n),r(n,!0),r(n.left,!1),r(n.right,!1),n===n.parent.right&&(i-=n.parent.delta),n=n.parent):(i+=n.delta,n=n.right):n=n.left;r(e.root,!1)}(this))},e}();t.IntervalTree=E;var L;!function(e){e[e.MarkerDefined=0]="MarkerDefined",e[e.ForceMove=1]="ForceMove",e[e.ForceStay=2]="ForceStay"}(L||(L={})),t.recomputeMaxEnd=_,t.intervalCompare=C}),define(t[486],n([0,1]),function(e,t){"use strict";function n(e){for(;e.left!==t.SENTINEL;)e=e.left;return e}function i(e){
for(;e.right!==t.SENTINEL;)e=e.right;return e}function o(e){return e===t.SENTINEL?0:e.size_left+e.piece.length+o(e.right)}function r(e){return e===t.SENTINEL?0:e.lf_left+e.piece.lineFeedCnt+r(e.right)}function s(){t.SENTINEL.parent=t.SENTINEL}function a(e,n){var i=n.right;i.size_left+=n.size_left+(n.piece?n.piece.length:0),i.lf_left+=n.lf_left+(n.piece?n.piece.lineFeedCnt:0),n.right=i.left,i.left!==t.SENTINEL&&(i.left.parent=n),i.parent=n.parent,n.parent===t.SENTINEL?e.root=i:n.parent.left===n?n.parent.left=i:n.parent.right=i,i.left=n,n.parent=i}function l(e,n){var i=n.left;n.left=i.right,i.right!==t.SENTINEL&&(i.right.parent=n),i.parent=n.parent,n.size_left-=i.size_left+(i.piece?i.piece.length:0),n.lf_left-=i.lf_left+(i.piece?i.piece.lineFeedCnt:0),n.parent===t.SENTINEL?e.root=i:n===n.parent.right?n.parent.right=i:n.parent.left=i,i.right=n,n.parent=i}function u(e,n,i,o){for(;n!==e.root&&n!==t.SENTINEL;)n.parent.left===n&&(n.parent.size_left+=i,n.parent.lf_left+=o),n=n.parent}function c(e,t){var n=0,i=0
;if(t!==e.root){if(0===n){for(;t!==e.root&&t===t.parent.right;)t=t.parent;if(t===e.root)return;n=o((t=t.parent).left)-t.size_left,i=r(t.left)-t.lf_left,t.size_left+=n,t.lf_left+=i}for(;t!==e.root&&(0!==n||0!==i);)t.parent.left===t&&(t.parent.size_left+=n,t.parent.lf_left+=i),t=t.parent}}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t){this.piece=e,this.color=t,this.size_left=0,this.lf_left=0,this.parent=null,this.left=null,this.right=null}return e.prototype.next=function(){if(this.right!==t.SENTINEL)return n(this.right);for(var e=this;e.parent!==t.SENTINEL&&e.parent.left!==e;)e=e.parent;return e.parent===t.SENTINEL?t.SENTINEL:e.parent},e.prototype.prev=function(){if(this.left!==t.SENTINEL)return i(this.left);for(var e=this;e.parent!==t.SENTINEL&&e.parent.right!==e;)e=e.parent;return e.parent===t.SENTINEL?t.SENTINEL:e.parent},e.prototype.detach=function(){this.parent=null,this.left=null,this.right=null},e}();t.TreeNode=d,t.SENTINEL=new d(null,0),t.SENTINEL.parent=t.SENTINEL,
t.SENTINEL.left=t.SENTINEL,t.SENTINEL.right=t.SENTINEL,t.SENTINEL.color=0;!function(e){e[e.Black=0]="Black",e[e.Red=1]="Red"}(t.NodeColor||(t.NodeColor={})),t.leftest=n,t.righttest=i,t.calculateSize=o,t.calculateLF=r,t.resetSentinel=s,t.leftRotate=a,t.rightRotate=l,t.rbDelete=function(e,i){var d,h;if(d=i.left===t.SENTINEL?(h=i).right:i.right===t.SENTINEL?(h=i).left:(h=n(i.right)).right,h===e.root)return e.root=d,d.color=0,i.detach(),s(),void(e.root.parent=t.SENTINEL);var p=1===h.color;if(h===h.parent.left?h.parent.left=d:h.parent.right=d,h===i?(d.parent=h.parent,c(e,d)):(h.parent===i?d.parent=h:d.parent=h.parent,c(e,d),h.left=i.left,h.right=i.right,h.parent=i.parent,h.color=i.color,i===e.root?e.root=h:i===i.parent.left?i.parent.left=h:i.parent.right=h,h.left!==t.SENTINEL&&(h.left.parent=h),h.right!==t.SENTINEL&&(h.right.parent=h),h.size_left=i.size_left,h.lf_left=i.lf_left,c(e,h)),i.detach(),d.parent.left===d){var f=o(d),g=r(d);if(f!==d.parent.size_left||g!==d.parent.lf_left){
var m=f-d.parent.size_left,v=g-d.parent.lf_left;d.parent.size_left=f,d.parent.lf_left=g,u(e,d.parent,m,v)}}if(c(e,d.parent),p)s();else{for(var _;d!==e.root&&0===d.color;)d===d.parent.left?(1===(_=d.parent.right).color&&(_.color=0,d.parent.color=1,a(e,d.parent),_=d.parent.right),0===_.left.color&&0===_.right.color?(_.color=1,d=d.parent):(0===_.right.color&&(_.left.color=0,_.color=1,l(e,_),_=d.parent.right),_.color=d.parent.color,d.parent.color=0,_.right.color=0,a(e,d.parent),d=e.root)):(1===(_=d.parent.left).color&&(_.color=0,d.parent.color=1,l(e,d.parent),_=d.parent.left),0===_.left.color&&0===_.right.color?(_.color=1,d=d.parent):(0===_.left.color&&(_.right.color=0,_.color=1,a(e,_),_=d.parent.left),_.color=d.parent.color,d.parent.color=0,_.left.color=0,l(e,d.parent),d=e.root));d.color=0,s()}},t.fixInsert=function(e,t){for(c(e,t);t!==e.root&&1===t.parent.color;)if(t.parent===t.parent.parent.left)1===(n=t.parent.parent.right).color?(t.parent.color=0,n.color=0,t.parent.parent.color=1,
t=t.parent.parent):(t===t.parent.right&&a(e,t=t.parent),t.parent.color=0,t.parent.parent.color=1,l(e,t.parent.parent));else{var n=t.parent.parent.left;1===n.color?(t.parent.color=0,n.color=0,t.parent.parent.color=1,t=t.parent.parent):(t===t.parent.left&&l(e,t=t.parent),t.parent.color=0,t.parent.parent.color=1,a(e,t.parent.parent))}e.root.color=0},t.updateTreeMetadata=u,t.recomputeTreeMetadata=c}),define(t[488],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Flush=1]="Flush",e[e.LineChanged=2]="LineChanged",e[e.LinesDeleted=3]="LinesDeleted",e[e.LinesInserted=4]="LinesInserted",e[e.EOLChanged=5]="EOLChanged"}(t.RawContentChangedType||(t.RawContentChangedType={}));var n=function(){return function(){this.changeType=1}}();t.ModelRawFlush=n;var i=function(){return function(e,t){this.changeType=2,this.lineNumber=e,this.detail=t}}();t.ModelRawLineChanged=i;var o=function(){return function(e,t){this.changeType=3,this.fromLineNumber=e,this.toLineNumber=t}}()
;t.ModelRawLinesDeleted=o;var r=function(){return function(e,t,n){this.changeType=4,this.fromLineNumber=e,this.toLineNumber=t,this.detail=n}}();t.ModelRawLinesInserted=r;var s=function(){return function(){this.changeType=5}}();t.ModelRawEOLChanged=s;var a=function(){function e(e,t,n,i){this.changes=e,this.versionId=t,this.isUndoing=n,this.isRedoing=i}return e.prototype.containsEvent=function(e){for(var t=0,n=this.changes.length;t<n;t++){if(this.changes[t].changeType===e)return!0}return!1},e.merge=function(t,n){return new e([].concat(t.changes).concat(n.changes),n.versionId,t.isUndoing||n.isUndoing,t.isRedoing||n.isRedoing)},e}();t.ModelRawContentChangedEvent=a;var l=function(){function e(e,t){this.rawContentChangedEvent=e,this.contentChangedEvent=t}return e.prototype.merge=function(t){return new e(a.merge(this.rawContentChangedEvent,t.rawContentChangedEvent),e._mergeChangeEvents(this.contentChangedEvent,t.contentChangedEvent))},e._mergeChangeEvents=function(e,t){return{
changes:[].concat(e.changes).concat(t.changes),eol:t.eol,versionId:t.versionId,isUndoing:e.isUndoing||t.isUndoing,isRedoing:e.isRedoing||t.isRedoing,isFlush:e.isFlush||t.isFlush}},e}();t.InternalModelContentChangeEvent=l}),define(t[132],n([0,1,9,13,3,28,90]),function(e,t,n,i,o,r,s){"use strict";function a(e,t,n){if(!n)return new r.FindMatch(e,null);for(var i=[],o=0,s=t.length;o<s;o++)i[o]=t[o];return new r.FindMatch(e,i)}function l(e,t,n,i,o){return function(e,t,n,i,o){if(0===i)return!0;var r=t.charCodeAt(i-1);if(0!==e.get(r))return!0;if(13===r||10===r)return!0;if(o>0){var s=t.charCodeAt(i);if(0!==e.get(s))return!0}return!1}(e,t,0,i,o)&&function(e,t,n,i,o){if(i+o===n)return!0;var r=t.charCodeAt(i+o);if(0!==e.get(r))return!0;if(13===r||10===r)return!0;if(o>0){var s=t.charCodeAt(i+o-1);if(0!==e.get(s))return!0}return!1}(e,t,n,i,o)}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t,n,i){this.searchString=e,this.isRegex=t,this.matchCase=n,this.wordSeparators=i}
return e._isMultilineRegexSource=function(e){if(!e||0===e.length)return!1;for(var t=0,n=e.length;t<n;t++){if(92===e.charCodeAt(t)){if(++t>=n)break;var i=e.charCodeAt(t);if(110===i||114===i)return!0}}return!1},e.prototype.parseSearchRequest=function(){if(""===this.searchString)return null;var t;t=this.isRegex?e._isMultilineRegexSource(this.searchString):this.searchString.indexOf("\n")>=0;var i=null;try{i=n.createRegExp(this.searchString,this.isRegex,{matchCase:this.matchCase,wholeWord:!1,multiline:t,global:!0})}catch(e){return null}if(!i)return null;var o=!this.isRegex&&!t;return o&&this.searchString.toLowerCase()!==this.searchString.toUpperCase()&&(o=this.matchCase),new c(i,this.wordSeparators?s.getMapForWordSeparators(this.wordSeparators):null,o?this.searchString:null)},e}();t.SearchParams=u;var c=function(){return function(e,t,n){this.regex=e,this.wordSeparators=t,this.simpleSearch=n}}();t.SearchData=c,t.createFindMatch=a;var d=function(){function e(){}return e.findMatches=function(e,t,n,i,s){
var a=t.parseSearchRequest();if(!a)return[];if(a.regex.multiline){if("\\n"===a.regex.source){for(var l=[],u=0,c=1,d=e.getLineCount();c<d;c++){var p=new o.Range(c,e.getLineMaxColumn(c),c+1,1);if(l[u++]=i?new r.FindMatch(p,null):new r.FindMatch(p,["\n"]),u>=s)break}return l}return this._doFindMatchesMultiline(e,n,new h(a.wordSeparators,a.regex),i,s)}return this._doFindMatchesLineByLine(e,n,a,i,s)},e._getMultilineMatchRange=function(e,t,n,i,r){var s;if("\r\n"===e.getEOL()){for(var a=0,l=0;l<i;l++){10===(h=n.charCodeAt(l))&&a++}s=t+i+a}else s=t+i;var u;if("\r\n"===e.getEOL()){for(var c=0,l=0,d=r.length;l<d;l++){var h=n.charCodeAt(l+i);10===h&&c++}u=s+r.length+c}else u=s+r.length;var p=e.getPositionAt(s),f=e.getPositionAt(u);return new o.Range(p.lineNumber,p.column,f.lineNumber,f.column)},e._doFindMatchesMultiline=function(e,t,n,i,o){var s,l=e.getOffsetAt(t.getStartPosition()),u=e.getValueInRange(t,r.EndOfLinePreference.LF),c=[],d=0
;for(n.reset(0);s=n.next(u);)if(c[d++]=a(this._getMultilineMatchRange(e,l,u,s.index,s[0]),s,i),d>=o)return c;return c},e._doFindMatchesLineByLine=function(e,t,n,i,o){var r=[],s=0;if(t.startLineNumber===t.endLineNumber){var a=e.getLineContent(t.startLineNumber).substring(t.startColumn-1,t.endColumn-1);return s=this._findMatchesInLine(n,a,t.startLineNumber,t.startColumn-1,s,r,i,o),r}var l=e.getLineContent(t.startLineNumber).substring(t.startColumn-1);s=this._findMatchesInLine(n,l,t.startLineNumber,t.startColumn-1,s,r,i,o);for(var u=t.startLineNumber+1;u<t.endLineNumber&&s<o;u++)s=this._findMatchesInLine(n,e.getLineContent(u),u,0,s,r,i,o);if(s<o){var c=e.getLineContent(t.endLineNumber).substring(0,t.endColumn-1);s=this._findMatchesInLine(n,c,t.endLineNumber,0,s,r,i,o)}return r},e._findMatchesInLine=function(e,t,n,i,s,u,c,d){var p=e.wordSeparators;if(!c&&e.simpleSearch){
for(var f=e.simpleSearch,g=f.length,m=t.length,v=-g;-1!==(v=t.indexOf(f,v+g));)if((!p||l(p,t,m,v,g))&&(u[s++]=new r.FindMatch(new o.Range(n,v+1+i,n,v+1+g+i),null),s>=d))return s;return s}var _,y=new h(e.wordSeparators,e.regex);y.reset(0);do{if((_=y.next(t))&&(u[s++]=a(new o.Range(n,_.index+1+i,n,_.index+1+_[0].length+i),_,c),s>=d))return s}while(_);return s},e.findNextMatch=function(e,t,n,i){var o=t.parseSearchRequest();if(!o)return null;var r=new h(o.wordSeparators,o.regex);return o.regex.multiline?this._doFindNextMatchMultiline(e,n,r,i):this._doFindNextMatchLineByLine(e,n,r,i)},e._doFindNextMatchMultiline=function(e,t,n,s){var l=new i.Position(t.lineNumber,1),u=e.getOffsetAt(l),c=e.getLineCount(),d=e.getValueInRange(new o.Range(l.lineNumber,l.column,c,e.getLineMaxColumn(c)),r.EndOfLinePreference.LF);n.reset(t.column-1);var h=n.next(d);return h?a(this._getMultilineMatchRange(e,u,d,h.index,h[0]),h,s):1!==t.lineNumber||1!==t.column?this._doFindNextMatchMultiline(e,new i.Position(1,1),n,s):null},
e._doFindNextMatchLineByLine=function(e,t,n,i){var o=e.getLineCount(),r=t.lineNumber,s=e.getLineContent(r),a=this._findFirstMatchInLine(n,s,r,t.column,i);if(a)return a;for(var l=1;l<=o;l++){var u=(r+l-1)%o,c=e.getLineContent(u+1),d=this._findFirstMatchInLine(n,c,u+1,1,i);if(d)return d}return null},e._findFirstMatchInLine=function(e,t,n,i,r){e.reset(i-1);var s=e.next(t);return s?a(new o.Range(n,s.index+1,n,s.index+1+s[0].length),s,r):null},e.findPreviousMatch=function(e,t,n,i){var o=t.parseSearchRequest();if(!o)return null;var r=new h(o.wordSeparators,o.regex);return o.regex.multiline?this._doFindPreviousMatchMultiline(e,n,r,i):this._doFindPreviousMatchLineByLine(e,n,r,i)},e._doFindPreviousMatchMultiline=function(e,t,n,r){var s=this._doFindMatchesMultiline(e,new o.Range(1,1,t.lineNumber,t.column),n,r,9990);if(s.length>0)return s[s.length-1];var a=e.getLineCount();return t.lineNumber!==a||t.column!==e.getLineMaxColumn(a)?this._doFindPreviousMatchMultiline(e,new i.Position(a,e.getLineMaxColumn(a)),n,r):null},
e._doFindPreviousMatchLineByLine=function(e,t,n,i){var o=e.getLineCount(),r=t.lineNumber,s=e.getLineContent(r).substring(0,t.column-1),a=this._findLastMatchInLine(n,s,r,i);if(a)return a;for(var l=1;l<=o;l++){var u=(o+r-l-1)%o,c=e.getLineContent(u+1),d=this._findLastMatchInLine(n,c,u+1,i);if(d)return d}return null},e._findLastMatchInLine=function(e,t,n,i){var r,s=null;for(e.reset(0);r=e.next(t);)s=a(new o.Range(n,r.index+1,n,r.index+1+r[0].length),r,i);return s},e}();t.TextModelSearch=d,t.isValidMatch=l;var h=function(){function e(e,t){this._wordSeparators=e,this._searchRegex=t,this._prevMatchStartIndex=-1,this._prevMatchLength=0}return e.prototype.reset=function(e){this._searchRegex.lastIndex=e,this._prevMatchStartIndex=-1,this._prevMatchLength=0},e.prototype.next=function(e){var t,n=e.length;do{if(this._prevMatchStartIndex+this._prevMatchLength===n)return null;if(!(t=this._searchRegex.exec(e)))return null;var i=t.index,o=t[0].length;if(i===this._prevMatchStartIndex&&o===this._prevMatchLength)return null
;if(this._prevMatchStartIndex=i,this._prevMatchLength=o,!this._wordSeparators||l(this._wordSeparators,e,n,i,o))return t}while(t);return null},e}();t.Searcher=h}),define(t[151],n([0,1,13,3,486,132,28]),function(e,t,n,i,o,r,s){"use strict";function a(e){var t;return(t=e[e.length-1]<65536?new Uint16Array(e.length):new Uint32Array(e.length)).set(e,0),t}function l(e,t){void 0===t&&(t=!0);for(var n=[0],i=1,o=0,r=e.length;o<r;o++){var s=e.charCodeAt(o);13===s?o+1<r&&10===e.charCodeAt(o+1)?(n[i++]=o+2,o++):n[i++]=o+1:10===s&&(n[i++]=o+1)}return t?a(n):n}Object.defineProperty(t,"__esModule",{value:!0}),t.AverageBufferSize=65535,t.createUintArray=a;var u=function(){return function(e,t,n,i,o){this.lineStarts=e,this.cr=t,this.lf=n,this.crlf=i,this.isBasicASCII=o}}();t.LineStarts=u,t.createLineStartsFast=l,t.createLineStarts=function(e,t){e.length=0,e[0]=0;for(var n=1,i=0,o=0,r=0,s=!0,l=0,c=t.length;l<c;l++){var d=t.charCodeAt(l);13===d?l+1<c&&10===t.charCodeAt(l+1)?(r++,e[n++]=l+2,l++):(i++,e[n++]=l+1):10===d?(o++,
e[n++]=l+1):s&&9!==d&&(d<32||d>126)&&(s=!1)}var h=new u(a(e),i,o,r,s);return e.length=0,h};var c=function(){return function(e,t,n,i,o){this.bufferIndex=e,this.start=t,this.end=n,this.lineFeedCnt=i,this.length=o}}();t.Piece=c;var d=function(){return function(e,t){this.buffer=e,this.lineStarts=t}}();t.StringBuffer=d;var h=function(){function e(e,t){var n=this;this._pieces=[],this._tree=e,this._BOM=t,this._index=0,e.root!==o.SENTINEL&&e.iterate(e.root,function(e){return e!==o.SENTINEL&&n._pieces.push(e.piece),!0})}return e.prototype.read=function(){return 0===this._pieces.length?0===this._index?(this._index++,this._BOM):null:this._index>this._pieces.length-1?null:0===this._index?this._BOM+this._tree.getPieceContent(this._pieces[this._index++]):this._tree.getPieceContent(this._pieces[this._index++])},e}(),p=function(){function e(e){this._limit=e,this._cache=[]}return e.prototype.get=function(e){for(var t=this._cache.length-1;t>=0;t--){var n=this._cache[t]
;if(n.nodeStartOffset<=e&&n.nodeStartOffset+n.node.piece.length>=e)return n}return null},e.prototype.get2=function(e){for(var t=this._cache.length-1;t>=0;t--){var n=this._cache[t];if(n.nodeStartLineNumber&&n.nodeStartLineNumber<e&&n.nodeStartLineNumber+n.node.piece.lineFeedCnt>=e)return n}return null},e.prototype.set=function(e){this._cache.length>=this._limit&&this._cache.shift(),this._cache.push(e)},e.prototype.valdiate=function(e){for(var t=!1,n=0;n<this._cache.length;n++){var i=this._cache[n];(null===i.node.parent||i.nodeStartOffset>=e)&&(this._cache[n]=null,t=!0)}if(t){for(var o=[],n=0;n<this._cache.length;n++)null!==this._cache[n]&&o.push(this._cache[n]);this._cache=o}},e}(),f=function(){function e(e,t,n){this.create(e,t,n)}return e.prototype.create=function(e,t,n){this._buffers=[new d("",[0])],this._lastChangeBufferPos={line:0,column:0},this.root=o.SENTINEL,this._lineCnt=1,this._length=0,this._EOL=t,this._EOLLength=t.length,this._EOLNormalized=n
;for(var i=null,r=0,s=e.length;r<s;r++)if(e[r].buffer.length>0){e[r].lineStarts||(e[r].lineStarts=l(e[r].buffer));var a=new c(r+1,{line:0,column:0},{line:e[r].lineStarts.length-1,column:e[r].buffer.length-e[r].lineStarts[e[r].lineStarts.length-1]},e[r].lineStarts.length-1,e[r].buffer.length);this._buffers.push(e[r]),i=this.rbInsertRight(i,a)}this._searchCache=new p(1),this._lastVisitedLine={lineNumber:0,value:null},this.computeBufferMetadata()},e.prototype.normalizeEOL=function(e){var n=this,i=t.AverageBufferSize,o=i-Math.floor(i/3),r=2*o,s="",a=0,u=[];if(this.iterate(this.root,function(t){var i=n.getNodeContent(t),c=i.length;if(a<=o||a+c<r)return s+=i,a+=c,!0;var h=s.replace(/\r\n|\r|\n/g,e);return u.push(new d(h,l(h))),s=i,a=c,!0}),a>0){var c=s.replace(/\r\n|\r|\n/g,e);u.push(new d(c,l(c)))}this.create(u,e,!0)},e.prototype.getEOL=function(){return this._EOL},e.prototype.setEOL=function(e){this._EOL=e,this._EOLLength=this._EOL.length,this.normalizeEOL(e)},e.prototype.createSnapshot=function(e){
return new h(this,e)},e.prototype.equal=function(e){var t=this;if(this.getLength()!==e.getLength())return!1;if(this.getLineCount()!==e.getLineCount())return!1;return this.iterate(this.root,function(n){if(n===o.SENTINEL)return!0;var i=t.getNodeContent(n),r=i.length,s=e.nodeAt(0),a=e.nodeAt(0+r);return i===e.getValueInRange2(s,a)})},e.prototype.getOffsetAt=function(e,t){for(var n=0,i=this.root;i!==o.SENTINEL;)if(i.left!==o.SENTINEL&&i.lf_left+1>=e)i=i.left;else{if(i.lf_left+i.piece.lineFeedCnt+1>=e){n+=i.size_left;return n+=this.getAccumulatedValue(i,e-i.lf_left-2)+t-1}e-=i.lf_left+i.piece.lineFeedCnt,n+=i.size_left+i.piece.length,i=i.right}return n},e.prototype.getPositionAt=function(e){e=Math.floor(e),e=Math.max(0,e);for(var t=this.root,i=0,r=e;t!==o.SENTINEL;)if(0!==t.size_left&&t.size_left>=e)t=t.left;else{if(t.size_left+t.piece.length>=e){var s=this.getIndexOf(t,e-t.size_left);if(i+=t.lf_left+s.index,0===s.index){l=r-(a=this.getOffsetAt(i+1,1));return new n.Position(i+1,l+1)}
return new n.Position(i+1,s.remainder+1)}if(e-=t.size_left+t.piece.length,i+=t.lf_left+t.piece.lineFeedCnt,t.right===o.SENTINEL){var a=this.getOffsetAt(i+1,1),l=r-e-a;return new n.Position(i+1,l+1)}t=t.right}return new n.Position(1,1)},e.prototype.getValueInRange=function(e,t){if(e.startLineNumber===e.endLineNumber&&e.startColumn===e.endColumn)return"";var n=this.nodeAt2(e.startLineNumber,e.startColumn),i=this.nodeAt2(e.endLineNumber,e.endColumn),o=this.getValueInRange2(n,i);return t?t===this._EOL&&this._EOLNormalized&&t===this.getEOL()&&this._EOLNormalized?o:o.replace(/\r\n|\r|\n/g,t):o},e.prototype.getValueInRange2=function(e,t){if(e.node===t.node){var n=e.node,i=this._buffers[n.piece.bufferIndex].buffer,r=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);return i.substring(r+e.remainder,r+t.remainder)}var s=e.node,a=this._buffers[s.piece.bufferIndex].buffer,l=this.offsetInBuffer(s.piece.bufferIndex,s.piece.start),u=a.substring(l+e.remainder,l+s.piece.length);for(s=s.next();s!==o.SENTINEL;){
var c=this._buffers[s.piece.bufferIndex].buffer,d=this.offsetInBuffer(s.piece.bufferIndex,s.piece.start);if(s===t.node){u+=c.substring(d,d+t.remainder);break}u+=c.substr(d,s.piece.length),s=s.next()}return u},e.prototype.getLinesContent=function(){return this.getContentOfSubTree(this.root).split(/\r\n|\r|\n/)},e.prototype.getLength=function(){return this._length},e.prototype.getLineCount=function(){return this._lineCnt},e.prototype.getLineContent=function(e){return this._lastVisitedLine.lineNumber===e?this._lastVisitedLine.value:(this._lastVisitedLine.lineNumber=e,e===this._lineCnt?this._lastVisitedLine.value=this.getLineRawContent(e):this._EOLNormalized?this._lastVisitedLine.value=this.getLineRawContent(e,this._EOLLength):this._lastVisitedLine.value=this.getLineRawContent(e).replace(/(\r\n|\r|\n)$/,""),this._lastVisitedLine.value)},e.prototype.getLineCharCode=function(e,t){
var n=this.nodeAt2(e,t+1),i=this._buffers[n.node.piece.bufferIndex],o=this.offsetInBuffer(n.node.piece.bufferIndex,n.node.piece.start)+n.remainder;return i.buffer.charCodeAt(o)},e.prototype.getLineLength=function(e){if(e===this.getLineCount()){var t=this.getOffsetAt(e,1);return this.getLength()-t}return this.getOffsetAt(e+1,1)-this.getOffsetAt(e,1)-this._EOLLength},e.prototype.findMatchesInNode=function(e,t,n,o,s,a,l,u,c,d,h){var p,f=this._buffers[e.piece.bufferIndex],g=this.offsetInBuffer(e.piece.bufferIndex,e.piece.start),m=this.offsetInBuffer(e.piece.bufferIndex,s),v=this.offsetInBuffer(e.piece.bufferIndex,a);t.reset(m);var _={line:0,column:0};do{if(p=t.next(f.buffer)){if(p.index>=v)return d;this.positionInBuffer(e,p.index-g,_);var y=this.getLineFeedCnt(e.piece.bufferIndex,s,_),C=_.line===s.line?_.column-s.column+o:_.column+1,b=C+p[0].length;if(h[d++]=r.createFindMatch(new i.Range(n+y,C,n+y,b),p,u),p.index+p[0].length>=v)return d;if(d>=c)return d}}while(p);return d},
e.prototype.findMatchesLineByLine=function(e,t,n,i){var o=[],s=0,a=new r.Searcher(t.wordSeparators,t.regex),l=this.nodeAt2(e.startLineNumber,e.startColumn);if(null===l)return[];var u=this.nodeAt2(e.endLineNumber,e.endColumn);if(null===u)return[];var c=this.positionInBuffer(l.node,l.remainder),d=this.positionInBuffer(u.node,u.remainder);if(l.node===u.node)return this.findMatchesInNode(l.node,a,e.startLineNumber,e.startColumn,c,d,t,n,i,s,o),o;for(var h=e.startLineNumber,p=l.node;p!==u.node;){var f=this.getLineFeedCnt(p.piece.bufferIndex,c,p.piece.end);if(f>=1){var g=this._buffers[p.piece.bufferIndex].lineStarts,m=this.offsetInBuffer(p.piece.bufferIndex,p.piece.start),v=g[c.line+f],_=h===e.startLineNumber?e.startColumn:1;if((s=this.findMatchesInNode(p,a,h,_,c,this.positionInBuffer(p,v-m),t,n,i,s,o))>=i)return o;h+=f}var y=h===e.startLineNumber?e.startColumn-1:0;if(h===e.endLineNumber){b=this.getLineContent(h).substring(y,e.endColumn-1);return s=this._findMatchesInLine(t,a,b,e.endLineNumber,y,s,o,n,i),o}
if((s=this._findMatchesInLine(t,a,this.getLineContent(h).substr(y),h,y,s,o,n,i))>=i)return o;h++,p=(l=this.nodeAt2(h,1)).node,c=this.positionInBuffer(l.node,l.remainder)}if(h===e.endLineNumber){var C=h===e.startLineNumber?e.startColumn-1:0,b=this.getLineContent(h).substring(C,e.endColumn-1);return s=this._findMatchesInLine(t,a,b,e.endLineNumber,C,s,o,n,i),o}var S=h===e.startLineNumber?e.startColumn:1;return s=this.findMatchesInNode(u.node,a,h,S,c,d,t,n,i,s,o),o},e.prototype._findMatchesInLine=function(e,t,n,o,a,l,u,c,d){var h=e.wordSeparators;if(!c&&e.simpleSearch){for(var p=e.simpleSearch,f=p.length,g=n.length,m=-f;-1!==(m=n.indexOf(p,m+f));)if((!h||r.isValidMatch(h,n,g,m,f))&&(u[l++]=new s.FindMatch(new i.Range(o,m+1+a,o,m+1+f+a),null),l>=d))return l;return l}var v;t.reset(0);do{if((v=t.next(n))&&(u[l++]=r.createFindMatch(new i.Range(o,v.index+1+a,o,v.index+1+v[0].length+a),v,c),l>=d))return l}while(v);return l},e.prototype.insert=function(e,n,i){if(void 0===i&&(i=!1),
this._EOLNormalized=this._EOLNormalized&&i,this._lastVisitedLine.lineNumber=0,this._lastVisitedLine.value=null,this.root!==o.SENTINEL){var r=this.nodeAt(e),s=r.node,a=r.remainder,l=r.nodeStartOffset,u=s.piece,d=u.bufferIndex,h=this.positionInBuffer(s,a);if(0===s.piece.bufferIndex&&u.end.line===this._lastChangeBufferPos.line&&u.end.column===this._lastChangeBufferPos.column&&l+u.length===e&&n.length<t.AverageBufferSize)return this.appendToNode(s,n),void this.computeBufferMetadata();if(l===e)this.insertContentToNodeLeft(n,s),this._searchCache.valdiate(e);else if(l+s.piece.length>e){var p=[],f=new c(u.bufferIndex,h,u.end,this.getLineFeedCnt(u.bufferIndex,h,u.end),this.offsetInBuffer(d,u.end)-this.offsetInBuffer(d,h));if(this.shouldCheckCRLF()&&this.endWithCR(n)){if(10===this.nodeCharCodeAt(s,a)){var g={line:f.start.line+1,column:0};f=new c(f.bufferIndex,g,f.end,this.getLineFeedCnt(f.bufferIndex,g,f.end),f.length-1),n+="\n"}}if(this.shouldCheckCRLF()&&this.startWithLF(n)){if(13===this.nodeCharCodeAt(s,a-1)){
var m=this.positionInBuffer(s,a-1);this.deleteNodeTail(s,m),n="\r"+n,0===s.piece.length&&p.push(s)}else this.deleteNodeTail(s,h)}else this.deleteNodeTail(s,h);var v=this.createNewPieces(n);f.length>0&&this.rbInsertRight(s,f);for(var _=s,y=0;y<v.length;y++)_=this.rbInsertRight(_,v[y]);this.deleteNodes(p)}else this.insertContentToNodeRight(n,s)}else for(var C=this.createNewPieces(n),s=this.rbInsertLeft(null,C[0]),y=1;y<C.length;y++)s=this.rbInsertRight(s,C[y]);this.computeBufferMetadata()},e.prototype.delete=function(e,t){if(this._lastVisitedLine.lineNumber=0,this._lastVisitedLine.value=null,!(t<=0||this.root===o.SENTINEL)){var n=this.nodeAt(e),i=this.nodeAt(e+t),r=n.node,s=i.node;if(r===s){var a=this.positionInBuffer(r,n.remainder),l=this.positionInBuffer(r,i.remainder);if(n.nodeStartOffset===e){if(t===r.piece.length){var u=r.next();return o.rbDelete(this,r),this.validateCRLFWithPrevNode(u),void this.computeBufferMetadata()}return this.deleteNodeHead(r,l),this._searchCache.valdiate(e),
this.validateCRLFWithPrevNode(r),void this.computeBufferMetadata()}return n.nodeStartOffset+r.piece.length===e+t?(this.deleteNodeTail(r,a),this.validateCRLFWithNextNode(r),void this.computeBufferMetadata()):(this.shrinkNode(r,a,l),void this.computeBufferMetadata())}var c=[],d=this.positionInBuffer(r,n.remainder);this.deleteNodeTail(r,d),this._searchCache.valdiate(e),0===r.piece.length&&c.push(r);var h=this.positionInBuffer(s,i.remainder);this.deleteNodeHead(s,h),0===s.piece.length&&c.push(s);for(var p=r.next();p!==o.SENTINEL&&p!==s;p=p.next())c.push(p);var f=0===r.piece.length?r.prev():r;this.deleteNodes(c),this.validateCRLFWithNextNode(f),this.computeBufferMetadata()}},e.prototype.insertContentToNodeLeft=function(e,t){var n=[];if(this.shouldCheckCRLF()&&this.endWithCR(e)&&this.startWithLF(t)){var i=t.piece,r={line:i.start.line+1,column:0},s=new c(i.bufferIndex,r,i.end,this.getLineFeedCnt(i.bufferIndex,r,i.end),i.length-1);t.piece=s,e+="\n",o.updateTreeMetadata(this,t,-1,-1),0===t.piece.length&&n.push(t)}
for(var a=this.createNewPieces(e),l=this.rbInsertLeft(t,a[a.length-1]),u=a.length-2;u>=0;u--)l=this.rbInsertLeft(l,a[u]);this.validateCRLFWithPrevNode(l),this.deleteNodes(n)},e.prototype.insertContentToNodeRight=function(e,t){this.adjustCarriageReturnFromNext(e,t)&&(e+="\n");for(var n=this.createNewPieces(e),i=this.rbInsertRight(t,n[0]),o=i,r=1;r<n.length;r++)o=this.rbInsertRight(o,n[r]);this.validateCRLFWithPrevNode(i)},e.prototype.positionInBuffer=function(e,t,n){for(var i,o,r,s=e.piece,a=e.piece.bufferIndex,l=this._buffers[a].lineStarts,u=l[s.start.line]+s.start.column+t,c=s.start.line,d=s.end.line;c<=d&&(i=c+(d-c)/2|0,r=l[i],i!==d);)if(o=l[i+1],u<r)d=i-1;else{if(!(u>=o))break;c=i+1}return n?(n.line=i,n.column=u-r,null):{line:i,column:u-r}},e.prototype.getLineFeedCnt=function(e,t,n){if(0===n.column)return n.line-t.line;var i=this._buffers[e].lineStarts;if(n.line===i.length-1)return n.line-t.line;var o=i[n.line+1],r=i[n.line]+n.column;if(o>r+1)return n.line-t.line;var s=r-1
;return 13===this._buffers[e].buffer.charCodeAt(s)?n.line-t.line+1:n.line-t.line},e.prototype.offsetInBuffer=function(e,t){return this._buffers[e].lineStarts[t.line]+t.column},e.prototype.deleteNodes=function(e){for(var t=0;t<e.length;t++)o.rbDelete(this,e[t])},e.prototype.createNewPieces=function(e){if(e.length>t.AverageBufferSize){for(var n=[];e.length>t.AverageBufferSize;){var i=e.charCodeAt(t.AverageBufferSize-1),o=void 0;13===i||i>=55296&&i<=56319?(o=e.substring(0,t.AverageBufferSize-1),e=e.substring(t.AverageBufferSize-1)):(o=e.substring(0,t.AverageBufferSize),e=e.substring(t.AverageBufferSize));var r=l(o);n.push(new c(this._buffers.length,{line:0,column:0},{line:r.length-1,column:o.length-r[r.length-1]},r.length-1,o.length)),this._buffers.push(new d(o,r))}var s=l(e);return n.push(new c(this._buffers.length,{line:0,column:0},{line:s.length-1,column:e.length-s[s.length-1]},s.length-1,e.length)),this._buffers.push(new d(e,s)),n}var a=this._buffers[0].buffer.length,u=l(e,!1),h=this._lastChangeBufferPos
;if(this._buffers[0].lineStarts[this._buffers[0].lineStarts.length-1]===a&&0!==a&&this.startWithLF(e)&&this.endWithCR(this._buffers[0].buffer)){this._lastChangeBufferPos={line:this._lastChangeBufferPos.line,column:this._lastChangeBufferPos.column+1},h=this._lastChangeBufferPos;for(p=0;p<u.length;p++)u[p]+=a+1;this._buffers[0].lineStarts=this._buffers[0].lineStarts.concat(u.slice(1)),this._buffers[0].buffer+="_"+e,a+=1}else{if(0!==a)for(var p=0;p<u.length;p++)u[p]+=a;this._buffers[0].lineStarts=this._buffers[0].lineStarts.concat(u.slice(1)),this._buffers[0].buffer+=e}var f=this._buffers[0].buffer.length,g=this._buffers[0].lineStarts.length-1,m={line:g,column:f-this._buffers[0].lineStarts[g]},v=new c(0,h,m,this.getLineFeedCnt(0,h,m),f-a);return this._lastChangeBufferPos=m,[v]},e.prototype.getLinesRawContent=function(){return this.getContentOfSubTree(this.root)},e.prototype.getLineRawContent=function(e,t){void 0===t&&(t=0);var n=this.root,i="",r=this._searchCache.get2(e);if(r){n=r.node
;var s=this.getAccumulatedValue(n,e-r.nodeStartLineNumber-1),a=this._buffers[n.piece.bufferIndex].buffer,l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);if(r.nodeStartLineNumber+n.piece.lineFeedCnt!==e){d=this.getAccumulatedValue(n,e-r.nodeStartLineNumber);return a.substring(l+s,l+d-t)}i=a.substring(l+s,l+n.piece.length)}else for(var u=0,c=e;n!==o.SENTINEL;)if(n.left!==o.SENTINEL&&n.lf_left>=e-1)n=n.left;else{if(n.lf_left+n.piece.lineFeedCnt>e-1){var s=this.getAccumulatedValue(n,e-n.lf_left-2),d=this.getAccumulatedValue(n,e-n.lf_left-1),a=this._buffers[n.piece.bufferIndex].buffer,l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);return u+=n.size_left,this._searchCache.set({node:n,nodeStartOffset:u,nodeStartLineNumber:c-(e-1-n.lf_left)}),a.substring(l+s,l+d-t)}if(n.lf_left+n.piece.lineFeedCnt===e-1){var s=this.getAccumulatedValue(n,e-n.lf_left-2),a=this._buffers[n.piece.bufferIndex].buffer,l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);i=a.substring(l+s,l+n.piece.length);break}
e-=n.lf_left+n.piece.lineFeedCnt,u+=n.size_left+n.piece.length,n=n.right}for(n=n.next();n!==o.SENTINEL;){a=this._buffers[n.piece.bufferIndex].buffer;if(n.piece.lineFeedCnt>0){var d=this.getAccumulatedValue(n,0),l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);return i+=a.substring(l,l+d-t)}l=this.offsetInBuffer(n.piece.bufferIndex,n.piece.start);i+=a.substr(l,n.piece.length),n=n.next()}return i},e.prototype.computeBufferMetadata=function(){for(var e=this.root,t=1,n=0;e!==o.SENTINEL;)t+=e.lf_left+e.piece.lineFeedCnt,n+=e.size_left+e.piece.length,e=e.right;this._lineCnt=t,this._length=n,this._searchCache.valdiate(this._length)},e.prototype.getIndexOf=function(e,t){var n=e.piece,i=this.positionInBuffer(e,t),o=i.line-n.start.line;if(this.offsetInBuffer(n.bufferIndex,n.end)-this.offsetInBuffer(n.bufferIndex,n.start)===t){var r=this.getLineFeedCnt(e.piece.bufferIndex,n.start,i);if(r!==o)return{index:r,remainder:0}}return{index:o,remainder:i.column}},e.prototype.getAccumulatedValue=function(e,t){
if(t<0)return 0;var n=e.piece,i=this._buffers[n.bufferIndex].lineStarts,o=n.start.line+t+1;return o>n.end.line?i[n.end.line]+n.end.column-i[n.start.line]-n.start.column:i[o]-i[n.start.line]-n.start.column},e.prototype.deleteNodeTail=function(e,t){var n=e.piece,i=n.lineFeedCnt,r=this.offsetInBuffer(n.bufferIndex,n.end),s=t,a=this.offsetInBuffer(n.bufferIndex,s),l=this.getLineFeedCnt(n.bufferIndex,n.start,s),u=l-i,d=a-r,h=n.length+d;e.piece=new c(n.bufferIndex,n.start,s,l,h),o.updateTreeMetadata(this,e,d,u)},e.prototype.deleteNodeHead=function(e,t){var n=e.piece,i=n.lineFeedCnt,r=this.offsetInBuffer(n.bufferIndex,n.start),s=t,a=this.getLineFeedCnt(n.bufferIndex,s,n.end),l=a-i,u=r-this.offsetInBuffer(n.bufferIndex,s),d=n.length+u;e.piece=new c(n.bufferIndex,s,n.end,a,d),o.updateTreeMetadata(this,e,u,l)},e.prototype.shrinkNode=function(e,t,n){
var i=e.piece,r=i.start,s=i.end,a=i.length,l=i.lineFeedCnt,u=t,d=this.getLineFeedCnt(i.bufferIndex,i.start,u),h=this.offsetInBuffer(i.bufferIndex,t)-this.offsetInBuffer(i.bufferIndex,r);e.piece=new c(i.bufferIndex,i.start,u,d,h),o.updateTreeMetadata(this,e,h-a,d-l);var p=new c(i.bufferIndex,n,s,this.getLineFeedCnt(i.bufferIndex,n,s),this.offsetInBuffer(i.bufferIndex,s)-this.offsetInBuffer(i.bufferIndex,n)),f=this.rbInsertRight(e,p);this.validateCRLFWithPrevNode(f)},e.prototype.appendToNode=function(e,t){this.adjustCarriageReturnFromNext(t,e)&&(t+="\n");var n=this.shouldCheckCRLF()&&this.startWithLF(t)&&this.endWithCR(e),i=this._buffers[0].buffer.length;this._buffers[0].buffer+=t;for(var r=l(t,!1),s=0;s<r.length;s++)r[s]+=i;if(n){var a=this._buffers[0].lineStarts[this._buffers[0].lineStarts.length-2];this._buffers[0].lineStarts.pop(),this._lastChangeBufferPos={line:this._lastChangeBufferPos.line-1,column:i-a}}this._buffers[0].lineStarts=this._buffers[0].lineStarts.concat(r.slice(1))
;var u=this._buffers[0].lineStarts.length-1,d={line:u,column:this._buffers[0].buffer.length-this._buffers[0].lineStarts[u]},h=e.piece.length+t.length,p=e.piece.lineFeedCnt,f=this.getLineFeedCnt(0,e.piece.start,d),g=f-p;e.piece=new c(e.piece.bufferIndex,e.piece.start,d,f,h),this._lastChangeBufferPos=d,o.updateTreeMetadata(this,e,t.length,g)},e.prototype.nodeAt=function(e){var t=this.root,n=this._searchCache.get(e);if(n)return{node:n.node,nodeStartOffset:n.nodeStartOffset,remainder:e-n.nodeStartOffset};for(var i=0;t!==o.SENTINEL;)if(t.size_left>e)t=t.left;else{if(t.size_left+t.piece.length>=e){i+=t.size_left;var r={node:t,remainder:e-t.size_left,nodeStartOffset:i};return this._searchCache.set(r),r}e-=t.size_left+t.piece.length,i+=t.size_left+t.piece.length,t=t.right}return null},e.prototype.nodeAt2=function(e,t){for(var n=this.root,i=0;n!==o.SENTINEL;)if(n.left!==o.SENTINEL&&n.lf_left>=e-1)n=n.left;else{if(n.lf_left+n.piece.lineFeedCnt>e-1){
var r=this.getAccumulatedValue(n,e-n.lf_left-2),s=this.getAccumulatedValue(n,e-n.lf_left-1);return i+=n.size_left,{node:n,remainder:Math.min(r+t-1,s),nodeStartOffset:i}}if(n.lf_left+n.piece.lineFeedCnt===e-1){if((r=this.getAccumulatedValue(n,e-n.lf_left-2))+t-1<=n.piece.length)return{node:n,remainder:r+t-1,nodeStartOffset:i};t-=n.piece.length-r;break}e-=n.lf_left+n.piece.lineFeedCnt,i+=n.size_left+n.piece.length,n=n.right}for(n=n.next();n!==o.SENTINEL;){if(n.piece.lineFeedCnt>0){var s=this.getAccumulatedValue(n,0),a=this.offsetOfNode(n);return{node:n,remainder:Math.min(t-1,s),nodeStartOffset:a}}if(n.piece.length>=t-1){return{node:n,remainder:t-1,nodeStartOffset:this.offsetOfNode(n)}}t-=n.piece.length,n=n.next()}return null},e.prototype.nodeCharCodeAt=function(e,t){if(e.piece.lineFeedCnt<1)return-1;var n=this._buffers[e.piece.bufferIndex],i=this.offsetInBuffer(e.piece.bufferIndex,e.piece.start)+t;return n.buffer.charCodeAt(i)},e.prototype.offsetOfNode=function(e){if(!e)return 0
;for(var t=e.size_left;e!==this.root;)e.parent.right===e&&(t+=e.parent.size_left+e.parent.piece.length),e=e.parent;return t},e.prototype.shouldCheckCRLF=function(){return!(this._EOLNormalized&&"\n"===this._EOL)},e.prototype.startWithLF=function(e){if("string"==typeof e)return 10===e.charCodeAt(0);if(e===o.SENTINEL||0===e.piece.lineFeedCnt)return!1;var t=e.piece,n=this._buffers[t.bufferIndex].lineStarts,i=t.start.line,r=n[i]+t.start.column;if(i===n.length-1)return!1;return!(n[i+1]>r+1)&&10===this._buffers[t.bufferIndex].buffer.charCodeAt(r)},e.prototype.endWithCR=function(e){return"string"==typeof e?13===e.charCodeAt(e.length-1):e!==o.SENTINEL&&0!==e.piece.lineFeedCnt&&13===this.nodeCharCodeAt(e,e.piece.length-1)},e.prototype.validateCRLFWithPrevNode=function(e){if(this.shouldCheckCRLF()&&this.startWithLF(e)){var t=e.prev();this.endWithCR(t)&&this.fixCRLF(t,e)}},e.prototype.validateCRLFWithNextNode=function(e){if(this.shouldCheckCRLF()&&this.endWithCR(e)){var t=e.next();this.startWithLF(t)&&this.fixCRLF(e,t)}
},e.prototype.fixCRLF=function(e,t){var n,i=[],r=this._buffers[e.piece.bufferIndex].lineStarts;n=0===e.piece.end.column?{line:e.piece.end.line-1,column:r[e.piece.end.line]-r[e.piece.end.line-1]-1}:{line:e.piece.end.line,column:e.piece.end.column-1};var s=e.piece.length-1,a=e.piece.lineFeedCnt-1;e.piece=new c(e.piece.bufferIndex,e.piece.start,n,a,s),o.updateTreeMetadata(this,e,-1,-1),0===e.piece.length&&i.push(e);var l={line:t.piece.start.line+1,column:0},u=t.piece.length-1,d=this.getLineFeedCnt(t.piece.bufferIndex,l,t.piece.end);t.piece=new c(t.piece.bufferIndex,l,t.piece.end,d,u),o.updateTreeMetadata(this,t,-1,-1),0===t.piece.length&&i.push(t);var h=this.createNewPieces("\r\n");this.rbInsertRight(e,h[0]);for(var p=0;p<i.length;p++)o.rbDelete(this,i[p])},e.prototype.adjustCarriageReturnFromNext=function(e,t){if(this.shouldCheckCRLF()&&this.endWithCR(e)){var n=t.next();if(this.startWithLF(n)){if(e+="\n",1===n.piece.length)o.rbDelete(this,n);else{var i=n.piece,r={line:i.start.line+1,column:0
},s=i.length-1,a=this.getLineFeedCnt(i.bufferIndex,r,i.end);n.piece=new c(i.bufferIndex,r,i.end,a,s),o.updateTreeMetadata(this,n,-1,-1)}return!0}}return!1},e.prototype.iterate=function(e,t){if(e===o.SENTINEL)return t(o.SENTINEL);var n=this.iterate(e.left,t);return n?t(e)&&this.iterate(e.right,t):n},e.prototype.getNodeContent=function(e){if(e===o.SENTINEL)return"";var t=this._buffers[e.piece.bufferIndex],n=e.piece,i=this.offsetInBuffer(n.bufferIndex,n.start),r=this.offsetInBuffer(n.bufferIndex,n.end);return t.buffer.substring(i,r)},e.prototype.getPieceContent=function(e){var t=this._buffers[e.bufferIndex],n=this.offsetInBuffer(e.bufferIndex,e.start),i=this.offsetInBuffer(e.bufferIndex,e.end);return t.buffer.substring(n,i)},e.prototype.rbInsertRight=function(e,t){var n=new o.TreeNode(t,1);n.left=o.SENTINEL,n.right=o.SENTINEL,n.parent=o.SENTINEL,n.size_left=0,n.lf_left=0;if(this.root===o.SENTINEL)this.root=n,n.color=0;else if(e.right===o.SENTINEL)e.right=n,n.parent=e;else{var i=o.leftest(e.right);i.left=n,
n.parent=i}return o.fixInsert(this,n),n},e.prototype.rbInsertLeft=function(e,t){var n=new o.TreeNode(t,1);n.left=o.SENTINEL,n.right=o.SENTINEL,n.parent=o.SENTINEL,n.size_left=0,n.lf_left=0;if(this.root===o.SENTINEL)this.root=n,n.color=0;else if(e.left===o.SENTINEL)e.left=n,n.parent=e;else{var i=o.righttest(e.left);i.right=n,n.parent=i}return o.fixInsert(this,n),n},e.prototype.getContentOfSubTree=function(e){var t=this,n="";return this.iterate(e,function(e){return n+=t.getNodeContent(e),!0}),n},e}();t.PieceTreeBase=f}),define(t[500],n([0,1,3,9,151,28]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t,n,i,r,s){this._BOM=t,this._mightContainNonBasicASCII=!r,this._mightContainRTL=i,this._pieceTree=new o.PieceTreeBase(e,n,s)}return e.prototype.equals=function(t){return t instanceof e&&(this._BOM===t._BOM&&(this.getEOL()===t.getEOL()&&this._pieceTree.equal(t._pieceTree)))},e.prototype.mightContainRTL=function(){return this._mightContainRTL},
e.prototype.mightContainNonBasicASCII=function(){return this._mightContainNonBasicASCII},e.prototype.getBOM=function(){return this._BOM},e.prototype.getEOL=function(){return this._pieceTree.getEOL()},e.prototype.createSnapshot=function(e){return this._pieceTree.createSnapshot(e?this._BOM:"")},e.prototype.getOffsetAt=function(e,t){return this._pieceTree.getOffsetAt(e,t)},e.prototype.getPositionAt=function(e){return this._pieceTree.getPositionAt(e)},e.prototype.getRangeAt=function(e,t){var i=e+t,o=this.getPositionAt(e),r=this.getPositionAt(i);return new n.Range(o.lineNumber,o.column,r.lineNumber,r.column)},e.prototype.getValueInRange=function(e,t){if(void 0===t&&(t=r.EndOfLinePreference.TextDefined),e.isEmpty())return"";var n=this._getEndOfLine(t);return this._pieceTree.getValueInRange(e,n)},e.prototype.getValueLengthInRange=function(e,t){if(void 0===t&&(t=r.EndOfLinePreference.TextDefined),e.isEmpty())return 0;if(e.startLineNumber===e.endLineNumber)return e.endColumn-e.startColumn
;var n=this.getOffsetAt(e.startLineNumber,e.startColumn);return this.getOffsetAt(e.endLineNumber,e.endColumn)-n},e.prototype.getLength=function(){return this._pieceTree.getLength()},e.prototype.getLineCount=function(){return this._pieceTree.getLineCount()},e.prototype.getLinesContent=function(){return this._pieceTree.getLinesContent()},e.prototype.getLineContent=function(e){return this._pieceTree.getLineContent(e)},e.prototype.getLineCharCode=function(e,t){return this._pieceTree.getLineCharCode(e,t)},e.prototype.getLineLength=function(e){return this._pieceTree.getLineLength(e)},e.prototype.getLineMinColumn=function(e){return 1},e.prototype.getLineMaxColumn=function(e){return this.getLineLength(e)+1},e.prototype.getLineFirstNonWhitespaceColumn=function(e){var t=i.firstNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+1},e.prototype.getLineLastNonWhitespaceColumn=function(e){var t=i.lastNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+2},e.prototype._getEndOfLine=function(e){switch(e){
case r.EndOfLinePreference.LF:return"\n";case r.EndOfLinePreference.CRLF:return"\r\n";case r.EndOfLinePreference.TextDefined:return this.getEOL()}throw new Error("Unknown EOL preference")},e.prototype.setEOL=function(e){this._pieceTree.setEOL(e)},e.prototype.applyEdits=function(t,n){for(var o=this._mightContainRTL,s=this._mightContainNonBasicASCII,a=!0,l=[],u=0;u<t.length;u++){g=t[u];a&&g._isTracked&&(a=!1);var c=g.range;!o&&g.text&&(o=i.containsRTL(g.text)),!s&&g.text&&(s=!i.isBasicASCII(g.text)),l[u]={sortIndex:u,identifier:g.identifier,range:c,rangeOffset:this.getOffsetAt(c.startLineNumber,c.startColumn),rangeLength:this.getValueLengthInRange(c),lines:g.text?g.text.split(/\r\n|\r|\n/):null,forceMoveMarkers:g.forceMoveMarkers,isAutoWhitespaceEdit:g.isAutoWhitespaceEdit||!1}}l.sort(e._sortOpsAscending);for(var u=0,d=l.length-1;u<d;u++){var h=l[u].range.getEndPosition();if(l[u+1].range.getStartPosition().isBefore(h))throw new Error("Overlapping ranges are not allowed!")}a&&(l=this._reduceOperations(l))
;for(var p=e._getInverseEditRanges(l),f=[],u=0;u<l.length;u++){var g=l[u],m=p[u];if(n&&g.isAutoWhitespaceEdit&&g.range.isEmpty())for(S=m.startLineNumber;S<=m.endLineNumber;S++){var v="";S===m.startLineNumber&&(v=this.getLineContent(g.range.startLineNumber),-1!==i.firstNonWhitespaceIndex(v))||f.push({lineNumber:S,oldContent:v})}}for(var _=[],u=0;u<l.length;u++){var g=l[u],m=p[u];_[u]={sortIndex:g.sortIndex,identifier:g.identifier,range:m,text:this.getValueInRange(g.range),forceMoveMarkers:g.forceMoveMarkers}}_.sort(function(e,t){return e.sortIndex-t.sortIndex}),this._mightContainRTL=o,this._mightContainNonBasicASCII=s;var y=this._doApplyEdits(l),C=null;if(n&&f.length>0){f.sort(function(e,t){return t.lineNumber-e.lineNumber}),C=[];for(var u=0,b=f.length;u<b;u++){var S=f[u].lineNumber;if(!(u>0&&f[u-1].lineNumber===S)){var w=f[u].oldContent,E=this.getLineContent(S);0!==E.length&&E!==w&&-1===i.firstNonWhitespaceIndex(E)&&C.push(S)}}}return new r.ApplyEditsResult(_,y,C)},e.prototype._reduceOperations=function(e){
return e.length<1e3?e:[this._toSingleEditOperation(e)]},e.prototype._toSingleEditOperation=function(e){for(var t=!1,i=e[0].range,o=e[e.length-1].range,s=new n.Range(i.startLineNumber,i.startColumn,o.endLineNumber,o.endColumn),a=i.startLineNumber,l=i.startColumn,u=[],c=0,d=e.length;c<d;c++){var h=e[c],p=h.range;t=t||h.forceMoveMarkers;for(var f=a;f<p.startLineNumber;f++)f===a?u.push(this.getLineContent(f).substring(l-1)):(u.push("\n"),u.push(this.getLineContent(f)));if(p.startLineNumber===a?u.push(this.getLineContent(p.startLineNumber).substring(l-1,p.startColumn-1)):(u.push("\n"),u.push(this.getLineContent(p.startLineNumber).substring(0,p.startColumn-1))),h.lines)for(var g=0,m=h.lines.length;g<m;g++)0!==g&&u.push("\n"),u.push(h.lines[g]);a=h.range.endLineNumber,l=h.range.endColumn}return{sortIndex:0,identifier:e[0].identifier,range:s,rangeOffset:this.getOffsetAt(s.startLineNumber,s.startColumn),rangeLength:this.getValueLengthInRange(s,r.EndOfLinePreference.TextDefined),lines:u.join("").split("\n"),
forceMoveMarkers:t,isAutoWhitespaceEdit:!1}},e.prototype._doApplyEdits=function(t){t.sort(e._sortOpsDescending);for(var i=[],o=0;o<t.length;o++){var r=t[o],s=r.range.startLineNumber,a=r.range.startColumn,l=r.range.endLineNumber,u=r.range.endColumn;if(s!==l||a!==u||r.lines&&0!==r.lines.length){var c=l-s,d=r.lines?r.lines.length-1:0,h=Math.min(c,d),p=r.lines?r.lines.join(this.getEOL()):"";if(p?(this._pieceTree.delete(r.rangeOffset,r.rangeLength),this._pieceTree.insert(r.rangeOffset,p,!0)):this._pieceTree.delete(r.rangeOffset,r.rangeLength),h<d){for(var f=[],g=h+1;g<=d;g++)f.push(r.lines[g]);f[f.length-1]=this.getLineContent(s+d-1)}var m=new n.Range(s,a,l,u);i.push({range:m,rangeLength:r.rangeLength,text:p,rangeOffset:r.rangeOffset,forceMoveMarkers:r.forceMoveMarkers})}}return i},e.prototype.findMatchesLineByLine=function(e,t,n,i){return this._pieceTree.findMatchesLineByLine(e,t,n,i)},e.prototype.getPieceTree=function(){return this._pieceTree},e._getInverseEditRanges=function(e){
for(var t,i,o=[],r=null,s=0,a=e.length;s<a;s++){var l=e[s],u=void 0,c=void 0;r?r.range.endLineNumber===l.range.startLineNumber?(u=t,c=i+(l.range.startColumn-r.range.endColumn)):(u=t+(l.range.startLineNumber-r.range.endLineNumber),c=l.range.startColumn):(u=l.range.startLineNumber,c=l.range.startColumn);var d=void 0;if(l.lines&&l.lines.length>0){var h=l.lines.length,p=l.lines[0],f=l.lines[h-1];d=1===h?new n.Range(u,c,u,c+p.length):new n.Range(u,c,u+h-1,f.length+1)}else d=new n.Range(u,c,u,c);t=d.endLineNumber,i=d.endColumn,o.push(d),r=l}return o},e._sortOpsAscending=function(e,t){var i=n.Range.compareRangesUsingEnds(e.range,t.range);return 0===i?e.sortIndex-t.sortIndex:i},e._sortOpsDescending=function(e,t){var i=n.Range.compareRangesUsingEnds(e.range,t.range);return 0===i?t.sortIndex-e.sortIndex:-i},e}();t.PieceTreeTextBuffer=s}),define(t[504],n([0,1,9,28,500,151]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e,t,n,i,o,r,s,a){this._chunks=e,
this._bom=t,this._cr=n,this._lf=i,this._crlf=o,this._containsRTL=r,this._isBasicASCII=s,this._normalizeEOL=a}return e.prototype._getEOL=function(e){var t=this._cr+this._lf+this._crlf,n=this._cr+this._crlf;return 0===t?e===i.DefaultEndOfLine.LF?"\n":"\r\n":n>t/2?"\r\n":"\n"},e.prototype.create=function(e){var t=this._getEOL(e),n=this._chunks;if(this._normalizeEOL&&("\r\n"===t&&(this._cr>0||this._lf>0)||"\n"===t&&(this._cr>0||this._crlf>0)))for(var i=0,s=n.length;i<s;i++){var a=n[i].buffer.replace(/\r\n|\r|\n/g,t),l=r.createLineStartsFast(a);n[i]=new r.StringBuffer(a,l)}return new o.PieceTreeTextBuffer(n,this._bom,t,this._containsRTL,this._isBasicASCII,this._normalizeEOL)},e.prototype.getFirstLineText=function(e){return this._chunks[0].buffer.substr(0,100).split(/\r\n|\r|\n/)[0]},e}();t.PieceTreeTextBufferFactory=s;var a=function(){function e(){this.chunks=[],this.BOM="",this._hasPreviousChar=!1,this._previousChar=0,this._tmpLineStarts=[],this.cr=0,this.lf=0,this.crlf=0,this.containsRTL=!1,this.isBasicASCII=!0}
return e.prototype.acceptChunk=function(e){if(0!==e.length){0===this.chunks.length&&n.startsWithUTF8BOM(e)&&(this.BOM=n.UTF8_BOM_CHARACTER,e=e.substr(1));var t=e.charCodeAt(e.length-1);13===t||t>=55296&&t<=56319?(this._acceptChunk1(e.substr(0,e.length-1),!1),this._hasPreviousChar=!0,this._previousChar=t):(this._acceptChunk1(e,!1),this._hasPreviousChar=!1,this._previousChar=t)}},e.prototype._acceptChunk1=function(e,t){(t||0!==e.length)&&(this._hasPreviousChar?this._acceptChunk2(String.fromCharCode(this._previousChar)+e):this._acceptChunk2(e))},e.prototype._acceptChunk2=function(e){var t=r.createLineStarts(this._tmpLineStarts,e);this.chunks.push(new r.StringBuffer(e,t.lineStarts)),this.cr+=t.cr,this.lf+=t.lf,this.crlf+=t.crlf,this.isBasicASCII&&(this.isBasicASCII=t.isBasicASCII),this.isBasicASCII||this.containsRTL||(this.containsRTL=n.containsRTL(e))},e.prototype.finish=function(e){return void 0===e&&(e=!0),this._finish(),new s(this.chunks,this.BOM,this.cr,this.lf,this.crlf,this.containsRTL,this.isBasicASCII,e)
},e.prototype._finish=function(){if(0===this.chunks.length&&this._acceptChunk1("",!0),this._hasPreviousChar){this._hasPreviousChar=!1;var e=this.chunks[this.chunks.length-1];e.buffer+=String.fromCharCode(this._previousChar);var t=r.createLineStartsFast(e.buffer);e.lineStarts=t,13===this._previousChar&&this.cr++}},e}();t.PieceTreeTextBufferBuilder=a}),define(t[101],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.USUAL_WORD_SEPARATORS="`~!@#$%^&*()-=+[{]}\\|;:'\",.<>/?",t.DEFAULT_WORD_REGEXP=function(e){void 0===e&&(e="");for(var n="(-?\\d*\\.\\d\\w*)|([^",i=0;i<t.USUAL_WORD_SEPARATORS.length;i++)e.indexOf(t.USUAL_WORD_SEPARATORS[i])>=0||(n+="\\"+t.USUAL_WORD_SEPARATORS[i]);return n+="\\s]+)",new RegExp(n,"g")}(),t.ensureValidWordDefinition=function(e){var n=t.DEFAULT_WORD_REGEXP;if(e&&e instanceof RegExp)if(e.global)n=e;else{var i="g";e.ignoreCase&&(i+="i"),e.multiline&&(i+="m"),n=new RegExp(e.source,i)}return n.lastIndex=0,n},t.getWordAtText=function(e,t,n,i){
t.lastIndex=0;var o=t.exec(n);if(!o)return null;var r=o[0].indexOf(" ")>=0?function(e,t,n,i){var o=e-1-i;t.lastIndex=0;for(var r;r=t.exec(n);){if(r.index>o)return null;if(t.lastIndex>=o)return{word:r[0],startColumn:i+1+r.index,endColumn:i+1+t.lastIndex}}return null}(e,t,n,i):function(e,t,n,i){var o=e-1-i,r=n.lastIndexOf(" ",o-1)+1,s=n.indexOf(" ",o);-1===s&&(s=n.length),t.lastIndex=r;for(var a;a=t.exec(n);)if(a.index<=o&&t.lastIndex>=o)return{word:a[0],startColumn:i+1+a.index,endColumn:i+1+t.lastIndex};return null}(e,t,n,i);return t.lastIndex=0,r}}),define(t[511],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._languageIdentifier=e}return e.prototype.getId=function(){return this._languageIdentifier.language},e.prototype.getLanguageIdentifier=function(){return this._languageIdentifier},e}();t.FrankensteinMode=n}),define(t[61],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){
e[e.None=0]="None",e[e.Indent=1]="Indent",e[e.IndentOutdent=2]="IndentOutdent",e[e.Outdent=3]="Outdent"}(t.IndentAction||(t.IndentAction={}));var n=function(){function e(e){if(this.open=e.open,this.close=e.close,this._standardTokenMask=0,Array.isArray(e.notIn))for(var t=0,n=e.notIn.length;t<n;t++){switch(e.notIn[t]){case"string":this._standardTokenMask|=2;break;case"comment":this._standardTokenMask|=1;break;case"regex":this._standardTokenMask|=4}}}return e.prototype.isOK=function(e){return 0==(this._standardTokenMask&e)},e}();t.StandardAutoClosingPairConditional=n}),define(t[514],n([0,1,162]),function(e,t,n){"use strict";function i(e,t,o,r){if(Array.isArray(e)){for(var s=0,a=0,l=e;a<l.length;a++){var u=i(l[a],t,o,r);if(10===u)return u;u>s&&(s=u)}return s}if("string"==typeof e)return r?"*"===e?5:e===o?10:0:0;if(e){var c=e.language,d=e.pattern,h=e.scheme,p=e.hasAccessToAllModels;if(!r&&!p)return 0;s=0;if(h)if(h===t.scheme)s=10;else{if("*"!==h)return 0;s=5}if(c)if(c===o)s=10;else{if("*"!==c)return 0
;s=Math.max(s,5)}if(d){if(d!==t.fsPath&&!n.match(d,t.fsPath))return 0;s=10}return s}return 0}Object.defineProperty(t,"__esModule",{value:!0}),t.score=i}),define(t[521],n([0,1,86,102]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o;!function(e){e[e.Invalid=0]="Invalid",e[e.Start=1]="Start",e[e.H=2]="H",e[e.HT=3]="HT",e[e.HTT=4]="HTT",e[e.HTTP=5]="HTTP",e[e.F=6]="F",e[e.FI=7]="FI",e[e.FIL=8]="FIL",e[e.BeforeColon=9]="BeforeColon",e[e.AfterColon=10]="AfterColon",e[e.AlmostThere=11]="AlmostThere",e[e.End=12]="End",e[e.Accept=13]="Accept"}(o||(o={}));var r,s=function(){function e(e){for(var t=0,n=0,o=0,r=e.length;o<r;o++){var s=e[o],a=s[0],l=s[1],u=s[2];l>t&&(t=l),a>n&&(n=a),u>n&&(n=u)}t++,n++;for(var c=new i.Uint8Matrix(n,t,0),o=0,r=e.length;o<r;o++){var d=e[o],a=d[0],l=d[1],u=d[2];c.set(a,l,u)}this._states=c,this._maxCharCode=t}return e.prototype.nextState=function(e,t){return t<0||t>=this._maxCharCode?0:this._states.get(e,t)},e}(),a=null;!function(e){e[e.None=0]="None",
e[e.ForceTermination=1]="ForceTermination",e[e.CannotEndIn=2]="CannotEndIn"}(r||(r={}));var l=null,u=function(){function e(){}return e._createLink=function(e,t,n,i,o){var r=o-1;do{var s=t.charCodeAt(r);if(2!==e.get(s))break;r--}while(r>i);if(i>0){var a=t.charCodeAt(i-1),l=t.charCodeAt(r);(40===a&&41===l||91===a&&93===l||123===a&&125===l)&&r--}return{range:{startLineNumber:n,startColumn:i+1,endLineNumber:n,endColumn:r+2},url:t.substring(i,r+1)}},e.computeLinks=function(t){for(var i=(null===a&&(a=new s([[1,104,2],[1,72,2],[1,102,6],[1,70,6],[2,116,3],[2,84,3],[3,116,4],[3,84,4],[4,112,5],[4,80,5],[5,115,9],[5,83,9],[5,58,10],[6,105,7],[6,73,7],[7,108,8],[7,76,8],[8,101,9],[8,69,9],[9,58,10],[10,47,11],[11,47,12]])),a),o=function(){if(null===l){for(l=new n.CharacterClassifier(0),e=0;e<" \t<>'\"、。｡､，．：；？！＠＃＄％＆＊‘“〈《「『【〔（［｛｢｣｝］）〕】』」》〉”’｀～…".length;e++)l.set(" \t<>'\"、。｡､，．：；？！＠＃＄％＆＊‘“〈《「『【〔（［｛｢｣｝］）〕】』」》〉”’｀～…".charCodeAt(e),1);for(var e=0;e<".,;".length;e++)l.set(".,;".charCodeAt(e),2)}return l
}(),r=[],u=1,c=t.getLineCount();u<=c;u++){for(var d=t.getLineContent(u),h=d.length,p=0,f=0,g=0,m=1,v=!1,_=!1,y=!1;p<h;){var C=!1,b=d.charCodeAt(p);if(13===m){S=void 0;switch(b){case 40:v=!0,S=0;break;case 41:S=v?0:1;break;case 91:_=!0,S=0;break;case 93:S=_?0:1;break;case 123:y=!0,S=0;break;case 125:S=y?0:1;break;case 39:S=34===g||96===g?0:1;break;case 34:S=39===g||96===g?0:1;break;case 96:S=39===g||34===g?0:1;break;default:S=o.get(b)}1===S&&(r.push(e._createLink(o,d,u,f,p)),C=!0)}else if(12===m){var S;1===(S=o.get(b))?C=!0:m=13}else 0===(m=i.nextState(m,b))&&(C=!0);C&&(m=1,v=!1,_=!1,y=!1,f=p+1,g=b),p++}13===m&&r.push(e._createLink(o,d,u,f,h))}return r},e}();t.computeLinks=function(e){return e&&"function"==typeof e.getLineCount&&"function"==typeof e.getLineContent?u.computeLinks(e):[]}}),define(t[100],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createScopedLineTokens=function(e,t){
for(var i=e.getCount(),o=e.findTokenIndexAtOffset(t),r=e.getLanguageId(o),s=o;s+1<i&&e.getLanguageId(s+1)===r;)s++;for(var a=o;a>0&&e.getLanguageId(a-1)===r;)a--;return new n(e,r,a,s+1,e.getStartOffset(a),e.getEndOffset(s))};var n=function(){function e(e,t,n,i,o,r){this._actual=e,this.languageId=t,this._firstTokenIndex=n,this._lastTokenIndex=i,this.firstCharOffset=o,this._lastCharOffset=r}return e.prototype.getLineContent=function(){return this._actual.getLineContent().substring(this.firstCharOffset,this._lastCharOffset)},e.prototype.getTokenCount=function(){return this._lastTokenIndex-this._firstTokenIndex},e.prototype.findTokenIndexAtOffset=function(e){return this._actual.findTokenIndexAtOffset(e+this.firstCharOffset)-this._firstTokenIndex},e.prototype.getStandardTokenType=function(e){return this._actual.getStandardTokenType(e+this._firstTokenIndex)},e}();t.ScopedLineTokens=n;var i;!function(e){e[e.value=7]="value"}(i||(i={})),t.ignoreBracketsInToken=function(e){return 0!=(7&e)}}),
define(t[531],n([0,1,61]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){e.autoClosingPairs?this._autoClosingPairs=e.autoClosingPairs.map(function(e){return new n.StandardAutoClosingPairConditional(e)}):e.brackets?this._autoClosingPairs=e.brackets.map(function(e){return new n.StandardAutoClosingPairConditional({open:e[0],close:e[1]})}):this._autoClosingPairs=[],this._surroundingPairs=e.surroundingPairs||this._autoClosingPairs}return e.prototype.getAutoClosingPairs=function(){return this._autoClosingPairs},e.prototype.shouldAutoClosePair=function(e,t,n){if(0===t.getTokenCount())return!0;for(var i=t.findTokenIndexAtOffset(n-2),o=t.getStandardTokenType(i),r=0;r<this._autoClosingPairs.length;++r){var s=this._autoClosingPairs[r];if(s.open===e)return s.isOK(o)}return!1},e.prototype.getSurroundingPairs=function(){return this._surroundingPairs},e}();t.CharacterPairSupport=i}),define(t[535],n([0,1]),function(e,t){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.INCREASE_MASK=1]="INCREASE_MASK",e[e.DECREASE_MASK=2]="DECREASE_MASK",e[e.INDENT_NEXTLINE_MASK=4]="INDENT_NEXTLINE_MASK",e[e.UNINDENT_MASK=8]="UNINDENT_MASK"}(t.IndentConsts||(t.IndentConsts={}));var n=function(){function e(e){this._indentationRules=e}return e.prototype.shouldIncrease=function(e){return!!(this._indentationRules&&this._indentationRules.increaseIndentPattern&&this._indentationRules.increaseIndentPattern.test(e))},e.prototype.shouldDecrease=function(e){return!!(this._indentationRules&&this._indentationRules.decreaseIndentPattern&&this._indentationRules.decreaseIndentPattern.test(e))},e.prototype.shouldIndentNextLine=function(e){return!!(this._indentationRules&&this._indentationRules.indentNextLinePattern&&this._indentationRules.indentNextLinePattern.test(e))},e.prototype.shouldIgnore=function(e){return!!(this._indentationRules&&this._indentationRules.unIndentedLinePattern&&this._indentationRules.unIndentedLinePattern.test(e))},
e.prototype.getIndentMetadata=function(e){var t=0;return this.shouldIncrease(e)&&(t+=1),this.shouldDecrease(e)&&(t+=2),this.shouldIndentNextLine(e)&&(t+=4),this.shouldIgnore(e)&&(t+=8),t},e}();t.IndentRulesSupport=n}),define(t[543],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(){this._defaultValueSet=[["true","false"],["True","False"],["Private","Public","Friend","ReadOnly","Partial","Protected","WriteOnly"],["public","protected","private"]]}return e.prototype.navigateValueSet=function(e,t,n,i,o){if(e&&t){if(r=this.doNavigateValueSet(t,o))return{range:e,value:r}}if(n&&i){var r=this.doNavigateValueSet(i,o);if(r)return{range:n,value:r}}return null},e.prototype.doNavigateValueSet=function(e,t){var n=this.numberReplace(e,t);return null!==n?n:this.textReplace(e,t)},e.prototype.numberReplace=function(e,t){var n=Math.pow(10,e.length-(e.lastIndexOf(".")+1)),i=Number(e),o=parseFloat(e);return isNaN(i)||isNaN(o)||i!==o?null:0!==i||t?(i=Math.floor(i*n),
i+=t?n:-n,String(i/n)):null},e.prototype.textReplace=function(e,t){return this.valueSetsReplace(this._defaultValueSet,e,t)},e.prototype.valueSetsReplace=function(e,t,n){for(var i=null,o=0,r=e.length;null===i&&o<r;o++)i=this.valueSetReplace(e[o],t,n);return i},e.prototype.valueSetReplace=function(e,t,n){var i=e.indexOf(t);return i>=0?((i+=n?1:-1)<0?i=e.length-1:i%=e.length,e[i]):null},e.INSTANCE=new e,e}();t.BasicInplaceReplace=n}),define(t[550],n([0,1,12,9,61]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(t){(t=t||{}).brackets=t.brackets||[["(",")"],["{","}"],["[","]"]],this._brackets=t.brackets.map(function(t){return{open:t[0],openRegExp:e._createOpenBracketRegExp(t[0]),close:t[1],closeRegExp:e._createCloseBracketRegExp(t[1])}}),this._regExpRules=t.regExpRules||[]}return e.prototype.onEnter=function(e,t,n){for(var i=0,r=this._regExpRules.length;i<r;i++){var s=this._regExpRules[i];if(s.beforeText.test(t)){if(!s.afterText)return s.action
;if(s.afterText.test(n))return s.action}}if(t.length>0&&n.length>0)for(var i=0,r=this._brackets.length;i<r;i++){if((a=this._brackets[i]).openRegExp.test(t)&&a.closeRegExp.test(n))return{indentAction:o.IndentAction.IndentOutdent}}if(t.length>0)for(var i=0,r=this._brackets.length;i<r;i++){var a=this._brackets[i];if(a.openRegExp.test(t))return{indentAction:o.IndentAction.Indent}}return null},e._createOpenBracketRegExp=function(t){var n=i.escapeRegExpCharacters(t);return/\B/.test(n.charAt(0))||(n="\\b"+n),n+="\\s*$",e._safeRegExp(n)},e._createCloseBracketRegExp=function(t){var n=i.escapeRegExpCharacters(t);return/\B/.test(n.charAt(n.length-1))||(n+="\\b"),n="^\\s*"+n,e._safeRegExp(n)},e._safeRegExp=function(e){try{return new RegExp(e)}catch(e){return n.onUnexpectedError(e),null}},e}();t.OnEnterSupport=r}),define(t[99],n([0,1,9,3]),function(e,t,n,i){"use strict";function o(e,t){var n={};return function(i){var o=e(i);return n.hasOwnProperty(o)||(n[o]=t(i)),n[o]}}function r(e){
var t="("+e.map(n.escapeRegExpCharacters).join(")|(")+")";return n.createRegExp(t,!0)}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){return function(e,t,n,i,o){this.languageIdentifier=e,this.open=t,this.close=n,this.forwardRegex=i,this.reversedRegex=o}}();t.RichEditBracket=s;var a=function(){return function(e,t){var n=this;this.brackets=t.map(function(t){return new s(e,t[0],t[1],l({open:t[0],close:t[1]}),u({open:t[0],close:t[1]}))}),this.forwardRegex=c(this.brackets),this.reversedRegex=d(this.brackets),this.textIsBracket={},this.textIsOpenBracket={};var i=0;this.brackets.forEach(function(e){n.textIsBracket[e.open.toLowerCase()]=e,n.textIsBracket[e.close.toLowerCase()]=e,n.textIsOpenBracket[e.open.toLowerCase()]=!0,n.textIsOpenBracket[e.close.toLowerCase()]=!1,i=Math.max(i,e.open.length),i=Math.max(i,e.close.length)}),this.maxBracketLength=i}}();t.RichEditBrackets=a;var l=o(function(e){return e.open+";"+e.close},function(e){return r([e.open,e.close])}),u=o(function(e){
return e.open+";"+e.close},function(e){return r([h(e.open),h(e.close)])}),c=o(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(e.open),t.push(e.close)}),r(t)}),d=o(function(e){return e.map(function(e){return e.open+";"+e.close}).join(";")},function(e){var t=[];return e.forEach(function(e){t.push(h(e.open)),t.push(h(e.close))}),r(t)}),h=function(){var e=null,t=null;return function(n){return e!==n&&(t=function(e){for(var t="",n=e.length-1;n>=0;n--)t+=e.charAt(n);return t}(e=n)),t}}(),p=function(){function e(){}return e._findPrevBracketInText=function(e,t,n,o){var r=n.match(e);if(!r)return null;var s=n.length-r.index,a=r[0].length,l=o+s;return new i.Range(t,l-a+1,t,l+1)},e.findPrevBracketInToken=function(e,t,n,i,o){var r=h(n).substring(n.length-o,n.length-i);return this._findPrevBracketInText(e,t,r,i)},e.findNextBracketInText=function(e,t,n,o){var r=n.match(e);if(!r)return null;var s=r.index,a=r[0].length,l=o+s
;return new i.Range(t,l+1,t,l+1+a)},e.findNextBracketInToken=function(e,t,n,i,o){var r=n.substring(i,o);return this.findNextBracketInText(e,t,r,i)},e}();t.BracketsUtils=p}),define(t[553],n([0,1,100,99,61]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n){n=n||{},this._richEditBrackets=e,this._complexAutoClosePairs=t.filter(function(e){return e.open.length>1&&!!e.close}).map(function(e){return new o.StandardAutoClosingPairConditional(e)}),n.docComment&&this._complexAutoClosePairs.push(new o.StandardAutoClosingPairConditional({open:n.docComment.open,close:n.docComment.close}))}return e.prototype.getElectricCharacters=function(){var e=[];if(this._richEditBrackets)for(var t=0,n=this._richEditBrackets.brackets.length;t<n;t++){var i=this._richEditBrackets.brackets[t],o=i.close.charAt(i.close.length-1);e.push(o)}for(var r=0,s=this._complexAutoClosePairs;r<s.length;r++){var a=s[r];e.push(a.open.charAt(a.open.length-1))}
return e=e.filter(function(e,t,n){return n.indexOf(e)===t})},e.prototype.onElectricCharacter=function(e,t,n){return this._onElectricAutoClose(e,t,n)||this._onElectricAutoIndent(e,t,n)},e.prototype._onElectricAutoIndent=function(e,t,o){if(!this._richEditBrackets||0===this._richEditBrackets.brackets.length)return null;var r=t.findTokenIndexAtOffset(o-1);if(n.ignoreBracketsInToken(t.getStandardTokenType(r)))return null;var s=this._richEditBrackets.reversedRegex,a=t.getLineContent().substring(0,o-1)+e,l=i.BracketsUtils.findPrevBracketInToken(s,1,a,0,a.length);if(!l)return null;var u=a.substring(l.startColumn-1,l.endColumn-1);u=u.toLowerCase();if(this._richEditBrackets.textIsOpenBracket[u])return null;var c=a.substring(0,l.startColumn-1);return/^\s*$/.test(c)?{matchOpenBracket:u}:null},e.prototype._onElectricAutoClose=function(e,t,n){if(!this._complexAutoClosePairs.length)return null;for(var i=t.getLineContent(),o=0,r=this._complexAutoClosePairs.length;o<r;o++){var s=this._complexAutoClosePairs[o]
;if(e===s.open.charAt(s.open.length-1)){if(i.substring(i.length-s.open.length+1)+e===s.open){var a=t.findTokenIndexAtOffset(n-1),l=t.getStandardTokenType(a);if(s.isOK(l)&&!(i.indexOf(s.close,n-1)>=0))return{appendText:s.close}}}}return null},e}();t.BracketElectricCharacterSupport=r}),define(t[43],n([0,1,531,553,550,535,99,4,12,9,101,100,3,61]),function(e,t,n,i,o,r,s,a,l,u,c,d,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(t,i,o){this._languageIdentifier=t,this._brackets=null,this._electricCharacter=null;var s=null;i&&(s=i._conf),this._conf=e._mergeConf(s,o),this.onEnter=e._handleOnEnter(this._conf),this.comments=e._handleComments(this._conf),this.characterPair=new n.CharacterPairSupport(this._conf),this.wordDefinition=this._conf.wordPattern||c.DEFAULT_WORD_REGEXP,this.indentationRules=this._conf.indentationRules,this._conf.indentationRules&&(this.indentRulesSupport=new r.IndentRulesSupport(this._conf.indentationRules)),this.foldingRules=this._conf.folding||{}}
return Object.defineProperty(e.prototype,"brackets",{get:function(){return!this._brackets&&this._conf.brackets&&(this._brackets=new s.RichEditBrackets(this._languageIdentifier,this._conf.brackets)),this._brackets},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"electricCharacter",{get:function(){if(!this._electricCharacter){var e=[];this._conf.autoClosingPairs?e=this._conf.autoClosingPairs:this._conf.brackets&&(e=this._conf.brackets.map(function(e){return{open:e[0],close:e[1]}})),this._electricCharacter=new i.BracketElectricCharacterSupport(this.brackets,e,this._conf.__electricCharacterSupport)}return this._electricCharacter},enumerable:!0,configurable:!0}),e._mergeConf=function(e,t){return{comments:e?t.comments||e.comments:t.comments,brackets:e?t.brackets||e.brackets:t.brackets,wordPattern:e?t.wordPattern||e.wordPattern:t.wordPattern,indentationRules:e?t.indentationRules||e.indentationRules:t.indentationRules,onEnterRules:e?t.onEnterRules||e.onEnterRules:t.onEnterRules,
autoClosingPairs:e?t.autoClosingPairs||e.autoClosingPairs:t.autoClosingPairs,surroundingPairs:e?t.surroundingPairs||e.surroundingPairs:t.surroundingPairs,folding:e?t.folding||e.folding:t.folding,__electricCharacterSupport:e?t.__electricCharacterSupport||e.__electricCharacterSupport:t.__electricCharacterSupport}},e._handleOnEnter=function(e){var t={},n=!0;return e.brackets&&(n=!1,t.brackets=e.brackets),e.indentationRules&&(n=!1),e.onEnterRules&&(n=!1,t.regExpRules=e.onEnterRules),n?null:new o.OnEnterSupport(t)},e._handleComments=function(e){var t=e.comments;if(!t)return null;var n={};if(t.lineComment&&(n.lineCommentToken=t.lineComment),t.blockComment){var i=t.blockComment,o=i[0],r=i[1];n.blockCommentStartToken=o,n.blockCommentEndToken=r}return n},e}();t.RichEditSupport=f;var g=function(){return function(){}}();t.LanguageConfigurationChangeEvent=g;var m=function(){function e(){this._onDidChange=new a.Emitter,this.onDidChange=this._onDidChange.event,this._entries=[]}return e.prototype.register=function(e,t){
var n=this,i=this._getRichEditSupport(e.id),o=new f(e,i,t);return this._entries[e.id]=o,this._onDidChange.fire({languageIdentifier:e}),{dispose:function(){n._entries[e.id]===o&&(n._entries[e.id]=i,n._onDidChange.fire({languageIdentifier:e}))}}},e.prototype._getRichEditSupport=function(e){return this._entries[e]||null},e.prototype.getIndentationRules=function(e){var t=this._entries[e];return t?t.indentationRules||null:null},e.prototype._getElectricCharacterSupport=function(e){var t=this._getRichEditSupport(e);return t?t.electricCharacter||null:null},e.prototype.getElectricCharacters=function(e){var t=this._getElectricCharacterSupport(e);return t?t.getElectricCharacters():[]},e.prototype.onElectricCharacter=function(e,t,n){var i=d.createScopedLineTokens(t,n-1),o=this._getElectricCharacterSupport(i.languageId);return o?o.onElectricCharacter(e,i,n-i.firstCharOffset):null},e.prototype.getComments=function(e){var t=this._getRichEditSupport(e);return t?t.comments||null:null},
e.prototype._getCharacterPairSupport=function(e){var t=this._getRichEditSupport(e);return t?t.characterPair||null:null},e.prototype.getAutoClosingPairs=function(e){var t=this._getCharacterPairSupport(e);return t?t.getAutoClosingPairs():[]},e.prototype.getSurroundingPairs=function(e){var t=this._getCharacterPairSupport(e);return t?t.getSurroundingPairs():[]},e.prototype.shouldAutoClosePair=function(e,t,n){var i=d.createScopedLineTokens(t,n-1),o=this._getCharacterPairSupport(i.languageId);return!!o&&o.shouldAutoClosePair(e,i,n-i.firstCharOffset)},e.prototype.getWordDefinition=function(e){var t=this._getRichEditSupport(e);return t?c.ensureValidWordDefinition(t.wordDefinition||null):c.ensureValidWordDefinition(null)},e.prototype.getFoldingRules=function(e){var t=this._getRichEditSupport(e);return t?t.foldingRules:{}},e.prototype.getIndentRulesSupport=function(e){var t=this._getRichEditSupport(e);return t?t.indentRulesSupport||null:null},e.prototype.getPrecedingValidLine=function(e,t,n){
var i=e.getLanguageIdAtPosition(t,0);if(t>1){var o=t-1,r=-1;for(o=t-1;o>=1;o--){if(e.getLanguageIdAtPosition(o,0)!==i)return r;var s=e.getLineContent(o);if(!n.shouldIgnore(s)&&!/^\s+$/.test(s)&&""!==s)return o;r=o}}return-1},e.prototype.getInheritIndentForLine=function(e,t,n){void 0===n&&(n=!0);var i=this.getIndentRulesSupport(e.getLanguageIdentifier().id);if(!i)return null;if(t<=1)return{indentation:"",action:null};var o=this.getPrecedingValidLine(e,t,i);if(o<0)return null;if(o<1)return{indentation:"",action:null};var r=e.getLineContent(o);if(i.shouldIncrease(r)||i.shouldIndentNextLine(r))return{indentation:u.getLeadingWhitespace(r),action:p.IndentAction.Indent,line:o};if(i.shouldDecrease(r))return{indentation:u.getLeadingWhitespace(r),action:null,line:o};if(1===o)return{indentation:u.getLeadingWhitespace(e.getLineContent(o)),action:null,line:o};var s=o-1,a=i.getIndentMetadata(e.getLineContent(s));if(!(3&a)&&4&a){for(var l=0,c=s-1;c>0;c--)if(!i.shouldIndentNextLine(e.getLineContent(c))){l=c;break}return{
indentation:u.getLeadingWhitespace(e.getLineContent(l+1)),action:null,line:l+1}}if(n)return{indentation:u.getLeadingWhitespace(e.getLineContent(o)),action:null,line:o};for(c=o;c>0;c--){var d=e.getLineContent(c);if(i.shouldIncrease(d))return{indentation:u.getLeadingWhitespace(d),action:p.IndentAction.Indent,line:c};if(i.shouldIndentNextLine(d)){for(var l=0,h=c-1;h>0;h--)if(!i.shouldIndentNextLine(e.getLineContent(c))){l=h;break}return{indentation:u.getLeadingWhitespace(e.getLineContent(l+1)),action:null,line:l+1}}if(i.shouldDecrease(d))return{indentation:u.getLeadingWhitespace(d),action:null,line:c}}return{indentation:u.getLeadingWhitespace(e.getLineContent(1)),action:null,line:1}},e.prototype.getGoodIndentForLine=function(e,t,n,i){var o=this.getIndentRulesSupport(t);if(!o)return null;var r=this.getInheritIndentForLine(e,n),s=e.getLineContent(n);if(r){var a=r.line;if(void 0!==a){var c=this._getOnEnterSupport(t),d=null;try{d=c.onEnter("",e.getLineContent(a),"")}catch(e){l.onUnexpectedError(e)}if(d){
var h=u.getLeadingWhitespace(e.getLineContent(a));return d.removeText&&(h=h.substring(0,h.length-d.removeText)),d.indentAction===p.IndentAction.Indent||d.indentAction===p.IndentAction.IndentOutdent?h=i.shiftIndent(h):d.indentAction===p.IndentAction.Outdent&&(h=i.unshiftIndent(h)),o.shouldDecrease(s)&&(h=i.unshiftIndent(h)),d.appendText&&(h+=d.appendText),u.getLeadingWhitespace(h)}}return o.shouldDecrease(s)?r.action===p.IndentAction.Indent?r.indentation:i.unshiftIndent(r.indentation):r.action===p.IndentAction.Indent?i.shiftIndent(r.indentation):r.indentation}return null},e.prototype.getIndentForEnter=function(e,t,n,i){e.forceTokenization(t.startLineNumber);var o,r,s=e.getLineTokens(t.startLineNumber),a=d.createScopedLineTokens(s,t.startColumn-1),l=a.getLineContent(),c=!1;if(a.firstCharOffset>0&&s.getLanguageId(0)!==a.languageId?(c=!0,o=l.substr(0,t.startColumn-1-a.firstCharOffset)):o=s.getLineContent().substring(0,t.startColumn-1),t.isEmpty())r=l.substr(t.startColumn-1-a.firstCharOffset);else{
r=this.getScopedLineTokens(e,t.endLineNumber,t.endColumn).getLineContent().substr(t.endColumn-1-a.firstCharOffset)}var h=this.getIndentRulesSupport(a.languageId);if(!h)return null;var f=o,g=u.getLeadingWhitespace(o);if(!i&&!c){var m=this.getInheritIndentForLine(e,t.startLineNumber);h.shouldDecrease(o)&&m&&(g=m.indentation,m.action!==p.IndentAction.Indent&&(g=n.unshiftIndent(g))),f=g+u.ltrim(u.ltrim(o," "),"\t")}var v={getLineTokens:function(t){return e.getLineTokens(t)},getLanguageIdentifier:function(){return e.getLanguageIdentifier()},getLanguageIdAtPosition:function(t,n){return e.getLanguageIdAtPosition(t,n)},getLineContent:function(n){return n===t.startLineNumber?f:e.getLineContent(n)}},_=u.getLeadingWhitespace(s.getLineContent()),y=this.getInheritIndentForLine(v,t.startLineNumber+1);if(!y){var C=c?_:g;return{beforeEnter:C,afterEnter:C}}var b=c?_:y.indentation;return y.action===p.IndentAction.Indent&&(b=n.shiftIndent(b)),h.shouldDecrease(r)&&(b=n.unshiftIndent(b)),{beforeEnter:c?_:g,afterEnter:b}},
e.prototype.getIndentActionForType=function(e,t,n,i){var o=this.getScopedLineTokens(e,t.startLineNumber,t.startColumn),r=this.getIndentRulesSupport(o.languageId);if(!r)return null;var s,a=o.getLineContent(),l=a.substr(0,t.startColumn-1-o.firstCharOffset);if(t.isEmpty())s=a.substr(t.startColumn-1-o.firstCharOffset);else{s=this.getScopedLineTokens(e,t.endLineNumber,t.endColumn).getLineContent().substr(t.endColumn-1-o.firstCharOffset)}if(!r.shouldDecrease(l+s)&&r.shouldDecrease(l+n+s)){var u=this.getInheritIndentForLine(e,t.startLineNumber,!1);if(!u)return null;var c=u.indentation;return u.action!==p.IndentAction.Indent&&(c=i.unshiftIndent(c)),c}return null},e.prototype.getIndentMetadata=function(e,t){var n=this.getIndentRulesSupport(e.getLanguageIdentifier().id);return n?t<1||t>e.getLineCount()?null:n.getIndentMetadata(e.getLineContent(t)):null},e.prototype._getOnEnterSupport=function(e){var t=this._getRichEditSupport(e);return t?t.onEnter||null:null},e.prototype.getRawEnterActionAtPosition=function(e,t,n){
var i=this.getEnterAction(e,new h.Range(t,n,t,n));return i?i.enterAction:null},e.prototype.getEnterAction=function(e,t){var n=this.getIndentationAtPosition(e,t.startLineNumber,t.startColumn),i=this.getScopedLineTokens(e,t.startLineNumber,t.startColumn),o=this._getOnEnterSupport(i.languageId);if(!o)return null;var r,s=i.getLineContent(),a=s.substr(0,t.startColumn-1-i.firstCharOffset);if(t.isEmpty())r=s.substr(t.startColumn-1-i.firstCharOffset);else{r=this.getScopedLineTokens(e,t.endLineNumber,t.endColumn).getLineContent().substr(t.endColumn-1-i.firstCharOffset)}var u=t.startLineNumber,c="";if(u>1&&0===i.firstCharOffset){var d=this.getScopedLineTokens(e,u-1);d.languageId===i.languageId&&(c=d.getLineContent())}var h=null;try{h=o.onEnter(c,a,r)}catch(e){l.onUnexpectedError(e)}return h?(h.appendText||(h.indentAction===p.IndentAction.Indent||h.indentAction===p.IndentAction.IndentOutdent?h.appendText="\t":h.appendText=""),h.removeText&&(n=n.substring(0,n.length-h.removeText)),{enterAction:h,indentation:n}):null},
e.prototype.getIndentationAtPosition=function(e,t,n){var i=e.getLineContent(t),o=u.getLeadingWhitespace(i);return o.length>n-1&&(o=o.substring(0,n-1)),o},e.prototype.getScopedLineTokens=function(e,t,n){e.forceTokenization(t);var i=e.getLineTokens(t),o=isNaN(n)?e.getLineMaxColumn(t)-1:n-1;return d.createScopedLineTokens(i,o)},e.prototype.getBracketsSupport=function(e){var t=this._getRichEditSupport(e);return t?t.brackets||null:null},e}();t.LanguageConfigurationRegistryImpl=m,t.LanguageConfigurationRegistry=new m}),define(t[555],n([0,1,27]),function(e,t,n){"use strict";function i(e){if(!e||!Array.isArray(e))return[];for(var t=[],n=0,i=0,o=e.length;i<o;i++){var r=e[i],s=-1;if("string"==typeof r.fontStyle){s=0;for(var l=r.fontStyle.split(" "),u=0,c=l.length;u<c;u++){switch(l[u]){case"italic":s|=1;break;case"bold":s|=2;break;case"underline":s|=4}}}var d=null;"string"==typeof r.foreground&&(d=r.foreground);var h=null;"string"==typeof r.background&&(h=r.background),t[n++]=new a(r.token||"",i,s,d,h)}return t}
function o(e){e.sort(function(e,t){var n=s(e.token,t.token);return 0!==n?n:e.index-t.index});for(var t=0,n="000000",i="ffffff";e.length>=1&&""===e[0].token;){var o=e.shift();-1!==o.fontStyle&&(t=o.fontStyle),null!==o.foreground&&(n=o.foreground),null!==o.background&&(i=o.background)}for(var r=new l,a=new d(t,r.getId(n),r.getId(i)),c=new p(a),h=0,f=e.length;h<f;h++){var g=e[h];c.insert(g.token,g.fontStyle,r.getId(g.foreground),r.getId(g.background))}return new u(r,c)}function r(e){var t=e.match(c);if(!t)return 0;switch(t[1]){case"comment":return 1;case"string":return 2;case"regex":return 4}throw new Error("Unexpected match for standard token type!")}function s(e,t){return e<t?-1:e>t?1:0}Object.defineProperty(t,"__esModule",{value:!0});var a=function(){return function(e,t,n,i,o){this.token=e,this.index=t,this.fontStyle=n,this.foreground=i,this.background=o}}();t.ParsedTokenThemeRule=a,t.parseTokenTheme=i;var l=function(){function e(){this._lastColorId=0,this._id2color=[],this._color2id=new Map}
return e.prototype.getId=function(e){if(null===e)return 0;if(e=e.toUpperCase(),!/^[0-9A-F]{6}$/.test(e))throw new Error("Illegal color name: "+e);var t=this._color2id.get(e);return t||(t=++this._lastColorId,this._color2id.set(e,t),this._id2color[t]=n.Color.fromHex("#"+e),t)},e.prototype.getColorMap=function(){return this._id2color.slice(0)},e}();t.ColorMap=l;var u=function(){function e(e,t){this._colorMap=e,this._root=t,this._cache=new Map}return e.createFromRawTokenTheme=function(e){return this.createFromParsedTokenTheme(i(e))},e.createFromParsedTokenTheme=function(e){return o(e)},e.prototype.getColorMap=function(){return this._colorMap.getColorMap()},e.prototype.getThemeTrieElement=function(){return this._root.toExternalThemeTrieElement()},e.prototype._match=function(e){return this._root.match(e)},e.prototype.match=function(e,t){var n=this._cache.get(t);if(void 0===n){var i=this._match(t),o=r(t);n=(i.metadata|o<<8)>>>0,this._cache.set(t,n)}return(n|e<<0)>>>0},e}();t.TokenTheme=u
;var c=/\b(comment|string|regex)\b/;t.toStandardTokenType=r,t.strcmp=s;var d=function(){function e(e,t,n){this._fontStyle=e,this._foreground=t,this._background=n,this.metadata=(this._fontStyle<<11|this._foreground<<14|this._background<<23)>>>0}return e.prototype.clone=function(){return new e(this._fontStyle,this._foreground,this._background)},e.prototype.acceptOverwrite=function(e,t,n){-1!==e&&(this._fontStyle=e),0!==t&&(this._foreground=t),0!==n&&(this._background=n),this.metadata=(this._fontStyle<<11|this._foreground<<14|this._background<<23)>>>0},e}();t.ThemeTrieElementRule=d;var h=function(){return function(e,t){this.mainRule=e,this.children=t||Object.create(null)}}();t.ExternalThemeTrieElement=h;var p=function(){function e(e){this._mainRule=e,this._children=new Map}return e.prototype.toExternalThemeTrieElement=function(){var e=Object.create(null);return this._children.forEach(function(t,n){e[n]=t.toExternalThemeTrieElement()}),new h(this._mainRule,e)},e.prototype.match=function(e){
if(""===e)return this._mainRule;var t,n,i=e.indexOf(".");-1===i?(t=e,n=""):(t=e.substring(0,i),n=e.substring(i+1));var o=this._children.get(t);return void 0!==o?o.match(n):this._mainRule},e.prototype.insert=function(t,n,i,o){if(""!==t){var r,s,a=t.indexOf(".");-1===a?(r=t,s=""):(r=t.substring(0,a),s=t.substring(a+1));var l=this._children.get(r);void 0===l&&(l=new e(this._mainRule.clone()),this._children.set(r,l)),l.insert(s,n,i,o)}else this._mainRule.acceptOverwrite(n,i,o)},e}();t.ThemeTrieElement=p,t.generateTokensCSSForColorMap=function(e){for(var t=[],n=1,i=e.length;n<i;n++){var o=e[n];t[n]=".mtk"+n+" { color: "+o+"; }"}return t.push(".mtki { font-style: italic; }"),t.push(".mtkb { font-weight: bold; }"),t.push(".mtku { text-decoration: underline; }"),t.join("\n")}}),define(t[560],n([0,1,4]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(){this._onDidChange=new n.Emitter,this.onDidChange=this._onDidChange.event,this._map=Object.create(null),
this._colorMap=null}return e.prototype.fire=function(e){this._onDidChange.fire({changedLanguages:e,changedColorMap:!1})},e.prototype.register=function(e,t){var n=this;return this._map[e]=t,this.fire([e]),{dispose:function(){n._map[e]===t&&(delete n._map[e],n.fire([e]))}}},e.prototype.get=function(e){return this._map[e]||null},e.prototype.setColorMap=function(e){this._colorMap=e,this._onDidChange.fire({changedLanguages:Object.keys(this._map),changedColorMap:!0})},e.prototype.getColorMap=function(){return this._colorMap},e.prototype.getDefaultBackground=function(){return this._colorMap[2]},e}();t.TokenizationRegistryImpl=i}),define(t[159],n([0,1,4,37,13,3,20,8,128,94,29]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(d=t.Severity||(t.Severity={}));var h;!function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"
}(h=t.MarkerSeverity||(t.MarkerSeverity={}));var p=function(){function e(){}return e.chord=function(e,t){return i.KeyChord(e,t)},e.CtrlCmd=2048,e.Shift=1024,e.Alt=512,e.WinCtrl=256,e}();t.KeyMod=p;var f;!function(e){e[e.Unknown=0]="Unknown",e[e.Backspace=1]="Backspace",e[e.Tab=2]="Tab",e[e.Enter=3]="Enter",e[e.Shift=4]="Shift",e[e.Ctrl=5]="Ctrl",e[e.Alt=6]="Alt",e[e.PauseBreak=7]="PauseBreak",e[e.CapsLock=8]="CapsLock",e[e.Escape=9]="Escape",e[e.Space=10]="Space",e[e.PageUp=11]="PageUp",e[e.PageDown=12]="PageDown",e[e.End=13]="End",e[e.Home=14]="Home",e[e.LeftArrow=15]="LeftArrow",e[e.UpArrow=16]="UpArrow",e[e.RightArrow=17]="RightArrow",e[e.DownArrow=18]="DownArrow",e[e.Insert=19]="Insert",e[e.Delete=20]="Delete",e[e.KEY_0=21]="KEY_0",e[e.KEY_1=22]="KEY_1",e[e.KEY_2=23]="KEY_2",e[e.KEY_3=24]="KEY_3",e[e.KEY_4=25]="KEY_4",e[e.KEY_5=26]="KEY_5",e[e.KEY_6=27]="KEY_6",e[e.KEY_7=28]="KEY_7",e[e.KEY_8=29]="KEY_8",e[e.KEY_9=30]="KEY_9",e[e.KEY_A=31]="KEY_A",e[e.KEY_B=32]="KEY_B",e[e.KEY_C=33]="KEY_C",
e[e.KEY_D=34]="KEY_D",e[e.KEY_E=35]="KEY_E",e[e.KEY_F=36]="KEY_F",e[e.KEY_G=37]="KEY_G",e[e.KEY_H=38]="KEY_H",e[e.KEY_I=39]="KEY_I",e[e.KEY_J=40]="KEY_J",e[e.KEY_K=41]="KEY_K",e[e.KEY_L=42]="KEY_L",e[e.KEY_M=43]="KEY_M",e[e.KEY_N=44]="KEY_N",e[e.KEY_O=45]="KEY_O",e[e.KEY_P=46]="KEY_P",e[e.KEY_Q=47]="KEY_Q",e[e.KEY_R=48]="KEY_R",e[e.KEY_S=49]="KEY_S",e[e.KEY_T=50]="KEY_T",e[e.KEY_U=51]="KEY_U",e[e.KEY_V=52]="KEY_V",e[e.KEY_W=53]="KEY_W",e[e.KEY_X=54]="KEY_X",e[e.KEY_Y=55]="KEY_Y",e[e.KEY_Z=56]="KEY_Z",e[e.Meta=57]="Meta",e[e.ContextMenu=58]="ContextMenu",e[e.F1=59]="F1",e[e.F2=60]="F2",e[e.F3=61]="F3",e[e.F4=62]="F4",e[e.F5=63]="F5",e[e.F6=64]="F6",e[e.F7=65]="F7",e[e.F8=66]="F8",e[e.F9=67]="F9",e[e.F10=68]="F10",e[e.F11=69]="F11",e[e.F12=70]="F12",e[e.F13=71]="F13",e[e.F14=72]="F14",e[e.F15=73]="F15",e[e.F16=74]="F16",e[e.F17=75]="F17",e[e.F18=76]="F18",e[e.F19=77]="F19",e[e.NumLock=78]="NumLock",e[e.ScrollLock=79]="ScrollLock",e[e.US_SEMICOLON=80]="US_SEMICOLON",e[e.US_EQUAL=81]="US_EQUAL",
e[e.US_COMMA=82]="US_COMMA",e[e.US_MINUS=83]="US_MINUS",e[e.US_DOT=84]="US_DOT",e[e.US_SLASH=85]="US_SLASH",e[e.US_BACKTICK=86]="US_BACKTICK",e[e.US_OPEN_SQUARE_BRACKET=87]="US_OPEN_SQUARE_BRACKET",e[e.US_BACKSLASH=88]="US_BACKSLASH",e[e.US_CLOSE_SQUARE_BRACKET=89]="US_CLOSE_SQUARE_BRACKET",e[e.US_QUOTE=90]="US_QUOTE",e[e.OEM_8=91]="OEM_8",e[e.OEM_102=92]="OEM_102",e[e.NUMPAD_0=93]="NUMPAD_0",e[e.NUMPAD_1=94]="NUMPAD_1",e[e.NUMPAD_2=95]="NUMPAD_2",e[e.NUMPAD_3=96]="NUMPAD_3",e[e.NUMPAD_4=97]="NUMPAD_4",e[e.NUMPAD_5=98]="NUMPAD_5",e[e.NUMPAD_6=99]="NUMPAD_6",e[e.NUMPAD_7=100]="NUMPAD_7",e[e.NUMPAD_8=101]="NUMPAD_8",e[e.NUMPAD_9=102]="NUMPAD_9",e[e.NUMPAD_MULTIPLY=103]="NUMPAD_MULTIPLY",e[e.NUMPAD_ADD=104]="NUMPAD_ADD",e[e.NUMPAD_SEPARATOR=105]="NUMPAD_SEPARATOR",e[e.NUMPAD_SUBTRACT=106]="NUMPAD_SUBTRACT",e[e.NUMPAD_DECIMAL=107]="NUMPAD_DECIMAL",e[e.NUMPAD_DIVIDE=108]="NUMPAD_DIVIDE",e[e.KEY_IN_COMPOSITION=109]="KEY_IN_COMPOSITION",e[e.ABNT_C1=110]="ABNT_C1",e[e.ABNT_C2=111]="ABNT_C2",
e[e.MAX_VALUE=112]="MAX_VALUE"}(f=t.KeyCode||(t.KeyCode={})),t.createMonacoBaseAPI=function(){return{editor:void 0,languages:void 0,CancellationTokenSource:l.CancellationTokenSource,Emitter:n.Emitter,KeyCode:f,KeyMod:p,Position:o.Position,Range:r.Range,Selection:s.Selection,SelectionDirection:s.SelectionDirection,Severity:d,MarkerSeverity:h,Promise:a.TPromise,Uri:c.default,Token:u.Token}}}),define(t[160],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n;!function(e){e[e.MINIMUM_HEIGHT=4]="MINIMUM_HEIGHT"}(n||(n={}));var i=function(){function e(e,t,n){this.from=0|e,this.to=0|t,this.colorId=0|n}return e.compare=function(e,t){return e.colorId===t.colorId?e.from===t.from?e.to-t.to:e.from-t.from:e.colorId-t.colorId},e}();t.ColorZone=i;var o=function(){function e(e,t,n){this.startLineNumber=e,this.endLineNumber=t,this.color=n,this._colorZone=null}return e.compare=function(e,t){
return e.color===t.color?e.startLineNumber===t.startLineNumber?e.endLineNumber-t.endLineNumber:e.startLineNumber-t.startLineNumber:e.color<t.color?-1:1},e.prototype.setColorZone=function(e){this._colorZone=e},e.prototype.getColorZones=function(){return this._colorZone},e}();t.OverviewRulerZone=o;var r=function(){function e(e){this._getVerticalOffsetForLine=e,this._zones=[],this._colorZonesInvalid=!1,this._lineHeight=0,this._domWidth=0,this._domHeight=0,this._outerHeight=0,this._pixelRatio=1,this._lastAssignedId=0,this._color2Id=Object.create(null),this._id2Color=[]}return e.prototype.getId2Color=function(){return this._id2Color},e.prototype.setZones=function(e){this._zones=e,this._zones.sort(o.compare)},e.prototype.setLineHeight=function(e){return this._lineHeight!==e&&(this._lineHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.setPixelRatio=function(e){this._pixelRatio=e,this._colorZonesInvalid=!0},e.prototype.getDOMWidth=function(){return this._domWidth},e.prototype.getCanvasWidth=function(){
return this._domWidth*this._pixelRatio},e.prototype.setDOMWidth=function(e){return this._domWidth!==e&&(this._domWidth=e,this._colorZonesInvalid=!0,!0)},e.prototype.getDOMHeight=function(){return this._domHeight},e.prototype.getCanvasHeight=function(){return this._domHeight*this._pixelRatio},e.prototype.setDOMHeight=function(e){return this._domHeight!==e&&(this._domHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.getOuterHeight=function(){return this._outerHeight},e.prototype.setOuterHeight=function(e){return this._outerHeight!==e&&(this._outerHeight=e,this._colorZonesInvalid=!0,!0)},e.prototype.resolveColorZones=function(){for(var e=this._colorZonesInvalid,t=Math.floor(this._lineHeight),n=Math.floor(this.getCanvasHeight()),o=n/Math.floor(this._outerHeight),r=Math.floor(4*this._pixelRatio/2),s=[],a=0,l=this._zones.length;a<l;a++){var u=this._zones[a];if(!e){var c=u.getColorZones();if(c){s.push(c);continue}}
var d=Math.floor(o*this._getVerticalOffsetForLine(u.startLineNumber)),h=Math.floor(o*(this._getVerticalOffsetForLine(u.endLineNumber)+t)),p=Math.floor((d+h)/2),f=h-p;f<r&&(f=r),p-f<0&&(p=f),p+f>n&&(p=n-f);var g=u.color,m=this._color2Id[g];m||(m=++this._lastAssignedId,this._color2Id[g]=m,this._id2Color[m]=g);var v=new i(p-f,p+f,m);u.setColorZone(v),s.push(v)}return this._colorZonesInvalid=!1,s.sort(i.compare),s},e}();t.OverviewZoneManager=r}),define(t[92],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._viewLayout=e,this.viewportData=t,this.scrollWidth=this._viewLayout.getScrollWidth(),this.scrollHeight=this._viewLayout.getScrollHeight(),this.visibleRange=this.viewportData.visibleRange,this.bigNumbersDelta=this.viewportData.bigNumbersDelta;var n=this._viewLayout.getCurrentViewport();this.scrollTop=n.top,this.scrollLeft=n.left,this.viewportWidth=n.width,this.viewportHeight=n.height}
return e.prototype.getScrolledTopFromAbsoluteTop=function(e){return e-this.scrollTop},e.prototype.getVerticalOffsetForLineNumber=function(e){return this._viewLayout.getVerticalOffsetForLineNumber(e)},e.prototype.getDecorationsInViewport=function(){return this.viewportData.getDecorationsInViewport()},e}();t.RestrictedRenderingContext=i;var r=function(e){function t(t,n,i){var o=e.call(this,t,n)||this;return o._viewLines=i,o}return o(t,e),t.prototype.linesVisibleRangesForRange=function(e,t){return this._viewLines.linesVisibleRangesForRange(e,t)},t.prototype.visibleRangeForPosition=function(e){var t=this._viewLines.visibleRangesForRange2(new n.Range(e.lineNumber,e.column,e.lineNumber,e.column));return t?t[0]:null},t}(i);t.RenderingContext=r;var s=function(){return function(e,t){this.lineNumber=e,this.ranges=t}}();t.LineVisibleRanges=s;var a=function(){function e(e,t){this.left=Math.round(e),this.width=Math.round(t)}return e.prototype.toString=function(){return"["+this.left+","+this.width+"]"},e}()
;t.HorizontalRange=a}),define(t[212],n([0,1,92]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this.left=e,this.width=t}return e.prototype.toString=function(){return"["+this.left+","+this.width+"]"},e.compare=function(e,t){return e.left-t.left},e}(),o=function(){function e(){}return e._createRange=function(){return this._handyReadyRange||(this._handyReadyRange=document.createRange()),this._handyReadyRange},e._detachRange=function(e,t){e.selectNodeContents(t)},e._readClientRects=function(e,t,n,i,o){var r=this._createRange();try{return r.setStart(e,t),r.setEnd(n,i),r.getClientRects()}catch(e){return null}finally{this._detachRange(r,o)}},e._mergeAdjacentRanges=function(e){if(1===e.length)return[new n.HorizontalRange(e[0].left,e[0].width)];e.sort(i.compare);for(var t=[],o=0,r=e[0].left,s=e[0].width,a=1,l=e.length;a<l;a++){var u=e[a],c=u.left,d=u.width;r+s+.9>=c?s=Math.max(s,c+d-r):(t[o++]=new n.HorizontalRange(r,s),r=c,s=d)}
return t[o++]=new n.HorizontalRange(r,s),t},e._createHorizontalRangesFromClientRects=function(e,t){if(!e||0===e.length)return null;for(var n=[],o=0,r=e.length;o<r;o++){var s=e[o];n[o]=new i(Math.max(0,s.left-t),s.width)}return this._mergeAdjacentRanges(n)},e.readHorizontalRanges=function(e,t,n,i,o,r,s){var a=e.children.length-1;if(0>a)return null;(t=Math.min(a,Math.max(0,t)))!==(i=Math.min(a,Math.max(0,i)))&&i>0&&0===o&&(i--,o=Number.MAX_VALUE);var l=e.children[t].firstChild,u=e.children[i].firstChild;if(l&&u||(!l&&0===n&&t>0&&(l=e.children[t-1].firstChild,n=1073741824),!u&&0===o&&i>0&&(u=e.children[i-1].firstChild,o=1073741824)),!l||!u)return null;n=Math.min(l.textContent.length,Math.max(0,n)),o=Math.min(u.textContent.length,Math.max(0,o));var c=this._readClientRects(l,n,u,o,s);return this._createHorizontalRangesFromClientRects(c,r)},e}();t.RangeUtil=o}),define(t[213],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e,t,n,i){
this.configuration=e,this.theme=t,this.model=n,this.viewLayout=n.viewLayout,this.privateViewEventBus=i}return e.prototype.addEventHandler=function(e){this.privateViewEventBus.addEventHandler(e)},e.prototype.removeEventHandler=function(e){this.privateViewEventBus.removeEventHandler(e)},e}();t.ViewContext=n}),define(t[214],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){this._eventHandlerGateKeeper=e,this._eventHandlers=[],this._eventQueue=null,this._isConsumingQueue=!1}return e.prototype.addEventHandler=function(e){for(var t=0,n=this._eventHandlers.length;t<n;t++)this._eventHandlers[t]===e&&console.warn("Detected duplicate listener in ViewEventDispatcher",e);this._eventHandlers.push(e)},e.prototype.removeEventHandler=function(e){for(var t=0;t<this._eventHandlers.length;t++)if(this._eventHandlers[t]===e){this._eventHandlers.splice(t,1);break}},e.prototype.emit=function(e){this._eventQueue?this._eventQueue.push(e):this._eventQueue=[e],
this._isConsumingQueue||this.consumeQueue()},e.prototype.emitMany=function(e){this._eventQueue?this._eventQueue=this._eventQueue.concat(e):this._eventQueue=e,this._isConsumingQueue||this.consumeQueue()},e.prototype.consumeQueue=function(){var e=this;this._eventHandlerGateKeeper(function(){try{e._isConsumingQueue=!0,e._doConsumeQueue()}finally{e._isConsumingQueue=!1}})},e.prototype._doConsumeQueue=function(){for(;this._eventQueue;){var e=this._eventQueue;this._eventQueue=null;for(var t=this._eventHandlers.slice(0),n=0,i=t.length;n<i;n++)t[n].handleEvents(e)}},e}();t.ViewEventDispatcher=n}),define(t[72],n([0,1,12,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.ViewConfigurationChanged=1]="ViewConfigurationChanged",e[e.ViewCursorStateChanged=2]="ViewCursorStateChanged",e[e.ViewDecorationsChanged=3]="ViewDecorationsChanged",e[e.ViewFlushed=4]="ViewFlushed",e[e.ViewFocusChanged=5]="ViewFocusChanged",e[e.ViewLineMappingChanged=6]="ViewLineMappingChanged",
e[e.ViewLinesChanged=7]="ViewLinesChanged",e[e.ViewLinesDeleted=8]="ViewLinesDeleted",e[e.ViewLinesInserted=9]="ViewLinesInserted",e[e.ViewRevealRangeRequest=10]="ViewRevealRangeRequest",e[e.ViewScrollChanged=11]="ViewScrollChanged",e[e.ViewTokensChanged=12]="ViewTokensChanged",e[e.ViewTokensColorsChanged=13]="ViewTokensColorsChanged",e[e.ViewZonesChanged=14]="ViewZonesChanged",e[e.ViewThemeChanged=15]="ViewThemeChanged",e[e.ViewLanguageConfigurationChanged=16]="ViewLanguageConfigurationChanged"}(t.ViewEventType||(t.ViewEventType={}));var r=function(){return function(e){this.type=1,this.canUseLayerHinting=e.canUseLayerHinting,this.pixelRatio=e.pixelRatio,this.editorClassName=e.editorClassName,this.lineHeight=e.lineHeight,this.readOnly=e.readOnly,this.accessibilitySupport=e.accessibilitySupport,this.emptySelectionClipboard=e.emptySelectionClipboard,this.layoutInfo=e.layoutInfo,this.fontInfo=e.fontInfo,this.viewInfo=e.viewInfo,this.wrappingInfo=e.wrappingInfo}}();t.ViewConfigurationChangedEvent=r
;var s=function(){return function(e){this.type=2,this.selections=e}}();t.ViewCursorStateChangedEvent=s;var a=function(){return function(){this.type=3}}();t.ViewDecorationsChangedEvent=a;var l=function(){return function(){this.type=4}}();t.ViewFlushedEvent=l;var u=function(){return function(e){this.type=5,this.isFocused=e}}();t.ViewFocusChangedEvent=u;var c=function(){return function(){this.type=6}}();t.ViewLineMappingChangedEvent=c;var d=function(){return function(e,t){this.type=7,this.fromLineNumber=e,this.toLineNumber=t}}();t.ViewLinesChangedEvent=d;var h=function(){return function(e,t){this.type=8,this.fromLineNumber=e,this.toLineNumber=t}}();t.ViewLinesDeletedEvent=h;var p=function(){return function(e,t){this.type=9,this.fromLineNumber=e,this.toLineNumber=t}}();t.ViewLinesInsertedEvent=p;!function(e){e[e.Simple=0]="Simple",e[e.Center=1]="Center",e[e.CenterIfOutsideViewport=2]="CenterIfOutsideViewport",e[e.Top=3]="Top",e[e.Bottom=4]="Bottom"}(t.VerticalRevealType||(t.VerticalRevealType={}))
;var f=function(){return function(e,t,n,i){this.type=10,this.range=e,this.verticalType=t,this.revealHorizontal=n,this.scrollType=i}}();t.ViewRevealRangeRequestEvent=f;var g=function(){return function(e){this.type=11,this.scrollWidth=e.scrollWidth,this.scrollLeft=e.scrollLeft,this.scrollHeight=e.scrollHeight,this.scrollTop=e.scrollTop,this.scrollWidthChanged=e.scrollWidthChanged,this.scrollLeftChanged=e.scrollLeftChanged,this.scrollHeightChanged=e.scrollHeightChanged,this.scrollTopChanged=e.scrollTopChanged}}();t.ViewScrollChangedEvent=g;var m=function(){return function(e){this.type=12,this.ranges=e}}();t.ViewTokensChangedEvent=m;var v=function(){return function(){this.type=15}}();t.ViewThemeChangedEvent=v;var _=function(){return function(){this.type=13}}();t.ViewTokensColorsChangedEvent=_;var y=function(){return function(){this.type=14}}();t.ViewZonesChangedEvent=y;var C=function(){return function(){this.type=16}}();t.ViewLanguageConfigurationEvent=C;var b=function(e){function t(){var t=e.call(this)||this
;return t._listeners=[],t._collector=null,t._collectorCnt=0,t}return o(t,e),t.prototype.dispose=function(){this._listeners=[],e.prototype.dispose.call(this)},t.prototype._beginEmit=function(){return this._collectorCnt++,1===this._collectorCnt&&(this._collector=new S),this._collector},t.prototype._endEmit=function(){if(this._collectorCnt--,0===this._collectorCnt){var e=this._collector.finalize();this._collector=null,e.length>0&&this._emit(e)}},t.prototype._emit=function(e){for(var t=this._listeners.slice(0),i=0,o=t.length;i<o;i++)!function(e,t){try{e(t)}catch(e){n.onUnexpectedError(e)}}(t[i],e)},t.prototype.addEventListener=function(e){var t=this;return this._listeners.push(e),{dispose:function(){for(var n=t._listeners,i=0,o=n.length;i<o;i++)if(n[i]===e){n.splice(i,1);break}}}},t}(i.Disposable);t.ViewEventEmitter=b;var S=function(){function e(){this._eventsLen=0,this._events=[],this._eventsLen=0}return e.prototype.emit=function(e){this._events[this._eventsLen++]=e},e.prototype.finalize=function(){
var e=this._events;return this._events=null,e},e}();t.ViewEventsCollector=S}),define(t[118],n([0,1,9]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n,i){this.startColumn=e,this.endColumn=t,this.className=n,this.type=i}return e._equals=function(e,t){return e.startColumn===t.startColumn&&e.endColumn===t.endColumn&&e.className===t.className&&e.type===t.type},e.equalsArr=function(t,n){var i=t.length;if(i!==n.length)return!1;for(var o=0;o<i;o++)if(!e._equals(t[o],n[o]))return!1;return!0},e.filter=function(t,n,i,o){if(0===t.length)return[];for(var r=[],s=0,a=0,l=t.length;a<l;a++){var u=t[a],c=u.range;if(!(c.endLineNumber<n||c.startLineNumber>n)&&(!c.isEmpty()||0!==u.type)){var d=c.startLineNumber===n?c.startColumn:i,h=c.endLineNumber===n?c.endColumn:o;r[s++]=new e(d,h,u.inlineClassName,u.type)}}return r},e.compare=function(e,t){
return e.startColumn===t.startColumn?e.endColumn===t.endColumn?e.className<t.className?-1:e.className>t.className?1:0:e.endColumn-t.endColumn:e.startColumn-t.startColumn},e}();t.LineDecoration=i;var o=function(){return function(e,t,n){this.startOffset=e,this.endOffset=t,this.className=n}}();t.DecorationSegment=o;var r=function(){function e(){this.stopOffsets=[],this.classNames=[],this.count=0}return e.prototype.consumeLowerThan=function(e,t,n){for(;this.count>0&&this.stopOffsets[0]<e;){for(var i=0;i+1<this.count&&this.stopOffsets[i]===this.stopOffsets[i+1];)i++;n.push(new o(t,this.stopOffsets[i],this.classNames.join(" "))),t=this.stopOffsets[i]+1,this.stopOffsets.splice(0,i+1),this.classNames.splice(0,i+1),this.count-=i+1}return this.count>0&&t<e&&(n.push(new o(t,e-1,this.classNames.join(" "))),t=e),t},e.prototype.insert=function(e,t){if(0===this.count||this.stopOffsets[this.count-1]<=e)this.stopOffsets.push(e),this.classNames.push(t);else for(var n=0;n<this.count;n++)if(this.stopOffsets[n]>=e){
this.stopOffsets.splice(n,0,e),this.classNames.splice(n,0,t);break}this.count++},e}(),s=function(){function e(){}return e.normalize=function(e,t){if(0===t.length)return[];for(var i=[],o=new r,s=0,a=0,l=t.length;a<l;a++){var u=t[a],c=u.startColumn,d=u.endColumn,h=u.className;if(c>1){p=e.charCodeAt(c-2);n.isHighSurrogate(p)&&c--}if(d>1){var p=e.charCodeAt(d-2);n.isHighSurrogate(p)&&d--}var f=c-1,g=d-2;s=o.consumeLowerThan(f,s,i),0===o.count&&(s=f),o.insert(g,h)}return o.consumeLowerThan(1073741824,s,i),i},e}();t.LineDecorationsNormalizer=s}),define(t[97],n([0,1,118,9,140]),function(e,t,n,i,o){"use strict";function r(e,t){if(0===e.lineContent.length){var o=!1,r="<span><span> </span></span>";if(e.lineDecorations.length>0){for(var a=[],c=0,d=e.lineDecorations.length;c<d;c++){0!==e.lineDecorations[c].type&&(a.push(e.lineDecorations[c].className),o=!0)}o&&(r='<span><span class="'+a.join(" ")+'"></span></span>')}return t.appendASCIIString(r),new u(new l(0,0),!1,o)}return function(e,t){
var n=e.fontIsMonospace,o=e.containsForeignElements,r=e.lineContent,s=e.len,a=e.isOverflowing,c=e.parts,d=e.tabSize,h=e.containsRTL,p=e.spaceWidth,f=e.renderWhitespace,g=e.renderControlCharacters,m=new l(s+1,c.length),v=0,_=0,y=0,C=0,b=0;t.appendASCIIString("<span>");for(var S=0,w=c.length;S<w;S++){b+=C;var E=c[S],L=E.endIndex,x=E.type,N=0!==f&&x.indexOf("vs-whitespace")>=0;if(y=0,t.appendASCIIString('<span class="'),t.appendASCIIString(x),t.appendASCII(34),N){for(var I=0,T=v,D=_;T<L;T++){if(9===(M=r.charCodeAt(T))){D+=(k=d-(T+D)%d)-1,I+=k}else I++}if(!n){!("vs-whitespace"===x)&&o||(t.appendASCIIString(' style="width:'),t.appendASCIIString(String(p*I)),t.appendASCIIString('px"'))}for(t.appendASCII(62);v<L;v++){m.setPartData(v,S,y,b);if(9===(M=r.charCodeAt(v))){for(_+=(k=d-(v+_)%d)-1,y+=k-1,k>0&&(t.write1(8594),k--);k>0;)t.write1(160),k--}else t.write1(183);y++}C=I}else{I=0;for(h&&t.appendASCIIString(' dir="ltr"'),t.appendASCII(62);v<L;v++){m.setPartData(v,S,y,b);var M=r.charCodeAt(v);switch(M){case 9:
var k=d-(v+_)%d;for(_+=k-1,y+=k-1;k>0;)t.write1(160),I++,k--;break;case 32:t.write1(160),I++;break;case 60:t.appendASCIIString("&lt;"),I++;break;case 62:t.appendASCIIString("&gt;"),I++;break;case 38:t.appendASCIIString("&amp;"),I++;break;case 0:t.appendASCIIString("&#00;"),I++;break;case 65279:case 8232:t.write1(65533),I++;break;default:i.isFullWidthCharacter(M)&&_++,g&&M<32?(t.write1(9216+M),I++):(t.write1(M),I++)}y++}C=I}t.appendASCIIString("</span>")}m.setPartData(s,c.length-1,y,b),a&&t.appendASCIIString("<span>&hellip;</span>");return t.appendASCIIString("</span>"),new u(m,h,o)}(function(e){var t,o,r=e.useMonospaceOptimizations,a=e.lineContent;-1!==e.stopRenderingLineAfter&&e.stopRenderingLineAfter<a.length?(t=!0,o=e.stopRenderingLineAfter):(t=!1,o=a.length);var l=function(e,t,n){var i=[],o=0;t>0&&(i[o++]=new s(t,""));for(var r=0,a=e.getCount();r<a;r++){var l=e.getEndOffset(r);if(!(l<=t)){var u=e.getClassName(r);if(l>=n){i[o++]=new s(n,u);break}i[o++]=new s(l,u)}}return i
}(e.lineTokens,e.fauxIndentLength,o);2!==e.renderWhitespace&&1!==e.renderWhitespace||(l=function(e,t,n,o,r,a,l){var u,c=[],d=0,h=0,p=n[h].type,f=n[h].endIndex,g=i.firstNonWhitespaceIndex(e);-1===g?(g=t,u=t):u=i.lastNonWhitespaceIndex(e);for(var m=0,v=0;v<o;v++){9===(y=e.charCodeAt(v))?m=r:i.isFullWidthCharacter(y)?m+=2:m++}m%=r;for(var _=!1,v=o;v<t;v++){var y=e.charCodeAt(v),C=void 0;if(v<g||v>u)C=!0;else if(9===y)C=!0;else if(32===y)if(l)if(_)C=!0;else{var b=v+1<t?e.charCodeAt(v+1):0;C=32===b||9===b}else C=!0;else C=!1;_?(!C||!a&&m>=r)&&(c[d++]=new s(v,"vs-whitespace"),m%=r):(v===f||C&&v>o)&&(c[d++]=new s(v,p),m%=r),9===y?m=r:i.isFullWidthCharacter(y)?m+=2:m++,_=C,v===f&&(p=n[++h].type,f=n[h].endIndex)}c[d++]=_?new s(t,"vs-whitespace"):new s(t,p);return c}(a,o,l,e.fauxIndentLength,e.tabSize,r,1===e.renderWhitespace));var u=!1;if(e.lineDecorations.length>0){for(var c=0,d=e.lineDecorations.length;c<d;c++){if(0!==e.lineDecorations[c].type){u=!0;break}}l=function(e,t,i,o){o.sort(n.LineDecoration.compare)
;for(var r=n.LineDecorationsNormalizer.normalize(e,o),a=r.length,l=0,u=[],c=0,d=0,h=0,p=i.length;h<p;h++){for(var f=i[h],g=f.endIndex,m=f.type;l<a&&r[l].startOffset<g;){var v=r[l];if(v.startOffset>d&&(d=v.startOffset,u[c++]=new s(d,m)),!(v.endOffset+1<=g)){d=g,u[c++]=new s(d,m+" "+v.className);break}d=v.endOffset+1,u[c++]=new s(d,m+" "+v.className),l++}g>d&&(d=g,u[c++]=new s(d,m))}var _=i[i.length-1].endIndex;if(l<a&&r[l].startOffset===_){for(var y=[];l<a&&r[l].startOffset===_;)y.push(r[l].className),l++;u[c++]=new s(d,y.join(" "))}return u}(a,0,l,e.lineDecorations)}var p=!1;e.mightContainRTL&&(p=i.containsRTL(a));p||e.fontLigatures||(l=function(e,t){for(var n=0,o=[],r=0,a=0,l=t.length;a<l;a++){var u=t[a],c=u.endIndex,d=c-n;if(d>50){for(var h=u.type,p=Math.ceil(d/50),f=1;f<p;f++){var g=n+50*f,m=e.charCodeAt(g-1);i.isHighSurrogate(m)&&g--,o[r++]=new s(g,h)}o[r++]=new s(c,h)}else o[r++]=u;n=c}return o}(a,l));return new h(r,a,o,t,l,u,e.tabSize,p,e.spaceWidth,e.renderWhitespace,e.renderControlCharacters)}(e),t)}
Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.None=0]="None",e[e.Boundary=1]="Boundary",e[e.All=2]="All"}(t.RenderWhitespace||(t.RenderWhitespace={}));var s=function(){return function(e,t){this.endIndex=e,this.type=t}}(),a=function(){function e(e,t,n,i,o,r,s,a,l,u,c,d){this.useMonospaceOptimizations=e,this.lineContent=t,this.mightContainRTL=n,this.fauxIndentLength=i,this.lineTokens=o,this.lineDecorations=r,this.tabSize=s,this.spaceWidth=a,this.stopRenderingLineAfter=l,this.renderWhitespace="all"===u?2:"boundary"===u?1:0,this.renderControlCharacters=c,this.fontLigatures=d}return e.prototype.equals=function(e){
return this.useMonospaceOptimizations===e.useMonospaceOptimizations&&this.lineContent===e.lineContent&&this.mightContainRTL===e.mightContainRTL&&this.fauxIndentLength===e.fauxIndentLength&&this.tabSize===e.tabSize&&this.spaceWidth===e.spaceWidth&&this.stopRenderingLineAfter===e.stopRenderingLineAfter&&this.renderWhitespace===e.renderWhitespace&&this.renderControlCharacters===e.renderControlCharacters&&this.fontLigatures===e.fontLigatures&&n.LineDecoration.equalsArr(this.lineDecorations,e.lineDecorations)&&this.lineTokens.equals(e.lineTokens)},e}();t.RenderLineInput=a;!function(e){e[e.PART_INDEX_MASK=4294901760]="PART_INDEX_MASK",e[e.CHAR_INDEX_MASK=65535]="CHAR_INDEX_MASK",e[e.CHAR_INDEX_OFFSET=0]="CHAR_INDEX_OFFSET",e[e.PART_INDEX_OFFSET=16]="PART_INDEX_OFFSET"}(t.CharacterMappingConstants||(t.CharacterMappingConstants={}));var l=function(){function e(e,t){this.length=e,this._data=new Uint32Array(this.length),this._absoluteOffsets=new Uint32Array(this.length)}return e.getPartIndex=function(e){
return(4294901760&e)>>>16},e.getCharIndex=function(e){return(65535&e)>>>0},e.prototype.setPartData=function(e,t,n,i){var o=(t<<16|n<<0)>>>0;this._data[e]=o,this._absoluteOffsets[e]=i+n},e.prototype.getAbsoluteOffsets=function(){return this._absoluteOffsets},e.prototype.charOffsetToPartData=function(e){return 0===this.length?0:e<0?this._data[0]:e>=this.length?this._data[this.length-1]:this._data[e]},e.prototype.partDataToCharOffset=function(t,n,i){if(0===this.length)return 0;for(var o=(t<<16|i<<0)>>>0,r=0,s=this.length-1;r+1<s;){var a=r+s>>>1,l=this._data[a];if(l===o)return a;l>o?s=a:r=a}if(r===s)return r;var u=this._data[r],c=this._data[s];if(u===o)return r;if(c===o)return s;var d=e.getPartIndex(u);return i-e.getCharIndex(u)<=(d!==e.getPartIndex(c)?n:e.getCharIndex(c))-i?r:s},e}();t.CharacterMapping=l;var u=function(){return function(e,t,n){this.characterMapping=e,this.containsRTL=t,this.containsForeignElements=n}}();t.RenderLineOutput=u,t.renderViewLine=r;var c=function(){return function(e,t,n,i){
this.characterMapping=e,this.html=t,this.containsRTL=n,this.containsForeignElements=i}}();t.RenderLineOutput2=c,t.renderViewLine2=function(e){var t=o.createStringBuilder(1e4),n=r(e,t);return new c(n.characterMapping,t.build(),n.containsRTL,n.containsForeignElements)};var d,h=function(){return function(e,t,n,i,o,r,s,a,l,u,c){this.fontIsMonospace=e,this.lineContent=t,this.len=n,this.isOverflowing=i,this.parts=o,this.containsForeignElements=r,this.tabSize=s,this.containsRTL=a,this.spaceWidth=l,this.renderWhitespace=u,this.renderControlCharacters=c}}();!function(e){e[e.LongToken=50]="LongToken"}(d||(d={}))}),define(t[218],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,i,o){this.selections=e,this.startLineNumber=0|t.startLineNumber,this.endLineNumber=0|t.endLineNumber,this.relativeVerticalOffset=t.relativeVerticalOffset,this.bigNumbersDelta=0|t.bigNumbersDelta,this.whitespaceViewportData=i,this._model=o,
this.visibleRange=new n.Range(t.startLineNumber,this._model.getLineMinColumn(t.startLineNumber),t.endLineNumber,this._model.getLineMaxColumn(t.endLineNumber))}return e.prototype.getViewLineRenderingData=function(e){return this._model.getViewLineRenderingData(this.visibleRange,e)},e.prototype.getDecorationsInViewport=function(){return this._model.getDecorationsInViewport(this.visibleRange)},e}();t.ViewportData=i}),define(t[219],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(){this._heights=[],this._ids=[],this._afterLineNumbers=[],this._ordinals=[],this._prefixSum=[],this._prefixSumValidIndex=-1,this._whitespaceId2Index={},this._lastWhitespaceId=0}return e.findInsertionIndex=function(e,t,n,i){for(var o=0,r=e.length;o<r;){var s=o+r>>>1;t===e[s]?i<n[s]?r=s:o=s+1:t<e[s]?r=s:o=s+1}return o},e.prototype.insertWhitespace=function(t,n,i){t|=0,n|=0,i|=0;var o=++this._lastWhitespaceId,r=e.findInsertionIndex(this._afterLineNumbers,t,this._ordinals,n)
;return this._insertWhitespaceAtIndex(o,r,t,n,i),o},e.prototype._insertWhitespaceAtIndex=function(e,t,n,i,o){e|=0,t|=0,n|=0,i|=0,o|=0,this._heights.splice(t,0,o),this._ids.splice(t,0,e),this._afterLineNumbers.splice(t,0,n),this._ordinals.splice(t,0,i),this._prefixSum.splice(t,0,0);for(var r=Object.keys(this._whitespaceId2Index),s=0,a=r.length;s<a;s++){var l=r[s],u=this._whitespaceId2Index[l];u>=t&&(this._whitespaceId2Index[l]=u+1)}this._whitespaceId2Index[e.toString()]=t,this._prefixSumValidIndex=Math.min(this._prefixSumValidIndex,t-1)},e.prototype.changeWhitespace=function(e,t,n){e|=0,t|=0,n|=0;var i=!1;return i=this.changeWhitespaceHeight(e,n)||i,i=this.changeWhitespaceAfterLineNumber(e,t)||i},e.prototype.changeWhitespaceHeight=function(e,t){t|=0;var n=(e|=0).toString();if(this._whitespaceId2Index.hasOwnProperty(n)){var i=this._whitespaceId2Index[n];if(this._heights[i]!==t)return this._heights[i]=t,this._prefixSumValidIndex=Math.min(this._prefixSumValidIndex,i-1),!0}return!1},
e.prototype.changeWhitespaceAfterLineNumber=function(t,n){n|=0;var i=(t|=0).toString();if(this._whitespaceId2Index.hasOwnProperty(i)){var o=this._whitespaceId2Index[i];if(this._afterLineNumbers[o]!==n){var r=this._ordinals[o],s=this._heights[o];this.removeWhitespace(t);var a=e.findInsertionIndex(this._afterLineNumbers,n,this._ordinals,r);return this._insertWhitespaceAtIndex(t,a,n,r,s),!0}}return!1},e.prototype.removeWhitespace=function(e){var t=(e|=0).toString();if(this._whitespaceId2Index.hasOwnProperty(t)){var n=this._whitespaceId2Index[t];return delete this._whitespaceId2Index[t],this._removeWhitespaceAtIndex(n),!0}return!1},e.prototype._removeWhitespaceAtIndex=function(e){e|=0,this._heights.splice(e,1),this._ids.splice(e,1),this._afterLineNumbers.splice(e,1),this._ordinals.splice(e,1),this._prefixSum.splice(e,1),this._prefixSumValidIndex=Math.min(this._prefixSumValidIndex,e-1);for(var t=Object.keys(this._whitespaceId2Index),n=0,i=t.length;n<i;n++){var o=t[n],r=this._whitespaceId2Index[o]
;r>=e&&(this._whitespaceId2Index[o]=r-1)}},e.prototype.onLinesDeleted=function(e,t){e|=0,t|=0;for(var n=0,i=this._afterLineNumbers.length;n<i;n++){var o=this._afterLineNumbers[n];e<=o&&o<=t?this._afterLineNumbers[n]=e-1:o>t&&(this._afterLineNumbers[n]-=t-e+1)}},e.prototype.onLinesInserted=function(e,t){e|=0,t|=0;for(var n=0,i=this._afterLineNumbers.length;n<i;n++){e<=this._afterLineNumbers[n]&&(this._afterLineNumbers[n]+=t-e+1)}},e.prototype.getTotalHeight=function(){return 0===this._heights.length?0:this.getAccumulatedHeight(this._heights.length-1)},e.prototype.getAccumulatedHeight=function(e){e|=0;var t=Math.max(0,this._prefixSumValidIndex+1);0===t&&(this._prefixSum[0]=this._heights[0],t++);for(var n=t;n<=e;n++)this._prefixSum[n]=this._prefixSum[n-1]+this._heights[n];return this._prefixSumValidIndex=Math.max(this._prefixSumValidIndex,e),this._prefixSum[e]},e.prototype.getAccumulatedHeightBeforeLineNumber=function(e){e|=0;var t=this._findLastWhitespaceBeforeLineNumber(e)
;return-1===t?0:this.getAccumulatedHeight(t)},e.prototype._findLastWhitespaceBeforeLineNumber=function(e){e|=0;for(var t=this._afterLineNumbers,n=0,i=t.length-1;n<=i;){var o=n+((i-n|0)/2|0)|0;if(t[o]<e){if(o+1>=t.length||t[o+1]>=e)return o;n=o+1|0}else i=o-1|0}return-1},e.prototype._findFirstWhitespaceAfterLineNumber=function(e){e|=0;var t=this._findLastWhitespaceBeforeLineNumber(e)+1;return t<this._heights.length?t:-1},e.prototype.getFirstWhitespaceIndexAfterLineNumber=function(e){return e|=0,this._findFirstWhitespaceAfterLineNumber(e)},e.prototype.getCount=function(){return this._heights.length},e.prototype.getAfterLineNumberForWhitespaceIndex=function(e){return e|=0,this._afterLineNumbers[e]},e.prototype.getIdForWhitespaceIndex=function(e){return e|=0,this._ids[e]},e.prototype.getHeightForWhitespaceIndex=function(e){return e|=0,this._heights[e]},e.prototype.getWhitespaces=function(e){e|=0;for(var t=[],n=0;n<this._heights.length;n++)t.push({id:this._ids[n],afterLineNumber:this._afterLineNumbers[n],
heightInLines:this._heights[n]/e});return t},e}();t.WhitespaceComputer=n}),define(t[220],n([0,1,219]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._lineCount=e,this._lineHeight=t,this._whitespaces=new n.WhitespaceComputer}return e.prototype.setLineHeight=function(e){this._lineHeight=e},e.prototype.onFlushed=function(e){this._lineCount=e},e.prototype.insertWhitespace=function(e,t,n){return this._whitespaces.insertWhitespace(e,t,n)},e.prototype.changeWhitespace=function(e,t,n){return this._whitespaces.changeWhitespace(e,t,n)},e.prototype.removeWhitespace=function(e){return this._whitespaces.removeWhitespace(e)},e.prototype.onLinesDeleted=function(e,t){this._lineCount-=t-e+1,this._whitespaces.onLinesDeleted(e,t)},e.prototype.onLinesInserted=function(e,t){this._lineCount+=t-e+1,this._whitespaces.onLinesInserted(e,t)},e.prototype.getLinesTotalHeight=function(){return this._lineHeight*this._lineCount+this._whitespaces.getTotalHeight()},
e.prototype.getVerticalOffsetForLineNumber=function(e){return((e|=0)>1?this._lineHeight*(e-1):0)+this._whitespaces.getAccumulatedHeightBeforeLineNumber(e)},e.prototype.getWhitespaceAccumulatedHeightBeforeLineNumber=function(e){return this._whitespaces.getAccumulatedHeightBeforeLineNumber(e)},e.prototype.hasWhitespace=function(){return this._whitespaces.getCount()>0},e.prototype.isAfterLines=function(e){return e>this.getLinesTotalHeight()},e.prototype.getLineNumberAtOrAfterVerticalOffset=function(e){if((e|=0)<0)return 1;for(var t=0|this._lineCount,n=this._lineHeight,i=1,o=t;i<o;){var r=(i+o)/2|0,s=0|this.getVerticalOffsetForLineNumber(r);if(e>=s+n)i=r+1;else{if(e>=s)return r;o=r}}return i>t?t:i},e.prototype.getLinesViewportData=function(e,t){e|=0,t|=0;var n,i,o=this._lineHeight,r=0|this.getLineNumberAtOrAfterVerticalOffset(e),s=0|this.getVerticalOffsetForLineNumber(r),a=0|this._lineCount,l=0|this._whitespaces.getFirstWhitespaceIndexAfterLineNumber(r),u=0|this._whitespaces.getCount();-1===l?(l=u,i=a+1,
n=0):(i=0|this._whitespaces.getAfterLineNumberForWhitespaceIndex(l),n=0|this._whitespaces.getHeightForWhitespaceIndex(l));var c=s,d=c,h=0;s>=5e5&&(h=5e5*Math.floor(s/5e5),d-=h=Math.floor(h/o)*o);for(var p=[],f=e+(t-e)/2,g=-1,m=r;m<=a;m++){if(-1===g){var v=c;(v<=f&&f<c+o||v>f)&&(g=m)}for(c+=o,p[m-r]=d,d+=o;i===m;)d+=n,c+=n,++l>=u?i=a+1:(i=0|this._whitespaces.getAfterLineNumberForWhitespaceIndex(l),n=0|this._whitespaces.getHeightForWhitespaceIndex(l));if(c>=t){a=m;break}}-1===g&&(g=a);var _=0|this.getVerticalOffsetForLineNumber(a),y=r,C=a;return y<C&&s<e&&y++,y<C&&_+o>t&&C--,{bigNumbersDelta:h,startLineNumber:r,endLineNumber:a,relativeVerticalOffset:p,centeredLineNumber:g,completelyVisibleStartLineNumber:y,completelyVisibleEndLineNumber:C}},e.prototype.getVerticalOffsetForWhitespaceIndex=function(e){e|=0;var t,n=this._whitespaces.getAfterLineNumberForWhitespaceIndex(e);t=n>=1?this._lineHeight*n:0;var i;return i=e>0?this._whitespaces.getAccumulatedHeight(e-1):0,t+i},
e.prototype.getWhitespaceIndexAtOrAfterVerticallOffset=function(e){e|=0;var t,n,i,o=0,r=this._whitespaces.getCount()-1;if(r<0)return-1;if(e>=this.getVerticalOffsetForWhitespaceIndex(r)+this._whitespaces.getHeightForWhitespaceIndex(r))return-1;for(;o<r;)if(t=Math.floor((o+r)/2),n=this.getVerticalOffsetForWhitespaceIndex(t),i=this._whitespaces.getHeightForWhitespaceIndex(t),e>=n+i)o=t+1;else{if(e>=n)return t;r=t}return o},e.prototype.getWhitespaceAtVerticalOffset=function(e){e|=0;var t=this.getWhitespaceIndexAtOrAfterVerticallOffset(e);if(t<0)return null;if(t>=this._whitespaces.getCount())return null;var n=this.getVerticalOffsetForWhitespaceIndex(t);if(n>e)return null;var i=this._whitespaces.getHeightForWhitespaceIndex(t);return{id:this._whitespaces.getIdForWhitespaceIndex(t),afterLineNumber:this._whitespaces.getAfterLineNumberForWhitespaceIndex(t),verticalOffset:n,height:i}},e.prototype.getWhitespaceViewportData=function(e,t){e|=0,t|=0
;var n=this.getWhitespaceIndexAtOrAfterVerticallOffset(e),i=this._whitespaces.getCount()-1;if(n<0)return[];for(var o=[],r=n;r<=i;r++){var s=this.getVerticalOffsetForWhitespaceIndex(r),a=this._whitespaces.getHeightForWhitespaceIndex(r);if(s>=t)break;o.push({id:this._whitespaces.getIdForWhitespaceIndex(r),afterLineNumber:this._whitespaces.getAfterLineNumberForWhitespaceIndex(r),verticalOffset:s,height:a})}return o},e.prototype.getWhitespaces=function(){return this._whitespaces.getWhitespaces(this._lineHeight)},e}();t.LinesLayout=i}),define(t[112],n([0,1,102]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(e,t){this.index=e,this.remainder=t}}();t.PrefixSumIndexOfResult=i;var o=function(){function e(e){this.values=e,this.prefixSum=new Uint32Array(e.length),this.prefixSumValidIndex=new Int32Array(1),this.prefixSumValidIndex[0]=-1}return e.prototype.getCount=function(){return this.values.length},e.prototype.insertValues=function(e,t){e=n.toUint32(e)
;var i=this.values,o=this.prefixSum,r=t.length;return 0!==r&&(this.values=new Uint32Array(i.length+r),this.values.set(i.subarray(0,e),0),this.values.set(i.subarray(e),e+r),this.values.set(t,e),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),this.prefixSum=new Uint32Array(this.values.length),this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(o.subarray(0,this.prefixSumValidIndex[0]+1)),!0)},e.prototype.changeValue=function(e,t){return e=n.toUint32(e),t=n.toUint32(t),this.values[e]!==t&&(this.values[e]=t,e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),!0)},e.prototype.removeValues=function(e,t){e=n.toUint32(e),t=n.toUint32(t);var i=this.values,o=this.prefixSum;if(e>=i.length)return!1;var r=i.length-e;return t>=r&&(t=r),0!==t&&(this.values=new Uint32Array(i.length-t),this.values.set(i.subarray(0,e),0),this.values.set(i.subarray(e+t),e),this.prefixSum=new Uint32Array(this.values.length),e-1<this.prefixSumValidIndex[0]&&(this.prefixSumValidIndex[0]=e-1),
this.prefixSumValidIndex[0]>=0&&this.prefixSum.set(o.subarray(0,this.prefixSumValidIndex[0]+1)),!0)},e.prototype.getTotalValue=function(){return 0===this.values.length?0:this._getAccumulatedValue(this.values.length-1)},e.prototype.getAccumulatedValue=function(e){return e<0?0:(e=n.toUint32(e),this._getAccumulatedValue(e))},e.prototype._getAccumulatedValue=function(e){if(e<=this.prefixSumValidIndex[0])return this.prefixSum[e];var t=this.prefixSumValidIndex[0]+1;0===t&&(this.prefixSum[0]=this.values[0],t++),e>=this.values.length&&(e=this.values.length-1);for(var n=t;n<=e;n++)this.prefixSum[n]=this.prefixSum[n-1]+this.values[n];return this.prefixSumValidIndex[0]=Math.max(this.prefixSumValidIndex[0],e),this.prefixSum[e]},e.prototype.getIndexOf=function(e){e=Math.floor(e),this.getTotalValue();for(var t,n,o,r=0,s=this.values.length-1;r<=s;)if(t=r+(s-r)/2|0,n=this.prefixSum[t],o=n-this.values[t],e<o)s=t-1;else{if(!(e>=n))break;r=t+1}return new i(t,e-o)},e}();t.PrefixSumComputer=o;var r=function(){function e(e){
this._cacheAccumulatedValueStart=0,this._cache=null,this._actual=new o(e),this._bustCache()}return e.prototype._bustCache=function(){this._cacheAccumulatedValueStart=0,this._cache=null},e.prototype.insertValues=function(e,t){this._actual.insertValues(e,t)&&this._bustCache()},e.prototype.changeValue=function(e,t){this._actual.changeValue(e,t)&&this._bustCache()},e.prototype.removeValues=function(e,t){this._actual.removeValues(e,t)&&this._bustCache()},e.prototype.getTotalValue=function(){return this._actual.getTotalValue()},e.prototype.getAccumulatedValue=function(e){return this._actual.getAccumulatedValue(e)},e.prototype.getIndexOf=function(e){if(e=Math.floor(e),null!==this._cache){var t=e-this._cacheAccumulatedValueStart;if(t>=0&&t<this._cache.length)return this._cache[t]}return this._actual.getIndexOf(e)},e.prototype.warmUpCache=function(e,t){for(var n=[],i=e;i<=t;i++)n[i-e]=this.getIndexOf(i);this._cache=n,this._cacheAccumulatedValueStart=e},e}();t.PrefixSumComputerWithCache=r}),
define(t[222],n([0,1,112,13]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n,i){this._uri=e,this._lines=t,this._eol=n,this._versionId=i}return e.prototype.dispose=function(){this._lines.length=0},Object.defineProperty(e.prototype,"version",{get:function(){return this._versionId},enumerable:!0,configurable:!0}),e.prototype.getText=function(){return this._lines.join(this._eol)},e.prototype.onEvents=function(e){e.eol&&e.eol!==this._eol&&(this._eol=e.eol,this._lineStarts=null);for(var t=e.changes,n=0,o=t.length;n<o;n++){var r=t[n];this._acceptDeleteRange(r.range),this._acceptInsertText(new i.Position(r.range.startLineNumber,r.range.startColumn),r.text)}this._versionId=e.versionId},e.prototype._ensureLineStarts=function(){if(!this._lineStarts){for(var e=this._eol.length,t=this._lines.length,i=new Uint32Array(t),o=0;o<t;o++)i[o]=this._lines[o].length+e;this._lineStarts=new n.PrefixSumComputer(i)}},e.prototype._setLineText=function(e,t){
this._lines[e]=t,this._lineStarts&&this._lineStarts.changeValue(e,this._lines[e].length+this._eol.length)},e.prototype._acceptDeleteRange=function(e){if(e.startLineNumber!==e.endLineNumber)this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.endLineNumber-1].substring(e.endColumn-1)),this._lines.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber),this._lineStarts&&this._lineStarts.removeValues(e.startLineNumber,e.endLineNumber-e.startLineNumber);else{if(e.startColumn===e.endColumn)return;this._setLineText(e.startLineNumber-1,this._lines[e.startLineNumber-1].substring(0,e.startColumn-1)+this._lines[e.startLineNumber-1].substring(e.endColumn-1))}},e.prototype._acceptInsertText=function(e,t){if(0!==t.length){var n=t.split(/\r\n|\r|\n/);if(1!==n.length){n[n.length-1]+=this._lines[e.lineNumber-1].substring(e.column-1),this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0])
;for(var i=new Uint32Array(n.length-1),o=1;o<n.length;o++)this._lines.splice(e.lineNumber+o-1,0,n[o]),i[o-1]=n[o].length+this._eol.length;this._lineStarts&&this._lineStarts.insertValues(e.lineNumber,i)}else this._setLineText(e.lineNumber-1,this._lines[e.lineNumber-1].substring(0,e.column-1)+n[0]+this._lines[e.lineNumber-1].substring(e.column-1))}},e}();t.MirrorTextModel=o}),define(t[223],n([0,1,29,8,3,450,138,13,222,521,543,101,159,15]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"version",{get:function(){return this._versionId},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"eol",{get:function(){return this._eol},enumerable:!0,configurable:!0}),t.prototype.getValue=function(){return this.getText()},
t.prototype.getLinesContent=function(){return this._lines.slice(0)},t.prototype.getLineCount=function(){return this._lines.length},t.prototype.getLineContent=function(e){return this._lines[e-1]},t.prototype.getWordAtPosition=function(e,t){var n=h.getWordAtText(e.column,h.ensureValidWordDefinition(t),this._lines[e.lineNumber-1],0);return n?new r.Range(e.lineNumber,n.startColumn,e.lineNumber,n.endColumn):null},t.prototype.getWordUntilPosition=function(e,t){var n=this.getWordAtPosition(e,t);return n?{word:this._lines[e.lineNumber-1].substring(n.startColumn-1,e.column-1),startColumn:n.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},t.prototype._getAllWords=function(e){var t=this,n=[];return this._lines.forEach(function(i){t._wordenize(i,e).forEach(function(e){n.push(i.substring(e.start,e.end))})}),n},t.prototype.getAllUniqueWords=function(e,t){var n=!1,i=Object.create(null);return this._getAllWords(e).filter(function(e){return t&&!n&&t===e?(n=!0,!1):!i[e]&&(i[e]=!0,!0)})},
t.prototype._wordenize=function(e,t){var n,i=[];for(t.lastIndex=0;(n=t.exec(e))&&0!==n[0].length;)i.push({start:n.index,end:n.index+n[0].length});return i},t.prototype.getValueInRange=function(e){if((e=this._validateRange(e)).startLineNumber===e.endLineNumber)return this._lines[e.startLineNumber-1].substring(e.startColumn-1,e.endColumn-1);var t=this._eol,n=e.startLineNumber-1,i=e.endLineNumber-1,o=[];o.push(this._lines[n].substring(e.startColumn-1));for(var r=n+1;r<i;r++)o.push(this._lines[r]);return o.push(this._lines[i].substring(0,e.endColumn-1)),o.join(t)},t.prototype.offsetAt=function(e){return e=this._validatePosition(e),this._ensureLineStarts(),this._lineStarts.getAccumulatedValue(e.lineNumber-2)+(e.column-1)},t.prototype.positionAt=function(e){e=Math.floor(e),e=Math.max(0,e),this._ensureLineStarts();var t=this._lineStarts.getIndexOf(e),n=this._lines[t.index].length;return{lineNumber:1+t.index,column:1+Math.min(t.remainder,n)}},t.prototype._validateRange=function(e){var t=this._validatePosition({
lineNumber:e.startLineNumber,column:e.startColumn}),n=this._validatePosition({lineNumber:e.endLineNumber,column:e.endColumn});return t.lineNumber!==e.startLineNumber||t.column!==e.startColumn||n.lineNumber!==e.endLineNumber||n.column!==e.endColumn?{startLineNumber:t.lineNumber,startColumn:t.column,endLineNumber:n.lineNumber,endColumn:n.column}:e},t.prototype._validatePosition=function(e){if(!l.Position.isIPosition(e))throw new Error("bad position");var t=e.lineNumber,n=e.column,i=!1;if(t<1)t=1,n=1,i=!0;else if(t>this._lines.length)t=this._lines.length,n=this._lines[t-1].length+1,i=!0;else{var o=this._lines[t-1].length+1;n<1?(n=1,i=!0):n>o&&(n=o,i=!0)}return i?{lineNumber:t,column:n}:e},t}(u.MirrorTextModel),m=function(){function t(e){this._foreignModuleFactory=e,this._foreignModule=null}return t.prototype.computeDiff=function(e,t,n){var o=this._getModel(e),r=this._getModel(t);if(!o||!r)return null;var a=o.getLinesContent(),l=r.getLinesContent(),u=new s.DiffComputer(a,l,{shouldPostProcessCharChanges:!0,
shouldIgnoreTrimWhitespace:n,shouldMakePrettyDiff:!0});return i.TPromise.as(u.computeDiff())},t.prototype.computeDirtyDiff=function(e,t,n){var o=this._getModel(e),r=this._getModel(t);if(!o||!r)return null;var a=o.getLinesContent(),l=r.getLinesContent(),u=new s.DiffComputer(a,l,{shouldPostProcessCharChanges:!1,shouldIgnoreTrimWhitespace:n,shouldMakePrettyDiff:!0});return i.TPromise.as(u.computeDiff())},t.prototype.computeMoreMinimalEdits=function(e,n){var o=this._getModel(e);if(!o)return i.TPromise.as(n);for(var s,l=[],u=0,c=n;u<c.length;u++){var d=c[u],h=d.range,p=d.text,f=d.eol;if("number"==typeof f&&(s=f),h){var g=o.getValueInRange(h);if(p=p.replace(/\r\n|\n|\r/g,o.eol),g!==p)if(Math.max(p.length,g.length)>t._diffLimit)l.push({range:h,text:p});else for(var m=a.stringDiff(g,p,!1),v=o.offsetAt(r.Range.lift(h).getStartPosition()),_=0,y=m;_<y.length;_++){var C=y[_],b=o.positionAt(v+C.originalStart),S=o.positionAt(v+C.originalStart+C.originalLength),w={text:p.substr(C.modifiedStart,C.modifiedLength),range:{
startLineNumber:b.lineNumber,startColumn:b.column,endLineNumber:S.lineNumber,endColumn:S.column}};o.getValueInRange(w.range)!==w.text&&l.push(w)}}}return"number"==typeof s&&l.push({eol:s,text:void 0,range:void 0}),i.TPromise.as(l)},t.prototype.computeLinks=function(e){var t=this._getModel(e);return t?i.TPromise.as(c.computeLinks(t)):null},t.prototype.textualSuggest=function(e,t,n,o){var r=this._getModel(e);if(r){for(var s=[],a=new RegExp(n,o),l=r.getWordUntilPosition(t,a).word,u=0,c=r.getAllUniqueWords(a);u<c.length;u++){var d=c[u];d!==l&&isNaN(Number(d))&&s.push({type:"text",label:d,insertText:d,noAutoAccept:!0,overwriteBefore:l.length})}return i.TPromise.as({suggestions:s})}},t.prototype.navigateValueSet=function(e,t,n,o,r){var s=this._getModel(e);if(!s)return null;var a=new RegExp(o,r);t.startColumn===t.endColumn&&(t={startLineNumber:t.startLineNumber,startColumn:t.startColumn,endLineNumber:t.endLineNumber,endColumn:t.endColumn+1});var l=s.getValueInRange(t),u=s.getWordAtPosition({
lineNumber:t.startLineNumber,column:t.startColumn},a),c=null;null!==u&&(c=s.getValueInRange(u));var h=d.BasicInplaceReplace.INSTANCE.navigateValueSet(t,l,u,c,n);return i.TPromise.as(h)},t.prototype.loadForeignModule=function(t,n){var o=this,r={getMirrorModels:function(){return o._getModels()}};if(this._foreignModuleFactory){this._foreignModule=this._foreignModuleFactory(r,n);var s=[];for(var a in this._foreignModule)"function"==typeof this._foreignModule[a]&&s.push(a);return i.TPromise.as(s)}return new i.TPromise(function(i,s){e([t],function(e){o._foreignModule=e.create(r,n);var t=[];for(var s in o._foreignModule)"function"==typeof o._foreignModule[s]&&t.push(s);i(t)},s)})},t.prototype.fmr=function(e,t){if(!this._foreignModule||"function"!=typeof this._foreignModule[e])return i.TPromise.wrapError(new Error("Missing requestHandler or method: "+e));try{return i.TPromise.as(this._foreignModule[e].apply(this._foreignModule,t))}catch(e){return i.TPromise.wrapError(e)}},t._diffLimit=1e4,t}()
;t.BaseEditorSimpleWorker=m;var v=function(e){function t(t){var n=e.call(this,t)||this;return n._models=Object.create(null),n}return o(t,e),t.prototype.dispose=function(){this._models=Object.create(null)},t.prototype._getModel=function(e){return this._models[e]},t.prototype._getModels=function(){var e=this,t=[];return Object.keys(this._models).forEach(function(n){return t.push(e._models[n])}),t},t.prototype.acceptNewModel=function(e){this._models[e.url]=new g(n.default.parse(e.url),e.lines,e.EOL,e.versionId)},t.prototype.acceptModelChanged=function(e,t){if(this._models[e]){this._models[e].onEvents(t)}},t.prototype.acceptRemovedModel=function(e){this._models[e]&&delete this._models[e]},t}(m);t.EditorSimpleWorkerImpl=v,t.create=function(){return new v(null)},"function"==typeof importScripts&&(f.globals.monaco=p.createMonacoBaseAPI())}),define(t[83],n([0,1,2]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(){var t=e.call(this)||this
;return t._shouldRender=!0,t}return o(t,e),t.prototype.shouldRender=function(){return this._shouldRender},t.prototype.forceShouldRender=function(){this._shouldRender=!0},t.prototype.setShouldRender=function(){this._shouldRender=!0},t.prototype.onDidRender=function(){this._shouldRender=!1},t.prototype.onConfigurationChanged=function(e){return!1},t.prototype.onCursorStateChanged=function(e){return!1},t.prototype.onDecorationsChanged=function(e){return!1},t.prototype.onFlushed=function(e){return!1},t.prototype.onFocusChanged=function(e){return!1},t.prototype.onLanguageConfigurationChanged=function(e){return!1},t.prototype.onLineMappingChanged=function(e){return!1},t.prototype.onLinesChanged=function(e){return!1},t.prototype.onLinesDeleted=function(e){return!1},t.prototype.onLinesInserted=function(e){return!1},t.prototype.onRevealRangeRequest=function(e){return!1},t.prototype.onScrollChanged=function(e){return!1},t.prototype.onTokensChanged=function(e){return!1},t.prototype.onTokensColorsChanged=function(e){
return!1},t.prototype.onZonesChanged=function(e){return!1},t.prototype.onThemeChanged=function(e){return!1},t.prototype.handleEvents=function(e){for(var t=!1,n=0,i=e.length;n<i;n++){var o=e[n];switch(o.type){case 1:this.onConfigurationChanged(o)&&(t=!0);break;case 2:this.onCursorStateChanged(o)&&(t=!0);break;case 3:this.onDecorationsChanged(o)&&(t=!0);break;case 4:this.onFlushed(o)&&(t=!0);break;case 5:this.onFocusChanged(o)&&(t=!0);break;case 16:this.onLanguageConfigurationChanged(o)&&(t=!0);break;case 6:this.onLineMappingChanged(o)&&(t=!0);break;case 7:this.onLinesChanged(o)&&(t=!0);break;case 8:this.onLinesDeleted(o)&&(t=!0);break;case 9:this.onLinesInserted(o)&&(t=!0);break;case 10:this.onRevealRangeRequest(o)&&(t=!0);break;case 11:this.onScrollChanged(o)&&(t=!0);break;case 12:this.onTokensChanged(o)&&(t=!0);break;case 13:this.onTokensColorsChanged(o)&&(t=!0);break;case 14:this.onZonesChanged(o)&&(t=!0);break;case 15:this.onThemeChanged(o)&&(t=!0);break;default:
console.info("View received unknown event: "),console.info(o)}}t&&(this._shouldRender=!0)},t}(n.Disposable);t.ViewEventHandler=i}),define(t[60],n([0,1,83]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t}(n.ViewEventHandler);t.DynamicViewOverlay=i}),define(t[34],n([0,1,83,26]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,e.prototype.dispose.call(this)},t}(n.ViewEventHandler);t.ViewPart=r;!function(e){e[e.None=0]="None",e[e.ContentWidgets=1]="ContentWidgets",e[e.OverflowingContentWidgets=2]="OverflowingContentWidgets",e[e.OverflowGuard=3]="OverflowGuard",e[e.OverlayWidgets=4]="OverlayWidgets",e[e.ScrollableElement=5]="ScrollableElement",
e[e.TextArea=6]="TextArea",e[e.ViewLines=7]="ViewLines",e[e.Minimap=8]="Minimap"}(t.PartFingerprint||(t.PartFingerprint={}));var s=function(){function e(){}return e.write=function(e,t){i.FastDomNode,e.setAttribute("data-mprt",String(t))},e.read=function(e){var t=e.getAttribute("data-mprt");return null===t?0:parseInt(t,10)},e.collect=function(e,t){for(var n=[],i=0;e&&e!==document.body&&e!==t;)e.nodeType===e.ELEMENT_NODE&&(n[i++]=this.read(e)),e=e.parentElement;for(var o=new Uint8Array(i),r=0;r<i;r++)o[r]=n[i-r-1];return o},e}();t.PartFingerprints=s}),define(t[227],n([0,1,10,26,24,34]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){return function(e,t){this.top=e,this.left=t}}(),l=function(e){function t(t,n){var o=e.call(this,t)||this;return o._viewDomNode=n,o._widgets={},o.domNode=i.createFastDomNode(document.createElement("div")),s.PartFingerprints.write(o.domNode,1),o.domNode.setClassName("contentWidgets"),o.domNode.setPosition("absolute"),
o.domNode.setTop(0),o.overflowingContentWidgetsDomNode=i.createFastDomNode(document.createElement("div")),s.PartFingerprints.write(o.overflowingContentWidgetsDomNode,2),o.overflowingContentWidgetsDomNode.setClassName("overflowingContentWidgets"),o}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._widgets=null,this.domNode=null},t.prototype.onConfigurationChanged=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].onConfigurationChanged(e)}return!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLineMappingChanged=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].onLineMappingChanged(e)}return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return!0},
t.prototype.onZonesChanged=function(e){return!0},t.prototype.addWidget=function(e){var t=new u(this._context,this._viewDomNode,e);this._widgets[t.id]=t,t.allowEditorOverflow?this.overflowingContentWidgetsDomNode.appendChild(t.domNode):this.domNode.appendChild(t.domNode),this.setShouldRender()},t.prototype.setWidgetPosition=function(e,t,n){this._widgets[e.getId()].setPosition(t,n),this.setShouldRender()},t.prototype.removeWidget=function(e){var t=e.getId();if(this._widgets.hasOwnProperty(t)){var n=this._widgets[t];delete this._widgets[t];var i=n.domNode.domNode;i.parentNode.removeChild(i),i.removeAttribute("monaco-visible-content-widget"),this.setShouldRender()}},t.prototype.shouldSuppressMouseDownOnWidget=function(e){return!!this._widgets.hasOwnProperty(e)&&this._widgets[e].suppressMouseDown},t.prototype.onBeforeRender=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].onBeforeRender(e)}},t.prototype.prepareRender=function(e){
for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].prepareRender(e)}},t.prototype.render=function(e){for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._widgets[o].render(e)}},t}(s.ViewPart);t.ViewContentWidgets=l;var u=function(){function e(e,t,n){this._context=e,this._viewDomNode=t,this._actual=n,this.domNode=i.createFastDomNode(this._actual.getDomNode()),this.id=this._actual.getId(),this.allowEditorOverflow=this._actual.allowEditorOverflow||!1,this.suppressMouseDown=this._actual.suppressMouseDown||!1,this._fixedOverflowWidgets=this._context.configuration.editor.viewInfo.fixedOverflowWidgets,this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth,this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,this._lineHeight=this._context.configuration.editor.lineHeight,this._setPosition(null),this._preference=null,this._cachedDomNodeClientWidth=-1,this._cachedDomNodeClientHeight=-1,
this._maxWidth=this._getMaxWidth(),this._isVisible=!1,this._renderData=null,this.domNode.setPosition(this._fixedOverflowWidgets&&this.allowEditorOverflow?"fixed":"absolute"),this.domNode.setVisibility("hidden"),this.domNode.setAttribute("widgetId",this.id),this.domNode.setMaxWidth(this._maxWidth)}return e.prototype.onConfigurationChanged=function(e){e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth,this._maxWidth=this._getMaxWidth())},e.prototype.onLineMappingChanged=function(e){this._setPosition(this._position)},e.prototype._setPosition=function(e){if(this._position=e,this._viewPosition=null,this._position){var t=this._context.model.validateModelPosition(this._position)
;this._context.model.coordinatesConverter.modelPositionIsVisible(t)&&(this._viewPosition=this._context.model.coordinatesConverter.convertModelPositionToViewPosition(t))}},e.prototype._getMaxWidth=function(){return this.allowEditorOverflow?window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth:this._contentWidth},e.prototype.setPosition=function(e,t){this._setPosition(e),this._preference=t,this._cachedDomNodeClientWidth=-1,this._cachedDomNodeClientHeight=-1},e.prototype._layoutBoxInViewport=function(e,t,n,i){var o=e.top,r=o,s=e.top+this._lineHeight,a=o-n,l=r>=n,u=s,c=i.viewportHeight-s>=n,d=e.left;return d+t>i.scrollLeft+i.viewportWidth&&(d=i.scrollLeft+i.viewportWidth-t),d<i.scrollLeft&&(d=i.scrollLeft),{aboveTop:a,fitsAbove:l,belowTop:u,fitsBelow:c,left:d}},e.prototype._layoutBoxInPage=function(e,t,i,o){var r=e.left-o.scrollLeft;if(r+t<0||r>this._contentWidth)return null
;var s=e.top-i,a=e.top+this._lineHeight,l=r+this._contentLeft,u=n.getDomNodePagePosition(this._viewDomNode.domNode),c=u.top+s-n.StandardWindow.scrollY,d=u.top+a-n.StandardWindow.scrollY,h=u.left+l-n.StandardWindow.scrollX,p=window.innerWidth||document.documentElement.clientWidth||document.body.clientWidth,f=c>=22,g=d+i<=(window.innerHeight||document.documentElement.clientHeight||document.body.clientHeight)-22;if(h+t+20>p){h-=m=h-(p-t-20),l-=m}if(h<0){var m=h;h-=m,l-=m}return this._fixedOverflowWidgets&&(s=c,a=d,l=h),{aboveTop:s,fitsAbove:f,belowTop:a,fitsBelow:g,left:l}},e.prototype._prepareRenderWidgetAtExactPositionOverflowing=function(e){return new a(e.top,e.left+this._contentLeft)},e.prototype._getTopLeft=function(e){if(!this._viewPosition)return null;var t=e.visibleRangeForPosition(this._viewPosition);if(!t)return null;var n=e.getVerticalOffsetForLineNumber(this._viewPosition.lineNumber)-e.scrollTop;return new a(n,t.left)},e.prototype._prepareRenderWidget=function(e,t){var n=this;if(!e)return null
;for(var i=null,o=function(){if(!i){if(-1===n._cachedDomNodeClientWidth||-1===n._cachedDomNodeClientHeight){var o=n.domNode.domNode;n._cachedDomNodeClientWidth=o.clientWidth,n._cachedDomNodeClientHeight=o.clientHeight}i=n.allowEditorOverflow?n._layoutBoxInPage(e,n._cachedDomNodeClientWidth,n._cachedDomNodeClientHeight,t):n._layoutBoxInViewport(e,n._cachedDomNodeClientWidth,n._cachedDomNodeClientHeight,t)}},s=1;s<=2;s++)for(var l=0;l<this._preference.length;l++){var u=this._preference[l];if(u===r.ContentWidgetPositionPreference.ABOVE){if(o(),!i)return null;if(2===s||i.fitsAbove)return new a(i.aboveTop,i.left)}else{if(u!==r.ContentWidgetPositionPreference.BELOW)return this.allowEditorOverflow?this._prepareRenderWidgetAtExactPositionOverflowing(e):e;if(o(),!i)return null;if(2===s||i.fitsBelow)return new a(i.belowTop,i.left)}}return null},e.prototype.onBeforeRender=function(e){
this._viewPosition&&this._preference&&(this._viewPosition.lineNumber<e.startLineNumber||this._viewPosition.lineNumber>e.endLineNumber||this.domNode.setMaxWidth(this._maxWidth))},e.prototype.prepareRender=function(e){var t=this._getTopLeft(e);this._renderData=this._prepareRenderWidget(t,e)},e.prototype.render=function(e){this._renderData?(this.allowEditorOverflow?(this.domNode.setTop(this._renderData.top),this.domNode.setLeft(this._renderData.left)):(this.domNode.setTop(this._renderData.top+e.scrollTop-e.bigNumbersDelta),this.domNode.setLeft(this._renderData.left)),this._isVisible||(this.domNode.setVisibility("inherit"),this.domNode.setAttribute("monaco-visible-content-widget","true"),this._isVisible=!0)):this._isVisible&&(this.domNode.removeAttribute("monaco-visible-content-widget"),this._isVisible=!1,this.domNode.setVisibility("hidden"))},e}()}),define(t[228],n([0,1,60,3,92,272]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){
var n=e.call(this)||this;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._typicalHalfwidthCharacterWidth=n._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.fontInfo&&(this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged||e.scrollWidthChanged},
t.prototype.onZonesChanged=function(e){return!0},t.prototype.prepareRender=function(e){for(var t=e.getDecorationsInViewport(),n=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r];a.options.className&&(n[o++]=a)}n=n.sort(function(e,t){var n=e.options.className,o=t.options.className;return n<o?-1:n>o?1:i.Range.compareRangesUsingStarts(e.range,t.range)});for(var l=e.visibleRange.startLineNumber,u=e.visibleRange.endLineNumber,c=[],d=l;d<=u;d++){c[d-l]=""}this._renderWholeLineDecorations(e,n,c),this._renderNormalDecorations(e,n,c),this._renderResult=c},t.prototype._renderWholeLineDecorations=function(e,t,n){for(var i=String(this._lineHeight),o=e.visibleRange.startLineNumber,r=e.visibleRange.endLineNumber,s=0,a=t.length;s<a;s++){var l=t[s];if(l.options.isWholeLine)for(var u='<div class="cdr '+l.options.className+'" style="left:0;width:100%;height:'+i+'px;"></div>',c=Math.max(l.range.startLineNumber,o),d=Math.min(l.range.endLineNumber,r),h=c;h<=d;h++){n[h-o]+=u}}},t.prototype._renderNormalDecorations=function(e,t,n){
for(var o=String(this._lineHeight),s=e.visibleRange.startLineNumber,a=0,l=t.length;a<l;a++){var u=t[a];if(!u.options.isWholeLine){var c=u.options.className,d=u.options.showIfCollapsed,h=u.range;d&&1===h.endColumn&&h.endLineNumber!==h.startLineNumber&&(h=new i.Range(h.startLineNumber,h.startColumn,h.endLineNumber-1,this._context.model.getLineMaxColumn(h.endLineNumber-1)));var p=e.linesVisibleRangesForRange(h,"findMatch"===c);if(p)for(var f=0,g=p.length;f<g;f++){var m=p[f],v=m.lineNumber-s;if(d&&1===m.ranges.length){var _=m.ranges[0];0===_.width&&(m.ranges[0]=new r.HorizontalRange(_.left,this._typicalHalfwidthCharacterWidth))}for(var y=0,C=m.ranges.length;y<C;y++){var b=m.ranges[y],S='<div class="cdr '+c+'" style="left:'+String(b.left)+"px;width:"+String(b.width)+"px;height:"+o+'px;"></div>';n[v]+=S}}}}},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t}(n.DynamicViewOverlay);t.DecorationsOverlay=s}),
define(t[129],n([0,1,60,275]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){return function(e,t,n){this.startLineNumber=+e,this.endLineNumber=+t,this.className=String(n)}}();t.DecorationToRender=i;var r=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._render=function(e,t,n){for(var i=[],o=e;o<=t;o++){i[o-e]=[]}if(0===n.length)return i;n.sort(function(e,t){return e.className===t.className?e.startLineNumber===t.startLineNumber?e.endLineNumber-t.endLineNumber:e.startLineNumber-t.startLineNumber:e.className<t.className?-1:1});for(var r=null,s=0,a=0,l=n.length;a<l;a++){var u=n[a],c=u.className,d=Math.max(u.startLineNumber,e)-e,h=Math.min(u.endLineNumber,t)-e;r===c?(d=Math.max(s+1,d),s=Math.max(s,h)):(r=c,s=h);for(var p=d;p<=s;p++)i[p].push(r)}return i},t}(n.DynamicViewOverlay);t.DedupOverlay=r;var s=function(e){function t(t){var n=e.call(this)||this;return n._context=t,
n._lineHeight=n._context.configuration.editor.lineHeight,n._glyphMargin=n._context.configuration.editor.viewInfo.glyphMargin,n._glyphMarginLeft=n._context.configuration.editor.layoutInfo.glyphMarginLeft,n._glyphMarginWidth=n._context.configuration.editor.layoutInfo.glyphMarginWidth,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._glyphMargin=this._context.configuration.editor.viewInfo.glyphMargin),e.layoutInfo&&(this._glyphMarginLeft=this._context.configuration.editor.layoutInfo.glyphMarginLeft,this._glyphMarginWidth=this._context.configuration.editor.layoutInfo.glyphMarginWidth),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},
t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),n=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r],l=a.options.glyphMarginClassName;l&&(n[o++]=new i(a.range.startLineNumber,a.range.endLineNumber,l))}return n},t.prototype.prepareRender=function(e){if(this._glyphMargin){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._render(t,n,this._getDecorations(e)),o=this._lineHeight.toString(),r='" style="left:'+this._glyphMarginLeft.toString()+"px;width:"+this._glyphMarginWidth.toString()+"px;height:"+o+'px;"></div>',s=[],a=t;a<=n;a++){var l=a-t,u=i[l];0===u.length?s[l]="":s[l]='<div class="cgmr '+u.join(" ")+r}this._renderResult=s}else this._renderResult=null},t.prototype.render=function(e,t){
if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t}(r);t.GlyphMarginOverlay=s}),define(t[230],n([0,1,129,285]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._decorationsLeft=n._context.configuration.editor.layoutInfo.decorationsLeft,n._decorationsWidth=n._context.configuration.editor.layoutInfo.decorationsWidth,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.layoutInfo&&(this._decorationsLeft=this._context.configuration.editor.layoutInfo.decorationsLeft,this._decorationsWidth=this._context.configuration.editor.layoutInfo.decorationsWidth),!0},t.prototype.onDecorationsChanged=function(e){return!0},
t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),i=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r],l=a.options.linesDecorationsClassName;l&&(i[o++]=new n.DecorationToRender(a.range.startLineNumber,a.range.endLineNumber,l))}return i},t.prototype.prepareRender=function(e){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._render(t,n,this._getDecorations(e)),o='" style="left:'+this._decorationsLeft.toString()+"px;width:"+this._decorationsWidth.toString()+'px;"></div>',r=[],s=t;s<=n;s++){for(var a=s-t,l=i[a],u="",c=0,d=l.length;c<d;c++)u+='<div class="cldr '+l[c]+o;r[a]=u}this._renderResult=r},t.prototype.render=function(e,t){
return this._renderResult?this._renderResult[t-e]:""},t}(n.DedupOverlay);t.LinesDecorationsOverlay=i}),define(t[175],n([0,1,26,34]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var n=e.call(this,t)||this;return n._canUseLayerHinting=n._context.configuration.editor.canUseLayerHinting,n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n._glyphMarginLeft=n._context.configuration.editor.layoutInfo.glyphMarginLeft,n._glyphMarginWidth=n._context.configuration.editor.layoutInfo.glyphMarginWidth,n._domNode=n._createDomNode(),n}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this._domNode},t.prototype._createDomNode=function(){var e=n.createFastDomNode(document.createElement("div"));return e.setClassName("margin"),e.setPosition("absolute"),e.setAttribute("role","presentation"),e.setAttribute("aria-hidden","true"),
this._glyphMarginBackgroundDomNode=n.createFastDomNode(document.createElement("div")),this._glyphMarginBackgroundDomNode.setClassName(t.CLASS_NAME),e.appendChild(this._glyphMarginBackgroundDomNode),e},t.prototype.onConfigurationChanged=function(e){return e.canUseLayerHinting&&(this._canUseLayerHinting=this._context.configuration.editor.canUseLayerHinting),e.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,this._glyphMarginLeft=this._context.configuration.editor.layoutInfo.glyphMarginLeft,this._glyphMarginWidth=this._context.configuration.editor.layoutInfo.glyphMarginWidth),!0},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollTopChanged},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._domNode.setLayerHinting(this._canUseLayerHinting);var t=e.scrollTop-e.bigNumbersDelta;this._domNode.setTop(-t);var n=Math.min(e.scrollHeight,1e6);this._domNode.setHeight(n),
this._domNode.setWidth(this._contentLeft),this._glyphMarginBackgroundDomNode.setLeft(this._glyphMarginLeft),this._glyphMarginBackgroundDomNode.setWidth(this._glyphMarginWidth),this._glyphMarginBackgroundDomNode.setHeight(n)},t.CLASS_NAME="glyph-margin",t}(i.ViewPart);t.Margin=r}),define(t[232],n([0,1,129,288]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){
return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getDecorations=function(e){for(var t=e.getDecorationsInViewport(),i=[],o=0,r=0,s=t.length;r<s;r++){var a=t[r],l=a.options.marginClassName;l&&(i[o++]=new n.DecorationToRender(a.range.startLineNumber,a.range.endLineNumber,l))}return i},t.prototype.prepareRender=function(e){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._render(t,n,this._getDecorations(e)),o=[],r=t;r<=n;r++){for(var s=r-t,a=i[s],l="",u=0,c=a.length;u<c;u++)l+='<div class="cmdr '+a[u]+'" style=""></div>';o[s]=l}this._renderResult=o},t.prototype.render=function(e,t){return this._renderResult?this._renderResult[t-e]:""},t}(n.DedupOverlay);t.MarginViewLineDecorationsOverlay=i}),define(t[233],n([0,1,26,24,34,293]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){var i=e.call(this,t)||this;return i._widgets={},
i._verticalScrollbarWidth=i._context.configuration.editor.layoutInfo.verticalScrollbarWidth,i._minimapWidth=i._context.configuration.editor.layoutInfo.minimapWidth,i._horizontalScrollbarHeight=i._context.configuration.editor.layoutInfo.horizontalScrollbarHeight,i._editorHeight=i._context.configuration.editor.layoutInfo.height,i._editorWidth=i._context.configuration.editor.layoutInfo.width,i._domNode=n.createFastDomNode(document.createElement("div")),r.PartFingerprints.write(i._domNode,4),i._domNode.setClassName("overlayWidgets"),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._widgets=null},t.prototype.getDomNode=function(){return this._domNode},t.prototype.onConfigurationChanged=function(e){return!!e.layoutInfo&&(this._verticalScrollbarWidth=this._context.configuration.editor.layoutInfo.verticalScrollbarWidth,this._minimapWidth=this._context.configuration.editor.layoutInfo.minimapWidth,
this._horizontalScrollbarHeight=this._context.configuration.editor.layoutInfo.horizontalScrollbarHeight,this._editorHeight=this._context.configuration.editor.layoutInfo.height,this._editorWidth=this._context.configuration.editor.layoutInfo.width,!0)},t.prototype.addWidget=function(e){var t=n.createFastDomNode(e.getDomNode());this._widgets[e.getId()]={widget:e,preference:null,domNode:t},t.setPosition("absolute"),t.setAttribute("widgetId",e.getId()),this._domNode.appendChild(t),this.setShouldRender()},t.prototype.setWidgetPosition=function(e,t){var n=this._widgets[e.getId()];return n.preference!==t&&(n.preference=t,this.setShouldRender(),!0)},t.prototype.removeWidget=function(e){var t=e.getId();if(this._widgets.hasOwnProperty(t)){var n=this._widgets[t].domNode.domNode;delete this._widgets[t],n.parentNode.removeChild(n),this.setShouldRender()}},t.prototype._renderWidget=function(e){var t=e.domNode;if(null!==e.preference)if(e.preference===i.OverlayWidgetPositionPreference.TOP_RIGHT_CORNER)t.setTop(0),
t.setRight(2*this._verticalScrollbarWidth+this._minimapWidth);else if(e.preference===i.OverlayWidgetPositionPreference.BOTTOM_RIGHT_CORNER){var n=t.domNode.clientHeight;t.setTop(this._editorHeight-n-2*this._horizontalScrollbarHeight),t.setRight(2*this._verticalScrollbarWidth+this._minimapWidth)}else e.preference===i.OverlayWidgetPositionPreference.TOP_CENTER&&(t.setTop(0),t.domNode.style.right="50%");else t.unsetTop()},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._domNode.setWidth(this._editorWidth);for(var t=Object.keys(this._widgets),n=0,i=t.length;n<i;n++){var o=t[n];this._renderWidget(this._widgets[o])}},t}(r.ViewPart);t.ViewOverlayWidgets=s}),define(t[234],n([0,1,83,160,26]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t,n){var o=e.call(this)||this;return o._context=t,o._domNode=r.createFastDomNode(document.createElement("canvas")),o._domNode.setClassName(n),o._domNode.setPosition("absolute"),
o._domNode.setLayerHinting(!0),o._zoneManager=new i.OverviewZoneManager(function(e){return o._context.viewLayout.getVerticalOffsetForLineNumber(e)}),o._zoneManager.setDOMWidth(0),o._zoneManager.setDOMHeight(0),o._zoneManager.setOuterHeight(o._context.viewLayout.getScrollHeight()),o._zoneManager.setLineHeight(o._context.configuration.editor.lineHeight),o._zoneManager.setPixelRatio(o._context.configuration.editor.pixelRatio),o._context.addEventHandler(o),o}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._zoneManager=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._zoneManager.setLineHeight(this._context.configuration.editor.lineHeight),this._render()),e.pixelRatio&&(this._zoneManager.setPixelRatio(this._context.configuration.editor.pixelRatio),this._domNode.setWidth(this._zoneManager.getDOMWidth()),this._domNode.setHeight(this._zoneManager.getDOMHeight()),
this._domNode.domNode.width=this._zoneManager.getCanvasWidth(),this._domNode.domNode.height=this._zoneManager.getCanvasHeight(),this._render()),!0},t.prototype.onFlushed=function(e){return this._render(),!0},t.prototype.onScrollChanged=function(e){return e.scrollHeightChanged&&(this._zoneManager.setOuterHeight(e.scrollHeight),this._render()),!0},t.prototype.onZonesChanged=function(e){return this._render(),!0},t.prototype.getDomNode=function(){return this._domNode.domNode},t.prototype.setLayout=function(e){this._domNode.setTop(e.top),this._domNode.setRight(e.right);var t=!1;t=this._zoneManager.setDOMWidth(e.width)||t,(t=this._zoneManager.setDOMHeight(e.height)||t)&&(this._domNode.setWidth(this._zoneManager.getDOMWidth()),this._domNode.setHeight(this._zoneManager.getDOMHeight()),this._domNode.domNode.width=this._zoneManager.getCanvasWidth(),this._domNode.domNode.height=this._zoneManager.getCanvasHeight(),this._render())},t.prototype.setZones=function(e){this._zoneManager.setZones(e),this._render()},
t.prototype._render=function(){if(0===this._zoneManager.getOuterHeight())return!1;var e=this._zoneManager.getCanvasWidth(),t=this._zoneManager.getCanvasHeight(),n=this._zoneManager.resolveColorZones(),i=this._zoneManager.getId2Color(),o=this._domNode.domNode.getContext("2d");return o.clearRect(0,0,e,t),n.length>0&&this._renderOneLane(o,n,i,e),!0},t.prototype._renderOneLane=function(e,t,n,i){for(var o=0,r=0,s=0,a=0,l=t.length;a<l;a++){var u=t[a],c=u.colorId,d=u.from,h=u.to;c!==o?(e.fillRect(0,r,i,s-r),o=c,e.fillStyle=n[o],r=d,s=h):s>=d?s=Math.max(s,h):(e.fillRect(0,r,i,s-r),r=d,s=h)}e.fillRect(0,r,i,s-r)},t}(n.ViewEventHandler);t.OverviewRuler=s}),define(t[235],n([0,1,12,26,34,13]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this,t)||this;return n._lineHeight=n._context.configuration.editor.lineHeight,n._contentWidth=n._context.configuration.editor.layoutInfo.contentWidth,
n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n.domNode=i.createFastDomNode(document.createElement("div")),n.domNode.setClassName("view-zones"),n.domNode.setPosition("absolute"),n.domNode.setAttribute("role","presentation"),n.domNode.setAttribute("aria-hidden","true"),n.marginDomNode=i.createFastDomNode(document.createElement("div")),n.marginDomNode.setClassName("margin-view-zones"),n.marginDomNode.setPosition("absolute"),n.marginDomNode.setAttribute("role","presentation"),n.marginDomNode.setAttribute("aria-hidden","true"),n._zones={},n}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._zones={}},t.prototype._recomputeWhitespacesProps=function(){for(var e=!1,t=Object.keys(this._zones),n=0,i=t.length;n<i;n++){var o=t[n],r=this._zones[o],s=this._computeWhitespaceProps(r.delegate);this._context.viewLayout.changeWhitespace(parseInt(o,10),s.afterViewLineNumber,s.heightInPx)&&(this._safeCallOnComputedHeight(r.delegate,s.heightInPx),e=!0)}return e},
t.prototype.onConfigurationChanged=function(e){return e.lineHeight?(this._lineHeight=this._context.configuration.editor.lineHeight,this._recomputeWhitespacesProps()):(e.layoutInfo&&(this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth,this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft),!0)},t.prototype.onLineMappingChanged=function(e){return this._recomputeWhitespacesProps()},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged||e.scrollWidthChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype._getZoneOrdinal=function(e){return void 0!==e.afterColumn?e.afterColumn:1e4},t.prototype._computeWhitespaceProps=function(e){if(0===e.afterLineNumber)return{afterViewLineNumber:0,heightInPx:this._heightInPixels(e)};var t;if(void 0!==e.afterColumn)t=this._context.model.validateModelPosition({lineNumber:e.afterLineNumber,column:e.afterColumn
});else{var n=this._context.model.validateModelPosition({lineNumber:e.afterLineNumber,column:1}).lineNumber;t=new s.Position(n,this._context.model.getModelLineMaxColumn(n))}var i;i=t.column===this._context.model.getModelLineMaxColumn(t.lineNumber)?this._context.model.validateModelPosition({lineNumber:t.lineNumber+1,column:1}):this._context.model.validateModelPosition({lineNumber:t.lineNumber,column:t.column+1});var o=this._context.model.coordinatesConverter.convertModelPositionToViewPosition(t),r=this._context.model.coordinatesConverter.modelPositionIsVisible(i);return{afterViewLineNumber:o.lineNumber,heightInPx:r?this._heightInPixels(e):0}},t.prototype.addZone=function(e){var t=this._computeWhitespaceProps(e),n={whitespaceId:this._context.viewLayout.addWhitespace(t.afterViewLineNumber,this._getZoneOrdinal(e),t.heightInPx),delegate:e,isVisible:!1,domNode:i.createFastDomNode(e.domNode),marginDomNode:e.marginDomNode?i.createFastDomNode(e.marginDomNode):null}
;return this._safeCallOnComputedHeight(n.delegate,t.heightInPx),n.domNode.setPosition("absolute"),n.domNode.domNode.style.width="100%",n.domNode.setDisplay("none"),n.domNode.setAttribute("monaco-view-zone",n.whitespaceId.toString()),this.domNode.appendChild(n.domNode),n.marginDomNode&&(n.marginDomNode.setPosition("absolute"),n.marginDomNode.domNode.style.width="100%",n.marginDomNode.setDisplay("none"),n.marginDomNode.setAttribute("monaco-view-zone",n.whitespaceId.toString()),this.marginDomNode.appendChild(n.marginDomNode)),this._zones[n.whitespaceId.toString()]=n,this.setShouldRender(),n.whitespaceId},t.prototype.removeZone=function(e){if(this._zones.hasOwnProperty(e.toString())){var t=this._zones[e.toString()];return delete this._zones[e.toString()],this._context.viewLayout.removeWhitespace(t.whitespaceId),t.domNode.removeAttribute("monaco-visible-view-zone"),t.domNode.removeAttribute("monaco-view-zone"),t.domNode.domNode.parentNode.removeChild(t.domNode.domNode),
t.marginDomNode&&(t.marginDomNode.removeAttribute("monaco-visible-view-zone"),t.marginDomNode.removeAttribute("monaco-view-zone"),t.marginDomNode.domNode.parentNode.removeChild(t.marginDomNode.domNode)),this.setShouldRender(),!0}return!1},t.prototype.layoutZone=function(e){var t=!1;if(this._zones.hasOwnProperty(e.toString())){var n=this._zones[e.toString()],i=this._computeWhitespaceProps(n.delegate);(t=this._context.viewLayout.changeWhitespace(n.whitespaceId,i.afterViewLineNumber,i.heightInPx)||t)&&(this._safeCallOnComputedHeight(n.delegate,i.heightInPx),this.setShouldRender())}return t},t.prototype.shouldSuppressMouseDownOnViewZone=function(e){if(this._zones.hasOwnProperty(e.toString())){return this._zones[e.toString()].delegate.suppressMouseDown}return!1},t.prototype._heightInPixels=function(e){return"number"==typeof e.heightInPx?e.heightInPx:"number"==typeof e.heightInLines?this._lineHeight*e.heightInLines:this._lineHeight},t.prototype._safeCallOnComputedHeight=function(e,t){
if("function"==typeof e.onComputedHeight)try{e.onComputedHeight(t)}catch(e){n.onUnexpectedError(e)}},t.prototype._safeCallOnDomNodeTop=function(e,t){if("function"==typeof e.onDomNodeTop)try{e.onDomNodeTop(t)}catch(e){n.onUnexpectedError(e)}},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){for(var t=e.viewportData.whitespaceViewportData,n={},i=!1,o=0,r=t.length;o<r;o++)n[t[o].id.toString()]=t[o],i=!0;for(var s=Object.keys(this._zones),o=0,r=s.length;o<r;o++){var a=s[o],l=this._zones[a],u=0,c=0,d="none";n.hasOwnProperty(a)?(u=n[a].verticalOffset-e.bigNumbersDelta,c=n[a].height,d="block",l.isVisible||(l.domNode.setAttribute("monaco-visible-view-zone","true"),l.isVisible=!0),this._safeCallOnDomNodeTop(l.delegate,e.getScrolledTopFromAbsoluteTop(n[a].verticalOffset))):(l.isVisible&&(l.domNode.removeAttribute("monaco-visible-view-zone"),l.isVisible=!1),this._safeCallOnDomNodeTop(l.delegate,e.getScrolledTopFromAbsoluteTop(-1e6))),l.domNode.setTop(u),l.domNode.setHeight(c),
l.domNode.setDisplay(d),l.marginDomNode&&(l.marginDomNode.setTop(u),l.marginDomNode.setHeight(c),l.marginDomNode.setDisplay(d))}i&&(this.domNode.setWidth(Math.max(e.scrollWidth,this._contentWidth)),this.marginDomNode.setWidth(this._contentLeft))},t}(r.ViewPart);t.ViewZones=a}),define(t[88],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e,t,n,i){this.top=0|e,this.left=0|t,this.width=0|n,this.height=0|i}}();t.Viewport=n;var i=function(){return function(e,t){this.tabSize=e,this.data=t}}();t.MinimapLinesRenderingData=i;var o=function(){return function(e,t,n,i){this.content=e,this.minColumn=t,this.maxColumn=n,this.tokens=i}}();t.ViewLineData=o;var r=function(){return function(e,t,n,i,o,r,s,a){this.minColumn=e,this.maxColumn=t,this.content=n,this.mightContainRTL=i,this.mightContainNonBasicASCII=o,this.tokens=r,this.inlineDecorations=s,this.tabSize=a}}();t.ViewLineRenderingData=r;!function(e){e[e.Regular=0]="Regular",e[e.Before=1]="Before",
e[e.After=2]="After"}(t.InlineDecorationType||(t.InlineDecorationType={}));var s=function(){return function(e,t,n){this.range=e,this.inlineClassName=t,this.type=n}}();t.InlineDecoration=s;var a=function(){return function(e,t){this.range=e,this.options=t}}();t.ViewModelDecoration=a}),define(t[237],n([0,1,2,42,220,88]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n,o){var s=e.call(this)||this;return s._configuration=t,s._linesLayout=new r.LinesLayout(n,s._configuration.editor.lineHeight),s.scrollable=s._register(new i.Scrollable(0,o)),s._configureSmoothScrollDuration(),s.scrollable.setScrollDimensions({width:t.editor.layoutInfo.contentWidth,height:t.editor.layoutInfo.contentHeight}),s.onDidScroll=s.scrollable.onScroll,s._updateHeight(),s}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onHeightMaybeChanged=function(){this._updateHeight()},t.prototype._configureSmoothScrollDuration=function(){
this.scrollable.setSmoothScrollDuration(this._configuration.editor.viewInfo.smoothScrolling?125:0)},t.prototype.onConfigurationChanged=function(e){e.lineHeight&&this._linesLayout.setLineHeight(this._configuration.editor.lineHeight),e.layoutInfo&&this.scrollable.setScrollDimensions({width:this._configuration.editor.layoutInfo.contentWidth,height:this._configuration.editor.layoutInfo.contentHeight}),e.viewInfo&&this._configureSmoothScrollDuration(),this._updateHeight()},t.prototype.onFlushed=function(e){this._linesLayout.onFlushed(e),this._updateHeight()},t.prototype.onLinesDeleted=function(e,t){this._linesLayout.onLinesDeleted(e,t),this._updateHeight()},t.prototype.onLinesInserted=function(e,t){this._linesLayout.onLinesInserted(e,t),this._updateHeight()},t.prototype._getHorizontalScrollbarHeight=function(e){return this._configuration.editor.viewInfo.scrollbar.horizontal===i.ScrollbarVisibility.Hidden?0:e.width>=e.scrollWidth?0:this._configuration.editor.viewInfo.scrollbar.horizontalScrollbarSize},
t.prototype._getTotalHeight=function(){var e=this.scrollable.getScrollDimensions(),t=this._linesLayout.getLinesTotalHeight();return this._configuration.editor.viewInfo.scrollBeyondLastLine?t+=e.height-this._configuration.editor.lineHeight:t+=this._getHorizontalScrollbarHeight(e),Math.max(e.height,t)},t.prototype._updateHeight=function(){this.scrollable.setScrollDimensions({scrollHeight:this._getTotalHeight()})},t.prototype.getCurrentViewport=function(){var e=this.scrollable.getScrollDimensions(),t=this.scrollable.getCurrentScrollPosition();return new s.Viewport(t.scrollTop,t.scrollLeft,e.width,e.height)},t.prototype.getFutureViewport=function(){var e=this.scrollable.getScrollDimensions(),t=this.scrollable.getFutureScrollPosition();return new s.Viewport(t.scrollTop,t.scrollLeft,e.width,e.height)},t.prototype._computeScrollWidth=function(e,n){return this._configuration.editor.wrappingInfo.isViewportWrapping?Math.max(e,n):Math.max(e+t.LINES_HORIZONTAL_EXTRA_PX,n)},t.prototype.onMaxLineWidthChanged=function(e){
var t=this._computeScrollWidth(e,this.getCurrentViewport().width);this.scrollable.setScrollDimensions({scrollWidth:t}),this._updateHeight()},t.prototype.saveState=function(){var e=this.scrollable.getFutureScrollPosition(),t=e.scrollTop,n=this._linesLayout.getLineNumberAtOrAfterVerticalOffset(t);return{scrollTop:t,scrollTopWithoutViewZones:t-this._linesLayout.getWhitespaceAccumulatedHeightBeforeLineNumber(n),scrollLeft:e.scrollLeft}},t.prototype.addWhitespace=function(e,t,n){return this._linesLayout.insertWhitespace(e,t,n)},t.prototype.changeWhitespace=function(e,t,n){return this._linesLayout.changeWhitespace(e,t,n)},t.prototype.removeWhitespace=function(e){return this._linesLayout.removeWhitespace(e)},t.prototype.getVerticalOffsetForLineNumber=function(e){return this._linesLayout.getVerticalOffsetForLineNumber(e)},t.prototype.isAfterLines=function(e){return this._linesLayout.isAfterLines(e)},t.prototype.getLineNumberAtVerticalOffset=function(e){return this._linesLayout.getLineNumberAtOrAfterVerticalOffset(e)
},t.prototype.getWhitespaceAtVerticalOffset=function(e){return this._linesLayout.getWhitespaceAtVerticalOffset(e)},t.prototype.getLinesViewportData=function(){var e=this.getCurrentViewport();return this._linesLayout.getLinesViewportData(e.top,e.top+e.height)},t.prototype.getLinesViewportDataAtScrollTop=function(e){var t=this.scrollable.getScrollDimensions();return e+t.height>t.scrollHeight&&(e=t.scrollHeight-t.height),e<0&&(e=0),this._linesLayout.getLinesViewportData(e,e+t.height)},t.prototype.getWhitespaceViewportData=function(){var e=this.getCurrentViewport();return this._linesLayout.getWhitespaceViewportData(e.top,e.top+e.height)},t.prototype.getWhitespaces=function(){return this._linesLayout.getWhitespaces()},t.prototype.getScrollWidth=function(){return this.scrollable.getScrollDimensions().scrollWidth},t.prototype.getScrollHeight=function(){return this.scrollable.getScrollDimensions().scrollHeight},t.prototype.getCurrentScrollLeft=function(){return this.scrollable.getCurrentScrollPosition().scrollLeft},
t.prototype.getCurrentScrollTop=function(){return this.scrollable.getCurrentScrollPosition().scrollTop},t.prototype.validateScrollPosition=function(e){return this.scrollable.validateScrollPosition(e)},t.prototype.setScrollPositionNow=function(e){this.scrollable.setScrollPositionNow(e)},t.prototype.setScrollPositionSmooth=function(e){this.scrollable.setScrollPositionSmooth(e)},t.prototype.deltaScrollNow=function(e,t){var n=this.scrollable.getCurrentScrollPosition();this.scrollable.setScrollPositionNow({scrollLeft:n.scrollLeft+e,scrollTop:n.scrollTop+t})},t.LINES_HORIZONTAL_EXTRA_PX=30,t}(n.Disposable);t.ViewLayout=a}),define(t[238],n([0,1,3,13,88]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,i,o){this.editorId=e,this.model=t,this.configuration=n,this._linesCollection=i,this._coordinatesConverter=o,this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()}
return e.prototype._clearCachedModelDecorationsResolver=function(){this._cachedModelDecorationsResolver=null,this._cachedModelDecorationsResolverViewRange=null},e.prototype.dispose=function(){this._decorationsCache=null,this._clearCachedModelDecorationsResolver()},e.prototype.reset=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype.onModelDecorationsChanged=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype.onLineMappingChanged=function(){this._decorationsCache=Object.create(null),this._clearCachedModelDecorationsResolver()},e.prototype._getOrCreateViewModelDecoration=function(e){var t=e.id,r=this._decorationsCache[t];if(!r){var s=e.range,a=e.options,l=void 0;if(a.isWholeLine){
var u=this._coordinatesConverter.convertModelPositionToViewPosition(new i.Position(s.startLineNumber,1)),c=this._coordinatesConverter.convertModelPositionToViewPosition(new i.Position(s.endLineNumber,this.model.getLineMaxColumn(s.endLineNumber)));l=new n.Range(u.lineNumber,u.column,c.lineNumber,c.column)}else l=this._coordinatesConverter.convertModelRangeToViewRange(s);r=new o.ViewModelDecoration(l,a),this._decorationsCache[t]=r}return r},e.prototype.getDecorationsViewportData=function(e){var t=!0;return t=t&&null!==this._cachedModelDecorationsResolver,(t=t&&e.equalsRange(this._cachedModelDecorationsResolverViewRange))||(this._cachedModelDecorationsResolver=this._getDecorationsViewportData(e),this._cachedModelDecorationsResolverViewRange=e),this._cachedModelDecorationsResolver},e.prototype._getDecorationsViewportData=function(e){for(var t=this._linesCollection.getDecorationsInRange(e,this.editorId,this.configuration.editor.readOnly),i=e.startLineNumber,r=e.endLineNumber,s=[],a=0,l=[],u=i;u<=r;u++)l[u-i]=[]
;for(var c=0,d=t.length;c<d;c++){var h=t[c],p=h.options,f=this._getOrCreateViewModelDecoration(h),g=f.range;if(s[a++]=f,p.inlineClassName)for(var m=new o.InlineDecoration(g,p.inlineClassName,0),v=Math.max(i,g.startLineNumber),_=Math.min(r,g.endLineNumber),u=v;u<=_;u++)l[u-i].push(m);if(p.beforeContentClassName&&i<=g.startLineNumber&&g.startLineNumber<=r){m=new o.InlineDecoration(new n.Range(g.startLineNumber,g.startColumn,g.startLineNumber,g.startColumn),p.beforeContentClassName,1);l[g.startLineNumber-i].push(m)}if(p.afterContentClassName&&i<=g.endLineNumber&&g.endLineNumber<=r){m=new o.InlineDecoration(new n.Range(g.endLineNumber,g.endColumn,g.endLineNumber,g.endColumn),p.afterContentClassName,2);l[g.endLineNumber-i].push(m)}}return{decorations:s,inlineDecorations:l}},e}();t.ViewModelDecorations=r}),define(t[239],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._selection=e,this._isMovingLeft=t}
return e.prototype.getEditOperations=function(e,t){var i=this._selection;if(this._selectionId=t.trackSelection(i),i.startLineNumber===i.endLineNumber&&(!this._isMovingLeft||0!==i.startColumn)&&(this._isMovingLeft||i.endColumn!==e.getLineMaxColumn(i.startLineNumber))){var o,r,s,a=i.selectionStartLineNumber,l=e.getLineContent(a);this._isMovingLeft?(o=l.substring(0,i.startColumn-2),r=l.substring(i.startColumn-1,i.endColumn-1),s=l.substring(i.startColumn-2,i.startColumn-1)+l.substring(i.endColumn-1)):(o=l.substring(0,i.startColumn-1)+l.substring(i.endColumn-1,i.endColumn),r=l.substring(i.startColumn-1,i.endColumn-1),s=l.substring(i.endColumn));var u=o+r+s;t.addEditOperation(new n.Range(a,1,a,e.getLineMaxColumn(a)),null),t.addEditOperation(new n.Range(a,1,a,1),u),this._cutStartIndex=i.startColumn+(this._isMovingLeft?-1:1),this._cutEndIndex=this._cutStartIndex+i.endColumn-i.startColumn,this._moved=!0}},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId)
;return this._moved&&(n=(n=n.setStartPosition(n.startLineNumber,this._cutStartIndex)).setEndPosition(n.startLineNumber,this._cutEndIndex)),n},e}();t.MoveCaretCommand=i}),define(t[240],n([0,1,4]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,i){this.presentationIndex=i,this._onColorFlushed=new n.Emitter,this.onColorFlushed=this._onColorFlushed.event,this._onDidChangeColor=new n.Emitter,this.onDidChangeColor=this._onDidChangeColor.event,this._onDidChangePresentation=new n.Emitter,this.onDidChangePresentation=this._onDidChangePresentation.event,this.originalColor=e,this._color=e,this._colorPresentations=t}return Object.defineProperty(e.prototype,"color",{get:function(){return this._color},set:function(e){this._color.equals(e)||(this._color=e,this._onDidChangeColor.fire(e))},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"presentation",{get:function(){return this.colorPresentations[this.presentationIndex]},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"colorPresentations",{get:function(){return this._colorPresentations},set:function(e){this._colorPresentations=e,this.presentationIndex>e.length-1&&(this.presentationIndex=0),this._onDidChangePresentation.fire(this.presentation)},enumerable:!0,configurable:!0}),e.prototype.selectNextColorPresentation=function(){this.presentationIndex=(this.presentationIndex+1)%this.colorPresentations.length,this.flushColor(),this._onDidChangePresentation.fire(this.presentation)},e.prototype.guessColorPresentation=function(e,t){for(var n=0;n<this.colorPresentations.length;n++)if(t===this.colorPresentations[n].label){this.presentationIndex=n,this._onDidChangePresentation.fire(this.presentation);break}},e.prototype.flushColor=function(){this._onColorFlushed.fire(this._color)},e}();t.ColorPickerModel=i}),define(t[177],n([0,1,51,13,3,20,43]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){this._selection=e,
this._usedEndToken=null}return e._haystackHasNeedleAtOffset=function(e,t,n){if(n<0)return!1;var i=t.length;if(n+i>e.length)return!1;for(var o=0;o<i;o++){var r=e.charCodeAt(n+o),s=t.charCodeAt(o);if(r!==s&&!(r>=65&&r<=90&&r+32===s||s>=65&&s<=90&&s+32===r))return!1}return!0},e.prototype._createOperationsForBlockComment=function(t,n,i,r){var s=t.startLineNumber,a=t.startColumn,l=t.endLineNumber,u=t.endColumn,c=i.getLineContent(s),d=i.getLineContent(l),h=n.blockCommentStartToken,p=n.blockCommentEndToken,f=c.lastIndexOf(h,a-1+h.length),g=d.indexOf(p,u-1-p.length);if(-1!==f&&-1!==g)if(s===l){c.substring(f+h.length,g).indexOf(p)>=0&&(f=-1,g=-1)}else{var m=c.substring(f+h.length),v=d.substring(0,g);(m.indexOf(p)>=0||v.indexOf(p)>=0)&&(f=-1,g=-1)}var _;-1!==f&&-1!==g?(f+h.length<c.length&&32===c.charCodeAt(f+h.length)&&(h+=" "),g>0&&32===d.charCodeAt(g-1)&&(p=" "+p,g-=1),_=e._createRemoveBlockCommentOperations(new o.Range(s,f+h.length+1,l,g+1),h,p)):(_=e._createAddBlockCommentOperations(t,h,p),
this._usedEndToken=1===_.length?p:null);for(var y=0;y<_.length;y++)r.addTrackedEditOperation(_[y].range,_[y].text)},e._createRemoveBlockCommentOperations=function(e,t,i){var r=[];return o.Range.isEmpty(e)?r.push(n.EditOperation.delete(new o.Range(e.startLineNumber,e.startColumn-t.length,e.endLineNumber,e.endColumn+i.length))):(r.push(n.EditOperation.delete(new o.Range(e.startLineNumber,e.startColumn-t.length,e.startLineNumber,e.startColumn))),r.push(n.EditOperation.delete(new o.Range(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn+i.length)))),r},e._createAddBlockCommentOperations=function(e,t,r){var s=[];return o.Range.isEmpty(e)?s.push(n.EditOperation.replace(new o.Range(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn),t+"  "+r)):(s.push(n.EditOperation.insert(new i.Position(e.startLineNumber,e.startColumn),t+" ")),s.push(n.EditOperation.insert(new i.Position(e.endLineNumber,e.endColumn)," "+r))),s},e.prototype.getEditOperations=function(e,t){
var n=this._selection.startLineNumber,i=this._selection.startColumn;e.tokenizeIfCheap(n);var o=e.getLanguageIdAtPosition(n,i),r=s.LanguageConfigurationRegistry.getComments(o);r&&r.blockCommentStartToken&&r.blockCommentEndToken&&this._createOperationsForBlockComment(this._selection,r,e,t)},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations();if(2===n.length){var i=n[0],o=n[1];return new r.Selection(i.range.endLineNumber,i.range.endColumn,o.range.startLineNumber,o.range.startColumn)}var s=n[0].range,a=this._usedEndToken?-this._usedEndToken.length-1:0;return new r.Selection(s.endLineNumber,s.endColumn+a,s.endLineNumber,s.endColumn+a)},e}();t.BlockCommentCommand=a}),define(t[242],n([0,1,9,51,13,3,20,177,43]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Toggle=0]="Toggle",e[e.ForceAdd=1]="ForceAdd",e[e.ForceRemove=2]="ForceRemove"}(t.Type||(t.Type={}));var u=function(){function e(e,t,n){this._selection=e,this._tabSize=t,
this._type=n,this._deltaColumn=0}return e._gatherPreflightCommentStrings=function(e,t,n){e.tokenizeIfCheap(t);var i=e.getLanguageIdAtPosition(t,1),o=l.LanguageConfigurationRegistry.getComments(i),r=o?o.lineCommentToken:null;if(!r)return null;for(var s=[],a=0,u=n-t+1;a<u;a++)s[a]={ignore:!1,commentStr:r,commentStrOffset:0,commentStrLength:r.length};return s},e._analyzeLines=function(e,t,i,o){var r,s,l,u,c,d,h,p,f=!0;for(h=0===e||1!==e,u=0,c=i.length;u<c;u++)r=i[u],d=o+u,p=t.getLineContent(d),-1!==(s=n.firstNonWhitespaceIndex(p))?(f=!1,r.ignore=!1,r.commentStrOffset=s,h&&!a.BlockCommentCommand._haystackHasNeedleAtOffset(p,r.commentStr,s)&&(0===e?h=!1:1===e||(r.ignore=!0)),h&&(l=s+r.commentStrLength)<p.length&&32===p.charCodeAt(l)&&(r.commentStrLength+=1)):(r.ignore=!0,r.commentStrOffset=p.length);if(0===e&&f)for(h=!1,u=0,c=i.length;u<c;u++)i[u].ignore=!1;return{supported:!0,shouldRemoveComments:h,lines:i}},e._gatherPreflightData=function(t,n,i,o){var r=e._gatherPreflightCommentStrings(n,i,o);return null===r?{
supported:!1,shouldRemoveComments:!1,lines:null}:e._analyzeLines(t,n,r,i)},e.prototype._executeLineComments=function(t,n,i,r){var s;i.shouldRemoveComments?s=e._createRemoveLineCommentsOperations(i.lines,r.startLineNumber):(e._normalizeInsertionPoint(t,i.lines,r.startLineNumber,this._tabSize),s=e._createAddLineCommentsOperations(i.lines,r.startLineNumber));for(var a=new o.Position(r.positionLineNumber,r.positionColumn),l=0,u=s.length;l<u;l++)if(n.addEditOperation(s[l].range,s[l].text),s[l].range.isEmpty()&&s[l].range.getStartPosition().equals(a)){t.getLineContent(a.lineNumber).length+1===a.column&&(this._deltaColumn=s[l].text.length)}this._selectionId=n.trackSelection(r)},e.prototype._attemptRemoveBlockComment=function(e,t,n,i){var o=t.startLineNumber,s=t.endLineNumber,l=i.length+Math.max(e.getLineFirstNonWhitespaceColumn(t.startLineNumber),t.startColumn),u=e.getLineContent(o).lastIndexOf(n,l-1),c=e.getLineContent(s).indexOf(i,t.endColumn-1-n.length)
;return-1!==u&&-1===c&&(c=e.getLineContent(o).indexOf(i,u+n.length),s=o),-1===u&&-1!==c&&(u=e.getLineContent(s).lastIndexOf(n,c),o=s),!t.isEmpty()||-1!==u&&-1!==c||-1!==(u=e.getLineContent(o).indexOf(n))&&(c=e.getLineContent(o).indexOf(i,u+n.length)),-1!==u&&32===e.getLineContent(o).charCodeAt(u+n.length)&&(n+=" "),-1!==c&&32===e.getLineContent(s).charCodeAt(c-1)&&(i=" "+i,c-=1),-1!==u&&-1!==c?a.BlockCommentCommand._createRemoveBlockCommentOperations(new r.Range(o,u+n.length+1,s,c+1),n,i):null},e.prototype._executeBlockComment=function(e,t,i){e.tokenizeIfCheap(i.startLineNumber);var o=e.getLanguageIdAtPosition(i.startLineNumber,1),s=l.LanguageConfigurationRegistry.getComments(o);if(s&&s.blockCommentStartToken&&s.blockCommentEndToken){var u=s.blockCommentStartToken,c=s.blockCommentEndToken,d=this._attemptRemoveBlockComment(e,i,u,c);if(!d){if(i.isEmpty()){var h=e.getLineContent(i.startLineNumber),p=n.firstNonWhitespaceIndex(h);-1===p&&(p=h.length),
d=a.BlockCommentCommand._createAddBlockCommentOperations(new r.Range(i.startLineNumber,p+1,i.startLineNumber,h.length+1),u,c)}else d=a.BlockCommentCommand._createAddBlockCommentOperations(new r.Range(i.startLineNumber,e.getLineFirstNonWhitespaceColumn(i.startLineNumber),i.endLineNumber,e.getLineMaxColumn(i.endLineNumber)),u,c);1===d.length&&(this._deltaColumn=u.length+1)}this._selectionId=t.trackSelection(i);for(var f=0;f<d.length;f++)t.addEditOperation(d[f].range,d[f].text)}},e.prototype.getEditOperations=function(t,n){var i=this._selection;this._moveEndPositionDown=!1,i.startLineNumber<i.endLineNumber&&1===i.endColumn&&(this._moveEndPositionDown=!0,i=i.setEndPosition(i.endLineNumber-1,t.getLineMaxColumn(i.endLineNumber-1)));var o=e._gatherPreflightData(this._type,t,i.startLineNumber,i.endLineNumber);return o.supported?this._executeLineComments(t,n,o,i):this._executeBlockComment(t,n,i)},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId)
;return this._moveEndPositionDown&&(n=n.setEndPosition(n.endLineNumber+1,1)),new s.Selection(n.startLineNumber,n.startColumn+this._deltaColumn,n.endLineNumber,n.endColumn+this._deltaColumn)},e._createRemoveLineCommentsOperations=function(e,t){var n,o,s,a=[];for(n=0,o=e.length;n<o;n++)(s=e[n]).ignore||a.push(i.EditOperation.delete(new r.Range(t+n,s.commentStrOffset+1,t+n,s.commentStrOffset+s.commentStrLength+1)));return a},e._createAddLineCommentsOperations=function(e,t){var n,r,s,a=[];for(n=0,r=e.length;n<r;n++)(s=e[n]).ignore||a.push(i.EditOperation.insert(new o.Position(t+n,s.commentStrOffset+1),s.commentStr+" "));return a},e.nextVisibleColumn=function(e,t,n,i){return n?e+(t-e%t):e+i},e._normalizeInsertionPoint=function(t,n,i,o){var r,s,a,l,u,c,d=Number.MAX_VALUE;for(r=0,s=n.length;r<s;r++)if(!n[r].ignore){for(a=t.getLineContent(i+r),c=0,l=0,u=n[r].commentStrOffset;c<d&&l<u;l++)c=e.nextVisibleColumn(c,o,9===a.charCodeAt(l),1);c<d&&(d=c)}for(d=Math.floor(d/o)*o,r=0,s=n.length;r<s;r++)if(!n[r].ignore){
for(a=t.getLineContent(i+r),c=0,l=0,u=n[r].commentStrOffset;c<d&&l<u;l++)c=e.nextVisibleColumn(c,o,9===a.charCodeAt(l),1);n[r].commentStrOffset=c>d?l-1:l}},e}();t.LineCommentCommand=u}),define(t[243],n([0,1,20,3]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){this.selection=e,this.targetPosition=t,this.copy=n}return e.prototype.getEditOperations=function(e,t){var o=e.getValueInRange(this.selection);this.copy||t.addEditOperation(this.selection,null),t.addEditOperation(new i.Range(this.targetPosition.lineNumber,this.targetPosition.column,this.targetPosition.lineNumber,this.targetPosition.column),o),
!this.selection.containsPosition(this.targetPosition)||this.copy&&(this.selection.getEndPosition().equals(this.targetPosition)||this.selection.getStartPosition().equals(this.targetPosition))?this.copy?this.targetSelection=new n.Selection(this.targetPosition.lineNumber,this.targetPosition.column,this.selection.endLineNumber-this.selection.startLineNumber+this.targetPosition.lineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column+this.selection.endColumn-this.selection.startColumn:this.selection.endColumn):this.targetPosition.lineNumber>this.selection.endLineNumber?this.targetSelection=new n.Selection(this.targetPosition.lineNumber-this.selection.endLineNumber+this.selection.startLineNumber,this.targetPosition.column,this.targetPosition.lineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column+this.selection.endColumn-this.selection.startColumn:this.selection.endColumn):this.targetPosition.lineNumber<this.selection.endLineNumber?this.targetSelection=new n.Selection(this.targetPosition.lineNumber,this.targetPosition.column,this.targetPosition.lineNumber+this.selection.endLineNumber-this.selection.startLineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column+this.selection.endColumn-this.selection.startColumn:this.selection.endColumn):this.selection.endColumn<=this.targetPosition.column?this.targetSelection=new n.Selection(this.targetPosition.lineNumber-this.selection.endLineNumber+this.selection.startLineNumber,(this.selection.startLineNumber,
this.selection.endLineNumber,this.targetPosition.column-this.selection.endColumn+this.selection.startColumn),this.targetPosition.lineNumber,this.selection.startLineNumber===this.selection.endLineNumber?this.targetPosition.column:this.selection.endColumn):this.targetSelection=new n.Selection(this.targetPosition.lineNumber-this.selection.endLineNumber+this.selection.startLineNumber,this.targetPosition.column,this.targetPosition.lineNumber,this.targetPosition.column+this.selection.endColumn-this.selection.startColumn):this.targetSelection=this.selection},e.prototype.computeCursorState=function(e,t){return this.targetSelection},e}();t.DragAndDropCommand=o}),define(t[244],n([0,1,4,3]),function(e,t,n,i){"use strict";function o(e,t){return 1===e||2!==e&&t}Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.NotSet=0]="NotSet",e[e.True=1]="True",e[e.False=2]="False"}(t.FindOptionOverride||(t.FindOptionOverride={}));var r=function(){function e(){this._searchString="",this._replaceString="",
this._isRevealed=!1,this._isReplaceRevealed=!1,this._isRegex=!1,this._isRegexOverride=0,this._wholeWord=!1,this._wholeWordOverride=0,this._matchCase=!1,this._matchCaseOverride=0,this._searchScope=null,this._matchesPosition=0,this._matchesCount=0,this._currentMatch=null,this._onFindReplaceStateChange=new n.Emitter}return Object.defineProperty(e.prototype,"searchString",{get:function(){return this._searchString},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"replaceString",{get:function(){return this._replaceString},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isRevealed",{get:function(){return this._isRevealed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isReplaceRevealed",{get:function(){return this._isReplaceRevealed},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isRegex",{get:function(){return o(this._isRegexOverride,this._isRegex)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"wholeWord",{
get:function(){return o(this._wholeWordOverride,this._wholeWord)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchCase",{get:function(){return o(this._matchCaseOverride,this._matchCase)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actualIsRegex",{get:function(){return this._isRegex},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actualWholeWord",{get:function(){return this._wholeWord},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actualMatchCase",{get:function(){return this._matchCase},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"searchScope",{get:function(){return this._searchScope},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchesPosition",{get:function(){return this._matchesPosition},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"matchesCount",{get:function(){return this._matchesCount},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"currentMatch",{get:function(){return this._currentMatch},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onFindReplaceStateChange",{get:function(){return this._onFindReplaceStateChange.event},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){},e.prototype.changeMatchInfo=function(e,t,n){var o={moveCursor:!1,updateHistory:!1,searchString:!1,replaceString:!1,isRevealed:!1,isReplaceRevealed:!1,isRegex:!1,wholeWord:!1,matchCase:!1,searchScope:!1,matchesPosition:!1,matchesCount:!1,currentMatch:!1},r=!1;0===t&&(e=0),e>t&&(e=t),this._matchesPosition!==e&&(this._matchesPosition=e,o.matchesPosition=!0,r=!0),this._matchesCount!==t&&(this._matchesCount=t,o.matchesCount=!0,r=!0),void 0!==n&&(i.Range.equalsRange(this._currentMatch,n)||(this._currentMatch=n,o.currentMatch=!0,r=!0)),r&&this._onFindReplaceStateChange.fire(o)},e.prototype.change=function(e,t,n){void 0===n&&(n=!0);var o={moveCursor:t,updateHistory:n,searchString:!1,replaceString:!1,
isRevealed:!1,isReplaceRevealed:!1,isRegex:!1,wholeWord:!1,matchCase:!1,searchScope:!1,matchesPosition:!1,matchesCount:!1,currentMatch:!1},r=!1,s=this.isRegex,a=this.wholeWord,l=this.matchCase;void 0!==e.searchString&&this._searchString!==e.searchString&&(this._searchString=e.searchString,o.searchString=!0,r=!0),void 0!==e.replaceString&&this._replaceString!==e.replaceString&&(this._replaceString=e.replaceString,o.replaceString=!0,r=!0),void 0!==e.isRevealed&&this._isRevealed!==e.isRevealed&&(this._isRevealed=e.isRevealed,o.isRevealed=!0,r=!0),void 0!==e.isReplaceRevealed&&this._isReplaceRevealed!==e.isReplaceRevealed&&(this._isReplaceRevealed=e.isReplaceRevealed,o.isReplaceRevealed=!0,r=!0),void 0!==e.isRegex&&(this._isRegex=e.isRegex),void 0!==e.wholeWord&&(this._wholeWord=e.wholeWord),void 0!==e.matchCase&&(this._matchCase=e.matchCase),void 0!==e.searchScope&&(i.Range.equalsRange(this._searchScope,e.searchScope)||(this._searchScope=e.searchScope,o.searchScope=!0,r=!0)),
this._isRegexOverride=void 0!==e.isRegexOverride?e.isRegexOverride:0,this._wholeWordOverride=void 0!==e.wholeWordOverride?e.wholeWordOverride:0,this._matchCaseOverride=void 0!==e.matchCaseOverride?e.matchCaseOverride:0,s!==this.isRegex&&(r=!0,o.isRegex=!0),a!==this.wholeWord&&(r=!0,o.wholeWord=!0),l!==this.matchCase&&(r=!0,o.matchCase=!0),r&&this._onFindReplaceStateChange.fire(o)},e}();t.FindReplaceState=r}),define(t[245],n([0,1,3]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){this._editorSelection=e,this._ranges=t,this._replaceStrings=n}return e.prototype.getEditOperations=function(e,t){if(this._ranges.length>0){for(var i=[],o=0;o<this._ranges.length;o++)i.push({range:this._ranges[o],text:this._replaceStrings[o]});i.sort(function(e,t){return n.Range.compareRangesUsingStarts(e.range,t.range)})
;for(var r=[],s=i[0],a=1;a<i.length;a++)s.range.endLineNumber===i[a].range.startLineNumber&&s.range.endColumn===i[a].range.startColumn?(s.range=s.range.plusRange(i[a].range),s.text=s.text+i[a].text):(r.push(s),s=i[a]);r.push(s);for(var l=0;l<r.length;l++)t.addEditOperation(r[l].range,r[l].text)}this._trackedEditorSelectionId=t.trackSelection(this._editorSelection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._trackedEditorSelectionId)},e}();t.ReplaceAllCommand=i}),define(t[246],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){function e(e){e&&0!==e.length?1===e.length&&null!==e[0].staticValue?(this._staticValue=e[0].staticValue,this._pieces=null):(this._staticValue=null,this._pieces=e):(this._staticValue="",this._pieces=null)}return e.fromStaticValue=function(t){return new e([i.staticValue(t)])},Object.defineProperty(e.prototype,"hasReplacementPatterns",{get:function(){return null===this._staticValue},enumerable:!0,
configurable:!0}),e.prototype.buildReplaceString=function(t){if(null!==this._staticValue)return this._staticValue;for(var n="",i=0,o=this._pieces.length;i<o;i++){var r=this._pieces[i];null===r.staticValue?n+=e._substitute(r.matchIndex,t):n+=r.staticValue}return n},e._substitute=function(e,t){if(0===e)return t[0];for(var n="";e>0;){if(e<t.length){return(t[e]||"")+n}n=String(e%10)+n,e=Math.floor(e/10)}return"$"+n},e}();t.ReplacePattern=n;var i=function(){function e(e,t){this.staticValue=e,this.matchIndex=t}return e.staticValue=function(t){return new e(t,-1)},e.matchIndex=function(t){return new e(null,t)},e}();t.ReplacePiece=i;var o=function(){function e(e){this._source=e,this._lastCharIndex=0,this._result=[],this._resultLen=0,this._currentStaticPiece=""}return e.prototype.emitUnchanged=function(e){this._emitStatic(this._source.substring(this._lastCharIndex,e)),this._lastCharIndex=e},e.prototype.emitStatic=function(e,t){this._emitStatic(e),this._lastCharIndex=t},e.prototype._emitStatic=function(e){
0!==e.length&&(this._currentStaticPiece+=e)},e.prototype.emitMatchIndex=function(e,t){0!==this._currentStaticPiece.length&&(this._result[this._resultLen++]=i.staticValue(this._currentStaticPiece),this._currentStaticPiece=""),this._result[this._resultLen++]=i.matchIndex(e),this._lastCharIndex=t},e.prototype.finalize=function(){return this.emitUnchanged(this._source.length),0!==this._currentStaticPiece.length&&(this._result[this._resultLen++]=i.staticValue(this._currentStaticPiece),this._currentStaticPiece=""),new n(this._result)},e}();t.parseReplaceString=function(e){if(!e||0===e.length)return new n(null);for(var t=new o(e),i=0,r=e.length;i<r;i++){var s=e.charCodeAt(i);if(92!==s){if(36===s){if(++i>=r)break;if(36===(u=e.charCodeAt(i))){t.emitUnchanged(i-1),t.emitStatic("$",i+1);continue}if(48===u||38===u){t.emitUnchanged(i-1),t.emitMatchIndex(0,i+1);continue}if(49<=u&&u<=57){var a=u-48;if(i+1<r){var l=e.charCodeAt(i+1);if(48<=l&&l<=57){i++,a=10*a+(l-48),t.emitUnchanged(i-2),t.emitMatchIndex(a,i+1);continue}}
t.emitUnchanged(i-1),t.emitMatchIndex(a,i+1);continue}}}else{if(++i>=r)break;var u;switch(u=e.charCodeAt(i)){case 92:t.emitUnchanged(i-1),t.emitStatic("\\",i+1);break;case 110:t.emitUnchanged(i-1),t.emitStatic("\n",i+1);break;case 116:t.emitUnchanged(i-1),t.emitStatic("\t",i+1)}}}return t.finalize()}}),define(t[131],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.MAX_FOLDING_REGIONS=65535,t.MAX_LINE_NUMBER=16777215;var n=function(){function e(e,n,i){if(e.length!==n.length||e.length>t.MAX_FOLDING_REGIONS)throw new Error("invalid startIndexes or endIndexes size");this._startIndexes=e,this._endIndexes=n,this._collapseStates=new Uint32Array(Math.ceil(e.length/32)),this._types=i}return e.prototype.ensureParentIndices=function(){var e=this;if(!this._parentsComputed){this._parentsComputed=!0;for(var n=[],i=function(t,i){var o=n[n.length-1];return e.getStartLineNumber(o)<=t&&e.getEndLineNumber(o)>=i},o=0,r=this._startIndexes.length;o<r;o++){
var s=this._startIndexes[o],a=this._endIndexes[o];if(s>t.MAX_LINE_NUMBER||a>t.MAX_LINE_NUMBER)throw new Error("startLineNumber or endLineNumber must not exceed "+t.MAX_LINE_NUMBER);for(;n.length>0&&!i(s,a);)n.pop();var l=n.length>0?n[n.length-1]:-1;n.push(o),this._startIndexes[o]=s+((255&l)<<24),this._endIndexes[o]=a+((65280&l)<<16)}}},Object.defineProperty(e.prototype,"length",{get:function(){return this._startIndexes.length},enumerable:!0,configurable:!0}),e.prototype.getStartLineNumber=function(e){return this._startIndexes[e]&t.MAX_LINE_NUMBER},e.prototype.getEndLineNumber=function(e){return this._endIndexes[e]&t.MAX_LINE_NUMBER},e.prototype.getType=function(e){return this._types?this._types[e]:void 0},e.prototype.hasTypes=function(){return!!this._types},e.prototype.isCollapsed=function(e){var t=e/32|0,n=e%32;return 0!=(this._collapseStates[t]&1<<n)},e.prototype.setCollapsed=function(e,t){var n=e/32|0,i=e%32,o=this._collapseStates[n];this._collapseStates[n]=t?o|1<<i:o&~(1<<i)},
e.prototype.toRegion=function(e){return new i(this,e)},e.prototype.getParentIndex=function(e){this.ensureParentIndices();var n=((4278190080&this._startIndexes[e])>>>24)+((4278190080&this._endIndexes[e])>>>16);return n===t.MAX_FOLDING_REGIONS?-1:n},e.prototype.contains=function(e,t){return this.getStartLineNumber(e)<=t&&this.getEndLineNumber(e)>=t},e.prototype.findIndex=function(e){var t=0,n=this._startIndexes.length;if(0===n)return-1;for(;t<n;){var i=Math.floor((t+n)/2);e<this.getStartLineNumber(i)?n=i:t=i+1}return t-1},e.prototype.findRange=function(e){var t=this.findIndex(e);if(t>=0){if(this.getEndLineNumber(t)>=e)return t;for(t=this.getParentIndex(t);-1!==t;){if(this.contains(t,e))return t;t=this.getParentIndex(t)}}return-1},e.prototype.toString=function(){for(var e=[],t=0;t<this.length;t++)e[t]="["+(this.isCollapsed(t)?"+":"-")+"] "+this.getStartLineNumber(t)+"/"+this.getEndLineNumber(t);return e.join(", ")},e}();t.FoldingRegions=n;var i=function(){function e(e,t){this.ranges=e,this.index=t}
return Object.defineProperty(e.prototype,"startLineNumber",{get:function(){return this.ranges.getStartLineNumber(this.index)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"endLineNumber",{get:function(){return this.ranges.getEndLineNumber(this.index)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"regionIndex",{get:function(){return this.index},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parentIndex",{get:function(){return this.ranges.getParentIndex(this.index)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isCollapsed",{get:function(){return this.ranges.isCollapsed(this.index)},enumerable:!0,configurable:!0}),e.prototype.containedBy=function(e){return e.startLineNumber<=this.startLineNumber&&e.endLineNumber>=this.endLineNumber},e.prototype.containsLine=function(e){return this.startLineNumber<=e&&e<=this.endLineNumber},e.prototype.hidesLine=function(e){return this.startLineNumber<e&&e<=this.endLineNumber},e}()
;t.FoldingRegion=i}),define(t[248],n([0,1,4,131]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t){this._updateEventEmitter=new n.Emitter,this._textModel=e,this._decorationProvider=t,this._regions=new i.FoldingRegions(new Uint32Array(0),new Uint32Array(0)),this._editorDecorationIds=[],this._isInitialized=!1}return Object.defineProperty(e.prototype,"regions",{get:function(){return this._regions},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._updateEventEmitter.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"textModel",{get:function(){return this._textModel},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isInitialized",{get:function(){return this._isInitialized},enumerable:!0,configurable:!0}),e.prototype.toggleCollapseState=function(e){var t=this;if(e.length){var n={};this._decorationProvider.changeDecorations(function(i){
for(var o=0,r=e;o<r.length;o++){var s=r[o].regionIndex,a=t._editorDecorationIds[s];if(a&&!n[a]){n[a]=!0;var l=!t._regions.isCollapsed(s);t._regions.setCollapsed(s,l),i.changeDecorationOptions(a,t._decorationProvider.getDecorationOption(l))}}}),this._updateEventEmitter.fire({model:this,collapseStateChanged:e})}},e.prototype.update=function(e,t){var n=this;void 0===t&&(t=[]);for(var i=[],o=function(o,r){var s=e.getStartLineNumber(o);r&&function(e,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];if(e<r&&r<=n)return!0}return!1}(s,e.getEndLineNumber(o))&&(r=!1),e.setCollapsed(o,r);var a=n._textModel.getLineMaxColumn(s),l={startLineNumber:s,startColumn:a,endLineNumber:s,endColumn:a};i.push({range:l,options:n._decorationProvider.getDecorationOption(r)})},r=0,s=function(){for(;r<n._regions.length;){var e=n._regions.isCollapsed(r);if(r++,e)return r-1}return-1},a=0,l=s();-1!==l&&a<e.length;){var u=this._textModel.getDecorationRange(this._editorDecorationIds[l]);if(u){var c=u.startLineNumber
;if(this._textModel.getLineMaxColumn(c)===u.startColumn)for(;a<e.length;){var d=e.getStartLineNumber(a);if(!(c>=d))break;o(a,c===d),a++}}l=s()}for(;a<e.length;)o(a,!1),a++;this._editorDecorationIds=this._decorationProvider.deltaDecorations(this._editorDecorationIds,i),this._regions=e,this._isInitialized=!0,this._updateEventEmitter.fire({model:this})},e.prototype.getMemento=function(){for(var e=[],t=0;t<this._regions.length;t++)if(this._regions.isCollapsed(t)){var n=this._textModel.getDecorationRange(this._editorDecorationIds[t]);if(n){var i=n.startLineNumber,o=n.endLineNumber+this._regions.getEndLineNumber(t)-this._regions.getStartLineNumber(t);e.push({startLineNumber:i,endLineNumber:o})}}return e.length>0?e:null},e.prototype.applyMemento=function(e){if(Array.isArray(e)){for(var t=[],n=0,i=e;n<i.length;n++){var o=i[n],r=this.getRegionAtLine(o.startLineNumber);r&&!r.isCollapsed&&t.push(r)}this.toggleCollapseState(t)}},e.prototype.dispose=function(){
this._decorationProvider.deltaDecorations(this._editorDecorationIds,[])},e.prototype.getAllRegionsAtLine=function(e,t){var n=[];if(this._regions)for(var i=this._regions.findRange(e),o=1;i>=0;){var r=this._regions.toRegion(i);t&&!t(r,o)||n.push(r),o++,i=r.parentIndex}return n},e.prototype.getRegionAtLine=function(e){if(this._regions){var t=this._regions.findRange(e);if(t>=0)return this._regions.toRegion(t)}return null},e.prototype.getRegionsInside=function(e,t){for(var n=[],i=t&&2===t.length,o=i?[]:null,r=e?e.regionIndex+1:0,s=e?e.endLineNumber:Number.MAX_VALUE,a=r,l=this._regions.length;a<l;a++){var u=this._regions.toRegion(a);if(!(this._regions.getStartLineNumber(a)<s))break;if(i){for(;o.length>0&&!u.containedBy(o[o.length-1]);)o.pop();o.push(u),t(u,o.length)&&n.push(u)}else t&&!t(u)||n.push(u)}return n},e}();t.FoldingModel=o,t.setCollapseStateLevelsDown=function(e,t,n,i){void 0===n&&(n=Number.MAX_VALUE);var o=[];if(i&&i.length>0)for(var r=0,s=i;r<s.length;r++){var a=s[r],l=e.getRegionAtLine(a)
;l&&(l.isCollapsed!==t&&o.push(l),n>1)&&(u=e.getRegionsInside(l,function(e,i){return e.isCollapsed!==t&&i<n}),o.push.apply(o,u))}else{var u=e.getRegionsInside(null,function(e,i){return e.isCollapsed!==t&&i<n});o.push.apply(o,u)}e.toggleCollapseState(o)},t.setCollapseStateLevelsUp=function(e,t,n,i){for(var o=[],r=0,s=i;r<s.length;r++){var a=s[r],l=e.getAllRegionsAtLine(a,function(e,i){return e.isCollapsed!==t&&i<=n});o.push.apply(o,l)}e.toggleCollapseState(o)},t.setCollapseStateAtLevel=function(e,t,n,i){var o=e.getRegionsInside(null,function(e,o){return o===t&&e.isCollapsed!==n&&!i.some(function(t){return e.containsLine(t)})});e.toggleCollapseState(o)},t.setCollapseStateForMatchingLines=function(e,t,n){for(var i=e.textModel,o=e.regions,r=[],s=o.length-1;s>=0;s--)if(n!==o.isCollapsed(s)){var a=o.getStartLineNumber(s);t.test(i.getLineContent(a))&&r.push(o.toRegion(s))}e.toggleCollapseState(r)},t.setCollapseStateForType=function(e,t,n){
for(var i=e.regions,o=[],r=i.length-1;r>=0;r--)n!==i.isCollapsed(r)&&t===i.getType(r)&&o.push(i.toRegion(r));e.toggleCollapseState(o)}}),define(t[249],n([0,1,4,3,22]),function(e,t,n,i,o){"use strict";function r(e,t){var n=o.findFirst(e,function(e){return t<e.startLineNumber})-1;return n>=0&&e[n].endLineNumber>=t?e[n]:null}Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){var t=this;this._updateEventEmitter=new n.Emitter,this._foldingModel=e,this._foldingModelListener=e.onDidChange(function(e){return t.updateHiddenRanges()}),this._hiddenRanges=[],e.regions.length&&this.updateHiddenRanges()}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._updateEventEmitter.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hiddenRanges",{get:function(){return this._hiddenRanges},enumerable:!0,configurable:!0}),e.prototype.updateHiddenRanges=function(){
for(var e=!1,t=[],n=0,o=0,r=Number.MAX_VALUE,s=-1,a=this._foldingModel.regions;n<a.length;n++)if(a.isCollapsed(n)){var l=a.getStartLineNumber(n)+1,u=a.getEndLineNumber(n);r<=l&&u<=s||(!e&&o<this._hiddenRanges.length&&this._hiddenRanges[o].startLineNumber===l&&this._hiddenRanges[o].endLineNumber===u?(t.push(this._hiddenRanges[o]),o++):(e=!0,t.push(new i.Range(l,1,u,1))),r=l,s=u)}(e||o<this._hiddenRanges.length)&&this.applyHiddenRanges(t)},e.prototype.applyMemento=function(e){if(!Array.isArray(e)||0===e.length)return!1;for(var t=[],n=0,o=e;n<o.length;n++){var r=o[n];if(!r.startLineNumber||!r.endLineNumber)return!1;t.push(new i.Range(r.startLineNumber+1,1,r.endLineNumber,1))}return this.applyHiddenRanges(t),!0},e.prototype.getMemento=function(){return this._hiddenRanges.map(function(e){return{startLineNumber:e.startLineNumber-1,endLineNumber:e.endLineNumber}})},e.prototype.applyHiddenRanges=function(e){this._hiddenRanges=e,this._updateEventEmitter.fire(e)},e.prototype.hasRanges=function(){
return this._hiddenRanges.length>0},e.prototype.isHidden=function(e){return null!==r(this._hiddenRanges,e)},e.prototype.adjustSelections=function(e){for(var t=this,n=!1,i=this._foldingModel.textModel,o=null,s=function(e){return o&&function(e,t){return e>=t.startLineNumber&&e<=t.endLineNumber}(e,o)||(o=r(t._hiddenRanges,e)),o?o.startLineNumber-1:null},a=0,l=e.length;a<l;a++){var u=e[a],c=s(u.startLineNumber);c&&(u=u.setStartPosition(c,i.getLineMaxColumn(c)),n=!0);var d=s(u.endLineNumber);d&&(u=u.setEndPosition(d,i.getLineMaxColumn(d)),n=!0),e[a]=u}return n},e.prototype.dispose=function(){this.hiddenRanges.length>0&&(this._hiddenRanges=[],this._updateEventEmitter.fire(this._hiddenRanges)),this._foldingModelListener&&(this._foldingModelListener.dispose(),this._foldingModelListener=null)},e}();t.HiddenRangeModel=s}),define(t[250],n([0,1,12,18,8,131]),function(e,t,n,i,o,r){"use strict";function s(e){for(var t=e.sort(function(e,t){var n=e.startLineNumber-t.startLineNumber;return 0===n&&(n=e.rank-t.rank),n
}),n=new c(a),i=null,o=[],r=0,s=t;r<s.length;r++){var l=s[r];if(i){if(l.startLineNumber>i.startLineNumber)if(l.endLineNumber<=i.endLineNumber)o.push(i),i=l,n.add(l.startLineNumber,l.endLineNumber,l.type,o.length);else if(l.startLineNumber>i.endLineNumber){do{i=o.pop()}while(i&&l.startLineNumber>i.endLineNumber);o.push(i),i=l,n.add(l.startLineNumber,l.endLineNumber,l.type,o.length)}}else i=l,n.add(l.startLineNumber,l.endLineNumber,l.type,o.length)}return n.toIndentRanges()}Object.defineProperty(t,"__esModule",{value:!0});var a=5e3,l={maxRanges:a},u=function(){function e(e){this.providers=e}return e.prototype.compute=function(e,t){return function(e,t,r){var s=e.map(function(e){return i.toThenable(e.provideFoldingRanges(t,l,r))});return o.TPromise.join(s).then(function(e){var n=null;if(r.isCancellationRequested)return null;for(var i=0;i<e.length;i++){var o=e[i];if(o&&Array.isArray(o.ranges)){Array.isArray(n)||(n=[]);for(var s=t.getLineCount(),a=0,l=o.ranges;a<l.length;a++){var u=l[a]
;u.startLineNumber>0&&u.endLineNumber>u.startLineNumber&&u.endLineNumber<=s&&n.push({startLineNumber:u.startLineNumber,endLineNumber:u.endLineNumber,rank:i,type:u.type})}}}return n},n.onUnexpectedExternalError)}(this.providers,e,t).then(function(e){if(e){return s(e)}return null})},e}();t.SyntaxRangeProvider=u;var c=function(){function e(e){this._startIndexes=[],this._endIndexes=[],this._nestingLevels=[],this._nestingLevelCounts=[],this._types=[],this._length=0,this._foldingRangesLimit=e}return e.prototype.add=function(e,t,n,i){if(!(e>r.MAX_LINE_NUMBER||t>r.MAX_LINE_NUMBER)){var o=this._length;this._startIndexes[o]=e,this._endIndexes[o]=t,this._nestingLevels[o]=i,this._types[o]=n,this._length++,i<30&&(this._nestingLevelCounts[i]=(this._nestingLevelCounts[i]||0)+1)}},e.prototype.toIndentRanges=function(){if(this._length<=this._foldingRangesLimit){for(var e=new Uint32Array(this._length),t=new Uint32Array(this._length),n=0;n<this._length;n++)e[n]=this._startIndexes[n],t[n]=this._endIndexes[n]
;return new r.FoldingRegions(e,t,this._types)}for(var i=0,o=this._nestingLevelCounts.length,n=0;n<this._nestingLevelCounts.length;n++){var s=this._nestingLevelCounts[n];if(s){if(s+i>this._foldingRangesLimit){o=n;break}i+=s}}for(var e=new Uint32Array(i),t=new Uint32Array(i),a=[],n=0,l=0;n<this._length;n++){this._nestingLevels[n]<o&&(e[l]=this._startIndexes[n],t[l]=this._endIndexes[n],a[l]=this._types[n],l++)}return new r.FoldingRegions(e,t,a)},e}();t.RangesCollector=c,t.sanitizeRanges=s}),define(t[251],n([0,1,9,3,51]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){this._initialSelection=t,this._edits=e}return e._handleEolEdits=function(e,t){for(var n=void 0,i=[],o=0,r=t;o<r.length;o++){var s=r[o];"number"==typeof s.eol&&(n=s.eol),s.range&&"string"==typeof s.text&&i.push(s)}return"number"==typeof n&&e.getModel().setEOL(n),i},e.executeAsCommand=function(t,n){var i=new e(this._handleEolEdits(t,n),t.getSelection());t.pushUndoStop(),
t.executeCommand("formatEditsCommand",i),t.pushUndoStop()},e.isFullModelReplaceEdit=function(e,t){var n=e.getModel(),i=n.validateRange(t.range);return n.getFullModelRange().equalsRange(i)},e.execute=function(t,n){var r=this._handleEolEdits(t,n);t.pushUndoStop(),1===r.length&&e.isFullModelReplaceEdit(t,r[0])?t.executeEdits("formatEditsCommand",r.map(function(e){return o.EditOperation.replace(i.Range.lift(e.range),e.text)})):t.executeEdits("formatEditsCommand",r.map(function(e){return o.EditOperation.replaceMove(i.Range.lift(e.range),e.text)})),t.pushUndoStop()},e.prototype.getEditOperations=function(t,n){for(var o=0,r=this._edits;o<r.length;o++){var s=r[o];null!==e.trimEdit(s,t)&&n.addEditOperation(i.Range.lift(s.range),s.text)}var a=!1;Array.isArray(this._edits)&&1===this._edits.length&&this._initialSelection.isEmpty()&&(this._edits[0].range.startColumn===this._initialSelection.endColumn&&this._edits[0].range.startLineNumber===this._initialSelection.endLineNumber?(a=!0,
this._selectionId=n.trackSelection(this._initialSelection,!0)):this._edits[0].range.endColumn===this._initialSelection.startColumn&&this._edits[0].range.endLineNumber===this._initialSelection.startLineNumber&&(a=!0,this._selectionId=n.trackSelection(this._initialSelection,!1))),a||(this._selectionId=n.trackSelection(this._initialSelection))},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this._selectionId)},e.fixLineTerminators=function(e,t){e.text=e.text.replace(/\r\n|\r|\n/g,t.getEOL())},e.trimEdit=function(e,t){return this.fixLineTerminators(e,t),this._trimEdit(t.validateRange(e.range),e.text,e.forceMoveMarkers,t)},e._trimEdit=function(e,t,o,r){var s=r.getValueInRange(e),a=n.commonPrefixLength(t,s);if(a===s.length&&a===t.length)return null;if(a>0){var l=r.modifyPosition(e.getStartPosition(),a);e=new i.Range(l.lineNumber,l.column,e.endLineNumber,e.endColumn),t=t.substring(a),s=s.substr(a)}var u=n.commonSuffixLength(t,s);if(u>0){var c=r.modifyPosition(e.getEndPosition(),-u)
;e=new i.Range(e.startLineNumber,e.startColumn,c.lineNumber,c.column),t=t.substring(0,t.length-u),s=s.substring(0,s.length-u)}return{text:t,range:e,forceMoveMarkers:o}},e}();t.EditOperationsCommand=r}),define(t[150],n([0,1,32,2,4,15,166]),function(e,t,n,i,r,s){"use strict";function a(e,t){return!!e[t]}function l(e){return"altKey"===e?s.isMacintosh?new d(57,"metaKey",6,"altKey"):new d(5,"ctrlKey",6,"altKey"):s.isMacintosh?new d(6,"altKey",57,"metaKey"):new d(6,"altKey",5,"ctrlKey")}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){return function(e,t){this.target=e.target,this.hasTriggerModifier=a(e.event,t.triggerModifier),this.hasSideBySideModifier=a(e.event,t.triggerSideBySideModifier),this.isNoneOrSingleMouseDown=n.isIE||e.event.detail<=1}}();t.ClickLinkMouseEvent=u;var c=function(){return function(e,t){this.keyCodeIsTriggerKey=e.keyCode===t.triggerKey,this.keyCodeIsSideBySideKey=e.keyCode===t.triggerSideBySideKey,this.hasTriggerModifier=a(e,t.triggerModifier)}}();t.ClickLinkKeyboardEvent=c
;var d=function(){function e(e,t,n,i){this.triggerKey=e,this.triggerModifier=t,this.triggerSideBySideKey=n,this.triggerSideBySideModifier=i}return e.prototype.equals=function(e){return this.triggerKey===e.triggerKey&&this.triggerModifier===e.triggerModifier&&this.triggerSideBySideKey===e.triggerSideBySideKey&&this.triggerSideBySideModifier===e.triggerSideBySideModifier},e}();t.ClickLinkOptions=d;var h=function(e){function t(t){var n=e.call(this)||this;return n._onMouseMoveOrRelevantKeyDown=n._register(new r.Emitter),n.onMouseMoveOrRelevantKeyDown=n._onMouseMoveOrRelevantKeyDown.event,n._onExecute=n._register(new r.Emitter),n.onExecute=n._onExecute.event,n._onCancel=n._register(new r.Emitter),n.onCancel=n._onCancel.event,n._editor=t,n._opts=l(n._editor.getConfiguration().multiCursorModifier),n.lastMouseMoveEvent=null,n.hasTriggerKeyOnMouseDown=!1,n._register(n._editor.onDidChangeConfiguration(function(e){if(e.multiCursorModifier){var t=l(n._editor.getConfiguration().multiCursorModifier)
;if(n._opts.equals(t))return;n._opts=t,n.lastMouseMoveEvent=null,n.hasTriggerKeyOnMouseDown=!1,n._onCancel.fire()}})),n._register(n._editor.onMouseMove(function(e){return n.onEditorMouseMove(new u(e,n._opts))})),n._register(n._editor.onMouseDown(function(e){return n.onEditorMouseDown(new u(e,n._opts))})),n._register(n._editor.onMouseUp(function(e){return n.onEditorMouseUp(new u(e,n._opts))})),n._register(n._editor.onKeyDown(function(e){return n.onEditorKeyDown(new c(e,n._opts))})),n._register(n._editor.onKeyUp(function(e){return n.onEditorKeyUp(new c(e,n._opts))})),n._register(n._editor.onMouseDrag(function(){return n.resetHandler()})),n._register(n._editor.onDidChangeCursorSelection(function(e){return n.onDidChangeCursorSelection(e)})),n._register(n._editor.onDidChangeModel(function(e){return n.resetHandler()})),n._register(n._editor.onDidChangeModelContent(function(){return n.resetHandler()})),n._register(n._editor.onDidScrollChange(function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&n.resetHandler()})),
n}return o(t,e),t.prototype.onDidChangeCursorSelection=function(e){e.selection&&e.selection.startColumn!==e.selection.endColumn&&this.resetHandler()},t.prototype.onEditorMouseMove=function(e){this.lastMouseMoveEvent=e,this._onMouseMoveOrRelevantKeyDown.fire([e,null])},t.prototype.onEditorMouseDown=function(e){this.hasTriggerKeyOnMouseDown=e.hasTriggerModifier},t.prototype.onEditorMouseUp=function(e){this.hasTriggerKeyOnMouseDown&&this._onExecute.fire(e)},t.prototype.onEditorKeyDown=function(e){this.lastMouseMoveEvent&&(e.keyCodeIsTriggerKey||e.keyCodeIsSideBySideKey&&e.hasTriggerModifier)?this._onMouseMoveOrRelevantKeyDown.fire([this.lastMouseMoveEvent,e]):e.hasTriggerModifier&&this._onCancel.fire()},t.prototype.onEditorKeyUp=function(e){e.keyCodeIsTriggerKey&&this._onCancel.fire()},t.prototype.resetHandler=function(){this.lastMouseMoveEvent=null,this.hasTriggerKeyOnMouseDown=!1,this._onCancel.fire()},t}(i.Disposable);t.ClickLinkGesture=h}),define(t[189],n([0,1,18,12]),function(e,t,n,i){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var o;!function(e){e[e.IDLE=0]="IDLE",e[e.FIRST_WAIT=1]="FIRST_WAIT",e[e.SECOND_WAIT=2]="SECOND_WAIT",e[e.WAITING_FOR_ASYNC_COMPUTATION=3]="WAITING_FOR_ASYNC_COMPUTATION"}(o||(o={}));var r=function(){function e(e,t,i,o){var r=this;this._computer=e,this._state=0,this._firstWaitScheduler=new n.RunOnceScheduler(function(){return r._triggerAsyncComputation()},this._getHoverTimeMillis()/2),this._secondWaitScheduler=new n.RunOnceScheduler(function(){return r._triggerSyncComputation()},this._getHoverTimeMillis()/2),this._loadingMessageScheduler=new n.RunOnceScheduler(function(){return r._showLoadingMessage()},3*this._getHoverTimeMillis()),this._asyncComputationPromise=null,this._asyncComputationPromiseDone=!1,this._completeCallback=t,this._errorCallback=i,this._progressCallback=o}return e.prototype._getHoverTimeMillis=function(){return this._computer.getHoverTimeMillis?this._computer.getHoverTimeMillis():e.HOVER_TIME},e.prototype._triggerAsyncComputation=function(){
var e=this;this._state=2,this._secondWaitScheduler.schedule(),this._computer.computeAsync?(this._asyncComputationPromiseDone=!1,this._asyncComputationPromise=this._computer.computeAsync().then(function(t){e._asyncComputationPromiseDone=!0,e._withAsyncResult(t)},function(t){return e._onError(t)})):this._asyncComputationPromiseDone=!0},e.prototype._triggerSyncComputation=function(){this._computer.computeSync&&this._computer.onResult(this._computer.computeSync(),!0),this._asyncComputationPromiseDone?(this._state=0,this._onComplete(this._computer.getResult())):(this._state=3,this._onProgress(this._computer.getResult()))},e.prototype._showLoadingMessage=function(){3===this._state&&this._onProgress(this._computer.getResultWithLoadingMessage())},e.prototype._withAsyncResult=function(e){e&&this._computer.onResult(e,!1),3===this._state&&(this._state=0,this._onComplete(this._computer.getResult()))},e.prototype._onComplete=function(e){this._completeCallback&&this._completeCallback(e)},e.prototype._onError=function(e){
this._errorCallback?this._errorCallback(e):i.onUnexpectedError(e)},e.prototype._onProgress=function(e){this._progressCallback&&this._progressCallback(e)},e.prototype.start=function(){0===this._state&&(this._state=1,this._firstWaitScheduler.schedule(),this._loadingMessageScheduler.schedule())},e.prototype.cancel=function(){this._loadingMessageScheduler.cancel(),1===this._state&&this._firstWaitScheduler.cancel(),2===this._state&&(this._secondWaitScheduler.cancel(),this._asyncComputationPromise&&(this._asyncComputationPromise.cancel(),this._asyncComputationPromise=null)),3===this._state&&this._asyncComputationPromise&&(this._asyncComputationPromise.cancel(),this._asyncComputationPromise=null),this._state=0},e.HOVER_TIME=300,e}();t.HoverOperation=r}),define(t[197],n([0,1,10,13,24,45,57,2]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(e){function t(t,n){var i=e.call(this)||this;return i.disposables=[],i.allowEditorOverflow=!0,i._id=t,i._editor=n,
i._isVisible=!1,i._containerDomNode=document.createElement("div"),i._containerDomNode.className="monaco-editor-hover hidden",i._containerDomNode.tabIndex=0,i._domNode=document.createElement("div"),i._domNode.className="monaco-editor-hover-content",i.scrollbar=new a.DomScrollableElement(i._domNode,{}),i.disposables.push(i.scrollbar),i._containerDomNode.appendChild(i.scrollbar.getDomNode()),i.onkeydown(i._containerDomNode,function(e){e.equals(9)&&i.hide()}),i._register(i._editor.onDidChangeConfiguration(function(e){e.fontInfo&&i.updateFont()})),i._editor.onDidLayoutChange(function(e){return i.updateMaxHeight()}),i.updateMaxHeight(),i._editor.addContentWidget(i),i._showAtPosition=null,i}return o(t,e),Object.defineProperty(t.prototype,"isVisible",{get:function(){return this._isVisible},set:function(e){this._isVisible=e,n.toggleClass(this._containerDomNode,"hidden",!this._isVisible)},enumerable:!0,configurable:!0}),t.prototype.getId=function(){return this._id},t.prototype.getDomNode=function(){
return this._containerDomNode},t.prototype.showAt=function(e,t){this._showAtPosition=new i.Position(e.lineNumber,e.column),this.isVisible=!0,this._editor.layoutContentWidget(this),this._editor.render(),this._stoleFocus=t,t&&this._containerDomNode.focus()},t.prototype.hide=function(){this.isVisible&&(this.isVisible=!1,this._editor.layoutContentWidget(this),this._stoleFocus&&this._editor.focus())},t.prototype.getPosition=function(){return this.isVisible?{position:this._showAtPosition,preference:[r.ContentWidgetPositionPreference.ABOVE,r.ContentWidgetPositionPreference.BELOW]}:null},t.prototype.dispose=function(){this._editor.removeContentWidget(this),this.disposables=l.dispose(this.disposables),e.prototype.dispose.call(this)},t.prototype.updateFont=function(){var e=this;Array.prototype.slice.call(this._domNode.getElementsByClassName("code")).forEach(function(t){return e._editor.applyFontInfo(t)})},t.prototype.updateContents=function(e){this._domNode.textContent="",this._domNode.appendChild(e),this.updateFont(),
this._editor.layoutContentWidget(this),this.onContentsChange()},t.prototype.onContentsChange=function(){this.scrollbar.scanDomNode()},t.prototype.updateMaxHeight=function(){var e=Math.max(this._editor.getLayoutInfo().height/4,250),t=this._editor.getConfiguration().fontInfo,n=t.fontSize,i=t.lineHeight;this._domNode.style.fontSize=n+"px",this._domNode.style.lineHeight=i+"px",this._domNode.style.maxHeight=e+"px"},t}(s.Widget);t.ContentHoverWidget=u;var c=function(e){function t(t,n){var i=e.call(this)||this;return i._id=t,i._editor=n,i._isVisible=!1,i._domNode=document.createElement("div"),i._domNode.className="monaco-editor-hover hidden",i._domNode.setAttribute("aria-hidden","true"),i._domNode.setAttribute("role","presentation"),i._showAtLineNumber=-1,i._register(i._editor.onDidChangeConfiguration(function(e){e.fontInfo&&i.updateFont()})),i._editor.addOverlayWidget(i),i}return o(t,e),Object.defineProperty(t.prototype,"isVisible",{get:function(){return this._isVisible},set:function(e){this._isVisible=e,
n.toggleClass(this._domNode,"hidden",!this._isVisible)},enumerable:!0,configurable:!0}),t.prototype.getId=function(){return this._id},t.prototype.getDomNode=function(){return this._domNode},t.prototype.showAt=function(e){this._showAtLineNumber=e,this.isVisible||(this.isVisible=!0);var t=this._editor.getLayoutInfo(),n=this._editor.getTopForLineNumber(this._showAtLineNumber),i=this._editor.getScrollTop(),o=this._editor.getConfiguration().lineHeight,r=n-i-(this._domNode.clientHeight-o)/2;this._domNode.style.left=t.glyphMarginLeft+t.glyphMarginWidth+"px",this._domNode.style.top=Math.max(Math.round(r),0)+"px"},t.prototype.hide=function(){this.isVisible&&(this.isVisible=!1)},t.prototype.getPosition=function(){return null},t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.updateFont=function(){var e=this,t=Array.prototype.slice.call(this._domNode.getElementsByTagName("code")),n=Array.prototype.slice.call(this._domNode.getElementsByClassName("code"))
;t.concat(n).forEach(function(t){return e._editor.applyFontInfo(t)})},t.prototype.updateContents=function(e){this._domNode.textContent="",this._domNode.appendChild(e),this.updateFont()},t}(s.Widget);t.GlyphHoverWidget=c}),define(t[255],n([0,1,189,197,10,73,2]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e){this._editor=e,this._lineNumber=-1}return e.prototype.setLineNumber=function(e){this._lineNumber=e,this._result=[]},e.prototype.clearResult=function(){this._result=[]},e.prototype.computeSync=function(){for(var e=function(e){return{value:e}},t=this._editor.getLineDecorations(this._lineNumber),n=[],i=0,o=t.length;i<o;i++){var r=t[i];if(r.options.glyphMarginClassName){var a=r.options.glyphMarginHoverMessage;s.isEmptyMarkdownString(a)||(Array.isArray(a)?n=n.concat(a.map(e)):n.push(e(a)))}}return n},e.prototype.onResult=function(e,t){this._result=this._result.concat(e)},e.prototype.getResult=function(){return this._result},
e.prototype.getResultWithLoadingMessage=function(){return this.getResult()},e}(),u=function(e){function t(i,o){var r=e.call(this,t.ID,i)||this;return r._lastLineNumber=-1,r._markdownRenderer=o,r._computer=new l(r._editor),r._hoverOperation=new n.HoverOperation(r._computer,function(e){return r._withResult(e)},null,function(e){return r._withResult(e)}),r}return o(t,e),t.prototype.dispose=function(){this._renderDisposeables=a.dispose(this._renderDisposeables),this._hoverOperation.cancel(),e.prototype.dispose.call(this)},t.prototype.onModelDecorationsChanged=function(){this.isVisible&&(this._hoverOperation.cancel(),this._computer.clearResult(),this._hoverOperation.start())},t.prototype.startShowingAt=function(e){this._lastLineNumber!==e&&(this._hoverOperation.cancel(),this.hide(),this._lastLineNumber=e,this._computer.setLineNumber(e),this._hoverOperation.start())},t.prototype.hide=function(){this._lastLineNumber=-1,this._hoverOperation.cancel(),e.prototype.hide.call(this)},t.prototype._withResult=function(e){
this._messages=e,this._messages.length>0?this._renderMessages(this._lastLineNumber,this._messages):this.hide()},t.prototype._renderMessages=function(e,t){var n=this;a.dispose(this._renderDisposeables),this._renderDisposeables=[];var i=document.createDocumentFragment();t.forEach(function(e){var t=n._markdownRenderer.render(e.value);n._renderDisposeables.push(t),i.appendChild(r.$("div.hover-row",null,t.element))}),this.updateContents(i),this.showAt(e)},t.ID="editor.contrib.modesGlyphHoverWidget",t}(i.GlyphHoverWidget);t.ModesGlyphHoverWidget=u}),define(t[256],n([0,1,20]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t,n){this._editRange=e,this._originalSelection=t,this._text=n}return e.prototype.getEditOperations=function(e,t){t.addTrackedEditOperation(this._editRange,this._text)},e.prototype.computeCursorState=function(e,t){var i=t.getInverseEditOperations()[0].range
;return this._originalSelection.isEmpty()?new n.Selection(i.endLineNumber,Math.min(this._originalSelection.positionColumn,i.endColumn),i.endLineNumber,Math.min(this._originalSelection.positionColumn,i.endColumn)):new n.Selection(i.endLineNumber,i.endColumn-this._text.length,i.endLineNumber,i.endColumn)},e}();t.InPlaceReplaceCommand=i}),define(t[257],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getSpaceCnt=function(e,t){for(var n=0,i=0;i<e.length;i++)"\t"===e.charAt(i)?n+=t:n++;return n},t.generateIndent=function(e,t,n){e=e<0?0:e;var i="";if(!n){var o=Math.floor(e/t);for(e%=t,r=0;r<o;r++)i+="\t"}for(var r=0;r<e;r++)i+=" ";return i}}),define(t[258],n([0,1,3,20]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t){this._selection=e,this._isCopyingDown=t}return e.prototype.getEditOperations=function(e,t){var i=this._selection;this._startLineNumberDelta=0,this._endLineNumberDelta=0,
i.startLineNumber<i.endLineNumber&&1===i.endColumn&&(this._endLineNumberDelta=1,i=i.setEndPosition(i.endLineNumber-1,e.getLineMaxColumn(i.endLineNumber-1)));for(var o=[],r=i.startLineNumber;r<=i.endLineNumber;r++)o.push(e.getLineContent(r));var s=o.join("\n");""===s&&this._isCopyingDown&&(this._startLineNumberDelta++,this._endLineNumberDelta++),this._isCopyingDown?t.addEditOperation(new n.Range(i.startLineNumber,1,i.startLineNumber,1),s+"\n"):t.addEditOperation(new n.Range(i.endLineNumber,e.getLineMaxColumn(i.endLineNumber),i.endLineNumber,e.getLineMaxColumn(i.endLineNumber)),"\n"+s),this._selectionId=t.trackSelection(i),this._selectionDirection=this._selection.getDirection()},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);if(0!==this._startLineNumberDelta||0!==this._endLineNumberDelta){var o=n.startLineNumber,r=n.startColumn,s=n.endLineNumber,a=n.endColumn;0!==this._startLineNumberDelta&&(o+=this._startLineNumberDelta,r=1),
0!==this._endLineNumberDelta&&(s+=this._endLineNumberDelta,a=1),n=i.Selection.createWithDirection(o,r,s,a,this._selectionDirection)}return n},e}();t.CopyLinesCommand=o}),define(t[259],n([0,1,3,20]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){this.startLineNumber=e,this.endLineNumber=t,this.restoreCursorToColumn=n}return e.prototype.getEditOperations=function(e,t){if(1!==e.getLineCount()||1!==e.getLineMaxColumn(1)){var i=this.startLineNumber,o=this.endLineNumber,r=1,s=e.getLineMaxColumn(o);o<e.getLineCount()?(o+=1,s=1):i>1&&(i-=1,r=e.getLineMaxColumn(i)),t.addTrackedEditOperation(new n.Range(i,r,o,s),null)}},e.prototype.computeCursorState=function(e,t){var n=t.getInverseEditOperations()[0].range;return new i.Selection(n.endLineNumber,this.restoreCursorToColumn,n.endLineNumber,this.restoreCursorToColumn)},e}();t.DeleteLinesCommand=o}),define(t[260],n([0,1,51,3]),function(e,t,n,i){"use strict";function o(e,t,n){
var i=t.startLineNumber,o=t.endLineNumber;if(1===t.endColumn&&o--,i>=o)return null;for(var r=[],s=i;s<=o;s++)r.push(e.getLineContent(s));var a=r.slice(0);return a.sort(function(e,t){return e.toLowerCase().localeCompare(t.toLowerCase())}),!0===n&&(a=a.reverse()),{startLineNumber:i,endLineNumber:o,before:r,after:a}}Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t){this.selection=e,this.descending=t}return e.prototype.getEditOperations=function(e,t){var r=function(e,t,r){var s=o(e,t,r);return s?n.EditOperation.replace(new i.Range(s.startLineNumber,1,s.endLineNumber,e.getLineMaxColumn(s.endLineNumber)),s.after.join("\n")):null}(e,this.selection,this.descending);r&&t.addEditOperation(r.range,r.text),this.selectionId=t.trackSelection(this.selection)},e.prototype.computeCursorState=function(e,t){return t.getTrackedSelection(this.selectionId)},e.canRun=function(e,t,n){var i=o(e,t,n);if(!i)return!1;for(var r=0,s=i.before.length;r<s;r++)if(i.before[r]!==i.after[r])return!0;return!1},e}()
;t.SortLinesCommand=r}),define(t[261],n([0,1,9]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e){this.value=e}return e.prototype.contains=function(t){return this.value===t||n.startsWith(t,this.value+e.sep)},e.sep=".",e.Empty=new e(""),e.Refactor=new e("refactor"),e}();t.CodeActionKind=i;!function(e){e[e.IfSingle=1]="IfSingle",e[e.First=2]="First",e[e.Never=3]="Never"}(t.CodeActionAutoApply||(t.CodeActionAutoApply={}))}),define(t[262],n([0,1,18,10,13,65,4]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t,n){this._editor=e,this._contextMenuService=t,this._onApplyCodeAction=n,this._onDidExecuteCodeAction=new s.Emitter,this.onDidExecuteCodeAction=this._onDidExecuteCodeAction.event}return e.prototype.show=function(e,t){var i=this,s=e.then(function(e){return e.map(function(e){return new r.Action(e.command?e.command.id:e.title,e.title,void 0,!0,function(){
return n.always(i._onApplyCodeAction(e),function(){return i._onDidExecuteCodeAction.fire(void 0)})})})});this._contextMenuService.showContextMenu({getAnchor:function(){return o.Position.isIPosition(t)&&(t=i._toCoords(t)),t},getActions:function(){return s},onHide:function(){i._visible=!1},autoSelectFirstItem:!0})},Object.defineProperty(e.prototype,"isVisible",{get:function(){return this._visible},enumerable:!0,configurable:!0}),e.prototype._toCoords=function(e){this._editor.revealPosition(e,1),this._editor.render();var t=this._editor.getScrolledVisiblePosition(this._editor.getPosition()),n=i.getDomNodePagePosition(this._editor.getDomNode());return{x:n.left+t.left,y:n.top+t.top+t.height}},e}();t.QuickFixContextMenu=a}),define(t[263],n([0,1,3,100,99,43]),function(e,t,n,i,r,s){"use strict";function a(e){var t=new u;return t.start=e.range.getStartPosition(),t.end=e.range.getEndPosition(),t}function l(e,t){if(e instanceof c&&e.isEmpty)return null;if(!n.Range.containsPosition(e.range,t))return null;var i
;if(e instanceof c){if(e.hasChildren)for(var o=0,r=e.children.length;o<r&&!i;o++)i=l(e.children[o],t)}else e instanceof d&&(i=l(e.open,t)||l(e.elements,t)||l(e.close,t));return i||e}Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.None=0]="None",e[e.Open=1]="Open",e[e.Close=-1]="Close"}(t.TokenTreeBracket||(t.TokenTreeBracket={}));var u=function(){function e(){}return Object.defineProperty(e.prototype,"range",{get:function(){return new n.Range(this.start.lineNumber,this.start.column,this.end.lineNumber,this.end.column)},enumerable:!0,configurable:!0}),e}();t.Node=u;var c=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"start",{get:function(){return this.hasChildren?this.children[0].start:this.parent.start},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"end",{get:function(){return this.hasChildren?this.children[this.children.length-1].end:this.parent.end},enumerable:!0,configurable:!0}),
Object.defineProperty(t.prototype,"hasChildren",{get:function(){return this.children&&this.children.length>0},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"isEmpty",{get:function(){return!this.hasChildren&&!this.parent},enumerable:!0,configurable:!0}),t.prototype.append=function(e){return!!e&&(e.parent=this,this.children||(this.children=[]),e instanceof t?e.children&&this.children.push.apply(this.children,e.children):this.children.push(e),!0)},t}(u);t.NodeList=c;var d=function(e){function t(){var t=e.call(this)||this;return t.elements=new c,t.elements.parent=t,t}return o(t,e),Object.defineProperty(t.prototype,"start",{get:function(){return this.open.start},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"end",{get:function(){return this.close.end},enumerable:!0,configurable:!0}),t}(u);t.Block=d;var h=function(){return function(e,t,n){this.range=e,this.bracket=t,this.bracketType=n}}(),p=function(){return function(e,t,n){this.lineNumber=n,this.lineText=e.getLineContent(),
this.startOffset=e.getStartOffset(t),this.endOffset=e.getEndOffset(t),this.type=e.getStandardTokenType(t),this.languageId=e.getLanguageId(t)}}(),f=function(){function e(e){this._model=e,this._lineCount=this._model.getLineCount(),this._versionId=this._model.getVersionId(),this._lineNumber=0,this._tokenIndex=0,this._lineTokens=null,this._advance()}return e.prototype._advance=function(){for(this._lineTokens&&(this._tokenIndex++,this._tokenIndex>=this._lineTokens.getCount()&&(this._lineTokens=null));this._lineNumber<this._lineCount&&!this._lineTokens;)this._lineNumber++,this._model.forceTokenization(this._lineNumber),this._lineTokens=this._model.getLineTokens(this._lineNumber),this._tokenIndex=0,0===this._lineTokens.getCount()&&(this._lineTokens=null)},e.prototype.next=function(){if(!this._lineTokens)return null;if(this._model.getVersionId()!==this._versionId)return null;var e=new p(this._lineTokens,this._tokenIndex,this._lineNumber);return this._advance(),e},e}(),g=function(){function e(e){
this._rawTokenScanner=new f(e),this._nextBuff=[],this._cachedLanguageBrackets=null,this._cachedLanguageId=-1}return e.prototype.next=function(){if(this._nextBuff.length>0)return this._nextBuff.shift();var e=this._rawTokenScanner.next();if(!e)return null;var t=e.lineNumber,o=e.lineText,a=e.type,l=e.startOffset,u=e.endOffset;this._cachedLanguageId!==e.languageId&&(this._cachedLanguageId=e.languageId,this._cachedLanguageBrackets=s.LanguageConfigurationRegistry.getBracketsSupport(this._cachedLanguageId));var c=this._cachedLanguageBrackets;if(!c||i.ignoreBracketsInToken(a))return new h(new n.Range(t,l+1,t,u+1),0,null);var d;do{if(d=r.BracketsUtils.findNextBracketInToken(c.forwardRegex,t,o,l,u)){var p=d.startColumn-1,f=d.endColumn-1;l<p&&this._nextBuff.push(new h(new n.Range(t,l+1,t,p+1),0,null));var g=o.substring(p,f);g=g.toLowerCase();var m=c.textIsBracket[g],v=c.textIsOpenBracket[g];this._nextBuff.push(new h(new n.Range(t,p+1,t,f+1),v?1:-1,m.languageIdentifier.language+";"+m.open+";"+m.close)),l=f}}while(d)
;return l<u&&this._nextBuff.push(new h(new n.Range(t,l+1,t,u+1),0,null)),this._nextBuff.shift()},e}(),m=function(){function e(e){this._stack=[],this._scanner=new g(e)}return e.prototype.build=function(){for(var e=new c;e.append(this._line()||this._any()););return e},e.prototype._accept=function(e){var t=this._stack.pop()||this._scanner.next();if(!t)return!1;var n=e(t);return n?this._currentToken=t:(this._stack.push(t),this._currentToken=null),n},e.prototype._peek=function(e){var t=!1;return this._accept(function(n){return t=e(n),!1}),t},e.prototype._line=function(){var e,t=new c;for(this._peek(function(t){return e=t.range.startLineNumber,!1});this._peek(function(t){return t.range.startLineNumber===e})&&t.append(this._token()||this._block()););return t.children&&0!==t.children.length?1===t.children.length?t.children[0]:t:null},e.prototype._token=function(){return this._accept(function(e){return 0===e.bracket})?a(this._currentToken):null},e.prototype._block=function(){var e;if(!this._accept(function(t){
return e=t.bracketType,1===t.bracket}))return null;var t=new d;for(t.open=a(this._currentToken);t.elements.append(this._line()););if(!this._accept(function(t){return-1===t.bracket&&t.bracketType===e})){var n=new c;return n.append(t.open),n.append(t.elements),n}return t.close=a(this._currentToken),t},e.prototype._any=function(){return this._accept(function(e){return!0})?a(this._currentToken):null},e}();t.build=function(e){return new m(e).build()},t.find=l}),define(t[133],n([0,1]),function(e,t){"use strict";function n(e,t){for(var n=e.slice();n.length>0;){var i=n.shift();if(!t(i))break;n.unshift.apply(n,i.children)}}Object.defineProperty(t,"__esModule",{value:!0});var i;!function(e){e[e.Dollar=0]="Dollar",e[e.Colon=1]="Colon",e[e.Comma=2]="Comma",e[e.CurlyOpen=3]="CurlyOpen",e[e.CurlyClose=4]="CurlyClose",e[e.Backslash=5]="Backslash",e[e.Forwardslash=6]="Forwardslash",e[e.Pipe=7]="Pipe",e[e.Int=8]="Int",e[e.VariableName=9]="VariableName",e[e.Format=10]="Format",e[e.Plus=11]="Plus",e[e.Dash=12]="Dash",
e[e.QuestionMark=13]="QuestionMark",e[e.EOF=14]="EOF"}(i=t.TokenType||(t.TokenType={}));var r=function(){function e(){this.text("")}return e.isDigitCharacter=function(e){return e>=48&&e<=57},e.isVariableCharacter=function(e){return 95===e||e>=97&&e<=122||e>=65&&e<=90},e.prototype.text=function(e){this.value=e,this.pos=0},e.prototype.tokenText=function(e){return this.value.substr(e.pos,e.len)},e.prototype.next=function(){if(this.pos>=this.value.length)return{type:i.EOF,pos:this.pos,len:0};var t,n=this.pos,o=0,r=this.value.charCodeAt(n);if("number"==typeof(t=e._table[r]))return this.pos+=1,{type:t,pos:n,len:1};if(e.isDigitCharacter(r)){t=i.Int;do{o+=1,r=this.value.charCodeAt(n+o)}while(e.isDigitCharacter(r));return this.pos+=o,{type:t,pos:n,len:o}}if(e.isVariableCharacter(r)){t=i.VariableName;do{r=this.value.charCodeAt(n+ ++o)}while(e.isVariableCharacter(r)||e.isDigitCharacter(r));return this.pos+=o,{type:t,pos:n,len:o}}t=i.Format;do{o+=1,r=this.value.charCodeAt(n+o)
}while(!isNaN(r)&&void 0===e._table[r]&&!e.isDigitCharacter(r)&&!e.isVariableCharacter(r));return this.pos+=o,{type:t,pos:n,len:o}},e._table=(g={},g[36]=i.Dollar,g[58]=i.Colon,g[44]=i.Comma,g[123]=i.CurlyOpen,g[125]=i.CurlyClose,g[92]=i.Backslash,g[47]=i.Forwardslash,g[124]=i.Pipe,g[43]=i.Plus,g[45]=i.Dash,g[63]=i.QuestionMark,g),e}();t.Scanner=r;var s=function(){function e(){this._children=[]}return e.prototype.appendChild=function(e){return e instanceof a&&this._children[this._children.length-1]instanceof a?this._children[this._children.length-1].value+=e.value:(e.parent=this,this._children.push(e)),this},e.prototype.replace=function(e,t){var n=e.parent,i=n.children.indexOf(e),o=n.children.slice(0);o.splice.apply(o,[i,1].concat(t)),n._children=o,t.forEach(function(e){return e.parent=n})},Object.defineProperty(e.prototype,"children",{get:function(){return this._children},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"snippet",{get:function(){for(var e=this;;){if(!e)return
;if(e instanceof p)return e;e=e.parent}},enumerable:!0,configurable:!0}),e.prototype.toString=function(){return this.children.reduce(function(e,t){return e+t.toString()},"")},e.prototype.len=function(){return 0},e}();t.Marker=s;var a=function(e){function t(t){var n=e.call(this)||this;return n.value=t,n}return o(t,e),t.escape=function(e){return e.replace(/\$|}|\\/g,"\\$&")},t.prototype.toString=function(){return this.value},t.prototype.toTextmateString=function(){return t.escape(this.value)},t.prototype.len=function(){return this.value.length},t.prototype.clone=function(){return new t(this.value)},t}(s);t.Text=a;var l=function(e){function t(t){var n=e.call(this)||this;return n.index=t,n}return o(t,e),t.compareByIndex=function(e,t){return e.index===t.index?0:e.isFinalTabstop?1:t.isFinalTabstop?-1:e.index<t.index?-1:e.index>t.index?1:0},Object.defineProperty(t.prototype,"isFinalTabstop",{get:function(){return 0===this.index},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"choice",{
get:function(){return 1===this._children.length&&this._children[0]instanceof u?this._children[0]:void 0},enumerable:!0,configurable:!0}),t.prototype.toTextmateString=function(){return 0===this.children.length?"$"+this.index:this.choice?"${"+this.index+"|"+this.choice.toTextmateString()+"|}":"${"+this.index+":"+this.children.map(function(e){return e.toTextmateString()}).join("")+"}"},t.prototype.clone=function(){var e=new t(this.index);return e._children=this.children.map(function(e){return e.clone()}),e},t}(s);t.Placeholder=l;var u=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t.options=[],t}return o(t,e),t.prototype.appendChild=function(e){return e instanceof a&&(e.parent=this,this.options.push(e)),this},t.prototype.toString=function(){return this.options[0].value},t.prototype.toTextmateString=function(){return this.options.map(function(e){return e.value.replace(/\||,/g,"\\$&")}).join(",")},t.prototype.len=function(){return this.options[0].len()},t.prototype.clone=function(){
var e=new t;return this.options.forEach(e.appendChild,e),e},t}(s);t.Choice=u;var c=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.resolve=function(e){var t=this;return e.replace(this.regexp,function(){for(var e="",n=0,i=t._children;n<i.length;n++){var o=i[n];if(o instanceof d){var r=arguments.length-2>o.index?arguments[o.index]:"";e+=r=o.resolve(r)}else e+=o.toString()}return e})},t.prototype.toString=function(){return""},t.prototype.toTextmateString=function(){return"/"+a.escape(this.regexp.source)+"/"+this.children.map(function(e){return e.toTextmateString()})+"/"+(this.regexp.ignoreCase?"i":"")},t.prototype.clone=function(){var e=new t;return e.regexp=new RegExp(this.regexp.source,(this.regexp.ignoreCase?"i":"")+(this.regexp.global?"g":"")),e._children=this.children.map(function(e){return e.clone()}),e},t}(s);t.Transform=c;var d=function(e){function t(t,n,i,o){var r=e.call(this)||this;return r.index=t,r.shorthandName=n,r.ifValue=i,r.elseValue=o,r}
return o(t,e),t.prototype.resolve=function(e){return"upcase"===this.shorthandName?e?e.toLocaleUpperCase():"":"downcase"===this.shorthandName?e?e.toLocaleLowerCase():"":"capitalize"===this.shorthandName?e?e[0].toLocaleUpperCase()+e.substr(1):"":Boolean(e)&&"string"==typeof this.ifValue?this.ifValue:Boolean(e)||"string"!=typeof this.elseValue?e||"":this.elseValue},t.prototype.toTextmateString=function(){var e="${";return e+=this.index,this.shorthandName?e+=":/"+this.shorthandName:this.ifValue&&this.elseValue?e+=":?"+this.ifValue+":"+this.elseValue:this.ifValue?e+=":+"+this.ifValue:this.elseValue&&(e+=":-"+this.elseValue),e+="}"},t.prototype.clone=function(){return new t(this.index,this.shorthandName,this.ifValue,this.elseValue)},t}(s);t.FormatString=d;var h=function(e){function t(t){var n=e.call(this)||this;return n.name=t,n}return o(t,e),t.prototype.resolve=function(e){var t=e.resolve(this),n=this._children[0];return n instanceof c&&1===this._children.length&&(t=n.resolve(t||"")),
void 0!==t&&(this._children=[new a(t)],!0)},t.prototype.toTextmateString=function(){return 0===this.children.length?"${"+this.name+"}":"${"+this.name+":"+this.children.map(function(e){return e.toTextmateString()}).join("")+"}"},t.prototype.clone=function(){var e=new t(this.name);return e._children=this.children.map(function(e){return e.clone()}),e},t}(s);t.Variable=h;var p=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),Object.defineProperty(t.prototype,"placeholderInfo",{get:function(){if(!this._placeholders){var e,t=[];this.walk(function(n){return n instanceof l&&(t.push(n),e=!e||e.index<n.index?n:e),!0}),this._placeholders={all:t,last:e}}return this._placeholders},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"placeholders",{get:function(){return this.placeholderInfo.all},enumerable:!0,configurable:!0}),t.prototype.offset=function(e){var t=0,n=!1;return this.walk(function(i){return i===e?(n=!0,!1):(t+=i.len(),!0)}),n?t:-1},
t.prototype.fullLen=function(e){var t=0;return n([e],function(e){return t+=e.len(),!0}),t},t.prototype.enclosingPlaceholders=function(e){for(var t=[],n=e.parent;n;)n instanceof l&&t.push(n),n=n.parent;return t},t.prototype.resolveVariables=function(e){var t=this;return this.walk(function(n){return n instanceof h&&n.resolve(e)&&(t._placeholders=void 0),!0}),this},t.prototype.appendChild=function(t){return this._placeholders=void 0,e.prototype.appendChild.call(this,t)},t.prototype.replace=function(t,n){return this._placeholders=void 0,e.prototype.replace.call(this,t,n)},t.prototype.toTextmateString=function(){return this.children.reduce(function(e,t){return e+t.toTextmateString()},"")},t.prototype.clone=function(){var e=new t;return this._children=this.children.map(function(e){return e.clone()}),e},t.prototype.walk=function(e){n(this.children,e)},t}(s);t.TextmateSnippet=p;var f=function(){function e(){this._scanner=new r}return e.escape=function(e){return e.replace(/\$|}|\\/g,"\\$&")},
e.prototype.text=function(e){return this.parse(e).toString()},e.prototype.parse=function(e,t,n){this._scanner.text(e),this._token=this._scanner.next();for(var i=new p;this._parse(i););var o=new Map,r=[],s=0;i.walk(function(e){return e instanceof l&&(s+=1,e.isFinalTabstop?o.set(0,void 0):!o.has(e.index)&&e.children.length>0?o.set(e.index,e.children):r.push(e)),!0});for(var a=0,u=r;a<u.length;a++){var c=u[a];if(o.has(c.index)){for(var d=new l(c.index),h=0,f=o.get(c.index);h<f.length;h++){var g=f[h];d.appendChild(g.clone())}i.replace(c,[d])}}return n||(n=s>0&&t),!o.has(0)&&n&&i.appendChild(new l(0)),i},e.prototype._accept=function(e,t){if(void 0===e||this._token.type===e){var n=!t||this._scanner.tokenText(this._token);return this._token=this._scanner.next(),n}return!1},e.prototype._backTo=function(e){return this._scanner.pos=e.pos+e.len,this._token=e,!1},e.prototype._until=function(e){if(this._token.type===i.EOF)return!1;for(var t=this._token;this._token.type!==e;)this._token=this._scanner.next()
;var n=this._scanner.value.substring(t.pos,this._token.pos);return this._token=this._scanner.next(),n},e.prototype._parse=function(e){return this._parseEscaped(e)||this._parseTabstopOrVariableName(e)||this._parseComplexPlaceholder(e)||this._parseComplexVariable(e)||this._parseAnything(e)},e.prototype._parseEscaped=function(e){var t;return!!(t=this._accept(i.Backslash,!0))&&(t=this._accept(i.Dollar,!0)||this._accept(i.CurlyClose,!0)||this._accept(i.Backslash,!0)||t,e.appendChild(new a(t)),!0)},e.prototype._parseTabstopOrVariableName=function(e){var t,n=this._token;return this._accept(i.Dollar)&&(t=this._accept(i.VariableName,!0)||this._accept(i.Int,!0))?(e.appendChild(/^\d+$/.test(t)?new l(Number(t)):new h(t)),!0):this._backTo(n)},e.prototype._parseComplexPlaceholder=function(e){var t,n=this._token;if(!(this._accept(i.Dollar)&&this._accept(i.CurlyOpen)&&(t=this._accept(i.Int,!0))))return this._backTo(n);var o=new l(Number(t));if(this._accept(i.Colon))for(;;){
if(this._accept(i.CurlyClose))return e.appendChild(o),!0;if(!this._parse(o))return e.appendChild(new a("${"+t+":")),o.children.forEach(e.appendChild,e),!0}else{if(!(o.index>0&&this._accept(i.Pipe)))return this._accept(i.CurlyClose)?(e.appendChild(o),!0):this._backTo(n);for(var r=new u;;){if(this._parseChoiceElement(r)){if(this._accept(i.Comma))continue;if(this._accept(i.Pipe)&&this._accept(i.CurlyClose))return o.appendChild(r),e.appendChild(o),!0}return this._backTo(n),!1}}},e.prototype._parseChoiceElement=function(e){for(var t=this._token,n=[];;){if(this._token.type===i.Comma||this._token.type===i.Pipe)break;var o=void 0;if(!(o=(o=this._accept(i.Backslash,!0))?this._accept(i.Comma,!0)||this._accept(i.Pipe,!0)||o:this._accept(void 0,!0)))return this._backTo(t),!1;n.push(o)}return 0===n.length?(this._backTo(t),!1):(e.appendChild(new a(n.join(""))),!0)},e.prototype._parseComplexVariable=function(e){var t,n=this._token
;if(!(this._accept(i.Dollar)&&this._accept(i.CurlyOpen)&&(t=this._accept(i.VariableName,!0))))return this._backTo(n);var o=new h(t);if(!this._accept(i.Colon))return this._accept(i.Forwardslash)?this._parseTransform(o)?(e.appendChild(o),!0):(this._backTo(n),!1):this._accept(i.CurlyClose)?(e.appendChild(o),!0):this._backTo(n);for(;;){if(this._accept(i.CurlyClose))return e.appendChild(o),!0;if(!this._parse(o))return e.appendChild(new a("${"+t+":")),o.children.forEach(e.appendChild,e),!0}},e.prototype._parseTransform=function(e){for(var t=new c,n="",o="";;){if(this._accept(i.Forwardslash))break;r=void 0;if(r=this._accept(i.Backslash,!0))n+=r=this._accept(i.Forwardslash,!0)||r;else{if(this._token.type===i.EOF)return!1;n+=this._accept(void 0,!0)}}for(;;){if(this._accept(i.Forwardslash))break;var r=void 0;if(r=this._accept(i.Backslash,!0))r=this._accept(i.Forwardslash,!0)||r,t.appendChild(new a(r));else if(!this._parseFormatString(t)&&!this._parseAnything(t))return!1}for(;;){if(this._accept(i.CurlyClose))break
;if(this._token.type===i.EOF)return!1;o+=this._accept(void 0,!0)}try{t.regexp=new RegExp(n,o)}catch(e){return!1}return e.appendChild(t),!0},e.prototype._parseFormatString=function(e){var t=this._token;if(!this._accept(i.Dollar))return!1;var n=!1;this._accept(i.CurlyOpen)&&(n=!0);var o=this._accept(i.Int,!0);if(!o)return this._backTo(t),!1;if(!n)return e.appendChild(new d(Number(o))),!0;if(this._accept(i.CurlyClose))return e.appendChild(new d(Number(o))),!0;if(!this._accept(i.Colon))return this._backTo(t),!1;if(this._accept(i.Forwardslash)){var r=this._accept(i.VariableName,!0);return r&&this._accept(i.CurlyClose)?(e.appendChild(new d(Number(o),r)),!0):(this._backTo(t),!1)}if(this._accept(i.Plus)){if(s=this._until(i.CurlyClose))return e.appendChild(new d(Number(o),void 0,s,void 0)),!0}else if(this._accept(i.Dash)){if(a=this._until(i.CurlyClose))return e.appendChild(new d(Number(o),void 0,void 0,a)),!0}else if(this._accept(i.QuestionMark)){var s=this._until(i.Colon);if(s){
if(a=this._until(i.CurlyClose))return e.appendChild(new d(Number(o),void 0,s,a)),!0}}else{var a=this._until(i.CurlyClose);if(a)return e.appendChild(new d(Number(o),void 0,void 0,a)),!0}return this._backTo(t),!1},e.prototype._parseAnything=function(e){return this._token.type!==i.EOF&&(e.appendChild(new a(this._scanner.tokenText(this._token))),this._accept(void 0),!0)},e}();t.SnippetParser=f;var g}),define(t[265],n([0,1,110,2]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){return function(){}}();t.LineContext=o;var r;!function(e){e[e.Nothing=0]="Nothing",e[e.All=1]="All",e[e.Incr=2]="Incr"}(r||(r={}));var s=function(){function e(t,n,i,o){this._snippetCompareFn=e._compareCompletionItems,this._items=t,this._column=n,this._refilterKind=1,this._lineContext=i,"top"===o?this._snippetCompareFn=e._compareCompletionItemsSnippetsUp:"bottom"===o&&(this._snippetCompareFn=e._compareCompletionItemsSnippetsDown)}return e.prototype.dispose=function(){
for(var e=new Set,t=0,n=this._items;t<n.length;t++){var o=n[t].container;e.has(o)||(e.add(o),i.isDisposable(o)&&o.dispose())}},Object.defineProperty(e.prototype,"lineContext",{get:function(){return this._lineContext},set:function(e){this._lineContext.leadingLineContent===e.leadingLineContent&&this._lineContext.characterCountDelta===e.characterCountDelta||(this._refilterKind=this._lineContext.characterCountDelta<e.characterCountDelta&&this._filteredItems?2:1,this._lineContext=e)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"items",{get:function(){return this._ensureCachedState(),this._filteredItems},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"incomplete",{get:function(){return this._ensureCachedState(),this._isIncomplete},enumerable:!0,configurable:!0}),e.prototype.resolveIncompleteInfo=function(){for(var e=[],t=[],n=0,i=this._items;n<i.length;n++){var o=i[n];o.container.incomplete?e.indexOf(o.support)<0&&e.push(o.support):t.push(o)}return{incomplete:e,complete:t}},
Object.defineProperty(e.prototype,"stats",{get:function(){return this._ensureCachedState(),this._stats},enumerable:!0,configurable:!0}),e.prototype._ensureCachedState=function(){0!==this._refilterKind&&this._createCachedState()},e.prototype._createCachedState=function(){this._isIncomplete=!1,this._stats={suggestionCount:0,snippetCount:0,textCount:0};for(var e=this._lineContext,t=e.leadingLineContent,i=e.characterCountDelta,o="",r=1===this._refilterKind?this._items:this._filteredItems,s=[],a=r.length>2e3?n.fuzzyScore:n.fuzzyScoreGracefulAggressive,l=0;l<r.length;l++){var u=r[l],c=u.suggestion,d=u.container;this._isIncomplete=this._isIncomplete||d.incomplete;var h=c.overwriteBefore+i-(u.position.column-this._column);if(o.length!==h&&(o=0===h?"":t.slice(-h)),u.word=o,0===h)u.score=-100,u.matches=void 0;else if("string"==typeof c.filterText){if(!(p=a(o,c.filterText,c.overwriteBefore)))continue;u.score=p[0],u.matches=n.skipScore(o,c.label)[1]}else{var p=a(o,c.label,c.overwriteBefore);if(!p)continue;u.score=p[0],
u.matches=p[1]}switch(u.idx=l,s.push(u),this._stats.suggestionCount++,c.type){case"snippet":this._stats.snippetCount++;break;case"text":this._stats.textCount++}}this._filteredItems=s.sort(this._snippetCompareFn),this._refilterKind=0},e._compareCompletionItems=function(e,t){return e.score>t.score?-1:e.score<t.score?1:e.idx<t.idx?-1:e.idx>t.idx?1:0},e._compareCompletionItemsSnippetsDown=function(t,n){if(t.suggestion.type!==n.suggestion.type){if("snippet"===t.suggestion.type)return 1;if("snippet"===n.suggestion.type)return-1}return e._compareCompletionItems(t,n)},e._compareCompletionItemsSnippetsUp=function(t,n){if(t.suggestion.type!==n.suggestion.type){if("snippet"===t.suggestion.type)return-1;if("snippet"===n.suggestion.type)return 1}return e._compareCompletionItems(t,n)},e}();t.CompletionModel=s}),define(t[206],n([0,1]),function(e,t){"use strict";function n(e){return Array.isArray(e)}function i(e){return"string"==typeof e}function o(e){return!e}function r(e,t){return e.ignoreCase&&t?t.toLowerCase():t}
Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.None=0]="None",e[e.Open=1]="Open",e[e.Close=-1]="Close"}(t.MonarchBracket||(t.MonarchBracket={})),t.isFuzzyActionArr=n,t.isFuzzyAction=function(e){return!n(e)},t.isString=i,t.isIAction=function(e){return!i(e)},t.empty=o,t.fixCase=r,t.sanitize=function(e){return e.replace(/[&<>'"_]/g,"-")},t.log=function(e,t){console.log(e.languageId+": "+t)},t.throwError=function(e,t){throw new Error(e.languageId+": "+t)},t.substituteMatches=function(e,t,n,i,s){var a=null;return t.replace(/\$((\$)|(#)|(\d\d?)|[sS](\d\d?)|@(\w+))/g,function(t,l,u,c,d,h,p,f,g){return o(u)?o(c)?!o(d)&&d<i.length?r(e,i[d]):!o(p)&&e&&"string"==typeof e[p]?e[p]:(null===a&&(a=s.split(".")).unshift(s),!o(h)&&h<a.length?r(e,a[h]):""):r(e,n):"$"})},t.findRules=function(e,t){for(;t&&t.length>0;){var n=e.tokenizer[t];if(n)return n;var i=t.lastIndexOf(".");t=i<0?null:t.substr(0,i)}return null},t.stateExists=function(e,t){for(;t&&t.length>0;){if(e.stateNames[t])return!0
;var n=t.lastIndexOf(".");t=n<0?null:t.substr(0,n)}return!1}}),define(t[267],n([0,1,25,206]),function(e,t,n,i){"use strict";function o(e,t,n){return"boolean"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function r(e,t,n){return"string"==typeof e?e:(n&&(e||void 0===t)&&n(),void 0===t?null:t)}function s(e,t){if("string"!=typeof t)return null;for(var n=0;t.indexOf("@")>=0&&n<5;)n++,t=t.replace(/@(\w+)/g,function(n,o){var r="";return"string"==typeof e[o]?r=e[o]:e[o]&&e[o]instanceof RegExp?r=e[o].source:void 0===e[o]?i.throwError(e,"language definition does not contain attribute '"+o+"', used at: "+t):i.throwError(e,"attribute reference '"+o+"' must be a string, used at: "+t),i.empty(r)?"":"(?:"+r+")"});return new RegExp(t,e.ignoreCase?"i":"")}function a(e,t,o,r){var a=-1,l=o,u=o.match(/^\$(([sS]?)(\d\d?)|#)(.*)$/);u&&(u[3]&&(a=parseInt(u[3]),u[2]&&(a+=100)),l=u[4]);var c="~",d=l;l&&0!==l.length?/^\w*$/.test(d)?c="==":(u=l.match(/^(@|!@|~|!~|==|!=)(.*)$/))&&(c=u[1],d=u[2]):(c="!=",d="");var h
;if("~"!==c&&"!~"!==c||!/^(\w|\|)*$/.test(d))if("@"===c||"!@"===c){var p=e[d];p||i.throwError(e,"the @ match target '"+d+"' is not defined, in rule: "+t),function(e,t){if(!t)return!1;if(!Array.isArray(t))return!1;var n;for(n in t)if(t.hasOwnProperty(n)&&!e(t[n]))return!1;return!0}(function(e){return"string"==typeof e},p)||i.throwError(e,"the @ match target '"+d+"' must be an array of strings, in rule: "+t);var f=n.createKeywordMatcher(p,e.ignoreCase);h=function(e){return"@"===c?f(e):!f(e)}}else if("~"===c||"!~"===c)if(d.indexOf("$")<0){var g=s(e,"^"+d+"$");h=function(e){return"~"===c?g.test(e):!g.test(e)}}else h=function(t,n,o,r){return s(e,"^"+i.substituteMatches(e,d,n,o,r)+"$").test(t)};else if(d.indexOf("$")<0){var m=i.fixCase(e,d);h=function(e){return"=="===c?e===m:e!==m}}else{var v=i.fixCase(e,d);h=function(t,n,o,r,s){var a=i.substituteMatches(e,v,n,o,r);return"=="===c?t===a:t!==a}}else{var _=n.createKeywordMatcher(d.split("|"),e.ignoreCase);h=function(e){return"~"===c?_(e):!_(e)}}return-1===a?{name:o,
value:r,test:function(e,t,n,i){return h(e,e,t,n,i)}}:{name:o,value:r,test:function(e,t,n,i){var o=function(e,t,n,i){if(i<0)return e;if(i<t.length)return t[i];if(i>=100){i-=100;var o=n.split(".");if(o.unshift(n),i<o.length)return o[i]}return null}(e,t,n,a);return h(o||"",e,t,n,i)}}}function l(e,t,n){if(n){if("string"==typeof n)return n;if(n.token||""===n.token){if("string"!=typeof n.token)return i.throwError(e,"a 'token' attribute must be of type string, in rule: "+t),{token:""};var o={token:n.token};if(n.token.indexOf("$")>=0&&(o.tokenSubst=!0),"string"==typeof n.bracket&&("@open"===n.bracket?o.bracket=1:"@close"===n.bracket?o.bracket=-1:i.throwError(e,"a 'bracket' attribute must be either '@open' or '@close', in rule: "+t)),n.next)if("string"!=typeof n.next)i.throwError(e,"the next state must be a string value in rule: "+t);else{var r=n.next;/^(@pop|@push|@popall)$/.test(r)||("@"===r[0]&&(r=r.substr(1)),
r.indexOf("$")<0&&(i.stateExists(e,i.substituteMatches(e,r,"",[],""))||i.throwError(e,"the next state '"+n.next+"' is not defined in rule: "+t))),o.next=r}return"number"==typeof n.goBack&&(o.goBack=n.goBack),"string"==typeof n.switchTo&&(o.switchTo=n.switchTo),"string"==typeof n.log&&(o.log=n.log),"string"==typeof n.nextEmbedded&&(o.nextEmbedded=n.nextEmbedded,e.usesEmbedded=!0),o}if(Array.isArray(n)){var s,u=[];for(s in n)n.hasOwnProperty(s)&&(u[s]=l(e,t,n[s]));return{group:u}}if(n.cases){var c,d=[];for(c in n.cases)if(n.cases.hasOwnProperty(c)){var h=l(e,t,n.cases[c]);"@default"===c||"@"===c||""===c?d.push({test:null,value:h,name:c}):"@eos"===c?d.push({test:function(e,t,n,i){return i},value:h,name:c}):d.push(a(e,t,c,h))}var p=e.defaultToken;return{test:function(e,t,n,i){var o;for(o in d)if(d.hasOwnProperty(o)){if(!d[o].test||d[o].test(e,t,n,i))return d[o].value}return p}}}return i.throwError(e,"an action must be a string, an object with a 'token' or 'cases' attribute, or an array of actions; in rule: "+t),
""}return{token:""}}Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e){this.regex=new RegExp(""),this.action={token:""},this.matchOnlyAtLineStart=!1,this.name="",this.name=e}return e.prototype.setRegex=function(e,t){var n;"string"==typeof t?n=t:t instanceof RegExp?n=t.source:i.throwError(e,"rules must start with a match string or regular expression: "+this.name),this.matchOnlyAtLineStart=n.length>0&&"^"===n[0],this.name=this.name+": "+n,this.regex=s(e,"^(?:"+(this.matchOnlyAtLineStart?n.substr(1):n)+")")},e.prototype.setAction=function(e,t){this.action=l(e,this.name,t)},e}();t.compile=function(e,t){function n(e,l,c){var d;for(d in c)if(c.hasOwnProperty(d)){var h=c[d],p=h.include;if(p)"string"!=typeof p&&i.throwError(s,"an 'include' attribute must be a string at: "+e),"@"===p[0]&&(p=p.substr(1)),t.tokenizer[p]||i.throwError(s,"include target '"+p+"' is not defined at: "+e),n(e+"."+p,l,t.tokenizer[p]);else{var f=new u(e)
;if(Array.isArray(h)&&h.length>=1&&h.length<=3)if(f.setRegex(a,h[0]),h.length>=3)if("string"==typeof h[1])f.setAction(a,{token:h[1],next:h[2]});else if("object"==typeof h[1]){var g=h[1];g.next=h[2],f.setAction(a,g)}else i.throwError(s,"a next state as the last element of a rule can only be given if the action is either an object or a string, at: "+e);else f.setAction(a,h[1]);else h.regex||i.throwError(s,"a rule must either be an array, or an object with a 'regex' or 'include' field at: "+e),h.name&&(f.name=r(h.name)),h.matchOnlyAtStart&&(f.matchOnlyAtLineStart=o(h.matchOnlyAtLineStart)),f.setRegex(a,h.regex),f.setAction(a,h.action);l.push(f)}}}if(!t||"object"!=typeof t)throw new Error("Monarch: expecting a language definition object");var s={};s.languageId=e,s.noThrow=!1,s.maxStack=100,s.start=r(t.start),s.ignoreCase=o(t.ignoreCase,!1),s.tokenPostfix=r(t.tokenPostfix,"."+s.languageId),s.defaultToken=r(t.defaultToken,"source",function(){i.throwError(s,"the 'defaultToken' must be a string")}),s.usesEmbedded=!1
;var a=t;a.languageId=e,a.ignoreCase=s.ignoreCase,a.noThrow=s.noThrow,a.usesEmbedded=s.usesEmbedded,a.stateNames=t.tokenizer,a.defaultToken=s.defaultToken,t.tokenizer&&"object"==typeof t.tokenizer||i.throwError(s,"a language definition must define the 'tokenizer' attribute as an object"),s.tokenizer=[];var l;for(l in t.tokenizer)if(t.tokenizer.hasOwnProperty(l)){s.start||(s.start=l);var c=t.tokenizer[l];s.tokenizer[l]=new Array,n("tokenizer."+l,s.tokenizer[l],c)}s.usesEmbedded=a.usesEmbedded,t.brackets?Array.isArray(t.brackets)||i.throwError(s,"the 'brackets' attribute must be defined as an array"):t.brackets=[{open:"{",close:"}",token:"delimiter.curly"},{open:"[",close:"]",token:"delimiter.square"},{open:"(",close:")",token:"delimiter.parenthesis"},{open:"<",close:">",token:"delimiter.angle"}];var d=[];for(var h in t.brackets)if(t.brackets.hasOwnProperty(h)){var p=t.brackets[h];p&&Array.isArray(p)&&3===p.length&&(p={token:p[2],open:p[0],close:p[1]}),
p.open===p.close&&i.throwError(s,"open and close brackets in a 'brackets' attribute must be different: "+p.open+"\n hint: use the 'bracket' attribute if matching on equal brackets is required."),"string"==typeof p.open&&"string"==typeof p.token?d.push({token:r(p.token)+s.tokenPostfix,open:i.fixCase(s,r(p.open)),close:i.fixCase(s,r(p.close))}):i.throwError(s,"every element in the 'brackets' array must be a '{open,close,token}' object or array")}return s.brackets=d,s.noThrow=!0,s}}),define(t[268],n([6,5]),function(e,t){return e.create("vs/base/browser/ui/actionbar/actionbar",t)}),define(t[271],n([6,5]),function(e,t){return e.create("vs/base/browser/ui/aria/aria",t)}),define(t[50],n([0,1,271,15,10,475]),function(e,t,n,i,o){"use strict";function r(e){s(l,e)}function s(e,t){a&&(e.textContent===t&&(t=n.localize(0,null,t)),o.clearNode(e),e.textContent=t,e.style.visibility="hidden",e.style.visibility="visible")}Object.defineProperty(t,"__esModule",{value:!0});var a,l,u;t.setARIAContainer=function(e){
(a=document.createElement("div")).className="monaco-aria-container",(l=document.createElement("div")).className="monaco-alert",l.setAttribute("role","alert"),l.setAttribute("aria-atomic","true"),a.appendChild(l),(u=document.createElement("div")).className="monaco-status",u.setAttribute("role","status"),u.setAttribute("aria-atomic","true"),a.appendChild(u),e.appendChild(a)},t.alert=r,t.status=function(e){i.isMacintosh?r(e):s(u,e)}}),define(t[273],n([6,5]),function(e,t){return e.create("vs/base/browser/ui/findinput/findInput",t)}),define(t[274],n([6,5]),function(e,t){return e.create("vs/base/browser/ui/findinput/findInputCheckboxes",t)}),define(t[154],n([0,1,274,491,554]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=n.localize(0,null),s=n.localize(1,null),a=n.localize(2,null),l=function(e){function t(t){return e.call(this,{actionClassName:"monaco-case-sensitive",title:r+t.appendTitle,isChecked:t.isChecked,onChange:t.onChange,onKeyDown:t.onKeyDown,
inputActiveOptionBorder:t.inputActiveOptionBorder})||this}return o(t,e),t}(i.Checkbox);t.CaseSensitiveCheckbox=l;var u=function(e){function t(t){return e.call(this,{actionClassName:"monaco-whole-word",title:s+t.appendTitle,isChecked:t.isChecked,onChange:t.onChange,onKeyDown:t.onKeyDown,inputActiveOptionBorder:t.inputActiveOptionBorder})||this}return o(t,e),t}(i.Checkbox);t.WholeWordsCheckbox=u;var c=function(e){function t(t){return e.call(this,{actionClassName:"monaco-regex",title:a+t.appendTitle,isChecked:t.isChecked,onChange:t.onChange,onKeyDown:t.onKeyDown,inputActiveOptionBorder:t.inputActiveOptionBorder})||this}return o(t,e),t}(i.Checkbox);t.RegexCheckbox=c}),define(t[276],n([6,5]),function(e,t){return e.create("vs/base/browser/ui/inputbox/inputBox",t)}),define(t[277],n([6,5]),function(e,t){return e.create("vs/base/browser/ui/selectBox/selectBoxCustom",t)}),define(t[278],n([0,1,277,2,4,37,59,10,22,105,91,42,15,253]),function(e,t,n,i,o,r,s,a,l,u,c,d,h){"use strict";Object.defineProperty(t,"__esModule",{
value:!0});var p=a.$,f=function(){function e(){}return Object.defineProperty(e.prototype,"templateId",{get:function(){return"selectOption.entry.template"},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){var t=Object.create(null);return t.disposables=[],t.root=e,t.optionText=a.append(e,p(".option-text")),t},e.prototype.renderElement=function(e,t,i){var o=i,r=e.optionText,s=e.optionDisabled;o.optionText.textContent=r,o.root.setAttribute("aria-label",n.localize(0,null,r)),s?a.addClass(o.root,"option-disabled"):a.removeClass(o.root,"option-disabled")},e.prototype.disposeTemplate=function(e){e.disposables=i.dispose(e.disposables)},e}(),g=function(){function e(e,t,n,i){this.toDispose=[],this._isVisible=!1,this.selectElement=document.createElement("select"),this.selectElement.className="monaco-select-box",this._onDidSelect=new o.Emitter,this.styles=i,this.registerListeners(),this.constructSelectDropDown(n),this.setOptions(e,t)}return e.prototype.getHeight=function(){return 18},
e.prototype.getTemplateId=function(){return"selectOption.entry.template"},e.prototype.constructSelectDropDown=function(e){this.contextViewProvider=e,this.selectDropDownContainer=a.$(".monaco-select-box-dropdown-container"),this.createSelectList(this.selectDropDownContainer);var t=a.append(this.selectDropDownContainer,p(".select-box-dropdown-container-width-control")),n=a.append(t,p(".width-control-div"));this.widthControlElement=document.createElement("span"),this.widthControlElement.className="option-text-width-control",a.append(n,this.widthControlElement),this.styleElement=a.createStyleSheet(this.selectDropDownContainer)},e.prototype.registerListeners=function(){var e=this;this.toDispose.push(a.addStandardDisposableListener(this.selectElement,"change",function(t){e.selectElement.title=t.target.value,e._onDidSelect.fire({index:t.target.selectedIndex,selected:t.target.value})})),this.toDispose.push(a.addDisposableListener(this.selectElement,a.EventType.CLICK,function(t){a.EventHelper.stop(t),
e._isVisible?e.hideSelectDropDown(!0):e.showSelectDropDown()})),this.toDispose.push(a.addDisposableListener(this.selectElement,a.EventType.MOUSE_DOWN,function(e){a.EventHelper.stop(e)})),this.toDispose.push(a.addDisposableListener(this.selectElement,a.EventType.KEY_DOWN,function(t){var n=new s.StandardKeyboardEvent(t),i=!1;h.isMacintosh?18!==n.keyCode&&16!==n.keyCode&&10!==n.keyCode&&3!==n.keyCode||(i=!0):(18===n.keyCode&&n.altKey||16===n.keyCode&&n.altKey||10===n.keyCode||3===n.keyCode)&&(i=!0),i&&(e.showSelectDropDown(),a.EventHelper.stop(t))}))},Object.defineProperty(e.prototype,"onDidSelect",{get:function(){return this._onDidSelect.event},enumerable:!0,configurable:!0}),e.prototype.setOptions=function(e,t,n){var i=this;if(!this.options||!l.equals(this.options,e)){this.options=e,this.selectElement.options.length=0;var o=0;if(this.options.forEach(function(e){i.selectElement.add(i.createOption(e,o,n===o++))}),this.selectList&&this.options){var r=void 0;r=[],void 0!==n&&(this.disabledOptionIndex=n)
;for(var s=0;s<this.options.length;s++){var a=this.options[s],u=void 0;u=s===this.disabledOptionIndex,r.push({optionText:a,optionDisabled:u})}this.selectList.splice(0,this.selectList.length,r)}}void 0!==t&&this.select(t)},e.prototype.select=function(e){e>=0&&e<this.options.length?this.selected=e:this.selected<0&&(this.selected=0),this.selectElement.selectedIndex=this.selected,this.selectElement.title=this.options[this.selected]},e.prototype.focus=function(){this.selectElement&&this.selectElement.focus()},e.prototype.blur=function(){this.selectElement&&this.selectElement.blur()},e.prototype.render=function(e){a.addClass(e,"select-container"),e.appendChild(this.selectElement),this.setOptions(this.options,this.selected),this.applyStyles()},e.prototype.style=function(e){var t=[];this.styles=e,
this.styles.listFocusBackground&&t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { background-color: "+this.styles.listFocusBackground+" !important; }"),this.styles.listFocusForeground&&t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused:not(:hover) { color: "+this.styles.listFocusForeground+" !important; }"),this.styles.listHoverForeground&&(t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:hover { color: "+this.styles.listHoverForeground+" !important; }"),t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled:hover { background-color: "+this.styles.listActiveSelectionForeground+" !important; }")),
this.styles.listHoverBackground&&(t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:not(.option-disabled):not(.focused):hover { background-color: "+this.styles.listHoverBackground+" !important; }"),t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled:hover { background-color: "+this.styles.selectBackground+" !important; }")),this.styles.listFocusOutline&&t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.focused { outline: 1.6px dotted "+this.styles.listFocusOutline+" !important; outline-offset: -1.6px !important; }"),this.styles.listHoverOutline&&(t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row:hover:not(.focused) { outline: 1.6px dashed "+this.styles.listHoverOutline+" !important; outline-offset: -1.6px !important; }"),
t.push(".monaco-select-box-dropdown-container > .select-box-dropdown-list-container .monaco-list .monaco-list-row.option-disabled:hover { outline: none !important; }")),this.styleElement.innerHTML=t.join("\n"),this.applyStyles()},e.prototype.applyStyles=function(){var e=null;if(this.selectElement){e=this.styles.selectBackground?this.styles.selectBackground.toString():null;var t=this.styles.selectForeground?this.styles.selectForeground.toString():null,n=this.styles.selectBorder?this.styles.selectBorder.toString():null;this.selectElement.style.backgroundColor=e,this.selectElement.style.color=t,this.selectElement.style.borderColor=n}if(this.selectList){this.selectList.style({});var i=this.styles.selectListBackground?this.styles.selectListBackground.toString():e;this.selectDropDownListContainer.style.backgroundColor=i;var o=this.styles.focusBorder?this.styles.focusBorder.toString():null;this.selectDropDownContainer.style.outlineColor=o,this.selectDropDownContainer.style.outlineOffset="-1px"}},
e.prototype.createOption=function(e,t,n){var i=document.createElement("option");return i.value=e,i.text=e,i.disabled=n,i},e.prototype.showSelectDropDown=function(){var e=this;this.contextViewProvider&&!this._isVisible&&(this._isVisible=!0,this.cloneElementFont(this.selectElement,this.selectDropDownContainer),this.contextViewProvider.showContextView({getAnchor:function(){return e.selectElement},render:function(t){return e.renderSelectDropDown(t)},layout:function(){return e.layoutSelectDropDown()},onHide:function(){a.toggleClass(e.selectDropDownContainer,"visible",!1),a.toggleClass(e.selectElement,"synthetic-focus",!1)}}),this._currentSelection=this.selected)},e.prototype.hideSelectDropDown=function(e){this.contextViewProvider&&this._isVisible&&(this._isVisible=!1,e&&this.selectElement.focus(),this.contextViewProvider.hideContextView())},e.prototype.renderSelectDropDown=function(e){var t=this;return e.appendChild(this.selectDropDownContainer),this.layoutSelectDropDown(),{dispose:function(){
return e.removeChild(t.selectDropDownContainer)}}},e.prototype.layoutSelectDropDown=function(){a.toggleClass(this.selectDropDownContainer,"visible",!0);var t=a.getTotalWidth(this.selectElement),n=a.getDomNodePagePosition(this.selectElement),i=a.getTotalHeight(document.getElementById("workbench.parts.statusbar")),o=window.innerHeight-n.top-n.height-i-e.SELECT_DROPDOWN_BOTTOM_MARGIN;if(this.selectList){this.selectList.layout();var r=this.selectList.contentHeight,s=a.getTotalHeight(this.selectDropDownListContainer),l=s-r;s>o&&(r=Math.floor((o-l)/this.getHeight())*this.getHeight()),this.selectList.layout(r),this.selectList.domFocus(),this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selectList.getFocus()[0]),this.selectDropDownContainer.style.height=r+l+"px";var u=this.setWidthControlElement(this.widthControlElement),c=Math.max(u,Math.round(t)).toString()+"px";this.selectDropDownContainer.style.minWidth=c,this.selectDropDownListContainer.setAttribute("tabindex","0"),
a.toggleClass(this.selectElement,"synthetic-focus",!0),a.toggleClass(this.selectDropDownContainer,"synthetic-focus",!0)}},e.prototype.setWidthControlElement=function(e){var t=0;if(e&&this.options){for(var n=0,i=0;i<this.options.length;i++)this.options[i].length>this.options[n].length&&(n=i);e.innerHTML=this.options[n],t=a.getTotalWidth(e)}return t},e.prototype.cloneElementFont=function(e,t){var n=window.getComputedStyle(e,null).getPropertyValue("font-size"),i=window.getComputedStyle(e,null).getPropertyValue("font-family");t.style.fontFamily=i,t.style.fontSize=n},e.prototype.createSelectList=function(e){var t=this;this.selectDropDownListContainer=a.append(e,p(".select-box-dropdown-list-container")),this.listRenderer=new f,this.selectList=new u.List(this.selectDropDownListContainer,this,[this.listRenderer],{useShadows:!1,selectOnMouseDown:!1,verticalScrollMode:d.ScrollbarVisibility.Visible,keyboardSupport:!1,mouseSupport:!1})
;var n=o.chain(c.domEvent(this.selectDropDownListContainer,"keydown")).filter(function(){return t.selectList.length>0}).map(function(e){return new s.StandardKeyboardEvent(e)});n.filter(function(e){return 3===e.keyCode}).on(function(e){return t.onEnter(e)},this,this.toDispose),n.filter(function(e){return 9===e.keyCode}).on(function(e){return t.onEscape(e)},this,this.toDispose),n.filter(function(e){return 16===e.keyCode}).on(this.onUpArrow,this,this.toDispose),n.filter(function(e){return 18===e.keyCode}).on(this.onDownArrow,this,this.toDispose),n.filter(function(e){return 12===e.keyCode}).on(this.onPageDown,this,this.toDispose),n.filter(function(e){return 11===e.keyCode}).on(this.onPageUp,this,this.toDispose),n.filter(function(e){return 14===e.keyCode}).on(this.onHome,this,this.toDispose),n.filter(function(e){return 13===e.keyCode}).on(this.onEnd,this,this.toDispose),n.filter(function(e){return e.keyCode>=21&&e.keyCode<=56||e.keyCode>=80&&e.keyCode<=108}).on(this.onCharacter,this,this.toDispose),
o.chain(c.domEvent(this.selectList.getHTMLElement(),"mouseup")).filter(function(){return t.selectList.length>0}).on(function(e){return t.onMouseUp(e)},this,this.toDispose),this.toDispose.push(this.selectList.onDidBlur(function(e){return t.onListBlur()}))},e.prototype.onMouseUp=function(e){if(e.toElement.classList.contains("option-text")){var t=e.toElement.parentElement,n=Number(t.getAttribute("data-index")),i=t.classList.contains("option-disabled");n>=0&&n<this.options.length&&!i&&(this.selected=n,this.select(this.selected),this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selectList.getFocus()[0]),this._onDidSelect.fire({index:this.selectElement.selectedIndex,selected:this.selectElement.title}),this._currentSelection=-1,this.hideSelectDropDown(!0)),a.EventHelper.stop(e)}},e.prototype.onListBlur=function(){this._currentSelection>=0&&this.select(this._currentSelection),this._onDidSelect.fire({index:this.selectElement.selectedIndex,selected:this.selectElement.title}),
this.hideSelectDropDown(!1)},e.prototype.onEscape=function(e){a.EventHelper.stop(e),this.select(this._currentSelection),this.hideSelectDropDown(!0),this._onDidSelect.fire({index:this.selectElement.selectedIndex,selected:this.selectElement.title})},e.prototype.onEnter=function(e){a.EventHelper.stop(e),this._currentSelection=-1,this.hideSelectDropDown(!0),this._onDidSelect.fire({index:this.selectElement.selectedIndex,selected:this.selectElement.title})},e.prototype.onDownArrow=function(){this.selected<this.options.length-1&&(this.selected+1===this.disabledOptionIndex&&this.options.length>this.selected+2?this.selected+=2:this.selected++,this.select(this.selected),this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selectList.getFocus()[0]))},e.prototype.onUpArrow=function(){this.selected>0&&(this.selected-1===this.disabledOptionIndex&&this.selected>1?this.selected-=2:this.selected--,this.select(this.selected),this.selectList.setFocus([this.selected]),
this.selectList.reveal(this.selectList.getFocus()[0]))},e.prototype.onPageUp=function(e){var t=this;a.EventHelper.stop(e),this.selectList.focusPreviousPage(),setTimeout(function(){t.selected=t.selectList.getFocus()[0],t.selected===t.disabledOptionIndex&&t.selected<t.options.length-1&&(t.selected++,t.selectList.setFocus([t.selected])),t.selectList.reveal(t.selected),t.select(t.selected)},1)},e.prototype.onPageDown=function(e){var t=this;a.EventHelper.stop(e),this.selectList.focusNextPage(),setTimeout(function(){t.selected=t.selectList.getFocus()[0],t.selected===t.disabledOptionIndex&&t.selected>0&&(t.selected--,t.selectList.setFocus([t.selected])),t.selectList.reveal(t.selected),t.select(t.selected)},1)},e.prototype.onHome=function(e){a.EventHelper.stop(e),this.options.length<2||(this.selected=0,this.selected===this.disabledOptionIndex&&this.selected>1&&this.selected++,this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selected),this.select(this.selected))},e.prototype.onEnd=function(e){
a.EventHelper.stop(e),this.options.length<2||(this.selected=this.options.length-1,this.selected===this.disabledOptionIndex&&this.selected>1&&this.selected--,this.selectList.setFocus([this.selected]),this.selectList.reveal(this.selected),this.select(this.selected))},e.prototype.onCharacter=function(e){for(var t=r.KeyCodeUtils.toString(e.keyCode),n=-1,i=0;i<this.options.length-1;i++)if(n=(i+this.selected+1)%this.options.length,this.options[n].charAt(0).toUpperCase()===t){this.select(n),this.selectList.setFocus([n]),this.selectList.reveal(this.selectList.getFocus()[0]),a.EventHelper.stop(e);break}},e.prototype.dispose=function(){this.hideSelectDropDown(!1),this.toDispose=i.dispose(this.toDispose)},e.SELECT_DROPDOWN_BOTTOM_MARGIN=10,e}();t.SelectBoxList=g}),define(t[279],n([0,1,2,45,27,25,210,278,15,252]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.defaultStyles={selectBackground:r.Color.fromHex("#3C3C3C"),selectForeground:r.Color.fromHex("#F0F0F0"),
selectBorder:r.Color.fromHex("#3C3C3C")};var c=function(e){function i(n,i,o,r){void 0===r&&(r=s.deepClone(t.defaultStyles));var c=e.call(this)||this;return c.toDispose=[],s.mixin(c.styles,t.defaultStyles,!1),u.isMacintosh?c.selectBoxDelegate=new a.SelectBoxNative(n,i,r):c.selectBoxDelegate=new l.SelectBoxList(n,i,o,r),c.toDispose.push(c.selectBoxDelegate),c}return o(i,e),Object.defineProperty(i.prototype,"onDidSelect",{get:function(){return this.selectBoxDelegate.onDidSelect},enumerable:!0,configurable:!0}),i.prototype.setOptions=function(e,t,n){this.selectBoxDelegate.setOptions(e,t,n)},i.prototype.select=function(e){this.selectBoxDelegate.select(e)},i.prototype.focus=function(){this.selectBoxDelegate.focus()},i.prototype.blur=function(){this.selectBoxDelegate.blur()},i.prototype.render=function(e){this.selectBoxDelegate.render(e)},i.prototype.style=function(e){this.selectBoxDelegate.style(e)},i.prototype.applyStyles=function(){this.selectBoxDelegate.applyStyles()},i.prototype.dispose=function(){
this.toDispose=n.dispose(this.toDispose),e.prototype.dispose.call(this)},i}(i.Widget);t.SelectBox=c}),define(t[71],n([0,1,15,268,2,49,279,65,10,30,75,59,4,469]),function(e,t,n,i,r,s,a,l,u,c,d,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){var i=this;this.options=n,this._callOnDispose=[],this._context=e||this,this._action=t,t instanceof l.Action&&this._callOnDispose.push(t.onDidChange(function(e){i.builder&&i._handleActionChangeEvent(e)}))}return e.prototype._handleActionChangeEvent=function(e){void 0!==e.enabled&&this._updateEnabled(),void 0!==e.checked&&this._updateChecked(),void 0!==e.class&&this._updateClass(),void 0!==e.label&&(this._updateLabel(),this._updateTooltip()),void 0!==e.tooltip&&this._updateTooltip()},Object.defineProperty(e.prototype,"callOnDispose",{get:function(){return this._callOnDispose},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actionRunner",{get:function(){return this._actionRunner},set:function(e){
this._actionRunner=e},enumerable:!0,configurable:!0}),e.prototype.getAction=function(){return this._action},e.prototype.isEnabled=function(){return this._action.enabled},e.prototype.setActionContext=function(e){this._context=e},e.prototype.render=function(e){var t=this;this.builder=s.$(e),d.Gesture.addTarget(e);var i=this.options&&this.options.draggable;i&&(e.draggable=!0),this.builder.on(d.EventType.Tap,function(e){return t.onClick(e)}),this.builder.on(u.EventType.MOUSE_DOWN,function(e){i||u.EventHelper.stop(e,!0);var n=e;t._action.enabled&&0===n.button&&t.builder.addClass("active")}),this.builder.on(u.EventType.CLICK,function(e){u.EventHelper.stop(e,!0),t.options&&t.options.isMenu?t.onClick(e):n.setImmediate(function(){return t.onClick(e)})}),this.builder.on([u.EventType.MOUSE_UP,u.EventType.MOUSE_OUT],function(e){u.EventHelper.stop(e),t.builder.removeClass("active")})},e.prototype.onClick=function(e){u.EventHelper.stop(e,!0);var t;c.isUndefinedOrNull(this._context)?t=e:(t=this._context).event=e,
this._actionRunner.run(this._action,t)},e.prototype.focus=function(){this.builder&&this.builder.domFocus()},e.prototype.blur=function(){this.builder&&this.builder.domBlur()},e.prototype._updateEnabled=function(){},e.prototype._updateLabel=function(){},e.prototype._updateTooltip=function(){},e.prototype._updateClass=function(){},e.prototype._updateChecked=function(){},e.prototype.dispose=function(){this.builder&&(this.builder.destroy(),this.builder=null),this._callOnDispose=r.dispose(this._callOnDispose)},e}();t.BaseActionItem=f;var g=function(e){function t(n,i){var o=e.call(this,t.ID,n,n?"separator text":"separator")||this;return o.checked=!1,o.radio=!1,o.enabled=!1,o.order=i,o}return o(t,e),t.ID="vs.actions.separator",t}(l.Action);t.Separator=g;var m=function(e){function t(t,n,i){void 0===i&&(i={});var o=e.call(this,t,n,i)||this;return o.options=i,o.options.icon=void 0!==i.icon&&i.icon,o.options.label=void 0===i.label||i.label,o.cssClass="",o}return o(t,e),t.prototype.render=function(t){
e.prototype.render.call(this,t),this.$e=s.$("a.action-label").appendTo(this.builder),this._action.id===g.ID?this.$e.attr({role:"presentation"}):this.options.isMenu?this.$e.attr({role:"menuitem"}):this.$e.attr({role:"button"}),this.options.label&&this.options.keybinding&&s.$("span.keybinding").text(this.options.keybinding).appendTo(this.builder),this._updateClass(),this._updateLabel(),this._updateTooltip(),this._updateEnabled(),this._updateChecked()},t.prototype.focus=function(){e.prototype.focus.call(this),this.$e.domFocus()},t.prototype._updateLabel=function(){this.options.label&&this.$e.text(this.getAction().label)},t.prototype._updateTooltip=function(){var e=null;this.getAction().tooltip?e=this.getAction().tooltip:!this.options.label&&this.getAction().label&&this.options.icon&&(e=this.getAction().label,this.options.keybinding&&(e=i.localize(0,null,e,this.options.keybinding))),e&&this.$e.attr({title:e})},t.prototype._updateClass=function(){this.cssClass&&this.$e.removeClass(this.cssClass),
this.options.icon?(this.cssClass=this.getAction().class,this.$e.addClass("icon"),this.cssClass&&this.$e.addClass(this.cssClass),this._updateEnabled()):this.$e.removeClass("icon")},t.prototype._updateEnabled=function(){this.getAction().enabled?(this.builder.removeClass("disabled"),this.$e.removeClass("disabled"),this.$e.attr({tabindex:0})):(this.builder.addClass("disabled"),this.$e.addClass("disabled"),u.removeTabIndexAndUpdateFocus(this.$e.getHTMLElement()))},t.prototype._updateChecked=function(){this.getAction().checked?this.$e.addClass("checked"):this.$e.removeClass("checked")},t}(f);t.ActionItem=m;var v;!function(e){e[e.HORIZONTAL=0]="HORIZONTAL",e[e.HORIZONTAL_REVERSE=1]="HORIZONTAL_REVERSE",e[e.VERTICAL=2]="VERTICAL",e[e.VERTICAL_REVERSE=3]="VERTICAL_REVERSE"}(v=t.ActionsOrientation||(t.ActionsOrientation={}));var _={orientation:v.HORIZONTAL,context:null},y=function(){function e(e,t){void 0===t&&(t=_);var n=this;this._onDidBlur=new p.Emitter,this._onDidCancel=new p.Emitter,this._onDidRun=new p.Emitter,
this._onDidBeforeRun=new p.Emitter,this.options=t,this._context=t.context,this.toDispose=[],this._actionRunner=this.options.actionRunner,this._actionRunner||(this._actionRunner=new l.ActionRunner,this.toDispose.push(this._actionRunner)),this.toDispose.push(this._actionRunner.onDidRun(function(e){return n._onDidRun.fire(e)})),this.toDispose.push(this._actionRunner.onDidBeforeRun(function(e){return n._onDidBeforeRun.fire(e)})),this.items=[],this.focusedItem=void 0,this.domNode=document.createElement("div"),this.domNode.className="monaco-action-bar",!1!==t.animated&&u.addClass(this.domNode,"animated");var i,o;switch(this.options.orientation){case v.HORIZONTAL:i=15,o=17;break;case v.HORIZONTAL_REVERSE:i=17,o=15,this.domNode.className+=" reverse";break;case v.VERTICAL:i=16,o=18,this.domNode.className+=" vertical";break;case v.VERTICAL_REVERSE:i=18,o=16,this.domNode.className+=" vertical reverse"}s.$(this.domNode).on(u.EventType.KEY_DOWN,function(e){var t=new h.StandardKeyboardEvent(e),r=!0
;t.equals(i)?n.focusPrevious():t.equals(o)?n.focusNext():t.equals(9)?n.cancel():t.equals(3)||t.equals(10)||(r=!1),r&&(t.preventDefault(),t.stopPropagation())}),s.$(this.domNode).on(u.EventType.KEY_UP,function(e){var t=new h.StandardKeyboardEvent(e);t.equals(3)||t.equals(10)?(n.doTrigger(t),t.preventDefault(),t.stopPropagation()):(t.equals(2)||t.equals(1026))&&n.updateFocusedItem()}),this.focusTracker=u.trackFocus(this.domNode),this.toDispose.push(this.focusTracker.onDidBlur(function(){document.activeElement!==n.domNode&&u.isAncestor(document.activeElement,n.domNode)||(n._onDidBlur.fire(),n.focusedItem=void 0)})),this.toDispose.push(this.focusTracker.onDidFocus(function(){return n.updateFocusedItem()})),this.actionsList=document.createElement("ul"),this.actionsList.className="actions-container",this.options.isMenu?this.actionsList.setAttribute("role","menubar"):this.actionsList.setAttribute("role","toolbar"),this.options.ariaLabel&&this.actionsList.setAttribute("aria-label",this.options.ariaLabel),
this.domNode.appendChild(this.actionsList),(e instanceof s.Builder?e.getHTMLElement():e).appendChild(this.domNode)}return Object.defineProperty(e.prototype,"onDidBlur",{get:function(){return this._onDidBlur.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidCancel",{get:function(){return this._onDidCancel.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidRun",{get:function(){return this._onDidRun.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidBeforeRun",{get:function(){return this._onDidBeforeRun.event},enumerable:!0,configurable:!0}),e.prototype.setAriaLabel=function(e){e?this.actionsList.setAttribute("aria-label",e):this.actionsList.removeAttribute("aria-label")},e.prototype.updateFocusedItem=function(){for(var e=0;e<this.actionsList.children.length;e++){var t=this.actionsList.children[e];if(u.isAncestor(document.activeElement,t)){this.focusedItem=e;break}}},Object.defineProperty(e.prototype,"context",{get:function(){
return this._context},set:function(e){this._context=e,this.items.forEach(function(t){return t.setActionContext(e)})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"actionRunner",{get:function(){return this._actionRunner},set:function(e){e&&(this._actionRunner=e,this.items.forEach(function(t){return t.actionRunner=e}))},enumerable:!0,configurable:!0}),e.prototype.getContainer=function(){return s.$(this.domNode)},e.prototype.push=function(e,t){var n=this;void 0===t&&(t={});var i=Array.isArray(e)?e:[e],o=c.isNumber(t.index)?t.index:null;i.forEach(function(e){var i=document.createElement("li");i.className="action-item",i.setAttribute("role","presentation"),s.$(i).on(u.EventType.CONTEXT_MENU,function(e){e.preventDefault(),e.stopPropagation()});var r=null;n.options.actionItemProvider&&(r=n.options.actionItemProvider(e)),r||(r=new m(n.context,e,t)),r.actionRunner=n._actionRunner,r.setActionContext(n.context),r.render(i),
null===o||o<0||o>=n.actionsList.children.length?n.actionsList.appendChild(i):n.actionsList.insertBefore(i,n.actionsList.children[o++]),n.items.push(r)})},e.prototype.getWidth=function(e){return e>=0&&e<this.actionsList.children.length?this.actionsList.children.item(e).clientWidth:0},e.prototype.getHeight=function(e){return e>=0&&e<this.actionsList.children.length?this.actionsList.children.item(e).clientHeight:0},e.prototype.pull=function(e){e>=0&&e<this.items.length&&(this.items.splice(e,1),this.actionsList.removeChild(this.actionsList.childNodes[e]))},e.prototype.clear=function(){this.items=r.dispose(this.items),s.$(this.actionsList).empty()},e.prototype.length=function(){return this.items.length},e.prototype.isEmpty=function(){return 0===this.items.length},e.prototype.focus=function(e){e&&void 0===this.focusedItem&&(this.focusedItem=0),this.updateFocus()},e.prototype.focusNext=function(){void 0===this.focusedItem&&(this.focusedItem=this.items.length-1);var e,t=this.focusedItem;do{
this.focusedItem=(this.focusedItem+1)%this.items.length,e=this.items[this.focusedItem]}while(this.focusedItem!==t&&!e.isEnabled());this.focusedItem!==t||e.isEnabled()||(this.focusedItem=void 0),this.updateFocus()},e.prototype.focusPrevious=function(){void 0===this.focusedItem&&(this.focusedItem=0);var e,t=this.focusedItem;do{this.focusedItem=this.focusedItem-1,this.focusedItem<0&&(this.focusedItem=this.items.length-1),e=this.items[this.focusedItem]}while(this.focusedItem!==t&&!e.isEnabled());this.focusedItem!==t||e.isEnabled()||(this.focusedItem=void 0),this.updateFocus(!0)},e.prototype.updateFocus=function(e){if(void 0!==this.focusedItem)for(var t=0;t<this.items.length;t++){var n=this.items[t];t===this.focusedItem?c.isFunction(n.focus)&&n.focus(e):c.isFunction(n.blur)&&n.blur()}else this.domNode.focus()},e.prototype.doTrigger=function(e){if(void 0!==this.focusedItem){var t=this.items[this.focusedItem];if(t instanceof f){var n=null===t._context||void 0===t._context?e:t._context;this.run(t._action,n).done()}}
},e.prototype.cancel=function(){document.activeElement instanceof HTMLElement&&document.activeElement.blur(),this._onDidCancel.fire()},e.prototype.run=function(e,t){return this._actionRunner.run(e,t)},e.prototype.dispose=function(){null!==this.items&&r.dispose(this.items),this.items=null,this.focusTracker&&(this.focusTracker.dispose(),this.focusTracker=null),this.toDispose=r.dispose(this.toDispose),this.getContainer().destroy()},e}();t.ActionBar=y;var C=function(e){function t(t,n,i,o,r){var s=e.call(this,t,n)||this;return s.selectBox=new a.SelectBox(i,o,r),s.toDispose=[],s.toDispose.push(s.selectBox),s.registerListeners(),s}return o(t,e),t.prototype.setOptions=function(e,t,n){this.selectBox.setOptions(e,t,n)},t.prototype.select=function(e){this.selectBox.select(e)},t.prototype.registerListeners=function(){var e=this;this.toDispose.push(this.selectBox.onDidSelect(function(t){e.actionRunner.run(e._action,e.getActionContext(t.selected)).done()}))},t.prototype.getActionContext=function(e){return e},
t.prototype.focus=function(){this.selectBox&&this.selectBox.focus()},t.prototype.blur=function(){this.selectBox&&this.selectBox.blur()},t.prototype.render=function(e){this.selectBox.render(e)},t.prototype.dispose=function(){this.toDispose=r.dispose(this.toDispose),e.prototype.dispose.call(this)},t}(f);t.SelectActionItem=C}),define(t[148],n([0,1,276,32,10,117,50,71,155,4,45,27,25,211]),function(e,t,n,i,r,s,a,l,u,c,d,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f,g=r.$;!function(e){e[e.INFO=1]="INFO",e[e.WARNING=2]="WARNING",e[e.ERROR=3]="ERROR"}(f=t.MessageType||(t.MessageType={}));var m={inputBackground:h.Color.fromHex("#3C3C3C"),inputForeground:h.Color.fromHex("#CCCCCC"),inputValidationInfoBorder:h.Color.fromHex("#55AAFF"),inputValidationInfoBackground:h.Color.fromHex("#063B49"),inputValidationWarningBorder:h.Color.fromHex("#B89500"),inputValidationWarningBackground:h.Color.fromHex("#352A05"),inputValidationErrorBorder:h.Color.fromHex("#BE1100"),
inputValidationErrorBackground:h.Color.fromHex("#5A1D1D")},v=function(e){function t(t,n,o){var s=e.call(this)||this;s.state="idle",s._onDidChange=s._register(new c.Emitter),s.onDidChange=s._onDidChange.event,s._onDidHeightChange=s._register(new c.Emitter),s.onDidHeightChange=s._onDidHeightChange.event,s.contextViewProvider=n,s.options=o||Object.create(null),p.mixin(s.options,m,!1),s.message=null,s.cachedHeight=null,s.placeholder=s.options.placeholder||"",s.ariaLabel=s.options.ariaLabel||"",s.inputBackground=s.options.inputBackground,s.inputForeground=s.options.inputForeground,s.inputBorder=s.options.inputBorder,s.inputValidationInfoBorder=s.options.inputValidationInfoBorder,s.inputValidationInfoBackground=s.options.inputValidationInfoBackground,s.inputValidationWarningBorder=s.options.inputValidationWarningBorder,s.inputValidationWarningBackground=s.options.inputValidationWarningBackground,s.inputValidationErrorBorder=s.options.inputValidationErrorBorder,
s.inputValidationErrorBackground=s.options.inputValidationErrorBackground,s.options.validationOptions&&(s.validation=s.options.validationOptions.validation),s.element=r.append(t,g(".monaco-inputbox.idle"));var a=s.options.flexibleHeight?"textarea":"input",u=r.append(s.element,g(".wrapper"));return s.input=r.append(u,g(a+".input")),s.input.setAttribute("autocorrect","off"),s.input.setAttribute("autocapitalize","off"),s.input.setAttribute("spellcheck","false"),s.onfocus(s.input,function(){return r.addClass(s.element,"synthetic-focus")}),s.onblur(s.input,function(){return r.removeClass(s.element,"synthetic-focus")}),s.options.flexibleHeight?s.mirror=r.append(u,g("div.mirror")):(s.input.type=s.options.type||"text",s.input.setAttribute("wrap","off")),s.ariaLabel&&s.input.setAttribute("aria-label",s.ariaLabel),s.placeholder&&s.setPlaceHolder(s.placeholder),s.oninput(s.input,function(){return s.onValueChange()}),s.onblur(s.input,function(){return s.onBlur()}),s.onfocus(s.input,function(){return s.onFocus()}),
s.placeholder&&i.isIE&&s.onclick(s.input,function(e){r.EventHelper.stop(e,!0),s.input.focus()}),setTimeout(function(){s.input&&s.updateMirror()},0),s.options.actions&&(s.actionbar=s._register(new l.ActionBar(s.element)),s.actionbar.push(s.options.actions,{icon:!0,label:!1})),s.applyStyles(),s}return o(t,e),t.prototype.onBlur=function(){this._hideMessage()},t.prototype.onFocus=function(){this._showMessage()},t.prototype.setPlaceHolder=function(e){this.input&&(this.input.setAttribute("placeholder",e),this.input.title=e)},t.prototype.setAriaLabel=function(e){this.ariaLabel=e,this.input&&(e?this.input.setAttribute("aria-label",this.ariaLabel):this.input.removeAttribute("aria-label"))},Object.defineProperty(t.prototype,"inputElement",{get:function(){return this.input},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"value",{get:function(){return this.input.value},set:function(e){this.input.value!==e&&(this.input.value=e,this.onValueChange())},enumerable:!0,configurable:!0}),
Object.defineProperty(t.prototype,"height",{get:function(){return null===this.cachedHeight?r.getTotalHeight(this.element):this.cachedHeight},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this.input.focus()},t.prototype.blur=function(){this.input.blur()},t.prototype.hasFocus=function(){return document.activeElement===this.input},t.prototype.select=function(e){void 0===e&&(e=null),this.input.select(),e&&this.input.setSelectionRange(e.start,e.end)},t.prototype.enable=function(){this.input.removeAttribute("disabled")},t.prototype.disable=function(){this.input.disabled=!0,this._hideMessage()},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},Object.defineProperty(t.prototype,"width",{get:function(){return r.getTotalWidth(this.input)},set:function(e){this.input.style.width=e+"px"},enumerable:!0,configurable:!0}),t.prototype.showMessage=function(e,t){this.message=e,r.removeClass(this.element,"idle"),r.removeClass(this.element,"info"),r.removeClass(this.element,"warning"),
r.removeClass(this.element,"error"),r.addClass(this.element,this.classForType(e.type));var i=this.stylesForType(this.message.type);this.element.style.border=i.border?"1px solid "+i.border:null;var o;o=e.type===f.ERROR?n.localize(0,null,e.content):e.type===f.WARNING?n.localize(1,null,e.content):n.localize(2,null,e.content),a.alert(o),(this.hasFocus()||t)&&this._showMessage()},t.prototype.hideMessage=function(){this.message=null,r.removeClass(this.element,"info"),r.removeClass(this.element,"warning"),r.removeClass(this.element,"error"),r.addClass(this.element,"idle"),this._hideMessage(),this.applyStyles()},t.prototype.isInputValid=function(){return!!this.validation&&!this.validation(this.value)},t.prototype.validate=function(){var e=null;return this.validation&&((e=this.validation(this.value))?(this.inputElement.setAttribute("aria-invalid","true"),this.showMessage(e)):this.inputElement.hasAttribute("aria-invalid")&&(this.inputElement.removeAttribute("aria-invalid"),this.hideMessage())),!e},
t.prototype.stylesForType=function(e){switch(e){case f.INFO:return{border:this.inputValidationInfoBorder,background:this.inputValidationInfoBackground};case f.WARNING:return{border:this.inputValidationWarningBorder,background:this.inputValidationWarningBackground};default:return{border:this.inputValidationErrorBorder,background:this.inputValidationErrorBackground}}},t.prototype.classForType=function(e){switch(e){case f.INFO:return"info";case f.WARNING:return"warning";default:return"error"}},t.prototype._showMessage=function(){var e=this;if(this.contextViewProvider&&this.message){var t,n=function(){return t.style.width=r.getTotalWidth(e.element)+"px"};this.state="open",this.contextViewProvider.showContextView({getAnchor:function(){return e.element},anchorAlignment:u.AnchorAlignment.RIGHT,render:function(i){t=r.append(i,g(".monaco-inputbox-container")),n();var o={inline:!0,className:"monaco-inputbox-message"},a=e.message.formatContent?s.renderFormattedText(e.message.content,o):s.renderText(e.message.content,o)
;r.addClass(a,e.classForType(e.message.type));var l=e.stylesForType(e.message.type);return a.style.backgroundColor=l.background?l.background.toString():null,a.style.border=l.border?"1px solid "+l.border:null,r.append(t,a),null},layout:n})}},t.prototype._hideMessage=function(){this.contextViewProvider&&"open"===this.state&&(this.state="idle",this.contextViewProvider.hideContextView())},t.prototype.onValueChange=function(){this._onDidChange.fire(this.value),this.validate(),this.updateMirror(),"open"===this.state&&this.contextViewProvider.layout()},t.prototype.updateMirror=function(){if(this.mirror){var e=this.value||this.placeholder,t=10===e.charCodeAt(e.length-1)?" ":"";this.mirror.textContent=e+t,this.layout()}},t.prototype.style=function(e){this.inputBackground=e.inputBackground,this.inputForeground=e.inputForeground,this.inputBorder=e.inputBorder,this.inputValidationInfoBackground=e.inputValidationInfoBackground,this.inputValidationInfoBorder=e.inputValidationInfoBorder,
this.inputValidationWarningBackground=e.inputValidationWarningBackground,this.inputValidationWarningBorder=e.inputValidationWarningBorder,this.inputValidationErrorBackground=e.inputValidationErrorBackground,this.inputValidationErrorBorder=e.inputValidationErrorBorder,this.applyStyles()},t.prototype.applyStyles=function(){if(this.element){var e=this.inputBackground?this.inputBackground.toString():null,t=this.inputForeground?this.inputForeground.toString():null,n=this.inputBorder?this.inputBorder.toString():null;this.element.style.backgroundColor=e,this.element.style.color=t,this.input.style.backgroundColor=e,this.input.style.color=t,this.element.style.borderWidth=n?"1px":null,this.element.style.borderStyle=n?"solid":null,this.element.style.borderColor=n}},t.prototype.layout=function(){if(this.mirror){var e=this.cachedHeight;this.cachedHeight=r.getTotalHeight(this.mirror),e!==this.cachedHeight&&(this.input.style.height=this.cachedHeight+"px",this._onDidHeightChange.fire(this.cachedHeight))}},
t.prototype.dispose=function(){this._hideMessage(),this.element=null,this.input=null,this.contextViewProvider=null,this.message=null,this.placeholder=null,this.ariaLabel=null,this.validation=null,this.state=null,this.actionbar=null,e.prototype.dispose.call(this)},t}(d.Widget);t.InputBox=v}),define(t[282],n([0,1,273,10,148,45,4,154,552]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=n.localize(0,null),c=function(e){function t(t,n,i){var o=e.call(this)||this;return o._onDidOptionChange=o._register(new a.Emitter),o.onDidOptionChange=o._onDidOptionChange.event,o._onKeyDown=o._register(new a.Emitter),o.onKeyDown=o._onKeyDown.event,o._onMouseDown=o._register(new a.Emitter),o.onMouseDown=o._onMouseDown.event,o._onInput=o._register(new a.Emitter),o.onInput=o._onInput.event,o._onKeyUp=o._register(new a.Emitter),o.onKeyUp=o._onKeyUp.event,o._onCaseSensitiveKeyDown=o._register(new a.Emitter),o.onCaseSensitiveKeyDown=o._onCaseSensitiveKeyDown.event,
o._lastHighlightFindOptions=0,o.contextViewProvider=n,o.width=i.width||100,o.placeholder=i.placeholder||"",o.validation=i.validation,o.label=i.label||u,o.inputActiveOptionBorder=i.inputActiveOptionBorder,o.inputBackground=i.inputBackground,o.inputForeground=i.inputForeground,o.inputBorder=i.inputBorder,o.inputValidationInfoBorder=i.inputValidationInfoBorder,o.inputValidationInfoBackground=i.inputValidationInfoBackground,o.inputValidationWarningBorder=i.inputValidationWarningBorder,o.inputValidationWarningBackground=i.inputValidationWarningBackground,o.inputValidationErrorBorder=i.inputValidationErrorBorder,o.inputValidationErrorBackground=i.inputValidationErrorBackground,o.regex=null,o.wholeWords=null,o.caseSensitive=null,o.domNode=null,o.inputBox=null,o.buildDomNode(i.appendCaseSensitiveLabel||"",i.appendWholeWordsLabel||"",i.appendRegexLabel||""),Boolean(t)&&t.appendChild(o.domNode),o.onkeydown(o.inputBox.inputElement,function(e){return o._onKeyDown.fire(e)}),o.onkeyup(o.inputBox.inputElement,function(e){
return o._onKeyUp.fire(e)}),o.oninput(o.inputBox.inputElement,function(e){return o._onInput.fire()}),o.onmousedown(o.inputBox.inputElement,function(e){return o._onMouseDown.fire(e)}),o}return o(t,e),t.prototype.enable=function(){i.removeClass(this.domNode,"disabled"),this.inputBox.enable(),this.regex.enable(),this.wholeWords.enable(),this.caseSensitive.enable()},t.prototype.disable=function(){i.addClass(this.domNode,"disabled"),this.inputBox.disable(),this.regex.disable(),this.wholeWords.disable(),this.caseSensitive.disable()},t.prototype.setEnabled=function(e){e?this.enable():this.disable()},t.prototype.clear=function(){this.clearValidation(),this.setValue(""),this.focus()},t.prototype.setWidth=function(e){this.width=e,this.domNode.style.width=this.width+"px",this.contextViewProvider.layout(),this.setInputWidth()},t.prototype.getValue=function(){return this.inputBox.value},t.prototype.setValue=function(e){this.inputBox.value!==e&&(this.inputBox.value=e)},t.prototype.style=function(e){
this.inputActiveOptionBorder=e.inputActiveOptionBorder,this.inputBackground=e.inputBackground,this.inputForeground=e.inputForeground,this.inputBorder=e.inputBorder,this.inputValidationInfoBackground=e.inputValidationInfoBackground,this.inputValidationInfoBorder=e.inputValidationInfoBorder,this.inputValidationWarningBackground=e.inputValidationWarningBackground,this.inputValidationWarningBorder=e.inputValidationWarningBorder,this.inputValidationErrorBackground=e.inputValidationErrorBackground,this.inputValidationErrorBorder=e.inputValidationErrorBorder,this.applyStyles()},t.prototype.applyStyles=function(){if(this.domNode){var e={inputActiveOptionBorder:this.inputActiveOptionBorder};this.regex.style(e),this.wholeWords.style(e),this.caseSensitive.style(e);var t={inputBackground:this.inputBackground,inputForeground:this.inputForeground,inputBorder:this.inputBorder,inputValidationInfoBackground:this.inputValidationInfoBackground,inputValidationInfoBorder:this.inputValidationInfoBorder,
inputValidationWarningBackground:this.inputValidationWarningBackground,inputValidationWarningBorder:this.inputValidationWarningBorder,inputValidationErrorBackground:this.inputValidationErrorBackground,inputValidationErrorBorder:this.inputValidationErrorBorder};this.inputBox.style(t)}},t.prototype.select=function(){this.inputBox.select()},t.prototype.focus=function(){this.inputBox.focus()},t.prototype.getCaseSensitive=function(){return this.caseSensitive.checked},t.prototype.setCaseSensitive=function(e){this.caseSensitive.checked=e,this.setInputWidth()},t.prototype.getWholeWords=function(){return this.wholeWords.checked},t.prototype.setWholeWords=function(e){this.wholeWords.checked=e,this.setInputWidth()},t.prototype.getRegex=function(){return this.regex.checked},t.prototype.setRegex=function(e){this.regex.checked=e,this.setInputWidth(),this.validate()},t.prototype.focusOnCaseSensitive=function(){this.caseSensitive.focus()},t.prototype.highlightFindOptions=function(){
i.removeClass(this.domNode,"highlight-"+this._lastHighlightFindOptions),this._lastHighlightFindOptions=1-this._lastHighlightFindOptions,i.addClass(this.domNode,"highlight-"+this._lastHighlightFindOptions)},t.prototype.setInputWidth=function(){var e=this.width-this.caseSensitive.width()-this.wholeWords.width()-this.regex.width();this.inputBox.width=e},t.prototype.buildDomNode=function(e,t,n){var o=this;this.domNode=document.createElement("div"),this.domNode.style.width=this.width+"px",i.addClass(this.domNode,"monaco-findInput"),this.inputBox=this._register(new r.InputBox(this.domNode,this.contextViewProvider,{placeholder:this.placeholder||"",ariaLabel:this.label||"",validationOptions:{validation:this.validation||null},inputBackground:this.inputBackground,inputForeground:this.inputForeground,inputBorder:this.inputBorder,inputValidationInfoBackground:this.inputValidationInfoBackground,inputValidationInfoBorder:this.inputValidationInfoBorder,inputValidationWarningBackground:this.inputValidationWarningBackground,
inputValidationWarningBorder:this.inputValidationWarningBorder,inputValidationErrorBackground:this.inputValidationErrorBackground,inputValidationErrorBorder:this.inputValidationErrorBorder})),this.regex=this._register(new l.RegexCheckbox({appendTitle:n,isChecked:!1,onChange:function(e){o._onDidOptionChange.fire(e),e||o.inputBox.focus(),o.setInputWidth(),o.validate()},inputActiveOptionBorder:this.inputActiveOptionBorder})),this.wholeWords=this._register(new l.WholeWordsCheckbox({appendTitle:t,isChecked:!1,onChange:function(e){o._onDidOptionChange.fire(e),e||o.inputBox.focus(),o.setInputWidth(),o.validate()},inputActiveOptionBorder:this.inputActiveOptionBorder})),this.caseSensitive=this._register(new l.CaseSensitiveCheckbox({appendTitle:e,isChecked:!1,onChange:function(e){o._onDidOptionChange.fire(e),e||o.inputBox.focus(),o.setInputWidth(),o.validate()},onKeyDown:function(e){o._onCaseSensitiveKeyDown.fire(e)},inputActiveOptionBorder:this.inputActiveOptionBorder}))
;var s=[this.caseSensitive.domNode,this.wholeWords.domNode,this.regex.domNode];this.onkeydown(this.domNode,function(e){if(e.equals(15)||e.equals(17)||e.equals(9)){var t=s.indexOf(document.activeElement);if(t>=0){var n=void 0;e.equals(17)?n=(t+1)%s.length:e.equals(15)&&(n=0===t?s.length-1:t-1),e.equals(9)?s[t].blur():n>=0&&s[n].focus(),i.EventHelper.stop(e,!0)}}}),this.setInputWidth();var a=document.createElement("div");a.className="controls",a.appendChild(this.caseSensitive.domNode),a.appendChild(this.wholeWords.domNode),a.appendChild(this.regex.domNode),this.domNode.appendChild(a)},t.prototype.validate=function(){this.inputBox.validate()},t.prototype.showMessage=function(e){this.inputBox.showMessage(e)},t.prototype.clearMessage=function(){this.inputBox.hideMessage()},t.prototype.clearValidation=function(){this.inputBox.hideMessage()},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.OPTION_CHANGE="optionChange",t}(s.Widget);t.FindInput=c}),define(t[437],n([0,1,49,71,217]),function(e,t,n,i){
"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,o){void 0===o&&(o={}),n.$(e).addClass("monaco-menu-container");var r=n.$(".monaco-menu").appendTo(e);this.actionBar=new i.ActionBar(r,{orientation:i.ActionsOrientation.VERTICAL,actionItemProvider:o.actionItemProvider,context:o.context,actionRunner:o.actionRunner,isMenu:!0}),this.actionBar.push(t,{icon:!0,label:!0})}return Object.defineProperty(e.prototype,"onDidCancel",{get:function(){return this.actionBar.onDidCancel},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidBlur",{get:function(){return this.actionBar.onDidBlur},enumerable:!0,configurable:!0}),e.prototype.focus=function(){this.actionBar.focus(!0)},e.prototype.dispose=function(){this.actionBar&&(this.actionBar.dispose(),this.actionBar=null),this.listener&&(this.listener.dispose(),this.listener=null)},e}();t.Menu=o}),define(t[284],n([6,5]),function(e,t){return e.create("vs/base/common/keybindingLabels",t)}),
define(t[158],n([0,1,284]),function(e,t,n){"use strict";function i(e,t,n){if(null===t)return"";var i=[];return e.ctrlKey&&i.push(n.ctrlKey),e.shiftKey&&i.push(n.shiftKey),e.altKey&&i.push(n.altKey),e.metaKey&&i.push(n.metaKey),i.push(t),i.join(n.separator)}Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n){void 0===n&&(n=t),this.modifierLabels=[null],this.modifierLabels[2]=e,this.modifierLabels[1]=t,this.modifierLabels[3]=n}return e.prototype.toLabel=function(e,t,n,o,r){return null===t&&null===o?null:function(e,t,n,o,r){var s=i(e,t,r);return null!==o&&(s+=" ",s+=i(n,o,r)),s}(e,t,n,o,this.modifierLabels[r])},e}();t.ModifierLabelProvider=o,t.UILabelProvider=new o({ctrlKey:"⌃",shiftKey:"⇧",altKey:"⌥",metaKey:"⌘",separator:""},{ctrlKey:n.localize(0,null),shiftKey:n.localize(1,null),altKey:n.localize(2,null),metaKey:n.localize(3,null),separator:"+"}),t.AriaLabelProvider=new o({ctrlKey:n.localize(4,null),shiftKey:n.localize(5,null),altKey:n.localize(6,null),
metaKey:n.localize(7,null),separator:"+"},{ctrlKey:n.localize(8,null),shiftKey:n.localize(9,null),altKey:n.localize(10,null),metaKey:n.localize(11,null),separator:"+"}),t.ElectronAcceleratorLabelProvider=new o({ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Cmd",separator:"+"},{ctrlKey:"Ctrl",shiftKey:"Shift",altKey:"Alt",metaKey:"Super",separator:"+"}),t.UserSettingsLabelProvider=new o({ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"cmd",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"win",separator:"+"},{ctrlKey:"ctrl",shiftKey:"shift",altKey:"alt",metaKey:"meta",separator:"+"})}),define(t[286],n([0,1,25,158,10,215]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=o.$,s=function(){function e(e,t){this.os=t,this.domNode=o.append(e,r(".monaco-keybinding")),this.didEverRender=!1,e.appendChild(this.domNode)}return Object.defineProperty(e.prototype,"element",{get:function(){return this.domNode},enumerable:!0,configurable:!0}),
e.prototype.set=function(t,n){this.didEverRender&&this.keybinding===t&&e.areSame(this.matches,n)||(this.keybinding=t,this.matches=n,this.render())},e.prototype.render=function(){if(o.clearNode(this.domNode),this.keybinding){var e=this.keybinding.getParts(),t=e[0],n=e[1];t&&this.renderPart(this.domNode,t,this.matches?this.matches.firstPart:null),n&&(o.append(this.domNode,r("span.monaco-keybinding-key-chord-separator",null," ")),this.renderPart(this.domNode,n,this.matches?this.matches.chordPart:null)),this.domNode.title=this.keybinding.getAriaLabel()}this.didEverRender=!0},e.prototype.renderPart=function(e,t,n){var o=i.UILabelProvider.modifierLabels[this.os];t.ctrlKey&&this.renderKey(e,o.ctrlKey,n&&n.ctrlKey,o.separator),t.shiftKey&&this.renderKey(e,o.shiftKey,n&&n.shiftKey,o.separator),t.altKey&&this.renderKey(e,o.altKey,n&&n.altKey,o.separator),t.metaKey&&this.renderKey(e,o.metaKey,n&&n.metaKey,o.separator);var r=t.keyLabel;r&&this.renderKey(e,r,n&&n.keyCode,"")},e.prototype.renderKey=function(e,t,n,i){
o.append(e,r("span.monaco-keybinding-key"+(n?".highlight":""),null,t)),i&&o.append(e,r("span.monaco-keybinding-key-separator",null,i))},e.prototype.dispose=function(){this.keybinding=null},e.areSame=function(e,t){return e===t||!e&&!t||!!e&&!!t&&n.equals(e.firstPart,t.firstPart)&&n.equals(e.chordPart,t.chordPart)},e}();t.KeybindingLabel=s}),define(t[287],n([6,5]),function(e,t){return e.create("vs/base/common/severity",t)}),define(t[96],n([0,1,287,9]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o;!function(e){e[e.Ignore=0]="Ignore",e[e.Info=1]="Info",e[e.Warning=2]="Warning",e[e.Error=3]="Error"}(o||(o={})),function(e){var t="error",o="warning",r="warn",s="info",a=Object.create(null);a[e.Error]=n.localize(0,null),a[e.Warning]=n.localize(1,null),a[e.Info]=n.localize(2,null),e.fromValue=function(n){return n?i.equalsIgnoreCase(t,n)?e.Error:i.equalsIgnoreCase(o,n)||i.equalsIgnoreCase(r,n)?e.Warning:i.equalsIgnoreCase(s,n)?e.Info:e.Ignore:e.Ignore}}(o||(o={})),t.default=o}),
define(t[289],n([6,5]),function(e,t){return e.create("vs/base/parts/quickopen/browser/quickOpenModel",t)}),define(t[115],n([0,1,289,8,30,156,417,71,136,10,286,15]),function(e,t,n,i,r,s,a,l,u,c,d,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=0,f=function(){function e(){}return e.prototype.getItemLabel=function(e){return e.getLabel()},e.prototype.getItemDescription=function(e){return e.getDescription()},e.prototype.getItemPath=function(e){var t=e.getResource();return t?t.fsPath:void 0},e}();t.QuickOpenItemAccessorClass=f,t.QuickOpenItemAccessor=new f;var g=function(){function e(e){void 0===e&&(e=[]),this.id=(p++).toString(),this.labelHighlights=e,this.descriptionHighlights=[]}return e.prototype.getId=function(){return this.id},e.prototype.getLabel=function(){return null},e.prototype.getLabelOptions=function(){return null},e.prototype.getAriaLabel=function(){return this.getLabel()},e.prototype.getDetail=function(){return null},e.prototype.getIcon=function(){return null},
e.prototype.getDescription=function(){return null},e.prototype.getTooltip=function(){return null},e.prototype.getDescriptionTooltip=function(){return null},e.prototype.getKeybinding=function(){return null},e.prototype.getResource=function(){return null},e.prototype.isHidden=function(){return this.hidden},e.prototype.setHidden=function(e){this.hidden=e},e.prototype.setHighlights=function(e,t,n){this.labelHighlights=e,this.descriptionHighlights=t,this.detailHighlights=n},e.prototype.getHighlights=function(){return[this.labelHighlights,this.descriptionHighlights,this.detailHighlights]},e.prototype.run=function(e,t){return!1},e.prototype.mergeWithEditorHistory=function(){return!1},e}();t.QuickOpenEntry=g;var m=function(e){function t(t,n,i){var o=e.call(this)||this;return o.entry=t,o.groupLabel=n,o.withBorder=i,o}return o(t,e),t.prototype.getGroupLabel=function(){return this.groupLabel},t.prototype.setGroupLabel=function(e){this.groupLabel=e},t.prototype.showBorder=function(){return this.withBorder},
t.prototype.setShowBorder=function(e){this.withBorder=e},t.prototype.getLabel=function(){return this.entry?this.entry.getLabel():e.prototype.getLabel.call(this)},t.prototype.getLabelOptions=function(){return this.entry?this.entry.getLabelOptions():e.prototype.getLabelOptions.call(this)},t.prototype.getAriaLabel=function(){return this.entry?this.entry.getAriaLabel():e.prototype.getAriaLabel.call(this)},t.prototype.getDetail=function(){return this.entry?this.entry.getDetail():e.prototype.getDetail.call(this)},t.prototype.getResource=function(){return this.entry?this.entry.getResource():e.prototype.getResource.call(this)},t.prototype.getIcon=function(){return this.entry?this.entry.getIcon():e.prototype.getIcon.call(this)},t.prototype.getDescription=function(){return this.entry?this.entry.getDescription():e.prototype.getDescription.call(this)},t.prototype.getEntry=function(){return this.entry},t.prototype.getHighlights=function(){return this.entry?this.entry.getHighlights():e.prototype.getHighlights.call(this)},
t.prototype.isHidden=function(){return this.entry?this.entry.isHidden():e.prototype.isHidden.call(this)},t.prototype.setHighlights=function(t,n,i){this.entry?this.entry.setHighlights(t,n,i):e.prototype.setHighlights.call(this,t,n,i)},t.prototype.setHidden=function(t){this.entry?this.entry.setHidden(t):e.prototype.setHidden.call(this,t)},t.prototype.run=function(t,n){return this.entry?this.entry.run(t,n):e.prototype.run.call(this,t,n)},t}(g);t.QuickOpenEntryGroup=m;var v=function(){function e(){}return e.prototype.hasActions=function(e,t){return!1},e.prototype.getActions=function(e,t){return i.TPromise.as(null)},e.prototype.hasSecondaryActions=function(e,t){return!1},e.prototype.getSecondaryActions=function(e,t){return i.TPromise.as(null)},e.prototype.getActionItem=function(e,t,n){return null},e}(),_=function(){function e(e,t){void 0===e&&(e=new v),void 0===t&&(t=null),this.actionProvider=e,this.actionRunner=t}return e.prototype.getHeight=function(e){return e.getDetail()?44:22},
e.prototype.getTemplateId=function(e){return e instanceof m?"quickOpenEntryGroup":"quickOpenEntry"},e.prototype.renderTemplate=function(e,t,n){var i=document.createElement("div");c.addClass(i,"sub-content"),t.appendChild(i);var o=c.$(".quick-open-row"),r=c.$(".quick-open-row"),a=c.$(".quick-open-entry",null,o,r);i.appendChild(a);var p=document.createElement("span");o.appendChild(p);var f=new s.IconLabel(o,{supportHighlights:!0,supportDescriptionHighlights:!0}),g=document.createElement("span");o.appendChild(g),c.addClass(g,"quick-open-entry-keybinding");var m=new d.KeybindingLabel(g,h.OS),v=document.createElement("div");r.appendChild(v),c.addClass(v,"quick-open-entry-meta");var _,y=new u.HighlightedLabel(v);"quickOpenEntryGroup"===e&&(_=document.createElement("div"),c.addClass(_,"results-group"),t.appendChild(_)),c.addClass(t,"actions");var C=document.createElement("div");c.addClass(C,"primary-action-bar"),t.appendChild(C);return{container:t,entry:a,icon:p,label:f,detail:y,keybinding:m,group:_,
actionBar:new l.ActionBar(C,{actionRunner:this.actionRunner})}},e.prototype.renderElement=function(e,t,n,i){if(this.actionProvider.hasActions(null,e)?c.addClass(n.container,"has-actions"):c.removeClass(n.container,"has-actions"),n.actionBar.context=e,this.actionProvider.getActions(null,e).then(function(e){n.actionBar.isEmpty()&&e&&e.length>0?n.actionBar.push(e,{icon:!0,label:!1}):n.actionBar.isEmpty()||e&&0!==e.length||n.actionBar.clear()}),e instanceof m&&e.getGroupLabel()?c.addClass(n.container,"has-group-label"):c.removeClass(n.container,"has-group-label"),e instanceof m){var o=e,r=n;o.showBorder()?(c.addClass(r.container,"results-group-separator"),r.container.style.borderTopColor=i.pickerGroupBorder.toString()):(c.removeClass(r.container,"results-group-separator"),r.container.style.borderTopColor=null);var s=o.getGroupLabel()||"";r.group.textContent=s,r.group.style.color=i.pickerGroupForeground.toString()}if(e instanceof g){
var a=e.getHighlights(),l=a[0],u=a[1],d=a[2],h=e.getIcon()?"quick-open-entry-icon "+e.getIcon():"";n.icon.className=h;var p=e.getLabelOptions()||Object.create(null);p.matches=l||[],p.title=e.getTooltip(),p.descriptionTitle=e.getDescriptionTooltip()||e.getDescription(),p.descriptionMatches=u||[],n.label.setValue(e.getLabel(),e.getDescription(),p),n.detail.set(e.getDetail(),d),n.keybinding.set(e.getKeybinding(),null)}},e.prototype.disposeTemplate=function(e,t){var n=t;n.actionBar.dispose(),n.actionBar=null,n.container=null,n.entry=null,n.keybinding.dispose(),n.keybinding=null,n.detail.dispose(),n.detail=null,n.group=null,n.icon=null,n.label.dispose(),n.label=null},e}(),y=function(){function e(e,t){void 0===e&&(e=[]),void 0===t&&(t=new v),this._entries=e,this._dataSource=this,this._renderer=new _(t),this._filter=this,this._runner=this,this._accessibilityProvider=this}return Object.defineProperty(e.prototype,"entries",{get:function(){return this._entries},set:function(e){this._entries=e},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"dataSource",{get:function(){return this._dataSource},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"renderer",{get:function(){return this._renderer},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"filter",{get:function(){return this._filter},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"runner",{get:function(){return this._runner},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"accessibilityProvider",{get:function(){return this._accessibilityProvider},enumerable:!0,configurable:!0}),e.prototype.addEntries=function(e){r.isArray(e)&&(this._entries=this._entries.concat(e))},e.prototype.setEntries=function(e){r.isArray(e)&&(this._entries=e)},e.prototype.getEntries=function(e){return e?this._entries.filter(function(e){return!e.isHidden()}):this._entries},e.prototype.getId=function(e){return e.getId()},e.prototype.getLabel=function(e){return e.getLabel()},
e.prototype.getAriaLabel=function(e){return e.getAriaLabel()?n.localize(0,null,e.getAriaLabel()):n.localize(1,null)},e.prototype.isVisible=function(e){return!e.isHidden()},e.prototype.run=function(e,t,n){return e.run(t,n)},e}();t.QuickOpenModel=y,t.compareEntries=function(e,t,n){var i=e.getHighlights()[0]||[],o=t.getHighlights()[0]||[];if(i.length&&!o.length)return-1;if(!i.length&&o.length)return 1;var r=e.getLabel(),s=t.getLabel();if(r===s){var l=e.getResource(),u=t.getResource();l&&u&&(r=l.fsPath,s=u.fsPath)}return a.compareAnything(r,s,n)}}),define(t[291],n([6,5]),function(e,t){return e.create("vs/base/parts/quickopen/browser/quickOpenWidget",t)}),define(t[292],n([6,5]),function(e,t){return e.create("vs/base/parts/tree/browser/treeDefaults",t)}),define(t[84],n([0,1,292,8,65,15,12,10,37]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c;!function(e){e[e.ON_MOUSE_DOWN=0]="ON_MOUSE_DOWN",e[e.ON_MOUSE_UP=1]="ON_MOUSE_UP"}(c=t.ClickBehavior||(t.ClickBehavior={}))
;var d;!function(e){e[e.SINGLE_CLICK=0]="SINGLE_CLICK",e[e.DOUBLE_CLICK=1]="DOUBLE_CLICK"}(d=t.OpenMode||(t.OpenMode={}));var h=function(){function e(){this._arr=[]}return e.prototype.set=function(e,t){this._arr.push({keybinding:u.createKeybinding(e,s.OS),callback:t})},e.prototype.dispatch=function(e){for(var t=this._arr.length-1;t>=0;t--){var n=this._arr[t];if(e.equals(n.keybinding))return n.callback}return null},e}();t.KeybindingDispatcher=h;var p=function(){function e(e){void 0===e&&(e={clickBehavior:c.ON_MOUSE_DOWN,keyboardSupport:!0,openMode:d.SINGLE_CLICK});var t=this;this.options=e,this.downKeyBindingDispatcher=new h,this.upKeyBindingDispatcher=new h,("boolean"!=typeof e.keyboardSupport||e.keyboardSupport)&&(this.downKeyBindingDispatcher.set(16,function(e,n){return t.onUp(e,n)}),this.downKeyBindingDispatcher.set(18,function(e,n){return t.onDown(e,n)}),this.downKeyBindingDispatcher.set(15,function(e,n){return t.onLeft(e,n)}),this.downKeyBindingDispatcher.set(17,function(e,n){return t.onRight(e,n)}),
s.isMacintosh&&(this.downKeyBindingDispatcher.set(2064,function(e,n){return t.onLeft(e,n)}),this.downKeyBindingDispatcher.set(300,function(e,n){return t.onDown(e,n)}),this.downKeyBindingDispatcher.set(302,function(e,n){return t.onUp(e,n)})),this.downKeyBindingDispatcher.set(11,function(e,n){return t.onPageUp(e,n)}),this.downKeyBindingDispatcher.set(12,function(e,n){return t.onPageDown(e,n)}),this.downKeyBindingDispatcher.set(14,function(e,n){return t.onHome(e,n)}),this.downKeyBindingDispatcher.set(13,function(e,n){return t.onEnd(e,n)}),this.downKeyBindingDispatcher.set(10,function(e,n){return t.onSpace(e,n)}),this.downKeyBindingDispatcher.set(9,function(e,n){return t.onEscape(e,n)}),this.upKeyBindingDispatcher.set(3,this.onEnter.bind(this)),this.upKeyBindingDispatcher.set(2051,this.onEnter.bind(this)))}return e.prototype.onMouseDown=function(e,t,n,i){if(void 0===i&&(i="mouse"),this.options.clickBehavior===c.ON_MOUSE_DOWN&&(n.leftButton||n.middleButton)){if(n.target){
if(n.target.tagName&&"input"===n.target.tagName.toLowerCase())return!1;if(l.findParentWithClass(n.target,"monaco-action-bar","row"))return!1}return this.onLeftClick(e,t,n,i)}return!1},e.prototype.onClick=function(e,t,n){return s.isMacintosh&&n.ctrlKey?(n.preventDefault(),n.stopPropagation(),!1):(!n.target||!n.target.tagName||"input"!==n.target.tagName.toLowerCase())&&((this.options.clickBehavior!==c.ON_MOUSE_DOWN||!n.leftButton&&!n.middleButton)&&this.onLeftClick(e,t,n))},e.prototype.onLeftClick=function(e,t,n,i){void 0===i&&(i="mouse");var o={origin:i,originalEvent:n},r=n,s="mouse"===i&&2===r.detail;if(e.getInput()===t)e.clearFocus(o),e.clearSelection(o);else{n&&r.browserEvent&&"mousedown"===r.browserEvent.type||n.preventDefault(),n.stopPropagation(),e.domFocus(),e.setSelection([t],o),e.setFocus(t,o),(this.openOnSingleClick||s||this.isClickOnTwistie(r))&&(e.isExpanded(t)?e.collapse(t).done(null,a.onUnexpectedError):e.expand(t).done(null,a.onUnexpectedError))}return!0},e.prototype.setOpenMode=function(e){
this.options.openMode=e},Object.defineProperty(e.prototype,"openOnSingleClick",{get:function(){return this.options.openMode===d.SINGLE_CLICK},enumerable:!0,configurable:!0}),e.prototype.isClickOnTwistie=function(e){var t=e.target;return t&&"content"===t.className&&l.hasClass(t.parentElement,"monaco-tree-row")},e.prototype.onContextMenu=function(e,t,n){return(!n.target||!n.target.tagName||"input"!==n.target.tagName.toLowerCase())&&(n&&(n.preventDefault(),n.stopPropagation()),!1)},e.prototype.onTap=function(e,t,n){var i=n.initialTarget;return(!i||!i.tagName||"input"!==i.tagName.toLowerCase())&&this.onLeftClick(e,t,n,"touch")},e.prototype.onKeyDown=function(e,t){return this.onKey(this.downKeyBindingDispatcher,e,t)},e.prototype.onKeyUp=function(e,t){return this.onKey(this.upKeyBindingDispatcher,e,t)},e.prototype.onKey=function(e,t,n){var i=e.dispatch(n.toKeybinding());return!(!i||!i(t,n))&&(n.preventDefault(),n.stopPropagation(),!0)},e.prototype.onUp=function(e,t){var n={origin:"keyboard",originalEvent:t}
;return e.getHighlight()?e.clearHighlight(n):(e.focusPrevious(1,n),e.reveal(e.getFocus()).done(null,a.onUnexpectedError)),!0},e.prototype.onPageUp=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusPreviousPage(n),e.reveal(e.getFocus()).done(null,a.onUnexpectedError)),!0},e.prototype.onDown=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusNext(1,n),e.reveal(e.getFocus()).done(null,a.onUnexpectedError)),!0},e.prototype.onPageDown=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusNextPage(n),e.reveal(e.getFocus()).done(null,a.onUnexpectedError)),!0},e.prototype.onHome=function(e,t){var n={origin:"keyboard",originalEvent:t};return e.getHighlight()?e.clearHighlight(n):(e.focusFirst(n),e.reveal(e.getFocus()).done(null,a.onUnexpectedError)),!0},e.prototype.onEnd=function(e,t){var n={origin:"keyboard",originalEvent:t}
;return e.getHighlight()?e.clearHighlight(n):(e.focusLast(n),e.reveal(e.getFocus()).done(null,a.onUnexpectedError)),!0},e.prototype.onLeft=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())e.clearHighlight(n);else{var i=e.getFocus();e.collapse(i).then(function(t){if(i&&!t)return e.focusParent(n),e.reveal(e.getFocus())}).done(null,a.onUnexpectedError)}return!0},e.prototype.onRight=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())e.clearHighlight(n);else{var i=e.getFocus();e.expand(i).then(function(t){if(i&&!t)return e.focusFirstChild(n),e.reveal(e.getFocus())}).done(null,a.onUnexpectedError)}return!0},e.prototype.onEnter=function(e,t){var n={origin:"keyboard",originalEvent:t};if(e.getHighlight())return!1;var i=e.getFocus();return i&&e.setSelection([i],n),!0},e.prototype.onSpace=function(e,t){if(e.getHighlight())return!1;var n=e.getFocus();return n&&e.toggleExpansion(n),!0},e.prototype.onEscape=function(e,t){var n={origin:"keyboard",originalEvent:t}
;return e.getHighlight()?(e.clearHighlight(n),!0):e.getSelection().length?(e.clearSelection(n),!0):!!e.getFocus()&&(e.clearFocus(n),!0)},e}();t.DefaultController=p;var f=function(){function e(){}return e.prototype.getDragURI=function(e,t){return null},e.prototype.onDragStart=function(e,t,n){},e.prototype.onDragOver=function(e,t,n,i){return null},e.prototype.drop=function(e,t,n,i){},e}();t.DefaultDragAndDrop=f;var g=function(){function e(){}return e.prototype.isVisible=function(e,t){return!0},e}();t.DefaultFilter=g;var m=function(){function e(){}return e.prototype.compare=function(e,t,n){return 0},e}();t.DefaultSorter=m;var v=function(){function e(){}return e.prototype.getAriaLabel=function(e,t){return null},e}();t.DefaultAccessibilityProvider=v;var _=function(){function e(e,t){this.styleElement=e,this.selectorSuffix=t}return e.prototype.style=function(e){var t=this.selectorSuffix?"."+this.selectorSuffix:"",n=[]
;e.listFocusBackground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused:not(.highlighted) { background-color: "+e.listFocusBackground+"; }"),e.listFocusForeground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused:not(.highlighted) { color: "+e.listFocusForeground+"; }"),e.listActiveSelectionBackground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { background-color: "+e.listActiveSelectionBackground+"; }"),e.listActiveSelectionForeground&&n.push(".monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { color: "+e.listActiveSelectionForeground+"; }"),e.listFocusAndSelectionBackground&&n.push("\n\t\t\t\t.monaco-tree-drag-image,\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused.selected:not(.highlighted) { background-color: "+e.listFocusAndSelectionBackground+"; }\n\t\t\t"),
e.listFocusAndSelectionForeground&&n.push("\n\t\t\t\t.monaco-tree-drag-image,\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused.selected:not(.highlighted) { color: "+e.listFocusAndSelectionForeground+"; }\n\t\t\t"),e.listInactiveSelectionBackground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { background-color: "+e.listInactiveSelectionBackground+"; }"),e.listInactiveSelectionForeground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { color: "+e.listInactiveSelectionForeground+"; }"),e.listHoverBackground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row:hover:not(.highlighted):not(.selected):not(.focused) { background-color: "+e.listHoverBackground+"; }"),e.listHoverForeground&&n.push(".monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row:hover:not(.highlighted):not(.selected):not(.focused) { color: "+e.listHoverForeground+"; }"),
e.listDropBackground&&n.push("\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-wrapper.drop-target,\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.drop-target { background-color: "+e.listDropBackground+" !important; color: inherit !important; }\n\t\t\t"),
e.listFocusOutline&&n.push("\n\t\t\t\t.monaco-tree-drag-image\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t\t{ border: 1px solid "+e.listFocusOutline+"; background: #000; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row \t\t\t\t\t\t\t\t\t\t\t\t\t\t{ border: 1px solid transparent; }\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.focused:not(.highlighted) \t\t\t\t\t\t{ border: 1px dotted "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+".focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) \t\t\t\t\t\t{ border: 1px solid "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted)  \t\t\t\t\t\t\t{ border: 1px solid "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row:hover:not(.highlighted):not(.selected):not(.focused)  \t{ border: 1px dashed "+e.listFocusOutline+"; }\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-wrapper.drop-target,\n\t\t\t\t.monaco-tree"+t+" .monaco-tree-rows > .monaco-tree-row.drop-target\t\t\t\t\t\t\t\t\t\t\t\t{ border: 1px dashed "+e.listFocusOutline+"; }\n\t\t\t")
;var i=n.join("\n");i!==this.styleElement.innerHTML&&(this.styleElement.innerHTML=i)},e}();t.DefaultTreestyler=_;var y=function(e){function t(t,i){var o=e.call(this,"vs.tree.collapse",n.localize(0,null),"monaco-tree-action collapse-all",i)||this;return o.viewer=t,o}return o(t,e),t.prototype.run=function(e){return this.viewer.getHighlight()?i.TPromise.as(null):(this.viewer.collapseAll(),this.viewer.clearSelection(),this.viewer.clearFocus(),this.viewer.domFocus(),this.viewer.focusFirst(),i.TPromise.as(null))},t}(r.Action);t.CollapseAllAction=y}),define(t[294],n([0,1,15,32,8,2,10,138,75,9,41,59,443,111,57,42,445,440,4,466,84,18]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var w=function(){function e(e){this.context=e,this._cache={"":[]}}return e.prototype.alloc=function(e){var t=this.cache(e).pop();if(!t){var n=document.createElement("div");n.className="content";var i=document.createElement("div");i.appendChild(n),t={element:i,templateId:e,
templateData:this.context.renderer.renderTemplate(this.context.tree,e,n)}}return t},e.prototype.release=function(e,t){!function(e){try{e.parentElement.removeChild(e)}catch(e){}}(t.element),this.cache(e).push(t)},e.prototype.cache=function(e){return this._cache[e]||(this._cache[e]=[])},e.prototype.garbageCollect=function(){var e=this;this._cache&&Object.keys(this._cache).forEach(function(t){e._cache[t].forEach(function(n){e.context.renderer.disposeTemplate(e.context.tree,t,n.templateData),n.element=null,n.templateData=null}),delete e._cache[t]})},e.prototype.dispose=function(){this.garbageCollect(),this._cache=null,this.context=null},e}();t.RowCache=w;var E=function(){function e(e,t){var n=this;this.width=0,this.context=e,this.model=t,this.id=this.model.id,this.row=null,this.top=0,this.height=t.getHeight(),this._styles={},t.getAllTraits().forEach(function(e){return n._styles[e]=!0}),t.isExpanded()&&this.addClass("expanded")}return Object.defineProperty(e.prototype,"expanded",{set:function(e){
e?this.addClass("expanded"):this.removeClass("expanded")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"loading",{set:function(e){e?this.addClass("loading"):this.removeClass("loading")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"draggable",{get:function(){return this._draggable},set:function(e){this._draggable=e,this.render(!0)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"dropTarget",{set:function(e){e?this.addClass("drop-target"):this.removeClass("drop-target")},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"element",{get:function(){return this.row&&this.row.element},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"templateId",{get:function(){return this._templateId||(this._templateId=this.context.renderer.getTemplateId&&this.context.renderer.getTemplateId(this.context.tree,this.model.getElement()))},enumerable:!0,configurable:!0}),e.prototype.addClass=function(e){this._styles[e]=!0,this.render(!0)},
e.prototype.removeClass=function(e){delete this._styles[e],this.render(!0)},e.prototype.render=function(e){var t=this;if(void 0===e&&(e=!1),this.model&&this.element){var n=["monaco-tree-row"];n.push.apply(n,Object.keys(this._styles)),this.model.hasChildren()&&n.push("has-children"),this.element.className=n.join(" "),this.element.draggable=this.draggable,this.element.style.height=this.height+"px",this.element.setAttribute("role","treeitem");var i=this.context.accessibilityProvider,o=i.getAriaLabel(this.context.tree,this.model.getElement());if(o&&this.element.setAttribute("aria-label",o),i.getPosInSet&&i.getSetSize&&(this.element.setAttribute("aria-setsize",i.getSetSize()),this.element.setAttribute("aria-posinset",i.getPosInSet(this.context.tree,this.model.getElement()))),this.model.hasTrait("focused")){var r=c.safeBtoa(this.model.id);this.element.setAttribute("aria-selected","true"),this.element.setAttribute("id",r)}else this.element.setAttribute("aria-selected","false"),this.element.removeAttribute("id")
;this.model.hasChildren()?this.element.setAttribute("aria-expanded",String(!!this.model.isExpanded())):this.element.removeAttribute("aria-expanded"),this.element.setAttribute("aria-level",String(this.model.getDepth())),this.context.options.paddingOnRow?this.element.style.paddingLeft=this.context.options.twistiePixels+(this.model.getDepth()-1)*this.context.options.indentPixels+"px":(this.element.style.paddingLeft=(this.model.getDepth()-1)*this.context.options.indentPixels+"px",this.row.element.firstElementChild.style.paddingLeft=this.context.options.twistiePixels+"px");var s=this.context.dnd.getDragURI(this.context.tree,this.model.getElement());if(s!==this.uri&&(this.unbindDragStart&&(this.unbindDragStart.dispose(),this.unbindDragStart=null),s?(this.uri=s,this.draggable=!0,this.unbindDragStart=a.addDisposableListener(this.element,"dragstart",function(e){t.onDragStart(e)})):this.uri=null),!e&&this.element){var l=window.getComputedStyle(this.element),u=parseFloat(l.paddingLeft)
;this.context.horizontalScrolling&&(this.element.style.width="fit-content"),this.context.renderer.renderElement(this.context.tree,this.model.getElement(),this.templateId,this.row.templateData),this.context.horizontalScrolling&&(this.width=a.getContentWidth(this.element)+u,this.element.style.width="")}}},e.prototype.updateWidth=function(){if(this.context.horizontalScrolling&&this.element){var e=window.getComputedStyle(this.element),t=parseFloat(e.paddingLeft);this.element.style.width="fit-content",this.width=a.getContentWidth(this.element)+t,this.element.style.width=""}},e.prototype.insertInDOM=function(e,t){if(this.row||(this.row=this.context.cache.alloc(this.templateId),this.element[x.BINDING]=this),!this.element.parentElement){if(null===t)e.appendChild(this.element);else try{e.insertBefore(this.element,t)}catch(t){console.warn("Failed to locate previous tree element"),e.appendChild(this.element)}this.render()}},e.prototype.removeFromDOM=function(){
this.row&&(this.unbindDragStart&&(this.unbindDragStart.dispose(),this.unbindDragStart=null),this.uri=null,this.element[x.BINDING]=null,this.context.cache.release(this.templateId,this.row),this.row=null)},e.prototype.dispose=function(){this.row=null,this.model=null},e}();t.ViewItem=E;var L=function(e){function t(t,n,i){var o=e.call(this,t,n)||this;return o.row={element:i,templateData:null,templateId:null},o}return o(t,e),t.prototype.render=function(){if(this.model&&this.element){var e=["monaco-tree-wrapper"];e.push.apply(e,Object.keys(this._styles)),this.model.hasChildren()&&e.push("has-children"),this.element.className=e.join(" ")}},t.prototype.insertInDOM=function(e,t){},t.prototype.removeFromDOM=function(){},t}(E),x=function(e){function t(n,o){var r=e.call(this)||this;r.lastClickTimeStamp=0,r.contentWidthUpdateDelayer=new S.Delayer(50),r.isRefreshing=!1,r.refreshingPreviousChildrenIds={},r._onDOMFocus=new y.Emitter,r._onDOMBlur=new y.Emitter,t.counter++,r.instance=t.counter
;var s=void 0===n.options.horizontalScrollMode?m.ScrollbarVisibility.Hidden:n.options.horizontalScrollMode;r.horizontalScrolling=s!==m.ScrollbarVisibility.Hidden,r.context={dataSource:n.dataSource,renderer:n.renderer,controller:n.controller,dnd:n.dnd,filter:n.filter,sorter:n.sorter,tree:n.tree,accessibilityProvider:n.accessibilityProvider,options:n.options,cache:new w(n),horizontalScrolling:r.horizontalScrolling},r.modelListeners=[],r.viewListeners=[],r.model=null,r.items={},r.domNode=document.createElement("div"),r.domNode.className="monaco-tree no-focused-item monaco-tree-instance-"+r.instance,r.domNode.tabIndex=n.options.preventRootFocus?-1:0,r.styleElement=a.createStyleSheet(r.domNode),r.treeStyler=n.styler,r.treeStyler||(r.treeStyler=new b.DefaultTreestyler(r.styleElement,"monaco-tree-instance-"+r.instance)),r.domNode.setAttribute("role","tree"),r.context.options.ariaLabel&&r.domNode.setAttribute("aria-label",r.context.options.ariaLabel),r.context.options.alwaysFocused&&a.addClass(r.domNode,"focused"),
r.context.options.paddingOnRow||a.addClass(r.domNode,"no-row-padding"),r.wrapper=document.createElement("div"),r.wrapper.className="monaco-tree-wrapper",r.scrollableElement=new g.ScrollableElement(r.wrapper,{alwaysConsumeMouseWheel:!0,horizontal:s,vertical:void 0!==n.options.verticalScrollMode?n.options.verticalScrollMode:m.ScrollbarVisibility.Auto,useShadows:n.options.useShadows}),r.scrollableElement.onScroll(function(e){r.render(e.scrollTop,e.height,e.scrollLeft,e.width,e.scrollWidth)}),i.isIE?(r.wrapper.style.msTouchAction="none",r.wrapper.style.msContentZooming="none"):u.Gesture.addTarget(r.wrapper),r.rowsContainer=document.createElement("div"),r.rowsContainer.className="monaco-tree-rows",n.options.showTwistie&&(r.rowsContainer.className+=" show-twisties");var l=a.trackFocus(r.domNode);return r.viewListeners.push(l.onDidFocus(function(){return r.onFocus()})),r.viewListeners.push(l.onDidBlur(function(){return r.onBlur()})),r.viewListeners.push(l),
r.viewListeners.push(a.addDisposableListener(r.domNode,"keydown",function(e){return r.onKeyDown(e)})),r.viewListeners.push(a.addDisposableListener(r.domNode,"keyup",function(e){return r.onKeyUp(e)})),r.viewListeners.push(a.addDisposableListener(r.domNode,"mousedown",function(e){return r.onMouseDown(e)})),r.viewListeners.push(a.addDisposableListener(r.domNode,"mouseup",function(e){return r.onMouseUp(e)})),r.viewListeners.push(a.addDisposableListener(r.wrapper,"click",function(e){return r.onClick(e)})),r.viewListeners.push(a.addDisposableListener(r.wrapper,"auxclick",function(e){return r.onClick(e)})),r.viewListeners.push(a.addDisposableListener(r.domNode,"contextmenu",function(e){return r.onContextMenu(e)})),r.viewListeners.push(a.addDisposableListener(r.wrapper,u.EventType.Tap,function(e){return r.onTap(e)})),r.viewListeners.push(a.addDisposableListener(r.wrapper,u.EventType.Change,function(e){return r.onTouchChange(e)})),
i.isIE&&(r.viewListeners.push(a.addDisposableListener(r.wrapper,"MSPointerDown",function(e){return r.onMsPointerDown(e)})),r.viewListeners.push(a.addDisposableListener(r.wrapper,"MSGestureTap",function(e){return r.onMsGestureTap(e)})),r.viewListeners.push(a.addDisposableThrottledListener(r.wrapper,"MSGestureChange",function(e){return r.onThrottledMsGestureChange(e)},function(e,t){t.stopPropagation(),t.preventDefault();var n={translationY:t.translationY,translationX:t.translationX};return e&&(n.translationY+=e.translationY,n.translationX+=e.translationX),n}))),r.viewListeners.push(a.addDisposableListener(window,"dragover",function(e){return r.onDragOver(e)})),r.viewListeners.push(a.addDisposableListener(r.wrapper,"drop",function(e){return r.onDrop(e)})),r.viewListeners.push(a.addDisposableListener(window,"dragend",function(e){return r.onDragEnd(e)})),r.viewListeners.push(a.addDisposableListener(window,"dragleave",function(e){return r.onDragOver(e)})),r.wrapper.appendChild(r.rowsContainer),
r.domNode.appendChild(r.scrollableElement.getDomNode()),o.appendChild(r.domNode),r.lastRenderTop=0,r.lastRenderHeight=0,r.didJustPressContextMenuKey=!1,r.currentDropTarget=null,r.currentDropTargets=[],r.shouldInvalidateDropReaction=!1,r.dragAndDropScrollInterval=null,r.dragAndDropScrollTimeout=null,r.onHiddenScrollTop=null,r.onRowsChanged(),r.layout(),r.setupMSGesture(),r.applyStyles(n.options),r}return o(t,e),Object.defineProperty(t.prototype,"onDOMFocus",{get:function(){return this._onDOMFocus.event},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"onDOMBlur",{get:function(){return this._onDOMBlur.event},enumerable:!0,configurable:!0}),t.prototype.applyStyles=function(e){this.treeStyler.style(e)},t.prototype.createViewItem=function(e){return new E(this.context,e)},t.prototype.getHTMLElement=function(){return this.domNode},t.prototype.focus=function(){this.domNode.focus()},t.prototype.isFocused=function(){return document.activeElement===this.domNode},t.prototype.blur=function(){
this.domNode.blur()},t.prototype.onVisible=function(){this.scrollTop=this.onHiddenScrollTop,this.onHiddenScrollTop=null,this.setupMSGesture()},t.prototype.setupMSGesture=function(){var e=this;window.MSGesture&&(this.msGesture=new MSGesture,setTimeout(function(){return e.msGesture.target=e.wrapper},100))},t.prototype.onHidden=function(){this.onHiddenScrollTop=this.scrollTop},t.prototype.isTreeVisible=function(){return null===this.onHiddenScrollTop},t.prototype.layout=function(e,t){this.isTreeVisible()&&(this.viewHeight=e||a.getContentHeight(this.wrapper),this.scrollHeight=this.getContentHeight(),this.horizontalScrolling&&(this.viewWidth=t||a.getContentWidth(this.wrapper)))},t.prototype.render=function(e,t,n,i,o){var r,s,a=e,l=e+t,u=this.lastRenderTop+this.lastRenderHeight;for(r=this.indexAfter(l)-1,s=this.indexAt(Math.max(u,a));r>=s;r--)this.insertItemInDOM(this.itemAtIndex(r));for(r=Math.min(this.indexAt(this.lastRenderTop),this.indexAfter(l))-1,
s=this.indexAt(a);r>=s;r--)this.insertItemInDOM(this.itemAtIndex(r));for(r=this.indexAt(this.lastRenderTop),s=Math.min(this.indexAt(a),this.indexAfter(u));r<s;r++)this.removeItemFromDOM(this.itemAtIndex(r));for(r=Math.max(this.indexAfter(l),this.indexAt(this.lastRenderTop)),s=this.indexAfter(u);r<s;r++)this.removeItemFromDOM(this.itemAtIndex(r));var c=this.itemAtIndex(this.indexAt(a));c&&(this.rowsContainer.style.top=c.top-a+"px"),this.horizontalScrolling&&(this.rowsContainer.style.left=-n+"px",this.rowsContainer.style.width=Math.max(o,i)+"px"),this.lastRenderTop=a,this.lastRenderHeight=l-a},t.prototype.setModel=function(e){this.releaseModel(),this.model=e,this.model.onRefresh(this.onRefreshing,this,this.modelListeners),this.model.onDidRefresh(this.onRefreshed,this,this.modelListeners),this.model.onSetInput(this.onClearingInput,this,this.modelListeners),this.model.onDidSetInput(this.onSetInput,this,this.modelListeners),this.model.onDidFocus(this.onModelFocusChange,this,this.modelListeners),
this.model.onRefreshItemChildren(this.onItemChildrenRefreshing,this,this.modelListeners),this.model.onDidRefreshItemChildren(this.onItemChildrenRefreshed,this,this.modelListeners),this.model.onDidRefreshItem(this.onItemRefresh,this,this.modelListeners),this.model.onExpandItem(this.onItemExpanding,this,this.modelListeners),this.model.onDidExpandItem(this.onItemExpanded,this,this.modelListeners),this.model.onCollapseItem(this.onItemCollapsing,this,this.modelListeners),this.model.onDidRevealItem(this.onItemReveal,this,this.modelListeners),this.model.onDidAddTraitItem(this.onItemAddTrait,this,this.modelListeners),this.model.onDidRemoveTraitItem(this.onItemRemoveTrait,this,this.modelListeners)},t.prototype.onRefreshing=function(){this.isRefreshing=!0},t.prototype.onRefreshed=function(){this.isRefreshing=!1,this.onRowsChanged()},t.prototype.onRowsChanged=function(e){void 0===e&&(e=this.scrollTop),this.isRefreshing||(this.scrollTop=e,this.updateScrollWidth())},t.prototype.updateScrollWidth=function(){var e=this
;this.horizontalScrolling&&this.contentWidthUpdateDelayer.trigger(function(){for(var t=0,n=0,i=Object.keys(e.items);n<i.length;n++){var o=i[n];t=Math.max(t,e.items[o].width)}e.scrollWidth=t+10})},t.prototype.focusNextPage=function(e){var t=this,n=this.indexAt(this.scrollTop+this.viewHeight);n=0===n?0:n-1;var i=this.itemAtIndex(n).model.getElement();if(this.model.getFocus()!==i)this.model.setFocus(i,e);else{var o=this.scrollTop;this.scrollTop+=this.viewHeight,this.scrollTop!==o&&setTimeout(function(){t.focusNextPage(e)},0)}},t.prototype.focusPreviousPage=function(e){var t,n=this;t=0===this.scrollTop?this.indexAt(this.scrollTop):this.indexAfter(this.scrollTop-1);var i=this.itemAtIndex(t).model.getElement();if(this.model.getFocus()!==i)this.model.setFocus(i,e);else{var o=this.scrollTop;this.scrollTop-=this.viewHeight,this.scrollTop!==o&&setTimeout(function(){n.focusPreviousPage(e)},0)}},Object.defineProperty(t.prototype,"viewHeight",{get:function(){return this.scrollableElement.getScrollDimensions().height},
set:function(e){this.scrollableElement.setScrollDimensions({height:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollHeight",{set:function(e){this.scrollableElement.setScrollDimensions({scrollHeight:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"viewWidth",{get:function(){return this.scrollableElement.getScrollDimensions().width},set:function(e){this.scrollableElement.setScrollDimensions({width:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollWidth",{set:function(e){this.scrollableElement.setScrollDimensions({scrollWidth:e})},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"scrollTop",{get:function(){return this.scrollableElement.getScrollPosition().scrollTop},set:function(e){this.scrollableElement.setScrollDimensions({scrollHeight:this.getContentHeight()}),this.scrollableElement.setScrollPosition({scrollTop:e})},enumerable:!0,configurable:!0}),t.prototype.getScrollPosition=function(){
var e=this.getContentHeight()-this.viewHeight;return e<=0?1:this.scrollTop/e},t.prototype.setScrollPosition=function(e){var t=this.getContentHeight()-this.viewHeight;this.scrollTop=t*e},t.prototype.onClearingInput=function(e){var t=e.item;t&&(this.onRemoveItems(new f.MappedIterator(t.getNavigator(),function(e){return e&&e.id})),this.onRowsChanged())},t.prototype.onSetInput=function(e){this.context.cache.garbageCollect(),this.inputItem=new L(this.context,e.item,this.wrapper)},t.prototype.onItemChildrenRefreshing=function(e){var n=e.item,i=this.items[n.id];if(i&&(i.loadingTimer=setTimeout(function(){i.loadingTimer=0,i.loading=!0},t.LOADING_DECORATION_DELAY)),!e.isNested){for(var o,r=[],s=n.getNavigator();o=s.next();)r.push(o.id);this.refreshingPreviousChildrenIds[n.id]=r}},t.prototype.onItemChildrenRefreshed=function(e){var t=this,n=e.item,i=this.items[n.id];if(i&&(i.loadingTimer&&(clearTimeout(i.loadingTimer),i.loadingTimer=0),i.loading=!1),!e.isNested){
for(var o,r=this.refreshingPreviousChildrenIds[n.id],s=[],a=n.getNavigator();o=a.next();)s.push(o);var u=Math.abs(r.length-s.length)>1e3,c=void 0,d=void 0;if(!u){d=(c=new l.LcsDiff({getLength:function(){return r.length},getElementHash:function(e){return r[e]}},{getLength:function(){return s.length},getElementHash:function(e){return s[e].id}},null).ComputeDiff(!1)).some(function(e){if(e.modifiedLength>0)for(var n=e.modifiedStart,i=e.modifiedStart+e.modifiedLength;n<i;n++)if(t.items.hasOwnProperty(s[n].id))return!0;return!1})}if(!u&&!d&&c.length<50)for(var h=0,p=c.length;h<p;h++){var g=c[h];if(g.originalLength>0&&this.onRemoveItems(new f.ArrayIterator(r,g.originalStart,g.originalStart+g.originalLength)),g.modifiedLength>0){var m=s[g.modifiedStart-1]||n;m=m.getDepth()>0?m:null,this.onInsertItems(new f.ArrayIterator(s,g.modifiedStart,g.modifiedStart+g.modifiedLength),m?m.id:null)}}else(u||c.length)&&(this.onRemoveItems(new f.ArrayIterator(r)),this.onInsertItems(new f.ArrayIterator(s),n.getDepth()>0?n.id:null))
;(u||c.length)&&this.onRowsChanged()}},t.prototype.onItemRefresh=function(e){this.onItemsRefresh([e])},t.prototype.onItemsRefresh=function(e){var t=this;this.onRefreshItemSet(e.filter(function(e){return t.items.hasOwnProperty(e.id)})),this.onRowsChanged()},t.prototype.onItemExpanding=function(e){var t=this.items[e.item.id];t&&(t.expanded=!0)},t.prototype.onItemExpanded=function(e){var t=e.item,n=this.items[t.id];if(n){n.expanded=!0;var i=this.onInsertItems(t.getNavigator(),t.id),o=this.scrollTop;n.top+n.height<=this.scrollTop&&(o+=i),this.onRowsChanged(o)}},t.prototype.onItemCollapsing=function(e){var t=e.item,n=this.items[t.id];n&&(n.expanded=!1,this.onRemoveItems(new f.MappedIterator(t.getNavigator(),function(e){return e&&e.id})),this.onRowsChanged())},t.prototype.updateWidth=function(e){if(e&&e.isVisible()){var t=this.items[e.id];t&&(t.updateWidth(),this.updateScrollWidth())}},t.prototype.getRelativeTop=function(e){if(e&&e.isVisible()){var t=this.items[e.id]
;if(t)return(t.top-this.scrollTop)/(this.viewHeight-t.height)}return-1},t.prototype.onItemReveal=function(e){var t=e.item,n=e.relativeTop,i=this.items[t.id];if(i)if(null!==n){n=(n=n<0?0:n)>1?1:n;var o=i.height-this.viewHeight;this.scrollTop=o*n+i.top}else{var r=i.top+i.height,s=this.scrollTop+this.viewHeight;i.top<this.scrollTop?this.scrollTop=i.top:r>=s&&(this.scrollTop=r-this.viewHeight)}},t.prototype.onItemAddTrait=function(e){var t=e.item,n=e.trait,i=this.items[t.id];i&&i.addClass(n),"highlighted"===n&&(a.addClass(this.domNode,n),i&&(this.highlightedItemWasDraggable=!!i.draggable,i.draggable&&(i.draggable=!1)))},t.prototype.onItemRemoveTrait=function(e){var t=e.item,n=e.trait,i=this.items[t.id];i&&i.removeClass(n),"highlighted"===n&&(a.removeClass(this.domNode,n),this.highlightedItemWasDraggable&&(i.draggable=!0),this.highlightedItemWasDraggable=!1)},t.prototype.onModelFocusChange=function(){var e=this.model&&this.model.getFocus();a.toggleClass(this.domNode,"no-focused-item",!e),
e?this.domNode.setAttribute("aria-activedescendant",c.safeBtoa(this.context.dataSource.getId(this.context.tree,e))):this.domNode.removeAttribute("aria-activedescendant")},t.prototype.onInsertItem=function(e){var t=this;e.onDragStart=function(n){t.onDragStart(e,n)},e.needsRender=!0,this.refreshViewItem(e),this.items[e.id]=e},t.prototype.onRefreshItem=function(e,t){void 0===t&&(t=!1),e.needsRender=e.needsRender||t,this.refreshViewItem(e)},t.prototype.onRemoveItem=function(e){this.removeItemFromDOM(e),e.dispose(),delete this.items[e.id]},t.prototype.refreshViewItem=function(e){e.render(),this.shouldBeRendered(e)?this.insertItemInDOM(e):this.removeItemFromDOM(e)},t.prototype.onClick=function(e){if(!this.lastPointerType||"mouse"===this.lastPointerType){var t=new d.StandardMouseEvent(e),n=this.getItemAround(t.target);n&&(i.isIE&&Date.now()-this.lastClickTimeStamp<300&&(t.detail=2),this.lastClickTimeStamp=Date.now(),this.context.controller.onClick(this.context.tree,n.model.getElement(),t))}},
t.prototype.onMouseDown=function(e){if(this.didJustPressContextMenuKey=!1,this.context.controller.onMouseDown&&(!this.lastPointerType||"mouse"===this.lastPointerType)){var t=new d.StandardMouseEvent(e);if(!(t.ctrlKey&&n.isNative&&n.isMacintosh)){var i=this.getItemAround(t.target);i&&this.context.controller.onMouseDown(this.context.tree,i.model.getElement(),t)}}},t.prototype.onMouseUp=function(e){if(this.context.controller.onMouseUp&&(!this.lastPointerType||"mouse"===this.lastPointerType)){var t=new d.StandardMouseEvent(e);if(!(t.ctrlKey&&n.isNative&&n.isMacintosh)){var i=this.getItemAround(t.target);i&&this.context.controller.onMouseUp(this.context.tree,i.model.getElement(),t)}}},t.prototype.onTap=function(e){var t=this.getItemAround(e.initialTarget);t&&this.context.controller.onTap(this.context.tree,t.model.getElement(),e)},t.prototype.onTouchChange=function(e){e.preventDefault(),e.stopPropagation(),this.scrollTop-=e.translationY},t.prototype.onContextMenu=function(e){var t,n
;if(e instanceof KeyboardEvent||this.didJustPressContextMenuKey){this.didJustPressContextMenuKey=!1;var i,o=new h.StandardKeyboardEvent(e);if(n=this.model.getFocus()){var r=this.context.dataSource.getId(this.context.tree,n),s=this.items[r];i=a.getDomNodePagePosition(s.element)}else n=this.model.getInput(),i=a.getDomNodePagePosition(this.inputItem.element);t=new _.KeyboardContextMenuEvent(i.left+i.width,i.top,o)}else{var l=new d.StandardMouseEvent(e),u=this.getItemAround(l.target);if(!u)return;n=u.model.getElement(),t=new _.MouseContextMenuEvent(l)}this.context.controller.onContextMenu(this.context.tree,n,t)},t.prototype.onKeyDown=function(e){var t=new h.StandardKeyboardEvent(e);this.didJustPressContextMenuKey=58===t.keyCode||t.shiftKey&&68===t.keyCode,this.didJustPressContextMenuKey&&(t.preventDefault(),t.stopPropagation()),t.target&&t.target.tagName&&"input"===t.target.tagName.toLowerCase()||this.context.controller.onKeyDown(this.context.tree,t)},t.prototype.onKeyUp=function(e){
this.didJustPressContextMenuKey&&this.onContextMenu(e),this.didJustPressContextMenuKey=!1,this.context.controller.onKeyUp(this.context.tree,new h.StandardKeyboardEvent(e))},t.prototype.onDragStart=function(e,n){if(!this.model.getHighlight()){var i,o=e.model.getElement(),r=this.model.getSelection();if(i=r.indexOf(o)>-1?r:[o],n.dataTransfer.effectAllowed="copyMove",n.dataTransfer.setData(C.DataTransfers.RESOURCES,JSON.stringify([e.uri])),n.dataTransfer.setDragImage){var s=void 0;s=this.context.dnd.getDragLabel?this.context.dnd.getDragLabel(this.context.tree,i):String(i.length);var a=document.createElement("div");a.className="monaco-tree-drag-image",a.textContent=s,document.body.appendChild(a),n.dataTransfer.setDragImage(a,-10,-10),setTimeout(function(){return document.body.removeChild(a)},0)}this.currentDragAndDropData=new p.ElementsDragAndDropData(i),t.currentExternalDragAndDropData=new p.ExternalElementsDragAndDropData(i),
this.context.dnd.onDragStart(this.context.tree,this.currentDragAndDropData,new d.DragMouseEvent(n))}},t.prototype.setupDragAndDropScrollInterval=function(){var e=this,t=a.getTopLeftOffset(this.wrapper).top;this.dragAndDropScrollInterval||(this.dragAndDropScrollInterval=window.setInterval(function(){if(void 0!==e.dragAndDropMouseY){var n=e.dragAndDropMouseY-t,i=0,o=e.viewHeight-35;n<35?i=Math.max(-14,.2*(n-35)):n>o&&(i=Math.min(14,.2*(n-o))),e.scrollTop+=i}},10),this.cancelDragAndDropScrollTimeout(),this.dragAndDropScrollTimeout=window.setTimeout(function(){e.cancelDragAndDropScrollInterval(),e.dragAndDropScrollTimeout=null},1e3))},t.prototype.cancelDragAndDropScrollInterval=function(){this.dragAndDropScrollInterval&&(window.clearInterval(this.dragAndDropScrollInterval),this.dragAndDropScrollInterval=null),this.cancelDragAndDropScrollTimeout()},t.prototype.cancelDragAndDropScrollTimeout=function(){this.dragAndDropScrollTimeout&&(window.clearTimeout(this.dragAndDropScrollTimeout),
this.dragAndDropScrollTimeout=null)},t.prototype.onDragOver=function(e){var n=this,i=new d.DragMouseEvent(e),o=this.getItemAround(i.target);if(!o||0===i.posx&&0===i.posy&&i.browserEvent.type===a.EventType.DRAG_LEAVE)return this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[],this.currentDropPromise&&(this.currentDropPromise.cancel(),this.currentDropPromise=null)),this.cancelDragAndDropScrollInterval(),this.currentDropTarget=null,this.currentDropElement=null,this.dragAndDropMouseY=null,!1;if(this.setupDragAndDropScrollInterval(),this.dragAndDropMouseY=i.posy,!this.currentDragAndDropData)if(t.currentExternalDragAndDropData)this.currentDragAndDropData=t.currentExternalDragAndDropData;else{if(!i.dataTransfer.types)return!1;this.currentDragAndDropData=new p.DesktopDragAndDropData}this.currentDragAndDropData.update(i);var s,l,u=o.model;do{if(s=u?u.getElement():this.model.getInput(),
!(l=this.context.dnd.onDragOver(this.context.tree,this.currentDragAndDropData,s,i))||l.bubble!==_.DragOverBubble.BUBBLE_UP)break;u=u&&u.parent}while(u);if(!u)return this.currentDropElement=null,!1;var c=l&&l.accept;c?(this.currentDropElement=u.getElement(),i.preventDefault(),i.dataTransfer.dropEffect=l.effect===_.DragOverEffect.COPY?"copy":"move"):this.currentDropElement=null;var h=u.id===this.inputItem.id?this.inputItem:this.items[u.id];if((this.shouldInvalidateDropReaction||this.currentDropTarget!==h||!function(e,t){return!e&&!t||!(!e||!t)&&e.accept===t.accept&&e.bubble===t.bubble&&e.effect===t.effect}(this.currentDropElementReaction,l))&&(this.shouldInvalidateDropReaction=!1,this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[],this.currentDropPromise&&(this.currentDropPromise.cancel(),this.currentDropPromise=null)),this.currentDropTarget=h,this.currentDropElementReaction=l,c)){
if(this.currentDropTarget&&(this.currentDropTarget.dropTarget=!0,this.currentDropTargets.push(this.currentDropTarget)),l.bubble===_.DragOverBubble.BUBBLE_DOWN)for(var f,g=u.getNavigator();f=g.next();)(o=this.items[f.id])&&(o.dropTarget=!0,this.currentDropTargets.push(o));l.autoExpand&&(this.currentDropPromise=r.TPromise.timeout(500).then(function(){return n.context.tree.expand(n.currentDropElement)}).then(function(){return n.shouldInvalidateDropReaction=!0}))}return!0},t.prototype.onDrop=function(e){if(this.currentDropElement){var t=new d.DragMouseEvent(e);t.preventDefault(),this.currentDragAndDropData.update(t),this.context.dnd.drop(this.context.tree,this.currentDragAndDropData,this.currentDropElement,t),this.onDragEnd(e)}this.cancelDragAndDropScrollInterval()},t.prototype.onDragEnd=function(e){this.currentDropTarget&&(this.currentDropTargets.forEach(function(e){return e.dropTarget=!1}),this.currentDropTargets=[]),this.currentDropPromise&&(this.currentDropPromise.cancel(),this.currentDropPromise=null),
this.cancelDragAndDropScrollInterval(),this.currentDragAndDropData=null,t.currentExternalDragAndDropData=null,this.currentDropElement=null,this.currentDropTarget=null,this.dragAndDropMouseY=null},t.prototype.onFocus=function(){this.context.options.alwaysFocused||a.addClass(this.domNode,"focused"),this._onDOMFocus.fire()},t.prototype.onBlur=function(){this.context.options.alwaysFocused||a.removeClass(this.domNode,"focused"),this.domNode.removeAttribute("aria-activedescendant"),this._onDOMBlur.fire()},t.prototype.onMsPointerDown=function(e){if(this.msGesture){var t=e.pointerType;t!==(e.MSPOINTER_TYPE_MOUSE||"mouse")?t===(e.MSPOINTER_TYPE_TOUCH||"touch")&&(this.lastPointerType="touch",e.stopPropagation(),e.preventDefault(),this.msGesture.addPointer(e.pointerId)):this.lastPointerType="mouse"}},t.prototype.onThrottledMsGestureChange=function(e){this.scrollTop-=e.translationY},t.prototype.onMsGestureTap=function(e){e.initialTarget=document.elementFromPoint(e.clientX,e.clientY),this.onTap(e)},
t.prototype.insertItemInDOM=function(e){var t=null,n=this.itemAfter(e);n&&n.element&&(t=n.element),e.insertInDOM(this.rowsContainer,t)},t.prototype.removeItemFromDOM=function(e){e&&e.removeFromDOM()},t.prototype.shouldBeRendered=function(e){return e.top<this.lastRenderTop+this.lastRenderHeight&&e.top+e.height>this.lastRenderTop},t.prototype.getItemAround=function(e){var n=this.inputItem;do{if(e[t.BINDING]&&(n=e[t.BINDING]),e===this.wrapper||e===this.domNode)return n;if(e===document.body)return null}while(e=e.parentElement)},t.prototype.releaseModel=function(){this.model&&(this.modelListeners=s.dispose(this.modelListeners),this.model=null)},t.prototype.dispose=function(){var t=this;this.scrollableElement.dispose(),this.releaseModel(),this.modelListeners=null,this.viewListeners=s.dispose(this.viewListeners),this._onDOMFocus.dispose(),this._onDOMBlur.dispose(),this.domNode.parentNode&&this.domNode.parentNode.removeChild(this.domNode),this.domNode=null,this.items&&(Object.keys(this.items).forEach(function(e){
return t.items[e].removeFromDOM()}),this.items=null),this.context.cache&&(this.context.cache.dispose(),this.context.cache=null),e.prototype.dispose.call(this)},t.BINDING="monaco-tree-row",t.LOADING_DECORATION_DELAY=800,t.counter=0,t.currentExternalDragAndDropData=null,t}(v.HeightMap);t.TreeView=x}),define(t[163],n([0,1,84,444,294,111,4,27,25,264]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){return function(e,t,i){if(void 0===i&&(i={}),this.tree=e,this.configuration=t,this.options=i,!t.dataSource)throw new Error("You must provide a Data Source to the tree.");this.dataSource=t.dataSource,this.renderer=t.renderer,this.controller=t.controller||new n.DefaultController({clickBehavior:n.ClickBehavior.ON_MOUSE_UP,keyboardSupport:"boolean"!=typeof i.keyboardSupport||i.keyboardSupport}),this.dnd=t.dnd||new n.DefaultDragAndDrop,this.filter=t.filter||new n.DefaultFilter,this.sorter=t.sorter||null,
this.accessibilityProvider=t.accessibilityProvider||new n.DefaultAccessibilityProvider,this.styler=t.styler||null}}();t.TreeContext=u;var c={listFocusBackground:a.Color.fromHex("#073655"),listActiveSelectionBackground:a.Color.fromHex("#0E639C"),listActiveSelectionForeground:a.Color.fromHex("#FFFFFF"),listFocusAndSelectionBackground:a.Color.fromHex("#094771"),listFocusAndSelectionForeground:a.Color.fromHex("#FFFFFF"),listInactiveSelectionBackground:a.Color.fromHex("#3F3F46"),listHoverBackground:a.Color.fromHex("#2A2D2E"),listDropBackground:a.Color.fromHex("#383B3D")},d=function(){function e(e,t,n){void 0===n&&(n={}),this._onDidChangeFocus=new s.Relay,this.onDidChangeFocus=this._onDidChangeFocus.event,this._onDidChangeSelection=new s.Relay,this.onDidChangeSelection=this._onDidChangeSelection.event,this._onHighlightChange=new s.Relay,this.onDidChangeHighlight=this._onHighlightChange.event,this._onDidExpandItem=new s.Relay,this.onDidExpandItem=this._onDidExpandItem.event,this._onDidCollapseItem=new s.Relay,
this.onDidCollapseItem=this._onDidCollapseItem.event,this._onDispose=new s.Emitter,this.onDidDispose=this._onDispose.event,this.container=e,l.mixin(n,c,!1),n.twistiePixels="number"==typeof n.twistiePixels?n.twistiePixels:32,n.showTwistie=!1!==n.showTwistie,n.indentPixels="number"==typeof n.indentPixels?n.indentPixels:12,n.alwaysFocused=!0===n.alwaysFocused,n.useShadows=!1!==n.useShadows,n.paddingOnRow=!1!==n.paddingOnRow,this.context=new u(this,t,n),this.model=new i.TreeModel(this.context),this.view=new o.TreeView(this.context,this.container),this.view.setModel(this.model),this._onDidChangeFocus.input=this.model.onDidFocus,this._onDidChangeSelection.input=this.model.onDidSelect,this._onHighlightChange.input=this.model.onDidHighlight,this._onDidExpandItem.input=this.model.onDidExpandItem,this._onDidCollapseItem.input=this.model.onDidCollapseItem}return e.prototype.style=function(e){this.view.applyStyles(e)},Object.defineProperty(e.prototype,"onDidFocus",{get:function(){return this.view&&this.view.onDOMFocus},
enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onDidBlur",{get:function(){return this.view&&this.view.onDOMBlur},enumerable:!0,configurable:!0}),e.prototype.getHTMLElement=function(){return this.view.getHTMLElement()},e.prototype.layout=function(e,t){this.view.layout(e,t)},e.prototype.domFocus=function(){this.view.focus()},e.prototype.isDOMFocused=function(){return this.view.isFocused()},e.prototype.domBlur=function(){this.view.blur()},e.prototype.onVisible=function(){this.view.onVisible()},e.prototype.onHidden=function(){this.view.onHidden()},e.prototype.setInput=function(e){return this.model.setInput(e)},e.prototype.getInput=function(){return this.model.getInput()},e.prototype.refresh=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!0),this.model.refresh(e,t)},e.prototype.updateWidth=function(e){var t=this.model.getItem(e);return this.view.updateWidth(t)},e.prototype.expand=function(e){return this.model.expand(e)},e.prototype.expandAll=function(e){return this.model.expandAll(e)
},e.prototype.collapse=function(e,t){return void 0===t&&(t=!1),this.model.collapse(e,t)},e.prototype.collapseAll=function(e,t){return void 0===e&&(e=null),void 0===t&&(t=!1),this.model.collapseAll(e,t)},e.prototype.collapseDeepestExpandedLevel=function(){return this.model.collapseDeepestExpandedLevel()},e.prototype.toggleExpansion=function(e,t){return void 0===t&&(t=!1),this.model.toggleExpansion(e,t)},e.prototype.toggleExpansionAll=function(e){return this.model.toggleExpansionAll(e)},e.prototype.isExpanded=function(e){return this.model.isExpanded(e)},e.prototype.getExpandedElements=function(){return this.model.getExpandedElements()},e.prototype.reveal=function(e,t){return void 0===t&&(t=null),this.model.reveal(e,t)},e.prototype.getRelativeTop=function(e){var t=this.model.getItem(e);return this.view.getRelativeTop(t)},e.prototype.getScrollPosition=function(){return this.view.getScrollPosition()},e.prototype.setScrollPosition=function(e){this.view.setScrollPosition(e)},e.prototype.getContentHeight=function(){
return this.view.getContentHeight()},e.prototype.setHighlight=function(e,t){this.model.setHighlight(e,t)},e.prototype.getHighlight=function(){return this.model.getHighlight()},e.prototype.isHighlighted=function(e){return this.model.isFocused(e)},e.prototype.clearHighlight=function(e){this.model.setHighlight(null,e)},e.prototype.select=function(e,t){this.model.select(e,t)},e.prototype.selectRange=function(e,t,n){this.model.selectRange(e,t,n)},e.prototype.deselectRange=function(e,t,n){this.model.deselectRange(e,t,n)},e.prototype.selectAll=function(e,t){this.model.selectAll(e,t)},e.prototype.deselect=function(e,t){this.model.deselect(e,t)},e.prototype.deselectAll=function(e,t){this.model.deselectAll(e,t)},e.prototype.setSelection=function(e,t){this.model.setSelection(e,t)},e.prototype.toggleSelection=function(e,t){this.model.toggleSelection(e,t)},e.prototype.isSelected=function(e){return this.model.isSelected(e)},e.prototype.getSelection=function(){return this.model.getSelection()},
e.prototype.clearSelection=function(e){this.model.setSelection([],e)},e.prototype.selectNext=function(e,t,n){this.model.selectNext(e,t,n)},e.prototype.selectPrevious=function(e,t,n){this.model.selectPrevious(e,t,n)},e.prototype.selectParent=function(e,t){this.model.selectParent(e,t)},e.prototype.setFocus=function(e,t){this.model.setFocus(e,t)},e.prototype.isFocused=function(e){return this.model.isFocused(e)},e.prototype.getFocus=function(){return this.model.getFocus()},e.prototype.focusNext=function(e,t){this.model.focusNext(e,t)},e.prototype.focusPrevious=function(e,t){this.model.focusPrevious(e,t)},e.prototype.focusParent=function(e){this.model.focusParent(e)},e.prototype.focusFirstChild=function(e){this.model.focusFirstChild(e)},e.prototype.focusFirst=function(e,t){this.model.focusFirst(e,t)},e.prototype.focusNth=function(e,t){this.model.focusNth(e,t)},e.prototype.focusLast=function(e,t){this.model.focusLast(e,t)},e.prototype.focusNextPage=function(e){this.view.focusNextPage(e)},
e.prototype.focusPreviousPage=function(e){this.view.focusPreviousPage(e)},e.prototype.clearFocus=function(e){this.model.setFocus(null,e)},e.prototype.addTraits=function(e,t){this.model.addTraits(e,t)},e.prototype.removeTraits=function(e,t){this.model.removeTraits(e,t)},e.prototype.toggleTrait=function(e,t){this.model.hasTrait(e,t)?this.model.removeTraits(e,[t]):this.model.addTraits(e,[t])},e.prototype.hasTrait=function(e,t){return this.model.hasTrait(e,t)},e.prototype.getNavigator=function(e,t){return new r.MappedNavigator(this.model.getNavigator(e,t),function(e){return e&&e.getElement()})},e.prototype.dispose=function(){this._onDispose.fire(),null!==this.model&&(this.model.dispose(),this.model=null),null!==this.view&&(this.view.dispose(),this.view=null),this._onDidChangeFocus.dispose(),this._onDidChangeSelection.dispose(),this._onHighlightChange.dispose(),this._onDidExpandItem.dispose(),this._onDidCollapseItem.dispose(),this._onDispose.dispose()},e}();t.Tree=d}),
define(t[296],n([0,1,291,8,15,30,12,108,434,49,148,96,163,224,59,84,10,2,42,27,25,41,254]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var w=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.onContextMenu=function(t,n,i){return r.isMacintosh?this.onLeftClick(t,n,i):e.prototype.onContextMenu.call(this,t,n,i)},t}(m.DefaultController);t.QuickOpenController=w;var E;!function(e){e[e.ELEMENT_SELECTED=0]="ELEMENT_SELECTED",e[e.FOCUS_LOST=1]="FOCUS_LOST",e[e.CANCELED=2]="CANCELED"}(E=t.HideReason||(t.HideReason={}));var L={background:C.Color.fromHex("#1E1E1E"),foreground:C.Color.fromHex("#CCCCCC"),pickerGroupForeground:C.Color.fromHex("#0097FB"),pickerGroupBorder:C.Color.fromHex("#3F3F46"),widgetShadow:C.Color.fromHex("#000000"),progressBarBackground:C.Color.fromHex("#0E70C0")},x=n.localize(0,null),N=function(){function e(e,t,n){this.isDisposed=!1,this.toUnbind=[],this.container=e,this.callbacks=t,
this.options=n,this.styles=n||Object.create(null),b.mixin(this.styles,L,!1),this.model=null}return e.prototype.getElement=function(){return c.$(this.builder)},e.prototype.getModel=function(){return this.model},e.prototype.setCallbacks=function(e){this.callbacks=e},e.prototype.create=function(){var e=this;return this.builder=c.$().div(function(t){t.on(v.EventType.KEY_DOWN,function(t){9===new g.StandardKeyboardEvent(t).keyCode&&(v.EventHelper.stop(t,!0),e.hide(E.CANCELED))}).on(v.EventType.CONTEXT_MENU,function(e){return v.EventHelper.stop(e,!0)}).on(v.EventType.FOCUS,function(t){return e.gainingFocus()},null,!0).on(v.EventType.BLUR,function(t){return e.loosingFocus(t)},null,!0),e.progressBar=new f.ProgressBar(t.clone(),{progressBarBackground:e.styles.progressBarBackground}),e.progressBar.getContainer().hide(),t.div({class:"quick-open-input"},function(t){e.inputContainer=t,e.inputBox=new d.InputBox(t.getHTMLElement(),null,{placeholder:e.options.inputPlaceHolder||"",ariaLabel:x,
inputBackground:e.styles.inputBackground,inputForeground:e.styles.inputForeground,inputBorder:e.styles.inputBorder,inputValidationInfoBackground:e.styles.inputValidationInfoBackground,inputValidationInfoBorder:e.styles.inputValidationInfoBorder,inputValidationWarningBackground:e.styles.inputValidationWarningBackground,inputValidationWarningBorder:e.styles.inputValidationWarningBorder,inputValidationErrorBackground:e.styles.inputValidationErrorBackground,inputValidationErrorBorder:e.styles.inputValidationErrorBorder}),e.inputElement=e.inputBox.inputElement,e.inputElement.setAttribute("role","combobox"),e.inputElement.setAttribute("aria-haspopup","false"),e.inputElement.setAttribute("aria-autocomplete","list"),v.addDisposableListener(e.inputBox.inputElement,v.EventType.KEY_DOWN,function(t){var n=new g.StandardKeyboardEvent(t),i=e.shouldOpenInBackground(n);if(2!==n.keyCode)if(18===n.keyCode||16===n.keyCode||12===n.keyCode||11===n.keyCode)v.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode,n.shiftKey),
e.inputBox.inputElement.selectionStart===e.inputBox.inputElement.selectionEnd&&(e.inputBox.inputElement.selectionStart=e.inputBox.value.length);else if(3===n.keyCode||i){v.EventHelper.stop(t,!0);var o=e.tree.getFocus();o&&e.elementSelected(o,t,i?l.Mode.OPEN_IN_BACKGROUND:l.Mode.OPEN)}}),v.addDisposableListener(e.inputBox.inputElement,v.EventType.INPUT,function(t){e.onType()})}),e.treeContainer=t.div({class:"quick-open-tree"},function(t){var i=e.options.treeCreator||function(e,t,n){return new p.Tree(e,t,n)};e.tree=i(t.getHTMLElement(),{dataSource:new u.DataSource(e),controller:new w({clickBehavior:m.ClickBehavior.ON_MOUSE_UP,keyboardSupport:e.options.keyboardSupport}),renderer:e.renderer=new u.Renderer(e,e.styles),filter:new u.Filter(e),accessibilityProvider:new u.AccessibilityProvider(e)},{twistiePixels:11,indentPixels:0,alwaysFocused:!0,verticalScrollMode:y.ScrollbarVisibility.Visible,horizontalScrollMode:y.ScrollbarVisibility.Hidden,ariaLabel:n.localize(1,null),keyboardSupport:e.options.keyboardSupport,
preventRootFocus:!0}),e.treeElement=e.tree.getHTMLElement(),e.toUnbind.push(e.tree.onDidChangeFocus(function(t){e.elementFocused(t.focus,t)})),e.toUnbind.push(e.tree.onDidChangeSelection(function(t){if(t.selection&&t.selection.length>0){var n=t.payload&&t.payload.originalEvent instanceof S.StandardMouseEvent?t.payload.originalEvent:void 0,i=!!n&&e.shouldOpenInBackground(n);e.elementSelected(t.selection[0],t,i?l.Mode.OPEN_IN_BACKGROUND:l.Mode.OPEN)}}))}).on(v.EventType.KEY_DOWN,function(t){var n=new g.StandardKeyboardEvent(t);e.quickNavigateConfiguration&&(18!==n.keyCode&&16!==n.keyCode&&12!==n.keyCode&&11!==n.keyCode||(v.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode)))}).on(v.EventType.KEY_UP,function(t){var n=new g.StandardKeyboardEvent(t),i=n.keyCode;if(e.quickNavigateConfiguration){var o=e.quickNavigateConfiguration.keybindings;if(3===i||o.some(function(e){var t=e.getParts(),o=t[0]
;return!t[1]&&(o.shiftKey&&4===i?!(n.ctrlKey||n.altKey||n.metaKey):!(!o.altKey||6!==i)||(!(!o.ctrlKey||5!==i)||!(!o.metaKey||57!==i)))})){var r=e.tree.getFocus();r&&e.elementSelected(r,t)}}}).clone()}).addClass("monaco-quick-open-widget").build(this.container),this.layoutDimensions&&this.layout(this.layoutDimensions),this.applyStyles(),v.addDisposableListener(this.treeContainer.getHTMLElement(),v.EventType.KEY_DOWN,function(t){var n=new g.StandardKeyboardEvent(t);e.quickNavigateConfiguration||18!==n.keyCode&&16!==n.keyCode&&12!==n.keyCode&&11!==n.keyCode||(v.EventHelper.stop(t,!0),e.navigateInTree(n.keyCode,n.shiftKey),e.inputBox.inputElement.focus())}),this.builder.getHTMLElement()},e.prototype.style=function(e){this.styles=e,this.applyStyles()},e.prototype.applyStyles=function(){if(this.builder){
var e=this.styles.foreground?this.styles.foreground.toString():null,t=this.styles.background?this.styles.background.toString():null,n=this.styles.borderColor?this.styles.borderColor.toString():null,i=this.styles.widgetShadow?this.styles.widgetShadow.toString():null;this.builder.style("color",e),this.builder.style("background-color",t),this.builder.style("border-color",n),this.builder.style("border-width",n?"1px":null),this.builder.style("border-style",n?"solid":null),this.builder.style("box-shadow",i?"0 5px 8px "+i:null)}this.progressBar&&this.progressBar.style({progressBarBackground:this.styles.progressBarBackground}),this.inputBox&&this.inputBox.style({inputBackground:this.styles.inputBackground,inputForeground:this.styles.inputForeground,inputBorder:this.styles.inputBorder,inputValidationInfoBackground:this.styles.inputValidationInfoBackground,inputValidationInfoBorder:this.styles.inputValidationInfoBorder,inputValidationWarningBackground:this.styles.inputValidationWarningBackground,
inputValidationWarningBorder:this.styles.inputValidationWarningBorder,inputValidationErrorBackground:this.styles.inputValidationErrorBackground,inputValidationErrorBorder:this.styles.inputValidationErrorBorder}),this.tree&&!this.options.treeCreator&&this.tree.style(this.styles),this.renderer&&this.renderer.updateStyles(this.styles)},e.prototype.shouldOpenInBackground=function(e){if(e instanceof g.StandardKeyboardEvent){if(17!==e.keyCode)return!1;if(e.metaKey||e.ctrlKey||e.shiftKey||e.altKey)return!1;var t=this.inputBox.inputElement;return t.selectionEnd===this.inputBox.value.length&&t.selectionStart===t.selectionEnd}return e.middleButton},e.prototype.onType=function(){var e=this.inputBox.value;this.helpText&&(e?this.helpText.hide():this.helpText.show()),this.callbacks.onType(e)},e.prototype.navigate=function(e,t){this.isVisible()&&(!this.quickNavigateConfiguration&&t&&(this.quickNavigateConfiguration=t,this.tree.domFocus()),this.navigateInTree(e?18:16))},e.prototype.navigateInTree=function(e,t){
var n=this.tree.getInput(),i=n?n.entries:[],o=this.tree.getFocus();switch(e){case 18:this.tree.focusNext();break;case 16:this.tree.focusPrevious();break;case 12:this.tree.focusNextPage();break;case 11:this.tree.focusPreviousPage();break;case 2:t?this.tree.focusPrevious():this.tree.focusNext()}var r=this.tree.getFocus();i.length>1&&o===r&&(16===e||2===e&&t?this.tree.focusLast():(18===e||2===e&&!t)&&this.tree.focusFirst()),(r=this.tree.getFocus())&&this.tree.reveal(r).done(null,a.onUnexpectedError)},e.prototype.elementFocused=function(e,t){if(e&&this.isVisible()){this.inputElement.setAttribute("aria-activedescendant",this.treeElement.getAttribute("aria-activedescendant"));var n={event:t,keymods:this.extractKeyMods(t),quickNavigateConfiguration:this.quickNavigateConfiguration};this.model.runner.run(e,l.Mode.PREVIEW,n)}},e.prototype.elementSelected=function(e,t,n){var i=!0;if(this.isVisible()){var o=n||l.Mode.OPEN,r={event:t,keymods:this.extractKeyMods(t),quickNavigateConfiguration:this.quickNavigateConfiguration
};i=this.model.runner.run(e,o,r)}i&&this.hide(E.ELEMENT_SELECTED)},e.prototype.extractKeyMods=function(e){return{ctrlCmd:e&&(e.ctrlKey||e.metaKey||e.payload&&e.payload.originalEvent&&(e.payload.originalEvent.ctrlKey||e.payload.originalEvent.metaKey)),alt:e&&(e.altKey||e.payload&&e.payload.originalEvent&&e.payload.originalEvent.altKey)}},e.prototype.show=function(e,t){this.visible=!0,this.isLoosingFocus=!1,this.quickNavigateConfiguration=t?t.quickNavigateConfiguration:void 0,this.quickNavigateConfiguration?(this.inputContainer.hide(),this.builder.show(),this.tree.domFocus()):(this.inputContainer.show(),this.builder.show(),this.inputBox.focus()),this.helpText&&(this.quickNavigateConfiguration||s.isString(e)?this.helpText.hide():this.helpText.show()),s.isString(e)?this.doShowWithPrefix(e):this.doShowWithInput(e,t&&t.autoFocus?t.autoFocus:{}),t&&t.inputSelection&&!this.quickNavigateConfiguration&&this.inputBox.select(t.inputSelection),this.callbacks.onShow&&this.callbacks.onShow()},
e.prototype.doShowWithPrefix=function(e){this.inputBox.value=e,this.callbacks.onType(e)},e.prototype.doShowWithInput=function(e,t){this.setInput(e,t)},e.prototype.setInputAndLayout=function(e,t){var n=this;this.treeContainer.style({height:this.getHeight(e)+"px"}),this.tree.setInput(null).then(function(){return n.model=e,n.inputElement.setAttribute("aria-haspopup",String(e&&e.entries&&e.entries.length>0)),n.tree.setInput(e)}).done(function(){n.tree.layout(),e&&e.entries.some(function(t){return n.isElementVisible(e,t)})&&n.autoFocus(e,t)},a.onUnexpectedError)},e.prototype.isElementVisible=function(e,t){return!e.filter||e.filter.isVisible(t)},e.prototype.autoFocus=function(e,t){var n=this;void 0===t&&(t={});var i=e.entries.filter(function(t){return n.isElementVisible(e,t)});if(t.autoFocusPrefixMatch){for(var o=void 0,r=void 0,s=t.autoFocusPrefixMatch,l=s.toLowerCase(),u=0;u<i.length;u++){var c=i[u],d=e.dataSource.getLabel(c);if(o||0!==d.indexOf(s)?r||0!==d.toLowerCase().indexOf(l)||(r=c):o=c,o&&r)break}
var h=o||r;if(h)return this.tree.setFocus(h),void this.tree.reveal(h,.5).done(null,a.onUnexpectedError)}t.autoFocusFirstEntry?(this.tree.focusFirst(),this.tree.reveal(this.tree.getFocus()).done(null,a.onUnexpectedError)):"number"==typeof t.autoFocusIndex?i.length>t.autoFocusIndex&&(this.tree.focusNth(t.autoFocusIndex),this.tree.reveal(this.tree.getFocus()).done(null,a.onUnexpectedError)):t.autoFocusSecondEntry?i.length>1&&this.tree.focusNth(1):t.autoFocusLastEntry&&i.length>1&&this.tree.focusLast()},e.prototype.refresh=function(e,t){var n=this;this.isVisible()&&(e||(e=this.tree.getInput()),e&&(this.treeContainer.style({height:this.getHeight(e)+"px"}),this.tree.refresh().done(function(){if(n.tree.layout(),t){t&&e&&e.entries.some(function(t){return n.isElementVisible(e,t)})&&n.autoFocus(e,t)}},a.onUnexpectedError)))},e.prototype.getHeight=function(t){var n=this,i=t.renderer;if(!t){var o=i.getHeight(null);return this.options.minItemsToShow?this.options.minItemsToShow*o:0}var r,s=0
;this.layoutDimensions&&this.layoutDimensions.height&&(r=.4*(this.layoutDimensions.height-50)),(!r||r>e.MAX_ITEMS_HEIGHT)&&(r=e.MAX_ITEMS_HEIGHT);for(var a=t.entries.filter(function(e){return n.isElementVisible(t,e)}),l=this.options.maxItemsToShow||a.length,u=0;u<l&&u<a.length;u++){var c=i.getHeight(a[u]);if(!(s+c<=r))break;s+=c}return s},e.prototype.hide=function(e){this.isVisible()&&(this.visible=!1,this.builder.hide(),this.builder.domBlur(),this.inputBox.value="",this.tree.setInput(null),this.inputElement.setAttribute("aria-haspopup","false"),this.treeContainer.style({height:(this.options.minItemsToShow?22*this.options.minItemsToShow:0)+"px"}),this.progressBar.stop().getContainer().hide(),this.tree.isDOMFocused()?this.tree.domBlur():this.inputBox.hasFocus()&&this.inputBox.blur(),e===E.ELEMENT_SELECTED?this.callbacks.onOk():this.callbacks.onCancel(),this.callbacks.onHide&&this.callbacks.onHide(e))},e.prototype.getQuickNavigateConfiguration=function(){return this.quickNavigateConfiguration},
e.prototype.setPlaceHolder=function(e){this.inputBox&&this.inputBox.setPlaceHolder(e)},e.prototype.setValue=function(e,t){if(this.inputBox)if(this.inputBox.value=e,null===t);else if(Array.isArray(t)){var n=t[0],i=t[1];this.inputBox.select({start:n,end:i})}else this.inputBox.select()},e.prototype.setPassword=function(e){this.inputBox&&(this.inputBox.inputElement.type=e?"password":"text")},e.prototype.setInput=function(e,t,n){this.isVisible()&&(this.getInput()&&this.onInputChanging(),this.setInputAndLayout(e,t),this.inputBox&&this.inputBox.setAriaLabel(n||x))},e.prototype.onInputChanging=function(){var e=this;this.inputChangingTimeoutHandle&&(clearTimeout(this.inputChangingTimeoutHandle),this.inputChangingTimeoutHandle=null),this.builder.addClass("content-changing"),this.inputChangingTimeoutHandle=setTimeout(function(){e.builder.removeClass("content-changing")},500)},e.prototype.getInput=function(){return this.tree.getInput()},e.prototype.showInputDecoration=function(e){
this.inputBox&&this.inputBox.showMessage({type:e===h.default.Info?d.MessageType.INFO:e===h.default.Warning?d.MessageType.WARNING:d.MessageType.ERROR,content:""})},e.prototype.clearInputDecoration=function(){this.inputBox&&this.inputBox.hideMessage()},e.prototype.focus=function(){this.isVisible()&&this.inputBox&&this.inputBox.focus()},e.prototype.accept=function(){if(this.isVisible()){var e=this.tree.getFocus();e&&this.elementSelected(e)}},e.prototype.getProgressBar=function(){return this.progressBar},e.prototype.getInputBox=function(){return this.inputBox},e.prototype.setExtraClass=function(e){var t=this.builder.getProperty("extra-class");t&&this.builder.removeClass(t),e?(this.builder.addClass(e),this.builder.setProperty("extra-class",e)):t&&this.builder.removeProperty("extra-class")},e.prototype.isVisible=function(){return this.visible},e.prototype.layout=function(t){this.layoutDimensions=t;var n=Math.min(.62*this.layoutDimensions.width,e.MAX_WIDTH);this.builder&&(this.builder.style({width:n+"px",
marginLeft:"-"+n/2+"px"}),this.inputContainer.style({width:n-12+"px"}))},e.prototype.gainingFocus=function(){this.isLoosingFocus=!1},e.prototype.loosingFocus=function(e){var t=this;if(this.isVisible()){var n=e.relatedTarget;!this.quickNavigateConfiguration&&v.isAncestor(n,this.builder.getHTMLElement())||(this.isLoosingFocus=!0,i.TPromise.timeout(0).then(function(){if(t.isLoosingFocus&&!t.isDisposed){t.callbacks.onFocusLost&&t.callbacks.onFocusLost()||t.hide(E.FOCUS_LOST)}}))}},e.prototype.dispose=function(){this.isDisposed=!0,this.toUnbind=_.dispose(this.toUnbind),this.progressBar.dispose(),this.inputBox.dispose(),this.tree.dispose()},e.MAX_WIDTH=600,e.MAX_ITEMS_HEIGHT=440,e}();t.QuickOpenWidget=N}),define(t[297],n([6,5]),function(e,t){return e.create("vs/editor/browser/services/bulkEdit",t)}),define(t[298],n([6,5]),function(e,t){return e.create("vs/editor/browser/widget/diffEditorWidget",t)}),define(t[299],n([6,5]),function(e,t){return e.create("vs/editor/browser/widget/diffReview",t)}),
define(t[300],n([6,5]),function(e,t){return e.create("vs/editor/common/config/commonEditorConfig",t)}),define(t[301],n([6,5]),function(e,t){return e.create("vs/editor/common/config/editorOptions",t)});var c=this&&this.__assign||Object.assign||function(e){for(var t,n=1,i=arguments.length;n<i;n++){t=arguments[n];for(var o in t)Object.prototype.hasOwnProperty.call(t,o)&&(e[o]=t[o])}return e};define(t[52],n([0,1,301,15,42,101]),function(e,t,n,i,o,r){"use strict";function s(e,t){return void 0===e?t:"false"!==e&&Boolean(e)}function a(e,t){return"string"!=typeof e?t:e}function l(e,t,n){return"string"!=typeof e?t:-1===n.indexOf(e)?t:e}function u(e,t,n,i){var o;return void 0===e?o=t:(o=parseInt(e,10),isNaN(o)&&(o=t)),o=Math.max(n,o),0|(o=Math.min(i,o))}function d(e,t){if("string"!=typeof e)return t;switch(e){case"hidden":return o.ScrollbarVisibility.Hidden;case"visible":return o.ScrollbarVisibility.Visible;default:return o.ScrollbarVisibility.Auto}}Object.defineProperty(t,"__esModule",{value:!0});var h;!function(e){
e[e.None=0]="None",e[e.Small=1]="Small",e[e.Large=2]="Large",e[e.SmallBlocks=3]="SmallBlocks",e[e.LargeBlocks=4]="LargeBlocks"}(h=t.RenderMinimap||(t.RenderMinimap={}));var p;!function(e){e[e.None=0]="None",e[e.Same=1]="Same",e[e.Indent=2]="Indent"}(p=t.WrappingIndent||(t.WrappingIndent={}));var f;!function(e){e[e.Hidden=0]="Hidden",e[e.Blink=1]="Blink",e[e.Smooth=2]="Smooth",e[e.Phase=3]="Phase",e[e.Expand=4]="Expand",e[e.Solid=5]="Solid"}(f=t.TextEditorCursorBlinkingStyle||(t.TextEditorCursorBlinkingStyle={})),t.blinkingStyleToString=function(e){if(e===f.Blink)return"blink";if(e===f.Expand)return"expand";if(e===f.Phase)return"phase";if(e===f.Smooth)return"smooth";if(e===f.Solid)return"solid";throw new Error("blinkingStyleToString: Unknown blinkingStyle")};var g;!function(e){e[e.Line=1]="Line",e[e.Block=2]="Block",e[e.Underline=3]="Underline",e[e.LineThin=4]="LineThin",e[e.BlockOutline=5]="BlockOutline",e[e.UnderlineThin=6]="UnderlineThin"}(g=t.TextEditorCursorStyle||(t.TextEditorCursorStyle={})),
t.cursorStyleToString=function(e){if(e===g.Line)return"line";if(e===g.Block)return"block";if(e===g.Underline)return"underline";if(e===g.LineThin)return"line-thin";if(e===g.BlockOutline)return"block-outline";if(e===g.UnderlineThin)return"underline-thin";throw new Error("cursorStyleToString: Unknown cursorStyle")};!function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(t.RenderLineNumbersType||(t.RenderLineNumbersType={}));var m=function(){function e(e){this.canUseLayerHinting=e.canUseLayerHinting,this.pixelRatio=e.pixelRatio,this.editorClassName=e.editorClassName,this.lineHeight=0|e.lineHeight,this.readOnly=e.readOnly,this.accessibilitySupport=e.accessibilitySupport,this.multiCursorModifier=e.multiCursorModifier,this.wordSeparators=e.wordSeparators,this.autoClosingBrackets=e.autoClosingBrackets,this.autoIndent=e.autoIndent,this.useTabStops=e.useTabStops,this.tabFocusMode=e.tabFocusMode,this.dragAndDrop=e.dragAndDrop,
this.emptySelectionClipboard=e.emptySelectionClipboard,this.layoutInfo=e.layoutInfo,this.fontInfo=e.fontInfo,this.viewInfo=e.viewInfo,this.wrappingInfo=e.wrappingInfo,this.contribInfo=e.contribInfo}return e.prototype.equals=function(t){
return this.canUseLayerHinting===t.canUseLayerHinting&&this.pixelRatio===t.pixelRatio&&this.editorClassName===t.editorClassName&&this.lineHeight===t.lineHeight&&this.readOnly===t.readOnly&&this.accessibilitySupport===t.accessibilitySupport&&this.multiCursorModifier===t.multiCursorModifier&&this.wordSeparators===t.wordSeparators&&this.autoClosingBrackets===t.autoClosingBrackets&&this.autoIndent===t.autoIndent&&this.useTabStops===t.useTabStops&&this.tabFocusMode===t.tabFocusMode&&this.dragAndDrop===t.dragAndDrop&&this.emptySelectionClipboard===t.emptySelectionClipboard&&e._equalsLayoutInfo(this.layoutInfo,t.layoutInfo)&&this.fontInfo.equals(t.fontInfo)&&e._equalsViewOptions(this.viewInfo,t.viewInfo)&&e._equalsWrappingInfo(this.wrappingInfo,t.wrappingInfo)&&e._equalsContribOptions(this.contribInfo,t.contribInfo)},e.prototype.createChangeEvent=function(t){return{canUseLayerHinting:this.canUseLayerHinting!==t.canUseLayerHinting,pixelRatio:this.pixelRatio!==t.pixelRatio,
editorClassName:this.editorClassName!==t.editorClassName,lineHeight:this.lineHeight!==t.lineHeight,readOnly:this.readOnly!==t.readOnly,accessibilitySupport:this.accessibilitySupport!==t.accessibilitySupport,multiCursorModifier:this.multiCursorModifier!==t.multiCursorModifier,wordSeparators:this.wordSeparators!==t.wordSeparators,autoClosingBrackets:this.autoClosingBrackets!==t.autoClosingBrackets,autoIndent:this.autoIndent!==t.autoIndent,useTabStops:this.useTabStops!==t.useTabStops,tabFocusMode:this.tabFocusMode!==t.tabFocusMode,dragAndDrop:this.dragAndDrop!==t.dragAndDrop,emptySelectionClipboard:this.emptySelectionClipboard!==t.emptySelectionClipboard,layoutInfo:!e._equalsLayoutInfo(this.layoutInfo,t.layoutInfo),fontInfo:!this.fontInfo.equals(t.fontInfo),viewInfo:!e._equalsViewOptions(this.viewInfo,t.viewInfo),wrappingInfo:!e._equalsWrappingInfo(this.wrappingInfo,t.wrappingInfo),contribInfo:!e._equalsContribOptions(this.contribInfo,t.contribInfo)}},e._equalsLayoutInfo=function(e,t){
return e.width===t.width&&e.height===t.height&&e.glyphMarginLeft===t.glyphMarginLeft&&e.glyphMarginWidth===t.glyphMarginWidth&&e.glyphMarginHeight===t.glyphMarginHeight&&e.lineNumbersLeft===t.lineNumbersLeft&&e.lineNumbersWidth===t.lineNumbersWidth&&e.lineNumbersHeight===t.lineNumbersHeight&&e.decorationsLeft===t.decorationsLeft&&e.decorationsWidth===t.decorationsWidth&&e.decorationsHeight===t.decorationsHeight&&e.contentLeft===t.contentLeft&&e.contentWidth===t.contentWidth&&e.contentHeight===t.contentHeight&&e.renderMinimap===t.renderMinimap&&e.minimapLeft===t.minimapLeft&&e.minimapWidth===t.minimapWidth&&e.viewportColumn===t.viewportColumn&&e.verticalScrollbarWidth===t.verticalScrollbarWidth&&e.horizontalScrollbarHeight===t.horizontalScrollbarHeight&&this._equalsOverviewRuler(e.overviewRuler,t.overviewRuler)},e._equalsOverviewRuler=function(e,t){return e.width===t.width&&e.height===t.height&&e.top===t.top&&e.right===t.right},e._equalsViewOptions=function(e,t){
return e.extraEditorClassName===t.extraEditorClassName&&e.disableMonospaceOptimizations===t.disableMonospaceOptimizations&&this._equalsNumberArrays(e.rulers,t.rulers)&&e.ariaLabel===t.ariaLabel&&e.renderLineNumbers===t.renderLineNumbers&&e.renderCustomLineNumbers===t.renderCustomLineNumbers&&e.selectOnLineNumbers===t.selectOnLineNumbers&&e.glyphMargin===t.glyphMargin&&e.revealHorizontalRightPadding===t.revealHorizontalRightPadding&&e.roundedSelection===t.roundedSelection&&e.overviewRulerLanes===t.overviewRulerLanes&&e.overviewRulerBorder===t.overviewRulerBorder&&e.cursorBlinking===t.cursorBlinking&&e.mouseWheelZoom===t.mouseWheelZoom&&e.cursorStyle===t.cursorStyle&&e.cursorWidth===t.cursorWidth&&e.hideCursorInOverviewRuler===t.hideCursorInOverviewRuler&&e.scrollBeyondLastLine===t.scrollBeyondLastLine&&e.smoothScrolling===t.smoothScrolling&&e.stopRenderingLineAfter===t.stopRenderingLineAfter&&e.renderWhitespace===t.renderWhitespace&&e.renderControlCharacters===t.renderControlCharacters&&e.fontLigatures===t.fontLigatures&&e.renderIndentGuides===t.renderIndentGuides&&e.renderLineHighlight===t.renderLineHighlight&&this._equalsScrollbarOptions(e.scrollbar,t.scrollbar)&&this._equalsMinimapOptions(e.minimap,t.minimap)&&e.fixedOverflowWidgets===t.fixedOverflowWidgets
},e._equalsScrollbarOptions=function(e,t){return e.arrowSize===t.arrowSize&&e.vertical===t.vertical&&e.horizontal===t.horizontal&&e.useShadows===t.useShadows&&e.verticalHasArrows===t.verticalHasArrows&&e.horizontalHasArrows===t.horizontalHasArrows&&e.handleMouseWheel===t.handleMouseWheel&&e.horizontalScrollbarSize===t.horizontalScrollbarSize&&e.horizontalSliderSize===t.horizontalSliderSize&&e.verticalScrollbarSize===t.verticalScrollbarSize&&e.verticalSliderSize===t.verticalSliderSize&&e.mouseWheelScrollSensitivity===t.mouseWheelScrollSensitivity},e._equalsMinimapOptions=function(e,t){return e.enabled===t.enabled&&e.side===t.side&&e.showSlider===t.showSlider&&e.renderCharacters===t.renderCharacters&&e.maxColumn===t.maxColumn},e._equalsNumberArrays=function(e,t){if(e.length!==t.length)return!1;for(var n=0;n<e.length;n++)if(e[n]!==t[n])return!1;return!0},e._equalFindOptions=function(e,t){
return e.seedSearchStringFromSelection===t.seedSearchStringFromSelection&&e.autoFindInSelection===t.autoFindInSelection&&e.globalFindClipboard===t.globalFindClipboard},e._equalsWrappingInfo=function(e,t){return e.inDiffEditor===t.inDiffEditor&&e.isDominatedByLongLines===t.isDominatedByLongLines&&e.isWordWrapMinified===t.isWordWrapMinified&&e.isViewportWrapping===t.isViewportWrapping&&e.wrappingColumn===t.wrappingColumn&&e.wrappingIndent===t.wrappingIndent&&e.wordWrapBreakBeforeCharacters===t.wordWrapBreakBeforeCharacters&&e.wordWrapBreakAfterCharacters===t.wordWrapBreakAfterCharacters&&e.wordWrapBreakObtrusiveCharacters===t.wordWrapBreakObtrusiveCharacters},e._equalsContribOptions=function(t,n){
return t.selectionClipboard===n.selectionClipboard&&t.hover===n.hover&&t.links===n.links&&t.contextmenu===n.contextmenu&&e._equalsQuickSuggestions(t.quickSuggestions,n.quickSuggestions)&&t.quickSuggestionsDelay===n.quickSuggestionsDelay&&t.parameterHints===n.parameterHints&&t.iconsInSuggestions===n.iconsInSuggestions&&t.formatOnType===n.formatOnType&&t.formatOnPaste===n.formatOnPaste&&t.suggestOnTriggerCharacters===n.suggestOnTriggerCharacters&&t.acceptSuggestionOnEnter===n.acceptSuggestionOnEnter&&t.acceptSuggestionOnCommitCharacter===n.acceptSuggestionOnCommitCharacter&&t.snippetSuggestions===n.snippetSuggestions&&t.wordBasedSuggestions===n.wordBasedSuggestions&&t.suggestSelection===n.suggestSelection&&t.suggestFontSize===n.suggestFontSize&&t.suggestLineHeight===n.suggestLineHeight&&t.selectionHighlight===n.selectionHighlight&&t.occurrencesHighlight===n.occurrencesHighlight&&t.codeLens===n.codeLens&&t.folding===n.folding&&t.foldingStrategy===n.foldingStrategy&&t.showFoldingControls===n.showFoldingControls&&t.matchBrackets===n.matchBrackets&&this._equalFindOptions(t.find,n.find)&&t.colorDecorators===n.colorDecorators&&t.lightbulbEnabled===n.lightbulbEnabled
},e._equalsQuickSuggestions=function(e,t){return"boolean"==typeof e?"boolean"==typeof t&&e===t:"boolean"!=typeof t&&(e.comments===t.comments&&e.other===t.other&&e.strings===t.strings)},e}();t.InternalEditorOptions=m;var v=function(){function e(){}return e.validate=function(e,t){var n=e.wordWrap;!0===n?n="on":!1===n&&(n="off"),n=l(n,t.wordWrap,["off","on","wordWrapColumn","bounded"]);var o,r=this._sanitizeViewInfo(e,t.viewInfo),c=this._sanitizeContribInfo(e,t.contribInfo);"string"==typeof e.multiCursorModifier&&(o="ctrlCmd"===e.multiCursorModifier?i.isMacintosh?"metaKey":"ctrlKey":"altKey");var d=l(o,t.multiCursorModifier,["altKey","metaKey","ctrlKey"]);return{inDiffEditor:s(e.inDiffEditor,t.inDiffEditor),wordSeparators:a(e.wordSeparators,t.wordSeparators),lineNumbersMinChars:u(e.lineNumbersMinChars,t.lineNumbersMinChars,1,10),lineDecorationsWidth:void 0===e.lineDecorationsWidth?t.lineDecorationsWidth:e.lineDecorationsWidth,readOnly:s(e.readOnly,t.readOnly),
mouseStyle:l(e.mouseStyle,t.mouseStyle,["text","default","copy"]),disableLayerHinting:s(e.disableLayerHinting,t.disableLayerHinting),automaticLayout:s(e.automaticLayout,t.automaticLayout),wordWrap:n,wordWrapColumn:u(e.wordWrapColumn,t.wordWrapColumn,1,1073741824),wordWrapMinified:s(e.wordWrapMinified,t.wordWrapMinified),wrappingIndent:function(e,t){return"string"!=typeof e?t:"indent"===e?p.Indent:"same"===e?p.Same:p.None}(e.wrappingIndent,t.wrappingIndent),wordWrapBreakBeforeCharacters:a(e.wordWrapBreakBeforeCharacters,t.wordWrapBreakBeforeCharacters),wordWrapBreakAfterCharacters:a(e.wordWrapBreakAfterCharacters,t.wordWrapBreakAfterCharacters),wordWrapBreakObtrusiveCharacters:a(e.wordWrapBreakObtrusiveCharacters,t.wordWrapBreakObtrusiveCharacters),autoClosingBrackets:s(e.autoClosingBrackets,t.autoClosingBrackets),autoIndent:s(e.autoIndent,t.autoIndent),dragAndDrop:s(e.dragAndDrop,t.dragAndDrop),emptySelectionClipboard:s(e.emptySelectionClipboard,t.emptySelectionClipboard),
useTabStops:s(e.useTabStops,t.useTabStops),multiCursorModifier:d,accessibilitySupport:l(e.accessibilitySupport,t.accessibilitySupport,["auto","on","off"]),viewInfo:r,contribInfo:c}},e._sanitizeScrollbarOpts=function(e,t,n){if("object"!=typeof e)return t;var i=u(e.horizontalScrollbarSize,t.horizontalScrollbarSize,0,1e3),o=u(e.verticalScrollbarSize,t.verticalScrollbarSize,0,1e3);return{vertical:d(e.vertical,t.vertical),horizontal:d(e.horizontal,t.horizontal),arrowSize:u(e.arrowSize,t.arrowSize,0,1e3),useShadows:s(e.useShadows,t.useShadows),verticalHasArrows:s(e.verticalHasArrows,t.verticalHasArrows),horizontalHasArrows:s(e.horizontalHasArrows,t.horizontalHasArrows),horizontalScrollbarSize:i,horizontalSliderSize:u(e.horizontalSliderSize,i,0,1e3),verticalScrollbarSize:o,verticalSliderSize:u(e.verticalSliderSize,o,0,1e3),handleMouseWheel:s(e.handleMouseWheel,t.handleMouseWheel),mouseWheelScrollSensitivity:n}},e._sanitizeMinimapOpts=function(e,t){return"object"!=typeof e?t:{enabled:s(e.enabled,t.enabled),
side:l(e.side,t.side,["right","left"]),showSlider:l(e.showSlider,t.showSlider,["always","mouseover"]),renderCharacters:s(e.renderCharacters,t.renderCharacters),maxColumn:u(e.maxColumn,t.maxColumn,1,1e4)}},e._santizeFindOpts=function(e,t){return"object"!=typeof e?t:{seedSearchStringFromSelection:s(e.seedSearchStringFromSelection,t.seedSearchStringFromSelection),autoFindInSelection:s(e.autoFindInSelection,t.autoFindInSelection),globalFindClipboard:s(e.globalFindClipboard,t.globalFindClipboard)}},e._sanitizeViewInfo=function(e,t){var n=[];if(Array.isArray(e.rulers)){for(var i=0,o=e.rulers.length;i<o;i++)n.push(u(e.rulers[i],0,0,1e4));n.sort()}var r=t.renderLineNumbers,c=t.renderCustomLineNumbers;if(void 0!==e.lineNumbers){var d=e.lineNumbers;!0===d?d="on":!1===d&&(d="off"),"function"==typeof d?(r=4,c=d):r="interval"===d?3:"relative"===d?2:"on"===d?1:0}var h=s(e.fontLigatures,t.fontLigatures),p=s(e.disableMonospaceOptimizations,t.disableMonospaceOptimizations)||h,m=e.renderWhitespace
;!0===m?m="boundary":!1===m&&(m="none"),m=l(e.renderWhitespace,t.renderWhitespace,["none","boundary","all"]);var v=e.renderLineHighlight;!0===v?v="line":!1===v&&(v="none"),v=l(e.renderLineHighlight,t.renderLineHighlight,["none","gutter","line","all"]);var _=function(e,t){var n=parseFloat(e);return isNaN(n)&&(n=t),n}(e.mouseWheelScrollSensitivity,t.scrollbar.mouseWheelScrollSensitivity);0===_&&(_=1);var y=this._sanitizeScrollbarOpts(e.scrollbar,t.scrollbar,_),C=this._sanitizeMinimapOpts(e.minimap,t.minimap);return{extraEditorClassName:a(e.extraEditorClassName,t.extraEditorClassName),disableMonospaceOptimizations:p,rulers:n,ariaLabel:a(e.ariaLabel,t.ariaLabel),renderLineNumbers:r,renderCustomLineNumbers:c,selectOnLineNumbers:s(e.selectOnLineNumbers,t.selectOnLineNumbers),glyphMargin:s(e.glyphMargin,t.glyphMargin),revealHorizontalRightPadding:u(e.revealHorizontalRightPadding,t.revealHorizontalRightPadding,0,1e3),roundedSelection:s(e.roundedSelection,t.roundedSelection),
overviewRulerLanes:u(e.overviewRulerLanes,t.overviewRulerLanes,0,3),overviewRulerBorder:s(e.overviewRulerBorder,t.overviewRulerBorder),cursorBlinking:function(e,t){if("string"!=typeof e)return t;switch(e){case"blink":return f.Blink;case"smooth":return f.Smooth;case"phase":return f.Phase;case"expand":return f.Expand;case"visible":case"solid":return f.Solid}return f.Blink}(e.cursorBlinking,t.cursorBlinking),mouseWheelZoom:s(e.mouseWheelZoom,t.mouseWheelZoom),cursorStyle:function(e,t){return"string"!=typeof e?t:"line"===e?g.Line:"block"===e?g.Block:"underline"===e?g.Underline:"line-thin"===e?g.LineThin:"block-outline"===e?g.BlockOutline:"underline-thin"===e?g.UnderlineThin:g.Line}(e.cursorStyle,t.cursorStyle),cursorWidth:u(e.cursorWidth,t.cursorWidth,0,Number.MAX_VALUE),hideCursorInOverviewRuler:s(e.hideCursorInOverviewRuler,t.hideCursorInOverviewRuler),scrollBeyondLastLine:s(e.scrollBeyondLastLine,t.scrollBeyondLastLine),smoothScrolling:s(e.smoothScrolling,t.smoothScrolling),
stopRenderingLineAfter:u(e.stopRenderingLineAfter,t.stopRenderingLineAfter,-1,1073741824),renderWhitespace:m,renderControlCharacters:s(e.renderControlCharacters,t.renderControlCharacters),fontLigatures:h,renderIndentGuides:s(e.renderIndentGuides,t.renderIndentGuides),renderLineHighlight:v,scrollbar:y,minimap:C,fixedOverflowWidgets:s(e.fixedOverflowWidgets,t.fixedOverflowWidgets)}},e._sanitizeContribInfo=function(e,t){var n;n="object"==typeof e.quickSuggestions?c({other:!0},e.quickSuggestions):s(e.quickSuggestions,t.quickSuggestions),"boolean"==typeof e.acceptSuggestionOnEnter&&(e.acceptSuggestionOnEnter=e.acceptSuggestionOnEnter?"on":"off");var i=this._santizeFindOpts(e.find,t.find);return{selectionClipboard:s(e.selectionClipboard,t.selectionClipboard),hover:s(e.hover,t.hover),links:s(e.links,t.links),contextmenu:s(e.contextmenu,t.contextmenu),quickSuggestions:n,quickSuggestionsDelay:u(e.quickSuggestionsDelay,t.quickSuggestionsDelay,-1073741824,1073741824),parameterHints:s(e.parameterHints,t.parameterHints),
iconsInSuggestions:s(e.iconsInSuggestions,t.iconsInSuggestions),formatOnType:s(e.formatOnType,t.formatOnType),formatOnPaste:s(e.formatOnPaste,t.formatOnPaste),suggestOnTriggerCharacters:s(e.suggestOnTriggerCharacters,t.suggestOnTriggerCharacters),acceptSuggestionOnEnter:l(e.acceptSuggestionOnEnter,t.acceptSuggestionOnEnter,["on","smart","off"]),acceptSuggestionOnCommitCharacter:s(e.acceptSuggestionOnCommitCharacter,t.acceptSuggestionOnCommitCharacter),snippetSuggestions:l(e.snippetSuggestions,t.snippetSuggestions,["top","bottom","inline","none"]),wordBasedSuggestions:s(e.wordBasedSuggestions,t.wordBasedSuggestions),suggestSelection:l(e.suggestSelection,t.suggestSelection,["first","recentlyUsed","recentlyUsedByPrefix"]),suggestFontSize:u(e.suggestFontSize,t.suggestFontSize,0,1e3),suggestLineHeight:u(e.suggestLineHeight,t.suggestLineHeight,0,1e3),selectionHighlight:s(e.selectionHighlight,t.selectionHighlight),occurrencesHighlight:s(e.occurrencesHighlight,t.occurrencesHighlight),
codeLens:s(e.codeLens,t.codeLens)&&s(e.referenceInfos,!0),folding:s(e.folding,t.folding),foldingStrategy:l(e.foldingStrategy,t.foldingStrategy,["auto","indentation"]),showFoldingControls:l(e.showFoldingControls,t.showFoldingControls,["always","mouseover"]),matchBrackets:s(e.matchBrackets,t.matchBrackets),find:i,colorDecorators:s(e.colorDecorators,t.colorDecorators),lightbulbEnabled:s(!!e.lightbulb&&e.lightbulb.enabled,t.lightbulbEnabled)}},e}();t.EditorOptionsValidator=v;var _=function(){function e(){}return e._tweakValidatedOptions=function(e,t){var i=2===t,o=1===t;return{inDiffEditor:e.inDiffEditor,wordSeparators:e.wordSeparators,lineNumbersMinChars:e.lineNumbersMinChars,lineDecorationsWidth:e.lineDecorationsWidth,readOnly:e.readOnly,mouseStyle:e.mouseStyle,disableLayerHinting:e.disableLayerHinting,automaticLayout:e.automaticLayout,wordWrap:e.wordWrap,wordWrapColumn:e.wordWrapColumn,wordWrapMinified:e.wordWrapMinified,wrappingIndent:e.wrappingIndent,
wordWrapBreakBeforeCharacters:e.wordWrapBreakBeforeCharacters,wordWrapBreakAfterCharacters:e.wordWrapBreakAfterCharacters,wordWrapBreakObtrusiveCharacters:e.wordWrapBreakObtrusiveCharacters,autoClosingBrackets:e.autoClosingBrackets,autoIndent:e.autoIndent,dragAndDrop:e.dragAndDrop,emptySelectionClipboard:e.emptySelectionClipboard,useTabStops:e.useTabStops,multiCursorModifier:e.multiCursorModifier,accessibilitySupport:e.accessibilitySupport,viewInfo:{extraEditorClassName:e.viewInfo.extraEditorClassName,disableMonospaceOptimizations:e.viewInfo.disableMonospaceOptimizations,rulers:e.viewInfo.rulers,ariaLabel:o?n.localize(0,null):e.viewInfo.ariaLabel,renderLineNumbers:e.viewInfo.renderLineNumbers,renderCustomLineNumbers:e.viewInfo.renderCustomLineNumbers,selectOnLineNumbers:e.viewInfo.selectOnLineNumbers,glyphMargin:e.viewInfo.glyphMargin,revealHorizontalRightPadding:e.viewInfo.revealHorizontalRightPadding,roundedSelection:!i&&e.viewInfo.roundedSelection,overviewRulerLanes:e.viewInfo.overviewRulerLanes,
overviewRulerBorder:e.viewInfo.overviewRulerBorder,cursorBlinking:e.viewInfo.cursorBlinking,mouseWheelZoom:e.viewInfo.mouseWheelZoom,cursorStyle:e.viewInfo.cursorStyle,cursorWidth:e.viewInfo.cursorWidth,hideCursorInOverviewRuler:e.viewInfo.hideCursorInOverviewRuler,scrollBeyondLastLine:e.viewInfo.scrollBeyondLastLine,smoothScrolling:e.viewInfo.smoothScrolling,stopRenderingLineAfter:e.viewInfo.stopRenderingLineAfter,renderWhitespace:i?"none":e.viewInfo.renderWhitespace,renderControlCharacters:!i&&e.viewInfo.renderControlCharacters,fontLigatures:!i&&e.viewInfo.fontLigatures,renderIndentGuides:!i&&e.viewInfo.renderIndentGuides,renderLineHighlight:e.viewInfo.renderLineHighlight,scrollbar:e.viewInfo.scrollbar,minimap:{enabled:!i&&e.viewInfo.minimap.enabled,side:e.viewInfo.minimap.side,renderCharacters:e.viewInfo.minimap.renderCharacters,showSlider:e.viewInfo.minimap.showSlider,maxColumn:e.viewInfo.minimap.maxColumn},fixedOverflowWidgets:e.viewInfo.fixedOverflowWidgets},contribInfo:{
selectionClipboard:e.contribInfo.selectionClipboard,hover:e.contribInfo.hover,links:!i&&e.contribInfo.links,contextmenu:e.contribInfo.contextmenu,quickSuggestions:e.contribInfo.quickSuggestions,quickSuggestionsDelay:e.contribInfo.quickSuggestionsDelay,parameterHints:e.contribInfo.parameterHints,iconsInSuggestions:e.contribInfo.iconsInSuggestions,formatOnType:e.contribInfo.formatOnType,formatOnPaste:e.contribInfo.formatOnPaste,suggestOnTriggerCharacters:e.contribInfo.suggestOnTriggerCharacters,acceptSuggestionOnEnter:e.contribInfo.acceptSuggestionOnEnter,acceptSuggestionOnCommitCharacter:e.contribInfo.acceptSuggestionOnCommitCharacter,snippetSuggestions:e.contribInfo.snippetSuggestions,wordBasedSuggestions:e.contribInfo.wordBasedSuggestions,suggestSelection:e.contribInfo.suggestSelection,suggestFontSize:e.contribInfo.suggestFontSize,suggestLineHeight:e.contribInfo.suggestLineHeight,selectionHighlight:!i&&e.contribInfo.selectionHighlight,occurrencesHighlight:!i&&e.contribInfo.occurrencesHighlight,
codeLens:!i&&e.contribInfo.codeLens,folding:!i&&e.contribInfo.folding,foldingStrategy:e.contribInfo.foldingStrategy,showFoldingControls:e.contribInfo.showFoldingControls,matchBrackets:!i&&e.contribInfo.matchBrackets,find:e.contribInfo.find,colorDecorators:e.contribInfo.colorDecorators,lightbulbEnabled:e.contribInfo.lightbulbEnabled}}},e.createInternalEditorOptions=function(e,t){var n;n="auto"===t.accessibilitySupport?e.accessibilitySupport:"on"===t.accessibilitySupport?2:1;var i,o=this._tweakValidatedOptions(t,n);if("string"==typeof o.lineDecorationsWidth&&/^\d+(\.\d+)?ch$/.test(o.lineDecorationsWidth)){i=parseFloat(o.lineDecorationsWidth.substr(0,o.lineDecorationsWidth.length-2))*e.fontInfo.typicalHalfwidthCharacterWidth}else i=u(o.lineDecorationsWidth,0,0,1e3);o.contribInfo.folding&&(i+=16);var r=y.compute({outerWidth:e.outerWidth,outerHeight:e.outerHeight,showGlyphMargin:o.viewInfo.glyphMargin,lineHeight:e.fontInfo.lineHeight,showLineNumbers:0!==o.viewInfo.renderLineNumbers,
lineNumbersMinChars:o.lineNumbersMinChars,lineNumbersDigitCount:e.lineNumbersDigitCount,lineDecorationsWidth:i,typicalHalfwidthCharacterWidth:e.fontInfo.typicalHalfwidthCharacterWidth,maxDigitWidth:e.fontInfo.maxDigitWidth,verticalScrollbarWidth:o.viewInfo.scrollbar.verticalScrollbarSize,horizontalScrollbarHeight:o.viewInfo.scrollbar.horizontalScrollbarSize,scrollbarArrowSize:o.viewInfo.scrollbar.arrowSize,verticalScrollbarHasArrows:o.viewInfo.scrollbar.verticalHasArrows,minimap:o.viewInfo.minimap.enabled,minimapSide:o.viewInfo.minimap.side,minimapRenderCharacters:o.viewInfo.minimap.renderCharacters,minimapMaxColumn:o.viewInfo.minimap.maxColumn,pixelRatio:e.pixelRatio}),s=null,a=o.wordWrap,l=o.wordWrapColumn,c=o.wordWrapMinified;s=2===n?{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:-1}:c&&e.isDominatedByLongLines?{isWordWrapMinified:!0,isViewportWrapping:!0,wrappingColumn:Math.max(1,r.viewportColumn)}:"on"===a?{isWordWrapMinified:!1,isViewportWrapping:!0,
wrappingColumn:Math.max(1,r.viewportColumn)}:"bounded"===a?{isWordWrapMinified:!1,isViewportWrapping:!0,wrappingColumn:Math.min(Math.max(1,r.viewportColumn),l)}:"wordWrapColumn"===a?{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:l}:{isWordWrapMinified:!1,isViewportWrapping:!1,wrappingColumn:-1};var d={inDiffEditor:o.inDiffEditor,isDominatedByLongLines:e.isDominatedByLongLines,isWordWrapMinified:s.isWordWrapMinified,isViewportWrapping:s.isViewportWrapping,wrappingColumn:s.wrappingColumn,wrappingIndent:o.wrappingIndent,wordWrapBreakBeforeCharacters:o.wordWrapBreakBeforeCharacters,wordWrapBreakAfterCharacters:o.wordWrapBreakAfterCharacters,wordWrapBreakObtrusiveCharacters:o.wordWrapBreakObtrusiveCharacters},h="monaco-editor";return o.viewInfo.extraEditorClassName&&(h+=" "+o.viewInfo.extraEditorClassName),e.extraEditorClassName&&(h+=" "+e.extraEditorClassName),o.viewInfo.fontLigatures&&(h+=" enable-ligatures"),"default"===o.mouseStyle?h+=" mouse-default":"copy"===o.mouseStyle&&(h+=" mouse-copy"),
new m({canUseLayerHinting:!o.disableLayerHinting,pixelRatio:e.pixelRatio,editorClassName:h,lineHeight:e.fontInfo.lineHeight,readOnly:o.readOnly,accessibilitySupport:n,multiCursorModifier:o.multiCursorModifier,wordSeparators:o.wordSeparators,autoClosingBrackets:o.autoClosingBrackets,autoIndent:o.autoIndent,useTabStops:o.useTabStops,tabFocusMode:!!o.readOnly||e.tabFocusMode,dragAndDrop:o.dragAndDrop,emptySelectionClipboard:o.emptySelectionClipboard&&e.emptySelectionClipboard,layoutInfo:r,fontInfo:e.fontInfo,viewInfo:o.viewInfo,wrappingInfo:d,contribInfo:o.contribInfo})},e}();t.InternalEditorOptionsFactory=_;var y=function(){function e(){}return e.compute=function(e){
var t=0|e.outerWidth,n=0|e.outerHeight,i=e.showGlyphMargin,o=0|e.lineHeight,r=e.showLineNumbers,s=0|e.lineNumbersMinChars,a=0|e.lineNumbersDigitCount,l=0|e.lineDecorationsWidth,u=e.typicalHalfwidthCharacterWidth,c=e.maxDigitWidth,d=0|e.verticalScrollbarWidth,p=e.verticalScrollbarHasArrows,f=0|e.scrollbarArrowSize,g=0|e.horizontalScrollbarHeight,m=e.minimap,v=e.minimapSide,_=e.minimapRenderCharacters,y=0|e.minimapMaxColumn,C=e.pixelRatio,b=0;if(r){var S=Math.max(a,s);b=Math.round(S*c)}var w=0;i&&(w=o);var E,L,x,N,I=0,T=I+w,D=T+b,M=D+l,k=t-w-b-l;if(m){var O=void 0;C>=2?(E=_?h.Large:h.LargeBlocks,O=2/C):(E=_?h.Small:h.SmallBlocks,O=1/C);(x=Math.max(0,Math.floor((k-d)*O/(u+O))))/O>y&&(x=Math.floor(y*O)),N=k-x,"left"===v?(L=0,I+=x,T+=x,D+=x,M+=x):L=t-x-d}else L=0,x=0,E=h.None,N=k;var R=Math.max(1,Math.floor((N-d)/u)),P=p?f:0;return{width:t,height:n,glyphMarginLeft:I,glyphMarginWidth:w,glyphMarginHeight:n,lineNumbersLeft:T,lineNumbersWidth:b,lineNumbersHeight:n,decorationsLeft:D,decorationsWidth:l,
decorationsHeight:n,contentLeft:M,contentWidth:N,contentHeight:n,renderMinimap:E,minimapLeft:L,minimapWidth:x,viewportColumn:R,verticalScrollbarWidth:d,horizontalScrollbarHeight:g,overviewRuler:{top:P,width:d,height:n-2*P,right:0}}},e}();t.EditorLayoutProvider=y;t.EDITOR_FONT_DEFAULTS={fontFamily:i.isMacintosh?"Menlo, Monaco, 'Courier New', monospace":i.isLinux?"'Droid Sans Mono', 'monospace', monospace, 'Droid Sans Fallback'":"Consolas, 'Courier New', monospace",fontWeight:"normal",fontSize:i.isMacintosh?12:14,lineHeight:0,letterSpacing:0},t.EDITOR_MODEL_DEFAULTS={tabSize:4,insertSpaces:!0,detectIndentation:!0,trimAutoWhitespace:!0},t.EDITOR_DEFAULTS={inDiffEditor:!1,wordSeparators:r.USUAL_WORD_SEPARATORS,lineNumbersMinChars:5,lineDecorationsWidth:10,readOnly:!1,mouseStyle:"text",disableLayerHinting:!1,automaticLayout:!1,wordWrap:"off",wordWrapColumn:80,wordWrapMinified:!0,wrappingIndent:p.Same,wordWrapBreakBeforeCharacters:"([{‘“〈《「『【〔（［｛｢£¥＄￡￥+＋",
wordWrapBreakAfterCharacters:" \t})]?|&,;¢°′″‰℃、。｡､￠，．：；？！％・･ゝゞヽヾーァィゥェォッャュョヮヵヶぁぃぅぇぉっゃゅょゎゕゖㇰㇱㇲㇳㇴㇵㇶㇷㇸㇹㇺㇻㇼㇽㇾㇿ々〻ｧｨｩｪｫｬｭｮｯｰ”〉》」』】〕）］｝｣",wordWrapBreakObtrusiveCharacters:".",autoClosingBrackets:!0,autoIndent:!0,dragAndDrop:!0,emptySelectionClipboard:!0,useTabStops:!0,multiCursorModifier:"altKey",accessibilitySupport:"auto",viewInfo:{extraEditorClassName:"",disableMonospaceOptimizations:!1,rulers:[],ariaLabel:n.localize(1,null),renderLineNumbers:1,renderCustomLineNumbers:null,selectOnLineNumbers:!0,glyphMargin:!0,revealHorizontalRightPadding:30,roundedSelection:!0,overviewRulerLanes:2,overviewRulerBorder:!0,cursorBlinking:f.Blink,mouseWheelZoom:!1,cursorStyle:g.Line,cursorWidth:0,hideCursorInOverviewRuler:!1,scrollBeyondLastLine:!0,smoothScrolling:!1,stopRenderingLineAfter:1e4,renderWhitespace:"none",renderControlCharacters:!1,fontLigatures:!1,renderIndentGuides:!0,renderLineHighlight:"line",scrollbar:{vertical:o.ScrollbarVisibility.Auto,horizontal:o.ScrollbarVisibility.Auto,arrowSize:11,useShadows:!0,
verticalHasArrows:!1,horizontalHasArrows:!1,horizontalScrollbarSize:10,horizontalSliderSize:10,verticalScrollbarSize:14,verticalSliderSize:14,handleMouseWheel:!0,mouseWheelScrollSensitivity:1},minimap:{enabled:!0,side:"right",showSlider:"mouseover",renderCharacters:!0,maxColumn:120},fixedOverflowWidgets:!1},contribInfo:{selectionClipboard:!0,hover:!0,links:!0,contextmenu:!0,quickSuggestions:{other:!0,comments:!1,strings:!1},quickSuggestionsDelay:10,parameterHints:!0,iconsInSuggestions:!0,formatOnType:!1,formatOnPaste:!1,suggestOnTriggerCharacters:!0,acceptSuggestionOnEnter:"on",acceptSuggestionOnCommitCharacter:!0,snippetSuggestions:"inline",wordBasedSuggestions:!0,suggestSelection:"recentlyUsed",suggestFontSize:0,suggestLineHeight:0,selectionHighlight:!0,occurrencesHighlight:!0,codeLens:!0,folding:!0,foldingStrategy:"auto",showFoldingControls:"mouseover",matchBrackets:!0,find:{seedSearchStringFromSelection:!0,autoFindInSelection:!1,globalFindClipboard:!1},colorDecorators:!0,lightbulbEnabled:!0}}}),
define(t[119],n([0,1,15,123,52]),function(e,t,n,i,r){"use strict";function s(e,t){if("number"==typeof e)return e;var n=parseFloat(e);return isNaN(n)?t:n}function a(e,t,n){return e<t?t:e>n?n:e}function l(e,t){return"string"!=typeof e?t:e}Object.defineProperty(t,"__esModule",{value:!0});var u=n.isMacintosh?1.5:1.35,c=function(){function e(e){this.zoomLevel=e.zoomLevel,this.fontFamily=String(e.fontFamily),this.fontWeight=String(e.fontWeight),this.fontSize=e.fontSize,this.lineHeight=0|e.lineHeight,this.letterSpacing=e.letterSpacing}return e.createFromRawSettings=function(t,n){var o=l(t.fontFamily,r.EDITOR_FONT_DEFAULTS.fontFamily),c=l(t.fontWeight,r.EDITOR_FONT_DEFAULTS.fontWeight),d=s(t.fontSize,r.EDITOR_FONT_DEFAULTS.fontSize);0===(d=a(d,0,100))?d=r.EDITOR_FONT_DEFAULTS.fontSize:d<8&&(d=8);var h=function(e,t){if("number"==typeof e)return Math.round(e);var n=parseInt(e);return isNaN(n)?t:n}(t.lineHeight,0);0===(h=a(h,0,150))?h=Math.round(u*d):h<8&&(h=8);var p=s(t.letterSpacing,0);p=a(p,-5,20)
;var f=1+.1*i.EditorZoom.getZoomLevel();return d*=f,h*=f,new e({zoomLevel:n,fontFamily:o,fontWeight:c,fontSize:d,lineHeight:h,letterSpacing:p})},e.prototype.getId=function(){return this.zoomLevel+"-"+this.fontFamily+"-"+this.fontWeight+"-"+this.fontSize+"-"+this.lineHeight+"-"+this.letterSpacing},e}();t.BareFontInfo=c;var d=function(e){function t(t,n){var i=e.call(this,t)||this;return i.isTrusted=n,i.isMonospace=t.isMonospace,i.typicalHalfwidthCharacterWidth=t.typicalHalfwidthCharacterWidth,i.typicalFullwidthCharacterWidth=t.typicalFullwidthCharacterWidth,i.spaceWidth=t.spaceWidth,i.maxDigitWidth=t.maxDigitWidth,i}return o(t,e),t.prototype.equals=function(e){
return this.fontFamily===e.fontFamily&&this.fontWeight===e.fontWeight&&this.fontSize===e.fontSize&&this.lineHeight===e.lineHeight&&this.letterSpacing===e.letterSpacing&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.typicalFullwidthCharacterWidth===e.typicalFullwidthCharacterWidth&&this.spaceWidth===e.spaceWidth&&this.maxDigitWidth===e.maxDigitWidth},t}(c);t.FontInfo=d}),define(t[304],n([6,5]),function(e,t){return e.create("vs/editor/common/controller/cursor",t)}),define(t[305],n([6,5]),function(e,t){return e.create("vs/editor/common/modes/modesRegistry",t)}),define(t[306],n([6,5]),function(e,t){return e.create("vs/editor/common/services/modelServiceImpl",t)}),define(t[307],n([6,5]),function(e,t){return e.create("vs/editor/common/view/editorColorRegistry",t)}),define(t[308],n([6,5]),function(e,t){return e.create("vs/editor/contrib/bracketMatching/bracketMatching",t)}),define(t[309],n([6,5]),function(e,t){return e.create("vs/editor/contrib/caretOperations/caretOperations",t)}),
define(t[310],n([6,5]),function(e,t){return e.create("vs/editor/contrib/caretOperations/transpose",t)}),define(t[311],n([6,5]),function(e,t){return e.create("vs/editor/contrib/clipboard/clipboard",t)}),define(t[312],n([6,5]),function(e,t){return e.create("vs/editor/contrib/comment/comment",t)}),define(t[313],n([6,5]),function(e,t){return e.create("vs/editor/contrib/contextmenu/contextmenu",t)}),define(t[314],n([6,5]),function(e,t){return e.create("vs/editor/contrib/find/findController",t)}),define(t[315],n([6,5]),function(e,t){return e.create("vs/editor/contrib/find/findWidget",t)}),define(t[316],n([6,5]),function(e,t){return e.create("vs/editor/contrib/folding/folding",t)}),define(t[317],n([6,5]),function(e,t){return e.create("vs/editor/contrib/format/formatActions",t)}),define(t[318],n([6,5]),function(e,t){return e.create("vs/editor/contrib/goToDeclaration/goToDeclarationCommands",t)}),define(t[319],n([6,5]),function(e,t){return e.create("vs/editor/contrib/goToDeclaration/goToDeclarationMouse",t)}),
define(t[320],n([6,5]),function(e,t){return e.create("vs/editor/contrib/gotoError/gotoError",t)}),define(t[321],n([6,5]),function(e,t){return e.create("vs/editor/contrib/gotoError/gotoErrorWidget",t)}),define(t[322],n([6,5]),function(e,t){return e.create("vs/editor/contrib/hover/hover",t)}),define(t[323],n([6,5]),function(e,t){return e.create("vs/editor/contrib/hover/modesContentHover",t)}),define(t[324],n([6,5]),function(e,t){return e.create("vs/editor/contrib/inPlaceReplace/inPlaceReplace",t)}),define(t[325],n([6,5]),function(e,t){return e.create("vs/editor/contrib/linesOperations/linesOperations",t)}),define(t[326],n([6,5]),function(e,t){return e.create("vs/editor/contrib/links/links",t)}),define(t[327],n([6,5]),function(e,t){return e.create("vs/editor/contrib/multicursor/multicursor",t)}),define(t[328],n([6,5]),function(e,t){return e.create("vs/editor/contrib/parameterHints/parameterHints",t)}),define(t[329],n([6,5]),function(e,t){return e.create("vs/editor/contrib/parameterHints/parameterHintsWidget",t)
}),define(t[330],n([6,5]),function(e,t){return e.create("vs/editor/contrib/quickFix/quickFixCommands",t)}),define(t[331],n([6,5]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/peekViewWidget",t)}),define(t[332],n([6,5]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referenceSearch",t)}),define(t[333],n([6,5]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referencesController",t)}),define(t[334],n([6,5]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referencesModel",t)}),define(t[121],n([0,1,334,4,36,2,9,114,8,3]),function(e,t,n,i,o,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e,t){this._parent=e,this._range=t,this._onRefChanged=new i.Emitter,this.onRefChanged=this._onRefChanged.event,this._id=a.defaultGenerator.nextId()}return Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"model",{
get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parent",{get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"uri",{get:function(){return this._parent.uri},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"name",{get:function(){return this._parent.name},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"directory",{get:function(){return this._parent.directory},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"range",{get:function(){return this._range},set:function(e){this._range=e,this._onRefChanged.fire(this)},enumerable:!0,configurable:!0}),e.prototype.getAriaMessage=function(){return n.localize(0,null,o.basename(this.uri.fsPath),this.range.startLineNumber,this.range.startColumn)},e}();t.OneReference=c;var d=function(){function e(e){this._modelReference=e}return Object.defineProperty(e.prototype,"_model",{get:function(){
return this._modelReference.object.textEditorModel},enumerable:!0,configurable:!0}),e.prototype.preview=function(e,t){void 0===t&&(t=8);var n=this._model;if(n){var i=e.startLineNumber,o=e.startColumn,r=e.endLineNumber,a=e.endColumn,l=n.getWordUntilPosition({lineNumber:i,column:o-t}),c=new u.Range(i,l.startColumn,i,o),d=new u.Range(r,a,r,Number.MAX_VALUE);return{before:n.getValueInRange(c).replace(/^\s+/,s.empty),inside:n.getValueInRange(e),after:n.getValueInRange(d).replace(/\s+$/,s.empty)}}},e.prototype.dispose=function(){this._modelReference&&(this._modelReference.dispose(),this._modelReference=null)},e}();t.FilePreview=d;var h=function(){function e(e,t){this._parent=e,this._uri=t,this._children=[]}return Object.defineProperty(e.prototype,"id",{get:function(){return this._uri.toString()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"parent",{get:function(){return this._parent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"children",{get:function(){
return this._children},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"uri",{get:function(){return this._uri},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"name",{get:function(){return o.basename(this.uri.fsPath)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"directory",{get:function(){return o.dirname(this.uri.fsPath)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"preview",{get:function(){return this._preview},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"failure",{get:function(){return this._loadFailure},enumerable:!0,configurable:!0}),e.prototype.getAriaMessage=function(){var e=this.children.length;return 1===e?n.localize(1,null,o.basename(this.uri.fsPath),this.uri.fsPath):n.localize(2,null,e,o.basename(this.uri.fsPath),this.uri.fsPath)},e.prototype.resolve=function(e){var t=this;return this._resolved?l.TPromise.as(this):e.createModelReference(this._uri).then(function(e){if(!e.object)throw e.dispose(),
new Error;return t._preview=new d(e),t._resolved=!0,t},function(e){return t._children=[],t._resolved=!0,t._loadFailure=e,t})},e.prototype.dispose=function(){this._preview&&(this._preview.dispose(),this._preview=null)},e}();t.FileReferences=h;var p=function(){function e(t){var n=this;this._groups=[],this._references=[],this._onDidChangeReferenceRange=new i.Emitter,this.onDidChangeReferenceRange=this._onDidChangeReferenceRange.event,this._disposables=[],t.sort(e._compareReferences);for(var o,r=0,s=t;r<s.length;r++){var a=s[r];if(o&&o.uri.toString()===a.uri.toString()||(o=new h(this,a.uri),this.groups.push(o)),0===o.children.length||!u.Range.equalsRange(a.range,o.children[o.children.length-1].range)){var l=new c(o,a.range);this._disposables.push(l.onRefChanged(function(e){return n._onDidChangeReferenceRange.fire(e)})),this._references.push(l),o.children.push(l)}}}return Object.defineProperty(e.prototype,"empty",{get:function(){return 0===this._groups.length},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"references",{get:function(){return this._references},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"groups",{get:function(){return this._groups},enumerable:!0,configurable:!0}),e.prototype.getAriaMessage=function(){return this.empty?n.localize(3,null):1===this.references.length?n.localize(4,null,this.references[0].uri.fsPath):1===this.groups.length?n.localize(5,null,this.references.length,this.groups[0].uri.fsPath):n.localize(6,null,this.references.length,this.groups.length)},e.prototype.nextOrPreviousReference=function(e,t){var n=e.parent,i=n.children.indexOf(e),o=n.children.length,r=n.parent.groups.length;return 1===r||t&&i+1<o||!t&&i>0?(i=t?(i+1)%o:(i+o-1)%o,n.children[i]):(i=n.parent.groups.indexOf(n),t?(i=(i+1)%r,n.parent.groups[i].children[0]):(i=(i+r-1)%r,n.parent.groups[i].children[n.parent.groups[i].children.length-1]))},e.prototype.nearestReference=function(e,t){var n=this._references.map(function(n,i){return{idx:i,
prefixLen:s.commonPrefixLength(n.uri.toString(),e.toString()),offsetDist:100*Math.abs(n.range.startLineNumber-t.lineNumber)+Math.abs(n.range.startColumn-t.column)}}).sort(function(e,t){return e.prefixLen>t.prefixLen?-1:e.prefixLen<t.prefixLen?1:e.offsetDist<t.offsetDist?-1:e.offsetDist>t.offsetDist?1:0})[0];if(n)return this._references[n.idx]},e.prototype.dispose=function(){this._groups=r.dispose(this._groups),r.dispose(this._disposables),this._disposables.length=0},e._compareReferences=function(e,t){var n=e.uri.toString(),i=t.uri.toString();return n<i?-1:n>i?1:u.Range.compareRangesUsingStarts(e.range,t.range)},e}();t.ReferencesModel=p}),define(t[336],n([6,5]),function(e,t){return e.create("vs/editor/contrib/referenceSearch/referencesWidget",t)}),define(t[337],n([6,5]),function(e,t){return e.create("vs/editor/contrib/rename/rename",t)}),define(t[338],n([6,5]),function(e,t){return e.create("vs/editor/contrib/rename/renameInputField",t)}),define(t[339],n([6,5]),function(e,t){
return e.create("vs/editor/contrib/smartSelect/smartSelect",t)}),define(t[340],n([6,5]),function(e,t){return e.create("vs/editor/contrib/snippet/snippetVariables",t)}),define(t[341],n([0,1,340,36,133,9]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.KnownSnippetVariableNames=Object.freeze({CURRENT_YEAR:!0,CURRENT_YEAR_SHORT:!0,CURRENT_MONTH:!0,CURRENT_DATE:!0,CURRENT_HOUR:!0,CURRENT_MINUTE:!0,CURRENT_SECOND:!0,CURRENT_DAY_NAME:!0,CURRENT_DAY_NAME_SHORT:!0,CURRENT_MONTH_NAME:!0,CURRENT_MONTH_NAME_SHORT:!0,SELECTION:!0,CLIPBOARD:!0,TM_SELECTED_TEXT:!0,TM_CURRENT_LINE:!0,TM_CURRENT_WORD:!0,TM_LINE_INDEX:!0,TM_LINE_NUMBER:!0,TM_FILENAME:!0,TM_FILENAME_BASE:!0,TM_DIRECTORY:!0,TM_FILEPATH:!0});var s=function(){function e(e){this._delegates=e}return e.prototype.resolve=function(e){for(var t=0,n=this._delegates;t<n.length;t++){var i=n[t].resolve(e);if(void 0!==i)return i}},e}();t.CompositeSnippetVariableResolver=s;var a=function(){function e(e,t){this._model=e,this._selection=t
}return e.prototype.resolve=function(e){var t=e.name;if("SELECTION"===t||"TM_SELECTED_TEXT"===t){var n=this._model.getValueInRange(this._selection)||void 0;if(n&&this._selection.startLineNumber!==this._selection.endLineNumber){var i=this._model.getLineContent(this._selection.startLineNumber),s=r.getLeadingWhitespace(i,0,this._selection.startColumn-1),a=s;e.snippet.walk(function(t){return t!==e&&(t instanceof o.Text&&(a=r.getLeadingWhitespace(t.value.split(/\r\n|\r|\n/).pop())),!0)});var l=r.commonPrefixLength(a,s);n=n.replace(/(\r\n|\r|\n)(.*)/g,function(e,t,n){return""+t+a.substr(l)+n})}return n}if("TM_CURRENT_LINE"===t)return this._model.getLineContent(this._selection.positionLineNumber);if("TM_CURRENT_WORD"===t){var u=this._model.getWordAtPosition({lineNumber:this._selection.positionLineNumber,column:this._selection.positionColumn});return u&&u.word||void 0}return"TM_LINE_INDEX"===t?String(this._selection.positionLineNumber-1):"TM_LINE_NUMBER"===t?String(this._selection.positionLineNumber):void 0},e}()
;t.SelectionBasedVariableResolver=a;var l=function(){function e(e){this._model=e}return e.prototype.resolve=function(e){var t=e.name;if("TM_FILENAME"===t)return i.basename(this._model.uri.fsPath);if("TM_FILENAME_BASE"===t){var n=i.basename(this._model.uri.fsPath),o=n.lastIndexOf(".");return o<=0?n:n.slice(0,o)}if("TM_DIRECTORY"===t){var r=i.dirname(this._model.uri.fsPath);return"."!==r?r:""}return"TM_FILEPATH"===t?this._model.uri.fsPath:void 0},e}();t.ModelBasedVariableResolver=l;var u=function(){function e(e,t,n){this._clipboardService=e,this._selectionIdx=t,this._selectionCount=n}return e.prototype.resolve=function(e){if("CLIPBOARD"===e.name&&this._clipboardService){var t=this._clipboardService.readText();if(t){var n=t.split(/\r\n|\n|\r/).filter(function(e){return!r.isFalsyOrWhitespace(e)});return n.length===this._selectionCount?n[this._selectionIdx]:t}}},e}();t.ClipboardBasedVariableResolver=u;var c=function(){function e(){}return e.prototype.resolve=function(t){var n=t.name
;return"CURRENT_YEAR"===n?String((new Date).getFullYear()):"CURRENT_YEAR_SHORT"===n?String((new Date).getFullYear()).slice(-2):"CURRENT_MONTH"===n?r.pad((new Date).getMonth().valueOf()+1,2):"CURRENT_DATE"===n?r.pad((new Date).getDate().valueOf(),2):"CURRENT_HOUR"===n?r.pad((new Date).getHours().valueOf(),2):"CURRENT_MINUTE"===n?r.pad((new Date).getMinutes().valueOf(),2):"CURRENT_SECOND"===n?r.pad((new Date).getSeconds().valueOf(),2):"CURRENT_DAY_NAME"===n?e.dayNames[(new Date).getDay()]:"CURRENT_DAY_NAME_SHORT"===n?e.dayNamesShort[(new Date).getDay()]:"CURRENT_MONTH_NAME"===n?e.monthNames[(new Date).getMonth()]:"CURRENT_MONTH_NAME_SHORT"===n?e.monthNamesShort[(new Date).getMonth()]:void 0},e.dayNames=[n.localize(0,null),n.localize(1,null),n.localize(2,null),n.localize(3,null),n.localize(4,null),n.localize(5,null),n.localize(6,null)],e.dayNamesShort=[n.localize(7,null),n.localize(8,null),n.localize(9,null),n.localize(10,null),n.localize(11,null),n.localize(12,null),n.localize(13,null)],
e.monthNames=[n.localize(14,null),n.localize(15,null),n.localize(16,null),n.localize(17,null),n.localize(18,null),n.localize(19,null),n.localize(20,null),n.localize(21,null),n.localize(22,null),n.localize(23,null),n.localize(24,null),n.localize(25,null)],e.monthNamesShort=[n.localize(26,null),n.localize(27,null),n.localize(28,null),n.localize(29,null),n.localize(30,null),n.localize(31,null),n.localize(32,null),n.localize(33,null),n.localize(34,null),n.localize(35,null),n.localize(36,null),n.localize(37,null)],e}();t.TimeBasedVariableResolver=c}),define(t[342],n([6,5]),function(e,t){return e.create("vs/editor/contrib/suggest/suggestController",t)}),define(t[343],n([6,5]),function(e,t){return e.create("vs/editor/contrib/suggest/suggestWidget",t)}),define(t[344],n([6,5]),function(e,t){return e.create("vs/editor/contrib/toggleTabFocusMode/toggleTabFocusMode",t)}),define(t[345],n([6,5]),function(e,t){return e.create("vs/editor/contrib/wordHighlighter/wordHighlighter",t)}),define(t[346],n([6,5]),function(e,t){
return e.create("vs/editor/standalone/browser/accessibilityHelp/accessibilityHelp",t)}),define(t[347],n([6,5]),function(e,t){return e.create("vs/editor/standalone/browser/inspectTokens/inspectTokens",t)}),define(t[348],n([6,5]),function(e,t){return e.create("vs/editor/standalone/browser/quickOpen/gotoLine",t)}),define(t[349],n([6,5]),function(e,t){return e.create("vs/editor/standalone/browser/quickOpen/quickCommand",t)}),define(t[350],n([6,5]),function(e,t){return e.create("vs/editor/standalone/browser/quickOpen/quickOutline",t)}),define(t[351],n([6,5]),function(e,t){return e.create("vs/editor/standalone/browser/standaloneCodeEditor",t)}),define(t[352],n([6,5]),function(e,t){return e.create("vs/editor/standalone/browser/toggleHighContrast/toggleHighContrast",t)}),define(t[353],n([6,5]),function(e,t){return e.create("vs/platform/configuration/common/configurationRegistry",t)}),define(t[354],n([6,5]),function(e,t){return e.create("vs/platform/dialogs/common/dialogs",t)}),define(t[355],n([6,5]),function(e,t){
return e.create("vs/platform/keybinding/common/abstractKeybindingService",t)}),define(t[356],n([6,5]),function(e,t){return e.create("vs/platform/list/browser/listService",t)}),define(t[357],n([6,5]),function(e,t){return e.create("vs/platform/markers/common/markers",t)}),define(t[358],n([6,5]),function(e,t){return e.create("vs/platform/theme/common/colorRegistry",t)}),define(t[359],n([6,5]),function(e,t){return e.create("vs/platform/workspaces/common/workspaces",t)}),define(t[360],n([0,1,49,2,41,65,437,412]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t,n,i){var o=this;this.setContainer(e),this.contextViewService=t,this.telemetryService=n,this.notificationService=i,this.actionRunner=new r.ActionRunner,this.menuContainerElement=null,this.toDispose=[];var s=!1;this.toDispose.push(this.actionRunner.onDidBeforeRun(function(e){o.telemetryService&&o.telemetryService.publicLog("workbenchActionExecuted",{id:e.action.id,from:"contextMenu"}),
(s=!!e.retainActionItem)||o.contextViewService.hideContextView(!1)})),this.toDispose.push(this.actionRunner.onDidRun(function(e){s&&o.contextViewService.hideContextView(!1),s=!1,e.error&&o.notificationService&&o.notificationService.error(e.error)}))}return e.prototype.setContainer=function(e){var t=this;this.$el&&(this.$el.off(["click","mousedown"]),this.$el=null),e&&(this.$el=n.$(e),this.$el.on("mousedown",function(e){return t.onMouseDown(e)}))},e.prototype.showContextMenu=function(e){var t=this;e.getActions().done(function(n){t.contextViewService.showContextView({getAnchor:function(){return e.getAnchor()},canRelayout:!1,render:function(o){t.menuContainerElement=o;var r=e.getMenuClassName?e.getMenuClassName():"";r&&(o.className+=" "+r);var a=new s.Menu(o,n,{actionItemProvider:e.getActionItem,context:e.getActionsContext?e.getActionsContext():null,actionRunner:t.actionRunner}),l=a.onDidCancel(function(){t.contextViewService.hideContextView(!0)}),u=a.onDidBlur(function(){t.contextViewService.hideContextView(!0)
});return a.focus(),i.combinedDisposable([l,u,a])},onHide:function(n){e.onHide&&e.onHide(n),t.menuContainerElement=null}})})},e.prototype.onMouseDown=function(e){if(this.menuContainerElement){for(var t=new o.StandardMouseEvent(e).target;t;){if(t===this.menuContainerElement)return;t=t.parentElement}this.contextViewService.hideContextView()}},e.prototype.dispose=function(){this.setContainer(null)},e}();t.ContextMenuHandler=a}),define(t[361],n([0,1,360,4]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,o,r){this._onDidContextMenu=new i.Emitter,this.contextMenuHandler=new n.ContextMenuHandler(e,r,t,o)}return e.prototype.dispose=function(){this.contextMenuHandler.dispose()},e.prototype.setContainer=function(e){this.contextMenuHandler.setContainer(e)},e.prototype.showContextMenu=function(e){this.contextMenuHandler.showContextMenu(e),this._onDidContextMenu.fire()},Object.defineProperty(e.prototype,"onDidContextMenu",{get:function(){
return this._onDidContextMenu.event},enumerable:!0,configurable:!0}),e}();t.ContextMenuService=o}),define(t[167],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.ctor=e,this.staticArguments=t}}();t.SyncDescriptor=n,t.createSyncDescriptor=function(e){for(var t=[],i=1;i<arguments.length;i++)t[i-1]=arguments[i];return new(n.bind.apply(n,[void 0,e].concat(t)))}}),define(t[14],n([0,1]),function(e,t){"use strict";function n(e,t,n,i){t[o.DI_TARGET]===t?t[o.DI_DEPENDENCIES].push({id:e,index:n,optional:i}):(t[o.DI_DEPENDENCIES]=[{id:e,index:n,optional:i}],t[o.DI_TARGET]=t)}function i(e){if(o.serviceIds.has(e))return o.serviceIds.get(e);var t=function(e,i,o){if(3!==arguments.length)throw new Error("@IServiceName-decorator can only be used to decorate a parameter");n(t,e,o,!1)};return t.toString=function(){return e},o.serviceIds.set(e,t),t}Object.defineProperty(t,"__esModule",{value:!0
});var o;!function(e){e.serviceIds=new Map,e.DI_TARGET="$di$target",e.DI_DEPENDENCIES="$di$dependencies",e.getServiceDependencies=function(t){return t[e.DI_DEPENDENCIES]||[]}}(o=t._util||(t._util={})),t.IInstantiationService=i("instantiationService"),t.createDecorator=i,t.optional=function(e){return function(t,i,o){if(3!==arguments.length)throw new Error("@optional-decorator can only be used to decorate a parameter");n(e,t,o,!0)}}}),define(t[38],n([0,1,14,24]),function(e,t,n,i){"use strict";function o(e){if(e){var t=e.getControl();if(t){if(i.isCodeEditor(t))return{codeEditor:t,diffEditor:null};if(i.isDiffEditor(t))return{codeEditor:null,diffEditor:t}}}return{codeEditor:null,diffEditor:null}}Object.defineProperty(t,"__esModule",{value:!0}),t.ICodeEditorService=n.createDecorator("codeEditorService"),t.getCodeOrDiffEditor=o,t.getCodeEditor=function(e){var t=o(e);return t.codeEditor||t.diffEditor&&t.diffEditor.getModifiedEditor()||null}}),define(t[67],n([0,1,14]),function(e,t,n){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0}),t.ID_EDITOR_WORKER_SERVICE="editorWorkerService",t.IEditorWorkerService=n.createDecorator(t.ID_EDITOR_WORKER_SERVICE)}),define(t[63],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IModeService=n.createDecorator("modeService")}),define(t[47],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IModelService=n.createDecorator("modelService"),t.shouldSynchronizeModel=function(e){return!e.isTooLargeForHavingARichMode()&&!e.isForSimpleWidget}}),define(t[368],n([0,1,4,514,47]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){this._clock=0,this._entries=[],this._onDidChange=new n.Emitter}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.register=function(e,t){var n=this,i={selector:e,provider:t,_score:-1,_time:this._clock++}
;return this._entries.push(i),this._lastCandidate=void 0,this._onDidChange.fire(this._entries.length),{dispose:function(){if(i){var e=n._entries.indexOf(i);e>=0&&(n._entries.splice(e,1),n._lastCandidate=void 0,n._onDidChange.fire(n._entries.length),i=void 0)}}}},e.prototype.has=function(e){return this.all(e).length>0},e.prototype.all=function(e){if(!e)return[];this._updateScores(e);for(var t=[],n=0,i=this._entries;n<i.length;n++){var o=i[n];o._score>0&&t.push(o.provider)}return t},e.prototype.ordered=function(e){var t=[];return this._orderedForEach(e,function(e){return t.push(e.provider)}),t},e.prototype.orderedGroups=function(e){var t,n,i=[];return this._orderedForEach(e,function(e){t&&n===e._score?t.push(e.provider):(n=e._score,t=[e.provider],i.push(t))}),i},e.prototype._orderedForEach=function(e,t){if(e){this._updateScores(e);for(var n=0;n<this._entries.length;n++){var i=this._entries[n];i._score>0&&t(i)}}},e.prototype._updateScores=function(t){var n={uri:t.uri.toString(),
language:t.getLanguageIdentifier().language};if(!this._lastCandidate||this._lastCandidate.language!==n.language||this._lastCandidate.uri!==n.uri){this._lastCandidate=n;for(var r=0,s=this._entries;r<s.length;r++){var a=s[r];a._score=i.score(a.selector,t.uri,t.getLanguageIdentifier().language,o.shouldSynchronizeModel(t))}this._entries.sort(e._compareByScoreAndTime)}},e._compareByScoreAndTime=function(e,t){return e._score<t._score?1:e._score>t._score?-1:e._time<t._time?1:e._time>t._time?-1:0},e}();t.default=r}),define(t[17],n([0,1,368,560,30]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Null=0]="Null",e[e.PlainText=1]="PlainText"}(t.LanguageId||(t.LanguageId={}));var r=function(){return function(e,t){this.language=e,this.id=t}}();t.LanguageIdentifier=r;!function(e){e[e.NotSet=-1]="NotSet",e[e.None=0]="None",e[e.Italic=1]="Italic",e[e.Bold=2]="Bold",e[e.Underline=4]="Underline"}(t.FontStyle||(t.FontStyle={}));!function(e){e[e.None=0]="None",
e[e.DefaultForeground=1]="DefaultForeground",e[e.DefaultBackground=2]="DefaultBackground"}(t.ColorId||(t.ColorId={}));!function(e){e[e.Other=0]="Other",e[e.Comment=1]="Comment",e[e.String=2]="String",e[e.RegEx=4]="RegEx"}(t.StandardTokenType||(t.StandardTokenType={}));!function(e){e[e.LANGUAGEID_MASK=255]="LANGUAGEID_MASK",e[e.TOKEN_TYPE_MASK=1792]="TOKEN_TYPE_MASK",e[e.FONT_STYLE_MASK=14336]="FONT_STYLE_MASK",e[e.FOREGROUND_MASK=8372224]="FOREGROUND_MASK",e[e.BACKGROUND_MASK=4286578688]="BACKGROUND_MASK",e[e.LANGUAGEID_OFFSET=0]="LANGUAGEID_OFFSET",e[e.TOKEN_TYPE_OFFSET=8]="TOKEN_TYPE_OFFSET",e[e.FONT_STYLE_OFFSET=11]="FONT_STYLE_OFFSET",e[e.FOREGROUND_OFFSET=14]="FOREGROUND_OFFSET",e[e.BACKGROUND_OFFSET=23]="BACKGROUND_OFFSET"}(t.MetadataConsts||(t.MetadataConsts={}));var s=function(){function e(){}return e.getLanguageId=function(e){return(255&e)>>>0},e.getTokenType=function(e){return(1792&e)>>>8},e.getFontStyle=function(e){return(14336&e)>>>11},e.getForeground=function(e){return(8372224&e)>>>14},
e.getBackground=function(e){return(4286578688&e)>>>23},e.getClassNameFromMetadata=function(e){var t="mtk"+this.getForeground(e),n=this.getFontStyle(e);return 1&n&&(t+=" mtki"),2&n&&(t+=" mtkb"),4&n&&(t+=" mtku"),t},e.getInlineStyleFromMetadata=function(e,t){var n=this.getForeground(e),i=this.getFontStyle(e),o="color: "+t[n]+";";return 1&i&&(o+="font-style: italic;"),2&i&&(o+="font-weight: bold;"),4&i&&(o+="text-decoration: underline;"),o},e}();t.TokenMetadata=s;!function(e){e[e.Invoke=0]="Invoke",e[e.TriggerCharacter=1]="TriggerCharacter",e[e.TriggerForIncompleteCompletions=2]="TriggerForIncompleteCompletions"}(t.SuggestTriggerKind||(t.SuggestTriggerKind={}));!function(e){e[e.Text=0]="Text",e[e.Read=1]="Read",e[e.Write=2]="Write"}(t.DocumentHighlightKind||(t.DocumentHighlightKind={}));var a;!function(e){e[e.File=0]="File",e[e.Module=1]="Module",e[e.Namespace=2]="Namespace",e[e.Package=3]="Package",e[e.Class=4]="Class",e[e.Method=5]="Method",e[e.Property=6]="Property",e[e.Field=7]="Field",
e[e.Constructor=8]="Constructor",e[e.Enum=9]="Enum",e[e.Interface=10]="Interface",e[e.Function=11]="Function",e[e.Variable=12]="Variable",e[e.Constant=13]="Constant",e[e.String=14]="String",e[e.Number=15]="Number",e[e.Boolean=16]="Boolean",e[e.Array=17]="Array",e[e.Object=18]="Object",e[e.Key=19]="Key",e[e.Null=20]="Null",e[e.EnumMember=21]="EnumMember",e[e.Struct=22]="Struct",e[e.Event=23]="Event",e[e.Operator=24]="Operator",e[e.TypeParameter=25]="TypeParameter"}(a=t.SymbolKind||(t.SymbolKind={})),t.symbolKindToCssClass=function(){var e=Object.create(null);return e[a.File]="file",e[a.Module]="module",e[a.Namespace]="namespace",e[a.Package]="package",e[a.Class]="class",e[a.Method]="method",e[a.Property]="property",e[a.Field]="field",e[a.Constructor]="constructor",e[a.Enum]="enum",e[a.Interface]="interface",e[a.Function]="function",e[a.Variable]="variable",e[a.Constant]="constant",e[a.String]="string",e[a.Number]="number",e[a.Boolean]="boolean",e[a.Array]="array",e[a.Object]="object",e[a.Key]="key",
e[a.Null]="null",e[a.EnumMember]="enum-member",e[a.Struct]="struct",e[a.Event]="event",e[a.Operator]="operator",e[a.TypeParameter]="type-parameter",function(t){return e[t]||"property"}}();!function(e){e.Comment="comment",e.Imports="imports",e.Region="region"}(t.FoldingRangeType||(t.FoldingRangeType={})),t.isResourceFileEdit=function(e){return o.isObject(e)&&(Boolean(e.newUri)||Boolean(e.oldUri))},t.isResourceTextEdit=function(e){return o.isObject(e)&&e.resource&&Array.isArray(e.edits)},t.ReferenceProviderRegistry=new n.default,t.RenameProviderRegistry=new n.default,t.SuggestRegistry=new n.default,t.SignatureHelpProviderRegistry=new n.default,t.HoverProviderRegistry=new n.default,t.DocumentSymbolProviderRegistry=new n.default,t.DocumentHighlightProviderRegistry=new n.default,t.DefinitionProviderRegistry=new n.default,t.ImplementationProviderRegistry=new n.default,t.TypeDefinitionProviderRegistry=new n.default,t.CodeLensProviderRegistry=new n.default,t.CodeActionProviderRegistry=new n.default,
t.DocumentFormattingEditProviderRegistry=new n.default,t.DocumentRangeFormattingEditProviderRegistry=new n.default,t.OnTypeFormattingEditProviderRegistry=new n.default,t.LinkProviderRegistry=new n.default,t.ColorProviderRegistry=new n.default,t.FoldingProviderRegistry=new n.default,t.TokenizationRegistry=new i.TokenizationRegistryImpl}),define(t[80],n([0,1,17]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var i=function(){function e(e,t){this._tokens=e,this._tokensCount=this._tokens.length>>>1,this._text=t}return e.prototype.equals=function(t){return t instanceof e&&this.slicedEquals(t,0,this._tokensCount)},e.prototype.slicedEquals=function(e,t,n){if(this._text!==e._text)return!1;if(this._tokensCount!==e._tokensCount)return!1;for(var i=t<<1,o=i+(n<<1),r=i;r<o;r++)if(this._tokens[r]!==e._tokens[r])return!1;return!0},e.prototype.getLineContent=function(){return this._text},e.prototype.getCount=function(){return this._tokensCount},e.prototype.getStartOffset=function(e){
return e>0?this._tokens[e-1<<1]:0},e.prototype.getLanguageId=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getLanguageId(t)},e.prototype.getStandardTokenType=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getTokenType(t)},e.prototype.getForeground=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getForeground(t)},e.prototype.getClassName=function(e){var t=this._tokens[1+(e<<1)];return n.TokenMetadata.getClassNameFromMetadata(t)},e.prototype.getInlineStyle=function(e,t){var i=this._tokens[1+(e<<1)];return n.TokenMetadata.getInlineStyleFromMetadata(i,t)},e.prototype.getEndOffset=function(e){return this._tokens[e<<1]},e.prototype.findTokenIndexAtOffset=function(t){return e.findIndexInTokensArray(this._tokens,t)},e.prototype.inflate=function(){return this},e.prototype.sliceAndInflate=function(e,t,n){return new o(this,e,t,n)},e.convertToEndOffset=function(e,t){for(var n=(e.length>>>1)-1,i=0;i<n;i++)e[i<<1]=e[i+1<<1];e[n<<1]=t},
e.findIndexInTokensArray=function(e,t){if(e.length<=2)return 0;for(var n=0,i=(e.length>>>1)-1;n<i;){var o=n+Math.floor((i-n)/2),r=e[o<<1];if(r===t)return o+1;r<t?n=o+1:r>t&&(i=o)}return n},e}();t.LineTokens=i;var o=function(){function e(e,t,n,i){this._source=e,this._startOffset=t,this._endOffset=n,this._deltaOffset=i,this._firstTokenIndex=e.findTokenIndexAtOffset(t),this._tokensCount=0;for(var o=this._firstTokenIndex,r=e.getCount();o<r;o++){if(e.getStartOffset(o)>=n)break;this._tokensCount++}}return e.prototype.equals=function(t){return t instanceof e&&(this._startOffset===t._startOffset&&this._endOffset===t._endOffset&&this._deltaOffset===t._deltaOffset&&this._source.slicedEquals(t._source,this._firstTokenIndex,this._tokensCount))},e.prototype.getCount=function(){return this._tokensCount},e.prototype.getForeground=function(e){return this._source.getForeground(this._firstTokenIndex+e)},e.prototype.getEndOffset=function(e){var t=this._source.getEndOffset(this._firstTokenIndex+e)
;return Math.min(this._endOffset,t)-this._startOffset+this._deltaOffset},e.prototype.getClassName=function(e){return this._source.getClassName(this._firstTokenIndex+e)},e.prototype.getInlineStyle=function(e,t){return this._source.getInlineStyle(this._firstTokenIndex+e,t)},e}();t.SlicedLineTokens=o}),define(t[64],n([0,1,17,94]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(){}return e.prototype.clone=function(){return this},e.prototype.equals=function(e){return this===e},e}();t.NULL_STATE=new o,t.NULL_MODE_ID="vs.editor.nullMode",t.NULL_LANGUAGE_IDENTIFIER=new n.LanguageIdentifier(t.NULL_MODE_ID,0),t.nullTokenize=function(e,t,n,o){return new i.TokenizationResult([new i.Token(o,"",e)],n)},t.nullTokenize2=function(e,t,n,o){var r=new Uint32Array(2);return r[0]=o,r[1]=(16384|e<<0|2<<23)>>>0,new i.TokenizationResult2(r,n)}}),define(t[372],n([0,1,80,22,13,12,64]),function(e,t,n,i,o,r,s){"use strict";function a(e){return(16384|e<<0|2<<23)>>>0}
Object.defineProperty(t,"__esModule",{value:!0});var l=new Uint32Array(0).buffer,u=function(){function e(e){this._state=e,this._lineTokens=null,this._invalid=!0}return e.prototype.deleteBeginning=function(e){null!==this._lineTokens&&this._lineTokens!==l&&this.delete(0,e)},e.prototype.deleteEnding=function(e){if(null!==this._lineTokens&&this._lineTokens!==l){var t=new Uint32Array(this._lineTokens),n=t[t.length-2];this.delete(e,n)}},e.prototype.delete=function(e,t){if(null!==this._lineTokens&&this._lineTokens!==l&&e!==t){var i=new Uint32Array(this._lineTokens),o=i.length>>>1;if(0!==e||i[i.length-2]!==t){var r=n.LineTokens.findIndexInTokensArray(i,e),s=r>0?i[r-1<<1]:0;if(t<i[r<<1])for(var a=t-e,u=r;u<o;u++)i[u<<1]-=a;else{var c,d;s!==e?(i[r<<1]=e,c=r+1<<1,d=e):(c=r<<1,d=s);for(var h=t-e,p=r+1;p<o;p++){var f=i[p<<1]-h;f>d&&(i[c++]=f,i[c++]=i[1+(p<<1)],d=f)}if(c!==i.length){var g=new Uint32Array(c);g.set(i.subarray(0,c),0),this._lineTokens=g.buffer}}}else this._lineTokens=l}},e.prototype.append=function(e){
if(e!==l)if(this._lineTokens!==l){if(null!==this._lineTokens)if(null!==e){var t=new Uint32Array(this._lineTokens),n=new Uint32Array(e),i=n.length>>>1,o=new Uint32Array(t.length+n.length);o.set(t,0);for(var r=t.length,s=t[t.length-2],a=0;a<i;a++)o[r++]=n[a<<1]+s,o[r++]=n[1+(a<<1)];this._lineTokens=o.buffer}else this._lineTokens=null}else this._lineTokens=e},e.prototype.insert=function(e,t){if(this._lineTokens){var i=new Uint32Array(this._lineTokens),o=i.length>>>1,r=n.LineTokens.findIndexInTokensArray(i,e);if(r>0){(r>0?i[r-1<<1]:0)===e&&r--}for(var s=r;s<o;s++)i[s<<1]+=t}},e}(),c=function(){function e(e,t){if(this.languageIdentifier=e,this.tokenizationSupport=t,this._tokens=[],this.tokenizationSupport){var n=null;try{n=this.tokenizationSupport.getInitialState()}catch(e){r.onUnexpectedError(e),this.tokenizationSupport=null}n&&(this._tokens[0]=new u(n))}this._invalidLineStartIndex=0,this._lastState=null}return Object.defineProperty(e.prototype,"inValidLineStartIndex",{get:function(){
return this._invalidLineStartIndex},enumerable:!0,configurable:!0}),e.prototype.getTokens=function(e,t,i){var o=null;if(t<this._tokens.length&&this._tokens[t]&&(o=this._tokens[t]._lineTokens),null!==o&&o!==l)return new n.LineTokens(new Uint32Array(o),i);var r=new Uint32Array(2);return r[0]=i.length,r[1]=a(e),new n.LineTokens(r,i)},e.prototype.isCheapToTokenize=function(e){return this._invalidLineStartIndex+1>=e},e.prototype.hasLinesToTokenize=function(e){return this._invalidLineStartIndex<e.getLineCount()},e.prototype.invalidateLine=function(e){this._setIsInvalid(e,!0),e<this._invalidLineStartIndex&&(this._setIsInvalid(this._invalidLineStartIndex,!0),this._invalidLineStartIndex=e)},e.prototype._setIsInvalid=function(e,t){e<this._tokens.length&&this._tokens[e]&&(this._tokens[e]._invalid=t)},e.prototype._isInvalid=function(e){return!(e<this._tokens.length&&this._tokens[e])||this._tokens[e]._invalid},e.prototype._getState=function(e){return e<this._tokens.length&&this._tokens[e]?this._tokens[e]._state:null},
e.prototype._setTokens=function(e,t,i,o){var r;t<this._tokens.length&&this._tokens[t]?r=this._tokens[t]:(r=new u(null),this._tokens[t]=r),0!==i?(o&&0!==o.length||((o=new Uint32Array(2))[0]=0,o[1]=a(e)),n.LineTokens.convertToEndOffset(o,i),r._lineTokens=o.buffer):r._lineTokens=l},e.prototype._setState=function(e,t){if(e<this._tokens.length&&this._tokens[e])this._tokens[e]._state=t;else{var n=new u(t);this._tokens[e]=n}},e.prototype.applyEdits=function(e,t,n){for(var i=e.endLineNumber-e.startLineNumber,r=t,s=Math.min(i,r);s>=0;s--)this.invalidateLine(e.startLineNumber+s-1);this._acceptDeleteRange(e),this._acceptInsertText(new o.Position(e.startLineNumber,e.startColumn),t,n)},e.prototype._acceptDeleteRange=function(e){var t=e.startLineNumber-1;if(!(t>=this._tokens.length))if(e.startLineNumber!==e.endLineNumber){var n=this._tokens[t];n.deleteEnding(e.startColumn-1);var i=e.endLineNumber-1,o=null;if(i<this._tokens.length){var r=this._tokens[i];r.deleteBeginning(e.endColumn-1),o=r._lineTokens}n.append(o),
this._tokens.splice(e.startLineNumber,e.endLineNumber-e.startLineNumber)}else{if(e.startColumn===e.endColumn)return;this._tokens[t].delete(e.startColumn-1,e.endColumn-1)}},e.prototype._acceptInsertText=function(e,t,n){if(0!==t||0!==n){var o=e.lineNumber-1;if(!(o>=this._tokens.length))if(0!==t){var r=this._tokens[o];r.deleteEnding(e.column-1),r.insert(e.column-1,n);for(var s=new Array(t),a=t-1;a>=0;a--)s[a]=new u(null);this._tokens=i.arrayInsert(this._tokens,e.lineNumber,s)}else this._tokens[o].insert(e.column-1,n)}},e.prototype._tokenizeOneLine=function(e,t){if(!this.hasLinesToTokenize(e))return e.getLineCount()+1;var n=this._invalidLineStartIndex+1;return this._updateTokensUntilLine(e,t,n),n},e.prototype._tokenizeText=function(e,t,n){var i=null;try{i=this.tokenizationSupport.tokenize2(t,n,0)}catch(e){r.onUnexpectedError(e)}return i||(i=s.nullTokenize2(this.languageIdentifier.id,t,n,0)),i},e.prototype._updateTokensUntilLine=function(e,t,n){if(this.tokenizationSupport){
for(var i=e.getLineCount(),o=n-1,a=this._invalidLineStartIndex;a<=o;a++){var l=a+1,u=null,c=e.getLineContent(a+1);try{var d=this._getState(a).clone();u=this.tokenizationSupport.tokenize2(c,d,0)}catch(e){r.onUnexpectedError(e)}if(u||(u=s.nullTokenize2(this.languageIdentifier.id,c,this._getState(a),0)),this._setTokens(this.languageIdentifier.id,a,c.length,u.tokens),t.registerChangedTokens(a+1),this._setIsInvalid(a,!1),l<i)if(null!==this._getState(l)&&u.endState.equals(this._getState(l))){for(var h=a+1;h<i&&!this._isInvalid(h);){if(h+1<i){if(null===this._getState(h+1))break}else if(null===this._lastState)break;h++}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,h),a=h-1}else this._setState(l,u.endState);else this._lastState=u.endState}this._invalidLineStartIndex=Math.max(this._invalidLineStartIndex,o+1)}else this._invalidLineStartIndex=e.getLineCount()},e}();t.ModelLinesTokens=c;var d=function(){function e(){this._ranges=[]}return e.prototype.registerChangedTokens=function(e){
var t=this._ranges,n=t.length,i=n>0?t[n-1]:null;i&&i.toLineNumber===e-1?i.toLineNumber++:t[n]={fromLineNumber:e,toLineNumber:e}},e.prototype.build=function(){return 0===this._ranges.length?null:{ranges:this._ranges}},e}();t.ModelTokensChangedEventBuilder=d}),define(t[31],n([0,1,29,4,28,17,476,3,20,488,12,9,130,2,422,64,100,99,13,43,101,372,478,52,132,8,504]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N){"use strict";function I(){return new N.PieceTreeTextBufferBuilder}function T(e){var t=I();return t.acceptChunk(e),t.finish()}function D(e,t){return("string"==typeof e?T(e):e).create(t)}function M(e){return e.replace(/[^a-z0-9\-]/gi," ")}function k(e){return e instanceof B?e:B.createDynamic(e)}Object.defineProperty(t,"__esModule",{value:!0}),t.createTextBufferFactory=T,t.createTextBufferFactoryFromStream=function(e,t){return new x.TPromise(function(n,i,o){var r=!1,s=I();e.on("data",function(e){t&&(e=t(e)),s.acceptChunk(e)}),e.on("error",function(e){r||(r=!0,i(e))}),e.on("end",function(){
r||(r=!0,n(s.finish()))})})},t.createTextBufferFactoryFromSnapshot=function(e){for(var t,n=I();"string"==typeof(t=e.read());)n.acceptChunk(t);return n.finish()},t.createTextBuffer=D;var O=0;t.LONG_LINE_BOUNDARY=1e4;var R=function(){function e(e){this._source=e,this._eos=!1}return e.prototype.read=function(){if(this._eos)return null;for(var e=[],t=0,n=0;;){var i=this._source.read();if(null===i)return this._eos=!0,0===t?null:e.join("");if(i.length>0&&(e[t++]=i,n+=i.length),n>=65536)return e.join("")}},e}(),P=function(e){function f(t,o,u,c){void 0===c&&(c=null);var d=e.call(this)||this;d._onWillDispose=d._register(new i.Emitter),d.onWillDispose=d._onWillDispose.event,d._onDidChangeDecorations=d._register(new H),d.onDidChangeDecorations=d._onDidChangeDecorations.event,d._onDidChangeLanguage=d._register(new i.Emitter),d.onDidChangeLanguage=d._onDidChangeLanguage.event,d._onDidChangeLanguageConfiguration=d._register(new i.Emitter),d.onDidChangeLanguageConfiguration=d._onDidChangeLanguageConfiguration.event,
d._onDidChangeTokens=d._register(new i.Emitter),d.onDidChangeTokens=d._onDidChangeTokens.event,d._onDidChangeOptions=d._register(new i.Emitter),d.onDidChangeOptions=d._onDidChangeOptions.event,d._eventEmitter=d._register(new z),O++,d.id="$model"+O,d.isForSimpleWidget=o.isForSimpleWidget,d._associatedResource=void 0===c||null===c?n.default.parse("inmemory://model/"+O):c,d._attachedEditorCount=0,d._buffer=D(t,o.defaultEOL),d._options=f.resolveOptions(d._buffer,o);var h=d._buffer.getLineCount(),p=d._buffer.getValueLengthInRange(new l.Range(1,1,h,d._buffer.getLineLength(h)+1),r.EndOfLinePreference.TextDefined);return d._isTooLargeForTokenization=p>f.MODEL_TOKENIZATION_LIMIT||h>f.MANY_MANY_LINES,d._shouldSimplifyMode=d._isTooLargeForTokenization||p>f.MODEL_SYNC_LIMIT,d._setVersionId(1),d._isDisposed=!1,d._isDisposing=!1,d._languageIdentifier=u||m.NULL_LANGUAGE_IDENTIFIER,d._tokenizationListener=s.TokenizationRegistry.onDidChange(function(e){
-1!==e.changedLanguages.indexOf(d._languageIdentifier.language)&&(d._resetTokenizationState(),d.emitModelTokensChangedEvent({ranges:[{fromLineNumber:1,toLineNumber:d.getLineCount()}]}),d._shouldAutoTokenize()&&d._warmUpTokens())}),d._revalidateTokensTimeout=-1,d._languageRegistryListener=C.LanguageConfigurationRegistry.onDidChange(function(e){e.languageIdentifier.id===d._languageIdentifier.id&&d._onDidChangeLanguageConfiguration.fire({})}),d._resetTokenizationState(),d._instanceId=function(e){return(e%=52)<26?String.fromCharCode(97+e):String.fromCharCode(65+e-26)}(O),d._lastDecorationId=0,d._decorations=Object.create(null),d._decorationsTree=new A,d._commandManager=new a.EditStack(d),d._isUndoing=!1,d._isRedoing=!1,d._trimAutoWhitespaceLines=null,d}return o(f,e),f.createFromString=function(e,t,n,i){return void 0===t&&(t=f.DEFAULT_CREATION_OPTIONS),void 0===n&&(n=null),void 0===i&&(i=null),new f(e,t,n,i)},f.resolveOptions=function(e,t){if(t.detectIndentation){
var n=w.guessIndentation(e,t.tabSize,t.insertSpaces);return new r.TextModelResolvedOptions({tabSize:n.tabSize,insertSpaces:n.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL})}return new r.TextModelResolvedOptions({tabSize:t.tabSize,insertSpaces:t.insertSpaces,trimAutoWhitespace:t.trimAutoWhitespace,defaultEOL:t.defaultEOL})},f.prototype.onDidChangeRawContentFast=function(e){return this._eventEmitter.fastEvent(function(t){return e(t.rawContentChangedEvent)})},f.prototype.onDidChangeRawContent=function(e){return this._eventEmitter.slowEvent(function(t){return e(t.rawContentChangedEvent)})},f.prototype.onDidChangeContent=function(e){return this._eventEmitter.slowEvent(function(t){return e(t.contentChangedEvent)})},f.prototype.dispose=function(){this._isDisposing=!0,this._onWillDispose.fire(),this._commandManager=null,this._decorations=null,this._decorationsTree=null,this._tokenizationListener.dispose(),this._languageRegistryListener.dispose(),this._clearTimers(),this._tokens=null,
this._isDisposed=!0,this._buffer=null,e.prototype.dispose.call(this),this._isDisposing=!1},f.prototype._assertNotDisposed=function(){if(this._isDisposed)throw new Error("Model is disposed!")},f.prototype.equalsTextBuffer=function(e){return this._assertNotDisposed(),this._buffer.equals(e)},f.prototype._emitContentChangedEvent=function(e,t){this._isDisposing||this._eventEmitter.fire(new c.InternalModelContentChangeEvent(e,t))},f.prototype.setValue=function(e){if(this._assertNotDisposed(),null!==e){var t=D(e,this._options.defaultEOL);this.setValueFromTextBuffer(t)}},f.prototype._createContentChanged2=function(e,t,n,i,o,r,s,a,u){return{changes:[{range:new l.Range(e,t,n,i),rangeLength:o,text:r}],eol:this._buffer.getEOL(),versionId:this.getVersionId(),isUndoing:s,isRedoing:a,isFlush:u}},f.prototype.setValueFromTextBuffer=function(e){if(this._assertNotDisposed(),null!==e){var t=this.getFullModelRange(),n=this.getValueLengthInRange(t),i=this.getLineCount(),o=this.getLineMaxColumn(i);this._buffer=e,
this._increaseVersionId(),this._resetTokenizationState(),this._decorations=Object.create(null),this._decorationsTree=new A,this._commandManager=new a.EditStack(this),this._trimAutoWhitespaceLines=null,this._emitContentChangedEvent(new c.ModelRawContentChangedEvent([new c.ModelRawFlush],this._versionId,!1,!1),this._createContentChanged2(1,1,i,o,n,this.getValue(),!1,!1,!0))}},f.prototype.setEOL=function(e){this._assertNotDisposed();var t=e===r.EndOfLineSequence.CRLF?"\r\n":"\n";if(this._buffer.getEOL()!==t){var n=this.getFullModelRange(),i=this.getValueLengthInRange(n),o=this.getLineCount(),s=this.getLineMaxColumn(o);this._onBeforeEOLChange(),this._buffer.setEOL(t),this._increaseVersionId(),this._onAfterEOLChange(),this._emitContentChangedEvent(new c.ModelRawContentChangedEvent([new c.ModelRawEOLChanged],this._versionId,!1,!1),this._createContentChanged2(1,1,o,s,i,this.getValue(),!1,!1,!1))}},f.prototype._onBeforeEOLChange=function(){var e=this.getVersionId(),t=this._decorationsTree.search(0,!1,!1,e)
;this._ensureNodesHaveRanges(t)},f.prototype._onAfterEOLChange=function(){for(var e=this.getVersionId(),t=this._decorationsTree.collectNodesPostOrder(),n=0,i=t.length;n<i;n++){var o=t[n],r=o.cachedAbsoluteStart-o.start,s=this._buffer.getOffsetAt(o.range.startLineNumber,o.range.startColumn),a=this._buffer.getOffsetAt(o.range.endLineNumber,o.range.endColumn);o.cachedAbsoluteStart=s,o.cachedAbsoluteEnd=a,o.cachedVersionId=e,o.start=s-r,o.end=a-r,p.recomputeMaxEnd(o)}},f.prototype._resetTokenizationState=function(){this._clearTimers();var e=this._isTooLargeForTokenization?null:s.TokenizationRegistry.get(this._languageIdentifier.language);this._tokens=new S.ModelLinesTokens(this._languageIdentifier,e),this._beginBackgroundTokenization()},f.prototype._clearTimers=function(){-1!==this._revalidateTokensTimeout&&(clearTimeout(this._revalidateTokensTimeout),this._revalidateTokensTimeout=-1)},f.prototype.onBeforeAttached=function(){this._attachedEditorCount++,this._warmUpTokens()},
f.prototype.onBeforeDetached=function(){this._attachedEditorCount--},f.prototype._shouldAutoTokenize=function(){return this.isAttachedToEditor()},f.prototype.isAttachedToEditor=function(){return this._attachedEditorCount>0},f.prototype.getAttachedEditorCount=function(){return this._attachedEditorCount},f.prototype.isTooLargeForHavingARichMode=function(){return this._shouldSimplifyMode},f.prototype.isTooLargeForTokenization=function(){return this._isTooLargeForTokenization},f.prototype.isDisposed=function(){return this._isDisposed},f.prototype.isDominatedByLongLines=function(){if(this._assertNotDisposed(),this.isTooLargeForTokenization())return!1;for(var e=0,n=0,i=this._buffer.getLineCount(),o=1;o<=i;o++){var r=this._buffer.getLineLength(o);r>=t.LONG_LINE_BOUNDARY?n+=r:e+=r}return n>e},Object.defineProperty(f.prototype,"uri",{get:function(){return this._associatedResource},enumerable:!0,configurable:!0}),f.prototype.getOptions=function(){return this._assertNotDisposed(),this._options},
f.prototype.updateOptions=function(e){this._assertNotDisposed();var t=void 0!==e.tabSize?e.tabSize:this._options.tabSize,n=void 0!==e.insertSpaces?e.insertSpaces:this._options.insertSpaces,i=void 0!==e.trimAutoWhitespace?e.trimAutoWhitespace:this._options.trimAutoWhitespace,o=new r.TextModelResolvedOptions({tabSize:t,insertSpaces:n,defaultEOL:this._options.defaultEOL,trimAutoWhitespace:i});if(!this._options.equals(o)){var s=this._options.createChangeEvent(o);this._options=o,this._onDidChangeOptions.fire(s)}},f.prototype.detectIndentation=function(e,t){this._assertNotDisposed();var n=w.guessIndentation(this._buffer,t,e);this.updateOptions({insertSpaces:n.insertSpaces,tabSize:n.tabSize})},f._normalizeIndentationFromWhitespace=function(e,t,n){for(var i=0,o=0;o<e.length;o++)"\t"===e.charAt(o)?i+=t:i++;var r="";if(!n){var s=Math.floor(i/t);i%=t;for(o=0;o<s;o++)r+="\t"}for(o=0;o<i;o++)r+=" ";return r},f.normalizeIndentation=function(e,t,n){var i=h.firstNonWhitespaceIndex(e);return-1===i&&(i=e.length),
f._normalizeIndentationFromWhitespace(e.substring(0,i),t,n)+e.substring(i)},f.prototype.normalizeIndentation=function(e){return this._assertNotDisposed(),f.normalizeIndentation(e,this._options.tabSize,this._options.insertSpaces)},f.prototype.getOneIndent=function(){this._assertNotDisposed();var e=this._options.tabSize;if(this._options.insertSpaces){for(var t="",n=0;n<e;n++)t+=" ";return t}return"\t"},f.prototype.getVersionId=function(){return this._assertNotDisposed(),this._versionId},f.prototype.mightContainRTL=function(){return this._buffer.mightContainRTL()},f.prototype.mightContainNonBasicASCII=function(){return this._buffer.mightContainNonBasicASCII()},f.prototype.getAlternativeVersionId=function(){return this._assertNotDisposed(),this._alternativeVersionId},f.prototype.getOffsetAt=function(e){this._assertNotDisposed();var t=this._validatePosition(e.lineNumber,e.column,!1);return this._buffer.getOffsetAt(t.lineNumber,t.column)},f.prototype.getPositionAt=function(e){this._assertNotDisposed()
;var t=Math.min(this._buffer.getLength(),Math.max(0,e));return this._buffer.getPositionAt(t)},f.prototype._increaseVersionId=function(){this._setVersionId(this._versionId+1)},f.prototype._setVersionId=function(e){this._versionId=e,this._alternativeVersionId=this._versionId},f.prototype._overwriteAlternativeVersionId=function(e){this._alternativeVersionId=e},f.prototype.getValue=function(e,t){void 0===t&&(t=!1),this._assertNotDisposed();var n=this.getFullModelRange(),i=this.getValueInRange(n,e);return t?this._buffer.getBOM()+i:i},f.prototype.createSnapshot=function(e){return void 0===e&&(e=!1),new R(this._buffer.createSnapshot(e))},f.prototype.getValueLength=function(e,t){void 0===t&&(t=!1),this._assertNotDisposed();var n=this.getFullModelRange(),i=this.getValueLengthInRange(n,e);return t?this._buffer.getBOM().length+i:i},f.prototype.getValueInRange=function(e,t){return void 0===t&&(t=r.EndOfLinePreference.TextDefined),this._assertNotDisposed(),this._buffer.getValueInRange(this.validateRange(e),t)},
f.prototype.getValueLengthInRange=function(e,t){return void 0===t&&(t=r.EndOfLinePreference.TextDefined),this._assertNotDisposed(),this._buffer.getValueLengthInRange(this.validateRange(e),t)},f.prototype.getLineCount=function(){return this._assertNotDisposed(),this._buffer.getLineCount()},f.prototype.getLineContent=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineContent(e)},f.prototype.getLinesContent=function(){return this._assertNotDisposed(),this._buffer.getLinesContent()},f.prototype.getEOL=function(){return this._assertNotDisposed(),this._buffer.getEOL()},f.prototype.getLineMinColumn=function(e){return this._assertNotDisposed(),1},f.prototype.getLineMaxColumn=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineLength(e)+1},f.prototype.getLineFirstNonWhitespaceColumn=function(e){if(this._assertNotDisposed(),
e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineFirstNonWhitespaceColumn(e)},f.prototype.getLineLastNonWhitespaceColumn=function(e){if(this._assertNotDisposed(),e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._buffer.getLineLastNonWhitespaceColumn(e)},f.prototype._validateRangeRelaxedNoAllocations=function(e){var t,n,i=this._buffer.getLineCount(),o=e.startLineNumber,r=e.startColumn;if(o<1)t=1,n=1;else if(o>i)t=i,n=this.getLineMaxColumn(t);else if(t=0|o,r<=1)n=1;else{n=r>=(h=this.getLineMaxColumn(t))?h:0|r}var s,a,c=e.endLineNumber,d=e.endColumn;if(c<1)s=1,a=1;else if(c>i)s=i,a=this.getLineMaxColumn(s);else if(s=0|c,d<=1)a=1;else{var h=this.getLineMaxColumn(s);a=d>=h?h:0|d}return o===t&&r===n&&c===s&&d===a&&e instanceof l.Range&&!(e instanceof u.Selection)?e:new l.Range(t,n,s,a)},f.prototype._isValidPosition=function(e,t,n){if(e<1)return!1;if(e>this._buffer.getLineCount())return!1;if(t<1)return!1
;if(t>this.getLineMaxColumn(e))return!1;if(n&&t>1){var i=this._buffer.getLineCharCode(e,t-2);if(h.isHighSurrogate(i))return!1}return!0},f.prototype._validatePosition=function(e,t,n){var i=Math.floor("number"==typeof e?e:1),o=Math.floor("number"==typeof t?t:1),r=this._buffer.getLineCount();if(i<1)return new y.Position(1,1);if(i>r)return new y.Position(r,this.getLineMaxColumn(r));if(o<=1)return new y.Position(i,1);var s=this.getLineMaxColumn(i);if(o>=s)return new y.Position(i,s);if(n){var a=this._buffer.getLineCharCode(i,o-2);if(h.isHighSurrogate(a))return new y.Position(i,o-1)}return new y.Position(i,o)},f.prototype.validatePosition=function(e){return this._assertNotDisposed(),e instanceof y.Position&&this._isValidPosition(e.lineNumber,e.column,!0)?e:this._validatePosition(e.lineNumber,e.column,!0)},f.prototype._isValidRange=function(e,t){var n=e.startLineNumber,i=e.startColumn,o=e.endLineNumber,r=e.endColumn;if(!this._isValidPosition(n,i,!1))return!1;if(!this._isValidPosition(o,r,!1))return!1;if(t){
var s=i>1?this._buffer.getLineCharCode(n,i-2):0,a=r>1&&r<=this._buffer.getLineLength(o)?this._buffer.getLineCharCode(o,r-2):0,l=h.isHighSurrogate(s),u=h.isHighSurrogate(a);return!l&&!u}return!0},f.prototype.validateRange=function(e){if(this._assertNotDisposed(),e instanceof l.Range&&!(e instanceof u.Selection)&&this._isValidRange(e,!0))return e;var t=this._validatePosition(e.startLineNumber,e.startColumn,!1),n=this._validatePosition(e.endLineNumber,e.endColumn,!1),i=t.lineNumber,o=t.column,r=n.lineNumber,s=n.column,a=o>1?this._buffer.getLineCharCode(i,o-2):0,c=s>1&&s<=this._buffer.getLineLength(r)?this._buffer.getLineCharCode(r,s-2):0,d=h.isHighSurrogate(a),p=h.isHighSurrogate(c);return d||p?i===r&&o===s?new l.Range(i,o-1,r,s-1):d&&p?new l.Range(i,o-1,r,s+1):d?new l.Range(i,o-1,r,s):new l.Range(i,o,r,s+1):new l.Range(i,o,r,s)},f.prototype.modifyPosition=function(e,t){this._assertNotDisposed();var n=this.getOffsetAt(e)+t;return this.getPositionAt(Math.min(this._buffer.getLength(),Math.max(0,n)))},
f.prototype.getFullModelRange=function(){this._assertNotDisposed();var e=this.getLineCount();return new l.Range(1,1,e,this.getLineMaxColumn(e))},f.prototype.findMatchesLineByLine=function(e,t,n,i){return this._buffer.findMatchesLineByLine(e,t,n,i)},f.prototype.findMatches=function(e,t,n,i,o,r,s){void 0===s&&(s=999),this._assertNotDisposed();var a;if(a=l.Range.isIRange(t)?this.validateRange(t):this.getFullModelRange(),!n&&e.indexOf("\n")<0){var u=new L.SearchParams(e,n,i,o).parseSearchRequest();return u?this.findMatchesLineByLine(a,u,r,s):[]}return L.TextModelSearch.findMatches(this,new L.SearchParams(e,n,i,o),a,r,s)},f.prototype.findNextMatch=function(e,t,n,i,o,r){this._assertNotDisposed();var s=this.validatePosition(t);if(!n&&e.indexOf("\n")<0){var a=new L.SearchParams(e,n,i,o).parseSearchRequest(),u=this.getLineCount(),c=new l.Range(s.lineNumber,s.column,u,this.getLineMaxColumn(u)),d=this.findMatchesLineByLine(c,a,r,1);return L.TextModelSearch.findNextMatch(this,new L.SearchParams(e,n,i,o),s,r),
d.length>0?d[0]:(c=new l.Range(1,1,s.lineNumber,this.getLineMaxColumn(s.lineNumber)),(d=this.findMatchesLineByLine(c,a,r,1)).length>0?d[0]:null)}return L.TextModelSearch.findNextMatch(this,new L.SearchParams(e,n,i,o),s,r)},f.prototype.findPreviousMatch=function(e,t,n,i,o,r){this._assertNotDisposed();var s=this.validatePosition(t);return L.TextModelSearch.findPreviousMatch(this,new L.SearchParams(e,n,i,o),s,r)},f.prototype.pushStackElement=function(){this._commandManager.pushStackElement()},f.prototype.pushEditOperations=function(e,t,n){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._pushEditOperations(e,t,n)}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},f.prototype._pushEditOperations=function(e,t,n){var i=this;if(this._options.trimAutoWhitespace&&this._trimAutoWhitespaceLines){for(var o=t.map(function(e){return{range:i.validateRange(e.range),text:e.text}}),r=!0,s=0,a=e.length;s<a;s++){
for(var u=e[s],c=!1,d=0,h=o.length;d<h;d++){var p=(_=o[d].range).startLineNumber>u.endLineNumber,f=u.startLineNumber>_.endLineNumber;if(!p&&!f){c=!0;break}}if(!c){r=!1;break}}if(r)for(var s=0,a=this._trimAutoWhitespaceLines.length;s<a;s++){for(var g=this._trimAutoWhitespaceLines[s],m=this.getLineMaxColumn(g),v=!0,d=0,h=o.length;d<h;d++){var _=o[d].range,y=o[d].text;if(!(g<_.startLineNumber||g>_.endLineNumber)&&!(g===_.startLineNumber&&_.startColumn===m&&_.isEmpty()&&y&&y.length>0&&"\n"===y.charAt(0))){v=!1;break}}v&&t.push({range:new l.Range(g,1,g,m),text:null})}this._trimAutoWhitespaceLines=null}return this._commandManager.pushEditOperation(e,t,n)},f.prototype.applyEdits=function(e){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._applyEdits(e)}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},f._eolCount=function(e){for(var t=0,n=0,i=0,o=e.length;i<o;i++){var r=e.charCodeAt(i);13===r?(0===t&&(n=i),t++,
i+1<o&&10===e.charCodeAt(i+1)&&i++):10===r&&(0===t&&(n=i),t++)}return 0===t&&(n=e.length),[t,n]},f.prototype._applyEdits=function(e){for(var t=0,n=e.length;t<n;t++)e[t].range=this.validateRange(e[t].range);var i=this._buffer.getLineCount(),o=this._buffer.applyEdits(e,this._options.trimAutoWhitespace),r=this._buffer.getLineCount(),s=o.changes;if(this._trimAutoWhitespaceLines=o.trimAutoWhitespaceLineNumbers,0!==s.length){for(var a=[],l=i,t=0,n=s.length;t<n;t++){var u=s[t],d=f._eolCount(u.text),h=d[0],p=d[1];this._tokens.applyEdits(u.range,h,p),this._onDidChangeDecorations.fire(),this._decorationsTree.acceptReplace(u.rangeOffset,u.rangeLength,u.text.length,u.forceMoveMarkers);for(var g=u.range.startLineNumber,m=u.range.endLineNumber,v=m-g,_=h,y=Math.min(v,_),C=_-v,b=y;b>=0;b--){var S=g+b,w=r-l-C+S;a.push(new c.ModelRawLineChanged(S,this.getLineContent(w)))}if(y<v){var E=g+y;a.push(new c.ModelRawLinesDeleted(E+1,m))}if(y<_){for(var L=g+y,x=_-y,N=r-l-x+L+1,I=[],T=0;T<x;T++){var D=N+T;I[D-N]=this.getLineContent(D)}
a.push(new c.ModelRawLinesInserted(L+1,g+_,I))}l+=C}this._increaseVersionId(),this._emitContentChangedEvent(new c.ModelRawContentChangedEvent(a,this.getVersionId(),this._isUndoing,this._isRedoing),{changes:s,eol:this._buffer.getEOL(),versionId:this.getVersionId(),isUndoing:this._isUndoing,isRedoing:this._isRedoing,isFlush:!1})}return this._tokens.hasLinesToTokenize(this._buffer)&&this._beginBackgroundTokenization(),o.reverseEdits},f.prototype._undo=function(){this._isUndoing=!0;var e=this._commandManager.undo();return this._isUndoing=!1,e?(this._overwriteAlternativeVersionId(e.recordedVersionId),e.selections):null},f.prototype.undo=function(){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._undo()}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},f.prototype._redo=function(){this._isRedoing=!0;var e=this._commandManager.redo();return this._isRedoing=!1,
e?(this._overwriteAlternativeVersionId(e.recordedVersionId),e.selections):null},f.prototype.redo=function(){try{return this._onDidChangeDecorations.beginDeferredEmit(),this._eventEmitter.beginDeferredEmit(),this._redo()}finally{this._eventEmitter.endDeferredEmit(),this._onDidChangeDecorations.endDeferredEmit()}},f.prototype.changeDecorations=function(e,t){void 0===t&&(t=0),this._assertNotDisposed();try{return this._onDidChangeDecorations.beginDeferredEmit(),this._changeDecorations(t,e)}finally{this._onDidChangeDecorations.endDeferredEmit()}},f.prototype._changeDecorations=function(e,t){var n=this,i={addDecoration:function(t,i){return n._onDidChangeDecorations.fire(),n._deltaDecorationsImpl(e,[],[{range:t,options:i}])[0]},changeDecoration:function(e,t){n._onDidChangeDecorations.fire(),n._changeDecorationImpl(e,t)},changeDecorationOptions:function(e,t){n._onDidChangeDecorations.fire(),n._changeDecorationOptionsImpl(e,k(t))},removeDecoration:function(t){n._onDidChangeDecorations.fire(),
n._deltaDecorationsImpl(e,[t],[])},deltaDecorations:function(t,i){return 0===t.length&&0===i.length?[]:(n._onDidChangeDecorations.fire(),n._deltaDecorationsImpl(e,t,i))}},o=null;try{o=t(i)}catch(e){d.onUnexpectedError(e)}return i.addDecoration=null,i.changeDecoration=null,i.removeDecoration=null,i.deltaDecorations=null,o},f.prototype.deltaDecorations=function(e,t,n){if(void 0===n&&(n=0),this._assertNotDisposed(),e||(e=[]),0===e.length&&0===t.length)return[];try{return this._onDidChangeDecorations.beginDeferredEmit(),this._onDidChangeDecorations.fire(),this._deltaDecorationsImpl(n,e,t)}finally{this._onDidChangeDecorations.endDeferredEmit()}},f.prototype._getTrackedRange=function(e){return this.getDecorationRange(e)},f.prototype._setTrackedRange=function(e,t,n){var i=e?this._decorations[e]:null;if(!i)return t?this._deltaDecorationsImpl(0,[],[{range:t,options:V[n]}])[0]:null;if(!t)return this._decorationsTree.delete(i),delete this._decorations[i.id],null
;var o=this._validateRangeRelaxedNoAllocations(t),r=this._buffer.getOffsetAt(o.startLineNumber,o.startColumn),s=this._buffer.getOffsetAt(o.endLineNumber,o.endColumn);return this._decorationsTree.delete(i),i.reset(this.getVersionId(),r,s,o),i.setOptions(V[n]),this._decorationsTree.insert(i),i.id},f.prototype.removeAllDecorationsWithOwnerId=function(e){if(!this._isDisposed)for(var t=this._decorationsTree.collectNodesFromOwner(e),n=0,i=t.length;n<i;n++){var o=t[n];this._decorationsTree.delete(o),delete this._decorations[o.id]}},f.prototype.getDecorationOptions=function(e){var t=this._decorations[e];return t?t.options:null},f.prototype.getDecorationRange=function(e){var t=this._decorations[e];if(!t)return null;var n=this.getVersionId();return t.cachedVersionId!==n&&this._decorationsTree.resolveNode(t,n),null===t.range&&(t.range=this._getRangeAt(t.cachedAbsoluteStart,t.cachedAbsoluteEnd)),t.range},f.prototype.getLineDecorations=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=!1),
e<1||e>this.getLineCount()?[]:this.getLinesDecorations(e,e,t,n)},f.prototype.getLinesDecorations=function(e,t,n,i){void 0===n&&(n=0),void 0===i&&(i=!1);var o=this.getLineCount(),r=Math.min(o,Math.max(1,e)),s=Math.min(o,Math.max(1,t)),a=this.getLineMaxColumn(s);return this._getDecorationsInRange(new l.Range(r,1,s,a),n,i)},f.prototype.getDecorationsInRange=function(e,t,n){void 0===t&&(t=0),void 0===n&&(n=!1);var i=this.validateRange(e);return this._getDecorationsInRange(i,t,n)},f.prototype.getOverviewRulerDecorations=function(e,t){void 0===e&&(e=0),void 0===t&&(t=!1);var n=this.getVersionId(),i=this._decorationsTree.search(e,t,!0,n);return this._ensureNodesHaveRanges(i)},f.prototype.getAllDecorations=function(e,t){void 0===e&&(e=0),void 0===t&&(t=!1);var n=this.getVersionId(),i=this._decorationsTree.search(e,t,!1,n);return this._ensureNodesHaveRanges(i)},f.prototype._getDecorationsInRange=function(e,t,n){
var i=this._buffer.getOffsetAt(e.startLineNumber,e.startColumn),o=this._buffer.getOffsetAt(e.endLineNumber,e.endColumn),r=this.getVersionId(),s=this._decorationsTree.intervalSearch(i,o,t,n,r);return this._ensureNodesHaveRanges(s)},f.prototype._ensureNodesHaveRanges=function(e){for(var t=0,n=e.length;t<n;t++){var i=e[t];null===i.range&&(i.range=this._getRangeAt(i.cachedAbsoluteStart,i.cachedAbsoluteEnd))}return e},f.prototype._getRangeAt=function(e,t){return this._buffer.getRangeAt(e,t-e)},f.prototype._changeDecorationImpl=function(e,t){var n=this._decorations[e];if(n){var i=this._validateRangeRelaxedNoAllocations(t),o=this._buffer.getOffsetAt(i.startLineNumber,i.startColumn),r=this._buffer.getOffsetAt(i.endLineNumber,i.endColumn);this._decorationsTree.delete(n),n.reset(this.getVersionId(),o,r,i),this._decorationsTree.insert(n)}},f.prototype._changeDecorationOptionsImpl=function(e,t){var n=this._decorations[e];if(n){!!n.options.overviewRuler.color!==!!t.overviewRuler.color?(this._decorationsTree.delete(n),
n.setOptions(t),this._decorationsTree.insert(n)):n.setOptions(t)}},f.prototype._deltaDecorationsImpl=function(e,t,n){for(var i=this.getVersionId(),o=t.length,r=0,s=n.length,a=0,l=new Array(s);r<o||a<s;){var u=null;if(r<o){do{u=this._decorations[t[r++]]}while(!u&&r<o);u&&this._decorationsTree.delete(u)}if(a<s){if(!u){var c=++this._lastDecorationId,d=this._instanceId+";"+c;u=new p.IntervalNode(d,0,0),this._decorations[d]=u}var h=n[a],f=this._validateRangeRelaxedNoAllocations(h.range),g=k(h.options),m=this._buffer.getOffsetAt(f.startLineNumber,f.startColumn),v=this._buffer.getOffsetAt(f.endLineNumber,f.endColumn);u.ownerId=e,u.reset(i,m,v,f),u.setOptions(g),this._decorationsTree.insert(u),l[a]=u.id,a++}else u&&delete this._decorations[u.id]}return l},f.prototype.tokenizeViewport=function(e,t){if(this._tokens.tokenizationSupport){var n=Math.floor(.3*this._tokens.inValidLineStartIndex);if((e=Math.max(1,e-n))<=this._tokens.inValidLineStartIndex)this.forceTokenization(t);else{
var i=new S.ModelTokensChangedEventBuilder,o=this.getLineFirstNonWhitespaceColumn(e),r=[],s=e-1,a=null;if(o>0)for(;o>0&&s>=1;){var l=this.getLineFirstNonWhitespaceColumn(s);if(0!==l){if(l<o){if(a=this._tokens._getState(s-1))break;r.push(this.getLineContent(s)),o=l}s--}else s--}a||(a=this._tokens.tokenizationSupport.getInitialState());for(var u=a.clone(),c=r.length-1;c>=0;c--){u=(f=this._tokens._tokenizeText(this._buffer,r[c],u))?f.endState.clone():a.clone()}var d=Math.floor(.4*this._tokens.inValidLineStartIndex);t=Math.min(this.getLineCount(),t+d);for(var h=e;h<=t;h++){var p=this.getLineContent(h),f=this._tokens._tokenizeText(this._buffer,p,u);f?(this._tokens._setTokens(this._tokens.languageIdentifier.id,h-1,p.length,f.tokens),this._tokens._setIsInvalid(h-1,!1),this._tokens._setState(h-1,u),u=f.endState.clone(),i.registerChangedTokens(h)):u=a.clone()}var g=i.build();g&&this._onDidChangeTokens.fire(g)}}},f.prototype.forceTokenization=function(e){
if(e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");var t=new S.ModelTokensChangedEventBuilder;this._tokens._updateTokensUntilLine(this._buffer,t,e);var n=t.build();n&&this._onDidChangeTokens.fire(n)},f.prototype.isCheapToTokenize=function(e){return this._tokens.isCheapToTokenize(e)},f.prototype.tokenizeIfCheap=function(e){this.isCheapToTokenize(e)&&this.forceTokenization(e)},f.prototype.getLineTokens=function(e){if(e<1||e>this.getLineCount())throw new Error("Illegal value for lineNumber");return this._getLineTokens(e)},f.prototype._getLineTokens=function(e){var t=this._buffer.getLineContent(e);return this._tokens.getTokens(this._languageIdentifier.id,e-1,t)},f.prototype.getLanguageIdentifier=function(){return this._languageIdentifier},f.prototype.getModeId=function(){return this._languageIdentifier.language},f.prototype.setMode=function(e){if(this._languageIdentifier.id!==e.id){var t={oldLanguage:this._languageIdentifier.language,newLanguage:e.language};this._languageIdentifier=e,
this._resetTokenizationState(),this.emitModelTokensChangedEvent({ranges:[{fromLineNumber:1,toLineNumber:this.getLineCount()}]}),this._onDidChangeLanguage.fire(t),this._onDidChangeLanguageConfiguration.fire({})}},f.prototype.getLanguageIdAtPosition=function(e,t){if(!this._tokens.tokenizationSupport)return this._languageIdentifier.id;var n=this.validatePosition({lineNumber:e,column:t}),i=n.lineNumber,o=n.column,r=this._getLineTokens(i);return r.getLanguageId(r.findTokenIndexAtOffset(o-1))},f.prototype._beginBackgroundTokenization=function(){var e=this;this._shouldAutoTokenize()&&-1===this._revalidateTokensTimeout&&(this._revalidateTokensTimeout=setTimeout(function(){e._revalidateTokensTimeout=-1,e._revalidateTokensNow()},0))},f.prototype._warmUpTokens=function(){var e=Math.min(100,this.getLineCount());this._revalidateTokensNow(e),this._tokens.hasLinesToTokenize(this._buffer)&&this._beginBackgroundTokenization()},f.prototype._revalidateTokensNow=function(e){void 0===e&&(e=this._buffer.getLineCount())
;for(var t=new S.ModelTokensChangedEventBuilder,n=g.StopWatch.create(!1);this._tokens.hasLinesToTokenize(this._buffer)&&!(n.elapsed()>20);){if(this._tokens._tokenizeOneLine(this._buffer,t)>=e)break}this._tokens.hasLinesToTokenize(this._buffer)&&this._beginBackgroundTokenization();var i=t.build();i&&this._onDidChangeTokens.fire(i)},f.prototype.emitModelTokensChangedEvent=function(e){this._isDisposing||this._onDidChangeTokens.fire(e)},f.prototype.getWordAtPosition=function(e){this._assertNotDisposed();var t=this.validatePosition(e),n=this.getLineContent(t.lineNumber),i=this._getLineTokens(t.lineNumber),o=i.findTokenIndexAtOffset(t.column-1),r=f._findLanguageBoundaries(i,o),s=r[0],a=r[1],l=b.getWordAtText(t.column,C.LanguageConfigurationRegistry.getWordDefinition(i.getLanguageId(o)),n.substring(s,a),s);if(l)return l;if(o>0&&s===t.column-1){var u=f._findLanguageBoundaries(i,o-1),c=u[0],d=u[1],h=b.getWordAtText(t.column,C.LanguageConfigurationRegistry.getWordDefinition(i.getLanguageId(o-1)),n.substring(c,d),c)
;if(h)return h}return null},f._findLanguageBoundaries=function(e,t){for(var n,i=e.getLanguageId(t),o=t;o>=0&&e.getLanguageId(o)===i;o--)n=e.getStartOffset(o);for(var r,o=t,s=e.getCount();o<s&&e.getLanguageId(o)===i;o++)r=e.getEndOffset(o);return[n,r]},f.prototype.getWordUntilPosition=function(e){var t=this.getWordAtPosition(e);return t?{word:t.word.substr(0,e.column-t.startColumn),startColumn:t.startColumn,endColumn:e.column}:{word:"",startColumn:e.column,endColumn:e.column}},f.prototype.findMatchingBracketUp=function(e,t){var n=e.toLowerCase(),i=this.validatePosition(t),o=this._getLineTokens(i.lineNumber),r=o.getLanguageId(o.findTokenIndexAtOffset(i.column-1)),s=C.LanguageConfigurationRegistry.getBracketsSupport(r);if(!s)return null;var a=s.textIsBracket[n];return a?this._findMatchingBracketUp(a,i):null},f.prototype.matchBracket=function(e){return this._matchBracket(this.validatePosition(e))},f.prototype._matchBracket=function(e){
var t=e.lineNumber,n=this._getLineTokens(t),i=this._buffer.getLineContent(t),o=n.findTokenIndexAtOffset(e.column-1);if(o<0)return null;var r=C.LanguageConfigurationRegistry.getBracketsSupport(n.getLanguageId(o));if(r&&!v.ignoreBracketsInToken(n.getStandardTokenType(o))){var s=Math.max(n.getStartOffset(o),e.column-1-r.maxBracketLength),a=Math.min(n.getEndOffset(o),e.column-1+r.maxBracketLength);if((c=_.BracketsUtils.findNextBracketInToken(r.forwardRegex,t,i,e.column-1,a))&&c.startColumn===e.column){d=(d=i.substring(c.startColumn-1,c.endColumn-1)).toLowerCase();if(h=this._matchFoundBracket(c,r.textIsBracket[d],r.textIsOpenBracket[d]))return h}for(;;){var l=_.BracketsUtils.findNextBracketInToken(r.forwardRegex,t,i,s,a);if(!l)break;if(l.startColumn<=e.column&&e.column<=l.endColumn){d=(d=i.substring(l.startColumn-1,l.endColumn-1)).toLowerCase();if(h=this._matchFoundBracket(l,r.textIsBracket[d],r.textIsOpenBracket[d]))return h}s=l.endColumn-1}}if(o>0&&n.getStartOffset(o)===e.column-1){a=n.getStartOffset(o);o--
;var u=C.LanguageConfigurationRegistry.getBracketsSupport(n.getLanguageId(o));if(u&&!v.ignoreBracketsInToken(n.getStandardTokenType(o))){var s=Math.max(n.getStartOffset(o),e.column-1-u.maxBracketLength),c=_.BracketsUtils.findPrevBracketInToken(u.reversedRegex,t,i,s,a);if(c&&c.startColumn<=e.column&&e.column<=c.endColumn){var d=i.substring(c.startColumn-1,c.endColumn-1);d=d.toLowerCase();var h=this._matchFoundBracket(c,u.textIsBracket[d],u.textIsOpenBracket[d]);if(h)return h}}}return null},f.prototype._matchFoundBracket=function(e,t,n){if(n){if(i=this._findMatchingBracketDown(t,e.getEndPosition()))return[e,i]}else{var i=this._findMatchingBracketUp(t,e.getStartPosition());if(i)return[e,i]}return null},f.prototype._findMatchingBracketUp=function(e,t){for(var n=e.languageIdentifier.id,i=e.reversedRegex,o=-1,r=t.lineNumber;r>=1;r--){var s=this._getLineTokens(r),a=s.getCount(),l=this._buffer.getLineContent(r),u=a-1,c=-1;for(r===t.lineNumber&&(u=s.findTokenIndexAtOffset(t.column-1),c=t.column-1);u>=0;u--){
var d=s.getLanguageId(u),h=s.getStandardTokenType(u),p=s.getStartOffset(u),f=s.getEndOffset(u);if(-1===c&&(c=f),d===n&&!v.ignoreBracketsInToken(h))for(;;){var g=_.BracketsUtils.findPrevBracketInToken(i,r,l,p,c);if(!g)break;var m=l.substring(g.startColumn-1,g.endColumn-1);if((m=m.toLowerCase())===e.open?o++:m===e.close&&o--,0===o)return g;c=g.startColumn-1}c=-1}}return null},f.prototype._findMatchingBracketDown=function(e,t){for(var n=e.languageIdentifier.id,i=e.forwardRegex,o=1,r=t.lineNumber,s=this.getLineCount();r<=s;r++){var a=this._getLineTokens(r),l=a.getCount(),u=this._buffer.getLineContent(r),c=0,d=0;for(r===t.lineNumber&&(c=a.findTokenIndexAtOffset(t.column-1),d=t.column-1);c<l;c++){var h=a.getLanguageId(c),p=a.getStandardTokenType(c),f=a.getStartOffset(c),g=a.getEndOffset(c);if(0===d&&(d=f),h===n&&!v.ignoreBracketsInToken(p))for(;;){var m=_.BracketsUtils.findNextBracketInToken(i,r,u,d,g);if(!m)break;var y=u.substring(m.startColumn-1,m.endColumn-1);if((y=y.toLowerCase())===e.open?o++:y===e.close&&o--,
0===o)return m;d=m.endColumn-1}d=0}}return null},f.prototype.findPrevBracket=function(e){for(var t=this.validatePosition(e),n=-1,i=null,o=t.lineNumber;o>=1;o--){var r=this._getLineTokens(o),s=r.getCount(),a=this._buffer.getLineContent(o),l=s-1,u=-1;for(o===t.lineNumber&&(l=r.findTokenIndexAtOffset(t.column-1),u=t.column-1);l>=0;l--){var c=r.getLanguageId(l),d=r.getStandardTokenType(l),h=r.getStartOffset(l),p=r.getEndOffset(l);if(-1===u&&(u=p),n!==c&&(n=c,i=C.LanguageConfigurationRegistry.getBracketsSupport(n)),i&&!v.ignoreBracketsInToken(d)){var f=_.BracketsUtils.findPrevBracketInToken(i.reversedRegex,o,a,h,u);if(f)return this._toFoundBracket(i,f)}u=-1}}return null},f.prototype.findNextBracket=function(e){for(var t=this.validatePosition(e),n=-1,i=null,o=t.lineNumber,r=this.getLineCount();o<=r;o++){var s=this._getLineTokens(o),a=s.getCount(),l=this._buffer.getLineContent(o),u=0,c=0;for(o===t.lineNumber&&(u=s.findTokenIndexAtOffset(t.column-1),c=t.column-1);u<a;u++){
var d=s.getLanguageId(u),h=s.getStandardTokenType(u),p=s.getStartOffset(u),f=s.getEndOffset(u);if(0===c&&(c=p),n!==d&&(n=d,i=C.LanguageConfigurationRegistry.getBracketsSupport(n)),i&&!v.ignoreBracketsInToken(h)){var g=_.BracketsUtils.findNextBracketInToken(i.forwardRegex,o,l,c,f);if(g)return this._toFoundBracket(i,g)}c=0}}return null},f.prototype._toFoundBracket=function(e,t){if(!t)return null;var n=this.getValueInRange(t);n=n.toLowerCase();var i=e.textIsBracket[n];return i?{range:t,open:i.open,close:i.close,isOpen:e.textIsOpenBracket[n]}:null},f.computeIndentLevel=function(e,t){for(var n=0,i=0,o=e.length;i<o;){var r=e.charCodeAt(i);if(32===r)n++;else{if(9!==r)break;n=n-n%t+t}i++}return i===o?-1:n},f.prototype._computeIndentLevel=function(e){return f.computeIndentLevel(this._buffer.getLineContent(e+1),this._options.tabSize)},f.prototype.getLinesIndentGuides=function(e,t){this._assertNotDisposed();var n=this.getLineCount();if(e<1||e>n)throw new Error("Illegal value for startLineNumber")
;if(t<1||t>n)throw new Error("Illegal value for endLineNumber");for(var i=C.LanguageConfigurationRegistry.getFoldingRules(this._languageIdentifier.id),o=i&&i.offSide,r=new Array(t-e+1),s=-2,a=-1,l=-2,u=-1,c=e;c<=t;c++){var d=c-e,h=this._computeIndentLevel(c-1);if(h>=0)s=c-1,a=h,r[d]=Math.ceil(h/this._options.tabSize);else{if(-2===s){s=-1,a=-1;for(p=c-2;p>=0;p--){if((f=this._computeIndentLevel(p))>=0){s=p,a=f;break}}}if(-1!==l&&(-2===l||l<c-1)){l=-1,u=-1;for(var p=c;p<n;p++){var f=this._computeIndentLevel(p);if(f>=0){l=p,u=f;break}}}r[d]=-1===a||-1===u?0:a<u?1+Math.floor(a/this._options.tabSize):a===u?Math.ceil(u/this._options.tabSize):o?Math.ceil(u/this._options.tabSize):1+Math.floor(u/this._options.tabSize)}}return r},f.MODEL_SYNC_LIMIT=52428800,f.MODEL_TOKENIZATION_LIMIT=20971520,f.MANY_MANY_LINES=3e5,f.DEFAULT_CREATION_OPTIONS={isForSimpleWidget:!1,tabSize:E.EDITOR_MODEL_DEFAULTS.tabSize,insertSpaces:E.EDITOR_MODEL_DEFAULTS.insertSpaces,detectIndentation:!1,defaultEOL:r.DefaultEndOfLine.LF,
trimAutoWhitespace:E.EDITOR_MODEL_DEFAULTS.trimAutoWhitespace},f}(f.Disposable);t.TextModel=P;var A=function(){function e(){this._decorationsTree0=new p.IntervalTree,this._decorationsTree1=new p.IntervalTree}return e.prototype.intervalSearch=function(e,t,n,i,o){var r=this._decorationsTree0.intervalSearch(e,t,n,i,o),s=this._decorationsTree1.intervalSearch(e,t,n,i,o);return r.concat(s)},e.prototype.search=function(e,t,n,i){if(n)return this._decorationsTree1.search(e,t,i);var o=this._decorationsTree0.search(e,t,i),r=this._decorationsTree1.search(e,t,i);return o.concat(r)},e.prototype.collectNodesFromOwner=function(e){var t=this._decorationsTree0.collectNodesFromOwner(e),n=this._decorationsTree1.collectNodesFromOwner(e);return t.concat(n)},e.prototype.collectNodesPostOrder=function(){var e=this._decorationsTree0.collectNodesPostOrder(),t=this._decorationsTree1.collectNodesPostOrder();return e.concat(t)},e.prototype.insert=function(e){
p.getNodeIsInOverviewRuler(e)?this._decorationsTree1.insert(e):this._decorationsTree0.insert(e)},e.prototype.delete=function(e){p.getNodeIsInOverviewRuler(e)?this._decorationsTree1.delete(e):this._decorationsTree0.delete(e)},e.prototype.resolveNode=function(e,t){p.getNodeIsInOverviewRuler(e)?this._decorationsTree1.resolveNode(e,t):this._decorationsTree0.resolveNode(e,t)},e.prototype.acceptReplace=function(e,t,n,i){this._decorationsTree0.acceptReplace(e,t,n,i),this._decorationsTree1.acceptReplace(e,t,n,i)},e}(),F=function(){return function(e){this.color=h.empty,this.darkColor=h.empty,this.hcColor=h.empty,this.position=r.OverviewRulerLane.Center,this._resolvedColor=null,e&&e.color&&(this.color=e.color),e&&e.darkColor&&(this.darkColor=e.darkColor,this.hcColor=e.darkColor),e&&e.hcColor&&(this.hcColor=e.hcColor),e&&e.hasOwnProperty("position")&&(this.position=e.position)}}();t.ModelDecorationOverviewRulerOptions=F;var W=0,B=function(){function e(e,t){this.staticId=e,
this.stickiness=t.stickiness||r.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges,this.className=t.className?M(t.className):h.empty,this.hoverMessage=t.hoverMessage||[],this.glyphMarginHoverMessage=t.glyphMarginHoverMessage||[],this.isWholeLine=t.isWholeLine||!1,this.showIfCollapsed=t.showIfCollapsed||!1,this.overviewRuler=new F(t.overviewRuler),this.glyphMarginClassName=t.glyphMarginClassName?M(t.glyphMarginClassName):h.empty,this.linesDecorationsClassName=t.linesDecorationsClassName?M(t.linesDecorationsClassName):h.empty,this.marginClassName=t.marginClassName?M(t.marginClassName):h.empty,this.inlineClassName=t.inlineClassName?M(t.inlineClassName):h.empty,this.beforeContentClassName=t.beforeContentClassName?M(t.beforeContentClassName):h.empty,this.afterContentClassName=t.afterContentClassName?M(t.afterContentClassName):h.empty}return e.register=function(t){return new e(++W,t)},e.createDynamic=function(t){return new e(0,t)},e}();t.ModelDecorationOptions=B,B.EMPTY=B.register({});var V=[B.register({
stickiness:r.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges}),B.register({stickiness:r.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges}),B.register({stickiness:r.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore}),B.register({stickiness:r.TrackedRangeStickiness.GrowsOnlyWhenTypingAfter})],H=function(e){function t(){var t=e.call(this)||this;return t._actual=t._register(new i.Emitter),t.event=t._actual.event,t._deferredCnt=0,t._shouldFire=!1,t}return o(t,e),t.prototype.beginDeferredEmit=function(){this._deferredCnt++},t.prototype.endDeferredEmit=function(){this._deferredCnt--,0===this._deferredCnt&&this._shouldFire&&(this._shouldFire=!1,this._actual.fire({}))},t.prototype.fire=function(){this._shouldFire=!0},t}(f.Disposable);t.DidChangeDecorationsEmitter=H;var z=function(e){function t(){var t=e.call(this)||this;return t._fastEmitter=t._register(new i.Emitter),t.fastEvent=t._fastEmitter.event,t._slowEmitter=t._register(new i.Emitter),t.slowEvent=t._slowEmitter.event,t._deferredCnt=0,t._deferredEvent=null,
t}return o(t,e),t.prototype.beginDeferredEmit=function(){this._deferredCnt++},t.prototype.endDeferredEmit=function(){if(this._deferredCnt--,0===this._deferredCnt&&null!==this._deferredEvent){var e=this._deferredEvent;this._deferredEvent=null,this._fastEmitter.fire(e),this._slowEmitter.fire(e)}},t.prototype.fire=function(e){this._deferredCnt>0?this._deferredEvent?this._deferredEvent=this._deferredEvent.merge(e):this._deferredEvent=e:(this._fastEmitter.fire(e),this._slowEmitter.fire(e))},t}(f.Disposable);t.DidChangeContentEmitter=z}),define(t[39],n([0,1,13,9,31,20,3,43,12]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Primary=0]="Primary",e[e.TopMost=1]="TopMost",e[e.BottomMost=2]="BottomMost"}(t.RevealTarget||(t.RevealTarget={}));!function(e){e[e.Other=0]="Other",e[e.Typing=1]="Typing",e[e.DeletingLeft=2]="DeletingLeft",e[e.DeletingRight=3]="DeletingRight"}(t.EditOperationType||(t.EditOperationType={}));var u=function(){function e(t,n,i,o){
this._languageIdentifier=t;var r=o.editor;this.readOnly=r.readOnly,this.tabSize=i.tabSize,this.insertSpaces=i.insertSpaces,this.oneIndent=n,this.pageSize=Math.floor(r.layoutInfo.height/r.fontInfo.lineHeight)-2,this.lineHeight=r.lineHeight,this.useTabStops=r.useTabStops,this.wordSeparators=r.wordSeparators,this.emptySelectionClipboard=r.emptySelectionClipboard,this.autoClosingBrackets=r.autoClosingBrackets,this.autoIndent=r.autoIndent,this.autoClosingPairsOpen={},this.autoClosingPairsClose={},this.surroundingPairs={},this._electricChars=null;var s=e._getAutoClosingPairs(t);if(s)for(l=0;l<s.length;l++)this.autoClosingPairsOpen[s[l].open]=s[l].close,this.autoClosingPairsClose[s[l].close]=s[l].open;var a=e._getSurroundingPairs(t);if(a)for(var l=0;l<a.length;l++)this.surroundingPairs[a[l].open]=a[l].close}return e.shouldRecreate=function(e){return e.layoutInfo||e.wordSeparators||e.emptySelectionClipboard||e.autoClosingBrackets||e.useTabStops||e.lineHeight||e.readOnly},
Object.defineProperty(e.prototype,"electricChars",{get:function(){if(!this._electricChars){this._electricChars={};var t=e._getElectricCharacters(this._languageIdentifier);if(t)for(var n=0;n<t.length;n++)this._electricChars[t[n]]=!0}return this._electricChars},enumerable:!0,configurable:!0}),e.prototype.normalizeIndentation=function(e){return o.TextModel.normalizeIndentation(e,this.tabSize,this.insertSpaces)},e._getElectricCharacters=function(e){try{return a.LanguageConfigurationRegistry.getElectricCharacters(e.id)}catch(e){return l.onUnexpectedError(e),null}},e._getAutoClosingPairs=function(e){try{return a.LanguageConfigurationRegistry.getAutoClosingPairs(e.id)}catch(e){return l.onUnexpectedError(e),null}},e._getSurroundingPairs=function(e){try{return a.LanguageConfigurationRegistry.getSurroundingPairs(e.id)}catch(e){return l.onUnexpectedError(e),null}},e}();t.CursorConfiguration=u;var c=function(){function e(t,n,i,o){this.selectionStart=t,this.selectionStartLeftoverVisibleColumns=n,this.position=i,
this.leftoverVisibleColumns=o,this.selection=e._computeSelection(this.selectionStart,this.position)}return e.prototype.equals=function(e){return this.selectionStartLeftoverVisibleColumns===e.selectionStartLeftoverVisibleColumns&&this.leftoverVisibleColumns===e.leftoverVisibleColumns&&this.position.equals(e.position)&&this.selectionStart.equalsRange(e.selectionStart)},e.prototype.hasSelection=function(){return!this.selection.isEmpty()||!this.selectionStart.isEmpty()},e.prototype.move=function(t,i,o,r){return t?new e(this.selectionStart,this.selectionStartLeftoverVisibleColumns,new n.Position(i,o),r):new e(new s.Range(i,o,i,o),r,new n.Position(i,o),r)},e._computeSelection=function(e,t){var n,i,o,s;return e.isEmpty()?(n=e.startLineNumber,i=e.startColumn,o=t.lineNumber,s=t.column):t.isBeforeOrEqual(e.getStartPosition())?(n=e.endLineNumber,i=e.endColumn,o=t.lineNumber,s=t.column):(n=e.startLineNumber,i=e.startColumn,o=t.lineNumber,s=t.column),new r.Selection(n,i,o,s)},e}();t.SingleCursorState=c;var d=function(){
function e(e,t,n){this.model=t,this.viewModel=n,this.config=new u(this.model.getLanguageIdentifier(),this.model.getOneIndent(),this.model.getOptions(),e)}return e.prototype.validateViewPosition=function(e,t){return this.viewModel.coordinatesConverter.validateViewPosition(e,t)},e.prototype.validateViewRange=function(e,t){return this.viewModel.coordinatesConverter.validateViewRange(e,t)},e.prototype.convertViewRangeToModelRange=function(e){return this.viewModel.coordinatesConverter.convertViewRangeToModelRange(e)},e.prototype.convertViewPositionToModelPosition=function(e,t){return this.viewModel.coordinatesConverter.convertViewPositionToModelPosition(new n.Position(e,t))},e.prototype.convertModelPositionToViewPosition=function(e){return this.viewModel.coordinatesConverter.convertModelPositionToViewPosition(e)},e.prototype.convertModelRangeToViewRange=function(e){return this.viewModel.coordinatesConverter.convertModelRangeToViewRange(e)},e.prototype.getCurrentScrollTop=function(){
return this.viewModel.viewLayout.getCurrentScrollTop()},e.prototype.getCompletelyVisibleViewRange=function(){return this.viewModel.getCompletelyVisibleViewRange()},e.prototype.getCompletelyVisibleModelRange=function(){var e=this.viewModel.getCompletelyVisibleViewRange();return this.viewModel.coordinatesConverter.convertViewRangeToModelRange(e)},e.prototype.getCompletelyVisibleViewRangeAtScrollTop=function(e){return this.viewModel.getCompletelyVisibleViewRangeAtScrollTop(e)},e.prototype.getVerticalOffsetForViewLine=function(e){return this.viewModel.viewLayout.getVerticalOffsetForLineNumber(e)},e}();t.CursorContext=d;var h=function(){function e(e,t){this.modelState=e,this.viewState=t}return e.fromModelState=function(t){return new e(t,null)},e.fromViewState=function(t){return new e(null,t)},e.fromModelSelection=function(t){var i=t.selectionStartLineNumber,o=t.selectionStartColumn,r=t.positionLineNumber,a=t.positionColumn,l=new c(new s.Range(i,o,i,o),0,new n.Position(r,a),0);return e.fromModelState(l)},
e.fromModelSelections=function(e){for(var t=[],n=0,i=e.length;n<i;n++)t[n]=this.fromModelSelection(e[n]);return t},e.prototype.equals=function(e){return this.viewState.equals(e.viewState)&&this.modelState.equals(e.modelState)},e}();t.CursorState=h;var p=function(){return function(e,t,n){this.type=e,this.commands=t,this.shouldPushStackElementBefore=n.shouldPushStackElementBefore,this.shouldPushStackElementAfter=n.shouldPushStackElementAfter}}();t.EditOperationResult=p;var f=function(){function e(){}return e.isLowSurrogate=function(e,t,n){var o=e.getLineContent(t);return!(n<0||n>=o.length)&&i.isLowSurrogate(o.charCodeAt(n))},e.isHighSurrogate=function(e,t,n){var o=e.getLineContent(t);return!(n<0||n>=o.length)&&i.isHighSurrogate(o.charCodeAt(n))},e.isInsideSurrogatePair=function(e,t,n){return this.isHighSurrogate(e,t,n-2)},e.visibleColumnFromColumn=function(e,t,n){var o=e.length;o>t-1&&(o=t-1);for(var r=0,s=0;s<o;s++){var a=e.charCodeAt(s);9===a?r=this.nextTabStop(r,n):i.isFullWidthCharacter(a)?r+=2:r+=1}
return r},e.visibleColumnFromColumn2=function(e,t,n){return this.visibleColumnFromColumn(t.getLineContent(n.lineNumber),n.column,e.tabSize)},e.columnFromVisibleColumn=function(e,t,n){if(t<=0)return 1;for(var o=e.length,r=0,s=0;s<o;s++){var a=e.charCodeAt(s),l=void 0;if((l=9===a?this.nextTabStop(r,n):i.isFullWidthCharacter(a)?r+2:r+1)>=t){return l-t<t-r?s+2:s+1}r=l}return o+1},e.columnFromVisibleColumn2=function(e,t,n,i){var o=this.columnFromVisibleColumn(t.getLineContent(n),i,e.tabSize),r=t.getLineMinColumn(n);if(o<r)return r;var s=t.getLineMaxColumn(n);return o>s?s:o},e.nextTabStop=function(e,t){return e+t-e%t},e.prevTabStop=function(e,t){return e-1-(e-1)%t},e}();t.CursorColumns=f}),define(t[184],n([0,1,9,39,3,20,43]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){this._opts=t,this._selection=e,this._useLastEditRangeForCursorEndPosition=!1,this._selectionStartColumnStaysPut=!1}return e.unshiftIndentCount=function(e,t,n){
var o=i.CursorColumns.visibleColumnFromColumn(e,t,n);return i.CursorColumns.prevTabStop(o,n)/n},e.shiftIndentCount=function(e,t,n){var o=i.CursorColumns.visibleColumnFromColumn(e,t,n);return i.CursorColumns.nextTabStop(o,n)/n},e.prototype._addEditOperation=function(e,t,n){this._useLastEditRangeForCursorEndPosition?e.addTrackedEditOperation(t,n):e.addEditOperation(t,n)},e.prototype.getEditOperations=function(t,r){var a=this._selection.startLineNumber,l=this._selection.endLineNumber;1===this._selection.endColumn&&a!==l&&(l-=1);var u=this._opts.tabSize,c=this._opts.oneIndent,d=a===l;if(this._selection.isEmpty()&&/^\s*$/.test(t.getLineContent(a))&&(this._useLastEditRangeForCursorEndPosition=!0),this._opts.useTabStops)for(var h=["",c],p=0,f=0,g=a;g<=l;g++,p=f){f=0;var m=t.getLineContent(g),v=n.firstNonWhitespaceIndex(m);if((!this._opts.isUnshift||0!==m.length&&0!==v)&&(d||this._opts.isUnshift||0!==m.length)){if(-1===v&&(v=m.length),g>1){
if(i.CursorColumns.visibleColumnFromColumn(m,v+1,u)%u!=0&&t.isCheapToTokenize(g-1)){var _=s.LanguageConfigurationRegistry.getRawEnterActionAtPosition(t,g-1,t.getLineMaxColumn(g-1));if(_){if(f=p,_.appendText)for(var y=0,C=_.appendText.length;y<C&&f<u&&32===_.appendText.charCodeAt(y);y++)f++;_.removeText&&(f=Math.max(0,f-_.removeText));for(y=0;y<f&&(0!==v&&32===m.charCodeAt(v-1));y++)v--}}}if(!this._opts.isUnshift||0!==v){var b=void 0;b=this._opts.isUnshift?e.unshiftIndentCount(m,v+1,u):e.shiftIndentCount(m,v+1,u);for(y=h.length;y<=b;y++)h[y]=h[y-1]+c;this._addEditOperation(r,new o.Range(g,1,g,v+1),h[b]),g===a&&(this._selectionStartColumnStaysPut=this._selection.startColumn<=v+1)}}}else for(g=a;g<=l;g++){var m=t.getLineContent(g),v=n.firstNonWhitespaceIndex(m);if((!this._opts.isUnshift||0!==m.length&&0!==v)&&((d||this._opts.isUnshift||0!==m.length)&&(-1===v&&(v=m.length),!this._opts.isUnshift||0!==v)))if(this._opts.isUnshift){v=Math.min(v,u);for(var S=0;S<v;S++){if(9===m.charCodeAt(S)){v=S+1;break}}
this._addEditOperation(r,new o.Range(g,1,g,v+1),"")}else this._addEditOperation(r,new o.Range(g,1,g,1),c),g===a&&(this._selectionStartColumnStaysPut=1===this._selection.startColumn)}this._selectionId=r.trackSelection(this._selection)},e.prototype.computeCursorState=function(e,t){if(this._useLastEditRangeForCursorEndPosition){var n=t.getInverseEditOperations()[0];return new r.Selection(n.range.endLineNumber,n.range.endColumn,n.range.endLineNumber,n.range.endColumn)}var i=t.getTrackedSelection(this._selectionId);if(this._selectionStartColumnStaysPut){var o=this._selection.startColumn;return i.startColumn<=o?i:i.getDirection()===r.SelectionDirection.LTR?new r.Selection(i.startLineNumber,o,i.endLineNumber,i.endColumn):new r.Selection(i.endLineNumber,i.endColumn,i.startLineNumber,o)}return i},e}();t.ShiftCommand=a}),define(t[376],n([0,1,13,3,39]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){}return e._columnSelect=function(e,t,r,s,a,l){
for(var u=Math.abs(a-r)+1,c=r>a,d=s>l,h=s<l,p=[],f=0;f<u;f++){var g=r+(c?-f:f),m=o.CursorColumns.columnFromVisibleColumn2(e,t,g,s),v=o.CursorColumns.columnFromVisibleColumn2(e,t,g,l),_=o.CursorColumns.visibleColumnFromColumn2(e,t,new n.Position(g,m)),y=o.CursorColumns.visibleColumnFromColumn2(e,t,new n.Position(g,v));if(h){if(_>l)continue;if(y<s)continue}if(d){if(y>s)continue;if(_<l)continue}p.push(new o.SingleCursorState(new i.Range(g,m,g,m),0,new n.Position(g,v),0))}return{viewStates:p,reversed:c,toLineNumber:a,toVisualColumn:l}},e.columnSelect=function(t,i,r,s,a){var l=new n.Position(r.selectionStartLineNumber,r.selectionStartColumn),u=o.CursorColumns.visibleColumnFromColumn2(t,i,l);return e._columnSelect(t,i,l.lineNumber,u,s,a)},e.columnSelectLeft=function(e,t,n,i,o){return o>1&&o--,this.columnSelect(e,t,n.selection,i,o)},e.columnSelectRight=function(e,t,i,r,s){for(var a=0,l=Math.min(i.position.lineNumber,r),u=Math.max(i.position.lineNumber,r),c=l;c<=u;c++){
var d=t.getLineMaxColumn(c),h=o.CursorColumns.visibleColumnFromColumn2(e,t,new n.Position(c,d));a=Math.max(a,h)}return s<a&&s++,this.columnSelect(e,t,i.selection,r,s)},e.columnSelectUp=function(e,t,n,i,o,r){return(o-=i?e.pageSize:1)<1&&(o=1),this.columnSelect(e,t,n.selection,o,r)},e.columnSelectDown=function(e,t,n,i,o,r){return(o+=i?e.pageSize:1)>t.getLineCount()&&(o=t.getLineCount()),this.columnSelect(e,t,n.selection,o,r)},e}();t.ColumnSelection=r}),define(t[187],n([0,1,39,13,3]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){return function(e,t,n){this.lineNumber=e,this.column=t,this.leftoverVisibleColumns=n}}();t.CursorPosition=r;var s=function(){function e(){}return e.left=function(e,t,i,o){return o>t.getLineMinColumn(i)?n.CursorColumns.isLowSurrogate(t,i,o-2)?o-=2:o-=1:i>1&&(i-=1,o=t.getLineMaxColumn(i)),new r(i,o,0)},e.moveLeft=function(t,n,i,o,r){var s,a;if(i.hasSelection()&&!o)s=i.selection.startLineNumber,a=i.selection.startColumn;else{
var l=e.left(t,n,i.position.lineNumber,i.position.column-(r-1));s=l.lineNumber,a=l.column}return i.move(o,s,a,0)},e.right=function(e,t,i,o){return o<t.getLineMaxColumn(i)?n.CursorColumns.isHighSurrogate(t,i,o-1)?o+=2:o+=1:i<t.getLineCount()&&(i+=1,o=t.getLineMinColumn(i)),new r(i,o,0)},e.moveRight=function(t,n,i,o,r){var s,a;if(i.hasSelection()&&!o)s=i.selection.endLineNumber,a=i.selection.endColumn;else{var l=e.right(t,n,i.position.lineNumber,i.position.column+(r-1));s=l.lineNumber,a=l.column}return i.move(o,s,a,0)},e.down=function(e,t,i,o,s,a,l){var u=n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize)+s;i+=a;var c=t.getLineCount();return i>c?(i=c,l?o=t.getLineMaxColumn(i):(o=Math.min(t.getLineMaxColumn(i),o),n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1))):(o=n.CursorColumns.columnFromVisibleColumn2(e,t,i,u),n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1)),s=u-n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize),new r(i,o,s)},
e.moveDown=function(t,n,i,o,r){var s,a;i.hasSelection()&&!o?(s=i.selection.endLineNumber,a=i.selection.endColumn):(s=i.position.lineNumber,a=i.position.column);var l=e.down(t,n,s,a,i.leftoverVisibleColumns,r,!0);return i.move(o,l.lineNumber,l.column,l.leftoverVisibleColumns)},e.translateDown=function(t,r,s){var a=s.selection,l=e.down(t,r,a.selectionStartLineNumber,a.selectionStartColumn,s.selectionStartLeftoverVisibleColumns,1,!1),u=e.down(t,r,a.positionLineNumber,a.positionColumn,s.leftoverVisibleColumns,1,!1);return new n.SingleCursorState(new o.Range(l.lineNumber,l.column,l.lineNumber,l.column),l.leftoverVisibleColumns,new i.Position(u.lineNumber,u.column),u.leftoverVisibleColumns)},e.up=function(e,t,i,o,s,a,l){var u=n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize)+s;return(i-=a)<1?(i=1,l?o=t.getLineMinColumn(i):(o=Math.min(t.getLineMaxColumn(i),o),n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1))):(o=n.CursorColumns.columnFromVisibleColumn2(e,t,i,u),
n.CursorColumns.isInsideSurrogatePair(t,i,o)&&(o-=1)),s=u-n.CursorColumns.visibleColumnFromColumn(t.getLineContent(i),o,e.tabSize),new r(i,o,s)},e.moveUp=function(t,n,i,o,r){var s,a;i.hasSelection()&&!o?(s=i.selection.startLineNumber,a=i.selection.startColumn):(s=i.position.lineNumber,a=i.position.column);var l=e.up(t,n,s,a,i.leftoverVisibleColumns,r,!0);return i.move(o,l.lineNumber,l.column,l.leftoverVisibleColumns)},e.translateUp=function(t,r,s){var a=s.selection,l=e.up(t,r,a.selectionStartLineNumber,a.selectionStartColumn,s.selectionStartLeftoverVisibleColumns,1,!1),u=e.up(t,r,a.positionLineNumber,a.positionColumn,s.leftoverVisibleColumns,1,!1);return new n.SingleCursorState(new o.Range(l.lineNumber,l.column,l.lineNumber,l.column),l.leftoverVisibleColumns,new i.Position(u.lineNumber,u.column),u.leftoverVisibleColumns)},e.moveToBeginningOfLine=function(e,t,n,i){var o,r=n.position.lineNumber,s=t.getLineMinColumn(r),a=t.getLineFirstNonWhitespaceColumn(r)||s;return o=n.position.column===a?s:a,n.move(i,r,o,0)},
e.moveToEndOfLine=function(e,t,n,i){var o=n.position.lineNumber,r=t.getLineMaxColumn(o);return n.move(i,o,r,0)},e.moveToBeginningOfBuffer=function(e,t,n,i){return n.move(i,1,1,0)},e.moveToEndOfBuffer=function(e,t,n,i){var o=t.getLineCount(),r=t.getLineMaxColumn(o);return n.move(i,o,r,0)},e}();t.MoveOperations=s}),define(t[188],n([0,1,79,39,3,187,9]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(){}return e.deleteRight=function(e,t,i,s){for(var a=[],l=3!==e,u=0,c=s.length;u<c;u++){var d=s[u],h=d;if(h.isEmpty()){var p=d.getPosition(),f=r.MoveOperations.right(t,i,p.lineNumber,p.column);h=new o.Range(f.lineNumber,f.column,p.lineNumber,p.column)}h.isEmpty()?a[u]=null:(h.startLineNumber!==h.endLineNumber&&(l=!0),a[u]=new n.ReplaceCommand(h,""))}return[l,a]},e._isAutoClosingPairDelete=function(e,t,n){if(!e.autoClosingBrackets)return!1;for(var i=0,o=n.length;i<o;i++){var r=n[i],s=r.getPosition();if(!r.isEmpty())return!1
;var a=t.getLineContent(s.lineNumber),l=a[s.column-2];if(!e.autoClosingPairsOpen.hasOwnProperty(l))return!1;if(a[s.column-1]!==e.autoClosingPairsOpen[l])return!1}return!0},e._runAutoClosingPairDelete=function(e,t,i){for(var r=[],s=0,a=i.length;s<a;s++){var l=i[s].getPosition(),u=new o.Range(l.lineNumber,l.column-1,l.lineNumber,l.column+1);r[s]=new n.ReplaceCommand(u,"")}return[!0,r]},e.deleteLeft=function(e,t,a,l){if(this._isAutoClosingPairDelete(t,a,l))return this._runAutoClosingPairDelete(t,a,l);for(var u=[],c=2!==e,d=0,h=l.length;d<h;d++){var p=l[d],f=p;if(f.isEmpty()){var g=p.getPosition();if(t.useTabStops&&g.column>1){var m=a.getLineContent(g.lineNumber),v=s.firstNonWhitespaceIndex(m),_=-1===v?m.length+1:v+1;if(g.column<=_){var y=i.CursorColumns.visibleColumnFromColumn2(t,a,g),C=i.CursorColumns.prevTabStop(y,t.tabSize),b=i.CursorColumns.columnFromVisibleColumn2(t,a,g.lineNumber,C);f=new o.Range(g.lineNumber,b,g.lineNumber,g.column)}else f=new o.Range(g.lineNumber,g.column-1,g.lineNumber,g.column)}else{
var S=r.MoveOperations.left(t,a,g.lineNumber,g.column);f=new o.Range(S.lineNumber,S.column,g.lineNumber,g.column)}}f.isEmpty()?u[d]=null:(f.startLineNumber!==f.endLineNumber&&(c=!0),u[d]=new n.ReplaceCommand(f,""))}return[c,u]},e.cut=function(e,t,r){for(var s=[],a=0,l=r.length;a<l;a++){var u=r[a];if(u.isEmpty())if(e.emptySelectionClipboard){var c=u.getPosition(),d=void 0,h=void 0,p=void 0,f=void 0;c.lineNumber<t.getLineCount()?(d=c.lineNumber,h=1,p=c.lineNumber+1,f=1):c.lineNumber>1?(d=c.lineNumber-1,h=t.getLineMaxColumn(c.lineNumber-1),p=c.lineNumber,f=t.getLineMaxColumn(c.lineNumber)):(d=c.lineNumber,h=1,p=c.lineNumber,f=t.getLineMaxColumn(c.lineNumber));var g=new o.Range(d,h,p,f);g.isEmpty()?s[a]=null:s[a]=new n.ReplaceCommand(g,"")}else s[a]=null;else s[a]=new n.ReplaceCommand(u,"")}return new i.EditOperationResult(0,s,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e}();t.DeleteOperations=a}),define(t[134],n([0,1,12,79,39,3,9,184,43,61,436,90]),function(e,t,n,i,o,r,s,a,l,u,c,d){
"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(){function e(){}return e.indent=function(e,t,n){for(var i=[],o=0,r=n.length;o<r;o++)i[o]=new a.ShiftCommand(n[o],{isUnshift:!1,tabSize:e.tabSize,oneIndent:e.oneIndent,useTabStops:e.useTabStops});return i},e.outdent=function(e,t,n){for(var i=[],o=0,r=n.length;o<r;o++)i[o]=new a.ShiftCommand(n[o],{isUnshift:!0,tabSize:e.tabSize,oneIndent:e.oneIndent,useTabStops:e.useTabStops});return i},e.shiftIndent=function(e,t,n){n=n||1;for(var i=a.ShiftCommand.shiftIndentCount(t,t.length+n,e.tabSize),o="",r=0;r<i;r++)o+="\t";return o},e.unshiftIndent=function(e,t,n){n=n||1;for(var i=a.ShiftCommand.unshiftIndentCount(t,t.length+n,e.tabSize),o="",r=0;r<i;r++)o+="\t";return o},e._distributedPaste=function(e,t,n,r){for(var s=[],a=0,l=n.length;a<l;a++)s[a]=new i.ReplaceCommand(n[a],r[a]);return new o.EditOperationResult(0,s,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e._simplePaste=function(e,t,n,s,a){
for(var l=[],u=0,c=n.length;u<c;u++){var d=n[u],h=d.getPosition();if(a&&s.indexOf("\n")!==s.length-1&&(a=!1),a&&d.startLineNumber!==d.endLineNumber&&(a=!1),a&&d.startColumn===t.getLineMinColumn(d.startLineNumber)&&d.endColumn===t.getLineMaxColumn(d.startLineNumber)&&(a=!1),a){var p=new r.Range(h.lineNumber,1,h.lineNumber,1);l[u]=new i.ReplaceCommand(p,s)}else l[u]=new i.ReplaceCommand(d,s)}return new o.EditOperationResult(0,l,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!0})},e._distributePasteToCursors=function(e,t,n,i){if(n)return null;if(1===e.length)return null;if(i&&i.length===e.length)return i;10===t.charCodeAt(t.length-1)&&(t=t.substr(0,t.length-1));var o=t.split(/\r\n|\r|\n/);return o.length===e.length?o:null},e.paste=function(e,t,n,i,o,s){var a=this._distributePasteToCursors(n,i,o,s);return a?(n=n.sort(r.Range.compareRangesUsingStarts),this._distributedPaste(e,t,n,a)):this._simplePaste(e,t,n,i,o)},e._goodIndentForLine=function(t,n,i){
var o,a,c=t.autoIndent?l.LanguageConfigurationRegistry.getInheritIndentForLine(n,i,!1):null;if(c)o=c.action,a=c.indentation;else if(i>1){var d=i-1;for(d=i-1;d>=1;d--){var h=n.getLineContent(d);if(s.lastNonWhitespaceIndex(h)>=0)break}if(d<1)return null;var p=n.getLineMaxColumn(d),f=l.LanguageConfigurationRegistry.getEnterAction(n,new r.Range(d,p,d,p));f&&(a=f.indentation,(o=f.enterAction)&&(a+=o.appendText))}return o&&(o===u.IndentAction.Indent&&(a=e.shiftIndent(t,a)),o===u.IndentAction.Outdent&&(a=e.unshiftIndent(t,a)),a=t.normalizeIndentation(a)),a||null},e._replaceJumpToNextIndent=function(e,t,n,r){var s="",a=n.getStartPosition();if(e.insertSpaces)for(var l=o.CursorColumns.visibleColumnFromColumn2(e,t,a),u=e.tabSize,c=u-l%u,d=0;d<c;d++)s+=" ";else s="\t";return new i.ReplaceCommand(n,s,r)},e.tab=function(e,t,n){for(var o=[],l=0,u=n.length;l<u;l++){var c=n[l];if(c.isEmpty()){var d=t.getLineContent(c.startLineNumber);if(/^\s*$/.test(d)&&t.isCheapToTokenize(c.startLineNumber)){
var h=this._goodIndentForLine(e,t,c.startLineNumber);h=h||"\t";var p=e.normalizeIndentation(h);if(!s.startsWith(d,p)){o[l]=new i.ReplaceCommand(new r.Range(c.startLineNumber,1,c.startLineNumber,d.length+1),p,!0);continue}}o[l]=this._replaceJumpToNextIndent(e,t,c,!0)}else{if(c.startLineNumber===c.endLineNumber){var f=t.getLineMaxColumn(c.startLineNumber);if(1!==c.startColumn||c.endColumn!==f){o[l]=this._replaceJumpToNextIndent(e,t,c,!1);continue}}o[l]=new a.ShiftCommand(c,{isUnshift:!1,tabSize:e.tabSize,oneIndent:e.oneIndent,useTabStops:e.useTabStops})}}return o},e.replacePreviousChar=function(e,t,n,s,a,l){for(var u=[],c=0,d=s.length;c<d;c++){var h=s[c];if(h.isEmpty()){var p=h.getPosition(),f=Math.max(1,p.column-l),g=new r.Range(p.lineNumber,f,p.lineNumber,p.column);u[c]=new i.ReplaceCommand(g,a)}else u[c]=null}return new o.EditOperationResult(1,u,{shouldPushStackElementBefore:1!==e,shouldPushStackElementAfter:!1})},e._typeCommand=function(e,t,n){
return n?new i.ReplaceCommandWithoutChangingPosition(e,t,!0):new i.ReplaceCommand(e,t,!0)},e._enter=function(t,n,a,c){if(!n.isCheapToTokenize(c.getStartPosition().lineNumber)){var d=n.getLineContent(c.startLineNumber),h=s.getLeadingWhitespace(d).substring(0,c.startColumn-1);return e._typeCommand(c,"\n"+t.normalizeIndentation(h),a)}var p=l.LanguageConfigurationRegistry.getEnterAction(n,c);if(p){var f=p.enterAction,g=p.indentation;if(f.indentAction===u.IndentAction.None)return e._typeCommand(c,"\n"+t.normalizeIndentation(g+f.appendText),a);if(f.indentAction===u.IndentAction.Indent)return e._typeCommand(c,"\n"+t.normalizeIndentation(g+f.appendText),a);if(f.indentAction===u.IndentAction.IndentOutdent){var m=t.normalizeIndentation(g),v=t.normalizeIndentation(g+f.appendText),_="\n"+v+"\n"+m;return a?new i.ReplaceCommandWithoutChangingPosition(c,_,!0):new i.ReplaceCommandWithOffsetCursorState(c,_,-1,v.length-m.length,!0)}if(f.indentAction===u.IndentAction.Outdent){var y=e.unshiftIndent(t,g)
;return e._typeCommand(c,"\n"+t.normalizeIndentation(y+f.appendText),a)}}if(!t.autoIndent){var C=n.getLineContent(c.startLineNumber),b=s.getLeadingWhitespace(C).substring(0,c.startColumn-1);return e._typeCommand(c,"\n"+t.normalizeIndentation(b),a)}var S=l.LanguageConfigurationRegistry.getIndentForEnter(n,c,{unshiftIndent:function(n){return e.unshiftIndent(t,n)},shiftIndent:function(n){return e.shiftIndent(t,n)},normalizeIndentation:function(e){return t.normalizeIndentation(e)}},t.autoIndent),w=n.getLineContent(c.startLineNumber),E=s.getLeadingWhitespace(w).substring(0,c.startColumn-1);if(S){var L=o.CursorColumns.visibleColumnFromColumn2(t,n,c.getEndPosition()),x=c.endColumn,N="\n";E!==t.normalizeIndentation(S.beforeEnter)&&(N=t.normalizeIndentation(S.beforeEnter)+w.substring(E.length,c.startColumn-1)+"\n",c=new r.Range(c.startLineNumber,1,c.endLineNumber,c.endColumn));var I=n.getLineContent(c.endLineNumber),T=s.firstNonWhitespaceIndex(I)
;if(c=T>=0?c.setEndPosition(c.endLineNumber,Math.max(c.endColumn,T+1)):c.setEndPosition(c.endLineNumber,n.getLineMaxColumn(c.endLineNumber)),a)return new i.ReplaceCommandWithoutChangingPosition(c,N+t.normalizeIndentation(S.afterEnter),!0);var D=0;return x<=T+1&&(t.insertSpaces||(L=Math.ceil(L/t.tabSize)),D=Math.min(L+1-t.normalizeIndentation(S.afterEnter).length-1,0)),new i.ReplaceCommandWithOffsetCursorState(c,N+t.normalizeIndentation(S.afterEnter),0,D,!0)}return e._typeCommand(c,"\n"+t.normalizeIndentation(E),a)},e._isAutoIndentType=function(e,t,n){if(!e.autoIndent)return!1;for(var i=0,o=n.length;i<o;i++)if(!t.isCheapToTokenize(n[i].getEndPosition().lineNumber))return!1;return!0},e._runAutoIndentType=function(t,n,i,o){var s=l.LanguageConfigurationRegistry.getIndentationAtPosition(n,i.startLineNumber,i.startColumn),a=l.LanguageConfigurationRegistry.getIndentActionForType(n,i,o,{shiftIndent:function(n){return e.shiftIndent(t,n)},unshiftIndent:function(n){return e.unshiftIndent(t,n)}});if(null===a)return null
;if(a!==t.normalizeIndentation(s)){var u=n.getLineFirstNonWhitespaceColumn(i.startLineNumber);return 0===u?e._typeCommand(new r.Range(i.startLineNumber,0,i.endLineNumber,i.endColumn),t.normalizeIndentation(a)+o,!1):e._typeCommand(new r.Range(i.startLineNumber,0,i.endLineNumber,i.endColumn),t.normalizeIndentation(a)+n.getLineContent(i.startLineNumber).substring(u-1,i.startColumn-1)+o,!1)}return null},e._isAutoClosingCloseCharType=function(e,t,n,i){if(!e.autoClosingBrackets||!e.autoClosingPairsClose.hasOwnProperty(i))return!1;for(var o=i===e.autoClosingPairsClose[i],r=0,s=n.length;r<s;r++){var a=n[r];if(!a.isEmpty())return!1;var l=a.getPosition(),u=t.getLineContent(l.lineNumber);if(u.charAt(l.column-1)!==i)return!1;if(o){var c=u.substr(0,l.column-1);if(this._countNeedlesInHaystack(c,i)%2==0)return!1}}return!0},e._countNeedlesInHaystack=function(e,t){for(var n=0,i=-1;-1!==(i=e.indexOf(t,i+1));)n++;return n},e._runAutoClosingCloseCharType=function(e,t,n,s,a){for(var l=[],u=0,c=s.length;u<c;u++){
var d=s[u].getPosition(),h=new r.Range(d.lineNumber,d.column,d.lineNumber,d.column+1);l[u]=new i.ReplaceCommand(h,a)}return new o.EditOperationResult(1,l,{shouldPushStackElementBefore:1!==e,shouldPushStackElementAfter:!1})},e._isAutoClosingOpenCharType=function(e,t,i,o){if(!e.autoClosingBrackets||!e.autoClosingPairsOpen.hasOwnProperty(o))return!1;for(var r=0,s=i.length;r<s;r++){var a=i[r];if(!a.isEmpty())return!1;var u=a.getPosition(),c=t.getLineContent(u.lineNumber);if(("'"===o||'"'===o)&&u.column>1){var h=d.getMapForWordSeparators(e.wordSeparators),p=c.charCodeAt(u.column-2);if(0===h.get(p))return!1}var f=c.charAt(u.column-1);if(f){var g=e.autoClosingPairsOpen[o]===o,m=!1;for(var v in e.autoClosingPairsClose){var _=e.autoClosingPairsOpen[v]===v;if((g||!_)&&f===v){m=!0;break}}if(!m&&!/\s/.test(f))return!1}if(!t.isCheapToTokenize(u.lineNumber))return!1;t.forceTokenization(u.lineNumber);var y=t.getLineTokens(u.lineNumber),C=!1;try{C=l.LanguageConfigurationRegistry.shouldAutoClosePair(o,y,u.column)}catch(e){
n.onUnexpectedError(e)}if(!C)return!1}return!0},e._runAutoClosingOpenCharType=function(e,t,n,r,s){for(var a=[],l=0,u=r.length;l<u;l++){var c=r[l],d=t.autoClosingPairsOpen[s];a[l]=new i.ReplaceCommandWithOffsetCursorState(c,s+d,0,-d.length)}return new o.EditOperationResult(1,a,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})},e._isSurroundSelectionType=function(e,t,n,i){if(!e.autoClosingBrackets||!e.surroundingPairs.hasOwnProperty(i))return!1;for(var o=0,r=n.length;o<r;o++){var s=n[o];if(s.isEmpty())return!1;for(var a=!0,l=s.startLineNumber;l<=s.endLineNumber;l++){var u=t.getLineContent(l),c=l===s.startLineNumber?s.startColumn-1:0,d=l===s.endLineNumber?s.endColumn-1:u.length,h=u.substring(c,d);if(/[^ \t]/.test(h)){a=!1;break}}if(a)return!1}return!0},e._runSurroundSelectionType=function(e,t,n,i,r){for(var s=[],a=0,l=i.length;a<l;a++){var u=i[a],d=t.surroundingPairs[r];s[a]=new c.SurroundSelectionCommand(u,r,d)}return new o.EditOperationResult(0,s,{shouldPushStackElementBefore:!0,
shouldPushStackElementAfter:!0})},e._isTypeInterceptorElectricChar=function(e,t,n){return!(1!==n.length||!t.isCheapToTokenize(n[0].getEndPosition().lineNumber))},e._typeInterceptorElectricChar=function(e,t,a,u,c){if(!t.electricChars.hasOwnProperty(c)||!u.isEmpty())return null;var d=u.getPosition();a.forceTokenization(d.lineNumber);var h,p=a.getLineTokens(d.lineNumber);try{h=l.LanguageConfigurationRegistry.onElectricCharacter(c,p,d.column)}catch(e){n.onUnexpectedError(e)}if(!h)return null;if(h.appendText){w=new i.ReplaceCommandWithOffsetCursorState(u,c+h.appendText,0,-h.appendText.length);return new o.EditOperationResult(1,[w],{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!0})}if(h.matchOpenBracket){var f=(p.getLineContent()+c).lastIndexOf(h.matchOpenBracket)+1,g=a.findMatchingBracketUp(h.matchOpenBracket,{lineNumber:d.lineNumber,column:f});if(g){if(g.startLineNumber===d.lineNumber)return null
;var m=a.getLineContent(g.startLineNumber),v=s.getLeadingWhitespace(m),_=t.normalizeIndentation(v),y=a.getLineContent(d.lineNumber),C=a.getLineFirstNonWhitespaceColumn(d.lineNumber)||d.column,b=_+y.substring(C-1,d.column-1)+c,S=new r.Range(d.lineNumber,1,d.lineNumber,d.column),w=new i.ReplaceCommand(S,b);return new o.EditOperationResult(1,[w],{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!0})}}return null},e.typeWithInterceptors=function(t,n,r,s,a){if("\n"===a){for(var l=[],u=0,c=s.length;u<c;u++)l[u]=e._enter(n,r,!1,s[u]);return new o.EditOperationResult(1,l,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})}if(this._isAutoIndentType(n,r,s)){for(var d=[],h=!1,u=0,c=s.length;u<c;u++)if(d[u]=this._runAutoIndentType(n,r,s[u],a),!d[u]){h=!0;break}if(!h)return new o.EditOperationResult(1,d,{shouldPushStackElementBefore:!0,shouldPushStackElementAfter:!1})}if(this._isAutoClosingCloseCharType(n,r,s,a))return this._runAutoClosingCloseCharType(t,n,r,s,a)
;if(this._isAutoClosingOpenCharType(n,r,s,a))return this._runAutoClosingOpenCharType(t,n,r,s,a);if(this._isSurroundSelectionType(n,r,s,a))return this._runSurroundSelectionType(t,n,r,s,a);if(this._isTypeInterceptorElectricChar(n,r,s)){var p=this._typeInterceptorElectricChar(t,n,r,s[0],a);if(p)return p}for(var f=[],u=0,c=s.length;u<c;u++)f[u]=new i.ReplaceCommand(s[u],a);var g=1!==t;return" "===a&&(g=!0),new o.EditOperationResult(1,f,{shouldPushStackElementBefore:g,shouldPushStackElementAfter:!1})},e.typeWithoutInterceptors=function(e,t,n,r,s){for(var a=[],l=0,u=r.length;l<u;l++)a[l]=new i.ReplaceCommand(r[l],s);return new o.EditOperationResult(1,a,{shouldPushStackElementBefore:1!==e,shouldPushStackElementAfter:!1})},e.lineInsertBefore=function(e,t,n){for(var o=[],s=0,a=n.length;s<a;s++){var l=n[s].positionLineNumber;if(1===l)o[s]=new i.ReplaceCommandWithoutChangingPosition(new r.Range(1,1,1,1),"\n");else{l--;var u=t.getLineMaxColumn(l);o[s]=this._enter(e,t,!1,new r.Range(l,u,l,u))}}return o},
e.lineInsertAfter=function(e,t,n){for(var i=[],o=0,s=n.length;o<s;o++){var a=n[o].positionLineNumber,l=t.getLineMaxColumn(a);i[o]=this._enter(e,t,!1,new r.Range(a,l,a,l))}return i},e.lineBreakInsert=function(e,t,n){for(var i=[],o=0,r=n.length;o<r;o++)i[o]=this._enter(e,t,!0,n[o]);return i},e}();t.TypeOperations=h}),define(t[192],n([0,1,39,13,90,9,3]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a;!function(e){e[e.None=0]="None",e[e.Regular=1]="Regular",e[e.Separator=2]="Separator"}(a||(a={}));!function(e){e[e.WordStart=0]="WordStart",e[e.WordEnd=1]="WordEnd"}(t.WordNavigationType||(t.WordNavigationType={}));var l=function(){function e(){}return e._createWord=function(e,t,n,i){return{start:n,end:i,wordType:t}},e._findPreviousWordOnLine=function(e,t,n){var i=t.getLineContent(n.lineNumber);return this._doFindPreviousWordOnLine(i,e,n)},e._doFindPreviousWordOnLine=function(e,t,n){for(var i=0,o=n.column-2;o>=0;o--){var r=e.charCodeAt(o),s=t.get(r);if(0===s){
if(2===i)return this._createWord(e,i,o+1,this._findEndOfWord(e,t,i,o+1));i=1}else if(2===s){if(1===i)return this._createWord(e,i,o+1,this._findEndOfWord(e,t,i,o+1));i=2}else if(1===s&&0!==i)return this._createWord(e,i,o+1,this._findEndOfWord(e,t,i,o+1))}return 0!==i?this._createWord(e,i,0,this._findEndOfWord(e,t,i,0)):null},e._findEndOfWord=function(e,t,n,i){for(var o=e.length,r=i;r<o;r++){var s=e.charCodeAt(r),a=t.get(s);if(1===a)return r;if(1===n&&2===a)return r;if(2===n&&0===a)return r}return o},e._findNextWordOnLine=function(e,t,n){var i=t.getLineContent(n.lineNumber);return this._doFindNextWordOnLine(i,e,n)},e._doFindNextWordOnLine=function(e,t,n){for(var i=0,o=e.length,r=n.column-1;r<o;r++){var s=e.charCodeAt(r),a=t.get(s);if(0===a){if(2===i)return this._createWord(e,i,this._findStartOfWord(e,t,i,r-1),r);i=1}else if(2===a){if(1===i)return this._createWord(e,i,this._findStartOfWord(e,t,i,r-1),r);i=2}else if(1===a&&0!==i)return this._createWord(e,i,this._findStartOfWord(e,t,i,r-1),r)}
return 0!==i?this._createWord(e,i,this._findStartOfWord(e,t,i,o-1),o):null},e._findStartOfWord=function(e,t,n,i){for(var o=i;o>=0;o--){var r=e.charCodeAt(o),s=t.get(r);if(1===s)return o+1;if(1===n&&2===s)return o+1;if(2===n&&0===s)return o+1}return 0},e.moveWordLeft=function(t,n,o,r){var s=o.lineNumber,a=o.column;1===a&&s>1&&(s-=1,a=n.getLineMaxColumn(s));var l=e._findPreviousWordOnLine(t,n,new i.Position(s,a));return 0===r?a=l?l.start+1:1:(l&&a<=l.end+1&&(l=e._findPreviousWordOnLine(t,n,new i.Position(s,l.start+1))),a=l?l.end+1:1),new i.Position(s,a)},e.moveWordRight=function(t,n,o,r){var s=o.lineNumber,a=o.column;a===n.getLineMaxColumn(s)&&s<n.getLineCount()&&(s+=1,a=1);var l=e._findNextWordOnLine(t,n,new i.Position(s,a));return 1===r?a=l?l.end+1:n.getLineMaxColumn(s):(l&&a>=l.start+1&&(l=e._findNextWordOnLine(t,n,new i.Position(s,l.end+1))),a=l?l.start+1:n.getLineMaxColumn(s)),new i.Position(s,a)},e._deleteWordLeftWhitespace=function(e,t){
var n=e.getLineContent(t.lineNumber),i=t.column-2,o=r.lastNonWhitespaceIndex(n,i);return o+1<i?new s.Range(t.lineNumber,o+2,t.lineNumber,t.column):null},e.deleteWordLeft=function(t,n,o,r,a){if(!o.isEmpty())return o;var l=new i.Position(o.positionLineNumber,o.positionColumn),u=l.lineNumber,c=l.column;if(1===u&&1===c)return null;if(r){var d=this._deleteWordLeftWhitespace(n,l);if(d)return d}var h=e._findPreviousWordOnLine(t,n,l);return 0===a?h?c=h.start+1:c>1?c=1:(u--,c=n.getLineMaxColumn(u)):(h&&c<=h.end+1&&(h=e._findPreviousWordOnLine(t,n,new i.Position(u,h.start+1))),h?c=h.end+1:c>1?c=1:(u--,c=n.getLineMaxColumn(u))),new s.Range(u,c,l.lineNumber,l.column)},e._findFirstNonWhitespaceChar=function(e,t){for(var n=e.length,i=t;i<n;i++){var o=e.charAt(i);if(" "!==o&&"\t"!==o)return i}return n},e._deleteWordRightWhitespace=function(e,t){var n=e.getLineContent(t.lineNumber),i=t.column-1,o=this._findFirstNonWhitespaceChar(n,i);return i+1<o?new s.Range(t.lineNumber,t.column,t.lineNumber,o+1):null},
e.deleteWordRight=function(t,n,o,r,a){if(!o.isEmpty())return o;var l=new i.Position(o.positionLineNumber,o.positionColumn),u=l.lineNumber,c=l.column,d=n.getLineCount(),h=n.getLineMaxColumn(u);if(u===d&&c===h)return null;if(r){var p=this._deleteWordRightWhitespace(n,l);if(p)return p}var f=e._findNextWordOnLine(t,n,l);return 1===a?f?c=f.end+1:c<h||u===d?c=h:(u++,c=(f=e._findNextWordOnLine(t,n,new i.Position(u,1)))?f.start+1:n.getLineMaxColumn(u)):(f&&c>=f.start+1&&(f=e._findNextWordOnLine(t,n,new i.Position(u,f.end+1))),f?c=f.start+1:c<h||u===d?c=h:(u++,c=(f=e._findNextWordOnLine(t,n,new i.Position(u,1)))?f.start+1:n.getLineMaxColumn(u))),new s.Range(u,c,l.lineNumber,l.column)},e.word=function(t,r,a,l,u){var c=o.getMapForWordSeparators(t.wordSeparators),d=e._findPreviousWordOnLine(c,r,u),h=d&&1===d.wordType&&d.start<u.column-1&&u.column-1<=d.end,p=e._findNextWordOnLine(c,r,u),f=p&&1===p.wordType&&p.start<u.column-1&&u.column-1<=p.end;if(!l){var g,m;return h?(g=d.start+1,m=d.end+1):f?(g=p.start+1,
m=p.end+1):(g=d?d.end+1:1,m=p?p.start+1:r.getLineMaxColumn(u.lineNumber)),new n.SingleCursorState(new s.Range(u.lineNumber,g,u.lineNumber,m),0,new i.Position(u.lineNumber,m),0)}var v,_;h?(v=d.start+1,_=d.end+1):f?(v=p.start+1,_=p.end+1):(v=u.column,_=u.column);var y,C=u.lineNumber;if(a.selectionStart.containsPosition(u))y=a.selectionStart.endColumn;else if(u.isBeforeOrEqual(a.selectionStart.getStartPosition())){y=v;b=new i.Position(C,y);a.selectionStart.containsPosition(b)&&(y=a.selectionStart.endColumn)}else{y=_;var b=new i.Position(C,y);a.selectionStart.containsPosition(b)&&(y=a.selectionStart.startColumn)}return a.move(!0,C,y,0)},e}();t.WordOperations=l}),define(t[195],n([0,1,39,13,3,187,192,30]),function(e,t,n,i,o,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(){}return e.addCursorDown=function(e,t){for(var i=[],o=0,s=0,a=t.length;s<a;s++){var l=t[s];i[o++]=new n.CursorState(l.modelState,l.viewState),
i[o++]=n.CursorState.fromViewState(r.MoveOperations.translateDown(e.config,e.viewModel,l.viewState))}return i},e.addCursorUp=function(e,t){for(var i=[],o=0,s=0,a=t.length;s<a;s++){var l=t[s];i[o++]=new n.CursorState(l.modelState,l.viewState),i[o++]=n.CursorState.fromViewState(r.MoveOperations.translateUp(e.config,e.viewModel,l.viewState))}return i},e.moveToBeginningOfLine=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o];i[o]=this._moveToLineStart(e,s,n)}return i},e._moveToLineStart=function(e,t,n){var i=t.viewState.position.column,o=i===t.modelState.position.column,r=t.viewState.position.lineNumber,s=e.viewModel.getLineFirstNonWhitespaceColumn(r);return o||i===s?this._moveToLineStartByModel(e,t,n):this._moveToLineStartByView(e,t,n)},e._moveToLineStartByView=function(e,t,i){return n.CursorState.fromViewState(r.MoveOperations.moveToBeginningOfLine(e.config,e.viewModel,t.viewState,i))},e._moveToLineStartByModel=function(e,t,i){
return n.CursorState.fromModelState(r.MoveOperations.moveToBeginningOfLine(e.config,e.model,t.modelState,i))},e.moveToEndOfLine=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o];i[o]=this._moveToLineEnd(e,s,n)}return i},e._moveToLineEnd=function(e,t,n){var i=t.viewState.position,o=e.viewModel.getLineMaxColumn(i.lineNumber),r=i.column===o,s=t.modelState.position,a=e.model.getLineMaxColumn(s.lineNumber),l=o-i.column==a-s.column;return r||l?this._moveToLineEndByModel(e,t,n):this._moveToLineEndByView(e,t,n)},e._moveToLineEndByView=function(e,t,i){return n.CursorState.fromViewState(r.MoveOperations.moveToEndOfLine(e.config,e.viewModel,t.viewState,i))},e._moveToLineEndByModel=function(e,t,i){return n.CursorState.fromModelState(r.MoveOperations.moveToEndOfLine(e.config,e.model,t.modelState,i))},e.expandLineSelection=function(e,t){for(var r=[],s=0,a=t.length;s<a;s++){var l=t[s].viewState.selection,u=l.startLineNumber,c=e.viewModel.getLineCount(),d=l.endLineNumber,h=void 0
;d===c?h=e.viewModel.getLineMaxColumn(c):(d++,h=1),r[s]=n.CursorState.fromViewState(new n.SingleCursorState(new o.Range(u,1,u,1),0,new i.Position(d,h),0))}return r},e.moveToBeginningOfBuffer=function(e,t,i){for(var o=[],s=0,a=t.length;s<a;s++){var l=t[s];o[s]=n.CursorState.fromModelState(r.MoveOperations.moveToBeginningOfBuffer(e.config,e.model,l.modelState,i))}return o},e.moveToEndOfBuffer=function(e,t,i){for(var o=[],s=0,a=t.length;s<a;s++){var l=t[s];o[s]=n.CursorState.fromModelState(r.MoveOperations.moveToEndOfBuffer(e.config,e.model,l.modelState,i))}return o},e.selectAll=function(e,t){var r=e.model.getLineCount(),s=e.model.getLineMaxColumn(r);return n.CursorState.fromModelState(new n.SingleCursorState(new o.Range(1,1,1,1),0,new i.Position(r,s),0))},e.line=function(e,t,r,s,a){var l=e.model.validatePosition(s),u=a?e.validateViewPosition(new i.Position(a.lineNumber,a.column),l):e.convertModelPositionToViewPosition(l);if(!r||!t.modelState.hasSelection()){var c=e.model.getLineCount(),d=l.lineNumber+1,h=1
;return d>c&&(d=c,h=e.model.getLineMaxColumn(d)),n.CursorState.fromModelState(new n.SingleCursorState(new o.Range(l.lineNumber,1,d,h),0,new i.Position(d,h),0))}var p=t.modelState.selectionStart.getStartPosition().lineNumber;if(l.lineNumber<p)return n.CursorState.fromViewState(t.viewState.move(t.modelState.hasSelection(),u.lineNumber,1,0));if(l.lineNumber>p){var c=e.viewModel.getLineCount(),f=u.lineNumber+1,g=1;return f>c&&(f=c,g=e.viewModel.getLineMaxColumn(f)),n.CursorState.fromViewState(t.viewState.move(t.modelState.hasSelection(),f,g,0))}var m=t.modelState.selectionStart.getEndPosition();return n.CursorState.fromModelState(t.modelState.move(t.modelState.hasSelection(),m.lineNumber,m.column,0))},e.word=function(e,t,i,o){var r=e.model.validatePosition(o);return n.CursorState.fromModelState(s.WordOperations.word(e.config,e.model,t.modelState,i,r))},e.cancelSelection=function(e,t){if(!t.modelState.hasSelection())return new n.CursorState(t.modelState,t.viewState)
;var r=t.viewState.position.lineNumber,s=t.viewState.position.column;return n.CursorState.fromViewState(new n.SingleCursorState(new o.Range(r,s,r,s),0,new i.Position(r,s),0))},e.moveTo=function(e,t,o,r,s){var a=e.model.validatePosition(r),l=s?e.validateViewPosition(new i.Position(s.lineNumber,s.column),a):e.convertModelPositionToViewPosition(a);return n.CursorState.fromViewState(t.viewState.move(o,l.lineNumber,l.column,0))},e.move=function(e,t,n){var i=n.select,o=n.value;switch(n.direction){case 0:return 4===n.unit?this._moveHalfLineLeft(e,t,i):this._moveLeft(e,t,i,o);case 1:return 4===n.unit?this._moveHalfLineRight(e,t,i):this._moveRight(e,t,i,o);case 2:return 2===n.unit?this._moveUpByViewLines(e,t,i,o):this._moveUpByModelLines(e,t,i,o);case 3:return 2===n.unit?this._moveDownByViewLines(e,t,i,o):this._moveDownByModelLines(e,t,i,o);case 4:return this._moveToViewMinColumn(e,t,i);case 5:return this._moveToViewFirstNonWhitespaceColumn(e,t,i);case 6:return this._moveToViewCenterColumn(e,t,i);case 7:
return this._moveToViewMaxColumn(e,t,i);case 8:return this._moveToViewLastNonWhitespaceColumn(e,t,i);case 9:var r=t[0],s=e.getCompletelyVisibleModelRange(),a=this._firstLineNumberInRange(e.model,s,o),l=e.model.getLineFirstNonWhitespaceColumn(a);return[this._moveToModelPosition(e,r,i,a,l)];case 11:var r=t[0],s=e.getCompletelyVisibleModelRange(),a=this._lastLineNumberInRange(e.model,s,o),l=e.model.getLineFirstNonWhitespaceColumn(a);return[this._moveToModelPosition(e,r,i,a,l)];case 10:var r=t[0],s=e.getCompletelyVisibleModelRange(),a=Math.round((s.startLineNumber+s.endLineNumber)/2),l=e.model.getLineFirstNonWhitespaceColumn(a);return[this._moveToModelPosition(e,r,i,a,l)];case 12:for(var u=e.getCompletelyVisibleViewRange(),c=[],d=0,h=t.length;d<h;d++){r=t[d];c[d]=this.findPositionInViewportIfOutside(e,r,u,i)}return c}return null},e.findPositionInViewportIfOutside=function(e,t,i,o){var r=t.viewState.position.lineNumber;if(i.startLineNumber<=r&&r<=i.endLineNumber-1)return new n.CursorState(t.modelState,t.viewState)
;r>i.endLineNumber-1&&(r=i.endLineNumber-1),r<i.startLineNumber&&(r=i.startLineNumber);var s=e.viewModel.getLineFirstNonWhitespaceColumn(r);return this._moveToViewPosition(e,t,o,r,s)},e._firstLineNumberInRange=function(e,t,n){var i=t.startLineNumber;return t.startColumn!==e.getLineMinColumn(i)&&i++,Math.min(t.endLineNumber,i+n-1)},e._lastLineNumberInRange=function(e,t,n){var i=t.startLineNumber;return t.startColumn!==e.getLineMinColumn(i)&&i++,Math.max(i,t.endLineNumber-n+1)},e._moveLeft=function(e,t,i,o){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a],c=r.MoveOperations.moveLeft(e.config,e.viewModel,u.viewState,i,o);if(1===o&&c.position.lineNumber!==u.viewState.position.lineNumber){e.viewModel.coordinatesConverter.convertViewPositionToModelPosition(c.position).lineNumber===u.modelState.position.lineNumber&&(c=r.MoveOperations.moveLeft(e.config,e.viewModel,c,i,1))}s[a]=n.CursorState.fromViewState(c)}return s},e._moveHalfLineLeft=function(e,t,i){for(var o=[],s=0,a=t.length;s<a;s++){
var l=t[s],u=l.viewState.position.lineNumber,c=Math.round(e.viewModel.getLineContent(u).length/2);o[s]=n.CursorState.fromViewState(r.MoveOperations.moveLeft(e.config,e.viewModel,l.viewState,i,c))}return o},e._moveRight=function(e,t,i,o){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a],c=r.MoveOperations.moveRight(e.config,e.viewModel,u.viewState,i,o);if(1===o&&c.position.lineNumber!==u.viewState.position.lineNumber){e.viewModel.coordinatesConverter.convertViewPositionToModelPosition(c.position).lineNumber===u.modelState.position.lineNumber&&(c=r.MoveOperations.moveRight(e.config,e.viewModel,c,i,1))}s[a]=n.CursorState.fromViewState(c)}return s},e._moveHalfLineRight=function(e,t,i){for(var o=[],s=0,a=t.length;s<a;s++){var l=t[s],u=l.viewState.position.lineNumber,c=Math.round(e.viewModel.getLineContent(u).length/2);o[s]=n.CursorState.fromViewState(r.MoveOperations.moveRight(e.config,e.viewModel,l.viewState,i,c))}return o},e._moveDownByViewLines=function(e,t,i,o){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a]
;s[a]=n.CursorState.fromViewState(r.MoveOperations.moveDown(e.config,e.viewModel,u.viewState,i,o))}return s},e._moveDownByModelLines=function(e,t,i,o){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a];s[a]=n.CursorState.fromModelState(r.MoveOperations.moveDown(e.config,e.model,u.modelState,i,o))}return s},e._moveUpByViewLines=function(e,t,i,o){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a];s[a]=n.CursorState.fromViewState(r.MoveOperations.moveUp(e.config,e.viewModel,u.viewState,i,o))}return s},e._moveUpByModelLines=function(e,t,i,o){for(var s=[],a=0,l=t.length;a<l;a++){var u=t[a];s[a]=n.CursorState.fromModelState(r.MoveOperations.moveUp(e.config,e.model,u.modelState,i,o))}return s},e._moveToViewPosition=function(e,t,i,o,r){return n.CursorState.fromViewState(t.viewState.move(i,o,r,0))},e._moveToModelPosition=function(e,t,i,o,r){return n.CursorState.fromModelState(t.modelState.move(i,o,r,0))},e._moveToViewMinColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){
var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineMinColumn(a);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewFirstNonWhitespaceColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineFirstNonWhitespaceColumn(a);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewCenterColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=Math.round((e.viewModel.getLineMaxColumn(a)+e.viewModel.getLineMinColumn(a))/2);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewMaxColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineMaxColumn(a);i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e._moveToViewLastNonWhitespaceColumn=function(e,t,n){for(var i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=s.viewState.position.lineNumber,l=e.viewModel.getLineLastNonWhitespaceColumn(a)
;i[o]=this._moveToViewPosition(e,s,n,a,l)}return i},e}();t.CursorMoveCommands=l;!function(e){e.description={description:"Move cursor to a logical position in the view",args:[{name:"Cursor move argument object",
description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t* 'to': A mandatory logical position value providing where to move the cursor.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'left', 'right', 'up', 'down'\n\t\t\t\t\t\t'wrappedLineStart', 'wrappedLineEnd', 'wrappedLineColumnCenter'\n\t\t\t\t\t\t'wrappedLineFirstNonWhitespaceCharacter', 'wrappedLineLastNonWhitespaceCharacter',\n\t\t\t\t\t\t'viewPortTop', 'viewPortCenter', 'viewPortBottom', 'viewPortIfOutside'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'by': Unit to move. Default is computed based on 'to' value.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'line', 'wrappedLine', 'character', 'halfLine'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'value': Number of units to move. Default is '1'.\n\t\t\t\t\t* 'select': If 'true' makes the selection. Default is 'false'.\n\t\t\t\t",constraint:function(e){if(!a.isObject(e))return!1;var t=e
;return!(!a.isString(t.to)||!a.isUndefined(t.select)&&!a.isBoolean(t.select)||!a.isUndefined(t.by)&&!a.isString(t.by)||!a.isUndefined(t.value)&&!a.isNumber(t.value))}}]},e.RawDirection={Left:"left",Right:"right",Up:"up",Down:"down",WrappedLineStart:"wrappedLineStart",WrappedLineFirstNonWhitespaceCharacter:"wrappedLineFirstNonWhitespaceCharacter",WrappedLineColumnCenter:"wrappedLineColumnCenter",WrappedLineEnd:"wrappedLineEnd",WrappedLineLastNonWhitespaceCharacter:"wrappedLineLastNonWhitespaceCharacter",ViewPortTop:"viewPortTop",ViewPortCenter:"viewPortCenter",ViewPortBottom:"viewPortBottom",ViewPortIfOutside:"viewPortIfOutside"},e.RawUnit={Line:"line",WrappedLine:"wrappedLine",Character:"character",HalfLine:"halfLine"},e.parse=function(t){if(!t.to)return null;var n;switch(t.to){case e.RawDirection.Left:n=0;break;case e.RawDirection.Right:n=1;break;case e.RawDirection.Up:n=2;break;case e.RawDirection.Down:n=3;break;case e.RawDirection.WrappedLineStart:n=4;break
;case e.RawDirection.WrappedLineFirstNonWhitespaceCharacter:n=5;break;case e.RawDirection.WrappedLineColumnCenter:n=6;break;case e.RawDirection.WrappedLineEnd:n=7;break;case e.RawDirection.WrappedLineLastNonWhitespaceCharacter:n=8;break;case e.RawDirection.ViewPortTop:n=9;break;case e.RawDirection.ViewPortBottom:n=11;break;case e.RawDirection.ViewPortCenter:n=10;break;case e.RawDirection.ViewPortIfOutside:n=12;break;default:return null}var i=0;switch(t.by){case e.RawUnit.Line:i=1;break;case e.RawUnit.WrappedLine:i=2;break;case e.RawUnit.Character:i=3;break;case e.RawUnit.HalfLine:i=4}return{direction:n,unit:i,select:!!t.select,value:t.value||1}};!function(e){e[e.Left=0]="Left",e[e.Right=1]="Right",e[e.Up=2]="Up",e[e.Down=3]="Down",e[e.WrappedLineStart=4]="WrappedLineStart",e[e.WrappedLineFirstNonWhitespaceCharacter=5]="WrappedLineFirstNonWhitespaceCharacter",e[e.WrappedLineColumnCenter=6]="WrappedLineColumnCenter",e[e.WrappedLineEnd=7]="WrappedLineEnd",
e[e.WrappedLineLastNonWhitespaceCharacter=8]="WrappedLineLastNonWhitespaceCharacter",e[e.ViewPortTop=9]="ViewPortTop",e[e.ViewPortCenter=10]="ViewPortCenter",e[e.ViewPortBottom=11]="ViewPortBottom",e[e.ViewPortIfOutside=12]="ViewPortIfOutside"}(e.Direction||(e.Direction={}));!function(e){e[e.None=0]="None",e[e.Line=1]="Line",e[e.WrappedLine=2]="WrappedLine",e[e.Character=3]="Character",e[e.HalfLine=4]="HalfLine"}(e.Unit||(e.Unit={}))}(t.CursorMove||(t.CursorMove={}))}),define(t[382],n([0,1,39,13,3,20,28]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){this.modelState=null,this.viewState=null,this._selTrackedRange=null,this._setState(e,new n.SingleCursorState(new o.Range(1,1,1,1),0,new i.Position(1,1),0),new n.SingleCursorState(new o.Range(1,1,1,1),0,new i.Position(1,1),0))}return e.prototype.dispose=function(e){this._selTrackedRange=e.model._setTrackedRange(this._selTrackedRange,null,s.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges)},
e.prototype.asCursorState=function(){return new n.CursorState(this.modelState,this.viewState)},e.prototype.readSelectionFromMarkers=function(e){var t=e.model._getTrackedRange(this._selTrackedRange);return this.modelState.selection.getDirection()===r.SelectionDirection.LTR?new r.Selection(t.startLineNumber,t.startColumn,t.endLineNumber,t.endColumn):new r.Selection(t.endLineNumber,t.endColumn,t.startLineNumber,t.startColumn)},e.prototype.ensureValidState=function(e){this._setState(e,this.modelState,this.viewState)},e.prototype.setState=function(e,t,n){this._setState(e,t,n)},e.prototype._setState=function(e,t,r){if(t){var a=e.model.validateRange(t.selectionStart),l=t.selectionStart.equalsRange(a)?t.selectionStartLeftoverVisibleColumns:0,u=e.model.validatePosition(t.position),c=t.position.equals(u)?t.leftoverVisibleColumns:0;t=new n.SingleCursorState(a,l,u,c)}else{
var a=e.model.validateRange(e.convertViewRangeToModelRange(r.selectionStart)),u=e.model.validatePosition(e.convertViewPositionToModelPosition(r.position.lineNumber,r.position.column));t=new n.SingleCursorState(a,r.selectionStartLeftoverVisibleColumns,u,r.leftoverVisibleColumns)}if(r){var d=e.validateViewRange(r.selectionStart,t.selectionStart),h=e.validateViewPosition(r.position,t.position);r=new n.SingleCursorState(d,t.selectionStartLeftoverVisibleColumns,h,t.leftoverVisibleColumns)}else{var p=e.convertModelPositionToViewPosition(new i.Position(t.selectionStart.startLineNumber,t.selectionStart.startColumn)),f=e.convertModelPositionToViewPosition(new i.Position(t.selectionStart.endLineNumber,t.selectionStart.endColumn)),d=new o.Range(p.lineNumber,p.column,f.lineNumber,f.column),h=e.convertModelPositionToViewPosition(t.position);r=new n.SingleCursorState(d,t.selectionStartLeftoverVisibleColumns,h,t.leftoverVisibleColumns)}
this.modelState&&this.viewState&&this.modelState.equals(t)&&this.viewState.equals(r)||(this.modelState=t,this.viewState=r,this._selTrackedRange=e.model._setTrackedRange(this._selTrackedRange,this.modelState.selection,s.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges))},e}();t.OneCursor=a}),define(t[383],n([0,1,382,20,39]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e){this.context=e,this.primaryCursor=new n.OneCursor(e),this.secondaryCursors=[],this.lastAddedCursorIndex=0}return e.prototype.dispose=function(){this.primaryCursor.dispose(this.context),this.killSecondaryCursors()},e.prototype.updateContext=function(e){this.context=e},e.prototype.ensureValidState=function(){this.primaryCursor.ensureValidState(this.context);for(var e=0,t=this.secondaryCursors.length;e<t;e++)this.secondaryCursors[e].ensureValidState(this.context)},e.prototype.readSelectionFromMarkers=function(){var e=[]
;e[0]=this.primaryCursor.readSelectionFromMarkers(this.context);for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].readSelectionFromMarkers(this.context);return e},e.prototype.getAll=function(){var e=[];e[0]=this.primaryCursor.asCursorState();for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].asCursorState();return e},e.prototype.getViewPositions=function(){var e=[];e[0]=this.primaryCursor.viewState.position;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].viewState.position;return e},e.prototype.getSelections=function(){var e=[];e[0]=this.primaryCursor.modelState.selection;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].modelState.selection;return e},e.prototype.getViewSelections=function(){var e=[];e[0]=this.primaryCursor.viewState.selection;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t].viewState.selection;return e},
e.prototype.setSelections=function(e){this.setStates(o.CursorState.fromModelSelections(e))},e.prototype.getPrimaryCursor=function(){return this.primaryCursor.asCursorState()},e.prototype.setStates=function(e){null!==e&&(this.primaryCursor.setState(this.context,e[0].modelState,e[0].viewState),this._setSecondaryStates(e.slice(1)))},e.prototype._setSecondaryStates=function(e){var t=this.secondaryCursors.length,n=e.length;if(t<n)for(var i=n-t,o=0;o<i;o++)this._addSecondaryCursor();else if(t>n)for(var r=t-n,o=0;o<r;o++)this._removeSecondaryCursor(this.secondaryCursors.length-1);for(o=0;o<n;o++)this.secondaryCursors[o].setState(this.context,e[o].modelState,e[o].viewState)},e.prototype.killSecondaryCursors=function(){this._setSecondaryStates([])},e.prototype._addSecondaryCursor=function(){this.secondaryCursors.push(new n.OneCursor(this.context)),this.lastAddedCursorIndex=this.secondaryCursors.length},e.prototype.getLastAddedCursorIndex=function(){
return 0===this.secondaryCursors.length||0===this.lastAddedCursorIndex?0:this.lastAddedCursorIndex},e.prototype._removeSecondaryCursor=function(e){this.lastAddedCursorIndex>=e+1&&this.lastAddedCursorIndex--,this.secondaryCursors[e].dispose(this.context),this.secondaryCursors.splice(e,1)},e.prototype._getAll=function(){var e=[];e[0]=this.primaryCursor;for(var t=0,n=this.secondaryCursors.length;t<n;t++)e[t+1]=this.secondaryCursors[t];return e},e.prototype.normalize=function(){if(0!==this.secondaryCursors.length){for(var e=this._getAll(),t=[],n=0,r=e.length;n<r;n++)t.push({index:n,selection:e[n].modelState.selection,viewSelection:e[n].viewState.selection});t.sort(function(e,t){return e.viewSelection.startLineNumber===t.viewSelection.startLineNumber?e.viewSelection.startColumn-t.viewSelection.startColumn:e.viewSelection.startLineNumber-t.viewSelection.startLineNumber});for(var s=0;s<t.length-1;s++){var a=t[s],l=t[s+1],u=a.viewSelection,c=l.viewSelection
;if(c.isEmpty()||u.isEmpty()?c.getStartPosition().isBeforeOrEqual(u.getEndPosition()):c.getStartPosition().isBefore(u.getEndPosition())){var d=a.index<l.index?s:s+1,h=a.index<l.index?s+1:s,p=t[h].index,f=t[d].index,g=t[h].selection,m=t[d].selection;if(!g.equalsSelection(m)){var v=g.plusRange(m),_=g.selectionStartLineNumber===g.startLineNumber&&g.selectionStartColumn===g.startColumn,y=m.selectionStartLineNumber===m.startLineNumber&&m.selectionStartColumn===m.startColumn,C=void 0;p===this.lastAddedCursorIndex?(C=_,this.lastAddedCursorIndex=f):C=y;var b=void 0;b=C?new i.Selection(v.startLineNumber,v.startColumn,v.endLineNumber,v.endColumn):new i.Selection(v.endLineNumber,v.endColumn,v.startLineNumber,v.startColumn),t[d].selection=b;var S=o.CursorState.fromModelSelection(b);e[f].setState(this.context,S.modelState,S.viewState)}for(var w=0;w<t.length;w++)t[w].index>p&&t[w].index--;e.splice(p,1),t.splice(h,1),this._removeSecondaryCursor(p-1),s--}}}},e}();t.CursorCollection=r}),
define(t[384],n([0,1,304,9,12,383,3,20,55,39,188,134,56,72,4,28]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=function(){return function(e,t,n){this.selections=e,this.source=t,this.reason=n}}();t.CursorStateChangedEvent=v;var _=function(){function e(e,t){this.modelVersionId=e.getVersionId(),this.cursorState=t.getAll()}return e.prototype.equals=function(e){if(!e)return!1;if(this.modelVersionId!==e.modelVersionId)return!1;if(this.cursorState.length!==e.cursorState.length)return!1;for(var t=0,n=this.cursorState.length;t<n;t++)if(!this.cursorState[t].equals(e.cursorState[t]))return!1;return!0},e}();t.CursorModelState=_;var y=function(e){function t(t,n,i){var o=e.call(this)||this;o._onDidChange=o._register(new g.Emitter),o.onDidChange=o._onDidChange.event,o._configuration=t,o._model=n,o._knownModelVersionId=o._model.getVersionId(),o._viewModel=i,o.context=new c.CursorContext(o._configuration,o._model,o._viewModel),
o._cursors=new s.CursorCollection(o.context),o._isHandling=!1,o._isDoingComposition=!1,o._columnSelectData=null,o._prevEditOperationType=0,o._register(o._model.onDidChangeRawContent(function(e){if(o._knownModelVersionId=e.versionId,!o._isHandling){var t=e.containsEvent(1);o._onModelContentChanged(t)}})),o._register(i.addEventListener(function(e){(function(e){for(var t=0,n=e.length;t<n;t++)if(6===e[t].type)return!0;return!1})(e)&&o._knownModelVersionId===o._model.getVersionId()&&o.setStates("viewModel",p.CursorChangeReason.NotSet,o.getAll())}));var r=function(){o.context=new c.CursorContext(o._configuration,o._model,o._viewModel),o._cursors.updateContext(o.context)};return o._register(o._model.onDidChangeLanguage(function(e){r()})),o._register(o._model.onDidChangeLanguageConfiguration(function(){r()})),o._register(o._model.onDidChangeOptions(function(){r()})),o._register(o._configuration.onDidChange(function(e){c.CursorConfiguration.shouldRecreate(e)&&r()})),o}return o(t,e),t.prototype.dispose=function(){
this._cursors.dispose(),e.prototype.dispose.call(this)},t.prototype.getPrimaryCursor=function(){return this._cursors.getPrimaryCursor()},t.prototype.getLastAddedCursorIndex=function(){return this._cursors.getLastAddedCursorIndex()},t.prototype.getAll=function(){return this._cursors.getAll()},t.prototype.setStates=function(e,t,n){var i=new _(this._model,this);this._cursors.setStates(n),this._cursors.normalize(),this._columnSelectData=null,this._emitStateChangedIfNecessary(e,t,i)},t.prototype.setColumnSelectData=function(e){this._columnSelectData=e},t.prototype.reveal=function(e,t,n){this._revealRange(t,0,e,n)},t.prototype.revealRange=function(e,t,n,i){this.emitCursorRevealRange(t,n,e,i)},t.prototype.scrollTo=function(e){this._viewModel.viewLayout.setScrollPositionSmooth({scrollTop:e})},t.prototype.saveState=function(){for(var e=[],t=this._cursors.getSelections(),n=0,i=t.length;n<i;n++){var o=t[n];e.push({inSelectionMode:!o.isEmpty(),selectionStart:{lineNumber:o.selectionStartLineNumber,
column:o.selectionStartColumn},position:{lineNumber:o.positionLineNumber,column:o.positionColumn}})}return e},t.prototype.restoreState=function(e){for(var t=[],n=0,i=e.length;n<i;n++){var o=e[n],r=1,s=1;o.position&&o.position.lineNumber&&(r=o.position.lineNumber),o.position&&o.position.column&&(s=o.position.column);var a=r,l=s;o.selectionStart&&o.selectionStart.lineNumber&&(a=o.selectionStart.lineNumber),o.selectionStart&&o.selectionStart.column&&(l=o.selectionStart.column),t.push({selectionStartLineNumber:a,selectionStartColumn:l,positionLineNumber:r,positionColumn:s})}this.setStates("restoreState",p.CursorChangeReason.NotSet,c.CursorState.fromModelSelections(t)),this.reveal(!0,0,1)},t.prototype._onModelContentChanged=function(e){if(this._prevEditOperationType=0,e)this._cursors.dispose(),this._cursors=new s.CursorCollection(this.context),this._emitStateChangedIfNecessary("model",p.CursorChangeReason.ContentFlush,null);else{var t=this._cursors.readSelectionFromMarkers()
;this.setStates("modelChange",p.CursorChangeReason.RecoverFromMarkers,c.CursorState.fromModelSelections(t))}},t.prototype.getSelection=function(){return this._cursors.getPrimaryCursor().modelState.selection},t.prototype.getColumnSelectData=function(){if(this._columnSelectData)return this._columnSelectData;var e=this._cursors.getPrimaryCursor().viewState.position;return{toViewLineNumber:e.lineNumber,toViewVisualColumn:c.CursorColumns.visibleColumnFromColumn2(this.context.config,this.context.viewModel,e)}},t.prototype.getSelections=function(){return this._cursors.getSelections()},t.prototype.getViewSelections=function(){return this._cursors.getViewSelections()},t.prototype.getPosition=function(){return this._cursors.getPrimaryCursor().modelState.position},t.prototype.setSelections=function(e,t){this.setStates(e,p.CursorChangeReason.NotSet,c.CursorState.fromModelSelections(t))},t.prototype.getPrevEditOperationType=function(){return this._prevEditOperationType},t.prototype.setPrevEditOperationType=function(e){
this._prevEditOperationType=e},t.prototype._executeEditOperation=function(e){if(e){e.shouldPushStackElementBefore&&this._model.pushStackElement();var t=C.executeCommands(this._model,this._cursors.getSelections(),e.commands);t&&(this._interpretCommandResult(t),this._prevEditOperationType=e.type),e.shouldPushStackElementAfter&&this._model.pushStackElement()}},t.prototype._interpretCommandResult=function(e){e&&0!==e.length||(e=this._cursors.readSelectionFromMarkers()),this._columnSelectData=null,this._cursors.setSelections(e),this._cursors.normalize()},t.prototype._emitStateChangedIfNecessary=function(e,t,n){var i=new _(this._model,this);if(i.equals(n))return!1;var o=this._cursors.getSelections(),r=this._cursors.getViewSelections();try{this._beginEmit().emit(new f.ViewCursorStateChangedEvent(r))}finally{this._endEmit()}return n&&n.cursorState.length===i.cursorState.length&&!i.cursorState.some(function(e,t){return!e.modelState.equals(n.cursorState[t].modelState)
})||this._onDidChange.fire(new v(o,e||"keyboard",t)),!0},t.prototype._revealRange=function(e,t,n,i){var o=this._cursors.getViewPositions(),r=o[0];if(1===e)for(s=1;s<o.length;s++)o[s].isBefore(r)&&(r=o[s]);else if(2===e)for(var s=1;s<o.length;s++)r.isBeforeOrEqual(o[s])&&(r=o[s]);else if(o.length>1)return;var l=new a.Range(r.lineNumber,r.column,r.lineNumber,r.column);this.emitCursorRevealRange(l,t,n,i)},t.prototype.emitCursorRevealRange=function(e,t,n,i){try{this._beginEmit().emit(new f.ViewRevealRangeRequestEvent(e,t,n,i))}finally{this._endEmit()}},t.prototype.trigger=function(e,t,n){var i=u.Handler;if(t!==i.CompositionStart)if(t!==i.CompositionEnd){if(!this._configuration.editor.readOnly){var o=new _(this._model,this),s=p.CursorChangeReason.NotSet;this._cursors.ensureValidState(),this._isHandling=!0;try{switch(t){case i.Type:this._type(e,n.text);break;case i.ReplacePreviousChar:this._replacePreviousChar(n.text,n.replaceCharCnt);break;case i.Paste:s=p.CursorChangeReason.Paste,
this._paste(n.text,n.pasteOnNewLine,n.multicursorText);break;case i.Cut:this._cut();break;case i.Undo:s=p.CursorChangeReason.Undo,this._interpretCommandResult(this._model.undo());break;case i.Redo:s=p.CursorChangeReason.Redo,this._interpretCommandResult(this._model.redo());break;case i.ExecuteCommand:this._externalExecuteCommand(n);break;case i.ExecuteCommands:this._externalExecuteCommands(n)}}catch(e){r.onUnexpectedError(e)}this._isHandling=!1,this._emitStateChangedIfNecessary(e,s,o)&&this._revealRange(0,0,!0,0)}}else this._isDoingComposition=!1;else this._isDoingComposition=!0},t.prototype._type=function(e,t){if(this._isDoingComposition||"keyboard"!==e)this._executeEditOperation(h.TypeOperations.typeWithoutInterceptors(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections(),t));else for(var n=0,o=t.length;n<o;n++){var r=t.charCodeAt(n),s=void 0;i.isHighSurrogate(r)&&n+1<o?(s=t.charAt(n)+t.charAt(n+1),n++):s=t.charAt(n),
this._executeEditOperation(h.TypeOperations.typeWithInterceptors(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections(),s))}},t.prototype._replacePreviousChar=function(e,t){this._executeEditOperation(h.TypeOperations.replacePreviousChar(this._prevEditOperationType,this.context.config,this.context.model,this.getSelections(),e,t))},t.prototype._paste=function(e,t,n){this._executeEditOperation(h.TypeOperations.paste(this.context.config,this.context.model,this.getSelections(),e,t,n))},t.prototype._cut=function(){this._executeEditOperation(d.DeleteOperations.cut(this.context.config,this.context.model,this.getSelections()))},t.prototype._externalExecuteCommand=function(e){this._cursors.killSecondaryCursors(),this._executeEditOperation(new c.EditOperationResult(0,[e],{shouldPushStackElementBefore:!1,shouldPushStackElementAfter:!1}))},t.prototype._externalExecuteCommands=function(e){this._executeEditOperation(new c.EditOperationResult(0,e,{shouldPushStackElementBefore:!1,
shouldPushStackElementAfter:!1}))},t}(f.ViewEventEmitter);t.Cursor=y;var C=function(){function e(){}return e.executeCommands=function(e,t,n){for(var i={model:e,selectionsBefore:t,trackedRanges:[],trackedRangesDirection:[]},o=this._innerExecuteCommands(i,n),r=0,s=i.trackedRanges.length;r<s;r++)i.model._setTrackedRange(i.trackedRanges[r],null,m.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges);return o},e._innerExecuteCommands=function(e,t){if(this._arrayIsEmpty(t))return null;var n=this._getEditOperations(e,t);if(0===n.operations.length)return null;var i=n.operations,o=this._getLoserCursorMap(i);if(o.hasOwnProperty("0"))return console.warn("Ignoring commands"),null;for(var r=[],s=0,a=i.length;s<a;s++)o.hasOwnProperty(i[s].identifier.major.toString())||r.push(i[s]);n.hadTrackedEditOperation&&r.length>0&&(r[0]._isTracked=!0);var u=e.model.pushEditOperations(e.selectionsBefore,r,function(n){for(var i=[],o=0;o<e.selectionsBefore.length;o++)i[o]=[];for(o=0;o<n.length;o++){var r=n[o]
;r.identifier&&i[r.identifier.major].push(r)}for(var s=function(e,t){return e.identifier.minor-t.identifier.minor},a=[],u=function(n){i[n].length>0?(i[n].sort(s),a[n]=t[n].computeCursorState(e.model,{getInverseEditOperations:function(){return i[n]},getTrackedSelection:function(t){var n=parseInt(t,10),i=e.model._getTrackedRange(e.trackedRanges[n]);return e.trackedRangesDirection[n]===l.SelectionDirection.LTR?new l.Selection(i.startLineNumber,i.startColumn,i.endLineNumber,i.endColumn):new l.Selection(i.endLineNumber,i.endColumn,i.startLineNumber,i.startColumn)}})):a[n]=e.selectionsBefore[n]},o=0;o<e.selectionsBefore.length;o++)u(o);return a}),c=[];for(var d in o)o.hasOwnProperty(d)&&c.push(parseInt(d,10));c.sort(function(e,t){return t-e});for(s=0;s<c.length;s++)u.splice(c[s],1);return u},e._arrayIsEmpty=function(e){for(var t=0,n=e.length;t<n;t++)if(e[t])return!1;return!0},e._getEditOperations=function(e,t){for(var n=[],i=!1,o=0,r=t.length;o<r;o++)if(t[o]){var s=this._getEditOperationsFromCommand(e,o,t[o])
;n=n.concat(s.operations),i=i||s.hadTrackedEditOperation}return{operations:n,hadTrackedEditOperation:i}},e._getEditOperationsFromCommand=function(e,t,i){var o=[],s=0,a=function(e,n){e.isEmpty()&&""===n||o.push({identifier:{major:t,minor:s++},range:e,text:n,forceMoveMarkers:!1,isAutoWhitespaceEdit:i.insertsAutoWhitespace})},l=!1,u={addEditOperation:a,addTrackedEditOperation:function(e,t){l=!0,a(e,t)},trackSelection:function(t,n){var i;if(t.isEmpty())if("boolean"==typeof n)i=n?m.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore:m.TrackedRangeStickiness.GrowsOnlyWhenTypingAfter;else{var o=e.model.getLineMaxColumn(t.startLineNumber);i=t.startColumn===o?m.TrackedRangeStickiness.GrowsOnlyWhenTypingBefore:m.TrackedRangeStickiness.GrowsOnlyWhenTypingAfter}else i=m.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges;var r=e.trackedRanges.length,s=e.model._setTrackedRange(null,t,i);return e.trackedRanges[r]=s,e.trackedRangesDirection[r]=t.getDirection(),r.toString()}};try{i.getEditOperations(e.model,u)}catch(e){
return e.friendlyMessage=n.localize(0,null),r.onUnexpectedError(e),{operations:[],hadTrackedEditOperation:!1}}return{operations:o,hadTrackedEditOperation:l}},e._getLoserCursorMap=function(e){(e=e.slice(0)).sort(function(e,t){return-a.Range.compareRangesUsingEnds(e.range,t.range)});for(var t={},n=1;n<e.length;n++){var i=e[n-1],o=e[n];if(i.range.getStartPosition().isBefore(o.range.getEndPosition())){var r=void 0;t[(r=i.identifier.major>o.identifier.major?i.identifier.major:o.identifier.major).toString()]=!0;for(var s=0;s<e.length;s++)e[s].identifier.major===r&&(e.splice(s,1),s<n&&n--,s--);n>0&&n--}}return t},e}()}),define(t[196],n([0,1,9,17,64,80]),function(e,t,n,i,o,r){"use strict";function s(e,t){return function(e,t){for(var i='<div class="monaco-tokenized-source">',o=e.split(/\r\n|\r|\n/),s=t.getInitialState(),a=0,l=o.length;a<l;a++){var u=o[a];a>0&&(i+="<br/>");var c=t.tokenize2(u,s,0);r.LineTokens.convertToEndOffset(c.tokens,u.length)
;for(var d=new r.LineTokens(c.tokens,u).inflate(),h=0,p=0,f=d.getCount();p<f;p++){var g=d.getClassName(p),m=d.getEndOffset(p);i+='<span class="'+g+'">'+n.escape(u.substring(h,m))+"</span>",h=m}s=c.endState}return i+="</div>"}(e,function(e){var t=i.TokenizationRegistry.get(e);if(t)return t;return{getInitialState:function(){return o.NULL_STATE},tokenize:void 0,tokenize2:function(e,t,n){return o.nullTokenize2(0,e,t,n)}}}(t))}Object.defineProperty(t,"__esModule",{value:!0}),t.tokenizeToString=s,t.tokenizeLineToHTML=function(e,t,n,i,o,r){for(var s="<div>",a=i,l=0,u=0,c=t.getCount();u<c;u++){var d=t.getEndOffset(u);if(!(d<=i)){for(var h="";a<d&&a<o;a++){var p=e.charCodeAt(a);switch(p){case 9:var f=r-(a+l)%r;for(l+=f-1;f>0;)h+="&nbsp;",f--;break;case 60:h+="&lt;";break;case 62:h+="&gt;";break;case 38:h+="&amp;";break;case 0:h+="&#00;";break;case 65279:case 8232:h+="�";break;case 13:h+="&#8203";break;default:h+=String.fromCharCode(p)}}if(s+='<span style="'+t.getInlineStyle(u,n)+'">'+h+"</span>",d>o||a>=o)break}}
return s+="</div>"}}),define(t[58],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITextModelService=n.createDecorator("textModelService")}),define(t[198],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITextResourceConfigurationService=n.createDecorator("textResourceConfigurationService")});var d=this&&this.__param||function(e,t){return function(n,i){t(n,i,e)}};define(t[201],n([0,1,18,2,8,174,449,17,47,223,43,198]),function(e,t,n,i,r,s,a,l,c,h,p,f){"use strict";function g(e,t){var n=e.getModel(t);return!!n&&!n.isTooLargeForTokenization()}Object.defineProperty(t,"__esModule",{value:!0});var m=6e4,v=3e5,_=function(e){function t(t,i){var o=e.call(this)||this;return o._modelService=t,o._workerManager=o._register(new C(o._modelService)),o._register(l.LinkProviderRegistry.register("*",{provideLinks:function(e,t){return g(o._modelService,e.uri)?n.wireCancellationToken(t,o._workerManager.withWorker().then(function(t){
return t.computeLinks(e.uri)})):r.TPromise.as([])}})),o._register(l.SuggestRegistry.register("*",new y(o._workerManager,i,o._modelService))),o}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.canComputeDiff=function(e,t){return g(this._modelService,e)&&g(this._modelService,t)},t.prototype.computeDiff=function(e,t,n){return this._workerManager.withWorker().then(function(i){return i.computeDiff(e,t,n)})},t.prototype.canComputeDirtyDiff=function(e,t){return g(this._modelService,e)&&g(this._modelService,t)},t.prototype.computeDirtyDiff=function(e,t,n){return this._workerManager.withWorker().then(function(i){return i.computeDirtyDiff(e,t,n)})},t.prototype.computeMoreMinimalEdits=function(e,t){return Array.isArray(t)&&0!==t.length&&g(this._modelService,e)?this._workerManager.withWorker().then(function(n){return n.computeMoreMinimalEdits(e,t)}):r.TPromise.as(t)},t.prototype.canNavigateValueSet=function(e){return g(this._modelService,e)},
t.prototype.navigateValueSet=function(e,t,n){return this._workerManager.withWorker().then(function(i){return i.navigateValueSet(e,t,n)})},t=u([d(0,c.IModelService),d(1,f.ITextResourceConfigurationService)],t)}(i.Disposable);t.EditorWorkerServiceImpl=_;var y=function(){function e(e,t,n){this._workerManager=e,this._configurationService=t,this._modelService=n}return e.prototype.provideCompletionItems=function(e,t){if(this._configurationService.getValue(e.uri,t,"editor").wordBasedSuggestions&&g(this._modelService,e.uri))return this._workerManager.withWorker().then(function(n){return n.textualSuggest(e.uri,t)})},e}(),C=function(e){function t(t){var i=e.call(this)||this;i._modelService=t,i._editorWorkerClient=null;return i._register(new n.IntervalTimer).cancelAndSet(function(){return i._checkStopIdleWorker()},Math.round(v/2)),i._register(i._modelService.onModelRemoved(function(e){return i._checkStopEmptyWorker()})),i}return o(t,e),t.prototype.dispose=function(){
this._editorWorkerClient&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null),e.prototype.dispose.call(this)},t.prototype._checkStopEmptyWorker=function(){if(this._editorWorkerClient){0===this._modelService.getModels().length&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null)}},t.prototype._checkStopIdleWorker=function(){if(this._editorWorkerClient){(new Date).getTime()-this._lastWorkerUsedTime>v&&(this._editorWorkerClient.dispose(),this._editorWorkerClient=null)}},t.prototype.withWorker=function(){return this._lastWorkerUsedTime=(new Date).getTime(),this._editorWorkerClient||(this._editorWorkerClient=new w(this._modelService,"editorWorkerService")),r.TPromise.as(this._editorWorkerClient)},t}(i.Disposable),b=function(e){function t(t,i,o){var r=e.call(this)||this;if(r._syncedModels=Object.create(null),r._syncedModelsLastUsedTime=Object.create(null),r._proxy=t,r._modelService=i,!o){var s=new n.IntervalTimer;s.cancelAndSet(function(){return r._checkStopModelSync()
},Math.round(m/2)),r._register(s)}return r}return o(t,e),t.prototype.dispose=function(){for(var t in this._syncedModels)i.dispose(this._syncedModels[t]);this._syncedModels=Object.create(null),this._syncedModelsLastUsedTime=Object.create(null),e.prototype.dispose.call(this)},t.prototype.esureSyncedResources=function(e){for(var t=0;t<e.length;t++){var n=e[t],i=n.toString();this._syncedModels[i]||this._beginModelSync(n),this._syncedModels[i]&&(this._syncedModelsLastUsedTime[i]=(new Date).getTime())}},t.prototype._checkStopModelSync=function(){var e=(new Date).getTime(),t=[];for(var n in this._syncedModelsLastUsedTime){e-this._syncedModelsLastUsedTime[n]>m&&t.push(n)}for(var i=0;i<t.length;i++)this._stopModelSync(t[i])},t.prototype._beginModelSync=function(e){var t=this,n=this._modelService.getModel(e);if(n&&!n.isTooLargeForTokenization()){var i=e.toString();this._proxy.acceptNewModel({url:n.uri.toString(),lines:n.getLinesContent(),EOL:n.getEOL(),versionId:n.getVersionId()});var o=[]
;o.push(n.onDidChangeContent(function(e){t._proxy.acceptModelChanged(i.toString(),e)})),o.push(n.onWillDispose(function(){t._stopModelSync(i)})),o.push({dispose:function(){t._proxy.acceptRemovedModel(i)}}),this._syncedModels[i]=o}},t.prototype._stopModelSync=function(e){var t=this._syncedModels[e];delete this._syncedModels[e],delete this._syncedModelsLastUsedTime[e],i.dispose(t)},t}(i.Disposable),S=function(){function e(e){this._instance=e,this._proxyObj=r.TPromise.as(this._instance)}return e.prototype.dispose=function(){this._instance.dispose(),this._instance=null,this._proxyObj=null},e.prototype.getProxyObject=function(){return new n.ShallowCancelThenPromise(this._proxyObj)},e}(),w=function(e){function t(t,n){var i=e.call(this)||this;return i._modelService=t,i._workerFactory=new a.DefaultWorkerFactory(n),i._worker=null,i._modelManager=null,i}return o(t,e),t.prototype._getOrCreateWorker=function(){if(!this._worker)try{
this._worker=this._register(new s.SimpleWorkerClient(this._workerFactory,"vs/editor/common/services/editorSimpleWorker"))}catch(e){s.logOnceWebWorkerWarning(e),this._worker=new S(new h.EditorSimpleWorkerImpl(null))}return this._worker},t.prototype._getProxy=function(){var e=this;return new n.ShallowCancelThenPromise(this._getOrCreateWorker().getProxyObject().then(null,function(t){return s.logOnceWebWorkerWarning(t),e._worker=new S(new h.EditorSimpleWorkerImpl(null)),e._getOrCreateWorker().getProxyObject()}))},t.prototype._getOrCreateModelManager=function(e){return this._modelManager||(this._modelManager=this._register(new b(e,this._modelService,!1))),this._modelManager},t.prototype._withSyncedResources=function(e){var t=this;return this._getProxy().then(function(n){return t._getOrCreateModelManager(n).esureSyncedResources(e),n})},t.prototype.computeDiff=function(e,t,n){return this._withSyncedResources([e,t]).then(function(i){return i.computeDiff(e.toString(),t.toString(),n)})},
t.prototype.computeDirtyDiff=function(e,t,n){return this._withSyncedResources([e,t]).then(function(i){return i.computeDirtyDiff(e.toString(),t.toString(),n)})},t.prototype.computeMoreMinimalEdits=function(e,t){return this._withSyncedResources([e]).then(function(n){return n.computeMoreMinimalEdits(e.toString(),t)})},t.prototype.computeLinks=function(e){return this._withSyncedResources([e]).then(function(t){return t.computeLinks(e.toString())})},t.prototype.textualSuggest=function(e,t){var n=this;return this._withSyncedResources([e]).then(function(i){var o=n._modelService.getModel(e);if(!o)return null;var r=p.LanguageConfigurationRegistry.getWordDefinition(o.getLanguageIdentifier().id),s=r.source,a=(r.global?"g":"")+(r.ignoreCase?"i":"")+(r.multiline?"m":"");return i.textualSuggest(e.toString(),t,s,a)})},t.prototype.navigateValueSet=function(e,t,n){var i=this;return this._withSyncedResources([e]).then(function(o){var r=i._modelService.getModel(e);if(!r)return null
;var s=p.LanguageConfigurationRegistry.getWordDefinition(r.getLanguageIdentifier().id),a=s.source,l=(s.global?"g":"")+(s.ignoreCase?"i":"")+(s.multiline?"m":"");return o.navigateValueSet(e.toString(),t,n,a,l)})},t}(i.Disposable);t.EditorWorkerClient=w}),define(t[389],n([0,1,18,201]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.createWebWorker=function(e,t){return new r(e,t)};var r=function(e){function t(t,n){var i=e.call(this,t,n.label)||this;return i._foreignModuleId=n.moduleId,i._foreignModuleCreateData=n.createData||null,i._foreignProxy=null,i}return o(t,e),t.prototype._getForeignProxy=function(){var e=this;return this._foreignProxy||(this._foreignProxy=new n.ShallowCancelThenPromise(this._getProxy().then(function(t){return t.loadForeignModule(e._foreignModuleId,e._foreignModuleCreateData).then(function(n){e._foreignModuleId=null,e._foreignModuleCreateData=null;for(var i=function(e,n){return t.fmr(e,n)},o=function(e,t){return function(){
var n=Array.prototype.slice.call(arguments,0);return t(e,n)}},r={},s=0;s<n.length;s++)r[n[s]]=o(n[s],i);return r})}))),this._foreignProxy},t.prototype.getProxy=function(){return this._getForeignProxy()},t.prototype.withSyncedResources=function(e){var t=this;return this._withSyncedResources(e).then(function(e){return t.getProxy()})},t}(i.EditorWorkerClient)}),define(t[137],n([0,1,17,4,432]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(){var e=this;this._onDidChange=new i.Emitter,this.onDidChange=this._onDidChange.event,this._updateColorMap(),n.TokenizationRegistry.onDidChange(function(t){t.changedColorMap&&e._updateColorMap()})}return e.getInstance=function(){return this._INSTANCE||(this._INSTANCE=new e),this._INSTANCE},e.prototype._updateColorMap=function(){var e=n.TokenizationRegistry.getColorMap();if(!e)return this._colors=[null],void(this._backgroundIsLight=!0);this._colors=[null];for(var t=1;t<e.length;t++){var i=e[t].rgba
;this._colors[t]=new o.RGBA8(i.r,i.g,i.b,Math.round(255*i.a))}var r=e[2].getRelativeLuminance();this._backgroundIsLight=r>=.5,this._onDidChange.fire(void 0)},e.prototype.getColor=function(e){return(e<1||e>=this._colors.length)&&(e=2),this._colors[e]},e.prototype.backgroundIsLight=function(){return this._backgroundIsLight},e._INSTANCE=null,e}();t.MinimapTokensColorTracker=r;!function(e){e[e.START_CH_CODE=32]="START_CH_CODE",e[e.END_CH_CODE=126]="END_CH_CODE",e[e.CHAR_COUNT=95]="CHAR_COUNT",e[e.SAMPLED_CHAR_HEIGHT=16]="SAMPLED_CHAR_HEIGHT",e[e.SAMPLED_CHAR_WIDTH=10]="SAMPLED_CHAR_WIDTH",e[e.SAMPLED_HALF_CHAR_WIDTH=5]="SAMPLED_HALF_CHAR_WIDTH",e[e.x2_CHAR_HEIGHT=4]="x2_CHAR_HEIGHT",e[e.x2_CHAR_WIDTH=2]="x2_CHAR_WIDTH",e[e.x1_CHAR_HEIGHT=2]="x1_CHAR_HEIGHT",e[e.x1_CHAR_WIDTH=1]="x1_CHAR_WIDTH",e[e.RGBA_CHANNELS_CNT=4]="RGBA_CHANNELS_CNT"}(t.Constants||(t.Constants={}));var s=function(){function e(t,n){if(760!==t.length)throw new Error("Invalid x2CharData");if(190!==n.length)throw new Error("Invalid x1CharData")
;this.x2charData=t,this.x1charData=n,this.x2charDataLight=e.soften(t,.8),this.x1charDataLight=e.soften(n,50/60)}return e.soften=function(e,t){for(var n=new Uint8ClampedArray(e.length),i=0,o=e.length;i<o;i++)n[i]=e[i]*t;return n},e._getChIndex=function(e){return(e-=32)<0&&(e+=95),e%95},e.prototype.x2RenderChar=function(t,n,i,o,r,s,a){if(n+2>t.width||i+4>t.height)console.warn("bad render request outside image data");else{var l=a?this.x2charDataLight:this.x2charData,u=e._getChIndex(o),c=4*t.width,d=s.r,h=s.g,p=s.b,f=r.r-d,g=r.g-h,m=r.b-p,v=t.data,_=4*u*2,y=i*c+4*n,C=l[_]/255;v[y+0]=d+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+1]/255;v[y+4]=d+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C,y+=c;C=l[_+2]/255;v[y+0]=d+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+3]/255;v[y+4]=d+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C,y+=c;C=l[_+4]/255;v[y+0]=d+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+5]/255;v[y+4]=d+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C,y+=c;C=l[_+6]/255;v[y+0]=d+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C;C=l[_+7]/255;v[y+4]=d+f*C,v[y+5]=h+g*C,v[y+6]=p+m*C}},
e.prototype.x1RenderChar=function(t,n,i,o,r,s,a){if(n+1>t.width||i+2>t.height)console.warn("bad render request outside image data");else{var l=a?this.x1charDataLight:this.x1charData,u=e._getChIndex(o),c=4*t.width,d=s.r,h=s.g,p=s.b,f=r.r-d,g=r.g-h,m=r.b-p,v=t.data,_=2*u*1,y=i*c+4*n,C=l[_]/255;v[y+0]=d+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C,y+=c;C=l[_+1]/255;v[y+0]=d+f*C,v[y+1]=h+g*C,v[y+2]=p+m*C}},e.prototype.x2BlockRenderChar=function(e,t,n,i,o,r){if(t+2>e.width||n+4>e.height)console.warn("bad render request outside image data");else{var s=4*e.width,a=o.r,l=o.g,u=o.b,c=a+.5*(i.r-a),d=l+.5*(i.g-l),h=u+.5*(i.b-u),p=e.data,f=n*s+4*t;p[f+0]=c,p[f+1]=d,p[f+2]=h,p[f+4]=c,p[f+5]=d,p[f+6]=h,p[(f+=s)+0]=c,p[f+1]=d,p[f+2]=h,p[f+4]=c,p[f+5]=d,p[f+6]=h,p[(f+=s)+0]=c,p[f+1]=d,p[f+2]=h,p[f+4]=c,p[f+5]=d,p[f+6]=h,p[(f+=s)+0]=c,p[f+1]=d,p[f+2]=h,p[f+4]=c,p[f+5]=d,p[f+6]=h}},e.prototype.x1BlockRenderChar=function(e,t,n,i,o,r){if(t+1>e.width||n+2>e.height)console.warn("bad render request outside image data");else{
var s=4*e.width,a=o.r,l=o.g,u=o.b,c=a+.5*(i.r-a),d=l+.5*(i.g-l),h=u+.5*(i.b-u),p=e.data,f=n*s+4*t;p[f+0]=c,p[f+1]=d,p[f+2]=h,p[(f+=s)+0]=c,p[f+1]=d,p[f+2]=h}},e}();t.MinimapCharRenderer=s}),define(t[391],n([0,1,137]),function(e,t,n){"use strict";function i(e){for(var t=new Uint8ClampedArray(e.length),n=0,i=e.length;n<i;n++)t[n]=e[n];return t}Object.defineProperty(t,"__esModule",{value:!0});var o=null;t.getOrCreateMinimapCharRenderer=function(){if(!o){var e=i(s);s=null;var t=i(r);r=null,o=new n.MinimapCharRenderer(t,e)}return o}
;var r=[0,0,0,0,0,0,0,0,39,14,39,14,14,5,29,10,96,96,29,29,0,0,0,0,49,113,195,214,227,166,135,42,40,29,194,38,75,148,197,187,145,0,160,61,75,143,2,183,138,58,163,6,177,223,197,227,38,13,11,4,0,0,0,0,10,54,52,8,62,4,71,122,73,2,19,40,10,50,155,36,79,70,145,121,7,5,0,0,2,1,36,12,204,166,16,5,0,0,0,0,1,0,154,34,0,0,0,0,96,83,0,0,0,0,0,0,0,0,46,34,0,82,2,56,53,3,146,0,146,119,152,132,152,131,145,119,170,42,15,42,15,42,172,194,131,132,0,139,80,28,227,143,159,135,15,118,11,126,171,144,20,124,88,106,217,196,0,106,189,92,168,43,5,130,164,133,130,115,183,65,134,120,141,141,170,196,2,106,31,32,105,2,145,130,116,114,132,135,138,140,138,113,147,137,81,183,129,94,0,0,21,16,4,3,46,34,0,0,45,34,1,0,160,49,0,0,43,143,203,23,1,76,0,0,38,28,131,96,38,28,0,0,168,31,29,191,98,0,118,139,5,113,45,13,37,6,97,115,161,179,204,105,223,224,83,52,111,100,184,186,120,132,212,145,180,139,174,161,212,182,104,162,131,0,131,0,104,161,219,120,110,116,110,116,219,120,207,154,163,40,147,22,207,154,202,159,161,47,145,23,111,0,139,154,144,30,144,135,139,187,110,110,168,161,150,145,110,110,185,162,43,16,43,16,185,162,73,129,0,110,0,110,191,87,149,149,236,48,195,91,146,149,146,0,146,0,146,0,187,173,200,201,222,215,172,147,95,95,193,97,224,129,159,206,97,192,155,139,153,115,153,115,156,140,189,158,123,136,190,64,111,0,155,139,153,115,153,114,156,241,197,148,150,152,170,116,110,157,156,128,169,14,13,159,158,149,212,189,43,16,43,16,43,16,148,110,148,110,147,109,182,151,133,121,106,118,114,103,89,66,94,94,211,188,205,207,139,168,151,152,87,76,101,79,151,152,130,156,125,116,47,29,43,16,169,228,11,103,120,6,230,176,55,49,55,6,55,6,193,102,92,0,71,0,13,30,0,147,63,43,12,43,12,43,142,152,71,53,61,61,0,0,0,0,0,0,0,0,0,0,158,146,25,2,0,0,0,0,0,0,0,0,107,130,170,194,176,188,109,0,203,159,113,111,202,158,0,0,135,135,114,0,136,135,0,109,187,190,148,126,177,187,0,0,149,130,218,105,169,135,37,113,146,113,49,13,49,13,0,0,178,195,147,114,255,255,109,0,193,149,110,109,109,109,12,15,125,41,33,41,144,188,1,6,75,53,10,53,210,161,110,0,152,148,210,60,110,156,213,5,63,5,63,5,45,111,0,0,232,172,190,168,190,169,0,0,190,144,109,109,109,109,0,0,168,140,148,111,168,140,0,0,200,151,113,110,255,158,0,0,184,188,147,139,186,255,0,0,122,130,111,0,109,0,0,0,132,69,109,93,110,136,51,5,205,103,61,6,47,106,0,0,110,109,110,122,155,179,0,0,132,120,113,114,84,63,0,0,124,108,202,189,160,174,0,0,144,142,79,57,159,146,0,0,138,138,119,117,255,69,0,0,97,198,47,38,208,84,23,112,41,14,157,7,121,192,35,11,35,11,35,11,160,61,129,9,40,19,20,139,236,44,0,0,15,3,97,93,0,0],s=[0,0,23,12,53,0,130,127,58,149,67,77,72,198,13,0,25,51,25,49,94,2,8,64,0,24,0,21,0,9,19,27,126,126,51,80,72,105,87,98,73,93,106,85,111,123,87,30,116,126,123,110,4,16,9,28,21,53,8,62,23,52,73,21,132,183,78,142,168,175,70,70,128,128,123,110,125,43,100,139,125,119,78,78,54,77,139,139,33,87,201,117,162,149,130,130,138,60,130,172,149,127,95,98,95,25,118,135,110,85,147,175,105,110,121,30,101,113,34,68,20,26,34,68,56,0,0,44,3,0,27,175,80,133,31,66,85,147,32,150,90,25,45,230,77,101,36,83,22,84,71,118,44,44,52,172,38,101,35,130,40,197,43,197,29,26,23,103,67,44,25,129,29,85,27,177,33,97,32,145,33,77,38,96,20,55,36,95,2,22]
}),define(t[203],n([0,1,13,3,112,88,72,31,27]),function(e,t,n,i,o,r,s,a,l){"use strict";function u(e,t,n,i,o,r,s){var a=e.createLineMapping(t,n,i,o,r);return null===a?s?f.INSTANCE:g.INSTANCE:new m(a,s)}function c(e,t){if(!e._resolvedColor){var n=t.type,i="dark"===n?e.darkColor:"light"===n?e.color:e.hcColor;e._resolvedColor=function(e,t){if("string"==typeof e)return e;var n=e?t.getColor(e.id):null;n||(n=l.Color.transparent);return n.toString()}(i,t)}return e._resolvedColor}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){return function(e,t){this.outputLineIndex=e,this.outputOffset=t}}();t.OutputPosition=d;var h=function(){function e(e){this._lines=e}return e.prototype.convertViewPositionToModelPosition=function(e){return this._lines.convertViewPositionToModelPosition(e.lineNumber,e.column)},e.prototype.convertViewRangeToModelRange=function(e){
var t=this._lines.convertViewPositionToModelPosition(e.startLineNumber,e.startColumn),n=this._lines.convertViewPositionToModelPosition(e.endLineNumber,e.endColumn);return new i.Range(t.lineNumber,t.column,n.lineNumber,n.column)},e.prototype.validateViewPosition=function(e,t){return this._lines.validateViewPosition(e.lineNumber,e.column,t)},e.prototype.validateViewRange=function(e,t){var n=this._lines.validateViewPosition(e.startLineNumber,e.startColumn,t.getStartPosition()),o=this._lines.validateViewPosition(e.endLineNumber,e.endColumn,t.getEndPosition());return new i.Range(n.lineNumber,n.column,o.lineNumber,o.column)},e.prototype.convertModelPositionToViewPosition=function(e){return this._lines.convertModelPositionToViewPosition(e.lineNumber,e.column)},e.prototype.convertModelRangeToViewRange=function(e){var t=this._lines.convertModelPositionToViewPosition(e.startLineNumber,e.startColumn),n=this._lines.convertModelPositionToViewPosition(e.endLineNumber,e.endColumn)
;return new i.Range(t.lineNumber,t.column,n.lineNumber,n.column)},e.prototype.modelPositionIsVisible=function(e){return this._lines.modelPositionIsVisible(e.lineNumber,e.column)},e}();t.CoordinatesConverter=h;var p=function(){function e(e,t,n,i,o,r){this.model=e,this._validModelVersionId=-1,this.tabSize=n,this.wrappingColumn=i,this.columnsForFullWidthChar=o,this.wrappingIndent=r,this.linePositionMapperFactory=t,this._constructLines(!0)}return e.prototype.dispose=function(){this.hiddenAreasIds=this.model.deltaDecorations(this.hiddenAreasIds,[])},e.prototype.createCoordinatesConverter=function(){return new h(this)},e.prototype._ensureValidState=function(){if(this.model.getVersionId()!==this._validModelVersionId)throw new Error("ViewModel is out of sync with Model!")},e.prototype._constructLines=function(e){var t=this;this.lines=[],e&&(this.hiddenAreasIds=[]);for(var n=this.model.getLinesContent(),r=n.length,s=new Uint32Array(r),a=this.hiddenAreasIds.map(function(e){return t.model.getDecorationRange(e)
}).sort(i.Range.compareRangesUsingStarts),l=1,c=0,d=-1,h=d+1<a.length?c+1:r+2,p=0;p<r;p++){var f=p+1;f===h&&(l=a[++d].startLineNumber,c=a[d].endLineNumber,h=d+1<a.length?c+1:r+2);var g=f>=l&&f<=c,m=u(this.linePositionMapperFactory,n[p],this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,!g);s[p]=m.getViewLineCount(),this.lines[p]=m}this._validModelVersionId=this.model.getVersionId(),this.prefixSumComputer=new o.PrefixSumComputerWithCache(s)},e.prototype.getHiddenAreas=function(){var e=this;return this.hiddenAreasIds.map(function(t){return e.model.getDecorationRange(t)})},e.prototype._reduceRanges=function(e){var t=this;if(0===e.length)return[];for(var n=e.map(function(e){return t.model.validateRange(e)}).sort(i.Range.compareRangesUsingStarts),o=[],r=n[0].startLineNumber,s=n[0].endLineNumber,a=1,l=n.length;a<l;a++){var u=n[a];u.startLineNumber>s+1?(o.push(new i.Range(r,1,s,1)),r=u.startLineNumber,s=u.endLineNumber):u.endLineNumber>s&&(s=u.endLineNumber)}
return o.push(new i.Range(r,1,s,1)),o},e.prototype.setHiddenAreas=function(e){var t=this,n=this._reduceRanges(e),o=this.hiddenAreasIds.map(function(e){return t.model.getDecorationRange(e)}).sort(i.Range.compareRangesUsingStarts);if(n.length===o.length){for(var r=!1,s=0;s<n.length;s++)if(!n[s].equalsRange(o[s])){r=!0;break}if(!r)return!1}for(var l=[],s=0;s<n.length;s++)l.push({range:n[s],options:a.ModelDecorationOptions.EMPTY});this.hiddenAreasIds=this.model.deltaDecorations(this.hiddenAreasIds,l);for(var u=n,c=1,d=0,h=-1,p=h+1<u.length?d+1:this.lines.length+2,f=!1,s=0;s<this.lines.length;s++){var g=s+1;g===p&&(c=u[++h].startLineNumber,d=u[h].endLineNumber,p=h+1<u.length?d+1:this.lines.length+2);var m=!1;if(g>=c&&g<=d?this.lines[s].isVisible()&&(this.lines[s]=this.lines[s].setVisible(!1),m=!0):(f=!0,this.lines[s].isVisible()||(this.lines[s]=this.lines[s].setVisible(!0),m=!0)),m){var v=this.lines[s].getViewLineCount();this.prefixSumComputer.changeValue(s,v)}}return f||this.setHiddenAreas([]),!0},
e.prototype.modelPositionIsVisible=function(e,t){return!(e<1||e>this.lines.length)&&this.lines[e-1].isVisible()},e.prototype.setTabSize=function(e){return this.tabSize!==e&&(this.tabSize=e,this._constructLines(!1),!0)},e.prototype.setWrappingSettings=function(e,t,n){return(this.wrappingIndent!==e||this.wrappingColumn!==t||this.columnsForFullWidthChar!==n)&&(this.wrappingIndent=e,this.wrappingColumn=t,this.columnsForFullWidthChar=n,this._constructLines(!1),!0)},e.prototype.onModelFlushed=function(){this._constructLines(!0)},e.prototype.onModelLinesDeleted=function(e,t,n){if(e<=this._validModelVersionId)return null;var i=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,o=this.prefixSumComputer.getAccumulatedValue(n-1);return this.lines.splice(t-1,n-t+1),this.prefixSumComputer.removeValues(t-1,n-t+1),new s.ViewLinesDeletedEvent(i,o)},e.prototype.onModelLinesInserted=function(e,t,i,o){if(e<=this._validModelVersionId)return null
;for(var r=this.getHiddenAreas(),a=!1,l=new n.Position(t,1),c=0;c<r.length;c++)if(r[c].containsPosition(l)){a=!0;break}for(var d=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1,h=0,p=[],f=new Uint32Array(o.length),c=0,g=o.length;c<g;c++){var m=u(this.linePositionMapperFactory,o[c],this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,!a);p.push(m);var v=m.getViewLineCount();h+=v,f[c]=v}return this.lines=this.lines.slice(0,t-1).concat(p).concat(this.lines.slice(t-1)),this.prefixSumComputer.insertValues(t-1,f),new s.ViewLinesInsertedEvent(d,d+h-1)},e.prototype.onModelLineChanged=function(e,t,n){if(e<=this._validModelVersionId)return[!1,null,null,null];var i=t-1,o=this.lines[i].getViewLineCount(),r=this.lines[i].isVisible(),a=u(this.linePositionMapperFactory,n,this.tabSize,this.wrappingColumn,this.columnsForFullWidthChar,this.wrappingIndent,r);this.lines[i]=a;var l=this.lines[i].getViewLineCount(),c=!1,d=0,h=-1,p=0,f=-1,g=0,m=-1
;o>l?(m=(g=(h=(d=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1)+l-1)+1)+(o-l)-1,c=!0):o<l?(f=(p=(h=(d=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1)+o-1)+1)+(l-o)-1,c=!0):h=(d=1===t?1:this.prefixSumComputer.getAccumulatedValue(t-2)+1)+l-1,this.prefixSumComputer.changeValue(i,l);return[c,d<=h?new s.ViewLinesChangedEvent(d,h):null,p<=f?new s.ViewLinesInsertedEvent(p,f):null,g<=m?new s.ViewLinesDeletedEvent(g,m):null]},e.prototype.acceptVersionId=function(e){this._validModelVersionId=e,1!==this.lines.length||this.lines[0].isVisible()||this.setHiddenAreas([])},e.prototype.getViewLineCount=function(){return this._ensureValidState(),this.prefixSumComputer.getTotalValue()},e.prototype._toValidViewLineNumber=function(e){if(e<1)return 1;var t=this.getViewLineCount();return e>t?t:e},e.prototype.warmUpLookupCache=function(e,t){this.prefixSumComputer.warmUpCache(e-1,t-1)},e.prototype.getViewLinesIndentGuides=function(e,t){this._ensureValidState(),e=this._toValidViewLineNumber(e),
t=this._toValidViewLineNumber(t);for(var i=this.convertViewPositionToModelPosition(e,this.getViewLineMinColumn(e)),o=this.convertViewPositionToModelPosition(t,this.getViewLineMaxColumn(t)),r=[],s=[],a=i.lineNumber-1,l=o.lineNumber-1,u=null,c=a;c<=l;c++){var d=this.lines[c];if(d.isVisible()){C=0;if(c===a){h=d.getViewLineNumberOfModelPosition(0,i.column);C=(p=d.getViewLineNumberOfModelPosition(0,this.model.getLineMaxColumn(c+1)))-h+1}else{var h=d.getViewLineNumberOfModelPosition(0,1),p=d.getViewLineNumberOfModelPosition(0,this.model.getLineMaxColumn(c+1));C=p-h+1}s.push(C),null===u&&(u=new n.Position(c+1,0))}else null!==u&&(r=r.concat(this.model.getLinesIndentGuides(u.lineNumber,c)),u=null)}null!==u&&(r=r.concat(this.model.getLinesIndentGuides(u.lineNumber,o.lineNumber)),u=null);for(var f=t-e+1,g=new Array(f),m=0,v=0,_=r.length;v<_;v++)for(var y=r[v],C=Math.min(f-m,s[v]),b=0;b<C;b++)g[m++]=y;return g},e.prototype.getViewLineContent=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e)
;var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineContent(this.model,n+1,i)},e.prototype.getViewLineMinColumn=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineMinColumn(this.model,n+1,i)},e.prototype.getViewLineMaxColumn=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineMaxColumn(this.model,n+1,i)},e.prototype.getViewLineData=function(e){this._ensureValidState(),e=this._toValidViewLineNumber(e);var t=this.prefixSumComputer.getIndexOf(e-1),n=t.index,i=t.remainder;return this.lines[n].getViewLineData(this.model,n+1,i)},e.prototype.getViewLinesData=function(e,t,n){this._ensureValidState(),e=this._toValidViewLineNumber(e),t=this._toValidViewLineNumber(t)
;for(var i=this.prefixSumComputer.getIndexOf(e-1),o=e,r=i.index,s=i.remainder,a=[],l=r,u=this.model.getLineCount();l<u;l++){var c=this.lines[l];if(c.isVisible()){var d=l===r?s:0,h=c.getViewLineCount()-d,p=!1;o+h>t&&(p=!0,h=t-o+1);var f=d+h;if(c.getViewLinesData(this.model,l+1,d,f,o-e,n,a),o+=h,p)break}}return a},e.prototype.validateViewPosition=function(e,t,i){this._ensureValidState(),e=this._toValidViewLineNumber(e);var o=this.prefixSumComputer.getIndexOf(e-1),r=o.index,s=o.remainder,a=this.lines[r],l=a.getViewLineMinColumn(this.model,r+1,s),u=a.getViewLineMaxColumn(this.model,r+1,s);t<l&&(t=l),t>u&&(t=u);var c=a.getModelColumnOfViewPosition(s,t);return this.model.validatePosition(new n.Position(r+1,c)).equals(i)?new n.Position(e,t):this.convertModelPositionToViewPosition(i.lineNumber,i.column)},e.prototype.convertViewPositionToModelPosition=function(e,t){this._ensureValidState(),e=this._toValidViewLineNumber(e)
;var i=this.prefixSumComputer.getIndexOf(e-1),o=i.index,r=i.remainder,s=this.lines[o].getModelColumnOfViewPosition(r,t);return this.model.validatePosition(new n.Position(o+1,s))},e.prototype.convertModelPositionToViewPosition=function(e,t){this._ensureValidState();for(var i=this.model.validatePosition(new n.Position(e,t)),o=i.lineNumber,r=i.column,s=o-1,a=!1;s>0&&!this.lines[s].isVisible();)s--,a=!0;if(0===s&&!this.lines[s].isVisible())return new n.Position(1,1);var l=1+(0===s?0:this.prefixSumComputer.getAccumulatedValue(s-1));return a?this.lines[s].getViewPositionOfModelPosition(l,this.model.getLineMaxColumn(s+1)):this.lines[o-1].getViewPositionOfModelPosition(l,r)},e.prototype._getViewLineNumberForModelPosition=function(e,t){var n=e-1;if(this.lines[n].isVisible()){var i=1+(0===n?0:this.prefixSumComputer.getAccumulatedValue(n-1));return this.lines[n].getViewLineNumberOfModelPosition(i,t)}for(;n>0&&!this.lines[n].isVisible();)n--;if(0===n&&!this.lines[n].isVisible())return 1
;var o=1+(0===n?0:this.prefixSumComputer.getAccumulatedValue(n-1));return this.lines[n].getViewLineNumberOfModelPosition(o,this.model.getLineMaxColumn(n+1))},e.prototype.getAllOverviewRulerDecorations=function(e,t,n){for(var i=this.model.getOverviewRulerDecorations(e,t),o=new y,r=0,s=i.length;r<s;r++){var a=i[r],l=a.options.overviewRuler,u=l.position;if(0!==u){var d=c(l,n),h=this._getViewLineNumberForModelPosition(a.range.startLineNumber,a.range.startColumn),p=this._getViewLineNumberForModelPosition(a.range.endLineNumber,a.range.endColumn);o.accept(d,h,p,u)}}return o.result},e.prototype.getDecorationsInRange=function(e,t,o){var r=this.convertViewPositionToModelPosition(e.startLineNumber,e.startColumn),s=this.convertViewPositionToModelPosition(e.endLineNumber,e.endColumn);if(s.lineNumber-r.lineNumber<=e.endLineNumber-e.startLineNumber)return this.model.getDecorationsInRange(new i.Range(r.lineNumber,r.column,s.lineNumber,s.column),t,o);for(var a=[],l=r.lineNumber-1,u=s.lineNumber-1,c=null,d=l;d<=u;d++){
if(this.lines[d].isVisible())null===c&&(c=new n.Position(d+1,d===l?r.column:1));else if(null!==c){var h=this.model.getLineMaxColumn(d);a=a.concat(this.model.getDecorationsInRange(new i.Range(c.lineNumber,c.column,d,h),t,o)),c=null}}return null!==c&&(a=a.concat(this.model.getDecorationsInRange(new i.Range(c.lineNumber,c.column,s.lineNumber,s.column),t,o)),c=null),a},e}();t.SplitLinesCollection=p;var f=function(){function e(){}return e.prototype.isVisible=function(){return!0},e.prototype.setVisible=function(e){return e?this:g.INSTANCE},e.prototype.getViewLineCount=function(){return 1},e.prototype.getViewLineContent=function(e,t,n){return e.getLineContent(t)},e.prototype.getViewLineMinColumn=function(e,t,n){return e.getLineMinColumn(t)},e.prototype.getViewLineMaxColumn=function(e,t,n){return e.getLineMaxColumn(t)},e.prototype.getViewLineData=function(e,t,n){var i=e.getLineTokens(t),o=i.getLineContent();return new r.ViewLineData(o,1,o.length+1,i.inflate())},e.prototype.getViewLinesData=function(e,t,n,i,o,r,s){
r[o]?s[o]=this.getViewLineData(e,t,0):s[o]=null},e.prototype.getModelColumnOfViewPosition=function(e,t){return t},e.prototype.getViewPositionOfModelPosition=function(e,t){return new n.Position(e,t)},e.prototype.getViewLineNumberOfModelPosition=function(e,t){return e},e.INSTANCE=new e,e}(),g=function(){function e(){}return e.prototype.isVisible=function(){return!1},e.prototype.setVisible=function(e){return e?f.INSTANCE:this},e.prototype.getViewLineCount=function(){return 0},e.prototype.getViewLineContent=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineMinColumn=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineMaxColumn=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLineData=function(e,t,n){throw new Error("Not supported")},e.prototype.getViewLinesData=function(e,t,n,i,o,r,s){throw new Error("Not supported")},e.prototype.getModelColumnOfViewPosition=function(e,t){throw new Error("Not supported")},
e.prototype.getViewPositionOfModelPosition=function(e,t){throw new Error("Not supported")},e.prototype.getViewLineNumberOfModelPosition=function(e,t){throw new Error("Not supported")},e.INSTANCE=new e,e}(),m=function(){function e(e,t){this.positionMapper=e,this.wrappedIndent=this.positionMapper.getWrappedLinesIndent(),this.wrappedIndentLength=this.wrappedIndent.length,this.outputLineCount=this.positionMapper.getOutputLineCount(),this._isVisible=t}return e.prototype.isVisible=function(){return this._isVisible},e.prototype.setVisible=function(e){return this._isVisible=e,this},e.prototype.getViewLineCount=function(){return this._isVisible?this.outputLineCount:0},e.prototype.getInputStartOffsetOfOutputLineIndex=function(e){return this.positionMapper.getInputOffsetOfOutputPosition(e,0)},e.prototype.getInputEndOffsetOfOutputLineIndex=function(e,t,n){return n+1===this.outputLineCount?e.getLineMaxColumn(t)-1:this.positionMapper.getInputOffsetOfOutputPosition(n+1,0)},e.prototype.getViewLineContent=function(e,t,n){
if(!this._isVisible)throw new Error("Not supported");var i=this.getInputStartOffsetOfOutputLineIndex(n),o=this.getInputEndOffsetOfOutputLineIndex(e,t,n),r=e.getValueInRange({startLineNumber:t,startColumn:i+1,endLineNumber:t,endColumn:o+1});return n>0&&(r=this.wrappedIndent+r),r},e.prototype.getViewLineMinColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return n>0?this.wrappedIndentLength+1:1},e.prototype.getViewLineMaxColumn=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");return this.getViewLineContent(e,t,n).length+1},e.prototype.getViewLineData=function(e,t,n){if(!this._isVisible)throw new Error("Not supported");var i=this.getInputStartOffsetOfOutputLineIndex(n),o=this.getInputEndOffsetOfOutputLineIndex(e,t,n),s=e.getValueInRange({startLineNumber:t,startColumn:i+1,endLineNumber:t,endColumn:o+1});n>0&&(s=this.wrappedIndent+s);var a=n>0?this.wrappedIndentLength+1:1,l=s.length+1,u=0;n>0&&(u=this.wrappedIndentLength);var c=e.getLineTokens(t)
;return new r.ViewLineData(s,a,l,c.sliceAndInflate(i,o,u))},e.prototype.getViewLinesData=function(e,t,n,i,o,r,s){if(!this._isVisible)throw new Error("Not supported");for(var a=n;a<i;a++){var l=o+a-n;r[l]?s[l]=this.getViewLineData(e,t,a):s[l]=null}},e.prototype.getModelColumnOfViewPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");var n=t-1;return e>0&&(n<this.wrappedIndentLength?n=0:n-=this.wrappedIndentLength),this.positionMapper.getInputOffsetOfOutputPosition(e,n)+1},e.prototype.getViewPositionOfModelPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");var i=this.positionMapper.getOutputPositionOfInputOffset(t-1),o=i.outputLineIndex,r=i.outputOffset+1;return o>0&&(r+=this.wrappedIndentLength),new n.Position(e+o,r)},e.prototype.getViewLineNumberOfModelPosition=function(e,t){if(!this._isVisible)throw new Error("Not supported");return e+this.positionMapper.getOutputPositionOfInputOffset(t-1).outputLineIndex},e}();t.SplitLine=m;var v=function(){function e(e){
this._lines=e}return e.prototype._validPosition=function(e){return this._lines.model.validatePosition(e)},e.prototype._validRange=function(e){return this._lines.model.validateRange(e)},e.prototype.convertViewPositionToModelPosition=function(e){return this._validPosition(e)},e.prototype.convertViewRangeToModelRange=function(e){return this._validRange(e)},e.prototype.validateViewPosition=function(e,t){return this._validPosition(t)},e.prototype.validateViewRange=function(e,t){return this._validRange(t)},e.prototype.convertModelPositionToViewPosition=function(e){return this._validPosition(e)},e.prototype.convertModelRangeToViewRange=function(e){return this._validRange(e)},e.prototype.modelPositionIsVisible=function(e){var t=this._lines.model.getLineCount();return!(e.lineNumber<1||e.lineNumber>t)},e}();t.IdentityCoordinatesConverter=v;var _=function(){function e(e){this.model=e}return e.prototype.dispose=function(){},e.prototype.createCoordinatesConverter=function(){return new v(this)},
e.prototype.getHiddenAreas=function(){return[]},e.prototype.setHiddenAreas=function(e){return!1},e.prototype.setTabSize=function(e){return!1},e.prototype.setWrappingSettings=function(e,t,n){return!1},e.prototype.onModelFlushed=function(){},e.prototype.onModelLinesDeleted=function(e,t,n){return new s.ViewLinesDeletedEvent(t,n)},e.prototype.onModelLinesInserted=function(e,t,n,i){return new s.ViewLinesInsertedEvent(t,n)},e.prototype.onModelLineChanged=function(e,t,n){return[!1,new s.ViewLinesChangedEvent(t,t),null,null]},e.prototype.acceptVersionId=function(e){},e.prototype.getViewLineCount=function(){return this.model.getLineCount()},e.prototype.warmUpLookupCache=function(e,t){},e.prototype.getViewLinesIndentGuides=function(e,t){for(var n=t-e+1,i=new Array(n),o=0;o<n;o++)i[o]=0;return i},e.prototype.getViewLineContent=function(e){return this.model.getLineContent(e)},e.prototype.getViewLineMinColumn=function(e){return this.model.getLineMinColumn(e)},e.prototype.getViewLineMaxColumn=function(e){
return this.model.getLineMaxColumn(e)},e.prototype.getViewLineData=function(e){var t=this.model.getLineTokens(e),n=t.getLineContent();return new r.ViewLineData(n,1,n.length+1,t.inflate())},e.prototype.getViewLinesData=function(e,t,n){var i=this.model.getLineCount();e=Math.min(Math.max(1,e),i),t=Math.min(Math.max(1,t),i);for(var o=[],r=e;r<=t;r++){var s=r-e;n[s]||(o[s]=null),o[s]=this.getViewLineData(r)}return o},e.prototype.getAllOverviewRulerDecorations=function(e,t,n){for(var i=this.model.getOverviewRulerDecorations(e,t),o=new y,r=0,s=i.length;r<s;r++){var a=i[r],l=a.options.overviewRuler,u=l.position;if(0!==u){var d=c(l,n),h=a.range.startLineNumber,p=a.range.endLineNumber;o.accept(d,h,p,u)}}return o.result},e.prototype.getDecorationsInRange=function(e,t,n){return this.model.getDecorationsInRange(e,t,n)},e}();t.IdentityLinesCollection=_;var y=function(){function e(){this.result=Object.create(null)}return e.prototype.accept=function(e,t,n,i){var o=this.result[e];if(o){var r=o[o.length-3],s=o[o.length-1]
;if(r===i&&s+1>=t)return void(n>s&&(o[o.length-1]=n));o.push(i,t,n)}else this.result[e]=[i,t,n]},e}()}),define(t[393],n([0,1,9,112,203,86,102,52]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u;!function(e){e[e.NONE=0]="NONE",e[e.BREAK_BEFORE=1]="BREAK_BEFORE",e[e.BREAK_AFTER=2]="BREAK_AFTER",e[e.BREAK_OBTRUSIVE=3]="BREAK_OBTRUSIVE",e[e.BREAK_IDEOGRAPHIC=4]="BREAK_IDEOGRAPHIC"}(u||(u={}));var c=function(e){function t(t,n,i){for(var o=e.call(this,0)||this,r=0;r<t.length;r++)o.set(t.charCodeAt(r),1);for(r=0;r<n.length;r++)o.set(n.charCodeAt(r),2);for(r=0;r<i.length;r++)o.set(i.charCodeAt(r),3);return o}return o(t,e),t.prototype.get=function(t){return t>=12352&&t<=12543||t>=13312&&t<=19903||t>=19968&&t<=40959?4:e.prototype.get.call(this,t)},t}(s.CharacterClassifier),d=function(){function e(e,t,n){this.classifier=new c(e,t,n)}return e.nextVisibleColumn=function(e,t,n,i){return e=+e,t=+t,i=+i,n?e+(t-e%t):e+i},e.prototype.createLineMapping=function(t,o,r,s,u){
if(-1===r)return null;o=+o,r=+r,s=+s;var c=0,d="",p=-1;if((u=+u)!==l.WrappingIndent.None&&-1!==(p=n.firstNonWhitespaceIndex(t))){d=t.substring(0,p);for(E=0;E<p;E++)c=e.nextVisibleColumn(c,o,9===t.charCodeAt(E),1);u===l.WrappingIndent.Indent&&(d+="\t",c=e.nextVisibleColumn(c,o,!0,1)),c+s>r&&(d="",c=0)}for(var f=this.classifier,g=0,m=[],v=0,_=0,y=-1,C=0,b=-1,S=0,w=t.length,E=0;E<w;E++){var L=t.charCodeAt(E),x=9===L,N=f.get(L);if(1===N&&(y=E,C=c),4===N&&E>0){var I=t.charCodeAt(E-1);1!==f.get(I)&&(y=E,C=c)}var T=1;if(n.isFullWidthCharacter(L)&&(T=s),(_=e.nextVisibleColumn(_,o,x,T))>r&&0!==E){var D=void 0,M=void 0;-1!==y&&C<=r?(D=y,M=C):-1!==b&&S<=r?(D=b,M=S):(D=E,M=c),m[v++]=D-g,g=D,_=e.nextVisibleColumn(M,o,x,T),y=-1,C=0,b=-1,S=0}if(-1!==y&&(C=e.nextVisibleColumn(C,o,x,T)),-1!==b&&(S=e.nextVisibleColumn(S,o,x,T)),2===N&&(u===l.WrappingIndent.None||E>=p)&&(y=E+1,C=c),4===N&&E<w-1){var k=t.charCodeAt(E+1);2!==f.get(k)&&(y=E+1,C=c)}3===N&&(b=E+1,S=c)}return 0===v?null:(m[v++]=w-g,
new h(new i.PrefixSumComputer(a.toUint32Array(m)),d))},e}();t.CharacterHardWrappingLineMapperFactory=d;var h=function(){function e(e,t){this._prefixSums=e,this._wrappedLinesIndent=t}return e.prototype.getOutputLineCount=function(){return this._prefixSums.getCount()},e.prototype.getWrappedLinesIndent=function(){return this._wrappedLinesIndent},e.prototype.getInputOffsetOfOutputPosition=function(e,t){return 0===e?t:this._prefixSums.getAccumulatedValue(e-1)+t},e.prototype.getOutputPositionOfInputOffset=function(e){var t=this._prefixSums.getIndexOf(e);return new r.OutputPosition(t.index,t.remainder)},e}();t.CharacterHardWrappingLineMapping=h}),define(t[394],n([0,1,9,13,3,17,196,238,88,203,72,137,393,237,27,28]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=!0,_=function(e){function t(t,n,i,o){var r=e.call(this)||this;if(r.editorId=t,r.configuration=n,r.model=i,r.hasFocus=!1,r.viewportStartLineTrackedRange=null,r.viewportStartLineTop=0,
v&&r.model.isTooLargeForTokenization())r.lines=new c.IdentityLinesCollection(r.model);else{var s=r.configuration.editor,a=new p.CharacterHardWrappingLineMapperFactory(s.wrappingInfo.wordWrapBreakBeforeCharacters,s.wrappingInfo.wordWrapBreakAfterCharacters,s.wrappingInfo.wordWrapBreakObtrusiveCharacters);r.lines=new c.SplitLinesCollection(r.model,a,r.model.getOptions().tabSize,s.wrappingInfo.wrappingColumn,s.fontInfo.typicalFullwidthCharacterWidth/s.fontInfo.typicalHalfwidthCharacterWidth,s.wrappingInfo.wrappingIndent)}return r.coordinatesConverter=r.lines.createCoordinatesConverter(),r.viewLayout=r._register(new f.ViewLayout(r.configuration,r.getLineCount(),o)),r._register(r.viewLayout.onDidScroll(function(e){try{r._beginEmit().emit(new d.ViewScrollChangedEvent(e))}finally{r._endEmit()}})),r._centeredViewLine=-1,r.decorations=new l.ViewModelDecorations(r.editorId,r.model,r.configuration,r.lines,r.coordinatesConverter),r._registerModelEvents(),r._register(r.configuration.onDidChange(function(e){try{
var t=r._beginEmit();r._onConfigurationChanged(t,e)}finally{r._endEmit()}})),r._register(h.MinimapTokensColorTracker.getInstance().onDidChange(function(){try{r._beginEmit().emit(new d.ViewTokensColorsChangedEvent)}finally{r._endEmit()}})),r}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this.decorations.dispose(),this.lines.dispose(),this.viewportStartLineTrackedRange=this.model._setTrackedRange(this.viewportStartLineTrackedRange,null,m.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges)},t.prototype.setHasFocus=function(e){this.hasFocus=e},t.prototype._onConfigurationChanged=function(e,t){var n=this.getCenteredRangeInViewport(),i=!1,o=this.configuration.editor;if(this.lines.setWrappingSettings(o.wrappingInfo.wrappingIndent,o.wrappingInfo.wrappingColumn,o.fontInfo.typicalFullwidthCharacterWidth/o.fontInfo.typicalHalfwidthCharacterWidth)&&(e.emit(new d.ViewFlushedEvent),e.emit(new d.ViewLineMappingChangedEvent),e.emit(new d.ViewDecorationsChangedEvent),
this.decorations.onLineMappingChanged(),this.viewLayout.onFlushed(this.getLineCount()),0!==this.viewLayout.getCurrentScrollTop()&&(i=!0)),t.readOnly&&(this.decorations.reset(),e.emit(new d.ViewDecorationsChangedEvent)),e.emit(new d.ViewConfigurationChangedEvent(t)),this.viewLayout.onConfigurationChanged(t),i&&n){var r=this.coordinatesConverter.convertModelRangeToViewRange(n);e.emit(new d.ViewRevealRangeRequestEvent(r,1,!1,1))}},t.prototype._registerModelEvents=function(){var e=this;this._register(this.model.onDidChangeRawContentFast(function(t){try{for(var n=e._beginEmit(),i=!1,o=!1,r=t.changes,s=t.versionId,a=0,l=r.length;a<l;a++){var u=r[a];switch(u.changeType){case 1:e.lines.onModelFlushed(),n.emit(new d.ViewFlushedEvent),e.decorations.reset(),e.viewLayout.onFlushed(e.getLineCount()),i=!0;break;case 3:null!==(g=e.lines.onModelLinesDeleted(s,u.fromLineNumber,u.toLineNumber))&&(n.emit(g),e.viewLayout.onLinesDeleted(g.fromLineNumber,g.toLineNumber)),i=!0;break;case 4:
null!==(f=e.lines.onModelLinesInserted(s,u.fromLineNumber,u.toLineNumber,u.detail))&&(n.emit(f),e.viewLayout.onLinesInserted(f.fromLineNumber,f.toLineNumber)),i=!0;break;case 2:var c=e.lines.onModelLineChanged(s,u.lineNumber,u.detail),h=c[0],p=c[1],f=c[2],g=c[3];o=h,p&&n.emit(p),f&&(n.emit(f),e.viewLayout.onLinesInserted(f.fromLineNumber,f.toLineNumber)),g&&(n.emit(g),e.viewLayout.onLinesDeleted(g.fromLineNumber,g.toLineNumber))}}e.lines.acceptVersionId(s),!i&&o&&(n.emit(new d.ViewLineMappingChangedEvent),n.emit(new d.ViewDecorationsChangedEvent),e.decorations.onLineMappingChanged())}finally{e._endEmit()}if(e._centeredViewLine=-1,e.configuration.setMaxLineNumber(e.model.getLineCount()),!e.hasFocus&&e.model.getAttachedEditorCount()>=2&&e.viewportStartLineTrackedRange){var m=e.model._getTrackedRange(e.viewportStartLineTrackedRange);if(m){var v=e.coordinatesConverter.convertModelPositionToViewPosition(m.getStartPosition()),_=e.viewLayout.getVerticalOffsetForLineNumber(v.lineNumber)
;e.viewLayout.deltaScrollNow(0,_-e.viewportStartLineTop)}}})),this._register(this.model.onDidChangeTokens(function(t){for(var n=[],o=0,r=t.ranges.length;o<r;o++){var s=t.ranges[o],a=e.coordinatesConverter.convertModelPositionToViewPosition(new i.Position(s.fromLineNumber,1)).lineNumber,l=e.coordinatesConverter.convertModelPositionToViewPosition(new i.Position(s.toLineNumber,e.model.getLineMaxColumn(s.toLineNumber))).lineNumber;n[o]={fromLineNumber:a,toLineNumber:l}}try{e._beginEmit().emit(new d.ViewTokensChangedEvent(n))}finally{e._endEmit()}})),this._register(this.model.onDidChangeLanguageConfiguration(function(t){try{e._beginEmit().emit(new d.ViewLanguageConfigurationEvent)}finally{e._endEmit()}})),this._register(this.model.onDidChangeOptions(function(t){if(e.lines.setTabSize(e.model.getOptions().tabSize)){e.decorations.onLineMappingChanged(),e.viewLayout.onFlushed(e.getLineCount());try{var n=e._beginEmit();n.emit(new d.ViewFlushedEvent),n.emit(new d.ViewLineMappingChangedEvent),
n.emit(new d.ViewDecorationsChangedEvent)}finally{e._endEmit()}}})),this._register(this.model.onDidChangeDecorations(function(t){e.decorations.onModelDecorationsChanged();try{e._beginEmit().emit(new d.ViewDecorationsChangedEvent)}finally{e._endEmit()}}))},t.prototype.setHiddenAreas=function(e){try{var t=this._beginEmit();this.lines.setHiddenAreas(e)&&(t.emit(new d.ViewFlushedEvent),t.emit(new d.ViewLineMappingChangedEvent),t.emit(new d.ViewDecorationsChangedEvent),this.decorations.onLineMappingChanged(),this.viewLayout.onFlushed(this.getLineCount()))}finally{this._endEmit()}},t.prototype.getCenteredRangeInViewport=function(){if(-1===this._centeredViewLine)return null;var e=this._centeredViewLine,t=new r.Range(e,this.getLineMinColumn(e),e,this.getLineMaxColumn(e));return this.coordinatesConverter.convertViewRangeToModelRange(t)},t.prototype.getVisibleRanges=function(){var e=this.getCompletelyVisibleViewRange(),t=this.coordinatesConverter.convertViewRangeToModelRange(e),n=this.lines.getHiddenAreas()
;if(0===n.length)return[t];for(var i=[],o=0,s=t.startLineNumber,a=t.startColumn,l=t.endLineNumber,u=t.endColumn,c=0,d=n.length;c<d;c++){var h=n[c].startLineNumber,p=n[c].endLineNumber;p<s||(h>l||(s<h&&(i[o++]=new r.Range(s,a,h-1,this.model.getLineMaxColumn(h-1))),s=p+1,a=1))}return(s<l||s===l&&a<u)&&(i[o++]=new r.Range(s,a,l,u)),i},t.prototype.getCompletelyVisibleViewRange=function(){var e=this.viewLayout.getLinesViewportData(),t=e.completelyVisibleStartLineNumber,n=e.completelyVisibleEndLineNumber;return new r.Range(t,this.getLineMinColumn(t),n,this.getLineMaxColumn(n))},t.prototype.getCompletelyVisibleViewRangeAtScrollTop=function(e){var t=this.viewLayout.getLinesViewportDataAtScrollTop(e),n=t.completelyVisibleStartLineNumber,i=t.completelyVisibleEndLineNumber;return new r.Range(n,this.getLineMinColumn(n),i,this.getLineMaxColumn(i))},t.prototype.saveState=function(){
var e=this.viewLayout.saveState(),t=e.scrollTop,n=this.viewLayout.getLineNumberAtVerticalOffset(t),o=this.coordinatesConverter.convertViewPositionToModelPosition(new i.Position(n,this.getLineMinColumn(n))),r=this.viewLayout.getVerticalOffsetForLineNumber(n)-t;return{scrollLeft:e.scrollLeft,firstPosition:o,firstPositionDeltaTop:r}},t.prototype.reduceRestoreState=function(e){if(void 0===e.firstPosition)return this._reduceRestoreStateCompatibility(e);var t=this.model.validatePosition(e.firstPosition),n=this.coordinatesConverter.convertModelPositionToViewPosition(t),i=this.viewLayout.getVerticalOffsetForLineNumber(n.lineNumber)-e.firstPositionDeltaTop;return{scrollLeft:e.scrollLeft,scrollTop:i}},t.prototype._reduceRestoreStateCompatibility=function(e){return{scrollLeft:e.scrollLeft,scrollTop:e.scrollTopWithoutViewZones}},t.prototype.getTabSize=function(){return this.model.getOptions().tabSize},t.prototype.getLineCount=function(){return this.lines.getViewLineCount()},t.prototype.setViewport=function(e,t,n){
this._centeredViewLine=n,this.lines.warmUpLookupCache(e,t);var o=this.coordinatesConverter.convertViewPositionToModelPosition(new i.Position(e,this.getLineMinColumn(e)));this.viewportStartLineTrackedRange=this.model._setTrackedRange(this.viewportStartLineTrackedRange,new r.Range(o.lineNumber,o.column,o.lineNumber,o.column),m.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges),this.viewportStartLineTop=this.viewLayout.getVerticalOffsetForLineNumber(e)},t.prototype.getLinesIndentGuides=function(e,t){return this.lines.getViewLinesIndentGuides(e,t)},t.prototype.getLineContent=function(e){return this.lines.getViewLineContent(e)},t.prototype.getLineMinColumn=function(e){return this.lines.getViewLineMinColumn(e)},t.prototype.getLineMaxColumn=function(e){return this.lines.getViewLineMaxColumn(e)},t.prototype.getLineFirstNonWhitespaceColumn=function(e){var t=n.firstNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+1},t.prototype.getLineLastNonWhitespaceColumn=function(e){
var t=n.lastNonWhitespaceIndex(this.getLineContent(e));return-1===t?0:t+2},t.prototype.getDecorationsInViewport=function(e){return this.decorations.getDecorationsViewportData(e).decorations},t.prototype.getViewLineRenderingData=function(e,t){var n=this.model.mightContainRTL(),i=this.model.mightContainNonBasicASCII(),o=this.getTabSize(),r=this.lines.getViewLineData(t),s=this.decorations.getDecorationsViewportData(e).inlineDecorations[t-e.startLineNumber];return new u.ViewLineRenderingData(r.minColumn,r.maxColumn,r.content,n,i,r.tokens,s,o)},t.prototype.getMinimapLinesRenderingData=function(e,t,n){var i=this.lines.getViewLinesData(e,t,n);return new u.MinimapLinesRenderingData(this.getTabSize(),i)},t.prototype.getAllOverviewRulerDecorations=function(e){return this.lines.getAllOverviewRulerDecorations(this.editorId,this.configuration.editor.readOnly,e)},t.prototype.invalidateOverviewRulerColorCache=function(){for(var e=this.model.getOverviewRulerDecorations(),t=0,n=e.length;t<n;t++){
e[t].options.overviewRuler._resolvedColor=null}},t.prototype.getValueInRange=function(e,t){var n=this.coordinatesConverter.convertViewRangeToModelRange(e);return this.model.getValueInRange(n,t)},t.prototype.getModelLineMaxColumn=function(e){return this.model.getLineMaxColumn(e)},t.prototype.validateModelPosition=function(e){return this.model.validatePosition(e)},t.prototype.deduceModelPositionRelativeToViewPosition=function(e,t,n){var i=this.coordinatesConverter.convertViewPositionToModelPosition(e);2===this.model.getEOL().length&&(t<0?t-=n:t+=n);var o=this.model.getOffsetAt(i)+t;return this.model.getPositionAt(o)},t.prototype.getEOL=function(){return this.model.getEOL()},t.prototype.getPlainTextToCopy=function(e,t){var n=this,o=this.model.getEOL();(e=e.slice(0)).sort(r.Range.compareRangesUsingStarts);var s=e.filter(function(e){return!e.isEmpty()});if(0===s.length){if(!t)return"";for(var a=e.map(function(e){var t=new i.Position(e.startLineNumber,1)
;return n.coordinatesConverter.convertViewPositionToModelPosition(t).lineNumber}),l="",u=0;u<a.length;u++)u>0&&a[u-1]===a[u]||(l+=this.model.getLineContent(a[u])+o);return l}for(var c=[],u=0;u<s.length;u++)c.push(this.getValueInRange(s[u],m.EndOfLinePreference.TextDefined));return 1===c.length?c[0]:c},t.prototype.getHTMLToCopy=function(e,t){if(1===this.model.getLanguageIdentifier().id)return null;if(1!==e.length)return null;var n=this.coordinatesConverter.convertViewRangeToModelRange(e[0]);if(n.isEmpty()){if(!t)return null;var i=n.startLineNumber;n=new r.Range(i,this.model.getLineMinColumn(i),i,this.model.getLineMaxColumn(i))}var o=this.configuration.editor.fontInfo,s=this._getColorMap();return'<div style="color: '+s[1]+";background-color: "+s[2]+";font-family: "+o.fontFamily+";font-weight: "+o.fontWeight+";font-size: "+o.fontSize+"px;line-height: "+o.lineHeight+'px;white-space: pre;">'+this._getHTMLToCopy(n,s)+"</div>"},t.prototype._getHTMLToCopy=function(e,t){
for(var n=e.startLineNumber,i=e.startColumn,o=e.endLineNumber,r=e.endColumn,s=this.getTabSize(),l="",u=n;u<=o;u++){var c=this.model.getLineTokens(u),d=c.getLineContent(),h=u===n?i-1:0,p=u===o?r-1:d.length;l+=""===d?"<br>":a.tokenizeLineToHTML(d,c.inflate(),t,h,p,s)}return l},t.prototype._getColorMap=function(){for(var e=s.TokenizationRegistry.getColorMap(),t=[null],n=1,i=e.length;n<i;n++)t[n]=g.Color.Format.CSS.formatHex(e[n]);return t},t}(d.ViewEventEmitter);t.ViewModel=_}),define(t[395],n([0,1,28,31]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e){this.editor=e,this.COLLAPSED_VISUAL_DECORATION=i.ModelDecorationOptions.register({stickiness:n.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,afterContentClassName:"inline-folded",linesDecorationsClassName:"folding collapsed"}),this.EXPANDED_AUTO_HIDE_VISUAL_DECORATION=i.ModelDecorationOptions.register({stickiness:n.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,
linesDecorationsClassName:"folding"}),this.EXPANDED_VISUAL_DECORATION=i.ModelDecorationOptions.register({stickiness:n.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,linesDecorationsClassName:"folding alwaysShowFoldIcons"}),this.autoHideFoldingControls=!0}return e.prototype.getDecorationOption=function(e){return e?this.COLLAPSED_VISUAL_DECORATION:this.autoHideFoldingControls?this.EXPANDED_AUTO_HIDE_VISUAL_DECORATION:this.EXPANDED_VISUAL_DECORATION},e.prototype.deltaDecorations=function(e,t){return this.editor.deltaDecorations(e,t)},e.prototype.changeDecorations=function(e){return this.editor.changeDecorations(e)},e}();t.FoldingDecorationProvider=o}),define(t[396],n([0,1,131,31,8,43]),function(e,t,n,i,o,r){"use strict";function s(e,t,n,o){void 0===o&&(o=a);var r=e.getOptions().tabSize,s=new u(o),l=void 0;n&&(l=new RegExp("("+n.start.source+")|(?:"+n.end.source+")"));var c=[];c.push({indent:-1,line:e.getLineCount()+1,marker:!1});for(var d=e.getLineCount();d>0;d--){
var h=e.getLineContent(d),p=i.TextModel.computeIndentLevel(h,r),f=c[c.length-1];if(-1!==p){var g=void 0;if(l&&(g=h.match(l))){if(!g[1]){c.push({indent:-2,line:d,marker:!0});continue}for(var m=c.length-1;m>0&&!c[m].marker;)m--;if(m>0){c.length=m+1,f=c[m],s.insertFirst(d,f.line,p),f.marker=!1,f.indent=p,f.line=d;continue}}if(f.indent>p){do{c.pop(),f=c[c.length-1]}while(f.indent>p);var v=f.line-1;v-d>=1&&s.insertFirst(d,v,p)}f.indent===p?f.line=d:c.push({indent:p,line:d,marker:!1})}else t&&!f.marker&&(f.line=d)}return s.toIndentRanges(e)}Object.defineProperty(t,"__esModule",{value:!0});var a=5e3,l=function(){function e(){}return e.prototype.compute=function(e,t){var n=r.LanguageConfigurationRegistry.getFoldingRules(e.getLanguageIdentifier().id),i=n&&n.offSide,a=n&&n.markers;return o.TPromise.as(s(e,i,a))},e}();t.IndentRangeProvider=l;var u=function(){function e(e){this._startIndexes=[],this._endIndexes=[],this._indentOccurrences=[],this._length=0,this._foldingRangesLimit=e}
return e.prototype.insertFirst=function(e,t,i){if(!(e>n.MAX_LINE_NUMBER||t>n.MAX_LINE_NUMBER)){var o=this._length;this._startIndexes[o]=e,this._endIndexes[o]=t,this._length++,i<1e3&&(this._indentOccurrences[i]=(this._indentOccurrences[i]||0)+1)}},e.prototype.toIndentRanges=function(e){if(this._length<=this._foldingRangesLimit){for(var t=new Uint32Array(this._length),o=new Uint32Array(this._length),r=this._length-1,s=0;r>=0;r--,s++)t[s]=this._startIndexes[r],o[s]=this._endIndexes[r];return new n.FoldingRegions(t,o)}for(var a=0,l=this._indentOccurrences.length,r=0;r<this._indentOccurrences.length;r++){var u=this._indentOccurrences[r];if(u){if(u+a>this._foldingRangesLimit){l=r;break}a+=u}}for(var c=e.getOptions().tabSize,t=new Uint32Array(a),o=new Uint32Array(a),r=this._length-1,s=0;r>=0;r--){var d=this._startIndexes[r],h=e.getLineContent(d);i.TextModel.computeIndentLevel(h,c)<l&&(t[s]=d,o[s]=this._endIndexes[r],s++)}return new n.FoldingRegions(t,o)},e}();t.RangesCollector=u,t.computeRanges=s}),
define(t[397],n([0,1,9,3,20,43,184,257,61]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t,n){this._selection=e,this._isMovingDown=t,this._autoIndent=n,this._moveEndLineSelectionShrink=!1}return e.prototype.getEditOperations=function(e,t){var s=e.getLineCount();if((!this._isMovingDown||this._selection.endLineNumber!==s)&&(this._isMovingDown||1!==this._selection.startLineNumber)){this._moveEndPositionDown=!1;var l=this._selection;l.startLineNumber<l.endLineNumber&&1===l.endColumn&&(this._moveEndPositionDown=!0,l=l.setEndPosition(l.endLineNumber-1,e.getLineMaxColumn(l.endLineNumber-1)));var u=e.getOptions().tabSize,c=e.getOptions().insertSpaces,d=this.buildIndentConverter(u),h={getLineTokens:function(t){return e.getLineTokens(t)},getLanguageIdentifier:function(){return e.getLanguageIdentifier()},getLanguageIdAtPosition:function(t,n){return e.getLanguageIdAtPosition(t,n)},getLineContent:null}
;if(l.startLineNumber===l.endLineNumber&&1===e.getLineMaxColumn(l.startLineNumber)){var p=l.startLineNumber,f=this._isMovingDown?p+1:p-1;1===e.getLineMaxColumn(f)?t.addEditOperation(new i.Range(1,1,1,1),null):(t.addEditOperation(new i.Range(p,1,p,1),e.getLineContent(f)),t.addEditOperation(new i.Range(f,1,f,e.getLineMaxColumn(f)),null)),l=new o.Selection(f,1,f,1)}else{var g,m;if(this._isMovingDown){g=l.endLineNumber+1,m=e.getLineContent(g),t.addEditOperation(new i.Range(g-1,e.getLineMaxColumn(g-1),g,e.getLineMaxColumn(g)),null);var v=m;if(this.shouldAutoIndent(e,l)){var _=this.matchEnterRule(e,d,u,g,l.startLineNumber-1);if(null!==_){var y=n.getLeadingWhitespace(e.getLineContent(g)),C=_+a.getSpaceCnt(y,u),b=a.generateIndent(C,u,c);v=b+this.trimLeft(m)}else{h.getLineContent=function(t){return t===l.startLineNumber?e.getLineContent(g):e.getLineContent(t)};var S=r.LanguageConfigurationRegistry.getGoodIndentForLine(h,e.getLanguageIdAtPosition(g,1),l.startLineNumber,d);if(null!==S){
y=n.getLeadingWhitespace(e.getLineContent(g));if((C=a.getSpaceCnt(S,u))!==(N=a.getSpaceCnt(y,u))){b=a.generateIndent(C,u,c);v=b+this.trimLeft(m)}}}t.addEditOperation(new i.Range(l.startLineNumber,1,l.startLineNumber,1),v+"\n");if(null!==(E=this.matchEnterRule(e,d,u,l.startLineNumber,l.startLineNumber,v)))0!==E&&this.getIndentEditsOfMovingBlock(e,t,l,u,c,E);else{h.getLineContent=function(t){return t===l.startLineNumber?v:t>=l.startLineNumber+1&&t<=l.endLineNumber+1?e.getLineContent(t-1):e.getLineContent(t)};var w=r.LanguageConfigurationRegistry.getGoodIndentForLine(h,e.getLanguageIdAtPosition(g,1),l.startLineNumber+1,d);if(null!==w){y=n.getLeadingWhitespace(e.getLineContent(l.startLineNumber));if((C=a.getSpaceCnt(w,u))!==(N=a.getSpaceCnt(y,u))){I=C-N;this.getIndentEditsOfMovingBlock(e,t,l,u,c,I)}}}}else t.addEditOperation(new i.Range(l.startLineNumber,1,l.startLineNumber,1),v+"\n")}else if(g=l.startLineNumber-1,m=e.getLineContent(g),t.addEditOperation(new i.Range(g,1,g+1,1),null),
t.addEditOperation(new i.Range(l.endLineNumber,e.getLineMaxColumn(l.endLineNumber),l.endLineNumber,e.getLineMaxColumn(l.endLineNumber)),"\n"+m),this.shouldAutoIndent(e,l)){h.getLineContent=function(t){return t===g?e.getLineContent(l.startLineNumber):e.getLineContent(t)};var E=this.matchEnterRule(e,d,u,l.startLineNumber,l.startLineNumber-2);if(null!==E)0!==E&&this.getIndentEditsOfMovingBlock(e,t,l,u,c,E);else{var L=r.LanguageConfigurationRegistry.getGoodIndentForLine(h,e.getLanguageIdAtPosition(l.startLineNumber,1),g,d);if(null!==L){var x=n.getLeadingWhitespace(e.getLineContent(l.startLineNumber)),C=a.getSpaceCnt(L,u),N=a.getSpaceCnt(x,u);if(C!==N){var I=C-N;this.getIndentEditsOfMovingBlock(e,t,l,u,c,I)}}}}}this._selectionId=t.trackSelection(l)}},e.prototype.buildIndentConverter=function(e){return{shiftIndent:function(t){for(var n=s.ShiftCommand.shiftIndentCount(t,t.length+1,e),i="",o=0;o<n;o++)i+="\t";return i},unshiftIndent:function(t){
for(var n=s.ShiftCommand.unshiftIndentCount(t,t.length+1,e),i="",o=0;o<n;o++)i+="\t";return i}}},e.prototype.matchEnterRule=function(e,t,o,s,u,c){for(var d=u;d>=1;){var h=void 0;h=d===u&&void 0!==c?c:e.getLineContent(d);if(n.lastNonWhitespaceIndex(h)>=0)break;d--}if(d<1||s>e.getLineCount())return null;var p=e.getLineMaxColumn(d),f=r.LanguageConfigurationRegistry.getEnterAction(e,new i.Range(d,p,d,p));if(f){var g=f.indentation,m=f.enterAction;m.indentAction===l.IndentAction.None?g=f.indentation+m.appendText:m.indentAction===l.IndentAction.Indent?g=f.indentation+m.appendText:m.indentAction===l.IndentAction.IndentOutdent?g=f.indentation:m.indentAction===l.IndentAction.Outdent&&(g=t.unshiftIndent(f.indentation)+m.appendText);var v=e.getLineContent(s);if(this.trimLeft(v).indexOf(this.trimLeft(g))>=0){var _=n.getLeadingWhitespace(e.getLineContent(s)),y=n.getLeadingWhitespace(g);2&r.LanguageConfigurationRegistry.getIndentMetadata(e,s)&&(y=t.unshiftIndent(y));return a.getSpaceCnt(y,o)-a.getSpaceCnt(_,o)}}return null
},e.prototype.trimLeft=function(e){return e.replace(/^\s+/,"")},e.prototype.shouldAutoIndent=function(e,t){if(!this._autoIndent)return!1;if(!e.isCheapToTokenize(t.startLineNumber))return!1;var n=e.getLanguageIdAtPosition(t.startLineNumber,1);return n===e.getLanguageIdAtPosition(t.endLineNumber,1)&&null!==r.LanguageConfigurationRegistry.getIndentRulesSupport(n)},e.prototype.getIndentEditsOfMovingBlock=function(e,t,o,r,s,l){for(var u=o.startLineNumber;u<=o.endLineNumber;u++){var c=e.getLineContent(u),d=n.getLeadingWhitespace(c),h=a.getSpaceCnt(d,r)+l,p=a.generateIndent(h,r,s);p!==d&&(t.addEditOperation(new i.Range(u,1,u,d.length+1),p),u===o.endLineNumber&&o.endColumn<=d.length+1&&""===p&&(this._moveEndLineSelectionShrink=!0))}},e.prototype.computeCursorState=function(e,t){var n=t.getTrackedSelection(this._selectionId);return this._moveEndPositionDown&&(n=n.setEndPosition(n.endLineNumber+1,1)),this._moveEndLineSelectionShrink&&n.startLineNumber<n.endLineNumber&&(n=n.setEndPosition(n.endLineNumber,2)),n},e}()
;t.MoveLinesCommand=u}),define(t[398],n([0,1,128,2,4,70,10,24,31,385]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e){var t=this;this._disposables=[],this._onClick=new o.Emitter,this.onClick=this._onClick.event,this._futureFixes=new n.CancellationTokenSource,this._domNode=document.createElement("div"),this._domNode.className="lightbulb-glyph",this._editor=e,this._editor.addContentWidget(this),this._disposables.push(this._editor.onDidChangeModel(function(e){return t._futureFixes.cancel()})),this._disposables.push(this._editor.onDidChangeModelLanguage(function(e){return t._futureFixes.cancel()})),this._disposables.push(this._editor.onDidChangeModelContent(function(e){t._model&&t.model.position.lineNumber>=t._editor.getModel().getLineCount()&&t._futureFixes.cancel()})),this._disposables.push(s.addStandardDisposableListener(this._domNode,"click",function(e){t._editor.focus()
;var n=s.getDomNodePagePosition(t._domNode),i=n.top,o=n.height,r=t._editor.getConfiguration().lineHeight,a=Math.floor(r/3);t._position.position.lineNumber<t._model.position.lineNumber&&(a+=r),t._onClick.fire({x:e.posx,y:i+o+a})})),this._disposables.push(s.addDisposableListener(this._domNode,"mouseenter",function(e){if(1==(1&e.buttons)){t.hide();var n=new r.GlobalMouseMoveMonitor;n.startMonitoring(r.standardMouseMoveMerger,function(){},function(){n.dispose()})}})),this._disposables.push(this._editor.onDidChangeConfiguration(function(e){e.contribInfo&&!t._editor.getConfiguration().contribInfo.lightbulbEnabled&&t.hide()}))}return e.prototype.dispose=function(){i.dispose(this._disposables),this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"LightBulbWidget"},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return this._position},Object.defineProperty(e.prototype,"model",{get:function(){return this._model},set:function(e){var t=this
;!this._position||e.position&&this._position.position.lineNumber===e.position.lineNumber?this._futureFixes&&this._futureFixes.cancel():this.hide(),this._futureFixes=new n.CancellationTokenSource;var i=this._futureFixes.token;this._model=e,this._model.fixes.done(function(e){!i.isCancellationRequested&&e&&e.length>0?t._show():t.hide()},function(e){t.hide()})},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"title",{get:function(){return this._domNode.title},set:function(e){this._domNode.title=e},enumerable:!0,configurable:!0}),e.prototype._show=function(){var t=this._editor.getConfiguration();if(t.contribInfo.lightbulbEnabled){var n=this._model.position.lineNumber,i=this._editor.getModel(),o=i.getOptions().tabSize,r=i.getLineContent(n),s=l.TextModel.computeIndentLevel(r,o),a=n;t.fontInfo.spaceWidth*s>22||(n>1?a-=1:a+=1),this._position={position:{lineNumber:a,column:1},preference:e._posPref},this._editor.layoutContentWidget(this)}},e.prototype.hide=function(){this._position=null,
this._model=null,this._futureFixes.cancel(),this._editor.layoutContentWidget(this)},e._posPref=[a.ContentWidgetPositionPreference.EXACT],e}();t.LightBulbWidget=u}),define(t[399],n([0,1,8,3,47,263]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this._modelService=e}return e.prototype.getRangesToPosition=function(e,t){return n.TPromise.as(this.getRangesToPositionSync(e,t))},e.prototype.getRangesToPositionSync=function(e,t){var n=this._modelService.getModel(e),i=[];return n&&this._doGetRangesToPosition(n,t).forEach(function(e){i.push({type:void 0,range:e})}),i},e.prototype._doGetRangesToPosition=function(e,t){var n,o,s=r.build(e);n=r.find(s,t);for(var a=[];n;)o&&i.Range.equalsRange(o,n.range)||a.push(n.range),o=n.range,n=n.parent;return a=a.reverse()},e=u([d(0,o.IModelService)],e)}();t.TokenSelectionSupport=s}),define(t[204],n([0,1,2,25,10,106,3,27,31,114,28,400]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var d=new a.Color(new a.RGBA(0,122,204)),h={showArrow:!0,showFrame:!0,className:"",frameColor:d,arrowColor:d,keepEditorSelection:!1},p=function(){function e(e,t,n,i,o,r){this.domNode=e,this.afterLineNumber=t,this.afterColumn=n,this.heightInLines=i,this._onDomNodeTop=o,this._onComputedHeight=r}return e.prototype.onDomNodeTop=function(e){this._onDomNodeTop(e)},e.prototype.onComputedHeight=function(e){this._onComputedHeight(e)},e}();t.ViewZoneDelegate=p;var f=function(){function e(e,t){this._id=e,this._domNode=t}return e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return null},e}();t.OverlayWidgetDelegate=f;var g=function(){function e(t){this._editor=t,this._ruleName=e._IdGenerator.nextId(),this._decorations=[]}return e.prototype.dispose=function(){this.hide(),o.removeCSSRulesContainingSelector(this._ruleName)},Object.defineProperty(e.prototype,"color",{set:function(e){
this._color!==e&&(this._color=e,this._updateStyle())},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"height",{set:function(e){this._height!==e&&(this._height=e,this._updateStyle())},enumerable:!0,configurable:!0}),e.prototype._updateStyle=function(){o.removeCSSRulesContainingSelector(this._ruleName),o.createCSSRule(".monaco-editor "+this._ruleName,"border-style: solid; border-color: transparent; border-bottom-color: "+this._color+"; border-width: "+this._height+"px; bottom: -"+this._height+"px; margin-left: -"+this._height+"px; ")},e.prototype.show=function(e){this._decorations=this._editor.deltaDecorations(this._decorations,[{range:s.Range.fromPositions(e),options:{className:this._ruleName,stickiness:c.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges}}])},e.prototype.hide=function(){this._editor.deltaDecorations(this._decorations,[])},e._IdGenerator=new u.IdGenerator(".arrow-decoration-"),e}(),m=function(){function e(e,t){void 0===t&&(t={});var n=this;this._positionMarkerId=[],
this._disposables=[],this._isShowing=!1,this.editor=e,this.options=i.deepClone(t),i.mixin(this.options,h,!1),this.domNode=document.createElement("div"),this.options.isAccessible||(this.domNode.setAttribute("aria-hidden","true"),this.domNode.setAttribute("role","presentation")),this._disposables.push(this.editor.onDidLayoutChange(function(e){var t=n._getWidth(e);n.domNode.style.width=t+"px",n.domNode.style.left=n._getLeft(e)+"px",n._onWidth(t)}))}return e.prototype.dispose=function(){var e=this;n.dispose(this._disposables),this._overlayWidget&&(this.editor.removeOverlayWidget(this._overlayWidget),this._overlayWidget=null),this._viewZone&&this.editor.changeViewZones(function(t){t.removeZone(e._viewZone.id),e._viewZone=null}),this.editor.deltaDecorations(this._positionMarkerId,[])},e.prototype.create=function(){o.addClass(this.domNode,"zone-widget"),o.addClass(this.domNode,this.options.className),this.container=document.createElement("div"),o.addClass(this.container,"zone-widget-container"),
this.domNode.appendChild(this.container),this.options.showArrow&&(this._arrow=new g(this.editor),this._disposables.push(this._arrow)),this._fillContainer(this.container),this._initSash(),this._applyStyles()},e.prototype.style=function(e){e.frameColor&&(this.options.frameColor=e.frameColor),e.arrowColor&&(this.options.arrowColor=e.arrowColor),this._applyStyles()},e.prototype._applyStyles=function(){if(this.container){var e=this.options.frameColor.toString();this.container.style.borderTopColor=e,this.container.style.borderBottomColor=e}if(this._arrow){var t=this.options.arrowColor.toString();this._arrow.color=t}},e.prototype._getWidth=function(e){return e.width-e.minimapWidth-e.verticalScrollbarWidth},e.prototype._getLeft=function(e){return e.minimapWidth>0&&0===e.minimapLeft?e.minimapWidth:0},e.prototype._onViewZoneTop=function(e){this.domNode.style.top=e+"px"},e.prototype._onViewZoneHeight=function(e){this.domNode.style.height=e+"px";var t=e-this._decoratingElementsHeight();this.container.style.height=t+"px"
;var n=this.editor.getLayoutInfo();this._doLayout(t,this._getWidth(n)),this._resizeSash.layout()},Object.defineProperty(e.prototype,"position",{get:function(){var e=this._positionMarkerId[0];if(e)return this.editor.getModel().getDecorationRange(e).getStartPosition()},enumerable:!0,configurable:!0}),e.prototype.show=function(e,t){var n=s.Range.isIRange(e)?e:new s.Range(e.lineNumber,e.column,e.lineNumber,e.column);this._isShowing=!0,this._showImpl(n,t),this._isShowing=!1,this._positionMarkerId=this.editor.deltaDecorations(this._positionMarkerId,[{range:n,options:l.ModelDecorationOptions.EMPTY}])},e.prototype.hide=function(){var e=this;this._viewZone&&(this.editor.changeViewZones(function(t){t.removeZone(e._viewZone.id)}),this._viewZone=null),this._overlayWidget&&(this.editor.removeOverlayWidget(this._overlayWidget),this._overlayWidget=null),this._arrow&&this._arrow.hide()},e.prototype._decoratingElementsHeight=function(){var e=this.editor.getConfiguration().lineHeight,t=0;if(this.options.showArrow){
t+=2*Math.round(e/3)}if(this.options.showFrame){t+=2*Math.round(e/9)}return t},e.prototype._showImpl=function(e,t){var n=this,i={lineNumber:e.startLineNumber,column:e.startColumn},o=this.editor.getLayoutInfo(),r=this._getWidth(o);this.domNode.style.width=r+"px",this.domNode.style.left=this._getLeft(o)+"px";var s=document.createElement("div");s.style.overflow="hidden";var a=this.editor.getConfiguration().lineHeight,l=this.editor.getLayoutInfo().height/a*.8;t>=l&&(t=l);var u=0,c=0;if(this.options.showArrow&&(u=Math.round(a/3),this._arrow.height=u,this._arrow.show(i)),this.options.showFrame&&(c=Math.round(a/9)),this.editor.changeViewZones(function(e){n._viewZone&&e.removeZone(n._viewZone.id),n._overlayWidget&&(n.editor.removeOverlayWidget(n._overlayWidget),n._overlayWidget=null),n.domNode.style.top="-1000px",n._viewZone=new p(s,i.lineNumber,i.column,t,function(e){return n._onViewZoneTop(e)},function(e){return n._onViewZoneHeight(e)}),n._viewZone.id=e.addZone(n._viewZone),
n._overlayWidget=new f("vs.editor.contrib.zoneWidget"+n._viewZone.id,n.domNode),n.editor.addOverlayWidget(n._overlayWidget)}),this.options.showFrame){var d=this.options.frameWidth?this.options.frameWidth:c;this.container.style.borderTopWidth=d+"px",this.container.style.borderBottomWidth=d+"px"}var h=t*a-this._decoratingElementsHeight();this.container.style.top=u+"px",this.container.style.height=h+"px",this.container.style.overflow="hidden",this._doLayout(h,r),this.options.keepEditorSelection||this.editor.setSelection(e);var g=Math.min(this.editor.getModel().getLineCount(),Math.max(1,e.endLineNumber+1));this.revealLine(g)},e.prototype.revealLine=function(e){this.editor.revealLine(e,0)},e.prototype.setCssClass=function(e,t){t&&this.container.classList.remove(t),o.addClass(this.container,e)},e.prototype._onWidth=function(e){},e.prototype._doLayout=function(e,t){},e.prototype._relayout=function(e){var t=this;this._viewZone.heightInLines!==e&&this.editor.changeViewZones(function(n){t._viewZone.heightInLines=e,
n.layoutZone(t._viewZone.id)})},e.prototype._initSash=function(){var e=this;this._resizeSash=new r.Sash(this.domNode,this,{orientation:r.Orientation.HORIZONTAL}),this.options.isResizeable||(this._resizeSash.hide(),this._resizeSash.disable());var t;this._disposables.push(this._resizeSash.onDidStart(function(n){e._viewZone&&(t={startY:n.startY,heightInLines:e._viewZone.heightInLines})})),this._disposables.push(this._resizeSash.onDidEnd(function(){t=void 0})),this._disposables.push(this._resizeSash.onDidChange(function(n){if(t){var i=(n.currentY-t.startY)/e.editor.getConfiguration().lineHeight,o=i<0?Math.ceil(i):Math.floor(i),r=t.heightInLines+o;r>5&&r<35&&e._relayout(r)}}))},e.prototype.getHorizontalSashLeft=function(){return 0},e.prototype.getHorizontalSashTop=function(){return parseInt(this.domNode.style.height)-this._decoratingElementsHeight()/2},e.prototype.getHorizontalSashWidth=function(){var e=this.editor.getLayoutInfo();return e.width-e.minimapWidth},e}();t.ZoneWidget=m}),
define(t[401],n([0,1,8,17,97,80,9]),function(e,t,n,i,o,r,s){"use strict";function a(e,t,n){return function(e,t,n){for(var i=[],s=n.getInitialState(),a=0,l=e.length;a<l;a++){var u=e[a],c=n.tokenize2(u,s,0);r.LineTokens.convertToEndOffset(c.tokens,u.length);var d=new r.LineTokens(c.tokens,u),h=o.renderViewLine2(new o.RenderLineInput(!1,u,!0,0,d.inflate(),[],t,0,-1,"none",!1,!1));(i=i.concat(h.html)).push("<br/>"),s=c.endState}return i.join("")}(e,t,n)}Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(){}return e.colorizeElement=function(e,t,n,i){var o=(i=i||{}).theme||"vs",r=i.mimeType||n.getAttribute("lang")||n.getAttribute("data-lang");if(r){e.setTheme(o);var s=n.firstChild.nodeValue;n.className+=" "+o;var a=function(e){n.innerHTML=e};return this.colorize(t,s,r,i).then(a,function(e){return console.error(e)},a)}console.error("Mode not detected")},e._tokenizationSupportChangedPromise=function(e){var t=null,o=function(){t&&(t.dispose(),t=null)};return new n.TPromise(function(n,r,s){
t=i.TokenizationRegistry.onDidChange(function(t){t.changedLanguages.indexOf(e)>=0&&(o(),n(void 0))})},o)},e.colorize=function(e,t,l,u){s.startsWithUTF8BOM(t)&&(t=t.substr(1));var c=t.split(/\r\n|\r|\n/),d=e.getModeId(l);void 0===(u=u||{}).tabSize&&(u.tabSize=4),e.getOrCreateMode(d);var h=i.TokenizationRegistry.get(d);return h?n.TPromise.as(a(c,u.tabSize,h)):n.TPromise.any([this._tokenizationSupportChangedPromise(d),n.TPromise.timeout(500)]).then(function(e){var t=i.TokenizationRegistry.get(d);return t?a(c,u.tabSize,t):function(e,t){var n=[],i=new Uint32Array(2);i[0]=0,i[1]=16793600;for(var s=0,a=e.length;s<a;s++){var l=e[s];i[0]=l.length;var u=new r.LineTokens(i,l),c=o.renderViewLine2(new o.RenderLineInput(!1,l,!1,0,u,[],t,0,-1,"none",!1,!1));(n=n.concat(c.html)).push("<br/>")}return n.join("")}(c,u.tabSize)})},e.colorizeLine=function(e,t,n,i){void 0===i&&(i=4);return o.renderViewLine2(new o.RenderLineInput(!1,e,t,0,n,[],i,0,-1,"none",!1,!1)).html},e.colorizeModelLine=function(e,t,n){void 0===n&&(n=4)
;var i=e.getLineContent(t);e.forceTokenization(t);var o=e.getLineTokens(t).inflate();return this.colorizeLine(i,e.mightContainRTL(),o,n)},e}();t.Colorizer=l}),define(t[402],n([0,1,17,206,94,64]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this._maxCacheDepth=e,this._entries=Object.create(null)}return e.create=function(e,t){return this._INSTANCE.create(e,t)},e.prototype.create=function(e,t){if(null!==e&&e.depth>=this._maxCacheDepth)return new a(e,t);var n=a.getStackElementId(e);n.length>0&&(n+="|"),n+=t;var i=this._entries[n];return i||(i=new a(e,t),this._entries[n]=i,i)},e._INSTANCE=new e(5),e}(),a=function(){function e(e,t){this.parent=e,this.state=t,this.depth=(this.parent?this.parent.depth:0)+1}return e.getStackElementId=function(e){for(var t="";null!==e;)t.length>0&&(t+="|"),t+=e.state,e=e.parent;return t},e._equals=function(e,t){for(;null!==e&&null!==t;){if(e===t)return!0;if(e.state!==t.state)return!1;e=e.parent,t=t.parent}
return null===e&&null===t},e.prototype.equals=function(t){return e._equals(this,t)},e.prototype.push=function(e){return s.create(this,e)},e.prototype.pop=function(){return this.parent},e.prototype.popall=function(){for(var e=this;e.parent;)e=e.parent;return e},e.prototype.switchTo=function(e){return s.create(this.parent,e)},e}(),l=function(){function e(e,t){this.modeId=e,this.state=t}return e.prototype.equals=function(e){return this.modeId===e.modeId&&this.state.equals(e.state)},e.prototype.clone=function(){return this.state.clone()===this.state?this:new e(this.modeId,this.state)},e}(),u=function(){function e(e){this._maxCacheDepth=e,this._entries=Object.create(null)}return e.create=function(e,t){return this._INSTANCE.create(e,t)},e.prototype.create=function(e,t){if(null!==t)return new c(e,t);if(null!==e&&e.depth>=this._maxCacheDepth)return new c(e,t);var n=a.getStackElementId(e),i=this._entries[n];return i||(i=new c(e,null),this._entries[n]=i,i)},e._INSTANCE=new e(5),e}(),c=function(){function e(e,t){
this.stack=e,this.embeddedModeData=t}return e.prototype.clone=function(){return(this.embeddedModeData?this.embeddedModeData.clone():null)===this.embeddedModeData?this:u.create(this.stack,this.embeddedModeData)},e.prototype.equals=function(t){return t instanceof e&&(!!this.stack.equals(t.stack)&&(null===this.embeddedModeData&&null===t.embeddedModeData||null!==this.embeddedModeData&&null!==t.embeddedModeData&&this.embeddedModeData.equals(t.embeddedModeData)))},e}(),d=Object.hasOwnProperty,h=function(){function e(){this._tokens=[],this._language=null,this._lastTokenType=null,this._lastTokenLanguage=null}return e.prototype.enterMode=function(e,t){this._language=t},e.prototype.emit=function(e,t){this._lastTokenType===t&&this._lastTokenLanguage===this._language||(this._lastTokenType=t,this._lastTokenLanguage=this._language,this._tokens.push(new o.Token(e,t,this._language)))},e.prototype.nestedModeTokenize=function(e,t,i){var o=t.modeId,r=t.state,s=n.TokenizationRegistry.get(o);if(!s)return this.enterMode(i,o),
this.emit(i,""),r;var a=s.tokenize(e,r,i);return this._tokens=this._tokens.concat(a.tokens),this._lastTokenType=null,this._lastTokenLanguage=null,this._language=null,a.endState},e.prototype.finalize=function(e){return new o.TokenizationResult(this._tokens,e)},e}(),p=function(){function e(e,t){this._modeService=e,this._theme=t,this._prependTokens=null,this._tokens=[],this._currentLanguageId=0,this._lastTokenMetadata=0}return e.prototype.enterMode=function(e,t){this._currentLanguageId=this._modeService.getLanguageIdentifier(t).id},e.prototype.emit=function(e,t){var n=this._theme.match(this._currentLanguageId,t);this._lastTokenMetadata!==n&&(this._lastTokenMetadata=n,this._tokens.push(e),this._tokens.push(n))},e._merge=function(e,t,n){var i=null!==e?e.length:0,o=t.length,r=null!==n?n.length:0;if(0===i&&0===o&&0===r)return new Uint32Array(0);if(0===i&&0===o)return n;if(0===o&&0===r)return e;var s=new Uint32Array(i+o+r);null!==e&&s.set(e);for(var a=0;a<o;a++)s[i+a]=t[a];return null!==n&&s.set(n,i+o),s},
e.prototype.nestedModeTokenize=function(t,i,o){var r=i.modeId,s=i.state,a=n.TokenizationRegistry.get(r);if(!a)return this.enterMode(o,r),this.emit(o,""),s;var l=a.tokenize2(t,s,o);return this._prependTokens=e._merge(this._prependTokens,this._tokens,l.tokens),this._tokens=[],this._currentLanguageId=0,this._lastTokenMetadata=0,l.endState},e.prototype.finalize=function(t){return new o.TokenizationResult2(e._merge(this._prependTokens,this._tokens,null),t)},e}(),f=function(){function e(e,t,i,o){var r=this;this._modeService=e,this._standaloneThemeService=t,this._modeId=i,this._lexer=o,this._embeddedModes=Object.create(null);var s=!1;this._tokenizationRegistryListener=n.TokenizationRegistry.onDidChange(function(e){if(!s){for(var t=!1,i=0,o=e.changedLanguages.length;i<o;i++){var a=e.changedLanguages[i];if(r._embeddedModes[a]){t=!0;break}}t&&(s=!0,n.TokenizationRegistry.fire([r._modeId]),s=!1)}})}return e.prototype.dispose=function(){this._tokenizationRegistryListener.dispose()},e.prototype.getInitialState=function(){
var e=s.create(null,this._lexer.start);return u.create(e,null)},e.prototype.tokenize=function(e,t,n){var i=new h,o=this._tokenize(e,t,n,i);return i.finalize(o)},e.prototype.tokenize2=function(e,t,n){var i=new p(this._modeService,this._standaloneThemeService.getTheme().tokenTheme),o=this._tokenize(e,t,n,i);return i.finalize(o)},e.prototype._tokenize=function(e,t,n,i){return t.embeddedModeData?this._nestedTokenize(e,t,n,i):this._myTokenize(e,t,n,i)},e.prototype._findLeavingNestedModeOffset=function(e,t){var n=this._lexer.tokenizer[t.stack.state];n||(n=i.findRules(this._lexer,t.stack.state))||i.throwError(this._lexer,"tokenizer state is not defined: "+t.stack.state);var o=-1,r=!1;for(var s in n)if(d.call(n,s)){var a=n[s];if(i.isIAction(a.action)&&"@pop"===a.action.nextEmbedded){r=!0;var l=a.regex,u=a.regex.source;"^(?:"===u.substr(0,4)&&")"===u.substr(u.length-1,1)&&(l=new RegExp(u.substr(4,u.length-5),l.ignoreCase?"i":""));var c=e.search(l);-1!==c&&(-1===o||c<o)&&(o=c)}}
return r||i.throwError(this._lexer,'no rule containing nextEmbedded: "@pop" in tokenizer embedded state: '+t.stack.state),o},e.prototype._nestedTokenize=function(e,t,n,i){var o=this._findLeavingNestedModeOffset(e,t);if(-1===o){var r=i.nestedModeTokenize(e,t.embeddedModeData,n);return u.create(t.stack,new l(t.embeddedModeData.modeId,r))}var s=e.substring(0,o);s.length>0&&i.nestedModeTokenize(s,t.embeddedModeData,n);var a=e.substring(o);return this._myTokenize(a,t,n+o,i)},e.prototype._myTokenize=function(e,t,n,o){o.enterMode(n,this._modeId);for(var r=e.length,s=t.embeddedModeData,a=t.stack,l=0,c=null,h=null,p=null,f=null;l<r;){var g=l,m=a.depth,v=c?c.length:0,_=a.state,y=null,C=null,b=null,S=null,w=null;if(c)y=h,C=p.shift(),b=c.shift(),S=f,0===c.length&&(c=null,h=null,p=null,f=null);else{if(l>=r)break;var E=this._lexer.tokenizer[_];E||(E=i.findRules(this._lexer,_))||i.throwError(this._lexer,"tokenizer state is not defined: "+_);F=e.substr(l);for(var L in E)if(d.call(E,L)){var x=E[L]
;if((0===l||!x.matchOnlyAtLineStart)&&(y=F.match(x.regex))){C=y[0],b=x.action;break}}}for(y||(y=[""],C=""),b||(l<r&&(C=(y=[e.charAt(l)])[0]),b=this._lexer.defaultToken),l+=C.length;i.isFuzzyAction(b)&&i.isIAction(b)&&b.test;)b=b.test(C,y,_,l===r);var N=null;if("string"==typeof b||Array.isArray(b))N=b;else if(b.group)N=b.group;else if(null!==b.token&&void 0!==b.token){if(N=b.tokenSubst?i.substituteMatches(this._lexer,b.token,C,y,_):b.token,b.nextEmbedded&&("@pop"===b.nextEmbedded?(s||i.throwError(this._lexer,"cannot pop embedded mode if not inside one"),s=null):s?i.throwError(this._lexer,"cannot enter embedded mode from within an embedded mode"):w=i.substituteMatches(this._lexer,b.nextEmbedded,C,y,_)),b.goBack&&(l=Math.max(0,l-b.goBack)),b.switchTo&&"string"==typeof b.switchTo){"@"===(I=i.substituteMatches(this._lexer,b.switchTo,C,y,_))[0]&&(I=I.substr(1)),i.findRules(this._lexer,I)?a=a.switchTo(I):i.throwError(this._lexer,"trying to switch to a state '"+I+"' that is undefined in rule: "+S.name)
}else if(b.transform&&"function"==typeof b.transform)i.throwError(this._lexer,"action.transform not supported");else if(b.next)if("@push"===b.next)a.depth>=this._lexer.maxStack?i.throwError(this._lexer,"maximum tokenizer stack size reached: ["+a.state+","+a.parent.state+",...]"):a=a.push(_);else if("@pop"===b.next)a.depth<=1?i.throwError(this._lexer,"trying to pop an empty stack in rule: "+S.name):a=a.pop();else if("@popall"===b.next)a=a.popall();else{var I=i.substituteMatches(this._lexer,b.next,C,y,_);"@"===I[0]&&(I=I.substr(1)),i.findRules(this._lexer,I)?a=a.push(I):i.throwError(this._lexer,"trying to set a next state '"+I+"' that is undefined in rule: "+S.name)}b.log&&"string"==typeof b.log&&i.log(this._lexer,this._lexer.languageId+": "+i.substituteMatches(this._lexer,b.log,C,y,_))}if(null===N&&i.throwError(this._lexer,"lexer rule has no well-defined action in rule: "+S.name),Array.isArray(N)){c&&c.length>0&&i.throwError(this._lexer,"groups cannot be nested: "+S.name),
y.length!==N.length+1&&i.throwError(this._lexer,"matched number of groups does not match the number of actions in rule: "+S.name);for(var T=0,D=1;D<y.length;D++)T+=y[D].length;T!==C.length&&i.throwError(this._lexer,"with groups, all characters should be matched in consecutive groups in rule: "+S.name),h=y,p=y.slice(1),c=N.slice(0),f=S,l-=C.length}else{if("@rematch"===N&&(l-=C.length,C="",y=null,N=""),0===C.length){if(m!==a.depth||_!==a.state||(c?c.length:0)!==v)continue;i.throwError(this._lexer,"no progress in tokenizer in rule: "+S.name),l=r}var M=null;if(i.isString(N)&&0===N.indexOf("@brackets")){var k=N.substr("@brackets".length),O=function(e,t){if(!t)return null;t=i.fixCase(e,t);for(var n=e.brackets,o=0;o<n.length;o++){var r=n[o];if(r.open===t)return{token:r.token,bracketType:1};if(r.close===t)return{token:r.token,bracketType:-1}}return null}(this._lexer,C);O||(i.throwError(this._lexer,"@brackets token returned but no bracket defined as: "+C),O={token:"",bracketType:0}),M=i.sanitize(O.token+k)}else{
var R=""===N?"":N+this._lexer.tokenPostfix;M=i.sanitize(R)}if(o.emit(g+n,M),null!==w){var P=this._modeService.getModeIdForLanguageName(w);P&&(w=P);var A=this._getNestedEmbeddedModeData(w);if(l<r){var F=e.substr(l);return this._nestedTokenize(F,u.create(a,A),n+l,o)}return u.create(a,A)}}}return u.create(a,s)},e.prototype._getNestedEmbeddedModeData=function(e){var t=this._locateMode(e);if(t){var i=n.TokenizationRegistry.get(t.getId());if(i)return new l(t.getId(),i.getInitialState())}var o=t?t.getId():r.NULL_MODE_ID;return new l(o,r.NULL_STATE)},e.prototype._locateMode=function(e){if(!e||!this._modeService.isRegisteredMode(e))return null;var t=this._modeService.getModeId(e);this._modeService.getOrCreateMode(t);var n=this._modeService.getMode(t);return n?(this._embeddedModes[t]=!0,n):(this._embeddedModes[t]=!0,null)},e}();t.createTokenizationSupport=function(e,t,n,i){return new f(e,t,n,i)}}),define(t[85],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),
t.IStandaloneThemeService=n.createDecorator("themeService")}),define(t[208],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IClipboardService=n.createDecorator("clipboardService")}),define(t[405],n([0,1,9,28,51,133,20,3,22,2,341,31,208,14,390]),function(e,t,n,i,o,r,s,a,l,u,c,d,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){this._nestingLevel=1,this._editor=e,this._snippet=t,this._offset=n,this._placeholderGroups=l.groupBy(t.placeholders,r.Placeholder.compareByIndex),this._placeholderGroupsIdx=-1}return e.prototype.dispose=function(){var e=this;this._placeholderDecorations&&this._editor.changeDecorations(function(t){return e._placeholderDecorations.forEach(function(e){return t.removeDecoration(e)})}),this._placeholderGroups.length=0},e.prototype._initDecorations=function(){var t=this;if(!this._placeholderDecorations){this._placeholderDecorations=new Map;var n=this._editor.getModel()
;this._editor.changeDecorations(function(i){for(var o=0,r=t._snippet.placeholders;o<r.length;o++){var s=r[o],l=t._snippet.offset(s),u=t._snippet.fullLen(s),c=a.Range.fromPositions(n.getPositionAt(t._offset+l),n.getPositionAt(t._offset+l+u)),d=s.isFinalTabstop?e._decor.inactiveFinal:e._decor.inactive,h=i.addDecoration(c,d);t._placeholderDecorations.set(s,h)}})}},e.prototype.move=function(t){var n=this;return this._initDecorations(),!0===t&&this._placeholderGroupsIdx<this._placeholderGroups.length-1?this._placeholderGroupsIdx+=1:!1===t&&this._placeholderGroupsIdx>0&&(this._placeholderGroupsIdx-=1),this._editor.getModel().changeDecorations(function(t){for(var i=new Set,o=[],r=0,a=n._placeholderGroups[n._placeholderGroupsIdx];r<a.length;r++){var l=a[r],u=n._placeholderDecorations.get(l),c=n._editor.getModel().getDecorationRange(u);o.push(new s.Selection(c.startLineNumber,c.startColumn,c.endLineNumber,c.endColumn)),t.changeDecorationOptions(u,l.isFinalTabstop?e._decor.activeFinal:e._decor.active),i.add(l)
;for(var d=0,h=n._snippet.enclosingPlaceholders(l);d<h.length;d++){var p=h[d],f=n._placeholderDecorations.get(p);t.changeDecorationOptions(f,p.isFinalTabstop?e._decor.activeFinal:e._decor.active),i.add(p)}}return n._placeholderDecorations.forEach(function(n,o){i.has(o)||t.changeDecorationOptions(n,o.isFinalTabstop?e._decor.inactiveFinal:e._decor.inactive)}),o})},Object.defineProperty(e.prototype,"isAtFirstPlaceholder",{get:function(){return this._placeholderGroupsIdx<=0||0===this._placeholderGroups.length},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isAtLastPlaceholder",{get:function(){return this._placeholderGroupsIdx===this._placeholderGroups.length-1},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hasPlaceholder",{get:function(){return this._snippet.placeholders.length>0},enumerable:!0,configurable:!0}),e.prototype.computePossibleSelections=function(){for(var e=new Map,t=0,n=this._placeholderGroups;t<n.length;t++)for(var i=void 0,o=0,r=n[t];o<r.length;o++){
var s=r[o];if(s.isFinalTabstop)break;i||(i=[],e.set(s.index,i));var a=this._placeholderDecorations.get(s),l=this._editor.getModel().getDecorationRange(a);i.push(l)}return e},Object.defineProperty(e.prototype,"choice",{get:function(){return this._placeholderGroups[this._placeholderGroupsIdx][0].choice},enumerable:!0,configurable:!0}),e.prototype.merge=function(t){var n=this,i=this._editor.getModel();this._nestingLevel*=10,this._editor.changeDecorations(function(o){for(var s=0,u=n._placeholderGroups[n._placeholderGroupsIdx];s<u.length;s++){var c=u[s],d=t.shift();console.assert(!d._placeholderDecorations);for(var h=0,p=d._snippet.placeholderInfo.all;h<p.length;h++){var f=p[h];f.isFinalTabstop?f.index=c.index+(d._snippet.placeholderInfo.last.index+1)/n._nestingLevel:f.index=c.index+f.index/n._nestingLevel}n._snippet.replace(c,d._snippet.children);var g=n._placeholderDecorations.get(c);o.removeDecoration(g),n._placeholderDecorations.delete(c);for(var m=0,v=d._snippet.placeholders;m<v.length;m++){
var _=v[m],y=d._snippet.offset(_),C=d._snippet.fullLen(_),b=a.Range.fromPositions(i.getPositionAt(d._offset+y),i.getPositionAt(d._offset+y+C)),S=o.addDecoration(b,e._decor.inactive);n._placeholderDecorations.set(_,S)}}n._placeholderGroups=l.groupBy(n._snippet.placeholders,r.Placeholder.compareByIndex)})},e._decor={active:d.ModelDecorationOptions.register({stickiness:i.TrackedRangeStickiness.AlwaysGrowsWhenTypingAtEdges,className:"snippet-placeholder"}),inactive:d.ModelDecorationOptions.register({stickiness:i.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"snippet-placeholder"}),activeFinal:d.ModelDecorationOptions.register({stickiness:i.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"finish-snippet-placeholder"}),inactiveFinal:d.ModelDecorationOptions.register({stickiness:i.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"finish-snippet-placeholder"})},e}();t.OneSnippet=f;var g=function(){function e(e,t,n,i){void 0===n&&(n=0),void 0===i&&(i=0),this._templateMerges=[],
this._snippets=[],this._editor=e,this._template=t,this._overwriteBefore=n,this._overwriteAfter=i}return e.adjustWhitespace=function(e,t,i){for(var o=e.getLineContent(t.lineNumber),r=n.getLeadingWhitespace(o,0,t.column-1),s=i.split(/\r\n|\r|\n/),a=1;a<s.length;a++){var l=n.getLeadingWhitespace(s[a]);s[a]=e.normalizeIndentation(r+l)+s[a].substr(l.length)}return s.join(e.getEOL())},e.adjustSelection=function(e,t,n,i){if(0!==n||0!==i){var o=t.positionLineNumber,r=t.positionColumn,a=r-n,l=r+i,u=e.validateRange({startLineNumber:o,startColumn:a,endLineNumber:o,endColumn:l});t=s.Selection.createWithDirection(u.startLineNumber,u.startColumn,u.endLineNumber,u.endColumn,t.getDirection())}return t},e.createEditsAndSnippets=function(t,n,i,s,l){for(var u=t.getModel(),d=[],g=[],m=new c.ModelBasedVariableResolver(u),v=t.invokeWithinContext(function(e){return e.get(h.IClipboardService,p.optional)
}),_=0,y=u.getValueInRange(e.adjustSelection(u,t.getSelection(),i,0)),C=u.getValueInRange(e.adjustSelection(u,t.getSelection(),0,s)),b=t.getSelections().map(function(e,t){return{selection:e,idx:t}}).sort(function(e,t){return a.Range.compareRangesUsingStarts(e.selection,t.selection)}),S=0,w=b;S<w.length;S++){var E=w[S],L=E.selection,x=E.idx,N=e.adjustSelection(u,L,i,0),I=e.adjustSelection(u,L,0,s);y!==u.getValueInRange(N)&&(N=L),C!==u.getValueInRange(I)&&(I=L);var T=L.setStartPosition(N.startLineNumber,N.startColumn).setEndPosition(I.endLineNumber,I.endColumn),D=T.getStartPosition(),M=e.adjustWhitespace(u,D,n),k=(new r.SnippetParser).parse(M,!0,l).resolveVariables(new c.CompositeSnippetVariableResolver([m,new c.ClipboardBasedVariableResolver(v,x,b.length),new c.SelectionBasedVariableResolver(u,L),new c.TimeBasedVariableResolver])),O=u.getOffsetAt(D)+_;_+=k.toString().length-u.getValueLengthInRange(T),d[x]=o.EditOperation.replace(T,k.toString()),g[x]=new f(t,k,O)}return{edits:d,snippets:g}},
e.prototype.dispose=function(){u.dispose(this._snippets)},e.prototype._logInfo=function(){return'template="'+this._template+'", merged_templates="'+this._templateMerges.join(" -> ")+'"'},e.prototype.insert=function(){var t=this,n=this._editor.getModel(),i=e.createEditsAndSnippets(this._editor,this._template,this._overwriteBefore,this._overwriteAfter,!1),o=i.edits,r=i.snippets;this._snippets=r,this._editor.setSelections(n.pushEditOperations(this._editor.getSelections(),o,function(e){return t._snippets[0].hasPlaceholder?t._move(!0):e.map(function(e){return s.Selection.fromPositions(e.range.getEndPosition())})}))},e.prototype.merge=function(t,n,i){var o=this;void 0===n&&(n=0),void 0===i&&(i=0),this._templateMerges.push([this._snippets[0]._nestingLevel,this._snippets[0]._placeholderGroupsIdx,t]);var r=e.createEditsAndSnippets(this._editor,t,n,i,!0),a=r.edits,l=r.snippets;this._editor.setSelections(this._editor.getModel().pushEditOperations(this._editor.getSelections(),a,function(e){
for(var t=0,n=o._snippets;t<n.length;t++){n[t].merge(l)}return console.assert(0===l.length),o._snippets[0].hasPlaceholder?o._move(void 0):e.map(function(e){return s.Selection.fromPositions(e.range.getEndPosition())})}))},e.prototype.next=function(){var e=this._move(!0);this._editor.setSelections(e),this._editor.revealPositionInCenterIfOutsideViewport(e[0].getPosition())},e.prototype.prev=function(){var e=this._move(!1);this._editor.setSelections(e),this._editor.revealPositionInCenterIfOutsideViewport(e[0].getPosition())},e.prototype._move=function(e){for(var t=[],n=0,i=this._snippets;n<i.length;n++){var o=i[n].move(e);t.push.apply(t,o)}return t},Object.defineProperty(e.prototype,"isAtFirstPlaceholder",{get:function(){return this._snippets[0].isAtFirstPlaceholder},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"isAtLastPlaceholder",{get:function(){return this._snippets[0].isAtLastPlaceholder},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"hasPlaceholder",{get:function(){
return this._snippets[0].hasPlaceholder},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"choice",{get:function(){return this._snippets[0].choice},enumerable:!0,configurable:!0}),e.prototype.isSelectionWithinPlaceholders=function(){if(!this.hasPlaceholder)return!1;var e=this._editor.getSelections();if(e.length<this._snippets.length)return!1;for(var t,n=function(n){var i=n.computePossibleSelections();if(t||(t=new Map,i.forEach(function(n,i){n.sort(a.Range.compareRangesUsingStarts);for(var o=0,r=e;o<r.length;o++){var s=r[o];if(n[0].containsRange(s)){t.set(i,[]);break}}})),0===t.size)return{value:!1};t.forEach(function(e,t){e.push.apply(e,i.get(t))})},i=0,o=this._snippets;i<o.length;i++){var r=n(o[i]);if("object"==typeof r)return r.value}return e.sort(a.Range.compareRangesUsingStarts),t.forEach(function(n,i){if(n.length===e.length){n.sort(a.Range.compareRangesUsingStarts);for(var o=0;o<n.length;o++)if(!n[o].containsRange(e[o]))return void t.delete(i)}else t.delete(i)}),t.size>0},e}()
;t.SnippetSession=g}),define(t[33],n([0,1,8,30,14,202]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ICommandService=o.createDecorator("commandService"),t.CommandsRegistry=new(function(){function e(){this._commands=new Map}return e.prototype.registerCommand=function(e,t){var n=this;if(!e)throw new Error("invalid command");if("string"==typeof e){if(!t)throw new Error("invalid command");return this.registerCommand({id:e,handler:t})}if(e.description){for(var o=[],s=0,a=e.description.args;s<a.length;s++){var l=a[s];o.push(l.constraint)}var u=e.handler;e.handler=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return i.validateConstraints(t,o),u.apply(void 0,[e].concat(t))}}var c=e.id,d=this._commands.get(c);d||(d=new r.LinkedList,this._commands.set(c,d));var h=d.unshift(e);return{dispose:function(){h(),n._commands.get(c).isEmpty()&&n._commands.delete(c)}}},e.prototype.getCommand=function(e){var t=this._commands.get(e)
;if(t&&!t.isEmpty())return t.iterator().next().value},e.prototype.getCommands=function(){var e=this,t=Object.create(null);return this._commands.forEach(function(n,i){t[i]=e.getCommand(i)}),t},e}()),t.NullCommandService={_serviceBrand:void 0,onWillExecuteCommand:function(){return{dispose:function(){}}},executeCommand:function(){return n.TPromise.as(void 0)}}}),define(t[407],n([0,1,12,29,8,3,17,18,33,47]),function(e,t,n,i,o,r,s,a,l,u){"use strict";function c(e){var t=[],i=s.LinkProviderRegistry.ordered(e).reverse().map(function(i){return a.asWinJsPromise(function(t){return i.provideLinks(e,t)}).then(function(e){if(Array.isArray(e)){var n=e.map(function(e){return new d(e,i)});t=function(e,t){var n,i,o,s,a,l,u=[];for(n=0,o=0,i=e.length,s=t.length;n<i&&o<s;)a=e[n],l=t[o],r.Range.areIntersectingOrTouching(a.range,l.range)?n++:r.Range.compareRangesUsingStarts(a.range,l.range)<0?(u.push(a),n++):(u.push(l),o++);for(;n<i;n++)u.push(e[n]);for(;o<s;o++)u.push(t[o]);return u}(t,n)}},n.onUnexpectedExternalError)})
;return o.TPromise.join(i).then(function(){return t})}Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t){this._link=e,this._provider=t}return e.prototype.toJSON=function(){return{range:this.range,url:this.url}},Object.defineProperty(e.prototype,"range",{get:function(){return this._link.range},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"url",{get:function(){return this._link.url},enumerable:!0,configurable:!0}),e.prototype.resolve=function(){var e=this;if(this._link.url)try{return o.TPromise.as(i.default.parse(this._link.url))}catch(e){return o.TPromise.wrapError(new Error("invalid"))}return"function"==typeof this._provider.resolveLink?a.asWinJsPromise(function(t){return e._provider.resolveLink(e._link,t)}).then(function(t){return e._link=t||e._link,e._link.url?e.resolve():o.TPromise.wrapError(new Error("missing"))}):o.TPromise.wrapError(new Error("missing"))},e}();t.Link=d,t.getLinks=c,l.CommandsRegistry.registerCommand("_executeLinkProvider",function(e){
for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var o=t[0];if(o instanceof i.default){var r=e.get(u.IModelService).getModel(o);if(r)return c(r)}})}),define(t[19],n([0,1,14,9]),function(e,t,n,i){"use strict";function r(e,t){var n=e.getType(),i=t.getType();if(n!==i)return n-i;switch(n){case s.Defined:case s.Not:case s.Equals:case s.NotEquals:case s.Regex:return e.cmp(t);default:throw new Error("Unknown ContextKeyExpr!")}}Object.defineProperty(t,"__esModule",{value:!0});var s;!function(e){e[e.Defined=1]="Defined",e[e.Not=2]="Not",e[e.Equals=3]="Equals",e[e.NotEquals=4]="NotEquals",e[e.And=5]="And",e[e.Regex=6]="Regex"}(s=t.ContextKeyExprType||(t.ContextKeyExprType={}));var a=function(){function e(){}return e.has=function(e){return new l(e)},e.equals=function(e,t){return new u(e,t)},e.notEquals=function(e,t){return new c(e,t)},e.regex=function(e,t){return new h(e,t)},e.not=function(e){return new d(e)},e.and=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return new p(e)},
e.deserialize=function(e){var t=this;if(!e)return null;var n=e.split("&&");return new p(n.map(function(e){return t._deserializeOne(e)})).normalize()},e._deserializeOne=function(e){if((e=e.trim()).indexOf("!=")>=0){t=e.split("!=");return new c(t[0].trim(),this._deserializeValue(t[1]))}if(e.indexOf("==")>=0){t=e.split("==");return new u(t[0].trim(),this._deserializeValue(t[1]))}if(e.indexOf("=~")>=0){var t=e.split("=~");return new h(t[0].trim(),this._deserializeRegexValue(t[1]))}return/^\!\s*/.test(e)?new d(e.substr(1).trim()):new l(e)},e._deserializeValue=function(e){if("true"===(e=e.trim()))return!0;if("false"===e)return!1;var t=/^'([^']*)'$/.exec(e);return t?t[1].trim():e},e._deserializeRegexValue=function(e){if(i.isFalsyOrWhitespace(e))return console.warn("missing regexp-value for =~-expression"),null;var t=e.indexOf("/"),n=e.lastIndexOf("/");if(t===n||t<0)return console.warn("bad regexp-value '"+e+"', missing /-enclosure"),null;var o=e.slice(t+1,n),r="i"===e[n+1]?"i":"";try{return new RegExp(o,r)}catch(t){
return console.warn("bad regexp-value '"+e+"', parse error: "+t),null}},e}();t.ContextKeyExpr=a;var l=function(){function e(e){this.key=e}return e.prototype.getType=function(){return s.Defined},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e&&this.key===t.key},e.prototype.evaluate=function(e){return!!e.getValue(this.key)},e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return this.key},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyDefinedExpr=l;var u=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return s.Equals},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e&&(this.key===t.key&&this.value===t.value)},e.prototype.evaluate=function(e){return e.getValue(this.key)==this.value},e.prototype.normalize=function(){
return"boolean"==typeof this.value?this.value?new l(this.key):new d(this.key):this},e.prototype.serialize=function(){return"boolean"==typeof this.value?this.normalize().serialize():this.key+" == '"+this.value+"'"},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyEqualsExpr=u;var c=function(){function e(e,t){this.key=e,this.value=t}return e.prototype.getType=function(){return s.NotEquals},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:this.value<e.value?-1:this.value>e.value?1:0},e.prototype.equals=function(t){return t instanceof e&&(this.key===t.key&&this.value===t.value)},e.prototype.evaluate=function(e){return e.getValue(this.key)!=this.value},e.prototype.normalize=function(){return"boolean"==typeof this.value?this.value?new d(this.key):new l(this.key):this},e.prototype.serialize=function(){return"boolean"==typeof this.value?this.normalize().serialize():this.key+" != '"+this.value+"'"},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyNotEqualsExpr=c
;var d=function(){function e(e){this.key=e}return e.prototype.getType=function(){return s.Not},e.prototype.cmp=function(e){return this.key<e.key?-1:this.key>e.key?1:0},e.prototype.equals=function(t){return t instanceof e&&this.key===t.key},e.prototype.evaluate=function(e){return!e.getValue(this.key)},e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return"!"+this.key},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyNotExpr=d;var h=function(){function e(e,t){this.key=e,this.regexp=t}return e.prototype.getType=function(){return s.Regex},e.prototype.cmp=function(e){if(this.key<e.key)return-1;if(this.key>e.key)return 1;var t=this.regexp?this.regexp.source:void 0;return t<e.regexp.source?-1:t>e.regexp.source?1:0},e.prototype.equals=function(t){if(t instanceof e){var n=this.regexp?this.regexp.source:void 0;return this.key===t.key&&n===t.regexp.source}return!1},e.prototype.evaluate=function(e){return!!this.regexp&&this.regexp.test(e.getValue(this.key))},
e.prototype.normalize=function(){return this},e.prototype.serialize=function(){return this.key+" =~ /"+(this.regexp?this.regexp.source:"<invalid>")+"/"+(this.regexp.ignoreCase?"i":"")},e.prototype.keys=function(){return[this.key]},e}();t.ContextKeyRegexExpr=h;var p=function(){function e(t){this.expr=e._normalizeArr(t)}return e.prototype.getType=function(){return s.And},e.prototype.equals=function(t){if(t instanceof e){if(this.expr.length!==t.expr.length)return!1;for(var n=0,i=this.expr.length;n<i;n++)if(!this.expr[n].equals(t.expr[n]))return!1;return!0}return!1},e.prototype.evaluate=function(e){for(var t=0,n=this.expr.length;t<n;t++)if(!this.expr[t].evaluate(e))return!1;return!0},e._normalizeArr=function(t){var n=[];if(t){for(var i=0,o=t.length;i<o;i++){var s=t[i];s&&((s=s.normalize())&&(s instanceof e?n=n.concat(s.expr):n.push(s)))}n.sort(r)}return n},e.prototype.normalize=function(){return 0===this.expr.length?null:1===this.expr.length?this.expr[0]:this},e.prototype.serialize=function(){
return 0===this.expr.length?"":1===this.expr.length?this.normalize().serialize():this.expr.map(function(e){return e.serialize()}).join(" && ")},e.prototype.keys=function(){for(var e=[],t=0,n=this.expr;t<n.length;t++){var i=n[t];e.push.apply(e,i.keys())}return e},e}();t.ContextKeyAndExpr=p;var f=function(e){function t(t,n){var i=e.call(this,t)||this;return i._defaultValue=n,i}return o(t,e),t.prototype.bindTo=function(e){return e.createKey(this.key,this._defaultValue)},t.prototype.getValue=function(e){return e.getContextKeyValue(this.key)},t.prototype.toNegated=function(){return a.not(this.key)},t.prototype.isEqualTo=function(e){return a.equals(this.key,e)},t.prototype.notEqualsTo=function(e){return a.notEquals(this.key,e)},t}(l);t.RawContextKey=f,t.IContextKeyService=n.createDecorator("contextKeyService"),t.SET_CONTEXT_COMMAND_ID="setContext"}),define(t[21],n([0,1,19]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){
e.editorTextFocus=new n.RawContextKey("editorTextFocus",!1),e.focus=new n.RawContextKey("editorFocus",!1),e.textInputFocus=new n.RawContextKey("textInputFocus",!1),e.readOnly=new n.RawContextKey("editorReadonly",!1),e.writable=e.readOnly.toNegated(),e.hasNonEmptySelection=new n.RawContextKey("editorHasSelection",!1),e.hasOnlyEmptySelection=e.hasNonEmptySelection.toNegated(),e.hasMultipleSelections=new n.RawContextKey("editorHasMultipleSelections",!1),e.hasSingleSelection=e.hasMultipleSelections.toNegated(),e.tabMovesFocus=new n.RawContextKey("editorTabMovesFocus",!1),e.tabDoesNotMoveFocus=e.tabMovesFocus.toNegated(),e.isInEmbeddedEditor=new n.RawContextKey("isInEmbeddedEditor",void 0),e.languageId=new n.RawContextKey("editorLangId",void 0),e.hasCompletionItemProvider=new n.RawContextKey("editorHasCompletionItemProvider",void 0),e.hasCodeActionsProvider=new n.RawContextKey("editorHasCodeActionsProvider",void 0),e.hasCodeLensProvider=new n.RawContextKey("editorHasCodeLensProvider",void 0),
e.hasDefinitionProvider=new n.RawContextKey("editorHasDefinitionProvider",void 0),e.hasImplementationProvider=new n.RawContextKey("editorHasImplementationProvider",void 0),e.hasTypeDefinitionProvider=new n.RawContextKey("editorHasTypeDefinitionProvider",void 0),e.hasHoverProvider=new n.RawContextKey("editorHasHoverProvider",void 0),e.hasDocumentHighlightProvider=new n.RawContextKey("editorHasDocumentHighlightProvider",void 0),e.hasDocumentSymbolProvider=new n.RawContextKey("editorHasDocumentSymbolProvider",void 0),e.hasReferenceProvider=new n.RawContextKey("editorHasReferenceProvider",void 0),e.hasRenameProvider=new n.RawContextKey("editorHasRenameProvider",void 0),e.hasDocumentFormattingProvider=new n.RawContextKey("editorHasDocumentFormattingProvider",void 0),e.hasDocumentSelectionFormattingProvider=new n.RawContextKey("editorHasDocumentSelectionFormattingProvider",void 0),e.hasSignatureHelpProvider=new n.RawContextKey("editorHasSignatureHelpProvider",void 0)}(t.EditorContextKeys||(t.EditorContextKeys={}))
}),define(t[89],n([0,1,65,167,14,19,33]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(){this.id=String(e.ID++)}return e.ID=1,e.EditorTitle=new e,e.EditorTitleContext=new e,e.EditorContext=new e,e.ExplorerContext=new e,e.OpenEditorsContext=new e,e.ProblemsPanelContext=new e,e.DebugVariablesContext=new e,e.DebugWatchContext=new e,e.DebugCallStackContext=new e,e.DebugBreakpointsContext=new e,e.DebugConsoleContext=new e,e.SCMTitle=new e,e.SCMSourceControl=new e,e.SCMResourceGroupContext=new e,e.SCMResourceContext=new e,e.SCMChangeContext=new e,e.CommandPalette=new e,e.ViewTitle=new e,e.ViewItemContext=new e,e.TouchBarContext=new e,e.SearchContext=new e,e}();t.MenuId=l,t.IMenuService=r.createDecorator("menuService"),t.MenuRegistry=new(function(){function e(){this._commands=Object.create(null),this._menuItems=Object.create(null)}return e.prototype.addCommand=function(e){var t=this._commands[e.id];return this._commands[e.id]=e,void 0!==t},
e.prototype.getCommand=function(e){return this._commands[e]},e.prototype.appendMenuItem=function(e,t){var n=e.id,i=this._menuItems[n];return i?i.push(t):this._menuItems[n]=i=[t],{dispose:function(){var e=i.indexOf(t);e>=0&&i.splice(e,1)}}},e.prototype.getMenuItems=function(e){var t=e.id,n=this._menuItems[t]||[];return t===l.CommandPalette.id&&this._appendImplicitItems(n),n},e.prototype._appendImplicitItems=function(e){for(var t=new Set,n=0,i=e;n<i.length;n++){var o=i[n],r=o.command,s=o.alt;t.add(r.id),s&&t.add(s.id)}for(var a in this._commands)t.has(a)||e.push({command:this._commands[a]})},e}());var c=function(e){function t(t,n,i){var o=e.call(this,t,n)||this;return o._commandService=i,o}return o(t,e),t.prototype.run=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return(n=this._commandService).executeCommand.apply(n,[this.id].concat(e));var n},t=u([d(2,a.ICommandService)],t)}(n.Action);t.ExecuteCommandAction=c;var h=function(e){function t(n,i,o,r,s){var a=this
;return a="string"==typeof n.title?e.call(this,n.id,n.title,s)||this:e.call(this,n.id,n.title.value,s)||this,a._cssClass=void 0,a._enabled=!n.precondition||r.contextMatchesRules(n.precondition),a._options=o||{},a.item=n,a.alt=i?new t(i,void 0,a._options,r,s):void 0,a}return o(t,e),t.prototype.run=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];var i=[];return this._options.arg&&(i=i.concat([this._options.arg])),this._options.shouldForwardArgs&&(i=i.concat(t)),e.prototype.run.apply(this,i)},t=u([d(3,s.IContextKeyService),d(4,a.ICommandService)],t)}(c);t.MenuItemAction=h;var p=function(){function e(e,t,n,o,r,s){this._id=t,this._label=n,this._keybindings=o,this._keybindingContext=r,this._keybindingWeight=s,this._descriptor=i.createSyncDescriptor(e,this._id,this._label)}return Object.defineProperty(e.prototype,"syncDescriptor",{get:function(){return this._descriptor},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,
configurable:!0}),Object.defineProperty(e.prototype,"label",{get:function(){return this._label},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"keybindings",{get:function(){return this._keybindings},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"keybindingContext",{get:function(){return this._keybindingContext},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"keybindingWeight",{get:function(){return this._keybindingWeight},enumerable:!0,configurable:!0}),e}();t.SyncActionDescriptor=p}),define(t[411],n([0,1,4,2,19,89,33]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(t,i,o,s){var a=this;this._commandService=o,this._contextKeyService=s,this._menuGroups=[],this._disposables=[],this._onDidChange=new n.Emitter,i.then(function(n){var i,o=r.MenuRegistry.getMenuItems(t),s=new Set;o.sort(e._compareMenuItems);for(var l=0,u=o;l<u.length;l++){var c=u[l],d=c.group;i&&i[0]===d||(i=[d,[]],
a._menuGroups.push(i)),i[1].push(c),e._fillInKbExprKeys(c.when,s)}a._disposables.push(a._contextKeyService.onDidChangeContext(function(e){e.affectsSome(s)&&a._onDidChange.fire()})),a._onDidChange.fire(a)})}return e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables),this._onDidChange.dispose()},Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.getActions=function(e){for(var t=[],n=0,i=this._menuGroups;n<i.length;n++){for(var o=i[n],s=o[0],a=[],l=0,u=o[1];l<u.length;l++){var c=u[l];if(this._contextKeyService.contextMatchesRules(c.when)){var d=new r.MenuItemAction(c.command,c.alt,e,this._contextKeyService,this._commandService);d.order=c.order,a.push(d)}}a.length>0&&t.push([s,a])}return t},e._fillInKbExprKeys=function(e,t){if(e)for(var n=0,i=e.keys();n<i.length;n++){var o=i[n];t.add(o)}},e._compareMenuItems=function(e,t){var n=e.group,i=t.group;if(n!==i){if(!n)return 1;if(!i)return-1
;if("navigation"===n)return-1;if("navigation"===i)return 1;var o=n.localeCompare(i);if(0!==o)return o}var r=e.order||0,s=t.order||0;if(r<s)return-1;if(r>s)return 1;var a="string"==typeof e.command.title?e.command.title:e.command.title.value,l="string"==typeof t.command.title?t.command.title:t.command.title.value;return a.localeCompare(l)},e=u([d(2,s.ICommandService),d(3,o.IContextKeyService)],e)}();t.Menu=a}),define(t[76],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IContextViewService=n.createDecorator("contextViewService"),t.IContextMenuService=n.createDecorator("contextMenuService")}),define(t[413],n([0,1,14,36,354]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IDialogService=n.createDecorator("dialogService");var r=10;t.getConfirmMessage=function(e,t){var n=[e];return n.push(""),n.push.apply(n,t.slice(0,r).map(function(e){return i.basename(e.fsPath)})),
t.length>r&&(t.length-r==1?n.push(o.localize(0,null)):n.push(o.localize(1,null,t.length-r))),n.push(""),n.join("\n")}}),define(t[53],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IEditorService=n.createDecorator("editorService");var i;!function(e){e[e.ONE=0]="ONE",e[e.TWO=1]="TWO",e[e.THREE=2]="THREE"}(i=t.Position||(t.Position={})),t.POSITIONS=[i.ONE,i.TWO,i.THREE];!function(e){e[e.LEFT=0]="LEFT",e[e.RIGHT=1]="RIGHT"}(t.Direction||(t.Direction={}));!function(e){e[e.SHORT=0]="SHORT",e[e.MEDIUM=1]="MEDIUM",e[e.LONG=2]="LONG"}(t.Verbosity||(t.Verbosity={}))}),define(t[116],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IEnvironmentService=n.createDecorator("environmentService")}),define(t[103],n([0,1,36,15,14,9,153,30]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IFileService=r.createDecorator("fileService");!function(e){e[e.File=0]="File",e[e.Dir=1]="Dir",
e[e.Symlink=2]="Symlink"}(t.FileType||(t.FileType={}));!function(e){e[e.CREATE=0]="CREATE",e[e.DELETE=1]="DELETE",e[e.MOVE=2]="MOVE",e[e.COPY=3]="COPY",e[e.IMPORT=4]="IMPORT"}(t.FileOperation||(t.FileOperation={}));var u=function(){function e(e,t,n){this._resource=e,this._operation=t,this._target=n}return Object.defineProperty(e.prototype,"resource",{get:function(){return this._resource},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"target",{get:function(){return this._target},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"operation",{get:function(){return this._operation},enumerable:!0,configurable:!0}),e}();t.FileOperationEvent=u;var c;!function(e){e[e.UPDATED=0]="UPDATED",e[e.ADDED=1]="ADDED",e[e.DELETED=2]="DELETED"}(c=t.FileChangeType||(t.FileChangeType={}));var d=function(){function e(e){this._changes=e}return Object.defineProperty(e.prototype,"changes",{get:function(){return this._changes},enumerable:!0,configurable:!0}),e.prototype.contains=function(e,t){
return!!e&&this._changes.some(function(n){return n.type===t&&(t===c.DELETED?a.isEqualOrParent(e,n.resource,!i.isLinux):a.isEqual(e,n.resource,!i.isLinux))})},e.prototype.getAdded=function(){return this.getOfType(c.ADDED)},e.prototype.gotAdded=function(){return this.hasType(c.ADDED)},e.prototype.getDeleted=function(){return this.getOfType(c.DELETED)},e.prototype.gotDeleted=function(){return this.hasType(c.DELETED)},e.prototype.getUpdated=function(){return this.getOfType(c.UPDATED)},e.prototype.gotUpdated=function(){return this.hasType(c.UPDATED)},e.prototype.getOfType=function(e){return this._changes.filter(function(t){return t.type===e})},e.prototype.hasType=function(e){return this._changes.some(function(t){return t.type===e})},e}();t.FileChangesEvent=d,t.isParent=function(e,t,i){return!(!e||!t||e===t)&&!(t.length>e.length)&&(t.charAt(t.length-1)!==n.nativeSep&&(t+=n.nativeSep),i?s.startsWithIgnoreCase(e,t):0===e.indexOf(t))},t.snapshotToString=function(e){
for(var t,n=[];"string"==typeof(t=e.read());)n.push(t);return n.join("")};var h=function(e){function t(t,n,i){var o=e.call(this,t)||this;return o.fileOperationResult=n,o.options=i,o}return o(t,e),t.isFileOperationError=function(e){return e instanceof Error&&!l.isUndefinedOrNull(e.fileOperationResult)},t}(Error);t.FileOperationError=h;!function(e){e[e.FILE_IS_BINARY=0]="FILE_IS_BINARY",e[e.FILE_IS_DIRECTORY=1]="FILE_IS_DIRECTORY",e[e.FILE_NOT_FOUND=2]="FILE_NOT_FOUND",e[e.FILE_NOT_MODIFIED_SINCE=3]="FILE_NOT_MODIFIED_SINCE",e[e.FILE_MODIFIED_SINCE=4]="FILE_MODIFIED_SINCE",e[e.FILE_MOVE_CONFLICT=5]="FILE_MOVE_CONFLICT",e[e.FILE_READ_ONLY=6]="FILE_READ_ONLY",e[e.FILE_PERMISSION_DENIED=7]="FILE_PERMISSION_DENIED",e[e.FILE_TOO_LARGE=8]="FILE_TOO_LARGE",e[e.FILE_INVALID_PATH=9]="FILE_INVALID_PATH",e[e.FILE_EXCEED_MEMORY_LIMIT=10]="FILE_EXCEED_MEMORY_LIMIT"}(t.FileOperationResult||(t.FileOperationResult={})),t.AutoSaveConfiguration={OFF:"off",AFTER_DELAY:"afterDelay",ON_FOCUS_CHANGE:"onFocusChange",
ON_WINDOW_CHANGE:"onWindowChange"},t.HotExitConfiguration={OFF:"off",ON_EXIT:"onExit",ON_EXIT_AND_WINDOW_CLOSE:"onExitAndWindowClose"},t.CONTENT_CHANGE_EVENT_BUFFER_DELAY=1e3,t.FILES_ASSOCIATIONS_CONFIG="files.associations",t.FILES_EXCLUDE_CONFIG="files.exclude",t.SUPPORTED_ENCODINGS={utf8:{labelLong:"UTF-8",labelShort:"UTF-8",order:1,alias:"utf8bom"},utf8bom:{labelLong:"UTF-8 with BOM",labelShort:"UTF-8 with BOM",encodeOnly:!0,order:2,alias:"utf8"},utf16le:{labelLong:"UTF-16 LE",labelShort:"UTF-16 LE",order:3},utf16be:{labelLong:"UTF-16 BE",labelShort:"UTF-16 BE",order:4},windows1252:{labelLong:"Western (Windows 1252)",labelShort:"Windows 1252",order:5},iso88591:{labelLong:"Western (ISO 8859-1)",labelShort:"ISO 8859-1",order:6},iso88593:{labelLong:"Western (ISO 8859-3)",labelShort:"ISO 8859-3",order:7},iso885915:{labelLong:"Western (ISO 8859-15)",labelShort:"ISO 8859-15",order:8},macroman:{labelLong:"Western (Mac Roman)",labelShort:"Mac Roman",order:9},cp437:{labelLong:"DOS (CP 437)",labelShort:"CP437",
order:10},windows1256:{labelLong:"Arabic (Windows 1256)",labelShort:"Windows 1256",order:11},iso88596:{labelLong:"Arabic (ISO 8859-6)",labelShort:"ISO 8859-6",order:12},windows1257:{labelLong:"Baltic (Windows 1257)",labelShort:"Windows 1257",order:13},iso88594:{labelLong:"Baltic (ISO 8859-4)",labelShort:"ISO 8859-4",order:14},iso885914:{labelLong:"Celtic (ISO 8859-14)",labelShort:"ISO 8859-14",order:15},windows1250:{labelLong:"Central European (Windows 1250)",labelShort:"Windows 1250",order:16},iso88592:{labelLong:"Central European (ISO 8859-2)",labelShort:"ISO 8859-2",order:17},cp852:{labelLong:"Central European (CP 852)",labelShort:"CP 852",order:18},windows1251:{labelLong:"Cyrillic (Windows 1251)",labelShort:"Windows 1251",order:19},cp866:{labelLong:"Cyrillic (CP 866)",labelShort:"CP 866",order:20},iso88595:{labelLong:"Cyrillic (ISO 8859-5)",labelShort:"ISO 8859-5",order:21},koi8r:{labelLong:"Cyrillic (KOI8-R)",labelShort:"KOI8-R",order:22},koi8u:{labelLong:"Cyrillic (KOI8-U)",labelShort:"KOI8-U",order:23
},iso885913:{labelLong:"Estonian (ISO 8859-13)",labelShort:"ISO 8859-13",order:24},windows1253:{labelLong:"Greek (Windows 1253)",labelShort:"Windows 1253",order:25},iso88597:{labelLong:"Greek (ISO 8859-7)",labelShort:"ISO 8859-7",order:26},windows1255:{labelLong:"Hebrew (Windows 1255)",labelShort:"Windows 1255",order:27},iso88598:{labelLong:"Hebrew (ISO 8859-8)",labelShort:"ISO 8859-8",order:28},iso885910:{labelLong:"Nordic (ISO 8859-10)",labelShort:"ISO 8859-10",order:29},iso885916:{labelLong:"Romanian (ISO 8859-16)",labelShort:"ISO 8859-16",order:30},windows1254:{labelLong:"Turkish (Windows 1254)",labelShort:"Windows 1254",order:31},iso88599:{labelLong:"Turkish (ISO 8859-9)",labelShort:"ISO 8859-9",order:32},windows1258:{labelLong:"Vietnamese (Windows 1258)",labelShort:"Windows 1258",order:33},gbk:{labelLong:"Chinese (GBK)",labelShort:"GBK",order:34},gb18030:{labelLong:"Chinese (GB18030)",labelShort:"GB18030",order:35},cp950:{labelLong:"Traditional Chinese (Big5)",labelShort:"Big5",order:36},big5hkscs:{
labelLong:"Traditional Chinese (Big5-HKSCS)",labelShort:"Big5-HKSCS",order:37},shiftjis:{labelLong:"Japanese (Shift JIS)",labelShort:"Shift JIS",order:38},eucjp:{labelLong:"Japanese (EUC-JP)",labelShort:"EUC-JP",order:39},euckr:{labelLong:"Korean (EUC-KR)",labelShort:"EUC-KR",order:40},windows874:{labelLong:"Thai (Windows 874)",labelShort:"Windows 874",order:41},iso885911:{labelLong:"Latin/Thai (ISO 8859-11)",labelShort:"ISO 8859-11",order:42},koi8ru:{labelLong:"Cyrillic (KOI8-RU)",labelShort:"KOI8-RU",order:43},koi8t:{labelLong:"Tajik (KOI8-T)",labelShort:"KOI8-T",order:44},gb2312:{labelLong:"Simplified Chinese (GB 2312)",labelShort:"GB 2312",order:45},cp865:{labelLong:"Nordic DOS (CP 865)",labelShort:"CP 865",order:46},cp850:{labelLong:"Western European DOS (CP 850)",labelShort:"CP 850",order:47}};!function(e){e[e.FILE=0]="FILE",e[e.FOLDER=1]="FOLDER",e[e.ROOT_FOLDER=2]="ROOT_FOLDER"}(t.FileKind||(t.FileKind={}))}),define(t[95],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{
value:!0});var n=function(){function e(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];this._entries=new Map;for(var n=0,i=e;n<i.length;n++){var o=i[n],r=o[0],s=o[1];this.set(r,s)}}return e.prototype.set=function(e,t){var n=this._entries.get(e);return this._entries.set(e,t),n},e.prototype.forEach=function(e){this._entries.forEach(function(t,n){return e(n,t)})},e.prototype.has=function(e){return this._entries.has(e)},e.prototype.get=function(e){return this._entries.get(e)},e}();t.ServiceCollection=n}),define(t[418],n([0,1,12,4,2,8,95,19,384,39,13,3,20,55,394,179,21,31,17,68,28]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var S=0,w=function(e){function t(t,n,o,r,s){var u=e.call(this)||this;return u._onDidDispose=u._register(new i.Emitter),u.onDidDispose=u._onDidDispose.event,u._onDidChangeModelContent=u._register(new i.Emitter),u.onDidChangeModelContent=u._onDidChangeModelContent.event,
u._onDidChangeModelLanguage=u._register(new i.Emitter),u.onDidChangeModelLanguage=u._onDidChangeModelLanguage.event,u._onDidChangeModelLanguageConfiguration=u._register(new i.Emitter),u.onDidChangeModelLanguageConfiguration=u._onDidChangeModelLanguageConfiguration.event,u._onDidChangeModelOptions=u._register(new i.Emitter),u.onDidChangeModelOptions=u._onDidChangeModelOptions.event,u._onDidChangeModelDecorations=u._register(new i.Emitter),u.onDidChangeModelDecorations=u._onDidChangeModelDecorations.event,u._onDidChangeConfiguration=u._register(new i.Emitter),u.onDidChangeConfiguration=u._onDidChangeConfiguration.event,u._onDidChangeModel=u._register(new i.Emitter),u.onDidChangeModel=u._onDidChangeModel.event,u._onDidChangeCursorPosition=u._register(new i.Emitter),u.onDidChangeCursorPosition=u._onDidChangeCursorPosition.event,u._onDidChangeCursorSelection=u._register(new i.Emitter),u.onDidChangeCursorSelection=u._onDidChangeCursorSelection.event,u._onDidLayoutChange=u._register(new i.Emitter),
u.onDidLayoutChange=u._onDidLayoutChange.event,u._editorTextFocus=u._register(new L),u.onDidFocusEditorText=u._editorTextFocus.onDidChangeToTrue,u.onDidBlurEditorText=u._editorTextFocus.onDidChangeToFalse,u._editorFocus=u._register(new L),u.onDidFocusEditor=u._editorFocus.onDidChangeToTrue,u.onDidBlurEditor=u._editorFocus.onDidChangeToFalse,u._onWillType=u._register(new i.Emitter),u.onWillType=u._onWillType.event,u._onDidType=u._register(new i.Emitter),u.onDidType=u._onDidType.event,u._onDidPaste=u._register(new i.Emitter),u.onDidPaste=u._onDidPaste.event,u.domElement=t,u.id=++S,u._decorationTypeKeysToIds={},u._decorationTypeSubtypes={},u.isSimpleWidget=o,n=n||{},u._configuration=u._register(u._createConfiguration(n)),u._register(u._configuration.onDidChange(function(e){u._onDidChangeConfiguration.fire(e),e.layoutInfo&&u._onDidLayoutChange.fire(u._configuration.editor.layoutInfo)})),u._contextKeyService=u._register(s.createScoped(u.domElement)),u._register(new x(u,u._contextKeyService)),
u._register(new N(u,u._contextKeyService)),u._instantiationService=r.createChild(new a.ServiceCollection([l.IContextKeyService,u._contextKeyService])),u._attachModel(null),u._contributions={},u._actions={},u}return o(t,e),t.prototype.getId=function(){return this.getEditorType()+":"+this.id},t.prototype.getEditorType=function(){return f.EditorType.ICodeEditor},t.prototype.dispose=function(){for(var t=Object.keys(this._contributions),n=0,i=t.length;n<i;n++){var o=t[n];this._contributions[o].dispose()}this._contributions={},this._actions={},this._removeDecorationTypes(),this._postDetachModelCleanup(this._detachModel()),this._onDidDispose.fire(),e.prototype.dispose.call(this)},t.prototype.invokeWithinContext=function(e){return this._instantiationService.invokeFunction(e)},t.prototype.updateOptions=function(e){this._configuration.updateOptions(e)},t.prototype.getConfiguration=function(){return this._configuration.editor},t.prototype.getRawConfiguration=function(){return this._configuration.getRawOptions()},
t.prototype.getValue=function(e){if(void 0===e&&(e=null),this.model){var t=!(!e||!e.preserveBOM),n=b.EndOfLinePreference.TextDefined;return e&&e.lineEnding&&"\n"===e.lineEnding?n=b.EndOfLinePreference.LF:e&&e.lineEnding&&"\r\n"===e.lineEnding&&(n=b.EndOfLinePreference.CRLF),this.model.getValue(n,t)}return""},t.prototype.setValue=function(e){this.model&&this.model.setValue(e)},t.prototype.getModel=function(){return this.model},t.prototype.setModel=function(e){if(void 0===e&&(e=null),this.model!==e){var t=this._detachModel();this._attachModel(e);var n={oldModelUrl:t?t.uri:null,newModelUrl:e?e.uri:null};this._removeDecorationTypes(),this._onDidChangeModel.fire(n),this._postDetachModelCleanup(t)}},t.prototype._removeDecorationTypes=function(){if(this._decorationTypeKeysToIds={},this._decorationTypeSubtypes){for(var e in this._decorationTypeSubtypes){var t=this._decorationTypeSubtypes[e];for(var n in t)this._removeDecorationType(e+"-"+n)}this._decorationTypeSubtypes={}}},
t.prototype.getCenteredRangeInViewport=function(){return this.hasView?this.viewModel.getCenteredRangeInViewport():null},t.prototype.getVisibleRanges=function(){return this.hasView?this.viewModel.getVisibleRanges():[]},t.prototype.getWhitespaces=function(){return this.hasView?this.viewModel.viewLayout.getWhitespaces():[]},t.prototype._getVerticalOffsetForPosition=function(e,t){var n=this.model.validatePosition({lineNumber:e,column:t}),i=this.viewModel.coordinatesConverter.convertModelPositionToViewPosition(n);return this.viewModel.viewLayout.getVerticalOffsetForLineNumber(i.lineNumber)},t.prototype.getTopForLineNumber=function(e){return this.hasView?this._getVerticalOffsetForPosition(e,1):-1},t.prototype.getTopForPosition=function(e,t){return this.hasView?this._getVerticalOffsetForPosition(e,t):-1},t.prototype.setHiddenAreas=function(e){this.viewModel&&this.viewModel.setHiddenAreas(e.map(function(e){return h.Range.lift(e)}))},t.prototype.getVisibleColumnFromPosition=function(e){if(!this.model)return e.column
;var t=this.model.validatePosition(e),n=this.model.getOptions().tabSize;return c.CursorColumns.visibleColumnFromColumn(this.model.getLineContent(t.lineNumber),t.column,n)+1},t.prototype.getPosition=function(){return this.cursor?this.cursor.getPosition().clone():null},t.prototype.setPosition=function(e){if(this.cursor){if(!d.Position.isIPosition(e))throw new Error("Invalid arguments");this.cursor.setSelections("api",[{selectionStartLineNumber:e.lineNumber,selectionStartColumn:e.column,positionLineNumber:e.lineNumber,positionColumn:e.column}])}},t.prototype._sendRevealRange=function(e,t,n,i){if(this.model&&this.cursor){if(!h.Range.isIRange(e))throw new Error("Invalid arguments");var o=this.model.validateRange(e),r=this.viewModel.coordinatesConverter.convertModelRangeToViewRange(o);this.cursor.emitCursorRevealRange(r,t,n,i)}},t.prototype.revealLine=function(e,t){void 0===t&&(t=0),this._revealLine(e,0,t)},t.prototype.revealLineInCenter=function(e,t){void 0===t&&(t=0),this._revealLine(e,1,t)},
t.prototype.revealLineInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this._revealLine(e,2,t)},t.prototype._revealLine=function(e,t,n){if("number"!=typeof e)throw new Error("Invalid arguments");this._sendRevealRange(new h.Range(e,1,e,1),t,!1,n)},t.prototype.revealPosition=function(e,t){void 0===t&&(t=0),this._revealPosition(e,0,!0,t)},t.prototype.revealPositionInCenter=function(e,t){void 0===t&&(t=0),this._revealPosition(e,1,!0,t)},t.prototype.revealPositionInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this._revealPosition(e,2,!0,t)},t.prototype._revealPosition=function(e,t,n,i){if(!d.Position.isIPosition(e))throw new Error("Invalid arguments");this._sendRevealRange(new h.Range(e.lineNumber,e.column,e.lineNumber,e.column),t,n,i)},t.prototype.getSelection=function(){return this.cursor?this.cursor.getSelection().clone():null},t.prototype.getSelections=function(){if(!this.cursor)return null;for(var e=this.cursor.getSelections(),t=[],n=0,i=e.length;n<i;n++)t[n]=e[n].clone();return t},
t.prototype.setSelection=function(e){var t=p.Selection.isISelection(e),n=h.Range.isIRange(e);if(!t&&!n)throw new Error("Invalid arguments");if(t)this._setSelectionImpl(e);else if(n){var i={selectionStartLineNumber:e.startLineNumber,selectionStartColumn:e.startColumn,positionLineNumber:e.endLineNumber,positionColumn:e.endColumn};this._setSelectionImpl(i)}},t.prototype._setSelectionImpl=function(e){if(this.cursor){var t=new p.Selection(e.selectionStartLineNumber,e.selectionStartColumn,e.positionLineNumber,e.positionColumn);this.cursor.setSelections("api",[t])}},t.prototype.revealLines=function(e,t,n){void 0===n&&(n=0),this._revealLines(e,t,0,n)},t.prototype.revealLinesInCenter=function(e,t,n){void 0===n&&(n=0),this._revealLines(e,t,1,n)},t.prototype.revealLinesInCenterIfOutsideViewport=function(e,t,n){void 0===n&&(n=0),this._revealLines(e,t,2,n)},t.prototype._revealLines=function(e,t,n,i){if("number"!=typeof e||"number"!=typeof t)throw new Error("Invalid arguments")
;this._sendRevealRange(new h.Range(e,1,t,1),n,!1,i)},t.prototype.revealRange=function(e,t,n,i){void 0===t&&(t=0),void 0===n&&(n=!1),void 0===i&&(i=!0),this._revealRange(e,n?1:0,i,t)},t.prototype.revealRangeInCenter=function(e,t){void 0===t&&(t=0),this._revealRange(e,1,!0,t)},t.prototype.revealRangeInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this._revealRange(e,2,!0,t)},t.prototype.revealRangeAtTop=function(e,t){void 0===t&&(t=0),this._revealRange(e,3,!0,t)},t.prototype._revealRange=function(e,t,n,i){if(!h.Range.isIRange(e))throw new Error("Invalid arguments");this._sendRevealRange(h.Range.lift(e),t,n,i)},t.prototype.setSelections=function(e){if(this.cursor){if(!e||0===e.length)throw new Error("Invalid arguments");for(var t=0,n=e.length;t<n;t++)if(!p.Selection.isISelection(e[t]))throw new Error("Invalid arguments");this.cursor.setSelections("api",e)}},t.prototype.getScrollWidth=function(){return this.hasView?this.viewModel.viewLayout.getScrollWidth():-1},t.prototype.getScrollLeft=function(){
return this.hasView?this.viewModel.viewLayout.getCurrentScrollLeft():-1},t.prototype.getScrollHeight=function(){return this.hasView?this.viewModel.viewLayout.getScrollHeight():-1},t.prototype.getScrollTop=function(){return this.hasView?this.viewModel.viewLayout.getCurrentScrollTop():-1},t.prototype.setScrollLeft=function(e){if(this.hasView){if("number"!=typeof e)throw new Error("Invalid arguments");this.viewModel.viewLayout.setScrollPositionNow({scrollLeft:e})}},t.prototype.setScrollTop=function(e){if(this.hasView){if("number"!=typeof e)throw new Error("Invalid arguments");this.viewModel.viewLayout.setScrollPositionNow({scrollTop:e})}},t.prototype.setScrollPosition=function(e){this.hasView&&this.viewModel.viewLayout.setScrollPositionNow(e)},t.prototype.saveViewState=function(){if(!this.cursor||!this.hasView)return null;for(var e={},t=Object.keys(this._contributions),n=0,i=t.length;n<i;n++){var o=t[n],r=this._contributions[o];"function"==typeof r.saveViewState&&(e[o]=r.saveViewState())}return{
cursorState:this.cursor.saveState(),viewState:this.viewModel.saveState(),contributionsState:e}},t.prototype.restoreViewState=function(e){if(this.cursor&&this.hasView&&e&&e.cursorState&&e.viewState){var t=e.cursorState;Array.isArray(t)?this.cursor.restoreState(t):this.cursor.restoreState([t]);for(var n=e.contributionsState||{},i=Object.keys(this._contributions),o=0,r=i.length;o<r;o++){var s=i[o],a=this._contributions[s];"function"==typeof a.restoreViewState&&a.restoreViewState(n[s])}}},t.prototype.onVisible=function(){},t.prototype.onHide=function(){},t.prototype.getContribution=function(e){return this._contributions[e]||null},t.prototype.getActions=function(){for(var e=[],t=Object.keys(this._actions),n=0,i=t.length;n<i;n++){var o=t[n];e.push(this._actions[o])}return e},t.prototype.getSupportedActions=function(){var e=this.getActions();return e=e.filter(function(e){return e.isSupported()})},t.prototype.getAction=function(e){return this._actions[e]||null},t.prototype.trigger=function(e,t,i){if(i=i||{},
t===f.Handler.Type){if(!this.cursor||"string"!=typeof i.text||0===i.text.length)return;return"keyboard"===e&&this._onWillType.fire(i.text),this.cursor.trigger(e,t,i),void("keyboard"===e&&this._onDidType.fire(i.text))}if(t!==f.Handler.Paste){var o=this.getAction(t);o?s.TPromise.as(o.run()).then(null,n.onUnexpectedError):this.cursor&&(this._triggerEditorCommand(e,t,i)||this.cursor.trigger(e,t,i))}else{if(!this.cursor||"string"!=typeof i.text||0===i.text.length)return;var r=this.cursor.getSelection().getStartPosition();this.cursor.trigger(e,t,i);var a=this.cursor.getSelection().getStartPosition();"keyboard"===e&&this._onDidPaste.fire(new h.Range(r.lineNumber,r.column,a.lineNumber,a.column))}},t.prototype._getCursors=function(){return this.cursor},t.prototype._getCursorConfiguration=function(){return this.cursor.context.config},t.prototype.pushUndoStop=function(){return!!this.model&&(!this._configuration.editor.readOnly&&(this.model.pushStackElement(),!0))},t.prototype.executeEdits=function(e,t,n){var i=this
;return!!this.cursor&&(!this._configuration.editor.readOnly&&(this.model.pushEditOperations(this.cursor.getSelections(),t,function(){return n||i.cursor.getSelections()}),n&&this.cursor.setSelections(e,n),!0))},t.prototype.executeCommand=function(e,t){this.cursor&&this.cursor.trigger(e,f.Handler.ExecuteCommand,t)},t.prototype.executeCommands=function(e,t){this.cursor&&this.cursor.trigger(e,f.Handler.ExecuteCommands,t)},t.prototype.changeDecorations=function(e){return this.model?this.model.changeDecorations(e,this.id):null},t.prototype.getLineDecorations=function(e){return this.model?this.model.getLineDecorations(e,this.id,this._configuration.editor.readOnly):null},t.prototype.deltaDecorations=function(e,t){return this.model?0===e.length&&0===t.length?e:this.model.deltaDecorations(e,t,this.id):[]},t.prototype.setDecorations=function(e,t){var n={},i=this._decorationTypeSubtypes[e]||{};this._decorationTypeSubtypes[e]=n;for(var o=[],r=0,s=t;r<s.length;r++){var a=s[r],l=e;if(a.renderOptions){
l=e+"-"+(c=m.hash(a.renderOptions).toString(16)),i[c]||n[c]||this._registerDecorationType(l,a.renderOptions,e),n[c]=!0}var u=this._resolveDecorationOptions(l,!!a.hoverMessage);a.hoverMessage&&(u.hoverMessage=a.hoverMessage),o.push({range:a.range,options:u})}for(var c in i)n[c]||this._removeDecorationType(e+"-"+c);var d=this._decorationTypeKeysToIds[e]||[];this._decorationTypeKeysToIds[e]=this.deltaDecorations(d,o)},t.prototype.setDecorationsFast=function(e,t){var n=this._decorationTypeSubtypes[e]||{};for(var i in n)this._removeDecorationType(e+"-"+i);this._decorationTypeSubtypes[e]={};for(var o=_.ModelDecorationOptions.createDynamic(this._resolveDecorationOptions(e,!1)),r=new Array(t.length),s=0,a=t.length;s<a;s++)r[s]={range:t[s],options:o};var l=this._decorationTypeKeysToIds[e]||[];this._decorationTypeKeysToIds[e]=this.deltaDecorations(l,r)},t.prototype.removeDecorations=function(e){var t=this._decorationTypeKeysToIds[e];t&&this.deltaDecorations(t,[]),
this._decorationTypeKeysToIds.hasOwnProperty(e)&&delete this._decorationTypeKeysToIds[e],this._decorationTypeSubtypes.hasOwnProperty(e)&&delete this._decorationTypeSubtypes[e]},t.prototype.getLayoutInfo=function(){return this._configuration.editor.layoutInfo},t.prototype._attachModel=function(e){var t=this;this.model=e||null,this.listenersToRemove=[],this.viewModel=null,this.cursor=null,this.model?(this.domElement.setAttribute("data-mode-id",this.model.getLanguageIdentifier().language),this._configuration.setIsDominatedByLongLines(this.model.isDominatedByLongLines()),this._configuration.setMaxLineNumber(this.model.getLineCount()),this.model.onBeforeAttached(),this.viewModel=new g.ViewModel(this.id,this._configuration,this.model,function(e){return t._scheduleAtNextAnimationFrame(e)}),this.listenersToRemove.push(this.model.onDidChangeDecorations(function(e){return t._onDidChangeModelDecorations.fire(e)})),this.listenersToRemove.push(this.model.onDidChangeLanguage(function(e){
t.model&&(t.domElement.setAttribute("data-mode-id",t.model.getLanguageIdentifier().language),t._onDidChangeModelLanguage.fire(e))})),this.listenersToRemove.push(this.model.onDidChangeLanguageConfiguration(function(e){return t._onDidChangeModelLanguageConfiguration.fire(e)})),this.listenersToRemove.push(this.model.onDidChangeContent(function(e){return t._onDidChangeModelContent.fire(e)})),this.listenersToRemove.push(this.model.onDidChangeOptions(function(e){return t._onDidChangeModelOptions.fire(e)})),this.listenersToRemove.push(this.model.onWillDispose(function(){return t.setModel(null)})),this.cursor=new u.Cursor(this._configuration,this.model,this.viewModel),this._createView(),this.listenersToRemove.push(this.cursor.onDidChange(function(e){for(var n=[],i=0,o=e.selections.length;i<o;i++)n[i]=e.selections[i].getPosition();var r={position:n[0],secondaryPositions:n.slice(1),reason:e.reason,source:e.source};t._onDidChangeCursorPosition.fire(r);var s={selection:e.selections[0],
secondarySelections:e.selections.slice(1),source:e.source,reason:e.reason};t._onDidChangeCursorSelection.fire(s)}))):this.hasView=!1},t.prototype._postDetachModelCleanup=function(e){e&&e.removeAllDecorationsWithOwnerId(this.id)},t.prototype._detachModel=function(){this.model&&this.model.onBeforeDetached(),this.hasView=!1,this.listenersToRemove=r.dispose(this.listenersToRemove),this.cursor&&(this.cursor.dispose(),this.cursor=null),this.viewModel&&(this.viewModel.dispose(),this.viewModel=null);var e=this.model;return this.model=null,this.domElement.removeAttribute("data-mode-id"),e},t.prototype.getTelemetryData=function(){return null},t}(r.Disposable);t.CommonCodeEditor=w;var E;!function(e){e[e.NotSet=0]="NotSet",e[e.False=1]="False",e[e.True=2]="True"}(E||(E={}));var L=function(e){function t(){var t=e.call(this)||this;return t._onDidChangeToTrue=t._register(new i.Emitter),t.onDidChangeToTrue=t._onDidChangeToTrue.event,t._onDidChangeToFalse=t._register(new i.Emitter),
t.onDidChangeToFalse=t._onDidChangeToFalse.event,t._value=0,t}return o(t,e),t.prototype.setValue=function(e){var t=e?2:1;this._value!==t&&(this._value=t,2===this._value?this._onDidChangeToTrue.fire():1===this._value&&this._onDidChangeToFalse.fire())},t}(r.Disposable);t.BooleanEventEmitter=L;var x=function(e){function t(t,n){var i=e.call(this)||this;return i._editor=t,n.createKey("editorId",t.getId()),i._editorFocus=v.EditorContextKeys.focus.bindTo(n),i._textInputFocus=v.EditorContextKeys.textInputFocus.bindTo(n),i._editorTextFocus=v.EditorContextKeys.editorTextFocus.bindTo(n),i._editorTabMovesFocus=v.EditorContextKeys.tabMovesFocus.bindTo(n),i._editorReadonly=v.EditorContextKeys.readOnly.bindTo(n),i._hasMultipleSelections=v.EditorContextKeys.hasMultipleSelections.bindTo(n),i._hasNonEmptySelection=v.EditorContextKeys.hasNonEmptySelection.bindTo(n),i._register(i._editor.onDidChangeConfiguration(function(){return i._updateFromConfig()})),i._register(i._editor.onDidChangeCursorSelection(function(){
return i._updateFromSelection()})),i._register(i._editor.onDidFocusEditor(function(){return i._updateFromFocus()})),i._register(i._editor.onDidBlurEditor(function(){return i._updateFromFocus()})),i._register(i._editor.onDidFocusEditorText(function(){return i._updateFromFocus()})),i._register(i._editor.onDidBlurEditorText(function(){return i._updateFromFocus()})),i._updateFromConfig(),i._updateFromSelection(),i._updateFromFocus(),i}return o(t,e),t.prototype._updateFromConfig=function(){var e=this._editor.getConfiguration();this._editorTabMovesFocus.set(e.tabFocusMode),this._editorReadonly.set(e.readOnly)},t.prototype._updateFromSelection=function(){var e=this._editor.getSelections();e?(this._hasMultipleSelections.set(e.length>1),this._hasNonEmptySelection.set(e.some(function(e){return!e.isEmpty()}))):(this._hasMultipleSelections.reset(),this._hasNonEmptySelection.reset())},t.prototype._updateFromFocus=function(){this._editorFocus.set(this._editor.hasWidgetFocus()&&!this._editor.isSimpleWidget),
this._editorTextFocus.set(this._editor.isFocused()&&!this._editor.isSimpleWidget),this._textInputFocus.set(this._editor.isFocused())},t}(r.Disposable),N=function(e){function t(t,n){var i=e.call(this)||this;i._editor=t,i._langId=v.EditorContextKeys.languageId.bindTo(n),i._hasCompletionItemProvider=v.EditorContextKeys.hasCompletionItemProvider.bindTo(n),i._hasCodeActionsProvider=v.EditorContextKeys.hasCodeActionsProvider.bindTo(n),i._hasCodeLensProvider=v.EditorContextKeys.hasCodeLensProvider.bindTo(n),i._hasDefinitionProvider=v.EditorContextKeys.hasDefinitionProvider.bindTo(n),i._hasImplementationProvider=v.EditorContextKeys.hasImplementationProvider.bindTo(n),i._hasTypeDefinitionProvider=v.EditorContextKeys.hasTypeDefinitionProvider.bindTo(n),i._hasHoverProvider=v.EditorContextKeys.hasHoverProvider.bindTo(n),i._hasDocumentHighlightProvider=v.EditorContextKeys.hasDocumentHighlightProvider.bindTo(n),i._hasDocumentSymbolProvider=v.EditorContextKeys.hasDocumentSymbolProvider.bindTo(n),
i._hasReferenceProvider=v.EditorContextKeys.hasReferenceProvider.bindTo(n),i._hasRenameProvider=v.EditorContextKeys.hasRenameProvider.bindTo(n),i._hasDocumentFormattingProvider=v.EditorContextKeys.hasDocumentFormattingProvider.bindTo(n),i._hasDocumentSelectionFormattingProvider=v.EditorContextKeys.hasDocumentSelectionFormattingProvider.bindTo(n),i._hasSignatureHelpProvider=v.EditorContextKeys.hasSignatureHelpProvider.bindTo(n),i._isInWalkThrough=v.EditorContextKeys.isInEmbeddedEditor.bindTo(n);var o=function(){return i._update()};return i._register(t.onDidChangeModel(o)),i._register(t.onDidChangeModelLanguage(o)),i._register(y.SuggestRegistry.onDidChange(o)),i._register(y.CodeActionProviderRegistry.onDidChange(o)),i._register(y.CodeLensProviderRegistry.onDidChange(o)),i._register(y.DefinitionProviderRegistry.onDidChange(o)),i._register(y.ImplementationProviderRegistry.onDidChange(o)),i._register(y.TypeDefinitionProviderRegistry.onDidChange(o)),i._register(y.HoverProviderRegistry.onDidChange(o)),
i._register(y.DocumentHighlightProviderRegistry.onDidChange(o)),i._register(y.DocumentSymbolProviderRegistry.onDidChange(o)),i._register(y.ReferenceProviderRegistry.onDidChange(o)),i._register(y.RenameProviderRegistry.onDidChange(o)),i._register(y.DocumentFormattingEditProviderRegistry.onDidChange(o)),i._register(y.DocumentRangeFormattingEditProviderRegistry.onDidChange(o)),i._register(y.SignatureHelpProviderRegistry.onDidChange(o)),o(),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.reset=function(){this._langId.reset(),this._hasCompletionItemProvider.reset(),this._hasCodeActionsProvider.reset(),this._hasCodeLensProvider.reset(),this._hasDefinitionProvider.reset(),this._hasImplementationProvider.reset(),this._hasTypeDefinitionProvider.reset(),this._hasHoverProvider.reset(),this._hasDocumentHighlightProvider.reset(),this._hasDocumentSymbolProvider.reset(),this._hasReferenceProvider.reset(),this._hasRenameProvider.reset(),this._hasDocumentFormattingProvider.reset(),
this._hasDocumentSelectionFormattingProvider.reset(),this._hasSignatureHelpProvider.reset(),this._isInWalkThrough.reset()},t.prototype._update=function(){var e=this._editor.getModel();e?(this._langId.set(e.getLanguageIdentifier().language),this._hasCompletionItemProvider.set(y.SuggestRegistry.has(e)),this._hasCodeActionsProvider.set(y.CodeActionProviderRegistry.has(e)),this._hasCodeLensProvider.set(y.CodeLensProviderRegistry.has(e)),this._hasDefinitionProvider.set(y.DefinitionProviderRegistry.has(e)),this._hasImplementationProvider.set(y.ImplementationProviderRegistry.has(e)),this._hasTypeDefinitionProvider.set(y.TypeDefinitionProviderRegistry.has(e)),this._hasHoverProvider.set(y.HoverProviderRegistry.has(e)),this._hasDocumentHighlightProvider.set(y.DocumentHighlightProviderRegistry.has(e)),this._hasDocumentSymbolProvider.set(y.DocumentSymbolProviderRegistry.has(e)),this._hasReferenceProvider.set(y.ReferenceProviderRegistry.has(e)),this._hasRenameProvider.set(y.RenameProviderRegistry.has(e)),
this._hasSignatureHelpProvider.set(y.SignatureHelpProviderRegistry.has(e)),this._hasDocumentFormattingProvider.set(y.DocumentFormattingEditProviderRegistry.has(e)||y.DocumentRangeFormattingEditProviderRegistry.has(e)),this._hasDocumentSelectionFormattingProvider.set(y.DocumentRangeFormattingEditProviderRegistry.has(e)),this._isInWalkThrough.set(e.uri.scheme===C.Schemas.walkThroughSnippet)):this.reset()},t}(r.Disposable);t.EditorModeContext=N}),define(t[419],n([0,1,12,30,77,433,167,14,95]),function(e,t,n,i,o,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(){function e(e,t){void 0===e&&(e=new l.ServiceCollection),void 0===t&&(t=!1),this._services=e,this._strict=t,this._services.set(a.IInstantiationService,this)}return e.prototype.createChild=function(t){var n=this;return this._services.forEach(function(e,i){t.has(e)||(i instanceof s.SyncDescriptor&&(i=n._createAndCacheServiceInstance(e,i)),t.set(e,i))}),new e(t,this._strict)},e.prototype.invokeFunction=function(e){
for(var t=this,i=[],o=1;o<arguments.length;o++)i[o-1]=arguments[o];var r;try{return r={get:function(e,n){var i=t._getOrCreateServiceInstance(e);if(!i&&n!==a.optional)throw new Error("[invokeFunction] unkown service '"+e+"'");return i}},e.apply(void 0,[r].concat(i))}finally{r.get=function(){throw n.illegalState("service accessor is only valid during the invocation of its target method")}}},e.prototype.createInstance=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];return e instanceof s.SyncDescriptor?this._createInstance(e,t):this._createInstance(new s.SyncDescriptor(e),t)},e.prototype._createInstance=function(e,t){for(var n=e.staticArguments.concat(t),o=a._util.getServiceDependencies(e.ctor).sort(function(e,t){return e.index-t.index}),r=[],s=0,l=o;s<l.length;s++){var u=l[s],c=this._getOrCreateServiceInstance(u.id);if(!c&&this._strict&&!u.optional)throw new Error("[createInstance] "+e.ctor.name+" depends on UNKNOWN service "+u.id+".");r.push(c)}var d=o.length>0?o[0].index:n.length
;if(n.length!==d){console.warn("[createInstance] First service dependency of "+e.ctor.name+" at position "+(d+1)+" conflicts with "+n.length+" static arguments");var h=d-n.length;n=h>0?n.concat(new Array(h)):n.slice(0,d)}var p=[e.ctor];return p.push.apply(p,n),p.push.apply(p,r),i.create.apply(null,p)},e.prototype._getOrCreateServiceInstance=function(e){var t=this._services.get(e);return t instanceof s.SyncDescriptor?this._createAndCacheServiceInstance(e,t):t},e.prototype._createAndCacheServiceInstance=function(e,t){function n(){var e=new Error("[createInstance] cyclic dependency between services");throw e.message=i.toString(),e}o.ok(this._services.get(e)instanceof s.SyncDescriptor);for(var i=new r.Graph(function(e){return e.id.toString()}),l=0,u=[{id:e,desc:t}];u.length;){var c=u.pop();i.lookupOrInsertNode(c),l++>100&&n();for(var d=0,h=a._util.getServiceDependencies(c.desc.ctor);d<h.length;d++){var p=h[d],f=this._services.get(p.id)
;if(f||console.warn("[createInstance] "+e+" depends on "+p.id+" which is NOT registered."),f instanceof s.SyncDescriptor){var g={id:p.id,desc:f};i.insertEdge(c,g),u.push(g)}}}for(;;){var m=i.roots();if(0===m.length){0!==i.length&&n();break}for(var v=0,_=m;v<_.length;v++){var y=_[v],C=this._createInstance(y.data.desc,[]);this._services.set(y.data.id,C),i.removeNode(y.data)}}return this._services.get(e)},e}();t.InstantiationService=u}),define(t[420],n([0,1,355,2,4]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,n,i,r){this.toDispose=[],this._contextKeyService=e,this._commandService=t,this._telemetryService=n,this._statusService=r,this._notificationService=i,this._currentChord=null,this._currentChordStatusMessage=null,this._onDidUpdateKeybindings=new o.Emitter,this.toDispose.push(this._onDidUpdateKeybindings)}return e.prototype.dispose=function(){this.toDispose=i.dispose(this.toDispose)},
Object.defineProperty(e.prototype,"onDidUpdateKeybindings",{get:function(){return this._onDidUpdateKeybindings?this._onDidUpdateKeybindings.event:o.Event.None},enumerable:!0,configurable:!0}),e.prototype.getDefaultKeybindingsContent=function(){return""},e.prototype.getDefaultKeybindings=function(){return this._getResolver().getDefaultKeybindings()},e.prototype.getKeybindings=function(){return this._getResolver().getKeybindings()},e.prototype.customKeybindingsCount=function(){return 0},e.prototype.lookupKeybindings=function(e){return this._getResolver().lookupKeybindings(e).map(function(e){return e.resolvedKeybinding})},e.prototype.lookupKeybinding=function(e){var t=this._getResolver().lookupPrimaryKeybinding(e);return t?t.resolvedKeybinding:null},e.prototype.softDispatch=function(e,t){var n=this.resolveKeyboardEvent(e);if(n.isChord())return console.warn("Unexpected keyboard event mapped to a chord"),null;var i=n.getDispatchParts()[0];if(null===i)return null
;var o=this._contextKeyService.getContext(t),r=this._currentChord?this._currentChord.keypress:null;return this._getResolver().resolve(o,r,i)},e.prototype._dispatch=function(e,t){var i=this,o=!1,r=this.resolveKeyboardEvent(e);if(r.isChord())return console.warn("Unexpected keyboard event mapped to a chord"),null;var s=r.getDispatchParts()[0];if(null===s)return o;var a=this._contextKeyService.getContext(t),l=this._currentChord?this._currentChord.keypress:null,u=r.getLabel(),c=this._getResolver().resolve(a,l,s);return c&&c.enterChord?(o=!0,this._currentChord={keypress:s,label:u},this._statusService&&(this._currentChordStatusMessage=this._statusService.setStatusMessage(n.localize(0,null,u))),o):(this._statusService&&this._currentChord&&(c&&c.commandId||(this._statusService.setStatusMessage(n.localize(1,null,this._currentChord.label,u),1e4),o=!0)),this._currentChordStatusMessage&&(this._currentChordStatusMessage.dispose(),this._currentChordStatusMessage=null),this._currentChord=null,
c&&c.commandId&&(c.bubble||(o=!0),this._commandService.executeCommand(c.commandId,c.commandArgs||{}).done(void 0,function(e){i._notificationService.warn(e)}),this._telemetryService.publicLog("workbenchActionExecuted",{id:c.commandId,from:"keybinding"})),o)},e}();t.AbstractKeybindingService=r}),define(t[48],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Default=1]="Default",e[e.User=2]="User"}(t.KeybindingSource||(t.KeybindingSource={})),t.IKeybindingService=n.createDecorator("keybindingService")}),define(t[161],n([0,1,22,19,33]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(t,n){this._defaultKeybindings=t,this._defaultBoundCommands=new Map;for(var i=0,o=t.length;i<o;i++){var r=t[i].command;this._defaultBoundCommands.set(r,!0)}this._map=new Map,this._lookupMap=new Map,this._keybindings=e.combine(t,n);for(var i=0,o=this._keybindings.length;i<o;i++){var s=this._keybindings[i]
;null!==s.keypressFirstPart&&this._addKeyPress(s.keypressFirstPart,s)}}return e._isTargetedForRemoval=function(e,t,n,i,o){if(e.command!==i)return!1;if(t&&e.keypressFirstPart!==t)return!1;if(n&&e.keypressChordPart!==n)return!1;if(o){if(!e.when)return!1;if(!o.equals(e.when))return!1}return!0},e.combine=function(e,t){e=e.slice(0);for(var n=[],i=0,o=t.length;i<o;i++){var r=t[i];if(r.command&&0!==r.command.length&&"-"===r.command.charAt(0))for(var s=r.command.substr(1),a=r.keypressFirstPart,l=r.keypressChordPart,u=r.when,c=e.length-1;c>=0;c--)this._isTargetedForRemoval(e[c],a,l,s,u)&&e.splice(c,1);else n.push(r)}return e.concat(n)},e.prototype._addKeyPress=function(t,n){var i=this._map.get(t);if(void 0===i)return this._map.set(t,[n]),void this._addToLookupMap(n);for(var o=i.length-1;o>=0;o--){var r=i[o];if(r.command!==n.command){var s=null!==r.keypressChordPart,a=null!==n.keypressChordPart;s&&a&&r.keypressChordPart!==n.keypressChordPart||e.whenIsEntirelyIncluded(r.when,n.when)&&this._removeFromLookupMap(r)}}
i.push(n),this._addToLookupMap(n)},e.prototype._addToLookupMap=function(e){if(e.command){var t=this._lookupMap.get(e.command);void 0===t?(t=[e],this._lookupMap.set(e.command,t)):t.push(e)}},e.prototype._removeFromLookupMap=function(e){var t=this._lookupMap.get(e.command);if(void 0!==t)for(var n=0,i=t.length;n<i;n++)if(t[n]===e)return void t.splice(n,1)},e.whenIsEntirelyIncluded=function(e,t){if(!t)return!0;if(!e)return!1;for(var n=e instanceof i.ContextKeyAndExpr?e.expr:[e],o=t instanceof i.ContextKeyAndExpr?t.expr:[t],r=0,s=0;s<o.length;s++){for(var a=o[s],l=!1;!l&&r<n.length;){n[r].equals(a)&&(l=!0),r++}if(!l)return!1}return!0},e.prototype.getDefaultBoundCommands=function(){return this._defaultBoundCommands},e.prototype.getDefaultKeybindings=function(){return this._defaultKeybindings},e.prototype.getKeybindings=function(){return this._keybindings},e.prototype.lookupKeybindings=function(e){var t=this._lookupMap.get(e);if(void 0===t||0===t.length)return[];for(var n=[],i=0,o=t.length-1;o>=0;o--)n[i++]=t[o]
;return n},e.prototype.lookupPrimaryKeybinding=function(e){var t=this._lookupMap.get(e);return void 0===t||0===t.length?null:t[t.length-1]},e.prototype.resolve=function(e,t,n){var i=null;if(null!==t){if(void 0===(a=this._map.get(t)))return null;i=[];for(var o=0,r=a.length;o<r;o++){var s=a[o];s.keypressChordPart===n&&i.push(s)}}else{var a=this._map.get(n);if(void 0===a)return null;i=a}var l=this._findCommand(e,i);return l?null===t&&null!==l.keypressChordPart?{enterChord:!0,commandId:null,commandArgs:null,bubble:!1}:{enterChord:!1,commandId:l.command,commandArgs:l.commandArgs,bubble:l.bubble}:null},e.prototype._findCommand=function(t,n){for(var i=n.length-1;i>=0;i--){var o=n[i];if(e.contextMatchesRules(t,o.when))return o}return null},e.contextMatchesRules=function(e,t){return!t||t.evaluate(e)},e.getAllUnboundCommands=function(e){var t=o.CommandsRegistry.getCommands(),i=[]
;for(var r in t)"_"!==r[0]&&0!==r.indexOf("vscode.")&&("object"!=typeof t[r].description||n.isFalsyOrEmpty(t[r].description.args))&&!0!==e.get(r)&&i.push(r);return i},e}();t.KeybindingResolver=r}),define(t[423],n([0,1]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var n=function(){return function(e,t,n,i,o){if(this.resolvedKeybinding=e,e){var r=e.getDispatchParts(),s=r[0],a=r[1];this.keypressFirstPart=s,this.keypressChordPart=a}else this.keypressFirstPart=null,this.keypressChordPart=null;this.bubble=!!t&&94===t.charCodeAt(0),this.command=this.bubble?t.substr(1):t,this.commandArgs=n,this.when=i,this.isDefault=o}}();t.ResolvedKeybindingItem=n}),define(t[424],n([0,1,37,158]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t,n){var i=e.call(this)||this;return i._os=n,null===t?(i._firstPart=null,i._chordPart=null):2===t.type?(i._firstPart=t.firstPart,i._chordPart=t.chordPart):(i._firstPart=t,i._chordPart=null),i}
return o(t,e),t.prototype._keyCodeToUILabel=function(e){if(2===this._os)switch(e){case 15:return"←";case 16:return"↑";case 17:return"→";case 18:return"↓"}return n.KeyCodeUtils.toString(e)},t.prototype._getUILabelForKeybinding=function(e){return e?e.isDuplicateModifierCase()?"":this._keyCodeToUILabel(e.keyCode):null},t.prototype.getLabel=function(){var e=this._getUILabelForKeybinding(this._firstPart),t=this._getUILabelForKeybinding(this._chordPart);return i.UILabelProvider.toLabel(this._firstPart,e,this._chordPart,t,this._os)},t.prototype._getAriaLabelForKeybinding=function(e){return e?e.isDuplicateModifierCase()?"":n.KeyCodeUtils.toString(e.keyCode):null},t.prototype.getAriaLabel=function(){var e=this._getAriaLabelForKeybinding(this._firstPart),t=this._getAriaLabelForKeybinding(this._chordPart);return i.AriaLabelProvider.toLabel(this._firstPart,e,this._chordPart,t,this._os)},t.prototype._keyCodeToElectronAccelerator=function(e){if(e>=93&&e<=108)return null;switch(e){case 16:return"Up";case 18:return"Down"
;case 15:return"Left";case 17:return"Right"}return n.KeyCodeUtils.toString(e)},t.prototype._getElectronAcceleratorLabelForKeybinding=function(e){return e?e.isDuplicateModifierCase()?null:this._keyCodeToElectronAccelerator(e.keyCode):null},t.prototype.getElectronAccelerator=function(){if(null!==this._chordPart)return null;var e=this._getElectronAcceleratorLabelForKeybinding(this._firstPart);return i.ElectronAcceleratorLabelProvider.toLabel(this._firstPart,e,null,null,this._os)},t.prototype._getUserSettingsLabelForKeybinding=function(e){return e?e.isDuplicateModifierCase()?"":n.KeyCodeUtils.toUserSettingsUS(e.keyCode):null},t.prototype.getUserSettingsLabel=function(){var e=this._getUserSettingsLabelForKeybinding(this._firstPart),t=this._getUserSettingsLabelForKeybinding(this._chordPart),n=i.UserSettingsLabelProvider.toLabel(this._firstPart,e,this._chordPart,t,this._os);return n?n.toLowerCase():n},t.prototype.isWYSIWYG=function(){return!0},t.prototype.isChord=function(){return!!this._chordPart},
t.prototype.getParts=function(){return[this._toResolvedKeybindingPart(this._firstPart),this._toResolvedKeybindingPart(this._chordPart)]},t.prototype._toResolvedKeybindingPart=function(e){return e?new n.ResolvedKeybindingPart(e.ctrlKey,e.shiftKey,e.altKey,e.metaKey,this._getUILabelForKeybinding(e),this._getAriaLabelForKeybinding(e)):null},t.prototype.getDispatchParts=function(){return[this._firstPart?t.getDispatchStr(this._firstPart):null,this._chordPart?t.getDispatchStr(this._chordPart):null]},t.getDispatchStr=function(e){if(e.isModifierKey())return null;var t="";return e.ctrlKey&&(t+="ctrl+"),e.shiftKey&&(t+="shift+"),e.altKey&&(t+="alt+"),e.metaKey&&(t+="meta+"),t+=n.KeyCodeUtils.toString(e.keyCode)},t}(n.ResolvedKeybinding);t.USLayoutResolvedKeybinding=r}),define(t[120],n([0,1,14,2,15,4]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ILogService=n.createDecorator("logService");var a;!function(e){e[e.Trace=0]="Trace",e[e.Debug=1]="Debug",e[e.Info=2]="Info",
e[e.Warning=3]="Warning",e[e.Error=4]="Error",e[e.Critical=5]="Critical",e[e.Off=6]="Off"}(a=t.LogLevel||(t.LogLevel={})),t.DEFAULT_LOG_LEVEL=a.Info;var l=function(e){function n(){var n=null!==e&&e.apply(this,arguments)||this;return n.level=t.DEFAULT_LOG_LEVEL,n._onDidChangeLogLevel=n._register(new s.Emitter),n.onDidChangeLogLevel=n._onDidChangeLogLevel.event,n}return o(n,e),n.prototype.setLevel=function(e){this.level!==e&&(this.level=e,this._onDidChangeLogLevel.fire(this.level))},n.prototype.getLevel=function(){return this.level},n}(i.Disposable);t.AbstractLogService=l;var u=function(e){function n(n){void 0===n&&(n=t.DEFAULT_LOG_LEVEL);var i=e.call(this)||this;return i.setLevel(n),i.useColors=!r.isWindows,i}return o(n,e),n.prototype.trace=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]
;this.getLevel()<=a.Trace&&(this.useColors?console.log.apply(console,["[90m[main "+(new Date).toLocaleTimeString()+"][0m",e].concat(t)):console.log.apply(console,["[main "+(new Date).toLocaleTimeString()+"]",e].concat(t)))},n.prototype.debug=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Debug&&(this.useColors?console.log.apply(console,["[90m[main "+(new Date).toLocaleTimeString()+"][0m",e].concat(t)):console.log.apply(console,["[main "+(new Date).toLocaleTimeString()+"]",e].concat(t)))},n.prototype.info=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Info&&(this.useColors?console.log.apply(console,["[90m[main "+(new Date).toLocaleTimeString()+"][0m",e].concat(t)):console.log.apply(console,["[main "+(new Date).toLocaleTimeString()+"]",e].concat(t)))},n.prototype.warn=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]
;this.getLevel()<=a.Warning&&(this.useColors?console.warn.apply(console,["[93m[main "+(new Date).toLocaleTimeString()+"][0m",e].concat(t)):console.warn.apply(console,["[main "+(new Date).toLocaleTimeString()+"]",e].concat(t)))},n.prototype.error=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Error&&(this.useColors?console.error.apply(console,["[91m[main "+(new Date).toLocaleTimeString()+"][0m",e].concat(t)):console.error.apply(console,["[main "+(new Date).toLocaleTimeString()+"]",e].concat(t)))},n.prototype.critical=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Critical&&(this.useColors?console.error.apply(console,["[90m[main "+(new Date).toLocaleTimeString()+"][0m",e].concat(t)):console.error.apply(console,["[main "+(new Date).toLocaleTimeString()+"]",e].concat(t)))},n.prototype.dispose=function(){},n}(l);t.ConsoleLogMainService=u;var c=function(e){function n(n){void 0===n&&(n=t.DEFAULT_LOG_LEVEL)
;var i=e.call(this)||this;return i.setLevel(n),i}return o(n,e),n.prototype.trace=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Trace&&console.log.apply(console,["%cTRACE","color: #888",e].concat(t))},n.prototype.debug=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Debug&&console.log.apply(console,["%cDEBUG","background: #eee; color: #888",e].concat(t))},n.prototype.info=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Info&&console.log.apply(console,["%c INFO","color: #33f",e].concat(t))},n.prototype.warn=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Warning&&console.log.apply(console,["%c WARN","color: #993",e].concat(t))},n.prototype.error=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Error&&console.log.apply(console,["%c  ERR","color: #f33",e].concat(t))},n.prototype.critical=function(e){
for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];this.getLevel()<=a.Critical&&console.log.apply(console,["%cCRITI","background: #f33; color: white",e].concat(t))},n.prototype.dispose=function(){},n}(l);t.ConsoleLogService=c;var d=function(e){function t(t){var n=e.call(this)||this;return n.logServices=t,t.length&&n.setLevel(t[0].getLevel()),n}return o(t,e),t.prototype.setLevel=function(t){for(var n=0,i=this.logServices;n<i.length;n++){i[n].setLevel(t)}e.prototype.setLevel.call(this,t)},t.prototype.trace=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];for(var i=0,o=this.logServices;i<o.length;i++){var r=o[i];r.trace.apply(r,[e].concat(t))}},t.prototype.debug=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];for(var i=0,o=this.logServices;i<o.length;i++){var r=o[i];r.debug.apply(r,[e].concat(t))}},t.prototype.info=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];for(var i=0,o=this.logServices;i<o.length;i++){var r=o[i]
;r.info.apply(r,[e].concat(t))}},t.prototype.warn=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];for(var i=0,o=this.logServices;i<o.length;i++){var r=o[i];r.warn.apply(r,[e].concat(t))}},t.prototype.error=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];for(var i=0,o=this.logServices;i<o.length;i++){var r=o[i];r.error.apply(r,[e].concat(t))}},t.prototype.critical=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];for(var i=0,o=this.logServices;i<o.length;i++){var r=o[i];r.critical.apply(r,[e].concat(t))}},t.prototype.dispose=function(){for(var e=0,t=this.logServices;e<t.length;e++){t[e].dispose()}},t}(l);t.MultiplexLogService=d;var h=function(e){function t(t){var n=e.call(this)||this;return n.logService=t,n._register(t),n}return o(t,e),Object.defineProperty(t.prototype,"onDidChangeLogLevel",{get:function(){return this.logService.onDidChangeLogLevel},enumerable:!0,configurable:!0}),t.prototype.setLevel=function(e){this.logService.setLevel(e)
},t.prototype.getLevel=function(){return this.logService.getLevel()},t.prototype.trace=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];(i=this.logService).trace.apply(i,[e].concat(t));var i},t.prototype.debug=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];(i=this.logService).debug.apply(i,[e].concat(t));var i},t.prototype.info=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];(i=this.logService).info.apply(i,[e].concat(t));var i},t.prototype.warn=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];(i=this.logService).warn.apply(i,[e].concat(t));var i},t.prototype.error=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];(i=this.logService).error.apply(i,[e].concat(t));var i},t.prototype.critical=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];(i=this.logService).critical.apply(i,[e].concat(t));var i},t}(i.Disposable);t.DelegatedLogService=h;var p=function(){function e(){
this.onDidChangeLogLevel=(new s.Emitter).event}return e.prototype.setLevel=function(e){},e.prototype.getLevel=function(){return a.Info},e.prototype.trace=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.debug=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.info=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.warn=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.error=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.critical=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n]},e.prototype.dispose=function(){},e}();t.NullLogService=p,t.getLogLevel=function(e){if(e.verbose)return a.Trace;if("string"==typeof e.args.log)switch(e.args.log.toLowerCase()){case"trace":return a.Trace;case"debug":return a.Debug;case"info":return a.Info;case"warn":return a.Warning;case"error":return a.Error;case"critical":return a.Critical
;case"off":return a.Off}return t.DEFAULT_LOG_LEVEL}}),define(t[78],n([0,1,14,357,96]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r;!function(e){e[e.Hint=1]="Hint",e[e.Info=2]="Info",e[e.Warning=4]="Warning",e[e.Error=8]="Error"}(r=t.MarkerSeverity||(t.MarkerSeverity={})),function(e){e.compare=function(e,t){return t-e};var t=Object.create(null);t[e.Error]=i.localize(0,null),t[e.Warning]=i.localize(1,null),t[e.Info]=i.localize(2,null),e.toString=function(e){return t[e]||""},e.fromSeverity=function(t){switch(t){case o.default.Error:return e.Error;case o.default.Warning:return e.Warning;case o.default.Info:return e.Info;case o.default.Ignore:return e.Hint}}}(r=t.MarkerSeverity||(t.MarkerSeverity={}));!function(e){var t="";e.makeKey=function(e){var n=[t];return e.source?n.push(e.source.replace("¦","¦")):n.push(t),e.code?n.push(e.code.replace("¦","¦")):n.push(t),void 0!==e.severity&&null!==e.severity?n.push(r.toString(e.severity)):n.push(t),
e.message?n.push(e.message.replace("¦","¦")):n.push(t),void 0!==e.startLineNumber&&null!==e.startLineNumber?n.push(e.startLineNumber.toString()):n.push(t),void 0!==e.startColumn&&null!==e.startColumn?n.push(e.startColumn.toString()):n.push(t),void 0!==e.endLineNumber&&null!==e.endLineNumber?n.push(e.endLineNumber.toString()):n.push(t),void 0!==e.endColumn&&null!==e.endColumn?n.push(e.endColumn.toString()):n.push(t),n.push(t),n.join("¦")}}(t.IMarkerData||(t.IMarkerData={})),t.IMarkerService=n.createDecorator("markerService")}),define(t[427],n([0,1,22,68,30,4,78]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a;!function(e){e.get=function(e,t,n){if(e[t])return e[t][n]},e.set=function(e,t,n,i){e[t]||(e[t]=Object.create(null)),e[t][n]=i},e.remove=function(e,t,n){return!(!e[t]||!e[t][n]||(delete e[t][n],o.isEmptyObject(e[t])&&delete e[t],0))}}(a||(a={}));var l=function(){function e(e){this.errors=0,this.infos=0,this.warnings=0,this.unknowns=0,
this._data=Object.create(null),this._service=e,this._subscription=e.onMarkerChanged(this._update,this)}return e.prototype.dispose=function(){this._subscription.dispose(),this._data=void 0},e.prototype._update=function(e){for(var t=0,n=e;t<n.length;t++){var i=n[t],o=i.toString(),r=this._data[o];r&&this._substract(r);var s=this._resourceStats(i);this._add(s),this._data[o]=s}},e.prototype._resourceStats=function(e){var t={errors:0,warnings:0,infos:0,unknowns:0};if(e.scheme===i.Schemas.inMemory||e.scheme===i.Schemas.walkThrough||e.scheme===i.Schemas.walkThroughSnippet)return t;for(var n=0,o=this._service.read({resource:e});n<o.length;n++){var r=o[n].severity;r===s.MarkerSeverity.Error?t.errors+=1:r===s.MarkerSeverity.Warning?t.warnings+=1:r===s.MarkerSeverity.Info?t.infos+=1:t.unknowns+=1}return t},e.prototype._substract=function(e){this.errors-=e.errors,this.warnings-=e.warnings,this.infos-=e.infos,this.unknowns-=e.unknowns},e.prototype._add=function(e){this.errors+=e.errors,this.warnings+=e.warnings,
this.infos+=e.infos,this.unknowns+=e.unknowns},e}(),u=function(){function e(){this._onMarkerChanged=new r.Emitter,this._onMarkerChangedEvent=r.debounceEvent(this._onMarkerChanged.event,e._debouncer,0),this._byResource=Object.create(null),this._byOwner=Object.create(null),this._stats=new l(this)}return e.prototype.dispose=function(){this._stats.dispose()},Object.defineProperty(e.prototype,"onMarkerChanged",{get:function(){return this._onMarkerChangedEvent},enumerable:!0,configurable:!0}),e.prototype.getStatistics=function(){return this._stats},e.prototype.remove=function(e,t){if(!n.isFalsyOrEmpty(t))for(var i=0,o=t;i<o.length;i++){var r=o[i];this.changeOne(e,r,void 0)}},e.prototype.changeOne=function(t,i,o){if(n.isFalsyOrEmpty(o)){var r=a.remove(this._byResource,i.toString(),t),s=a.remove(this._byOwner,t,i.toString());if(r!==s)throw new Error("invalid marker service state");r&&s&&this._onMarkerChanged.fire([i])}else{for(var l=[],u=0,c=o;u<c.length;u++){var d=c[u],h=e._toMarker(t,i,d);h&&l.push(h)}
a.set(this._byResource,i.toString(),t,l),a.set(this._byOwner,t,i.toString(),l),this._onMarkerChanged.fire([i])}},e._toMarker=function(e,t,n){var i=n.code,o=n.severity,r=n.message,s=n.source,a=n.startLineNumber,l=n.startColumn,u=n.endLineNumber,c=n.endColumn,d=n.relatedInformation;if(r)return i=i||null,a=a>0?a:1,l=l>0?l:1,u=u>=a?u:a,c=c>0?c:l,{resource:t,owner:e,code:i,severity:o,message:r,source:s,startLineNumber:a,startColumn:l,endLineNumber:u,endColumn:c,relatedInformation:d}},e.prototype.changeAll=function(t,i){var o=[],r=this._byOwner[t];if(r){delete this._byOwner[t];for(var s in r){var l=a.get(this._byResource,s,t)[0];l&&o.push(l.resource),a.remove(this._byResource,s,t)}}if(!n.isFalsyOrEmpty(i)){for(var u=Object.create(null),c=0,d=i;c<d.length;c++){var h=d[c],s=h.resource,p=h.marker,f=e._toMarker(t,s,p);if(f){var g=u[s.toString()];g?g.push(f):(u[s.toString()]=[f],o.push(s))}}for(var s in u)a.set(this._byResource,s,t,u[s]),a.set(this._byOwner,t,s,u[s])}o.length>0&&this._onMarkerChanged.fire(o)},
e.prototype.read=function(t){void 0===t&&(t=Object.create(null));var n=t.owner,i=t.resource,o=t.severities,r=t.take;if((!r||r<0)&&(r=-1),n&&i){if(y=a.get(this._byResource,i.toString(),n)){for(var s=[],l=0,u=y;l<u.length;l++){var c=u[l];if(e._accept(c,o)){C=s.push(c);if(r>0&&C===r)break}}return s}return[]}if(n||i){var d=n?this._byOwner[n]:this._byResource[i.toString()];if(!d)return[];s=[];for(var h in d)for(var p=0,f=d[h];p<f.length;p++){y=f[p];if(e._accept(y,o)){C=s.push(y);if(r>0&&C===r)return s}}return s}s=[];for(var g in this._byResource)for(var m in this._byResource[g])for(var v=0,_=this._byResource[g][m];v<_.length;v++){var y=_[v];if(e._accept(y,o)){var C=s.push(y);if(r>0&&C===r)return s}}return s},e._accept=function(e,t){return void 0===t||(t&e.severity)===e.severity},e._debouncer=function(t,n){t||(e._dedupeMap=Object.create(null),t=[]);for(var i=0,o=n;i<o.length;i++){var r=o[i];void 0===e._dedupeMap[r.toString()]&&(e._dedupeMap[r.toString()]=!0,t.push(r))}return t},e}();t.MarkerService=u}),
define(t[40],n([0,1,96,14,4]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Severity=n.default,t.INotificationService=i.createDecorator("notificationService");var r=function(){function e(){this.progress=new s,this._onDidDispose=new o.Emitter}return Object.defineProperty(e.prototype,"onDidDispose",{get:function(){return this._onDidDispose.event},enumerable:!0,configurable:!0}),e.prototype.updateSeverity=function(e){},e.prototype.updateMessage=function(e){},e.prototype.updateActions=function(e){},e.prototype.dispose=function(){this._onDidDispose.dispose()},e}();t.NoOpNotification=r;var s=function(){function e(){}return e.prototype.infinite=function(){},e.prototype.done=function(){},e.prototype.total=function(e){},e.prototype.worked=function(e){},e}();t.NoOpProgress=s}),define(t[62],n([0,1,8,14]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IOpenerService=i.createDecorator("openerService"),t.NullOpenerService=Object.freeze({
_serviceBrand:void 0,open:function(){return n.TPromise.as(void 0)}})}),define(t[124],n([0,1,117,62,63,29,12,196,14,4,2]),function(e,t,n,i,o,r,s,a,l,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(){function e(e,t,n){void 0===n&&(n=i.NullOpenerService),this._editor=e,this._modeService=t,this._openerService=n,this._onDidRenderCodeBlock=new c.Emitter,this.onDidRenderCodeBlock=this._onDidRenderCodeBlock.event}return e.prototype.getOptions=function(e){var t=this;return{codeBlockRenderer:function(e,n){var i=e?t._modeService.getModeIdForLanguageName(e):t._editor.getModel().getLanguageIdentifier().language;return t._modeService.getOrCreateMode(i).then(function(e){return a.tokenizeToString(n,i)}).then(function(e){return'<span style="font-family: '+t._editor.getConfiguration().fontInfo.fontFamily+'">'+e+"</span>"})},codeBlockRenderCallback:function(){return t._onDidRenderCodeBlock.fire()},actionHandler:{callback:function(e){
t._openerService.open(r.default.parse(e)).then(void 0,s.onUnexpectedError)},disposeables:e}}},e.prototype.render=function(e){var t,i=[];return t=e?n.renderMarkdown(e,this.getOptions(i)):document.createElement("span"),{element:t,dispose:function(){return h.dispose(i)}}},e=u([d(1,o.IModeService),d(2,l.optional(i.IOpenerService))],e)}();t.MarkdownRenderer=p}),define(t[98],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IProgressService=n.createDecorator("progressService"),t.emptyProgressRunner=Object.freeze({total:function(){},worked:function(){},done:function(){}}),t.emptyProgress=Object.freeze({report:function(){}});var i=function(){function e(e){this._callback=e}return Object.defineProperty(e.prototype,"value",{get:function(){return this._value},enumerable:!0,configurable:!0}),e.prototype.report=function(e){this._value=e,this._callback(this._value)},e}();t.Progress=i;!function(e){e[e.Explorer=1]="Explorer",e[e.Scm=3]="Scm",e[e.Extensions=5]="Extensions",
e[e.Window=10]="Window",e[e.Notification=15]="Notification"}(t.ProgressLocation||(t.ProgressLocation={})),t.IProgressService2=n.createDecorator("progressService2")}),define(t[168],n([0,1,297,2,29,8,58,103,51,3,20,98,14,17,93]),function(e,t,n,i,r,s,c,h,p,f,g,m,v,_,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var C=function(){function e(){}return e.start=function(e){var t,n=new Set;return e&&(t=e.onFileChanges(function(e){for(var t=0,i=e.changes;t<i.length;t++){var o=i[t];o.type===h.FileChangeType.UPDATED&&n.add(o.resource.toString())}})),{stop:function(){return i.dispose(t)},hasChanged:function(e){return n.has(e.toString())}}},e}(),b=function(){function e(e){this._endCursorSelection=null,this._modelReference=e,this._edits=[]}return Object.defineProperty(e.prototype,"_model",{get:function(){return this._modelReference.object.textEditorModel},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._model&&(this._modelReference.dispose(),this._modelReference=null)},
e.prototype.addEdit=function(e){for(var t=0,n=e.edits;t<n.length;t++){var i=n[t];if("number"==typeof i.eol&&(this._newEol=i.eol),i.range||i.text){var o=void 0;o=i.range?f.Range.lift(i.range):this._model.getFullModelRange(),this._edits.push(p.EditOperation.replaceMove(o,i.text))}}},e.prototype.apply=function(){var e=this;this._edits.length>0&&(this._edits=this._edits.map(function(e,t){return{value:e,index:t}}).sort(function(e,t){var n=f.Range.compareRangesUsingStarts(e.value.range,t.value.range);return 0===n&&(n=e.index-t.index),n}).map(function(e){return e.value}),this._initialSelections=this._getInitialSelections(),this._model.pushStackElement(),this._model.pushEditOperations(this._initialSelections,this._edits,function(t){return e._getEndCursorSelections(t)}),this._model.pushStackElement()),void 0!==this._newEol&&(this._model.pushStackElement(),this._model.setEOL(this._newEol),this._model.pushStackElement())},e.prototype._getInitialSelections=function(){var e=this._edits[0].range
;return[new g.Selection(e.startLineNumber,e.startColumn,e.endLineNumber,e.endColumn)]},e.prototype._getEndCursorSelections=function(e){for(var t=0,n=0;n<e.length;n++)for(var i=e[n].range,o=0;o<this._initialSelections.length;o++){var r=this._initialSelections[o];if(f.Range.areIntersectingOrTouching(i,r)){t=n;break}}var s=e[t].range;return this._endCursorSelection=new g.Selection(s.endLineNumber,s.endColumn,s.endLineNumber,s.endColumn),[this._endCursorSelection]},e.prototype.getEndCursorSelection=function(){return this._endCursorSelection},e}(),S=function(e){function t(t,n){var i=e.call(this,t)||this;return i._knownInitialSelections=n,i}return o(t,e),t.prototype._getInitialSelections=function(){return this._knownInitialSelections},t}(b),w=function(){function e(e,t,n,i){this._edits=new Map,this._textModelResolverService=e,this._sourceModel=t?t.getModel().uri:void 0,this._sourceSelections=t?t.getSelections():void 0,this._sourceModelTask=void 0,this._progress=i,n.forEach(this.addEdit,this)}
return e.prototype.dispose=function(){this._tasks=i.dispose(this._tasks)},e.prototype.addEdit=function(e){var t=this._edits.get(e.resource.toString());t||(t=[],this._edits.set(e.resource.toString(),t)),t.push(e)},e.prototype.prepare=function(){return a(this,void 0,s.TPromise,function(){var e,t=this;return l(this,function(n){switch(n.label){case 0:if(this._tasks)throw new Error("illegal state - already prepared");return this._tasks=[],e=[],this._edits.forEach(function(n,i){var o=t._textModelResolverService.createModelReference(r.default.parse(i)).then(function(e){var o=e.object;if(!o||!o.textEditorModel)throw new Error("Cannot load file "+i);var r;t._sourceModel&&o.textEditorModel.uri.toString()===t._sourceModel.toString()?(t._sourceModelTask=new S(e,t._sourceSelections),r=t._sourceModelTask):r=new b(e),n.forEach(function(e){return r.addEdit(e)}),t._tasks.push(r),t._progress.report(void 0)});e.push(o)}),[4,s.TPromise.join(e)];case 1:return n.sent(),[2,this]}})})},e.prototype.apply=function(){
for(var e=0,t=this._tasks;e<t.length;e++){t[e].apply(),this._progress.report(void 0)}return this._sourceModelTask?this._sourceModelTask.getEndCursorSelection():void 0},e}(),E=function(){function e(e,t,n,i){this._textModelService=n,this._fileService=i,this._edits=[],this._editor=e,this._progress=t||m.emptyProgressRunner}return e.perform=function(t,n,i,o){var r=new e(o,null,n,i);return r.add(t),r.perform()},e.prototype.add=function(e){Array.isArray(e)?(t=this._edits).push.apply(t,e):this._edits.push(e);var t},e.prototype.ariaMessage=function(){var e=this._edits.reduce(function(e,t){return _.isResourceFileEdit(t)?e:e+t.edits.length},0),t=this._edits.length;return 0===e?n.localize(0,null):e>1&&t>1?n.localize(1,null,e,t):n.localize(2,null,e,t)},e.prototype.perform=function(){return a(this,void 0,s.TPromise,function(){var e,t,n,i,o,r,s,a,u,c,d,h,p=this;return l(this,function(l){switch(l.label){case 0:for(e=new Set,t=0,n=[],o=0,r=this._edits;o<r.length;o++)s=r[o],
(!i||_.isResourceFileEdit(i[0])&&!_.isResourceFileEdit(s)||_.isResourceTextEdit(i[0])&&!_.isResourceTextEdit(s))&&(i=[],n.push(i)),i.push(s),_.isResourceFileEdit(s)?t+=1:e.has(s.resource.toString())||(e.add(s.resource.toString()),t+=2);this._progress.total(t),a={report:function(e){return p._progress.worked(1)}},u=void 0,c=0,d=n,l.label=1;case 1:return c<d.length?(h=d[c],_.isResourceFileEdit(h[0])?[4,this._performFileEdits(h,a)]:[3,3]):[3,6];case 2:return l.sent(),[3,5];case 3:return[4,this._performTextEdits(h,a)];case 4:u=l.sent()||u,l.label=5;case 5:return c++,[3,1];case 6:return[2,u]}})})},e.prototype._performFileEdits=function(e,t){return a(this,void 0,void 0,function(){var n,i,o;return l(this,function(r){switch(r.label){case 0:n=0,i=e,r.label=1;case 1:return n<i.length?(o=i[n],t.report(void 0),o.newUri&&o.oldUri?[4,this._fileService.moveFile(o.oldUri,o.newUri,!1)]:[3,3]):[3,8];case 2:return r.sent(),[3,7];case 3:return o.newUri||!o.oldUri?[3,5]:[4,this._fileService.del(o.oldUri,!0)];case 4:
return r.sent(),[3,7];case 5:return!o.newUri||o.oldUri?[3,7]:[4,this._fileService.createFile(o.newUri,void 0,{overwrite:!1})];case 6:r.sent(),r.label=7;case 7:return n++,[3,1];case 8:return[2]}})})},e.prototype._performTextEdits=function(e,t){return a(this,void 0,s.TPromise,function(){var i,o,r,s;return l(this,function(a){switch(a.label){case 0:return i=C.start(this._fileService),o=new w(this._textModelService,this._editor,e,t),[4,o.prepare()];case 1:if(a.sent(),r=e.filter(function(e){return i.hasChanged(e.resource)}).map(function(e){return y.getPathLabel(e.resource)}),i.stop(),r.length>0)throw o.dispose(),new Error(n.localize(3,null,r.join(", ")));return[4,o.apply()];case 2:return s=a.sent(),o.dispose(),[2,s]}})})},e=u([d(2,c.ITextModelService),d(3,v.optional(h.IFileService))],e)}();t.BulkEdit=E}),define(t[46],n([0,1,30,77]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(){this.data={}}return e.prototype.add=function(e,t){i.ok(n.isString(e)),
i.ok(n.isObject(t)),i.ok(!this.data.hasOwnProperty(e),"There is already an extension with this id"),this.data[e]=t},e.prototype.knows=function(e){return this.data.hasOwnProperty(e)},e.prototype.as=function(e){return this.data[e]||null},e}();t.Registry=new o}),define(t[127],n([0,1,305,4,46,43,17]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={ModesRegistry:"editor.modesRegistry"};var a=function(){function e(){this._onDidAddLanguages=new i.Emitter,this.onDidAddLanguages=this._onDidAddLanguages.event,this._languages=[]}return e.prototype.registerLanguage=function(e){this._languages.push(e),this._onDidAddLanguages.fire([e])},e.prototype.registerLanguages=function(e){this._languages=this._languages.concat(e),this._onDidAddLanguages.fire(e)},e.prototype.getLanguages=function(){return this._languages.slice(0)},e}();t.EditorModesRegistry=a,t.ModesRegistry=new a,o.Registry.add(t.Extensions.ModesRegistry,t.ModesRegistry),t.PLAINTEXT_MODE_ID="plaintext",
t.PLAINTEXT_LANGUAGE_IDENTIFIER=new s.LanguageIdentifier(t.PLAINTEXT_MODE_ID,1),t.ModesRegistry.registerLanguage({id:t.PLAINTEXT_MODE_ID,extensions:[".txt",".gitignore"],aliases:[n.localize(0,null),"text"],mimetypes:["text/plain"]}),r.LanguageConfigurationRegistry.register(t.PLAINTEXT_LANGUAGE_IDENTIFIER,{brackets:[["(",")"],["[","]"],["{","}"]]})}),define(t[435],n([0,1,46,4]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={JSONContribution:"base.contributions.json"};var o=new(function(){function e(){this._onDidChangeSchema=new i.Emitter,this.onDidChangeSchema=this._onDidChangeSchema.event,this.schemasById={}}return e.prototype.registerSchema=function(e,t){this.schemasById[function(e){return e.length>0&&"#"===e.charAt(e.length-1)?e.substring(0,e.length-1):e}(e)]=t,this._onDidChangeSchema.fire(e)},e.prototype.notifySchemaChanged=function(e){this._onDidChangeSchema.fire(e)},e.prototype.getSchemaContributions=function(){return{schemas:this.schemasById}},e}())
;n.Registry.add(t.Extensions.JSONContribution,o)}),define(t[87],n([0,1,353,4,46,30,9,435,25]),function(e,t,n,i,o,r,s,a,l){"use strict";function u(e){return t.OVERRIDE_PROPERTY_PATTERN.test(e)?n.localize(3,null,e):void 0!==m.getConfigurationProperties()[e]?n.localize(4,null,e):null}Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={Configuration:"base.contributions.configuration"};var c;!function(e){e[e.WINDOW=1]="WINDOW",e[e.RESOURCE=2]="RESOURCE"}(c=t.ConfigurationScope||(t.ConfigurationScope={})),t.settingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown configuration setting"},t.resourceSettingsSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown configuration setting"},t.editorConfigurationSchemaId="vscode://schemas/settings/editor";var d=o.Registry.as(a.Extensions.JSONContribution),h=function(){function e(){this.overrideIdentifiers=[],this._onDidRegisterConfiguration=new i.Emitter,
this.onDidRegisterConfiguration=this._onDidRegisterConfiguration.event,this.configurationContributors=[],this.editorConfigurationSchema={properties:{},patternProperties:{},additionalProperties:!1,errorMessage:"Unknown editor configuration setting"},this.configurationProperties={},this.excludedConfigurationProperties={},this.computeOverridePropertyPattern(),d.registerSchema(t.editorConfigurationSchemaId,this.editorConfigurationSchema)}return e.prototype.registerConfiguration=function(e,t){void 0===t&&(t=!0),this.registerConfigurations([e],[],t)},e.prototype.registerConfigurations=function(e,t,n){var i=this;void 0===n&&(n=!0);var o=this.toConfiguration(t);o&&e.push(o);var r=[];e.forEach(function(e){r.push.apply(r,i.validateAndRegisterProperties(e,n)),i.configurationContributors.push(e),i.registerJSONConfiguration(e),i.updateSchemaForOverrideSettingsConfiguration(e)}),this._onDidRegisterConfiguration.fire(r)},e.prototype.notifyConfigurationSchemaUpdated=function(e){
d.notifySchemaChanged(t.editorConfigurationSchemaId)},e.prototype.registerOverrideIdentifiers=function(e){(t=this.overrideIdentifiers).push.apply(t,e),this.updateOverridePropertyPatternKey();var t},e.prototype.toConfiguration=function(e){for(var i={id:"defaultOverrides",title:n.localize(0,null),properties:{}},o=0,r=e;o<r.length;o++){var s=r[o];for(var a in s.defaults){var l=s.defaults[a];t.OVERRIDE_PROPERTY_PATTERN.test(a)&&"object"==typeof l&&(i.properties[a]={type:"object",default:l,description:n.localize(1,null,a),$ref:t.editorConfigurationSchemaId})}}return Object.keys(i.properties).length?i:null},e.prototype.validateAndRegisterProperties=function(e,t,n,i){void 0===t&&(t=!0),void 0===n&&(n=c.WINDOW),void 0===i&&(i=!1),n=void 0!==e.scope&&null!==e.scope?e.scope:n,i=e.overridable||i;var o=[],s=e.properties;if(s)for(var a in s){var l=void 0;if(t&&(l=u(a)))console.warn(l),delete s[a];else{var d=s[a],h=d.default;r.isUndefined(h)&&(d.default=function(e){switch(Array.isArray(e)?e[0]:e){case"boolean":return!1
;case"integer":case"number":return 0;case"string":return"";case"array":return[];case"object":return{};default:return null}}(d.type)),i&&(d.overridable=!0),void 0===d.scope&&(d.scope=n),!s[a].hasOwnProperty("included")||s[a].included?(this.configurationProperties[a]=s[a],o.push(a)):(this.excludedConfigurationProperties[a]=s[a],delete s[a])}}var p=e.allOf;if(p)for(var f=0,g=p;f<g.length;f++){var m=g[f];o.push.apply(o,this.validateAndRegisterProperties(m,t,n,i))}return o},e.prototype.getConfigurations=function(){return this.configurationContributors},e.prototype.getConfigurationProperties=function(){return this.configurationProperties},e.prototype.getExcludedConfigurationProperties=function(){return this.excludedConfigurationProperties},e.prototype.registerJSONConfiguration=function(e){function n(e){var i=e.properties;if(i)for(var o in i)t.settingsSchema.properties[o]=i[o],t.resourceSettingsSchema.properties[o]=l.deepClone(i[o]),i[o].scope!==c.RESOURCE&&(t.resourceSettingsSchema.properties[o].doNotSuggest=!0)
;var r=e.allOf;r&&r.forEach(n)}n(e)},e.prototype.updateSchemaForOverrideSettingsConfiguration=function(e){e.id!==p&&(this.update(e),d.registerSchema(t.editorConfigurationSchemaId,this.editorConfigurationSchema))},e.prototype.updateOverridePropertyPatternKey=function(){var e=t.settingsSchema.patternProperties[this.overridePropertyPattern];e||(e={type:"object",description:n.localize(2,null),errorMessage:"Unknown Identifier. Use language identifiers",$ref:t.editorConfigurationSchemaId}),delete t.settingsSchema.patternProperties[this.overridePropertyPattern],this.computeOverridePropertyPattern(),t.settingsSchema.patternProperties[this.overridePropertyPattern]=e,t.resourceSettingsSchema.patternProperties[this.overridePropertyPattern]=e},e.prototype.update=function(e){var t=this,n=e.properties;if(n)for(var i in n)n[i].overridable&&(this.editorConfigurationSchema.properties[i]=this.getConfigurationProperties()[i]);var o=e.allOf;o&&o.forEach(function(e){return t.update(e)})},
e.prototype.computeOverridePropertyPattern=function(){this.overridePropertyPattern=this.overrideIdentifiers.length?g.replace("${0}",this.overrideIdentifiers.map(function(e){return s.createRegExp(e,!1).source}).join("|")):f},e}(),p="override",f="\\[.*\\]$",g="\\[(${0})\\]$";t.OVERRIDE_PROPERTY_PATTERN=new RegExp(f);var m=new h;o.Registry.add(t.Extensions.Configuration,m),t.validateProperty=u,t.getScopes=function(){for(var e={},t=m.getConfigurationProperties(),n=0,i=Object.keys(t);n<i.length;n++){var o=i[n];e[o]=t[o].scope}return e.launch=c.RESOURCE,e.task=c.RESOURCE,e}}),define(t[172],n([0,1,300,4,2,25,15,87,46,119,123,52]),function(e,t,n,i,r,s,a,l,u,c,d,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=h.EDITOR_DEFAULTS,f=h.EDITOR_FONT_DEFAULTS,g=h.EDITOR_MODEL_DEFAULTS;t.TabFocus=new(function(){function e(){this._tabFocus=!1,this._onDidChangeTabFocus=new i.Emitter,this.onDidChangeTabFocus=this._onDidChangeTabFocus.event}return e.prototype.getTabFocusMode=function(){return this._tabFocus
},e.prototype.setTabFocusMode=function(e){this._tabFocus!==e&&(this._tabFocus=e,this._onDidChangeTabFocus.fire(this._tabFocus))},e}());var m=function(e){function n(n){var o=e.call(this)||this;return o._onDidChange=o._register(new i.Emitter),o.onDidChange=o._onDidChange.event,o._rawOptions=s.mixin({},n||{}),o._rawOptions.scrollbar=s.mixin({},o._rawOptions.scrollbar||{}),o._rawOptions.minimap=s.mixin({},o._rawOptions.minimap||{}),o._rawOptions.find=s.mixin({},o._rawOptions.find||{}),o._validatedOptions=h.EditorOptionsValidator.validate(o._rawOptions,p),o.editor=null,o._isDominatedByLongLines=!1,o._lineNumbersDigitCount=1,o._register(d.EditorZoom.onDidChangeZoomLevel(function(e){return o._recomputeOptions()})),o._register(t.TabFocus.onDidChangeTabFocus(function(e){return o._recomputeOptions()})),o}return o(n,e),n.prototype.dispose=function(){e.prototype.dispose.call(this)},n.prototype._recomputeOptions=function(){var e=this.editor,t=this._computeInternalOptions();e&&e.equals(t)||(this.editor=t,
e&&this._onDidChange.fire(e.createChangeEvent(t)))},n.prototype.getRawOptions=function(){return this._rawOptions},n.prototype._computeInternalOptions=function(){var e=this._validatedOptions,n=this._getEnvConfiguration(),i=c.BareFontInfo.createFromRawSettings(this._rawOptions,n.zoomLevel),o={outerWidth:n.outerWidth,outerHeight:n.outerHeight,fontInfo:this.readConfiguration(i),extraEditorClassName:n.extraEditorClassName,isDominatedByLongLines:this._isDominatedByLongLines,lineNumbersDigitCount:this._lineNumbersDigitCount,emptySelectionClipboard:n.emptySelectionClipboard,pixelRatio:n.pixelRatio,tabFocusMode:t.TabFocus.getTabFocusMode(),accessibilitySupport:n.accessibilitySupport};return h.InternalEditorOptionsFactory.createInternalEditorOptions(o,e)},n.prototype.updateOptions=function(e){this._rawOptions=s.mixin(this._rawOptions,e||{}),this._validatedOptions=h.EditorOptionsValidator.validate(this._rawOptions,p),this._recomputeOptions()},n.prototype.setIsDominatedByLongLines=function(e){
this._isDominatedByLongLines=e,this._recomputeOptions()},n.prototype.setMaxLineNumber=function(e){var t=n._digitCount(e);this._lineNumbersDigitCount!==t&&(this._lineNumbersDigitCount=t,this._recomputeOptions())},n._digitCount=function(e){for(var t=0;e;)e=Math.floor(e/10),t++;return t||1},n}(r.Disposable);t.CommonEditorConfiguration=m;var v=u.Registry.as(l.Extensions.Configuration),_={id:"editor",order:5,type:"object",title:n.localize(0,null),overridable:!0,scope:l.ConfigurationScope.RESOURCE,properties:{"editor.fontFamily":{type:"string",default:f.fontFamily,description:n.localize(1,null)},"editor.fontWeight":{type:"string",enum:["normal","bold","100","200","300","400","500","600","700","800","900"],default:f.fontWeight,description:n.localize(2,null)},"editor.fontSize":{type:"number",default:f.fontSize,description:n.localize(3,null)},"editor.lineHeight":{type:"number",default:f.lineHeight,description:n.localize(4,null)},"editor.letterSpacing":{type:"number",default:f.letterSpacing,
description:n.localize(5,null)},"editor.lineNumbers":{type:"string",enum:["off","on","relative","interval"],enumDescriptions:[n.localize(6,null),n.localize(7,null),n.localize(8,null),n.localize(9,null)],default:"on",description:n.localize(10,null)},"editor.rulers":{type:"array",items:{type:"number"},default:p.viewInfo.rulers,description:n.localize(11,null)},"editor.wordSeparators":{type:"string",default:p.wordSeparators,description:n.localize(12,null)},"editor.tabSize":{type:"number",default:g.tabSize,minimum:1,description:n.localize(13,null),errorMessage:n.localize(14,null)},"editor.insertSpaces":{type:"boolean",default:g.insertSpaces,description:n.localize(15,null),errorMessage:n.localize(16,null)},"editor.detectIndentation":{type:"boolean",default:g.detectIndentation,description:n.localize(17,null)},"editor.roundedSelection":{type:"boolean",default:p.viewInfo.roundedSelection,description:n.localize(18,null)},"editor.scrollBeyondLastLine":{type:"boolean",default:p.viewInfo.scrollBeyondLastLine,
description:n.localize(19,null)},"editor.smoothScrolling":{type:"boolean",default:p.viewInfo.smoothScrolling,description:n.localize(20,null)},"editor.minimap.enabled":{type:"boolean",default:p.viewInfo.minimap.enabled,description:n.localize(21,null)},"editor.minimap.side":{type:"string",enum:["left","right"],default:p.viewInfo.minimap.side,description:n.localize(22,null)},"editor.minimap.showSlider":{type:"string",enum:["always","mouseover"],default:p.viewInfo.minimap.showSlider,description:n.localize(23,null)},"editor.minimap.renderCharacters":{type:"boolean",default:p.viewInfo.minimap.renderCharacters,description:n.localize(24,null)},"editor.minimap.maxColumn":{type:"number",default:p.viewInfo.minimap.maxColumn,description:n.localize(25,null)},"editor.find.seedSearchStringFromSelection":{type:"boolean",default:p.contribInfo.find.seedSearchStringFromSelection,description:n.localize(26,null)},"editor.find.autoFindInSelection":{type:"boolean",default:p.contribInfo.find.autoFindInSelection,
description:n.localize(27,null)},"editor.find.globalFindClipboard":{type:"boolean",default:p.contribInfo.find.globalFindClipboard,description:n.localize(28,null),included:a.isMacintosh},"editor.wordWrap":{type:"string",enum:["off","on","wordWrapColumn","bounded"],enumDescriptions:[n.localize(29,null),n.localize(30,null),n.localize(31,null),n.localize(32,null)],default:p.wordWrap,description:n.localize(33,null)},"editor.wordWrapColumn":{type:"integer",default:p.wordWrapColumn,minimum:1,description:n.localize(34,null)},"editor.wrappingIndent":{type:"string",enum:["none","same","indent"],default:"same",description:n.localize(35,null)},"editor.mouseWheelScrollSensitivity":{type:"number",default:p.viewInfo.scrollbar.mouseWheelScrollSensitivity,description:n.localize(36,null)},"editor.multiCursorModifier":{type:"string",enum:["ctrlCmd","alt"],enumDescriptions:[n.localize(37,null),n.localize(38,null)],default:"alt",description:n.localize(39,null)},"editor.quickSuggestions":{anyOf:[{type:"boolean"},{type:"object",
properties:{strings:{type:"boolean",default:!1,description:n.localize(40,null)},comments:{type:"boolean",default:!1,description:n.localize(41,null)},other:{type:"boolean",default:!0,description:n.localize(42,null)}}}],default:p.contribInfo.quickSuggestions,description:n.localize(43,null)},"editor.quickSuggestionsDelay":{type:"integer",default:p.contribInfo.quickSuggestionsDelay,minimum:0,description:n.localize(44,null)},"editor.parameterHints":{type:"boolean",default:p.contribInfo.parameterHints,description:n.localize(45,null)},"editor.autoClosingBrackets":{type:"boolean",default:p.autoClosingBrackets,description:n.localize(46,null)},"editor.formatOnType":{type:"boolean",default:p.contribInfo.formatOnType,description:n.localize(47,null)},"editor.formatOnPaste":{type:"boolean",default:p.contribInfo.formatOnPaste,description:n.localize(48,null)},"editor.autoIndent":{type:"boolean",default:p.autoIndent,description:n.localize(49,null)},"editor.suggestOnTriggerCharacters":{type:"boolean",
default:p.contribInfo.suggestOnTriggerCharacters,description:n.localize(50,null)},"editor.acceptSuggestionOnEnter":{type:"string",enum:["on","smart","off"],default:p.contribInfo.acceptSuggestionOnEnter,description:n.localize(51,null)},"editor.acceptSuggestionOnCommitCharacter":{type:"boolean",default:p.contribInfo.acceptSuggestionOnCommitCharacter,description:n.localize(52,null)},"editor.snippetSuggestions":{type:"string",enum:["top","bottom","inline","none"],enumDescriptions:[n.localize(53,null),n.localize(54,null),n.localize(55,null),n.localize(56,null)],default:p.contribInfo.snippetSuggestions,description:n.localize(57,null)},"editor.emptySelectionClipboard":{type:"boolean",default:p.emptySelectionClipboard,description:n.localize(58,null)},"editor.wordBasedSuggestions":{type:"boolean",default:p.contribInfo.wordBasedSuggestions,description:n.localize(59,null)},"editor.suggestSelection":{type:"string",enum:["first","recentlyUsed","recentlyUsedByPrefix"],
enumDescriptions:[n.localize(60,null),n.localize(61,null),n.localize(62,null)],default:"recentlyUsed",description:n.localize(63,null)},"editor.suggestFontSize":{type:"integer",default:0,minimum:0,description:n.localize(64,null)},"editor.suggestLineHeight":{type:"integer",default:0,minimum:0,description:n.localize(65,null)},"editor.selectionHighlight":{type:"boolean",default:p.contribInfo.selectionHighlight,description:n.localize(66,null)},"editor.occurrencesHighlight":{type:"boolean",default:p.contribInfo.occurrencesHighlight,description:n.localize(67,null)},"editor.overviewRulerLanes":{type:"integer",default:3,description:n.localize(68,null)},"editor.overviewRulerBorder":{type:"boolean",default:p.viewInfo.overviewRulerBorder,description:n.localize(69,null)},"editor.cursorBlinking":{type:"string",enum:["blink","smooth","phase","expand","solid"],default:h.blinkingStyleToString(p.viewInfo.cursorBlinking),description:n.localize(70,null)},"editor.mouseWheelZoom":{type:"boolean",default:p.viewInfo.mouseWheelZoom,
description:n.localize(71,null)},"editor.cursorStyle":{type:"string",enum:["block","block-outline","line","line-thin","underline","underline-thin"],default:h.cursorStyleToString(p.viewInfo.cursorStyle),description:n.localize(72,null)},"editor.cursorWidth":{type:"integer",default:p.viewInfo.cursorWidth,description:n.localize(73,null)},"editor.fontLigatures":{type:"boolean",default:p.viewInfo.fontLigatures,description:n.localize(74,null)},"editor.hideCursorInOverviewRuler":{type:"boolean",default:p.viewInfo.hideCursorInOverviewRuler,description:n.localize(75,null)},"editor.renderWhitespace":{type:"string",enum:["none","boundary","all"],default:p.viewInfo.renderWhitespace,description:n.localize(76,null)},"editor.renderControlCharacters":{type:"boolean",default:p.viewInfo.renderControlCharacters,description:n.localize(77,null)},"editor.renderIndentGuides":{type:"boolean",default:p.viewInfo.renderIndentGuides,description:n.localize(78,null)},"editor.renderLineHighlight":{type:"string",
enum:["none","gutter","line","all"],default:p.viewInfo.renderLineHighlight,description:n.localize(79,null)},"editor.codeLens":{type:"boolean",default:p.contribInfo.codeLens,description:n.localize(80,null)},"editor.folding":{type:"boolean",default:p.contribInfo.folding,description:n.localize(81,null)},"editor.foldingStrategy":{type:"string",enum:["auto","indentation"],enumDescriptions:[n.localize(82,null),n.localize(83,null)],default:p.contribInfo.foldingStrategy,description:n.localize(84,null)},"editor.showFoldingControls":{type:"string",enum:["always","mouseover"],default:p.contribInfo.showFoldingControls,description:n.localize(85,null)},"editor.matchBrackets":{type:"boolean",default:p.contribInfo.matchBrackets,description:n.localize(86,null)},"editor.glyphMargin":{type:"boolean",default:p.viewInfo.glyphMargin,description:n.localize(87,null)},"editor.useTabStops":{type:"boolean",default:p.useTabStops,description:n.localize(88,null)},"editor.trimAutoWhitespace":{type:"boolean",default:g.trimAutoWhitespace,
description:n.localize(89,null)},"editor.stablePeek":{type:"boolean",default:!1,description:n.localize(90,null)},"editor.dragAndDrop":{type:"boolean",default:p.dragAndDrop,description:n.localize(91,null)},"editor.accessibilitySupport":{type:"string",enum:["auto","on","off"],enumDescriptions:[n.localize(92,null),n.localize(93,null),n.localize(94,null)],default:p.accessibilitySupport,description:n.localize(95,null)},"editor.links":{type:"boolean",default:p.contribInfo.links,description:n.localize(96,null)},"editor.colorDecorators":{type:"boolean",default:p.contribInfo.colorDecorators,description:n.localize(97,null)},"editor.lightbulb.enabled":{type:"boolean",default:p.contribInfo.lightbulbEnabled,description:n.localize(98,null)},"editor.selectionClipboard":{type:"boolean",default:p.contribInfo.selectionClipboard,description:n.localize(99,null),included:a.isLinux},"diffEditor.renderSideBySide":{type:"boolean",default:!0,description:n.localize(100,null)},"diffEditor.ignoreTrimWhitespace":{type:"boolean",
default:!0,description:n.localize(101,null)},"diffEditor.renderIndicators":{type:"boolean",default:!0,description:n.localize(102,null)}}};v.registerConfiguration(_)}),define(t[438],n([0,1,12,169,9,46,127,17,64,87]),function(e,t,n,i,o,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=Object.prototype.hasOwnProperty,d=function(){function e(e,t){void 0===e&&(e=!0),void 0===t&&(t=!1);var n=this;this._nextLanguageId=1,this._languages={},this._mimeTypesMap={},this._nameMap={},this._lowercaseNameMap={},this._languageIds=[],this._warnOnOverwrite=t,e&&(this._registerLanguages(s.ModesRegistry.getLanguages()),s.ModesRegistry.onDidAddLanguages(function(e){return n._registerLanguages(e)}))}return e.prototype._registerLanguages=function(e){var t=this;if(0!==e.length){for(var n=0;n<e.length;n++)this._registerLanguage(e[n]);this._mimeTypesMap={},this._nameMap={},this._lowercaseNameMap={},Object.keys(this._languages).forEach(function(e){var n=t._languages[e]
;n.name&&(t._nameMap[n.name]=n.identifier),n.aliases.forEach(function(e){t._lowercaseNameMap[e.toLowerCase()]=n.identifier}),n.mimetypes.forEach(function(e){t._mimeTypesMap[e]=n.identifier})}),r.Registry.as(u.Extensions.Configuration).registerOverrideIdentifiers(s.ModesRegistry.getLanguages().map(function(e){return e.id}))}},e.prototype._registerLanguage=function(e){var t=e.id,n=null;if(c.call(this._languages,t))n=this._languages[t];else{var i=this._nextLanguageId++;n={identifier:new a.LanguageIdentifier(t,i),name:null,mimetypes:[],aliases:[],extensions:[],filenames:[],configurationFiles:[]},this._languageIds[i]=t,this._languages[t]=n}this._mergeLanguage(n,e)},e.prototype._mergeLanguage=function(e,t){var r=t.id,s=null;if(Array.isArray(t.mimetypes)&&t.mimetypes.length>0&&((S=e.mimetypes).push.apply(S,t.mimetypes),s=t.mimetypes[0]),s||(s="text/x-"+r,e.mimetypes.push(s)),Array.isArray(t.extensions))for(var a=0,l=t.extensions;a<l.length;a++){var u=l[a];i.registerTextMime({id:r,mime:s,extension:u
},this._warnOnOverwrite),e.extensions.push(u)}if(Array.isArray(t.filenames))for(var c=0,d=t.filenames;c<d.length;c++){var h=d[c];i.registerTextMime({id:r,mime:s,filename:h},this._warnOnOverwrite),e.filenames.push(h)}if(Array.isArray(t.filenamePatterns))for(var p=0,f=t.filenamePatterns;p<f.length;p++){var g=f[p];i.registerTextMime({id:r,mime:s,filepattern:g},this._warnOnOverwrite)}if("string"==typeof t.firstLine&&t.firstLine.length>0){var m=t.firstLine;"^"!==m.charAt(0)&&(m="^"+m);try{var v=new RegExp(m);o.regExpLeadsToEndlessLoop(v)||i.registerTextMime({id:r,mime:s,firstline:v},this._warnOnOverwrite)}catch(e){n.onUnexpectedError(e)}}e.aliases.push(r);var _=null;if(void 0!==t.aliases&&Array.isArray(t.aliases)&&(_=0===t.aliases.length?[null]:t.aliases),null!==_)for(var y=0;y<_.length;y++)_[y]&&0!==_[y].length&&e.aliases.push(_[y]);var C=null!==_&&_.length>0;if(C&&null===_[0]);else{var b=(C?_[0]:null)||r;!C&&e.name||(e.name=b)}"string"==typeof t.configuration&&e.configurationFiles.push(t.configuration);var S},
e.prototype.isRegisteredMode=function(e){return!!c.call(this._mimeTypesMap,e)||c.call(this._languages,e)},e.prototype.getRegisteredModes=function(){return Object.keys(this._languages)},e.prototype.getRegisteredLanguageNames=function(){return Object.keys(this._nameMap)},e.prototype.getLanguageName=function(e){return c.call(this._languages,e)?this._languages[e].name:null},e.prototype.getModeIdForLanguageNameLowercase=function(e){return c.call(this._lowercaseNameMap,e)?this._lowercaseNameMap[e].language:null},e.prototype.getConfigurationFiles=function(e){return c.call(this._languages,e)?this._languages[e].configurationFiles||[]:[]},e.prototype.getMimeForMode=function(e){if(!c.call(this._languages,e))return null;return this._languages[e].mimetypes[0]||null},e.prototype.extractModeIds=function(e){var t=this;return e?e.split(",").map(function(e){return e.trim()}).map(function(e){return c.call(t._mimeTypesMap,e)?t._mimeTypesMap[e].language:e}).filter(function(e){return c.call(t._languages,e)}):[]},
e.prototype.getLanguageIdentifier=function(e){if(e===l.NULL_MODE_ID||0===e)return l.NULL_LANGUAGE_IDENTIFIER;var t;if("string"==typeof e)t=e;else if(!(t=this._languageIds[e]))return null;return c.call(this._languages,t)?this._languages[t].identifier:null},e.prototype.getModeIdsFromLanguageName=function(e){return e&&c.call(this._nameMap,e)?[this._nameMap[e].language]:[]},e.prototype.getModeIdsFromFilenameOrFirstLine=function(e,t){if(!e&&!t)return[];var n=i.guessMimeTypes(e,t);return this.extractModeIds(n.join(","))},e.prototype.getExtensions=function(e){if(!c.call(this._nameMap,e))return[];var t=this._nameMap[e];return this._languages[t.language].extensions},e.prototype.getFilenames=function(e){if(!c.call(this._nameMap,e))return[];var t=this._nameMap[e];return this._languages[t.language].filenames},e}();t.LanguagesRegistry=d}),define(t[439],n([0,1,12,4,8,511,438]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){void 0===e&&(e=!1),
this._onDidCreateMode=new i.Emitter,this.onDidCreateMode=this._onDidCreateMode.event,this._instantiatedModes={},this._registry=new s.LanguagesRegistry(!0,e)}return e.prototype._onReady=function(){return o.TPromise.as(!0)},e.prototype.isRegisteredMode=function(e){return this._registry.isRegisteredMode(e)},e.prototype.getRegisteredModes=function(){return this._registry.getRegisteredModes()},e.prototype.getRegisteredLanguageNames=function(){return this._registry.getRegisteredLanguageNames()},e.prototype.getExtensions=function(e){return this._registry.getExtensions(e)},e.prototype.getFilenames=function(e){return this._registry.getFilenames(e)},e.prototype.getMimeForMode=function(e){return this._registry.getMimeForMode(e)},e.prototype.getLanguageName=function(e){return this._registry.getLanguageName(e)},e.prototype.getModeIdForLanguageName=function(e){return this._registry.getModeIdForLanguageNameLowercase(e)},e.prototype.getModeIdByFilenameOrFirstLine=function(e,t){
var n=this._registry.getModeIdsFromFilenameOrFirstLine(e,t);return n.length>0?n[0]:null},e.prototype.getModeId=function(e){var t=this._registry.extractModeIds(e);return t.length>0?t[0]:null},e.prototype.getLanguageIdentifier=function(e){return this._registry.getLanguageIdentifier(e)},e.prototype.getConfigurationFiles=function(e){return this._registry.getConfigurationFiles(e)},e.prototype.getMode=function(e){for(var t=this._registry.extractModeIds(e),i=!1,o=0;o<t.length;o++){if(this._instantiatedModes.hasOwnProperty(t[o]))return this._instantiatedModes[t[o]];i=i||"plaintext"===t[o]}if(i){var r=null;return this.getOrCreateMode(e).then(function(e){r=e}).done(null,n.onUnexpectedError),r}return null},e.prototype.getOrCreateMode=function(e){var t=this;return this._onReady().then(function(){var n=t.getModeId(e);return t._getOrCreateMode(n||"plaintext")})},e.prototype.getOrCreateModeByLanguageName=function(e){var t=this;return this._onReady().then(function(){var n=t._getModeIdByLanguageName(e)
;return t._getOrCreateMode(n||"plaintext")})},e.prototype._getModeIdByLanguageName=function(e){var t=this._registry.getModeIdsFromLanguageName(e);return t.length>0?t[0]:null},e.prototype.getOrCreateModeByFilenameOrFirstLine=function(e,t){var n=this;return this._onReady().then(function(){var i=n.getModeIdByFilenameOrFirstLine(e,t);return n._getOrCreateMode(i||"plaintext")})},e.prototype._getOrCreateMode=function(e){if(!this._instantiatedModes.hasOwnProperty(e)){var t=this.getLanguageIdentifier(e);this._instantiatedModes[e]=new r.FrankensteinMode(t),this._onDidCreateMode.fire(this._instantiatedModes[e])}return this._instantiatedModes[e]},e}();t.ModeServiceImpl=a}),define(t[54],n([0,1,25,30,29,46,14,87]),function(e,t,n,i,o,r,s,a){"use strict";function l(e,t){var n=Object.create(null);for(var i in e)u(n,i,e[i],t);return n}function u(e,t,n,i){for(var o=t.split("."),r=o.pop(),s=e,a=0;a<o.length;a++){var l=o[a],u=s[l];switch(typeof u){case"undefined":u=s[l]=Object.create(null);break;case"object":break;default:
return void i("Ignoring "+t+" as "+o.slice(0,a+1).join(".")+" is "+JSON.stringify(u))}s=u}"object"==typeof s?s[r]=n:i("Ignoring "+t+" as "+o.join(".")+" is "+JSON.stringify(s))}function c(e,t){var n=t.shift();if(0!==t.length){if(-1!==Object.keys(e).indexOf(n)){var i=e[n];"object"!=typeof i||Array.isArray(i)||(c(i,t),0===Object.keys(i).length&&delete e[n])}}else delete e[n]}function d(e,t,n){var i=function(e,t){for(var n=e,i=0;i<t.length;i++){if("object"!=typeof n||null===n)return;n=n[t[i]]}return n}(e,t.split("."));return void 0===i?n:i}function h(e,t,n){Object.keys(t).forEach(function(o){o in e?i.isObject(e[o])&&i.isObject(t[o])?h(e[o],t[o],n):n&&(e[o]=t[o]):e[o]=t[o]})}function p(e){return e.substring(1,e.length-1)}Object.defineProperty(t,"__esModule",{value:!0}),t.IConfigurationService=s.createDecorator("configurationService"),t.isConfigurationOverrides=function(e){return e&&"object"==typeof e&&(!e.overrideIdentifier||"string"==typeof e.overrideIdentifier)&&(!e.resource||e.resource instanceof o.default)}
;!function(e){e[e.USER=1]="USER",e[e.WORKSPACE=2]="WORKSPACE",e[e.WORKSPACE_FOLDER=3]="WORKSPACE_FOLDER",e[e.DEFAULT=4]="DEFAULT",e[e.MEMORY=5]="MEMORY"}(t.ConfigurationTarget||(t.ConfigurationTarget={})),t.compare=function(e,t){for(var i=t.keys.filter(function(t){return-1===e.keys.indexOf(t)}),o=e.keys.filter(function(e){return-1===t.keys.indexOf(e)}),r=[],s=0,a=e.keys;s<a.length;s++){var l=a[s],u=d(e.contents,l),c=d(t.contents,l);n.equals(u,c)||r.push(l)}return{added:i,removed:o,updated:r}},t.toOverrides=function(e,t){for(var n=[],i=r.Registry.as(a.Extensions.Configuration).getConfigurationProperties(),o=0,s=Object.keys(e);o<s.length;o++){var u=s[o];if(a.OVERRIDE_PROPERTY_PATTERN.test(u)){var c={};for(var d in e[u])i[d]&&i[d].overridable&&(c[d]=e[u][d]);n.push({identifiers:[p(u).trim()],contents:l(c,t)})}}return n},t.toValuesTree=l,t.addToValueTree=u,t.removeFromValueTree=function(e,t){c(e,t.split("."))},t.getConfigurationValue=d,t.merge=h,t.getConfigurationKeys=function(){
var e=r.Registry.as(a.Extensions.Configuration).getConfigurationProperties();return Object.keys(e)},t.getDefaultValues=function(){var e=Object.create(null),t=r.Registry.as(a.Extensions.Configuration).getConfigurationProperties();for(var n in t)u(e,n,t[n].default,function(e){return console.error("Conflict in default settings: "+e)});return e},t.overrideIdentifierFromKey=p,t.keyFromOverrideIdentifier=function(e){return"["+e+"]"}}),define(t[441],n([0,1,426,74,22,30,25,87,54]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e,t,n){void 0===e&&(e={}),void 0===t&&(t=[]),void 0===n&&(n=[]),this._contents=e,this._keys=t,this._overrides=n,this.isFrozen=!1}return Object.defineProperty(e.prototype,"contents",{get:function(){return this.checkAndFreeze(this._contents)},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"overrides",{get:function(){return this.checkAndFreeze(this._overrides)},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"keys",{get:function(){return this.checkAndFreeze(this._keys)},enumerable:!0,configurable:!0}),e.prototype.getValue=function(e){return e?u.getConfigurationValue(this.contents,e):this.contents},e.prototype.override=function(t){var n=this.getContentsForOverrideIdentifer(t);if(!n||"object"!=typeof n||!Object.keys(n).length)return this;for(var i={},o=0,s=r.distinct(Object.keys(this.contents).concat(Object.keys(n)));o<s.length;o++){var l=s[o],u=this.contents[l],c=n[l];c&&("object"==typeof u&&"object"==typeof c?(u=a.deepClone(u),this.mergeContents(u,c)):u=c),i[l]=u}return new e(i)},e.prototype.merge=function(){for(var t=[],n=0;n<arguments.length;n++)t[n]=arguments[n];for(var i=a.deepClone(this.contents),o=a.deepClone(this.overrides),s=this.keys.slice(),l=0,u=t;l<u.length;l++){var c=u[l];this.mergeContents(i,c.contents);for(var d=function(e){var t=o.filter(function(t){return r.equals(t.identifiers,e.identifiers)})[0];t?h.mergeContents(t.contents,e.contents):o.push(a.deepClone(e))
},h=this,p=0,f=c.overrides;p<f.length;p++){d(f[p])}for(var g=0,m=c.keys;g<m.length;g++){var v=m[g];-1===s.indexOf(v)&&s.push(v)}}return new e(i,s,o)},e.prototype.freeze=function(){return this.isFrozen=!0,this},e.prototype.mergeContents=function(e,t){for(var n=0,i=Object.keys(t);n<i.length;n++){var o=i[n];o in e&&s.isObject(e[o])&&s.isObject(t[o])?this.mergeContents(e[o],t[o]):e[o]=a.deepClone(t[o])}},e.prototype.checkAndFreeze=function(e){return this.isFrozen&&!Object.isFrozen(e)?a.deepFreeze(e):e},e.prototype.getContentsForOverrideIdentifer=function(e){for(var t=0,n=this.overrides;t<n.length;t++){var i=n[t];if(-1!==i.identifiers.indexOf(e))return i.contents}return null},e.prototype.toJSON=function(){return{contents:this.contents,overrides:this.overrides,keys:this.keys}},e.prototype.setValue=function(e,t){this.addKey(e),u.addToValueTree(this.contents,e,t,function(e){throw new Error(e)})},e.prototype.removeValue=function(e){this.removeKey(e)&&u.removeFromValueTree(this.contents,e)},
e.prototype.addKey=function(e){for(var t=this.keys.length,n=0;n<t;n++)0===e.indexOf(this.keys[n])&&(t=n);this.keys.splice(t,1,e)},e.prototype.removeKey=function(e){var t=this.keys.indexOf(e);return-1!==t&&(this.keys.splice(t,1),!0)},e}();t.ConfigurationModel=c;var d=function(e){function t(){for(var t=u.getDefaultValues(),n=u.getConfigurationKeys(),i=[],o=0,r=Object.keys(t);o<r.length;o++){var s=r[o];l.OVERRIDE_PROPERTY_PATTERN.test(s)&&i.push({identifiers:[u.overrideIdentifierFromKey(s).trim()],contents:u.toValuesTree(t[s],function(e){return console.error("Conflict in default settings file: "+e)})})}return e.call(this,t,n,i)||this}return o(t,e),t}(c);t.DefaultConfigurationModel=d;var h=function(){function e(e){this._name=e,this._configurationModel=null,this._parseErrors=[]}return Object.defineProperty(e.prototype,"configurationModel",{get:function(){return this._configurationModel||new c},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"errors",{get:function(){return this._parseErrors},
enumerable:!0,configurable:!0}),e.prototype.parse=function(e){var t=this.parseContent(e),n=this.parseRaw(t);this._configurationModel=new c(n.contents,n.keys,n.overrides)},e.prototype.parseContent=function(e){function t(e){Array.isArray(r)?r.push(e):o&&(r[o]=e)}var i={},o=null,r=[],s=[],a=[],l={onObjectBegin:function(){var e={};t(e),s.push(r),r=e,o=null},onObjectProperty:function(e){o=e},onObjectEnd:function(){r=s.pop()},onArrayBegin:function(){var e=[];t(e),s.push(r),r=e,o=null},onArrayEnd:function(){r=s.pop()},onLiteralValue:t,onError:function(e){a.push({error:e})}};if(e)try{n.visit(e,l),i=r[0]||{}}catch(e){console.error("Error while parsing settings file "+this._name+": "+e),this._parseErrors=[e]}return i},e.prototype.parseRaw=function(e){var t=this;return{contents:u.toValuesTree(e,function(e){return console.error("Conflict in settings file "+t._name+": "+e)}),keys:Object.keys(e),overrides:u.toOverrides(e,function(e){return console.error("Conflict in settings file "+t._name+": "+e)})}},e}()
;t.ConfigurationModelParser=h;var p=function(){function e(e,t,n,o,r,s,a){void 0===n&&(n=new c),void 0===o&&(o=new i.StrictResourceMap),void 0===r&&(r=new c),void 0===s&&(s=new i.StrictResourceMap),void 0===a&&(a=!0),this._defaultConfiguration=e,this._userConfiguration=t,this._workspaceConfiguration=n,this._folderConfigurations=o,this._memoryConfiguration=r,this._memoryConfigurationByResource=s,this._freeze=a,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations=new i.StrictResourceMap}return e.prototype.getValue=function(e,t,n){return this.getConsolidateConfigurationModel(t,n).getValue(e)},e.prototype.updateValue=function(e,t,n){void 0===n&&(n={});var i;n.resource?(i=this._memoryConfigurationByResource.get(n.resource))||(i=new c,this._memoryConfigurationByResource.set(n.resource,i)):i=this._memoryConfiguration,void 0===t?i.removeValue(e):i.setValue(e,t),n.resource||(this._workspaceConsolidatedConfiguration=null)},e.prototype.inspect=function(e,t,n){
var i=this.getConsolidateConfigurationModel(t,n),o=this.getFolderConfigurationModelForResource(t.resource,n),r=t.resource?this._memoryConfigurationByResource.get(t.resource)||this._memoryConfiguration:this._memoryConfiguration;return{default:t.overrideIdentifier?this._defaultConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this._defaultConfiguration.freeze().getValue(e),user:t.overrideIdentifier?this._userConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this._userConfiguration.freeze().getValue(e),workspace:n?t.overrideIdentifier?this._workspaceConfiguration.freeze().override(t.overrideIdentifier).getValue(e):this._workspaceConfiguration.freeze().getValue(e):void 0,workspaceFolder:o?t.overrideIdentifier?o.freeze().override(t.overrideIdentifier).getValue(e):o.freeze().getValue(e):void 0,memory:t.overrideIdentifier?r.freeze().override(t.overrideIdentifier).getValue(e):r.freeze().getValue(e),value:i.getValue(e)}},e.prototype.keys=function(e){
var t=this.getFolderConfigurationModelForResource(null,e);return{default:this._defaultConfiguration.freeze().keys,user:this._userConfiguration.freeze().keys,workspace:this._workspaceConfiguration.freeze().keys,workspaceFolder:t?t.freeze().keys:[]}},e.prototype.updateDefaultConfiguration=function(e){this._defaultConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()},e.prototype.updateUserConfiguration=function(e){this._userConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()},e.prototype.updateWorkspaceConfiguration=function(e){this._workspaceConfiguration=e,this._workspaceConsolidatedConfiguration=null,this._foldersConsolidatedConfigurations.clear()},e.prototype.updateFolderConfiguration=function(e,t){this._folderConfigurations.set(e,t),this._foldersConsolidatedConfigurations.delete(e)},e.prototype.deleteFolderConfiguration=function(e){this.folders.delete(e),
this._foldersConsolidatedConfigurations.delete(e)},Object.defineProperty(e.prototype,"defaults",{get:function(){return this._defaultConfiguration},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"user",{get:function(){return this._userConfiguration},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"workspace",{get:function(){return this._workspaceConfiguration},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"folders",{get:function(){return this._folderConfigurations},enumerable:!0,configurable:!0}),e.prototype.getConsolidateConfigurationModel=function(e,t){var n=this.getConsolidatedConfigurationModelForResource(e,t);return e.overrideIdentifier?n.override(e.overrideIdentifier):n},e.prototype.getConsolidatedConfigurationModelForResource=function(e,t){var n=e.resource,i=this.getWorkspaceConsolidatedConfiguration();if(t&&n){var o=t.getFolder(n);o&&(i=this.getFolderConsolidatedConfiguration(o.uri)||i);var r=this._memoryConfigurationByResource.get(n)
;r&&(i=i.merge(r))}return i},e.prototype.getWorkspaceConsolidatedConfiguration=function(){return this._workspaceConsolidatedConfiguration||(this._workspaceConsolidatedConfiguration=this._defaultConfiguration.merge(this._userConfiguration,this._workspaceConfiguration,this._memoryConfiguration),this._freeze&&(this._workspaceConfiguration=this._workspaceConfiguration.freeze())),this._workspaceConsolidatedConfiguration},e.prototype.getFolderConsolidatedConfiguration=function(e){var t=this._foldersConsolidatedConfigurations.get(e);if(!t){var n=this.getWorkspaceConsolidatedConfiguration(),i=this._folderConfigurations.get(e);i?(t=n.merge(i),this._freeze&&(t=t.freeze()),this._foldersConsolidatedConfigurations.set(e,t)):t=n}return t},e.prototype.getFolderConfigurationModelForResource=function(e,t){if(t&&e){var n=t.getFolder(e);if(n)return this._folderConfigurations.get(n.uri)}return null},e.prototype.toData=function(){var e=this;return{defaults:{contents:this._defaultConfiguration.contents,
overrides:this._defaultConfiguration.overrides,keys:this._defaultConfiguration.keys},user:{contents:this._userConfiguration.contents,overrides:this._userConfiguration.overrides,keys:this._userConfiguration.keys},workspace:{contents:this._workspaceConfiguration.contents,overrides:this._workspaceConfiguration.overrides,keys:this._workspaceConfiguration.keys},folders:this._folderConfigurations.keys().reduce(function(t,n){var i=e._folderConfigurations.get(n),o=i.contents,r=i.overrides,s=i.keys;return t[n.toString()]={contents:o,overrides:r,keys:s},t},Object.create({}))}},e.prototype.allKeys=function(e){var t=this.keys(e),n=t.default.slice(),i=function(e){for(var t=0,i=e;t<i.length;t++){var o=i[t];-1===n.indexOf(o)&&n.push(o)}};i(t.user),i(t.workspace);for(var o=0,r=this.folders.keys();o<r.length;o++){var s=r[o];i(this.folders.get(s).keys)}return n},e}();t.Configuration=p;var f=function(){function e(){}return e.prototype.doesConfigurationContains=function(e,t){for(var n,i=e.contents,o=u.toValuesTree((r={},r[t]=!0,
r),function(){});"object"==typeof o&&(n=Object.keys(o)[0]);){if(!(i=i[n]))return!1;o=o[n]}return!0;var r},e.prototype.updateKeys=function(e,t,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];e.setValue(r,{})}},e}();t.AbstractConfigurationChangeEvent=f;var g=function(e){function t(t,n){void 0===t&&(t=new c),void 0===n&&(n=new i.StrictResourceMap);var o=e.call(this)||this;return o._changedConfiguration=t,o._changedConfigurationByResource=n,o}return o(t,e),Object.defineProperty(t.prototype,"changedConfiguration",{get:function(){return this._changedConfiguration},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"changedConfigurationByResource",{get:function(){return this._changedConfigurationByResource},enumerable:!0,configurable:!0}),t.prototype.change=function(e,n){if(e instanceof t){this._changedConfiguration=this._changedConfiguration.merge(e._changedConfiguration);for(var i=0,o=e._changedConfigurationByResource.keys();i<o.length;i++){var r=o[i],s=this.getOrSetChangedConfigurationForResource(r)
;s=s.merge(e._changedConfigurationByResource.get(r)),this._changedConfigurationByResource.set(r,s)}}else this.changeWithKeys(e,n);return this},t.prototype.telemetryData=function(e,t){return this._source=e,this._sourceConfig=t,this},Object.defineProperty(t.prototype,"affectedKeys",{get:function(){var e=this._changedConfiguration.keys.slice();return this._changedConfigurationByResource.forEach(function(t){return e.push.apply(e,t.keys)}),r.distinct(e)},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"source",{get:function(){return this._source},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"sourceConfig",{get:function(){return this._sourceConfig},enumerable:!0,configurable:!0}),t.prototype.affectsConfiguration=function(e,t){var n=[this._changedConfiguration];if(t){var i=this._changedConfigurationByResource.get(t);i&&n.push(i)}else n.push.apply(n,this._changedConfigurationByResource.values());for(var o=0,r=n;o<r.length;o++){var s=r[o]
;if(this.doesConfigurationContains(s,e))return!0}return!1},t.prototype.changeWithKeys=function(e,t){var n=t?this.getOrSetChangedConfigurationForResource(t):this._changedConfiguration;this.updateKeys(n,e)},t.prototype.getOrSetChangedConfigurationForResource=function(e){var t=this._changedConfigurationByResource.get(e);return t||(t=new c,this._changedConfigurationByResource.set(e,t)),t},t}(f);t.ConfigurationChangeEvent=g}),define(t[442],n([0,1,2,33,161,19,54,4]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h="data-keybinding-context",p=function(){function e(e,t){this._id=e,this._parent=t,this._value=Object.create(null),this._value._contextId=e}return e.prototype.setValue=function(e,t){return this._value[e]!==t&&(this._value[e]=t,!0)},e.prototype.removeValue=function(e){return e in this._value&&(delete this._value[e],!0)},e.prototype.getValue=function(e){var t=this._value[e];return void 0===t&&this._parent?this._parent.getValue(e):t},
e.prototype.collectAllValues=function(){var e=this._parent?this._parent.collectAllValues():Object.create(null);return e=c({},e,this._value),delete e._contextId,e},e}();t.Context=p;var f=function(e){function t(t,n,i){var o=e.call(this,t,null)||this;return o._emitter=i,o._configurationService=n,o._subscription=n.onDidChangeConfiguration(o._onConfigurationUpdated,o),o._initFromConfiguration(),o}return o(t,e),t.prototype.dispose=function(){this._subscription.dispose()},t.prototype._onConfigurationUpdated=function(e){if(e.source===a.ConfigurationTarget.DEFAULT)this._initFromConfiguration();else for(var t=0,n=e.affectedKeys;t<n.length;t++){var i=n[t],o="config."+i;o in this._value&&(this._value[o]=this._configurationService.getValue(i),this._emitter.fire(i))}},t.prototype._initFromConfiguration=function(){var e=this,t=this._configurationService.getValue(),n=Object.create(null),i=[],o=function(t,r){for(var s in t)if(Object.prototype.hasOwnProperty.call(t,s)){r.push(s);var a=t[s];if("boolean"==typeof a){
var l=r.join("."),u=e._value[l];e._value[l]=a,u!==a?(i.push(l),n[l]=!0):n[l]=!1}else"object"==typeof a&&o(a,r);r.pop()}};o(t,["config"]);for(var r in this._value)0===r.indexOf("config.")&&void 0===n[r]&&(delete this._value[r],n[r]=!0,i.push(r));this._emitter.fire(i)},t}(p),g=function(){function e(e,t,n){this._parent=e,this._key=t,this._defaultValue=n,this.reset()}return e.prototype.set=function(e){this._parent.setContext(this._key,e)},e.prototype.reset=function(){void 0===this._defaultValue?this._parent.removeContext(this._key):this._parent.setContext(this._key,this._defaultValue)},e.prototype.get=function(){return this._parent.getContextKeyValue(this._key)},e}(),m=function(){function e(){this._keys=[]}return e.prototype.collect=function(e){this._keys=this._keys.concat(e)},e.prototype.affectsSome=function(e){for(var t=0,n=this._keys;t<n.length;t++){var i=n[t];if(e.has(i))return!0}return!1},e}();t.ContextKeyChangeEvent=m;var v=function(){function e(e){this._myContextId=e,
this._onDidChangeContextKey=new l.Emitter}return e.prototype.createKey=function(e,t){return new g(this,e,t)},Object.defineProperty(e.prototype,"onDidChangeContext",{get:function(){return this._onDidChangeContext||(this._onDidChangeContext=l.debounceEvent(this._onDidChangeContextKey.event,function(e,t){return e||(e=new m),e.collect(t),e},25)),this._onDidChangeContext},enumerable:!0,configurable:!0}),e.prototype.createScoped=function(e){return new y(this,this._onDidChangeContextKey,e)},e.prototype.contextMatchesRules=function(e){var t=this.getContextValuesContainer(this._myContextId);return r.KeybindingResolver.contextMatchesRules(t,e)},e.prototype.getContextKeyValue=function(e){return this.getContextValuesContainer(this._myContextId).getValue(e)},e.prototype.setContext=function(e,t){var n=this.getContextValuesContainer(this._myContextId);n&&n.setValue(e,t)&&this._onDidChangeContextKey.fire(e)},e.prototype.removeContext=function(e){
this.getContextValuesContainer(this._myContextId).removeValue(e)&&this._onDidChangeContextKey.fire(e)},e.prototype.getContext=function(e){return this.getContextValuesContainer(function(e){for(;e;){if(e.hasAttribute(h))return parseInt(e.getAttribute(h),10);e=e.parentElement}return 0}(e))},e}();t.AbstractContextKeyService=v;var _=function(e){function t(t){var n=e.call(this,0)||this;n._toDispose=[],n._lastContextId=0,n._contexts=Object.create(null);var i=new f(n._myContextId,t,n._onDidChangeContextKey);return n._contexts[String(n._myContextId)]=i,n._toDispose.push(i),n}return o(t,e),t.prototype.dispose=function(){this._toDispose=n.dispose(this._toDispose)},t.prototype.getContextValuesContainer=function(e){return this._contexts[String(e)]},t.prototype.createChildContext=function(e){void 0===e&&(e=this._myContextId);var t=++this._lastContextId;return this._contexts[String(t)]=new p(t,this.getContextValuesContainer(e)),t},t.prototype.disposeContext=function(e){delete this._contexts[String(e)]},
t=u([d(0,a.IConfigurationService)],t)}(v);t.ContextKeyService=_;var y=function(e){function t(t,n,i){var o=e.call(this,t.createChildContext())||this;return o._parent=t,o._onDidChangeContextKey=n,i&&(o._domNode=i,o._domNode.setAttribute(h,String(o._myContextId))),o}return o(t,e),t.prototype.dispose=function(){this._parent.disposeContext(this._myContextId),this._domNode&&this._domNode.removeAttribute(h)},Object.defineProperty(t.prototype,"onDidChangeContext",{get:function(){return this._parent.onDidChangeContext},enumerable:!0,configurable:!0}),t.prototype.getContextValuesContainer=function(e){return this._parent.getContextValuesContainer(e)},t.prototype.createChildContext=function(e){return void 0===e&&(e=this._myContextId),this._parent.createChildContext(e)},t.prototype.disposeContext=function(e){this._parent.disposeContext(e)},t}(v);i.CommandsRegistry.registerCommand(s.SET_CONTEXT_COMMAND_ID,function(e,t,n){e.get(s.IContextKeyService).createKey(String(t),n)})}),
define(t[44],n([0,1,37,15,33,46]),function(e,t,n,i,o,r){"use strict";function s(e,t){return e.weight1!==t.weight1?e.weight1-t.weight1:e.command<t.command?-1:e.command>t.command?1:e.weight2-t.weight2}Object.defineProperty(t,"__esModule",{value:!0});!function(e){e[e.Core=0]="Core",e[e.Extension=1]="Extension"}(t.KeybindingRuleSource||(t.KeybindingRuleSource={}));var a=function(){function e(){this.WEIGHT={editorCore:function(e){return void 0===e&&(e=0),0+e},editorContrib:function(e){return void 0===e&&(e=0),100+e},workbenchContrib:function(e){return void 0===e&&(e=0),200+e},builtinExtension:function(e){return void 0===e&&(e=0),300+e},externalExtension:function(e){return void 0===e&&(e=0),400+e}},this._keybindings=[],this._keybindingsSorted=!0}return e.bindToCurrentPlatform=function(e){if(1===i.OS){if(e&&e.win)return e.win}else if(2===i.OS){if(e&&e.mac)return e.mac}else if(e&&e.linux)return e.linux;return e},e.bindToCurrentPlatform2=function(e){if(1===i.OS){if(e&&e.win)return e.win}else if(2===i.OS){
if(e&&e.mac)return e.mac}else if(e&&e.linux)return e.linux;return e},e.prototype.registerKeybindingRule=function(t,o){void 0===o&&(o=0);var r=e.bindToCurrentPlatform(t);if(r&&r.primary&&this._registerDefaultKeybinding(n.createKeybinding(r.primary,i.OS),t.id,t.weight,0,t.when,o),r&&Array.isArray(r.secondary))for(var s=0,a=r.secondary.length;s<a;s++){var l=r.secondary[s];this._registerDefaultKeybinding(n.createKeybinding(l,i.OS),t.id,t.weight,-s-1,t.when,o)}},e.prototype.registerKeybindingRule2=function(t,n){void 0===n&&(n=0);var i=e.bindToCurrentPlatform2(t);i&&i.primary&&this._registerDefaultKeybinding(i.primary,t.id,t.weight,0,t.when,n)},e.prototype.registerCommandAndKeybindingRule=function(e,t){void 0===t&&(t=0),this.registerKeybindingRule(e,t),o.CommandsRegistry.registerCommand(e)},e._mightProduceChar=function(e){return e>=21&&e<=30||(e>=31&&e<=56||(80===e||81===e||82===e||83===e||84===e||85===e||86===e||110===e||111===e||87===e||88===e||89===e||90===e||91===e||92===e))},
e.prototype._assertNoCtrlAlt=function(t,n){t.ctrlKey&&t.altKey&&!t.metaKey&&e._mightProduceChar(t.keyCode)&&console.warn("Ctrl+Alt+ keybindings should not be used by default under Windows. Offender: ",t," for ",n)},e.prototype._registerDefaultKeybinding=function(e,t,n,o,r,s){0===s&&1===i.OS&&(2===e.type?this._assertNoCtrlAlt(e.firstPart,t):this._assertNoCtrlAlt(e,t)),this._keybindings.push({keybinding:e,command:t,commandArgs:null,when:r,weight1:n,weight2:o}),this._keybindingsSorted=!1},e.prototype.getDefaultKeybindings=function(){return this._keybindingsSorted||(this._keybindings.sort(s),this._keybindingsSorted=!0),this._keybindings.slice(0)},e}();t.KeybindingsRegistry=new a,t.Extensions={EditorModes:"platform.keybindingsRegistry"},r.Registry.add(t.Extensions.EditorModes,t.KeybindingsRegistry)}),define(t[66],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ID="storageService",t.IStorageService=n.createDecorator(t.ID);!function(e){e[e.GLOBAL=0]="GLOBAL",
e[e.WORKSPACE=1]="WORKSPACE"}(t.StorageScope||(t.StorageScope={})),t.NullStorageService={_serviceBrand:void 0,store:function(){},remove:function(){},get:function(e,t,n){return n},getInteger:function(e,t,n){return n},getBoolean:function(e,t,n){return n}}}),define(t[69],n([0,1,4,2,15,32,172,119,415,414,66]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(){function e(){this._keys=Object.create(null),this._values=Object.create(null)}return e.prototype.has=function(e){var t=e.getId();return!!this._values[t]},e.prototype.get=function(e){var t=e.getId();return this._values[t]},e.prototype.put=function(e,t){var n=e.getId();this._keys[n]=e,this._values[n]=t},e.prototype.remove=function(e){var t=e.getId();delete this._keys[t],delete this._values[t]},e.prototype.getValues=function(){var e=this;return Object.keys(this._keys).map(function(t){return e._values[t]})},e}();t.readFontInfo=function(e){return p.INSTANCE.readConfiguration(e)},
t.restoreFontInfo=function(e){var t=e.get("editorFontInfo",d.StorageScope.GLOBAL);if("string"==typeof t){var n=null;try{n=JSON.parse(t)}catch(e){return}Array.isArray(n)&&p.INSTANCE.restoreFontInfo(n)}},t.saveFontInfo=function(e){var t=p.INSTANCE.saveFontInfo();e.store("editorFontInfo",JSON.stringify(t),d.StorageScope.GLOBAL)};var p=function(e){function t(){var t=e.call(this)||this;return t._onDidChange=t._register(new n.Emitter),t.onDidChange=t._onDidChange.event,t._cache=new h,t._evictUntrustedReadingsTimeout=-1,t}return o(t,e),t.prototype.dispose=function(){-1!==this._evictUntrustedReadingsTimeout&&(clearTimeout(this._evictUntrustedReadingsTimeout),this._evictUntrustedReadingsTimeout=-1),e.prototype.dispose.call(this)},t.prototype._writeToCache=function(e,t){var n=this;this._cache.put(e,t),t.isTrusted||-1!==this._evictUntrustedReadingsTimeout||(this._evictUntrustedReadingsTimeout=setTimeout(function(){n._evictUntrustedReadingsTimeout=-1,n._evictUntrustedReadings()},5e3))},
t.prototype._evictUntrustedReadings=function(){for(var e=this._cache.getValues(),t=!1,n=0,i=e.length;n<i;n++){var o=e[n];o.isTrusted||(t=!0,this._cache.remove(o))}t&&this._onDidChange.fire()},t.prototype.saveFontInfo=function(){return this._cache.getValues().filter(function(e){return e.isTrusted})},t.prototype.restoreFontInfo=function(e){for(var t=0,n=e.length;t<n;t++){var i=new l.FontInfo(e[t],!1);this._writeToCache(i,i)}},t.prototype.readConfiguration=function(e){if(!this._cache.has(e)){var n=t._actualReadConfiguration(e);(n.typicalHalfwidthCharacterWidth<=2||n.typicalFullwidthCharacterWidth<=2||n.spaceWidth<=2||n.maxDigitWidth<=2)&&(n=new l.FontInfo({zoomLevel:s.getZoomLevel(),fontFamily:n.fontFamily,fontWeight:n.fontWeight,fontSize:n.fontSize,lineHeight:n.lineHeight,letterSpacing:n.letterSpacing,isMonospace:n.isMonospace,typicalHalfwidthCharacterWidth:Math.max(n.typicalHalfwidthCharacterWidth,5),typicalFullwidthCharacterWidth:Math.max(n.typicalFullwidthCharacterWidth,5),
spaceWidth:Math.max(n.spaceWidth,5),maxDigitWidth:Math.max(n.maxDigitWidth,5)},!1)),this._writeToCache(e,n)}return this._cache.get(e)},t.createRequest=function(e,t,n,i){var o=new c.CharWidthRequest(e,t);return n.push(o),i&&i.push(o),o},t._actualReadConfiguration=function(e){var t=[],n=[],i=this.createRequest("n",0,t,n),o=this.createRequest("ｍ",0,t,null),r=this.createRequest(" ",0,t,n),a=this.createRequest("0",0,t,n),u=this.createRequest("1",0,t,n),d=this.createRequest("2",0,t,n),h=this.createRequest("3",0,t,n),p=this.createRequest("4",0,t,n),f=this.createRequest("5",0,t,n),g=this.createRequest("6",0,t,n),m=this.createRequest("7",0,t,n),v=this.createRequest("8",0,t,n),_=this.createRequest("9",0,t,n);this.createRequest("→",0,t,n),this.createRequest("·",0,t,n),this.createRequest("|",0,t,n),this.createRequest("/",0,t,n),this.createRequest("-",0,t,n),this.createRequest("_",0,t,n),this.createRequest("i",0,t,n),this.createRequest("l",0,t,n),this.createRequest("m",0,t,n),this.createRequest("|",1,t,n),
this.createRequest("_",1,t,n),this.createRequest("i",1,t,n),this.createRequest("l",1,t,n),this.createRequest("m",1,t,n),this.createRequest("n",1,t,n),this.createRequest("|",2,t,n),this.createRequest("_",2,t,n),this.createRequest("i",2,t,n),this.createRequest("l",2,t,n),this.createRequest("m",2,t,n),this.createRequest("n",2,t,n),c.readCharWidths(e,t);for(var y=Math.max(a.width,u.width,d.width,h.width,p.width,f.width,g.width,m.width,v.width,_.width),C=!0,b=n[0].width,S=1,w=n.length;S<w;S++){var E=b-n[S].width;if(E<-.001||E>.001){C=!1;break}}var L=s.getTimeSinceLastZoomLevelChanged()>2e3;return new l.FontInfo({zoomLevel:s.getZoomLevel(),fontFamily:e.fontFamily,fontWeight:e.fontWeight,fontSize:e.fontSize,lineHeight:e.lineHeight,letterSpacing:e.letterSpacing,isMonospace:C,typicalHalfwidthCharacterWidth:i.width,typicalFullwidthCharacterWidth:o.width,spaceWidth:r.width,maxDigitWidth:y},L)},t.INSTANCE=new t,t}(i.Disposable),f=function(e){function t(t,n){void 0===n&&(n=null);var i=e.call(this,t)||this
;return i._elementSizeObserver=i._register(new u.ElementSizeObserver(n,function(){return i._onReferenceDomElementSizeChanged()})),i._register(p.INSTANCE.onDidChange(function(){return i._onCSSBasedConfigurationChanged()})),i._validatedOptions.automaticLayout&&i._elementSizeObserver.startObserving(),i._register(s.onDidChangeZoomLevel(function(e){return i._recomputeOptions()})),i._register(s.onDidChangeAccessibilitySupport(function(){return i._recomputeOptions()})),i._recomputeOptions(),i}return o(t,e),t.applyFontInfoSlow=function(e,t){e.style.fontFamily=t.fontFamily,e.style.fontWeight=t.fontWeight,e.style.fontSize=t.fontSize+"px",e.style.lineHeight=t.lineHeight+"px",e.style.letterSpacing=t.letterSpacing+"px"},t.applyFontInfo=function(e,t){e.setFontFamily(t.fontFamily),e.setFontWeight(t.fontWeight),e.setFontSize(t.fontSize),e.setLineHeight(t.lineHeight),e.setLetterSpacing(t.letterSpacing)},t.prototype._onReferenceDomElementSizeChanged=function(){this._recomputeOptions()},
t.prototype._onCSSBasedConfigurationChanged=function(){this._recomputeOptions()},t.prototype.observeReferenceElement=function(e){this._elementSizeObserver.observe(e)},t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._getExtraEditorClassName=function(){var e="";return s.isIE?e+="ie ":s.isFirefox?e+="ff ":s.isEdge?e+="edge ":s.isSafari&&(e+="safari "),r.isMacintosh&&(e+="mac "),e},t.prototype._getEnvConfiguration=function(){return{extraEditorClassName:this._getExtraEditorClassName(),outerWidth:this._elementSizeObserver.getWidth(),outerHeight:this._elementSizeObserver.getHeight(),emptySelectionClipboard:s.isWebKit||s.isFirefox,pixelRatio:s.getPixelRatio(),zoomLevel:s.getZoomLevel(),accessibilitySupport:s.getAccessibilitySupport()}},t.prototype.readConfiguration=function(e){return p.INSTANCE.readConfiguration(e)},t}(a.CommonEditorConfiguration);t.Configuration=f}),define(t[446],n([0,1,26,113,69,34]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0})
;var a=function(e){function t(t){var n=e.call(this,t)||this;return n._visibleLines=new i.VisibleLinesCollection(n),n.domNode=n._visibleLines.domNode,n._dynamicOverlays=[],n._isFocused=!1,n.domNode.setClassName("view-overlays"),n}return o(t,e),t.prototype.shouldRender=function(){if(e.prototype.shouldRender.call(this))return!0;for(var t=0,n=this._dynamicOverlays.length;t<n;t++){if(this._dynamicOverlays[t].shouldRender())return!0}return!1},t.prototype.dispose=function(){e.prototype.dispose.call(this);for(var t=0,n=this._dynamicOverlays.length;t<n;t++){this._dynamicOverlays[t].dispose()}this._dynamicOverlays=null},t.prototype.getDomNode=function(){return this.domNode},t.prototype.createVisibleLine=function(){return new l(this._context.configuration,this._dynamicOverlays)},t.prototype.addDynamicOverlay=function(e){this._dynamicOverlays.push(e)},t.prototype.onConfigurationChanged=function(e){this._visibleLines.onConfigurationChanged(e)
;for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=t;i<=n;i++){this._visibleLines.getVisibleLine(i).onConfigurationChanged(e)}return!0},t.prototype.onFlushed=function(e){return this._visibleLines.onFlushed(e)},t.prototype.onFocusChanged=function(e){return this._isFocused=e.isFocused,!0},t.prototype.onLinesChanged=function(e){return this._visibleLines.onLinesChanged(e)},t.prototype.onLinesDeleted=function(e){return this._visibleLines.onLinesDeleted(e)},t.prototype.onLinesInserted=function(e){return this._visibleLines.onLinesInserted(e)},t.prototype.onScrollChanged=function(e){return this._visibleLines.onScrollChanged(e)||!0},t.prototype.onTokensChanged=function(e){return this._visibleLines.onTokensChanged(e)},t.prototype.onZonesChanged=function(e){return this._visibleLines.onZonesChanged(e)},t.prototype.prepareRender=function(e){for(var t=this._dynamicOverlays.filter(function(e){return e.shouldRender()}),n=0,i=t.length;n<i;n++){var o=t[n];o.prepareRender(e),
o.onDidRender()}return null},t.prototype.render=function(e){this._viewOverlaysRender(e),this.domNode.toggleClassName("focused",this._isFocused)},t.prototype._viewOverlaysRender=function(e){this._visibleLines.renderLines(e.viewportData)},t}(s.ViewPart);t.ViewOverlays=a;var l=function(){function e(e,t){this._configuration=e,this._lineHeight=this._configuration.editor.lineHeight,this._dynamicOverlays=t,this._domNode=null,this._renderedContent=null}return e.prototype.getDomNode=function(){return this._domNode?this._domNode.domNode:null},e.prototype.setDomNode=function(e){this._domNode=n.createFastDomNode(e)},e.prototype.onContentChanged=function(){},e.prototype.onTokensChanged=function(){},e.prototype.onConfigurationChanged=function(e){e.lineHeight&&(this._lineHeight=this._configuration.editor.lineHeight)},e.prototype.renderLine=function(e,t,n,i){for(var o="",r=0,s=this._dynamicOverlays.length;r<s;r++){o+=this._dynamicOverlays[r].render(n.startLineNumber,e)}
return this._renderedContent!==o&&(this._renderedContent=o,i.appendASCIIString('<div style="position:absolute;top:'),i.appendASCIIString(String(t)),i.appendASCIIString("px;width:100%;height:"),i.appendASCIIString(String(this._lineHeight)),i.appendASCIIString('px;">'),i.appendASCIIString(o),i.appendASCIIString("</div>"),!0)},e.prototype.layoutLine=function(e,t){this._domNode&&(this._domNode.setTop(t),this._domNode.setHeight(this._lineHeight))},e}();t.ViewOverlayLine=l;var u=function(e){function t(t){var n=e.call(this,t)||this;return n._contentWidth=n._context.configuration.editor.layoutInfo.contentWidth,n.domNode.setHeight(0),n}return o(t,e),t.prototype.onConfigurationChanged=function(t){return t.layoutInfo&&(this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth),e.prototype.onConfigurationChanged.call(this,t)},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollWidthChanged},t.prototype._viewOverlaysRender=function(t){
e.prototype._viewOverlaysRender.call(this,t),this.domNode.setWidth(Math.max(t.scrollWidth,this._contentWidth))},t}(a);t.ContentViewOverlays=u;var c=function(e){function t(t){var n=e.call(this,t)||this;return n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n.domNode.setClassName("margin-view-overlays"),n.domNode.setWidth(1),r.Configuration.applyFontInfo(n.domNode,n._context.configuration.editor.fontInfo),n}return o(t,e),t.prototype.onConfigurationChanged=function(t){var n=!1;return t.fontInfo&&(r.Configuration.applyFontInfo(this.domNode,this._context.configuration.editor.fontInfo),n=!0),t.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft,n=!0),e.prototype.onConfigurationChanged.call(this,t)||n},t.prototype.onScrollChanged=function(t){return e.prototype.onScrollChanged.call(this,t)||t.scrollHeightChanged},t.prototype._viewOverlaysRender=function(t){e.prototype._viewOverlaysRender.call(this,t);var n=Math.min(t.scrollHeight,1e6)
;this.domNode.setHeight(n),this.domNode.setWidth(this._contentLeft)},t}(a);t.MarginViewOverlays=c}),define(t[447],n([0,1,26,13,3,52,69,10]),function(e,t,n,i,o,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){return function(e,t,n,i,o){this.top=e,this.left=t,this.width=n,this.height=i,this.textContent=o}}(),u=function(){function e(e){this._context=e,this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle,this._lineHeight=this._context.configuration.editor.lineHeight,this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,this._lineCursorWidth=Math.min(this._context.configuration.editor.viewInfo.cursorWidth,this._typicalHalfwidthCharacterWidth),this._isVisible=!0,this._domNode=n.createFastDomNode(document.createElement("div")),this._domNode.setClassName("cursor"),this._domNode.setHeight(this._lineHeight),this._domNode.setTop(0),this._domNode.setLeft(0),
s.Configuration.applyFontInfo(this._domNode,this._context.configuration.editor.fontInfo),this._domNode.setDisplay("none"),this.updatePosition(new i.Position(1,1)),this._lastRenderedContent="",this._renderData=null}return e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return this._position},e.prototype.show=function(){this._isVisible||(this._domNode.setVisibility("inherit"),this._isVisible=!0)},e.prototype.hide=function(){this._isVisible&&(this._domNode.setVisibility("hidden"),this._isVisible=!1)},e.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.fontInfo&&(s.Configuration.applyFontInfo(this._domNode,this._context.configuration.editor.fontInfo),this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth),e.viewInfo&&(this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle,
this._lineCursorWidth=Math.min(this._context.configuration.editor.viewInfo.cursorWidth,this._typicalHalfwidthCharacterWidth)),!0},e.prototype.onCursorPositionChanged=function(e){return this.updatePosition(e),!0},e.prototype._prepareRender=function(e){var t="";if(this._cursorStyle===r.TextEditorCursorStyle.Line||this._cursorStyle===r.TextEditorCursorStyle.LineThin){var n=e.visibleRangeForPosition(this._position);if(!n)return null;var i;if(this._cursorStyle===r.TextEditorCursorStyle.Line){if((i=a.computeScreenAwareSize(this._lineCursorWidth>0?this._lineCursorWidth:2))>2){t=(h=this._context.model.getLineContent(this._position.lineNumber)).charAt(this._position.column-1)}}else i=a.computeScreenAwareSize(1);var s=e.getVerticalOffsetForLineNumber(this._position.lineNumber)-e.bigNumbersDelta;return new l(s,n.left,i,this._lineHeight,t)}var u=e.linesVisibleRangesForRange(new o.Range(this._position.lineNumber,this._position.column,this._position.lineNumber,this._position.column+1),!1)
;if(!u||0===u.length||0===u[0].ranges.length)return null;var c=u[0].ranges[0],d=c.width<1?this._typicalHalfwidthCharacterWidth:c.width;if(this._cursorStyle===r.TextEditorCursorStyle.Block){var h=this._context.model.getLineContent(this._position.lineNumber);t=h.charAt(this._position.column-1)}var p=e.getVerticalOffsetForLineNumber(this._position.lineNumber)-e.bigNumbersDelta,f=this._lineHeight;return this._cursorStyle!==r.TextEditorCursorStyle.Underline&&this._cursorStyle!==r.TextEditorCursorStyle.UnderlineThin||(p+=this._lineHeight-2,f=2),new l(p,c.left,d,f,t)},e.prototype.prepareRender=function(e){this._renderData=this._prepareRender(e)},e.prototype.render=function(e){return this._renderData?(this._lastRenderedContent!==this._renderData.textContent&&(this._lastRenderedContent=this._renderData.textContent,this._domNode.domNode.textContent=this._lastRenderedContent),this._domNode.setDisplay("block"),this._domNode.setTop(this._renderData.top),this._domNode.setLeft(this._renderData.left),
this._domNode.setWidth(this._renderData.width),this._domNode.setLineHeight(this._renderData.height),this._domNode.setHeight(this._renderData.height),{domNode:this._domNode.domNode,position:this._position,contentLeft:this._renderData.left,height:this._renderData.height,width:2}):(this._domNode.setDisplay("none"),null)},e.prototype.updatePosition=function(e){this._position=e},e}();t.ViewCursor=u}),define(t[448],n([0,1,74,66,18]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){return function(){}}();t.Memory=s;var a=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.memorize=function(e,t,n){},t.prototype.select=function(e,t,n){return 0},t.prototype.toJSON=function(){},t.prototype.fromJSON=function(){},t}(s);t.NoMemory=a;var l=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._cache=new n.LRUCache(300,.66),t._seq=0,t}return o(t,e),t.prototype.memorize=function(e,t,n){
var i=n.suggestion.label,o=e.getLanguageIdentifier().language+"/"+i;this._cache.set(o,{touch:this._seq++,type:n.suggestion.type,insertText:void 0})},t.prototype.select=function(e,t,n){var i=0,o=-1;if(0===e.getWordUntilPosition(t).word.length)for(var r=0;r<n.length;r++){var s=n[r].suggestion,a=e.getLanguageIdentifier().language+"/"+s.label,l=this._cache.get(a);l&&l.touch>o&&l.type===s.type&&(o=l.touch,i=r)}return i},t.prototype.toJSON=function(){var e=[];return this._cache.forEach(function(t,n){e.push([n,t])}),e},t.prototype.fromJSON=function(e){this._cache.clear();for(var t=0,n=e;t<n.length;t++){var i=n[t],o=i[0],r=i[1];r.touch=0,this._cache.set(o,r)}this._seq=this._cache.size},t}(s);t.LRUMemory=l;var c=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._trie=n.TernarySearchTree.forStrings(),t._seq=0,t}return o(t,e),t.prototype.memorize=function(e,t,n){var i=e.getWordUntilPosition(t).word,o=e.getLanguageIdentifier().language+"/"+i;this._trie.set(o,{type:n.suggestion.type,
insertText:n.suggestion.insertText,touch:this._seq++})},t.prototype.select=function(e,t,n){var i=e.getWordUntilPosition(t).word;if(!i)return 0;var o=e.getLanguageIdentifier().language+"/"+i,r=this._trie.get(o);if(r||(r=this._trie.findSubstr(o)),r)for(var s=0;s<n.length;s++){var a=n[s].suggestion,l=a.type,u=a.insertText;if(l===r.type&&u===r.insertText)return s}return 0},t.prototype.toJSON=function(){var e=[];return this._trie.forEach(function(t,n){return e.push([n,t])}),e.sort(function(e,t){return-(e[1].touch-t[1].touch)}).forEach(function(e,t){return e[1].touch=t}),e.slice(0,200)},t.prototype.fromJSON=function(e){if(this._trie.clear(),e.length>0){this._seq=e[0][1].touch+1;for(var t=0,n=e;t<n.length;t++){var i=n[t],o=i[0],r=i[1];this._trie.set(o,r)}}},t}(s);t.PrefixMemory=c;var h=function(){function e(e,t){var n=this;this._storageService=t,this._storagePrefix="suggest/memories",this._persistSoon=new r.RunOnceScheduler(function(){return n._flush()},3e3),this.setMode(e)}return e.prototype.setMode=function(e){
if(this._mode!==e){this._mode=e,this._strategy="recentlyUsedByPrefix"===e?new c:"recentlyUsed"===e?new l:new a;try{var t=this._storageService.get(this._storagePrefix+"/"+this._mode,i.StorageScope.WORKSPACE);t&&this._strategy.fromJSON(JSON.parse(t))}catch(e){}}},e.prototype.memorize=function(e,t,n){this._strategy.memorize(e,t,n),this._persistSoon.schedule()},e.prototype.select=function(e,t,n){return this._strategy.select(e,t,n)},e.prototype._flush=function(){var e=JSON.stringify(this._strategy);this._storageService.store(this._storagePrefix+"/"+this._mode,e,i.StorageScope.WORKSPACE)},e=u([d(1,i.IStorageService)],e)}();t.SuggestMemories=h}),define(t[81],n([0,1,14]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ITelemetryService=n.createDecorator("telemetryService")}),define(t[11],n([0,1,12,29,33,44,46,81,13,47,89,53,19,38]),function(e,t,n,i,r,s,a,l,u,d,h,p,f,g){"use strict";function m(e,t){r.CommandsRegistry.registerCommand(e,function(e,n){return t(e,n||{})})}
Object.defineProperty(t,"__esModule",{value:!0});var v=function(){function e(e){this.id=e.id,this.precondition=e.precondition,this._kbOpts=e.kbOpts,this._description=e.description}return e.prototype.toCommandAndKeybindingRule=function(e){var t=this,n=this._kbOpts||{primary:0},i=n.kbExpr;this.precondition&&(i=i?f.ContextKeyExpr.and(i,this.precondition):this.precondition);var o="number"==typeof n.weight?n.weight:e;return{id:this.id,handler:function(e,n){return t.runCommand(e,n)},weight:o,when:i,primary:n.primary,secondary:n.secondary,win:n.win,linux:n.linux,mac:n.mac,description:this._description}},e}();t.Command=v;var _=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.bindToContribution=function(e){return function(t){function n(e){var n=t.call(this,e)||this;return n._callback=e.handler,n}return o(n,t),n.prototype.runEditorCommand=function(t,n,i){e(n)&&this._callback(e(n))},n}(t)},t.prototype.runCommand=function(e,t){
var n=this,i=e.get(g.ICodeEditorService).getFocusedCodeEditor();if(i||(i=function(e){var t=e.get(p.IEditorService),n=t.getActiveEditor&&t.getActiveEditor();return g.getCodeEditor(n)}(e)),i)return i.invokeWithinContext(function(e){if(e.get(f.IContextKeyService).contextMatchesRules(n.precondition))return n.runEditorCommand(e,i,t)})},t}(v);t.EditorCommand=_;var y=function(e){function t(t){var n=e.call(this,t)||this;return n.label=t.label,n.alias=t.alias,n.menuOpts=t.menuOpts,n}return o(t,e),t.prototype.toMenuItem=function(){return this.menuOpts?{command:{id:this.id,title:this.label},when:f.ContextKeyExpr.and(this.precondition,this.menuOpts.when),group:this.menuOpts.group,order:this.menuOpts.order}:null},t.prototype.runEditorCommand=function(e,t,n){return this.reportTelemetry(e,t),this.run(e,t,n||{})},t.prototype.reportTelemetry=function(e,t){e.get(l.ITelemetryService).publicLog("editorActionInvoked",c({name:this.label,id:this.id},t.getTelemetryData()))},t}(_);t.EditorAction=y,t.registerLanguageCommand=m,
t.registerDefaultLanguageCommand=function(e,t){m(e,function(e,o){var r=o.resource,s=o.position;if(!(r instanceof i.default))throw n.illegalArgument("resource");if(!u.Position.isIPosition(s))throw n.illegalArgument("position");var a=e.get(d.IModelService).getModel(r);if(!a)throw n.illegalArgument("Can not find open model for "+r);var l=u.Position.lift(s);return t(a,l,o)})},t.registerEditorCommand=function(e){return C.INSTANCE.registerEditorCommand(e),e},t.registerEditorAction=function(e){C.INSTANCE.registerEditorAction(new e)},t.registerInstantiatedEditorAction=function(e){C.INSTANCE.registerEditorAction(e)},t.registerEditorContribution=function(e){C.INSTANCE.registerEditorContribution(e)};!function(e){e.getEditorCommand=function(e){return C.INSTANCE.getEditorCommand(e)},e.getEditorActions=function(){return C.INSTANCE.getEditorActions()},e.getEditorContributions=function(){return C.INSTANCE.getEditorContributions()}}(t.EditorExtensionsRegistry||(t.EditorExtensionsRegistry={}));var C=function(){function e(){
this.editorContributions=[],this.editorActions=[],this.editorCommands=Object.create(null)}return e.prototype.registerEditorContribution=function(e){this.editorContributions.push(e)},e.prototype.registerEditorAction=function(e){var t=e.toMenuItem();t&&h.MenuRegistry.appendMenuItem(h.MenuId.EditorContext,t),s.KeybindingsRegistry.registerCommandAndKeybindingRule(e.toCommandAndKeybindingRule(s.KeybindingsRegistry.WEIGHT.editorContrib())),this.editorActions.push(e)},e.prototype.getEditorContributions=function(){return this.editorContributions.slice(0)},e.prototype.getEditorActions=function(){return this.editorActions.slice(0)},e.prototype.registerEditorCommand=function(e){s.KeybindingsRegistry.registerCommandAndKeybindingRule(e.toCommandAndKeybindingRule(s.KeybindingsRegistry.WEIGHT.editorContrib())),this.editorCommands[e.id]=e},e.prototype.getEditorCommand=function(e){return this.editorCommands[e]||null},e.INSTANCE=new e,e}();a.Registry.add("editor.contributions",C.INSTANCE)}),
define(t[135],n([0,1,13,3,55,39,56,195,11,376,21,44,38,19,30,53,134,188]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_){"use strict";function y(e){return e.get(p.ICodeEditorService).getFocusedCodeEditor()}function C(e){h.KeybindingsRegistry.registerCommandAndKeybindingRule(e.toCommandAndKeybindingRule(w))}function b(e){C(new T("default:"+e,e)),C(new T(e,e))}Object.defineProperty(t,"__esModule",{value:!0});var S=r.Handler,w=h.KeybindingsRegistry.WEIGHT.editorCore(),E=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=t._getCursors();i&&this.runCoreEditorCommand(i,n||{})},t}(u.EditorCommand);t.CoreEditorCommand=E;var L;!function(e){e.description={description:"Scroll editor in the given direction",args:[{name:"Editor scroll argument object",
description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t* 'to': A mandatory direction value.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'up', 'down'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'by': Unit to move. Default is computed based on 'to' value.\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'line', 'wrappedLine', 'page', 'halfPage'\n\t\t\t\t\t\t```\n\t\t\t\t\t* 'value': Number of units to move. Default is '1'.\n\t\t\t\t\t* 'revealCursor': If 'true' reveals the cursor if it is outside view port.\n\t\t\t\t",constraint:function(e){if(!g.isObject(e))return!1;var t=e;return!(!g.isString(t.to)||!g.isUndefined(t.by)&&!g.isString(t.by)||!g.isUndefined(t.value)&&!g.isNumber(t.value)||!g.isUndefined(t.revealCursor)&&!g.isBoolean(t.revealCursor))}}]},e.RawDirection={Up:"up",Down:"down"},e.RawUnit={Line:"line",WrappedLine:"wrappedLine",Page:"page",HalfPage:"halfPage"},e.parse=function(t){var n;switch(t.to){case e.RawDirection.Up:n=1;break;case e.RawDirection.Down:n=2;break;default:return null}var i;switch(t.by){
case e.RawUnit.Line:i=1;break;case e.RawUnit.WrappedLine:i=2;break;case e.RawUnit.Page:i=3;break;case e.RawUnit.HalfPage:i=4;break;default:i=2}return{direction:n,unit:i,value:Math.floor(t.value||1),revealCursor:!!t.revealCursor,select:!!t.select}};!function(e){e[e.Up=1]="Up",e[e.Down=2]="Down"}(e.Direction||(e.Direction={}));!function(e){e[e.Line=1]="Line",e[e.WrappedLine=2]="WrappedLine",e[e.Page=3]="Page",e[e.HalfPage=4]="HalfPage"}(e.Unit||(e.Unit={}))}(L=t.EditorScroll_||(t.EditorScroll_={}));var x;!function(e){e.description={description:"Reveal the given line at the given logical position",args:[{name:"Reveal line argument object",description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t* 'lineNumber': A mandatory line number value.\n\t\t\t\t\t* 'at': Logical position at which line has to be revealed .\n\t\t\t\t\t\t```\n\t\t\t\t\t\t'top', 'center', 'bottom'\n\t\t\t\t\t\t```\n\t\t\t\t",constraint:function(e){if(!g.isObject(e))return!1;var t=e
;return!(!g.isNumber(t.lineNumber)||!g.isUndefined(t.at)&&!g.isString(t.at))}}]},e.RawAtArgument={Top:"top",Center:"center",Bottom:"bottom"}}(x=t.RevealLine_||(t.RevealLine_={}));var N;!function(e){var t=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,[l.CursorMoveCommands.moveTo(e.context,e.getPrimaryCursor(),this._inSelectionMode,t.position,t.viewPosition)]),e.reveal(!0,0,0)},t}(E);e.MoveTo=u.registerEditorCommand(new t({id:"_moveTo",inSelectionMode:!1,precondition:null})),e.MoveToSelect=u.registerEditorCommand(new t({id:"_moveToSelect",inSelectionMode:!0,precondition:null}));var r=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement()
;var n=this._getColumnSelectResult(e.context,e.getPrimaryCursor(),e.getColumnSelectData(),t);e.setStates(t.source,a.CursorChangeReason.Explicit,n.viewStates.map(function(e){return s.CursorState.fromViewState(e)})),e.setColumnSelectData({toViewLineNumber:n.toLineNumber,toViewVisualColumn:n.toVisualColumn}),e.reveal(!0,n.reversed?1:2,0)},t}(E);e.ColumnSelect=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"columnSelect",precondition:null})||this}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,i,o){var r,s=e.model.validatePosition(o.position);return r=o.viewPosition?e.validateViewPosition(new n.Position(o.viewPosition.lineNumber,o.viewPosition.column),s):e.convertModelPositionToViewPosition(s),c.ColumnSelection.columnSelect(e.config,e.viewModel,t.viewState.selection,r.lineNumber,o.mouseColumn-1)},t}(r))),e.CursorColumnSelectLeft=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorColumnSelectLeft",precondition:null,kbOpts:{weight:w,
kbExpr:d.EditorContextKeys.textInputFocus,primary:3599,linux:{primary:0}}})||this}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return c.ColumnSelection.columnSelectLeft(e.config,e.viewModel,t.viewState,n.toViewLineNumber,n.toViewVisualColumn)},t}(r))),e.CursorColumnSelectRight=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorColumnSelectRight",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3601,linux:{primary:0}}})||this}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return c.ColumnSelection.columnSelectRight(e.config,e.viewModel,t.viewState,n.toViewLineNumber,n.toViewVisualColumn)},t}(r)));var h=function(e){function t(t){var n=e.call(this,t)||this;return n._isPaged=t.isPaged,n}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return c.ColumnSelection.columnSelectUp(e.config,e.viewModel,t.viewState,this._isPaged,n.toViewLineNumber,n.toViewVisualColumn)},t}(r)
;e.CursorColumnSelectUp=u.registerEditorCommand(new h({isPaged:!1,id:"cursorColumnSelectUp",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3600,linux:{primary:0}}})),e.CursorColumnSelectPageUp=u.registerEditorCommand(new h({isPaged:!0,id:"cursorColumnSelectPageUp",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3595,linux:{primary:0}}}));var p=function(e){function t(t){var n=e.call(this,t)||this;return n._isPaged=t.isPaged,n}return o(t,e),t.prototype._getColumnSelectResult=function(e,t,n,i){return c.ColumnSelection.columnSelectDown(e.config,e.viewModel,t.viewState,this._isPaged,n.toViewLineNumber,n.toViewVisualColumn)},t}(r);e.CursorColumnSelectDown=u.registerEditorCommand(new p({isPaged:!1,id:"cursorColumnSelectDown",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3602,linux:{primary:0}}})),e.CursorColumnSelectPageDown=u.registerEditorCommand(new p({isPaged:!0,id:"cursorColumnSelectPageDown",
precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3596,linux:{primary:0}}}));var f=function(e){function t(){return e.call(this,{id:"cursorMove",precondition:null,description:l.CursorMove.description})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=l.CursorMove.parse(t);n&&this._runCursorMove(e,t.source,n)},t.prototype._runCursorMove=function(e,t,n){e.context.model.pushStackElement(),e.setStates(t,a.CursorChangeReason.Explicit,l.CursorMoveCommands.move(e.context,e.getAll(),n)),e.reveal(!0,0,0)},t}(E);e.CursorMoveImpl=f,e.CursorMove=u.registerEditorCommand(new f);var g;!function(e){e[e.PAGE_SIZE_MARKER=-1]="PAGE_SIZE_MARKER"}(g||(g={}));var m=function(t){function n(e){var n=t.call(this,e)||this;return n._staticArgs=e.args,n}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){var i=this._staticArgs;-1===this._staticArgs.value&&(i={direction:this._staticArgs.direction,unit:this._staticArgs.unit,select:this._staticArgs.select,
value:t.context.config.pageSize}),e.CursorMove._runCursorMove(t,n.source,i)},n}(E);e.CursorLeft=u.registerEditorCommand(new m({args:{direction:0,unit:0,select:!1,value:1},id:"cursorLeft",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:15,mac:{primary:15,secondary:[288]}}})),e.CursorLeftSelect=u.registerEditorCommand(new m({args:{direction:0,unit:0,select:!0,value:1},id:"cursorLeftSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1039}})),e.CursorRight=u.registerEditorCommand(new m({args:{direction:1,unit:0,select:!1,value:1},id:"cursorRight",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:17,mac:{primary:17,secondary:[292]}}})),e.CursorRightSelect=u.registerEditorCommand(new m({args:{direction:1,unit:0,select:!0,value:1},id:"cursorRightSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1041}})),e.CursorUp=u.registerEditorCommand(new m({args:{
direction:2,unit:2,select:!1,value:1},id:"cursorUp",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:16,mac:{primary:16,secondary:[302]}}})),e.CursorUpSelect=u.registerEditorCommand(new m({args:{direction:2,unit:2,select:!0,value:1},id:"cursorUpSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1040,secondary:[3088],mac:{primary:1040},linux:{primary:1040}}})),e.CursorPageUp=u.registerEditorCommand(new m({args:{direction:2,unit:2,select:!1,value:-1},id:"cursorPageUp",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:11}})),e.CursorPageUpSelect=u.registerEditorCommand(new m({args:{direction:2,unit:2,select:!0,value:-1},id:"cursorPageUpSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1035}})),e.CursorDown=u.registerEditorCommand(new m({args:{direction:3,unit:2,select:!1,value:1},id:"cursorDown",precondition:null,kbOpts:{weight:w,
kbExpr:d.EditorContextKeys.textInputFocus,primary:18,mac:{primary:18,secondary:[300]}}})),e.CursorDownSelect=u.registerEditorCommand(new m({args:{direction:3,unit:2,select:!0,value:1},id:"cursorDownSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1042,secondary:[3090],mac:{primary:1042},linux:{primary:1042}}})),e.CursorPageDown=u.registerEditorCommand(new m({args:{direction:3,unit:2,select:!1,value:-1},id:"cursorPageDown",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:12}})),e.CursorPageDownSelect=u.registerEditorCommand(new m({args:{direction:3,unit:2,select:!0,value:-1},id:"cursorPageDownSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1036}})),e.CreateCursor=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"createCursor",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=e.context;if(!n.config.readOnly){var i
;i=t.wholeLine?l.CursorMoveCommands.line(n,e.getPrimaryCursor(),!1,t.position,t.viewPosition):l.CursorMoveCommands.moveTo(n,e.getPrimaryCursor(),!1,t.position,t.viewPosition);var o=e.getAll();if(o.length>1)for(var r=i.modelState?i.modelState.position:null,s=i.viewState?i.viewState.position:null,u=0,c=o.length;u<c;u++){var d=o[u];if((!r||d.modelState.selection.containsPosition(r))&&(!s||d.viewState.selection.containsPosition(s)))return o.splice(u,1),e.context.model.pushStackElement(),void e.setStates(t.source,a.CursorChangeReason.Explicit,o)}o.push(i),e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,o)}},t}(E))),e.LastCursorMoveToSelect=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"_lastCursorMoveToSelect",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=e.context;if(!n.config.readOnly){var i=e.getLastAddedCursorIndex(),o=e.getAll().slice(0)
;o[i]=l.CursorMoveCommands.moveTo(n,o[i],!0,t.position,t.viewPosition),e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,o)}},t}(E)));var v=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,l.CursorMoveCommands.moveToBeginningOfLine(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(E);e.CursorHome=u.registerEditorCommand(new v({inSelectionMode:!1,id:"cursorHome",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:14,mac:{primary:14,secondary:[2063]}}})),e.CursorHomeSelect=u.registerEditorCommand(new v({inSelectionMode:!0,id:"cursorHomeSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1038,mac:{primary:1038,secondary:[3087]}}})),e.CursorLineStart=u.registerEditorCommand(new(function(e){
function t(){return e.call(this,{id:"cursorLineStart",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:0,mac:{primary:287}}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,this._exec(e.context,e.getAll())),e.reveal(!0,0,0)},t.prototype._exec=function(e,t){for(var n=[],i=0,o=t.length;i<o;i++){var r=t[i],a=r.modelState.position.lineNumber;n[i]=s.CursorState.fromModelState(r.modelState.move(!1,a,1,0))}return n},t}(E)));var _=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,l.CursorMoveCommands.moveToEndOfLine(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(E);e.CursorEnd=u.registerEditorCommand(new _({inSelectionMode:!1,id:"cursorEnd",precondition:null,kbOpts:{
weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:13,mac:{primary:13,secondary:[2065]}}})),e.CursorEndSelect=u.registerEditorCommand(new _({inSelectionMode:!0,id:"cursorEndSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1037,mac:{primary:1037,secondary:[3089]}}})),e.CursorLineEnd=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cursorLineEnd",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:0,mac:{primary:291}}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,this._exec(e.context,e.getAll())),e.reveal(!0,0,0)},t.prototype._exec=function(e,t){for(var n=[],i=0,o=t.length;i<o;i++){var r=t[i],a=r.modelState.position.lineNumber,l=e.model.getLineMaxColumn(a);n[i]=s.CursorState.fromModelState(r.modelState.move(!1,a,l,0))}return n},t}(E)));var y=function(e){function t(t){var n=e.call(this,t)||this
;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,l.CursorMoveCommands.moveToBeginningOfBuffer(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(E);e.CursorTop=u.registerEditorCommand(new y({inSelectionMode:!1,id:"cursorTop",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2062,mac:{primary:2064}}})),e.CursorTopSelect=u.registerEditorCommand(new y({inSelectionMode:!0,id:"cursorTopSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3086,mac:{primary:3088}}}));var C=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),
e.setStates(t.source,a.CursorChangeReason.Explicit,l.CursorMoveCommands.moveToEndOfBuffer(e.context,e.getAll(),this._inSelectionMode)),e.reveal(!0,0,0)},t}(E);e.CursorBottom=u.registerEditorCommand(new C({inSelectionMode:!1,id:"cursorBottom",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2061,mac:{primary:2066}}})),e.CursorBottomSelect=u.registerEditorCommand(new C({inSelectionMode:!0,id:"cursorBottomSelect",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:3085,mac:{primary:3090}}}));var b=function(e){function t(){return e.call(this,{id:"editorScroll",precondition:null,description:L.description})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=L.parse(t);n&&this._runEditorScroll(e,t.source,n)},t.prototype._runEditorScroll=function(e,t,n){var i=this._computeDesiredScrollTop(e.context,n);if(n.revealCursor){var o=e.context.getCompletelyVisibleViewRangeAtScrollTop(i)
;e.setStates(t,a.CursorChangeReason.Explicit,[l.CursorMoveCommands.findPositionInViewportIfOutside(e.context,e.getPrimaryCursor(),o,n.select)])}e.scrollTo(i)},t.prototype._computeDesiredScrollTop=function(e,t){if(1===t.unit){var i=e.getCompletelyVisibleModelRange(),o=void 0;o=1===t.direction?Math.max(1,i.startLineNumber-t.value):Math.min(e.model.getLineCount(),i.startLineNumber+t.value);var r=e.convertModelPositionToViewPosition(new n.Position(o,1));return e.getVerticalOffsetForViewLine(r.lineNumber)}var s;s=3===t.unit?e.config.pageSize*t.value:4===t.unit?Math.round(e.config.pageSize/2)*t.value:t.value;var a=(1===t.direction?-1:1)*s;return e.getCurrentScrollTop()+a*e.config.lineHeight},t}(E);e.EditorScrollImpl=b,e.EditorScroll=u.registerEditorCommand(new b),e.ScrollLineUp=u.registerEditorCommand(new(function(t){function n(){return t.call(this,{id:"scrollLineUp",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2064,mac:{primary:267}}})||this}return o(n,t),
n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:1,unit:2,value:1,revealCursor:!1,select:!1})},n}(E))),e.ScrollPageUp=u.registerEditorCommand(new(function(t){function n(){return t.call(this,{id:"scrollPageUp",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2059,win:{primary:523},linux:{primary:523}}})||this}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:1,unit:3,value:1,revealCursor:!1,select:!1})},n}(E))),e.ScrollLineDown=u.registerEditorCommand(new(function(t){function n(){return t.call(this,{id:"scrollLineDown",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2066,mac:{primary:268}}})||this}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:2,unit:2,value:1,revealCursor:!1,select:!1})},n}(E))),e.ScrollPageDown=u.registerEditorCommand(new(function(t){
function n(){return t.call(this,{id:"scrollPageDown",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2060,win:{primary:524},linux:{primary:524}}})||this}return o(n,t),n.prototype.runCoreEditorCommand=function(t,n){e.EditorScroll._runEditorScroll(t,n.source,{direction:2,unit:3,value:1,revealCursor:!1,select:!1})},n}(E)));var S=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,[l.CursorMoveCommands.word(e.context,e.getPrimaryCursor(),this._inSelectionMode,t.position)]),e.reveal(!0,0,0)},t}(E);e.WordSelect=u.registerEditorCommand(new S({inSelectionMode:!1,id:"_wordSelect",precondition:null})),e.WordSelectDrag=u.registerEditorCommand(new S({inSelectionMode:!0,id:"_wordSelectDrag",precondition:null})),e.LastCursorWordSelect=u.registerEditorCommand(new(function(e){function t(){
return e.call(this,{id:"lastCursorWordSelect",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=e.context;if(!n.config.readOnly){var i=e.getLastAddedCursorIndex(),o=e.getAll().slice(0),r=o[i];o[i]=l.CursorMoveCommands.word(n,r,r.modelState.hasSelection(),t.position),n.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,o)}},t}(E)));var N=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,[l.CursorMoveCommands.line(e.context,e.getPrimaryCursor(),this._inSelectionMode,t.position,t.viewPosition)]),e.reveal(!1,0,0)},t}(E);e.LineSelect=u.registerEditorCommand(new N({inSelectionMode:!1,id:"_lineSelect",precondition:null})),e.LineSelectDrag=u.registerEditorCommand(new N({inSelectionMode:!0,id:"_lineSelectDrag",precondition:null}));var I=function(e){
function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){if(!e.context.config.readOnly){var n=e.getLastAddedCursorIndex(),i=e.getAll().slice(0);i[n]=l.CursorMoveCommands.line(e.context,i[n],this._inSelectionMode,t.position,t.viewPosition),e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,i)}},t}(E);e.LastCursorLineSelect=u.registerEditorCommand(new I({inSelectionMode:!1,id:"lastCursorLineSelect",precondition:null})),e.LastCursorLineSelectDrag=u.registerEditorCommand(new I({inSelectionMode:!0,id:"lastCursorLineSelectDrag",precondition:null})),e.ExpandLineSelection=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"expandLineSelection",precondition:null,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2087}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),
e.setStates(t.source,a.CursorChangeReason.Explicit,l.CursorMoveCommands.expandLineSelection(e.context,e.getAll())),e.reveal(!0,0,0)},t}(E))),e.CancelSelection=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"cancelSelection",precondition:d.EditorContextKeys.hasNonEmptySelection,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:9,secondary:[1033]}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,[l.CursorMoveCommands.cancelSelection(e.context,e.getPrimaryCursor())]),e.reveal(!0,0,0)},t}(E))),e.RemoveSecondaryCursors=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"removeSecondaryCursors",precondition:d.EditorContextKeys.hasMultipleSelections,kbOpts:{weight:w+1,kbExpr:d.EditorContextKeys.textInputFocus,primary:9,secondary:[1033]}})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),
e.setStates(t.source,a.CursorChangeReason.Explicit,[e.getPrimaryCursor()]),e.reveal(!0,0,0)},t}(E))),e.RevealLine=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"revealLine",precondition:null,description:x.description})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){var n=t,o=n.lineNumber+1;o<1&&(o=1);var r=e.context.model.getLineCount();o>r&&(o=r);var s=new i.Range(o,1,o,e.context.model.getLineMaxColumn(o)),a=0;if(n.at)switch(n.at){case x.RawAtArgument.Top:a=3;break;case x.RawAtArgument.Center:a=1;break;case x.RawAtArgument.Bottom:a=4}var l=e.context.convertModelRangeToViewRange(s);e.revealRange(!1,l,a,0)},t}(E))),e.SelectAll=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"selectAll",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,[l.CursorMoveCommands.selectAll(e.context,e.getPrimaryCursor())])},t}(E))),
e.SetSelection=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"setSelection",precondition:null})||this}return o(t,e),t.prototype.runCoreEditorCommand=function(e,t){e.context.model.pushStackElement(),e.setStates(t.source,a.CursorChangeReason.Explicit,[s.CursorState.fromModelSelection(t.selection)])},t}(E)))}(N=t.CoreNavigationCommands||(t.CoreNavigationCommands={}));!function(e){e.LineBreakInsert=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"lineBreakInsert",precondition:d.EditorContextKeys.writable,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:null,mac:{primary:301}}})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){t.pushUndoStop(),t.executeCommands(this.id,v.TypeOperations.lineBreakInsert(t._getCursorConfiguration(),t.getModel(),t.getSelections()))},t}(u.EditorCommand))),e.Outdent=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"outdent",precondition:d.EditorContextKeys.writable,
kbOpts:{weight:w,kbExpr:f.ContextKeyExpr.and(d.EditorContextKeys.editorTextFocus,d.EditorContextKeys.tabDoesNotMoveFocus),primary:1026}})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){t.pushUndoStop(),t.executeCommands(this.id,v.TypeOperations.outdent(t._getCursorConfiguration(),t.getModel(),t.getSelections())),t.pushUndoStop()},t}(u.EditorCommand))),e.Tab=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"tab",precondition:d.EditorContextKeys.writable,kbOpts:{weight:w,kbExpr:f.ContextKeyExpr.and(d.EditorContextKeys.editorTextFocus,d.EditorContextKeys.tabDoesNotMoveFocus),primary:2}})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){t.pushUndoStop(),t.executeCommands(this.id,v.TypeOperations.tab(t._getCursorConfiguration(),t.getModel(),t.getSelections())),t.pushUndoStop()},t}(u.EditorCommand))),e.DeleteLeft=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"deleteLeft",precondition:d.EditorContextKeys.writable,kbOpts:{
weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:1,secondary:[1025],mac:{primary:1,secondary:[1025,294,257]}}})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=t._getCursors(),o=_.DeleteOperations.deleteLeft(i.getPrevEditOperationType(),t._getCursorConfiguration(),t.getModel(),t.getSelections()),r=o[0],s=o[1];r&&t.pushUndoStop(),t.executeCommands(this.id,s),i.setPrevEditOperationType(2)},t}(u.EditorCommand))),e.DeleteRight=u.registerEditorCommand(new(function(e){function t(){return e.call(this,{id:"deleteRight",precondition:d.EditorContextKeys.writable,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:20,mac:{primary:20,secondary:[290,276]}}})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=t._getCursors(),o=_.DeleteOperations.deleteRight(i.getPrevEditOperationType(),t._getCursorConfiguration(),t.getModel(),t.getSelections()),r=o[0],s=o[1];r&&t.pushUndoStop(),t.executeCommands(this.id,s),i.setPrevEditOperationType(3)},t
}(u.EditorCommand)))}(t.CoreEditingCommands||(t.CoreEditingCommands={}));var I=function(e){function t(t){var n=e.call(this,t)||this;return n._editorHandler=t.editorHandler,n._inputHandler=t.inputHandler,n}return o(t,e),t.prototype.runCommand=function(e,t){var n=y(e);if(n&&n.isFocused())return this._runEditorHandler(n,t);var i=document.activeElement;if(!(i&&["input","textarea"].indexOf(i.tagName.toLowerCase())>=0)){var o=function(e){var t=e.get(m.IEditorService),n=t.getActiveEditor&&t.getActiveEditor();return p.getCodeEditor(n)}(e);return o?(o.focus(),this._runEditorHandler(o,t)):void 0}document.execCommand(this._inputHandler)},t.prototype._runEditorHandler=function(e,t){var n=this._editorHandler;"string"==typeof n?e.trigger("keyboard",n,t):((t=t||{}).source="keyboard",n.runEditorCommand(null,e,t))},t}(u.Command),T=function(e){function t(t,n){var i=e.call(this,{id:t,precondition:null})||this;return i._handlerId=n,i}return o(t,e),t.prototype.runCommand=function(e,t){var n=y(e)
;n&&n.trigger("keyboard",this._handlerId,t)},t}(u.Command);C(new I({editorHandler:N.SelectAll,inputHandler:"selectAll",id:"editor.action.selectAll",precondition:null,kbOpts:{weight:w,kbExpr:null,primary:2079}})),C(new I({editorHandler:S.Undo,inputHandler:"undo",id:S.Undo,precondition:d.EditorContextKeys.writable,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2104}})),C(new T("default:"+S.Undo,S.Undo)),C(new I({editorHandler:S.Redo,inputHandler:"redo",id:S.Redo,precondition:d.EditorContextKeys.writable,kbOpts:{weight:w,kbExpr:d.EditorContextKeys.textInputFocus,primary:2103,secondary:[3128],mac:{primary:3128}}})),C(new T("default:"+S.Redo,S.Redo)),b(S.Type),b(S.ReplacePreviousChar),b(S.CompositionStart),b(S.CompositionEnd),b(S.Paste),b(S.Cut)}),define(t[452],n([0,1,13,135]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var o=function(){function e(e,t,n,i,o){this.configuration=e,this.viewModel=t,this._execCoreEditorCommandFunc=n,this.outgoingEvents=i,
this.commandDelegate=o}return e.prototype._execMouseCommand=function(e,t){t.source="mouse",this._execCoreEditorCommandFunc(e,t)},e.prototype.paste=function(e,t,n,i){this.commandDelegate.paste(e,t,n,i)},e.prototype.type=function(e,t){this.commandDelegate.type(e,t)},e.prototype.replacePreviousChar=function(e,t,n){this.commandDelegate.replacePreviousChar(e,t,n)},e.prototype.compositionStart=function(e){this.commandDelegate.compositionStart(e)},e.prototype.compositionEnd=function(e){this.commandDelegate.compositionEnd(e)},e.prototype.cut=function(e){this.commandDelegate.cut(e)},e.prototype.setSelection=function(e,t){this._execCoreEditorCommandFunc(i.CoreNavigationCommands.SetSelection,{source:e,selection:t})},e.prototype._validateViewColumn=function(e){var t=this.viewModel.getLineMinColumn(e.lineNumber);return e.column<t?new n.Position(e.lineNumber,t):e},e.prototype._hasMulticursorModifier=function(e){switch(this.configuration.editor.multiCursorModifier){case"altKey":return e.altKey;case"ctrlKey":return e.ctrlKey
;case"metaKey":return e.metaKey}return!1},e.prototype._hasNonMulticursorModifier=function(e){switch(this.configuration.editor.multiCursorModifier){case"altKey":return e.ctrlKey||e.metaKey;case"ctrlKey":return e.altKey||e.metaKey;case"metaKey":return e.ctrlKey||e.altKey}return!1},e.prototype.dispatchMouse=function(e){
e.startedOnLineNumbers?this._hasMulticursorModifier(e)?e.inSelectionMode?this.lastCursorLineSelect(e.position):this.createCursor(e.position,!0):e.inSelectionMode?this.lineSelectDrag(e.position):this.lineSelect(e.position):e.mouseDownCount>=4?this.selectAll():3===e.mouseDownCount?this._hasMulticursorModifier(e)?e.inSelectionMode?this.lastCursorLineSelectDrag(e.position):this.lastCursorLineSelect(e.position):e.inSelectionMode?this.lineSelectDrag(e.position):this.lineSelect(e.position):2===e.mouseDownCount?this._hasMulticursorModifier(e)?this.lastCursorWordSelect(e.position):e.inSelectionMode?this.wordSelectDrag(e.position):this.wordSelect(e.position):this._hasMulticursorModifier(e)?this._hasNonMulticursorModifier(e)||(e.shiftKey?this.columnSelect(e.position,e.mouseColumn):e.inSelectionMode?this.lastCursorMoveToSelect(e.position):this.createCursor(e.position,!1)):e.inSelectionMode?this.moveToSelect(e.position):this.moveTo(e.position)},e.prototype._usualArgs=function(e){return e=this._validateViewColumn(e),{
position:this.convertViewToModelPosition(e),viewPosition:e}},e.prototype.moveTo=function(e){this._execMouseCommand(i.CoreNavigationCommands.MoveTo,this._usualArgs(e))},e.prototype.moveToSelect=function(e){this._execMouseCommand(i.CoreNavigationCommands.MoveToSelect,this._usualArgs(e))},e.prototype.columnSelect=function(e,t){e=this._validateViewColumn(e),this._execMouseCommand(i.CoreNavigationCommands.ColumnSelect,{position:this.convertViewToModelPosition(e),viewPosition:e,mouseColumn:t})},e.prototype.createCursor=function(e,t){e=this._validateViewColumn(e),this._execMouseCommand(i.CoreNavigationCommands.CreateCursor,{position:this.convertViewToModelPosition(e),viewPosition:e,wholeLine:t})},e.prototype.lastCursorMoveToSelect=function(e){this._execMouseCommand(i.CoreNavigationCommands.LastCursorMoveToSelect,this._usualArgs(e))},e.prototype.wordSelect=function(e){this._execMouseCommand(i.CoreNavigationCommands.WordSelect,this._usualArgs(e))},e.prototype.wordSelectDrag=function(e){
this._execMouseCommand(i.CoreNavigationCommands.WordSelectDrag,this._usualArgs(e))},e.prototype.lastCursorWordSelect=function(e){this._execMouseCommand(i.CoreNavigationCommands.LastCursorWordSelect,this._usualArgs(e))},e.prototype.lineSelect=function(e){this._execMouseCommand(i.CoreNavigationCommands.LineSelect,this._usualArgs(e))},e.prototype.lineSelectDrag=function(e){this._execMouseCommand(i.CoreNavigationCommands.LineSelectDrag,this._usualArgs(e))},e.prototype.lastCursorLineSelect=function(e){this._execMouseCommand(i.CoreNavigationCommands.LastCursorLineSelect,this._usualArgs(e))},e.prototype.lastCursorLineSelectDrag=function(e){this._execMouseCommand(i.CoreNavigationCommands.LastCursorLineSelectDrag,this._usualArgs(e))},e.prototype.selectAll=function(){this._execMouseCommand(i.CoreNavigationCommands.SelectAll,{})},e.prototype.convertViewToModelPosition=function(e){return this.viewModel.coordinatesConverter.convertViewPositionToModelPosition(e)},e.prototype.emitKeyDown=function(e){
this.outgoingEvents.emitKeyDown(e)},e.prototype.emitKeyUp=function(e){this.outgoingEvents.emitKeyUp(e)},e.prototype.emitContextMenu=function(e){this.outgoingEvents.emitContextMenu(e)},e.prototype.emitMouseMove=function(e){this.outgoingEvents.emitMouseMove(e)},e.prototype.emitMouseLeave=function(e){this.outgoingEvents.emitMouseLeave(e)},e.prototype.emitMouseUp=function(e){this.outgoingEvents.emitMouseUp(e)},e.prototype.emitMouseDown=function(e){this.outgoingEvents.emitMouseDown(e)},e.prototype.emitMouseDrag=function(e){this.outgoingEvents.emitMouseDrag(e)},e.prototype.emitMouseDrop=function(e){this.outgoingEvents.emitMouseDrop(e)},e}();t.ViewController=o}),define(t[453],n([0,1,309,21,11,239]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t,n){var i=e.call(this,n)||this;return i.left=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=[],i=t.getSelections(),o=0;o<i.length;o++)n.push(new s.MoveCaretCommand(i[o],this.left));t.pushUndoStop(),
t.executeCommands(this.id,n),t.pushUndoStop()},t}(r.EditorAction),l=function(e){function t(){return e.call(this,!0,{id:"editor.action.moveCarretLeftAction",label:n.localize(0,null),alias:"Move Caret Left",precondition:i.EditorContextKeys.writable})||this}return o(t,e),t}(a),u=function(e){function t(){return e.call(this,!1,{id:"editor.action.moveCarretRightAction",label:n.localize(1,null),alias:"Move Caret Right",precondition:i.EditorContextKeys.writable})||this}return o(t,e),t}(a);r.registerEditorAction(l),r.registerEditorAction(u)}),define(t[454],n([0,1,310,9,3,13,21,11,79]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(e){function t(){return e.call(this,{id:"editor.action.transposeLetters",label:n.localize(0,null),alias:"Transpose Letters",precondition:a.EditorContextKeys.writable,kbOpts:{kbExpr:a.EditorContextKeys.textInputFocus,primary:0,mac:{primary:306}}})||this}return o(t,e),t.prototype.positionLeftOf=function(e,t){var n=e.column,o=e.lineNumber
;return n>t.getLineMinColumn(o)?i.isLowSurrogate(t.getLineContent(o).charCodeAt(n-2))?n-=2:n-=1:o>1&&(o-=1,n=t.getLineMaxColumn(o)),new s.Position(o,n)},t.prototype.positionRightOf=function(e,t){var n=e.column,o=e.lineNumber;return n<t.getLineMaxColumn(o)?i.isHighSurrogate(t.getLineContent(o).charCodeAt(n-1))?n+=2:n+=1:o<t.getLineCount()&&(o+=1,n=0),new s.Position(o,n)},t.prototype.run=function(e,t){for(var n=t.getModel(),i=[],o=0,s=t.getSelections();o<s.length;o++){var a=s[o];if(a.isEmpty()){var l=a.startLineNumber,c=a.startColumn,d=n.getLineMaxColumn(l);if(1!==l||1!==c&&(2!==c||2!==d)){var h=c===d?a.getPosition():this.positionRightOf(a.getPosition(),n),p=this.positionLeftOf(h,n),f=this.positionLeftOf(p,n),g=n.getValueInRange(r.Range.fromPositions(f,p)),m=n.getValueInRange(r.Range.fromPositions(p,h)),v=r.Range.fromPositions(f,h);i.push(new u.ReplaceCommand(v,m+g))}}}i.length>0&&(t.pushUndoStop(),t.executeCommands(this.id,i),t.pushUndoStop())},t}(l.EditorAction);l.registerEditorAction(c)}),
define(t[455],n([0,1,311,32,15,38,11,178,21,367]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c="9_cutcopypaste",d=r.isNative||document.queryCommandSupported("cut"),h=r.isNative||document.queryCommandSupported("copy"),p=h&&!i.isEdgeOrIE,f=r.isNative||!i.isChrome&&document.queryCommandSupported("paste"),g=function(e){function t(t,n){var i=e.call(this,n)||this;return i.browserCommand=t,i}return o(t,e),t.prototype.runCommand=function(e,t){var n=e.get(s.ICodeEditorService).getFocusedCodeEditor();n&&n.isFocused()?n.trigger("keyboard",this.id,t):document.execCommand(this.browserCommand)},t.prototype.run=function(e,t){t.focus(),document.execCommand(this.browserCommand)},t}(a.EditorAction),m=function(e){function t(){var t={kbExpr:u.EditorContextKeys.textInputFocus,primary:2102,win:{primary:2102,secondary:[1044]}};return r.isNative||(t=null),e.call(this,"cut",{id:"editor.action.clipboardCutAction",label:n.localize(0,null),alias:"Cut",
precondition:u.EditorContextKeys.writable,kbOpts:t,menuOpts:{group:c,order:1}})||this}return o(t,e),t.prototype.run=function(t,n){!n.getConfiguration().emptySelectionClipboard&&n.getSelection().isEmpty()||e.prototype.run.call(this,t,n)},t}(g),v=function(e){function t(){var t={kbExpr:u.EditorContextKeys.textInputFocus,primary:2081,win:{primary:2081,secondary:[2067]}};return r.isNative||(t=null),e.call(this,"copy",{id:"editor.action.clipboardCopyAction",label:n.localize(1,null),alias:"Copy",precondition:null,kbOpts:t,menuOpts:{group:c,order:2}})||this}return o(t,e),t.prototype.run=function(t,n){!n.getConfiguration().emptySelectionClipboard&&n.getSelection().isEmpty()||e.prototype.run.call(this,t,n)},t}(g),_=function(e){function t(){var t={kbExpr:u.EditorContextKeys.textInputFocus,primary:2100,win:{primary:2100,secondary:[1043]}};return r.isNative||(t=null),e.call(this,"paste",{id:"editor.action.clipboardPasteAction",label:n.localize(2,null),alias:"Paste",precondition:u.EditorContextKeys.writable,kbOpts:t,
menuOpts:{group:c,order:3}})||this}return o(t,e),t}(g),y=function(e){function t(){return e.call(this,"copy",{id:"editor.action.clipboardCopyWithSyntaxHighlightingAction",label:n.localize(3,null),alias:"Copy With Syntax Highlighting",precondition:null,kbOpts:{kbExpr:u.EditorContextKeys.textInputFocus,primary:null}})||this}return o(t,e),t.prototype.run=function(t,n){!n.getConfiguration().emptySelectionClipboard&&n.getSelection().isEmpty()||(l.CopyOptions.forceCopyWithSyntaxHighlighting=!0,e.prototype.run.call(this,t,n),l.CopyOptions.forceCopyWithSyntaxHighlighting=!1)},t}(g);d&&a.registerEditorAction(m),h&&a.registerEditorAction(v),f&&a.registerEditorAction(_),p&&a.registerEditorAction(y)}),define(t[456],n([0,1,12,22,29,8,11,17,47,18]),function(e,t,n,i,o,r,s,a,l,u){"use strict";function c(e){var t=[],o=a.CodeLensProviderRegistry.ordered(e),s=o.map(function(i){return u.asWinJsPromise(function(t){return i.provideCodeLenses(e,t)}).then(function(e){if(Array.isArray(e))for(var n=0,o=e;n<o.length;n++){var r=o[n]
;t.push({symbol:r,provider:i})}},n.onUnexpectedExternalError)});return r.TPromise.join(s).then(function(){return i.mergeSort(t,function(e,t){return e.symbol.range.startLineNumber<t.symbol.range.startLineNumber?-1:e.symbol.range.startLineNumber>t.symbol.range.startLineNumber?1:o.indexOf(e.provider)<o.indexOf(t.provider)?-1:o.indexOf(e.provider)>o.indexOf(t.provider)?1:e.symbol.range.startColumn<t.symbol.range.startColumn?-1:e.symbol.range.startColumn>t.symbol.range.startColumn?1:0})})}Object.defineProperty(t,"__esModule",{value:!0}),t.getCodeLensData=c,s.registerLanguageCommand("_executeCodeLensProvider",function(e,t){var i=t.resource;if(!(i instanceof o.default))throw n.illegalArgument();var r=e.get(l.IModelService).getModel(i);if(!r)throw n.illegalArgument();return c(r).then(function(e){return e.map(function(e){return e.symbol})})})}),define(t[180],n([0,1,29,8,17,18,11,3,12,47]),function(e,t,n,i,o,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.getColors=function(e){
var t=[],n=o.ColorProviderRegistry.ordered(e).reverse().map(function(n){return r.asWinJsPromise(function(t){return n.provideDocumentColors(e,t)}).then(function(e){if(Array.isArray(e))for(var i=0,o=e;i<o.length;i++){var r=o[i];t.push({colorInfo:r,provider:n})}})});return i.TPromise.join(n).then(function(){return t})},t.getColorPresentations=function(e,t,n){return r.asWinJsPromise(function(i){return n.provideColorPresentations(e,t,i)})},s.registerLanguageCommand("_executeDocumentColorProvider",function(e,t){var s=t.resource;if(!(s instanceof n.default))throw l.illegalArgument();var a=e.get(u.IModelService).getModel(s);if(!a)throw l.illegalArgument();var c=[],d=o.ColorProviderRegistry.ordered(a).reverse().map(function(e){return r.asWinJsPromise(function(t){return e.provideDocumentColors(a,t)}).then(function(e){if(Array.isArray(e))for(var t=0,n=e;t<n.length;t++){var i=n[t];c.push({range:i.range,color:[i.color.red,i.color.green,i.color.blue,i.color.alpha]})}})});return i.TPromise.join(d).then(function(){return c})
}),s.registerLanguageCommand("_executeColorPresentationProvider",function(e,t){var s=t.resource,c=t.color,d=t.range;if(!(s instanceof n.default&&Array.isArray(c)&&4===c.length&&a.Range.isIRange(d)))throw l.illegalArgument();var h=c[0],p=c[1],f=c[2],g=c[3],m=e.get(u.IModelService).getModel(s);if(!m)throw l.illegalArgument();var v={range:d,color:{red:h,green:p,blue:f,alpha:g}},_=[],y=o.ColorProviderRegistry.ordered(m).reverse().map(function(e){return r.asWinJsPromise(function(t){return e.provideColorPresentations(m,v,t)}).then(function(e){Array.isArray(e)&&_.push.apply(_,e)})});return i.TPromise.join(y).then(function(){return _})})}),define(t[181],n([0,1,27,179,2,8,11,3,17,38,180,54]),function(e,t,n,i,o,r,s,a,l,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){var i=this;this._editor=e,this._codeEditorService=t,this._configurationService=n,this._globalToDispose=[],this._localToDispose=[],this._decorationsIds=[],this._colorDatas=new Map,
this._colorDecoratorIds=[],this._decorationsTypes={},this._globalToDispose.push(e.onDidChangeModel(function(e){i._isEnabled=i.isEnabled(),i.onModelChanged()})),this._globalToDispose.push(e.onDidChangeModelLanguage(function(e){return i.onModelChanged()})),this._globalToDispose.push(l.ColorProviderRegistry.onDidChange(function(e){return i.onModelChanged()})),this._globalToDispose.push(e.onDidChangeConfiguration(function(e){var t=i._isEnabled;i._isEnabled=i.isEnabled(),t!==i._isEnabled&&(i._isEnabled?i.onModelChanged():i.removeAllDecorations())})),this._timeoutPromise=null,this._computePromise=null,this._isEnabled=this.isEnabled(),this.onModelChanged()}return e.prototype.isEnabled=function(){var e=this._editor.getModel();if(!e)return!1;var t=e.getLanguageIdentifier(),n=this._configurationService.getValue(t.language);if(n){var i=n.colorDecorators;if(i&&void 0!==i.enable&&!i.enable)return i.enable}return this._editor.getConfiguration().contribInfo.colorDecorators},e.prototype.getId=function(){return e.ID},
e.get=function(e){return e.getContribution(this.ID)},e.prototype.dispose=function(){this.stop(),this.removeAllDecorations(),this._globalToDispose=o.dispose(this._globalToDispose)},e.prototype.onModelChanged=function(){var t=this;if(this.stop(),this._isEnabled){var n=this._editor.getModel();l.ColorProviderRegistry.has(n)&&(this._localToDispose.push(this._editor.onDidChangeModelContent(function(n){t._timeoutPromise||(t._timeoutPromise=r.TPromise.timeout(e.RECOMPUTE_TIME),t._timeoutPromise.then(function(){t._timeoutPromise=null,t.beginCompute()}))})),this.beginCompute())}},e.prototype.beginCompute=function(){var e=this;this._computePromise=h.getColors(this._editor.getModel()).then(function(t){e.updateDecorations(t),e.updateColorDecorators(t),e._computePromise=null})},e.prototype.stop=function(){this._timeoutPromise&&(this._timeoutPromise.cancel(),this._timeoutPromise=null),this._computePromise&&(this._computePromise.cancel(),this._computePromise=null),this._localToDispose=o.dispose(this._localToDispose)},
e.prototype.updateDecorations=function(e){var t=this,n=e.map(function(e){return{range:{startLineNumber:e.colorInfo.range.startLineNumber,startColumn:e.colorInfo.range.startColumn,endLineNumber:e.colorInfo.range.endLineNumber,endColumn:e.colorInfo.range.endColumn},options:{}}});this._decorationsIds=this._editor.deltaDecorations(this._decorationsIds,n),this._colorDatas=new Map,this._decorationsIds.forEach(function(n,i){return t._colorDatas.set(n,e[i])})},e.prototype.updateColorDecorators=function(e){for(var t=[],o={},r=0;r<e.length&&t.length<500;r++){var s=e[r].colorInfo.color,a=s.red,l=s.green,u=s.blue,c=s.alpha,d=new n.RGBA(Math.round(255*a),Math.round(255*l),Math.round(255*u),c),h=i.hash(d).toString(16),p="rgba("+d.r+", "+d.g+", "+d.b+", "+d.a+")",f="colorBox-"+h;this._decorationsTypes[f]||o[f]||this._codeEditorService.registerDecorationType(f,{before:{contentText:" ",border:"solid 0.1em #000",margin:"0.1em 0.2em 0 0.2em",width:"0.8em",height:"0.8em",backgroundColor:p},dark:{before:{border:"solid 0.1em #eee"
}}}),o[f]=!0,t.push({range:{startLineNumber:e[r].colorInfo.range.startLineNumber,startColumn:e[r].colorInfo.range.startColumn,endLineNumber:e[r].colorInfo.range.endLineNumber,endColumn:e[r].colorInfo.range.endColumn},options:this._codeEditorService.resolveDecorationOptions(f,!0)})}for(var g in this._decorationsTypes)o[g]||this._codeEditorService.removeDecorationType(g);this._colorDecoratorIds=this._editor.deltaDecorations(this._colorDecoratorIds,t)},e.prototype.removeAllDecorations=function(){this._decorationsIds=this._editor.deltaDecorations(this._decorationsIds,[]),this._colorDecoratorIds=this._editor.deltaDecorations(this._colorDecoratorIds,[]);for(var e in this._decorationsTypes)this._codeEditorService.removeDecorationType(e)},e.prototype.getColorData=function(e){var t=this,n=this._editor.getModel().getDecorationsInRange(a.Range.fromPositions(e,e)).filter(function(e){return t._colorDatas.has(e.id)});return 0===n.length?null:this._colorDatas.get(n[0].id)},e.ID="editor.contrib.colorDetector",
e.RECOMPUTE_TIME=1e3,e=u([d(1,c.ICodeEditorService),d(2,p.IConfigurationService)],e)}();t.ColorDetector=f,s.registerEditorContribution(f)}),define(t[459],n([0,1,312,37,21,11,177,242]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u=function(e){function t(t,n){var i=e.call(this,n)||this;return i._type=t,i}return o(t,e),t.prototype.run=function(e,t){var n=t.getModel();if(n){for(var i=[],o=t.getSelections(),r=n.getOptions(),s=0;s<o.length;s++)i.push(new l.LineCommentCommand(o[s],r.tabSize,this._type));t.pushUndoStop(),t.executeCommands(this.id,i),t.pushUndoStop()}},t}(s.EditorAction),c=function(e){function t(){return e.call(this,0,{id:"editor.action.commentLine",label:n.localize(0,null),alias:"Toggle Line Comment",precondition:r.EditorContextKeys.writable,kbOpts:{kbExpr:r.EditorContextKeys.editorTextFocus,primary:2133}})||this}return o(t,e),t}(u),d=function(e){function t(){return e.call(this,1,{id:"editor.action.addCommentLine",label:n.localize(1,null),
alias:"Add Line Comment",precondition:r.EditorContextKeys.writable,kbOpts:{kbExpr:r.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2081)}})||this}return o(t,e),t}(u),h=function(e){function t(){return e.call(this,2,{id:"editor.action.removeCommentLine",label:n.localize(2,null),alias:"Remove Line Comment",precondition:r.EditorContextKeys.writable,kbOpts:{kbExpr:r.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2099)}})||this}return o(t,e),t}(u),p=function(e){function t(){return e.call(this,{id:"editor.action.blockComment",label:n.localize(3,null),alias:"Toggle Block Comment",precondition:r.EditorContextKeys.writable,kbOpts:{kbExpr:r.EditorContextKeys.editorTextFocus,primary:1567,linux:{primary:3103}}})||this}return o(t,e),t.prototype.run=function(e,t){for(var n=[],i=t.getSelections(),o=0;o<i.length;o++)n.push(new a.BlockCommentCommand(i[o]));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t}(s.EditorAction);s.registerEditorAction(c),s.registerEditorAction(d),
s.registerEditorAction(h),s.registerEditorAction(p)}),define(t[460],n([0,1,313,2,8,10,71,76,48,19,89,21,11,24]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=function(){function e(e,t,n,i,o,r){var s=this;this._contextMenuService=t,this._contextViewService=n,this._contextKeyService=i,this._keybindingService=o,this._menuService=r,this._toDispose=[],this._contextMenuIsBeingShownCount=0,this._editor=e,this._toDispose.push(this._editor.onContextMenu(function(e){return s._onContextMenu(e)})),this._toDispose.push(this._editor.onDidScrollChange(function(e){s._contextMenuIsBeingShownCount>0&&s._contextViewService.hideContextView()})),this._toDispose.push(this._editor.onKeyDown(function(e){58===e.keyCode&&(e.preventDefault(),e.stopPropagation(),s.showContextMenu())}))}return e.get=function(t){return t.getContribution(e.ID)},e.prototype._onContextMenu=function(e){if(!this._editor.getConfiguration().contribInfo.contextmenu)return this._editor.focus(),
void(e.target.position&&!this._editor.getSelection().containsPosition(e.target.position)&&this._editor.setPosition(e.target.position));if(e.target.type!==m.MouseTargetType.OVERLAY_WIDGET&&(e.event.preventDefault(),e.target.type===m.MouseTargetType.CONTENT_TEXT||e.target.type===m.MouseTargetType.CONTENT_EMPTY||e.target.type===m.MouseTargetType.TEXTAREA)){this._editor.focus(),e.target.position&&!this._editor.getSelection().containsPosition(e.target.position)&&this._editor.setPosition(e.target.position);var t;e.target.type!==m.MouseTargetType.TEXTAREA&&(t={x:e.event.posx,y:e.event.posy+1}),this.showContextMenu(t)}},e.prototype.showContextMenu=function(e){if(this._editor.getConfiguration().contribInfo.contextmenu)if(this._contextMenuService){var t=this._getMenuActions();t.length>0&&this._doShowContextMenu(t,e)}else this._editor.focus()},e.prototype._getMenuActions=function(){var e=[],t=this._menuService.createMenu(p.MenuId.EditorContext,this._contextKeyService),n=t.getActions({arg:this._editor.getModel().uri})
;t.dispose();for(var i=0,o=n;i<o.length;i++){var r=o[i][1];e.push.apply(e,r),e.push(new a.Separator)}return e.pop(),e},e.prototype._doShowContextMenu=function(e,t){var n=this;void 0===t&&(t=null);var i=this._editor.getConfiguration().contribInfo.hover;this._editor.updateOptions({hover:!1});var o=t;if(!o){this._editor.revealPosition(this._editor.getPosition(),1),this._editor.render();var l=this._editor.getScrolledVisiblePosition(this._editor.getPosition()),u=s.getDomNodePagePosition(this._editor.getDomNode()),c=u.left+l.left,d=u.top+l.top+l.height;o={x:c,y:d}}this._contextMenuIsBeingShownCount++,this._contextMenuService.showContextMenu({getAnchor:function(){return o},getActions:function(){return r.TPromise.as(e)},getActionItem:function(e){var t=n._keybindingFor(e);if(t)return new a.ActionItem(e,e,{label:!0,keybinding:t.getLabel(),isMenu:!0});var i=e;return"function"==typeof i.getActionItem?i.getActionItem():new a.ActionItem(e,e,{icon:!0,label:!0,isMenu:!0})},getKeyBinding:function(e){return n._keybindingFor(e)
},onHide:function(e){n._contextMenuIsBeingShownCount--,n._editor.focus(),n._editor.updateOptions({hover:i})}})},e.prototype._keybindingFor=function(e){return this._keybindingService.lookupKeybinding(e.id)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._contextMenuIsBeingShownCount>0&&this._contextViewService.hideContextView(),this._toDispose=i.dispose(this._toDispose)},e.ID="editor.contrib.contextmenu",e=u([d(1,l.IContextMenuService),d(2,l.IContextViewService),d(3,h.IContextKeyService),d(4,c.IKeybindingService),d(5,p.IMenuService)],e)}();t.ContextMenuController=v;var _=function(e){function t(){return e.call(this,{id:"editor.action.showContextMenu",label:n.localize(0,null),alias:"Show Editor Context Menu",precondition:null,kbOpts:{kbExpr:f.EditorContextKeys.textInputFocus,primary:1092}})||this}return o(t,e),t.prototype.run=function(e,t){v.get(t).showContextMenu()},t}(g.EditorAction);g.registerEditorContribution(v),g.registerEditorAction(_)}),
define(t[461],n([0,1,11,2,21]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(){function e(e){this.selections=e}return e.prototype.equals=function(e){var t=this.selections.length;if(t!==e.selections.length)return!1;for(var n=0;n<t;n++)if(!this.selections[n].equalsSelection(e.selections[n]))return!1;return!0},e}(),a=function(e){function t(t){var n=e.call(this)||this;return n._editor=t,n._isCursorUndo=!1,n._undoStack=[],n._prevState=n._readState(),n._register(t.onDidChangeModel(function(e){n._undoStack=[],n._prevState=null})),n._register(t.onDidChangeModelContent(function(e){n._undoStack=[],n._prevState=null})),n._register(t.onDidChangeCursorSelection(function(e){!n._isCursorUndo&&n._prevState&&(n._undoStack.push(n._prevState),n._undoStack.length>50&&n._undoStack.shift()),n._prevState=n._readState()})),n}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype._readState=function(){
return this._editor.getModel()?new s(this._editor.getSelections()):null},t.prototype.getId=function(){return t.ID},t.prototype.cursorUndo=function(){for(var e=new s(this._editor.getSelections());this._undoStack.length>0;){var t=this._undoStack.pop();if(!t.equals(e))return this._isCursorUndo=!0,this._editor.setSelections(t.selections),this._editor.revealRangeInCenterIfOutsideViewport(t.selections[0],0),void(this._isCursorUndo=!1)}},t.ID="editor.contrib.cursorUndoController",t}(i.Disposable);t.CursorUndoController=a;var l=function(e){function t(){return e.call(this,{id:"cursorUndo",precondition:null,kbOpts:{kbExpr:r.EditorContextKeys.textInputFocus,primary:2099}})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){a.get(t).cursorUndo()},t}(n.EditorCommand);t.CursorUndo=l,n.registerEditorContribution(a),n.registerEditorCommand(new l)}),define(t[462],n([0,1,2,15,24,11,13,3,20,243,31,371]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(){
function e(e){var t=this;this._editor=e,this._toUnhook=[],this._toUnhook.push(this._editor.onMouseDown(function(e){return t._onEditorMouseDown(e)})),this._toUnhook.push(this._editor.onMouseUp(function(e){return t._onEditorMouseUp(e)})),this._toUnhook.push(this._editor.onMouseDrag(function(e){return t._onEditorMouseDrag(e)})),this._toUnhook.push(this._editor.onMouseDrop(function(e){return t._onEditorMouseDrop(e)})),this._toUnhook.push(this._editor.onKeyDown(function(e){return t.onEditorKeyDown(e)})),this._toUnhook.push(this._editor.onKeyUp(function(e){return t.onEditorKeyUp(e)})),this._dndDecorationIds=[],this._mouseDown=!1,this._modiferPressed=!1,this._dragSelection=null}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.onEditorKeyDown=function(t){this._editor.getConfiguration().dragAndDrop&&(t[e.TRIGGER_MODIFIER]&&(this._modiferPressed=!0),this._mouseDown&&t[e.TRIGGER_MODIFIER]&&this._editor.updateOptions({mouseStyle:"copy"}))},e.prototype.onEditorKeyUp=function(t){
this._editor.getConfiguration().dragAndDrop&&(t[e.TRIGGER_MODIFIER]&&(this._modiferPressed=!1),this._mouseDown&&t.keyCode===e.TRIGGER_KEY_VALUE&&this._editor.updateOptions({mouseStyle:"default"}))},e.prototype._onEditorMouseDown=function(e){this._mouseDown=!0},e.prototype._onEditorMouseUp=function(e){this._mouseDown=!1,this._editor.updateOptions({mouseStyle:"text"})},e.prototype._onEditorMouseDrag=function(t){var n=t.target;if(null===this._dragSelection){var i=this._editor.getSelections().filter(function(e){return e.containsPosition(n.position)});if(1!==i.length)return;this._dragSelection=i[0]}t.event[e.TRIGGER_MODIFIER]?this._editor.updateOptions({mouseStyle:"copy"}):this._editor.updateOptions({mouseStyle:"default"}),this._dragSelection.containsPosition(n.position)?this._removeDecoration():this.showAt(n.position)},e.prototype._onEditorMouseDrop=function(t){if(t.target&&(this._hitContent(t.target)||this._hitMargin(t.target))&&t.target.position){
var n=new s.Position(t.target.position.lineNumber,t.target.position.column);if(null===this._dragSelection)if(t.event.shiftKey){var i=this._editor.getSelection(),o=i.startLineNumber,r=i.startColumn;this._editor.setSelections([new l.Selection(o,r,n.lineNumber,n.column)])}else{var a=this._editor.getSelections().map(function(e){return e.containsPosition(n)?new l.Selection(n.lineNumber,n.column,n.lineNumber,n.column):e});this._editor.setSelections(a)}else(!this._dragSelection.containsPosition(n)||(t.event[e.TRIGGER_MODIFIER]||this._modiferPressed)&&(this._dragSelection.getEndPosition().equals(n)||this._dragSelection.getStartPosition().equals(n)))&&(this._editor.pushUndoStop(),this._editor.executeCommand(e.ID,new u.DragAndDropCommand(this._dragSelection,n,t.event[e.TRIGGER_MODIFIER]||this._modiferPressed)),this._editor.pushUndoStop())}this._editor.updateOptions({mouseStyle:"text"}),this._removeDecoration(),this._dragSelection=null,this._mouseDown=!1},e.prototype.showAt=function(t){var n=this
;this._editor.changeDecorations(function(i){var o=[];o.push({range:new a.Range(t.lineNumber,t.column,t.lineNumber,t.column),options:e._DECORATION_OPTIONS}),n._dndDecorationIds=i.deltaDecorations(n._dndDecorationIds,o)}),this._editor.revealPosition(t,1)},e.prototype._removeDecoration=function(){var e=this;this._editor.changeDecorations(function(t){t.deltaDecorations(e._dndDecorationIds,[])})},e.prototype._hitContent=function(e){return e.type===o.MouseTargetType.CONTENT_TEXT||e.type===o.MouseTargetType.CONTENT_EMPTY},e.prototype._hitMargin=function(e){return e.type===o.MouseTargetType.GUTTER_GLYPH_MARGIN||e.type===o.MouseTargetType.GUTTER_LINE_NUMBERS||e.type===o.MouseTargetType.GUTTER_LINE_DECORATIONS},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._removeDecoration(),this._dragSelection=null,this._mouseDown=!1,this._modiferPressed=!1,this._toUnhook=n.dispose(this._toUnhook)},e.ID="editor.contrib.dragAndDrop",e.TRIGGER_MODIFIER=i.isMacintosh?"altKey":"ctrlKey",
e.TRIGGER_KEY_VALUE=i.isMacintosh?6:5,e._DECORATION_OPTIONS=c.ModelDecorationOptions.register({className:"dnd-target"}),e}();t.DragAndDropController=d,r.registerEditorContribution(d)}),define(t[463],n([0,1,316,30,9,18,37,2,11,24,248,395,21,249,43,396,17,250,374]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_){"use strict";function y(e){if(!i.isUndefined(e)){if(!i.isObject(e))return!1;var t=e;if(!i.isUndefined(t.levels)&&!i.isNumber(t.levels))return!1;if(!i.isUndefined(t.direction)&&!i.isString(t.direction))return!1;if(!(i.isUndefined(t.selectionLines)||i.isArray(t.selectionLines)&&t.selectionLines.every(i.isNumber)))return!1}return!0}Object.defineProperty(t,"__esModule",{value:!0}),t.ID="editor.contrib.folding";var C=function(){function e(e){var t=this;this.editor=e,this._isEnabled=this.editor.getConfiguration().contribInfo.folding,this._autoHideFoldingControls="mouseover"===this.editor.getConfiguration().contribInfo.showFoldingControls,
this._useFoldingProviders="indentation"!==this.editor.getConfiguration().contribInfo.foldingStrategy,this.globalToDispose=[],this.localToDispose=[],this.foldingDecorationProvider=new h.FoldingDecorationProvider(e),this.foldingDecorationProvider.autoHideFoldingControls=this._autoHideFoldingControls,this.globalToDispose.push(this.editor.onDidChangeModel(function(){return t.onModelChanged()})),this.globalToDispose.push(v.FoldingProviderRegistry.onDidChange(function(){return t.onFoldingStrategyChanged()})),this.globalToDispose.push(this.editor.onDidChangeConfiguration(function(e){if(e.contribInfo){var n=t._isEnabled;t._isEnabled=t.editor.getConfiguration().contribInfo.folding,n!==t._isEnabled&&t.onModelChanged();var i=t._autoHideFoldingControls;t._autoHideFoldingControls="mouseover"===t.editor.getConfiguration().contribInfo.showFoldingControls,i!==t._autoHideFoldingControls&&(t.foldingDecorationProvider.autoHideFoldingControls=t._autoHideFoldingControls,t.onModelContentChanged());var o=t._useFoldingProviders
;t._useFoldingProviders="indentation"!==t.editor.getConfiguration().contribInfo.foldingStrategy,o!==t._useFoldingProviders&&t.onFoldingStrategyChanged()}})),this.globalToDispose.push({dispose:function(){return l.dispose(t.localToDispose)}}),this.onModelChanged()}return e.get=function(e){return e.getContribution(t.ID)},e.prototype.getId=function(){return t.ID},e.prototype.dispose=function(){this.globalToDispose=l.dispose(this.globalToDispose)},e.prototype.saveViewState=function(){var e=this.editor.getModel();if(!e||!this._isEnabled||e.isTooLargeForTokenization())return{};if(this.foldingModel){return{collapsedRegions:this.foldingModel.isInitialized?this.foldingModel.getMemento():this.hiddenRangeModel.getMemento(),lineCount:e.getLineCount()}}},e.prototype.restoreViewState=function(e){var t=this.editor.getModel();t&&this._isEnabled&&!t.isTooLargeForTokenization()&&e&&e.collapsedRegions&&e.lineCount===t.getLineCount()&&this.hiddenRangeModel.applyMemento(e.collapsedRegions)&&this.getFoldingModel().then(function(t){
t&&t.applyMemento(e.collapsedRegions)})},e.prototype.onModelChanged=function(){var e=this;this.localToDispose=l.dispose(this.localToDispose);var t=this.editor.getModel();this._isEnabled&&t&&!t.isTooLargeForTokenization()&&(this.foldingModel=new d.FoldingModel(t,this.foldingDecorationProvider),this.localToDispose.push(this.foldingModel),this.hiddenRangeModel=new f.HiddenRangeModel(this.foldingModel),this.localToDispose.push(this.hiddenRangeModel),this.localToDispose.push(this.hiddenRangeModel.onDidChange(function(t){return e.onHiddenRangesChanges(t)})),this.updateScheduler=new s.Delayer(200),this.cursorChangedScheduler=new s.RunOnceScheduler(function(){return e.revealCursor()},200),this.localToDispose.push(this.cursorChangedScheduler),this.localToDispose.push(this.editor.onDidChangeModelLanguageConfiguration(function(t){return e.onModelContentChanged()})),this.localToDispose.push(this.editor.onDidChangeModelContent(function(t){return e.onModelContentChanged()})),
this.localToDispose.push(this.editor.onDidChangeCursorPosition(function(t){return e.onCursorPositionChanged()})),this.localToDispose.push(this.editor.onMouseDown(function(t){return e.onEditorMouseDown(t)})),this.localToDispose.push(this.editor.onMouseUp(function(t){return e.onEditorMouseUp(t)})),this.localToDispose.push({dispose:function(){e.foldingRegionPromise&&(e.foldingRegionPromise.cancel(),e.foldingRegionPromise=null),e.updateScheduler.cancel(),e.updateScheduler=null,e.foldingModel=null,e.foldingModelPromise=null,e.hiddenRangeModel=null,e.cursorChangedScheduler=null,e.rangeProvider=null}}),this.onModelContentChanged())},e.prototype.onFoldingStrategyChanged=function(){this.rangeProvider=null,this.onModelContentChanged()},e.prototype.getRangeProvider=function(){if(!this.rangeProvider)if(this._useFoldingProviders){var e=v.FoldingProviderRegistry.ordered(this.foldingModel.textModel);this.rangeProvider=e.length?new _.SyntaxRangeProvider(e):new m.IndentRangeProvider
}else this.rangeProvider=new m.IndentRangeProvider;return this.rangeProvider},e.prototype.getFoldingModel=function(){return this.foldingModelPromise},e.prototype.onModelContentChanged=function(){var e=this;this.updateScheduler&&(this.foldingRegionPromise&&(this.foldingRegionPromise.cancel(),this.foldingRegionPromise=null),this.foldingModelPromise=this.updateScheduler.trigger(function(){if(!e.foldingModel)return null;var t=e.foldingRegionPromise=s.asWinJsPromise(function(t){return e.getRangeProvider().compute(e.foldingModel.textModel,t)});return t.then(function(n){if(n&&t===e.foldingRegionPromise){var i=e.editor.getSelections(),o=i?i.map(function(e){return e.startLineNumber}):[];e.foldingModel.update(n,o)}return e.foldingModel})}))},e.prototype.onHiddenRangesChanges=function(e){if(e.length){var t=this.editor.getSelections();t&&this.hiddenRangeModel.adjustSelections(t)&&this.editor.setSelections(t)}this.editor.setHiddenAreas(e)},e.prototype.onCursorPositionChanged=function(){
this.hiddenRangeModel.hasRanges()&&this.cursorChangedScheduler.schedule()},e.prototype.revealCursor=function(){var e=this;this.getFoldingModel().then(function(t){if(t){var n=e.editor.getSelections();if(n&&n.length>0){for(var i=[],o=function(n){var o=n.selectionStartLineNumber;e.hiddenRangeModel.isHidden(o)&&i.push.apply(i,t.getAllRegionsAtLine(o,function(e){return e.isCollapsed&&o>e.startLineNumber}))},r=0,s=n;r<s.length;r++){o(s[r])}i.length&&(t.toggleCollapseState(i),e.reveal(n[0].getPosition()))}}})},e.prototype.onEditorMouseDown=function(e){this.mouseDownInfo=null;var t=e.target.range;if(this.hiddenRangeModel&&t&&(e.event.leftButton||e.event.middleButton)){var n=!1;switch(e.target.type){case c.MouseTargetType.GUTTER_LINE_DECORATIONS:var i=e.target.detail;if(i.offsetX-i.glyphMarginWidth-i.lineNumbersWidth<=10)return;n=!0;break;case c.MouseTargetType.CONTENT_EMPTY:if(this.hiddenRangeModel.hasRanges()){if(!e.target.detail.isAfterLines)break}return;case c.MouseTargetType.CONTENT_TEXT:
if(this.hiddenRangeModel.hasRanges()){var o=this.editor.getModel();if(o&&t.startColumn===o.getLineMaxColumn(t.startLineNumber))break}return;default:return}this.mouseDownInfo={lineNumber:t.startLineNumber,iconClicked:n}}},e.prototype.onEditorMouseUp=function(e){var t=this;if(this.mouseDownInfo){var n=this.mouseDownInfo.lineNumber,i=this.mouseDownInfo.iconClicked,o=e.target.range;if(o&&o.startLineNumber===n){if(i){if(e.target.type!==c.MouseTargetType.GUTTER_LINE_DECORATIONS)return}else{var r=this.editor.getModel();if(o.startColumn!==r.getLineMaxColumn(n))return}this.getFoldingModel().then(function(o){if(o){var r=o.getRegionAtLine(n);if(r&&r.startLineNumber===n){var s=r.isCollapsed;if(i||s){var a=[r];(e.event.middleButton||e.event.shiftKey)&&a.push.apply(a,o.getRegionsInside(r,function(e){return e.isCollapsed===s})),o.toggleCollapseState(a),t.reveal({lineNumber:n,column:1})}}}})}}},e.prototype.reveal=function(e){this.editor.revealPositionInCenterIfOutsideViewport(e,0)},e.MAX_FOLDING_REGIONS=5e3,e}()
;t.FoldingController=C;var b=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=this,o=C.get(t);if(o){var r=o.getFoldingModel();return r?(this.reportTelemetry(e,t),r.then(function(e){e&&(i.invoke(o,e,t,n),o.reveal(t.getSelection().getStartPosition()))})):void 0}},t.prototype.getSelectedLines=function(e){var t=e.getSelections();return t?t.map(function(e){return e.startLineNumber}):[]},t.prototype.getLineNumbers=function(e,t){return e&&e.selectionLines?e.selectionLines.map(function(e){return e+1}):this.getSelectedLines(t)},t.prototype.run=function(e,t){},t}(u.EditorAction),S=function(e){function t(){return e.call(this,{id:"editor.unfold",label:n.localize(0,null),alias:"Unfold",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:3161,mac:{primary:2649}},description:{description:"Unfold the content in the editor",args:[{name:"Unfold editor argument",
description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t\t* 'levels': Number of levels to unfold. If not set, defaults to 1.\n\t\t\t\t\t\t* 'direction': If 'up', unfold given number of levels up otherwise unfolds down\n\t\t\t\t\t\t* 'selectionLines': The start lines (0-based) of the editor selections to apply the unfold action to. If not set, the active selection(s) will be used.\n\t\t\t\t\t\t",constraint:y}]}})||this}return o(t,e),t.prototype.invoke=function(e,t,n,i){var o=i&&i.levels||1,r=this.getLineNumbers(i,n);i&&"up"===i.direction?d.setCollapseStateLevelsUp(t,!1,o,r):d.setCollapseStateLevelsDown(t,!1,o,r)},t}(b),w=function(e){function t(){return e.call(this,{id:"editor.unfoldRecursively",label:n.localize(1,null),alias:"Unfold Recursively",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2137)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n,i){d.setCollapseStateLevelsDown(t,!1,Number.MAX_VALUE,this.getSelectedLines(n))},t
}(b),E=function(e){function t(){return e.call(this,{id:"editor.fold",label:n.localize(2,null),alias:"Fold",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:3159,mac:{primary:2647}},description:{description:"Fold the content in the editor",args:[{name:"Fold editor argument",description:"Property-value pairs that can be passed through this argument:\n\t\t\t\t\t\t\t* 'levels': Number of levels to fold. Defaults to 1\n\t\t\t\t\t\t\t* 'direction': If 'up', folds given number of levels up otherwise folds down\n\t\t\t\t\t\t\t* 'selectionLines': The start lines (0-based) of the editor selections to apply the fold action to. If not set, the active selection(s) will be used.\n\t\t\t\t\t\t",constraint:y}]}})||this}return o(t,e),t.prototype.invoke=function(e,t,n,i){var o=i&&i.levels||1,r=this.getLineNumbers(i,n);i&&"up"===i.direction?d.setCollapseStateLevelsUp(t,!0,o,r):d.setCollapseStateLevelsDown(t,!0,o,r)},t}(b),L=function(e){function t(){return e.call(this,{id:"editor.foldRecursively",
label:n.localize(3,null),alias:"Fold Recursively",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2135)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){var i=this.getSelectedLines(n);d.setCollapseStateLevelsDown(t,!0,Number.MAX_VALUE,i)},t}(b),x=function(e){function t(){return e.call(this,{id:"editor.foldAllBlockComments",label:n.localize(4,null),alias:"Fold All Block Comments",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2133)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){if(t.regions.hasTypes())d.setCollapseStateForType(t,v.FoldingRangeType.Comment,!0);else{var i=g.LanguageConfigurationRegistry.getComments(n.getModel().getLanguageIdentifier().id);if(i&&i.blockCommentStartToken){var o=new RegExp("^\\s*"+r.escapeRegExpCharacters(i.blockCommentStartToken));d.setCollapseStateForMatchingLines(t,o,!0)}}},t}(b),N=function(e){function t(){return e.call(this,{id:"editor.foldAllMarkerRegions",
label:n.localize(5,null),alias:"Fold All Regions",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2077)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){if(t.regions.hasTypes())d.setCollapseStateForType(t,v.FoldingRangeType.Region,!0);else{var i=g.LanguageConfigurationRegistry.getFoldingRules(n.getModel().getLanguageIdentifier().id);if(i&&i.markers&&i.markers.start){var o=new RegExp(i.markers.start);d.setCollapseStateForMatchingLines(t,o,!0)}}},t}(b),I=function(e){function t(){return e.call(this,{id:"editor.unfoldAllMarkerRegions",label:n.localize(6,null),alias:"Unfold All Regions",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2078)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){if(t.regions.hasTypes())d.setCollapseStateForType(t,v.FoldingRangeType.Region,!1);else{var i=g.LanguageConfigurationRegistry.getFoldingRules(n.getModel().getLanguageIdentifier().id);if(i&&i.markers&&i.markers.start){
var o=new RegExp(i.markers.start);d.setCollapseStateForMatchingLines(t,o,!1)}}},t}(b),T=function(e){function t(){return e.call(this,{id:"editor.foldAll",label:n.localize(7,null),alias:"Fold All",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2069)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){d.setCollapseStateLevelsDown(t,!0)},t}(b),D=function(e){function t(){return e.call(this,{id:"editor.unfoldAll",label:n.localize(8,null),alias:"Unfold All",precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2088)}})||this}return o(t,e),t.prototype.invoke=function(e,t,n){d.setCollapseStateLevelsDown(t,!1)},t}(b),M=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.getFoldingLevel=function(){return parseInt(this.id.substr(t.ID_PREFIX.length))},t.prototype.invoke=function(e,t,n){d.setCollapseStateAtLevel(t,this.getFoldingLevel(),!0,this.getSelectedLines(n))},
t.ID_PREFIX="editor.foldLevel",t.ID=function(e){return t.ID_PREFIX+e},t}(b);u.registerEditorContribution(C),u.registerEditorAction(S),u.registerEditorAction(w),u.registerEditorAction(E),u.registerEditorAction(L),u.registerEditorAction(T),u.registerEditorAction(D),u.registerEditorAction(x),u.registerEditorAction(N),u.registerEditorAction(I);for(var k=1;k<=7;k++)u.registerInstantiatedEditorAction(new M({id:M.ID(k),label:n.localize(9,null,k),alias:"Fold Level "+k,precondition:null,kbOpts:{kbExpr:p.EditorContextKeys.editorTextFocus,primary:a.KeyChord(2089,2048|21+k)}}))}),define(t[464],n([0,1,12,29,22,8,3,11,17,47,18]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";function h(e,t,i){var o=u.DocumentRangeFormattingEditProviderRegistry.ordered(e);if(0===o.length)return s.TPromise.wrapError(new g);var a;return d.sequence(o.map(function(o){if(r.isFalsyOrEmpty(a))return function(){return d.asWinJsPromise(function(n){return o.provideDocumentRangeFormattingEdits(e,t,i,n)}).then(function(e){a=e
},n.onUnexpectedExternalError)}})).then(function(){return a})}function p(e,t){var i=u.DocumentFormattingEditProviderRegistry.ordered(e);if(0===i.length)return h(e,e.getFullModelRange(),t);var o;return d.sequence(i.map(function(i){if(r.isFalsyOrEmpty(o))return function(){return d.asWinJsPromise(function(n){return i.provideDocumentFormattingEdits(e,t,n)}).then(function(e){o=e},n.onUnexpectedExternalError)}})).then(function(){return o})}function f(e,t,i,o){var r=u.OnTypeFormattingEditProviderRegistry.ordered(e)[0];return r?r.autoFormatTriggerCharacters.indexOf(i)<0?s.TPromise.as(void 0):d.asWinJsPromise(function(n){return r.provideOnTypeFormattingEdits(e,t,i,o,n)}).then(function(e){return e},n.onUnexpectedExternalError):s.TPromise.as(void 0)}Object.defineProperty(t,"__esModule",{value:!0});var g=function(e){function t(n){var i=e.call(this)||this;return i.name=t.Name,i.message=n,i}return o(t,e),t.Name="NOPRO",t}(Error);t.NoProviderError=g,t.getDocumentRangeFormattingEdits=h,t.getDocumentFormattingEdits=p,
t.getOnTypeFormattingEdits=f,l.registerLanguageCommand("_executeFormatRangeProvider",function(e,t){var o=t.resource,r=t.range,s=t.options;if(!(o instanceof i.default&&a.Range.isIRange(r)))throw n.illegalArgument();var l=e.get(c.IModelService).getModel(o);if(!l)throw n.illegalArgument("resource");return h(l,a.Range.lift(r),s)}),l.registerLanguageCommand("_executeFormatDocumentProvider",function(e,t){var o=t.resource,r=t.options;if(!(o instanceof i.default))throw n.illegalArgument("resource");var s=e.get(c.IModelService).getModel(o);if(!s)throw n.illegalArgument("resource");return p(s,r)}),l.registerDefaultLanguageCommand("_executeFormatOnTypeProvider",function(e,t,i){var o=i.ch,r=i.options;if("string"!=typeof o)throw n.illegalArgument("ch");return f(e,t,o,r)})}),define(t[465],n([0,1,317,22,37,2,8,19,11,17,464,251,33,38,67,86,3,50,104,21,40]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";function E(e){if((e=e.filter(function(e){return e.range})).length){
for(var t=e[0].range,i=1;i<e.length;i++)t=y.Range.plusRange(t,e[i].range);var o=t.startLineNumber,r=t.endLineNumber;o===r?1===e.length?C.alert(n.localize(0,null,o)):C.alert(n.localize(1,null,e.length,o)):1===e.length?C.alert(n.localize(2,null,o,r)):C.alert(n.localize(3,null,e.length,o,r))}}Object.defineProperty(t,"__esModule",{value:!0});var L=function(){function e(e,t){var n=this;this.editor=e,this.workerService=t,this.callOnDispose=[],this.callOnModel=[],this.callOnDispose.push(e.onDidChangeConfiguration(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModel(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModelLanguage(function(){return n.update()})),this.callOnDispose.push(h.OnTypeFormattingEditProviderRegistry.onDidChange(this.update,this))}return e.prototype.update=function(){var e=this;if(this.callOnModel=s.dispose(this.callOnModel),this.editor.getConfiguration().contribInfo.formatOnType&&this.editor.getModel()){
var t=this.editor.getModel(),n=h.OnTypeFormattingEditProviderRegistry.ordered(t)[0];if(n&&n.autoFormatTriggerCharacters){for(var i=new _.CharacterSet,o=0,r=n.autoFormatTriggerCharacters;o<r.length;o++){var a=r[o];i.add(a.charCodeAt(0))}this.callOnModel.push(this.editor.onDidType(function(t){var n=t.charCodeAt(t.length-1);i.has(n)&&e.trigger(String.fromCharCode(n))}))}}},e.prototype.trigger=function(e){var t=this;if(!(this.editor.getSelections().length>1)){var n=this.editor.getModel(),o=this.editor.getPosition(),r=!1,s=this.editor.onDidChangeModelContent(function(e){if(e.isFlush)return r=!0,void s.dispose();for(var t=0,n=e.changes.length;t<n;t++){if(e.changes[t].range.endLineNumber<=o.lineNumber)return r=!0,void s.dispose()}}),a=n.getOptions();p.getOnTypeFormattingEdits(n,o,e,{tabSize:a.tabSize,insertSpaces:a.insertSpaces}).then(function(e){return t.workerService.computeMoreMinimalEdits(n.uri,e)}).then(function(e){s.dispose(),r||i.isFalsyOrEmpty(e)||(f.EditOperationsCommand.executeAsCommand(t.editor,e),E(e))
},function(e){throw s.dispose(),e})}},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.callOnDispose=s.dispose(this.callOnDispose),this.callOnModel=s.dispose(this.callOnModel)},e.ID="editor.contrib.autoFormat",e=u([d(1,v.IEditorWorkerService)],e)}(),x=function(){function e(e,t){var n=this;this.editor=e,this.workerService=t,this.callOnDispose=[],this.callOnModel=[],this.callOnDispose.push(e.onDidChangeConfiguration(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModel(function(){return n.update()})),this.callOnDispose.push(e.onDidChangeModelLanguage(function(){return n.update()})),this.callOnDispose.push(h.DocumentRangeFormattingEditProviderRegistry.onDidChange(this.update,this))}return e.prototype.update=function(){var e=this;if(this.callOnModel=s.dispose(this.callOnModel),this.editor.getConfiguration().contribInfo.formatOnPaste&&this.editor.getModel()){var t=this.editor.getModel(),n=h.DocumentRangeFormattingEditProviderRegistry.ordered(t)[0]
;n&&n.provideDocumentRangeFormattingEdits&&this.callOnModel.push(this.editor.onDidPaste(function(t){e.trigger(t)}))}},e.prototype.trigger=function(e){var t=this;if(!(this.editor.getSelections().length>1)){var n=this.editor.getModel(),o=n.getOptions(),r=o.tabSize,s=o.insertSpaces,a=new b.EditorState(this.editor,5);p.getDocumentRangeFormattingEdits(n,e,{tabSize:r,insertSpaces:s}).then(function(e){return t.workerService.computeMoreMinimalEdits(n.uri,e)}).then(function(e){a.validate(t.editor)&&!i.isFalsyOrEmpty(e)&&(f.EditOperationsCommand.execute(t.editor,e),E(e))})}},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.callOnDispose=s.dispose(this.callOnDispose),this.callOnModel=s.dispose(this.callOnModel)},e.ID="editor.contrib.formatOnPaste",e=u([d(1,v.IEditorWorkerService)],e)}(),N=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){
var o=e.get(v.IEditorWorkerService),r=e.get(w.INotificationService),s=this._getFormattingEdits(t);if(!s)return a.TPromise.as(void 0);var l=new b.EditorState(t,5);return s.then(function(e){return o.computeMoreMinimalEdits(t.getModel().uri,e)}).then(function(e){l.validate(t)&&!i.isFalsyOrEmpty(e)&&(f.EditOperationsCommand.execute(t,e),E(e),t.focus())},function(e){if(!(e instanceof Error&&e.name===p.NoProviderError.Name))throw e;r.info(n.localize(4,null,t.getModel().getLanguageIdentifier().language))})},t}(c.EditorAction);t.AbstractFormatAction=N;var I=function(e){function t(){return e.call(this,{id:"editor.action.formatDocument",label:n.localize(5,null),alias:"Format Document",precondition:S.EditorContextKeys.writable,kbOpts:{kbExpr:S.EditorContextKeys.editorTextFocus,primary:1572,linux:{primary:3111}},menuOpts:{when:S.EditorContextKeys.hasDocumentFormattingProvider,group:"1_modification",order:1.3}})||this}return o(t,e),t.prototype._getFormattingEdits=function(e){
var t=e.getModel(),n=t.getOptions(),i=n.tabSize,o=n.insertSpaces;return p.getDocumentFormattingEdits(t,{tabSize:i,insertSpaces:o})},t}(N);t.FormatDocumentAction=I;var T=function(e){function t(){return e.call(this,{id:"editor.action.formatSelection",label:n.localize(6,null),alias:"Format Code",precondition:l.ContextKeyExpr.and(S.EditorContextKeys.writable,S.EditorContextKeys.hasNonEmptySelection),kbOpts:{kbExpr:S.EditorContextKeys.editorTextFocus,primary:r.KeyChord(2089,2084)},menuOpts:{when:l.ContextKeyExpr.and(S.EditorContextKeys.hasDocumentSelectionFormattingProvider,S.EditorContextKeys.hasNonEmptySelection),group:"1_modification",order:1.31}})||this}return o(t,e),t.prototype._getFormattingEdits=function(e){var t=e.getModel(),n=t.getOptions(),i=n.tabSize,o=n.insertSpaces;return p.getDocumentRangeFormattingEdits(t,e.getSelection(),{tabSize:i,insertSpaces:o})},t}(N);t.FormatSelectionAction=T,c.registerEditorContribution(L),c.registerEditorContribution(x),c.registerEditorAction(I),c.registerEditorAction(T),
g.CommandsRegistry.registerCommand("editor.action.format",function(e){var t=e.get(m.ICodeEditorService).getFocusedCodeEditor();if(t)return(new(function(e){function t(){return e.call(this,{})||this}return o(t,e),t.prototype._getFormattingEdits=function(e){var t=e.getModel(),n=e.getSelection(),i=t.getOptions(),o=i.tabSize,r=i.insertSpaces;return n.isEmpty()?p.getDocumentFormattingEdits(t,{tabSize:o,insertSpaces:r}):p.getDocumentRangeFormattingEdits(t,n,{tabSize:o,insertSpaces:r})},t}(N))).run(e,t)})}),define(t[182],n([0,1,12,8,11,17,18,22]),function(e,t,n,i,o,r,s,a){"use strict";function l(e,t,o,r){var l=o.ordered(e).map(function(i,o){return s.asWinJsPromise(function(n){return r(i,e,t,n)}).then(void 0,function(e){return n.onUnexpectedExternalError(e),null})});return i.TPromise.join(l).then(a.flatten).then(function(e){return e.filter(function(e){return!!e})})}function u(e,t){return l(e,t,r.DefinitionProviderRegistry,function(e,t,n,i){return e.provideDefinition(t,n,i)})}function c(e,t){
return l(e,t,r.ImplementationProviderRegistry,function(e,t,n,i){return e.provideImplementation(t,n,i)})}function d(e,t){return l(e,t,r.TypeDefinitionProviderRegistry,function(e,t,n,i){return e.provideTypeDefinition(t,n,i)})}Object.defineProperty(t,"__esModule",{value:!0}),t.getDefinitionsAtPosition=u,t.getImplementationsAtPosition=c,t.getTypeDefinitionsAtPosition=d,o.registerDefaultLanguageCommand("_executeDefinitionProvider",u),o.registerDefaultLanguageCommand("_executeImplementationProvider",c),o.registerDefaultLanguageCommand("_executeTypeDefinitionProvider",d)}),define(t[467],n([0,1,22,12,8,11,17,18]),function(e,t,n,i,o,r,s,a){"use strict";function l(e,t){var r=[],l=s.HoverProviderRegistry.ordered(e).map(function(n,o){return a.asWinJsPromise(function(i){return n.provideHover(e,t,i)}).then(function(e){if(e){var t=void 0!==e.range,n=void 0!==e.contents&&e.contents&&e.contents.length>0;t&&n&&(r[o]=e)}},function(e){i.onUnexpectedExternalError(e)})});return o.TPromise.join(l).then(function(){
return n.coalesce(r)})}Object.defineProperty(t,"__esModule",{value:!0}),t.getHover=l,r.registerDefaultLanguageCommand("_executeHoverProvider",l)}),define(t[468],n([0,1,325,37,260,51,431,21,79,3,20,13,11,258,259,397,134,135]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var y=function(e){function t(t,n){var i=e.call(this,n)||this;return i.down=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=[],i=t.getSelections(),o=0;o<i.length;o++)n.push(new f.CopyLinesCommand(i[o],this.down));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t}(p.EditorAction),C=function(e){function t(){return e.call(this,!1,{id:"editor.action.copyLinesUpAction",label:n.localize(0,null),alias:"Copy Line Up",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1552,linux:{primary:3600}}})||this}return o(t,e),t}(y),b=function(e){function t(){return e.call(this,!0,{id:"editor.action.copyLinesDownAction",
label:n.localize(1,null),alias:"Copy Line Down",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1554,linux:{primary:3602}}})||this}return o(t,e),t}(y),S=function(e){function t(t,n){var i=e.call(this,n)||this;return i.down=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=[],i=t.getSelections(),o=t.getConfiguration().autoIndent,r=0;r<i.length;r++)n.push(new m.MoveLinesCommand(i[r],this.down,o));t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t}(p.EditorAction),w=function(e){function t(){return e.call(this,!1,{id:"editor.action.moveLinesUpAction",label:n.localize(2,null),alias:"Move Line Up",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:528,linux:{primary:528}}})||this}return o(t,e),t}(S),E=function(e){function t(){return e.call(this,!0,{id:"editor.action.moveLinesDownAction",label:n.localize(3,null),alias:"Move Line Down",precondition:l.EditorContextKeys.writable,kbOpts:{
kbExpr:l.EditorContextKeys.editorTextFocus,primary:530,linux:{primary:530}}})||this}return o(t,e),t}(S),L=function(e){function t(t,n){var i=e.call(this,n)||this;return i.descending=t,i}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelections(),i=0,o=n.length;i<o;i++){var s=n[i];if(!r.SortLinesCommand.canRun(t.getModel(),s,this.descending))return}for(var a=[],i=0,o=n.length;i<o;i++)a[i]=new r.SortLinesCommand(n[i],this.descending);t.pushUndoStop(),t.executeCommands(this.id,a),t.pushUndoStop()},t}(p.EditorAction);t.AbstractSortLinesAction=L;var x=function(e){function t(){return e.call(this,!1,{id:"editor.action.sortLinesAscending",label:n.localize(4,null),alias:"Sort Lines Ascending",precondition:l.EditorContextKeys.writable})||this}return o(t,e),t}(L);t.SortLinesAscendingAction=x;var N=function(e){function t(){return e.call(this,!0,{id:"editor.action.sortLinesDescending",label:n.localize(5,null),alias:"Sort Lines Descending",precondition:l.EditorContextKeys.writable})||this}return o(t,e),t}(L)
;t.SortLinesDescendingAction=N;var I=function(e){function t(){return e.call(this,{id:t.ID,label:n.localize(6,null),alias:"Trim Trailing Whitespace",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2102)}})||this}return o(t,e),t.prototype.run=function(e,t,n){var i=[];"auto-save"===n.reason&&(i=t.getSelections().map(function(e){return new h.Position(e.positionLineNumber,e.positionColumn)}));var o=new a.TrimTrailingWhitespaceCommand(t.getSelection(),i);t.pushUndoStop(),t.executeCommands(this.id,[o]),t.pushUndoStop()},t.ID="editor.action.trimTrailingWhitespace",t}(p.EditorAction);t.TrimTrailingWhitespaceAction=I;var T=function(e){function t(){return e.call(this,{id:"editor.action.deleteLines",label:n.localize(7,null),alias:"Delete Line",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.textInputFocus,primary:3113}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this._getLinesToRemove(t).map(function(e){
return new g.DeleteLinesCommand(e.startLineNumber,e.endLineNumber,e.positionColumn)});t.pushUndoStop(),t.executeCommands(this.id,n),t.pushUndoStop()},t}(function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._getLinesToRemove=function(e){var t=e.getSelections().map(function(e){var t=e.endLineNumber;return e.startLineNumber<e.endLineNumber&&1===e.endColumn&&(t-=1),{startLineNumber:e.startLineNumber,endLineNumber:t,positionColumn:e.positionColumn}});t.sort(function(e,t){return e.startLineNumber-t.startLineNumber});for(var n=[],i=t[0],o=1;o<t.length;o++)i.endLineNumber+1===t[o].startLineNumber?i.endLineNumber=t[o].endLineNumber:(n.push(i),i=t[o]);return n.push(i),n},t}(p.EditorAction)),D=function(e){function t(){return e.call(this,{id:"editor.action.indentLines",label:n.localize(8,null),alias:"Indent Line",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2137}})||this}return o(t,e),t.prototype.run=function(e,t){
t.pushUndoStop(),t.executeCommands(this.id,v.TypeOperations.indent(t._getCursorConfiguration(),t.getModel(),t.getSelections())),t.pushUndoStop()},t}(p.EditorAction);t.IndentLinesAction=D;var M=function(e){function t(){return e.call(this,{id:"editor.action.outdentLines",label:n.localize(9,null),alias:"Outdent Line",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2135}})||this}return o(t,e),t.prototype.run=function(e,t){_.CoreEditingCommands.Outdent.runEditorCommand(null,t,null)},t}(p.EditorAction),k=function(e){function t(){return e.call(this,{id:"editor.action.insertLineBefore",label:n.localize(10,null),alias:"Insert Line Above",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:3075}})||this}return o(t,e),t.prototype.run=function(e,t){t.pushUndoStop(),t.executeCommands(this.id,v.TypeOperations.lineInsertBefore(t._getCursorConfiguration(),t.getModel(),t.getSelections()))},t}(p.EditorAction)
;t.InsertLineBeforeAction=k;var O=function(e){function t(){return e.call(this,{id:"editor.action.insertLineAfter",label:n.localize(11,null),alias:"Insert Line Below",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2051}})||this}return o(t,e),t.prototype.run=function(e,t){t.pushUndoStop(),t.executeCommands(this.id,v.TypeOperations.lineInsertAfter(t._getCursorConfiguration(),t.getModel(),t.getSelections()))},t}(p.EditorAction);t.InsertLineAfterAction=O;var R=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelection(),i=this._getRangesToDelete(t),o=[],r=0,a=i.length-1;r<a;r++){var l=i[r],u=i[r+1];null===c.Range.intersectRanges(l,u)?o.push(l):i[r+1]=c.Range.plusRange(l,u)}o.push(i[i.length-1]);var h=this._getEndCursorState(n,o),p=o.map(function(e){return h.push(new d.Selection(e.startLineNumber,e.startColumn,e.startLineNumber,e.startColumn)),s.EditOperation.replace(e,"")})
;t.pushUndoStop(),t.executeEdits(this.id,p,h),t.pushUndoStop()},t}(p.EditorAction);t.AbstractDeleteAllToBoundaryAction=R;var P=function(e){function t(){return e.call(this,{id:"deleteAllLeft",label:n.localize(12,null),alias:"Delete All Left",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.textInputFocus,primary:null,mac:{primary:2049}}})||this}return o(t,e),t.prototype._getEndCursorState=function(e,t){for(var n,i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=new d.Selection(t[o].startLineNumber,t[o].startColumn,t[o].startLineNumber,t[o].startColumn);s.intersectRanges(e)?n=a:i.push(a)}return n&&i.unshift(n),i},t.prototype._getRangesToDelete=function(e){var t=e.getSelections();return t.sort(c.Range.compareRangesUsingStarts),t=t.map(function(e){return e.isEmpty()?new c.Range(e.startLineNumber,1,e.startLineNumber,e.startColumn):e})},t}(R);t.DeleteAllLeftAction=P;var A=function(e){function t(){return e.call(this,{id:"deleteAllRight",label:n.localize(13,null),alias:"Delete All Right",
precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.textInputFocus,primary:null,mac:{primary:297,secondary:[2068]}}})||this}return o(t,e),t.prototype._getEndCursorState=function(e,t){for(var n,i=[],o=0,r=t.length;o<r;o++){var s=t[o],a=new d.Selection(s.startLineNumber-0,s.startColumn,s.startLineNumber-0,s.startColumn);s.intersectRanges(e)?n=a:i.push(a)}return n&&i.unshift(n),i},t.prototype._getRangesToDelete=function(e){var t=e.getModel(),n=e.getSelections().map(function(e){if(e.isEmpty()){var n=t.getLineMaxColumn(e.startLineNumber);return e.startColumn===n?new c.Range(e.startLineNumber,e.startColumn,e.startLineNumber+1,1):new c.Range(e.startLineNumber,e.startColumn,e.startLineNumber,n)}return e});return n.sort(c.Range.compareRangesUsingStarts),n},t}(R);t.DeleteAllRightAction=A;var F=function(e){function t(){return e.call(this,{id:"editor.action.joinLines",label:n.localize(14,null),alias:"Join Lines",precondition:l.EditorContextKeys.writable,kbOpts:{
kbExpr:l.EditorContextKeys.editorTextFocus,primary:0,mac:{primary:296}}})||this}return o(t,e),t.prototype.run=function(e,t){var n=t.getSelections(),i=t.getSelection();n.sort(c.Range.compareRangesUsingStarts);var o=[],r=n.reduce(function(e,t){return e.isEmpty()?e.endLineNumber===t.startLineNumber?(i.equalsSelection(e)&&(i=t),t):t.startLineNumber>e.endLineNumber+1?(o.push(e),t):new d.Selection(e.startLineNumber,e.startColumn,t.endLineNumber,t.endColumn):t.startLineNumber>e.endLineNumber?(o.push(e),t):new d.Selection(e.startLineNumber,e.startColumn,t.endLineNumber,t.endColumn)});o.push(r);for(var a=t.getModel(),l=[],u=[],h=i,p=0,f=0,g=o.length;f<g;f++){var m=o[f],v=m.startLineNumber,_=void 0,y=void 0,C=void 0,b=a.getLineContent(m.endLineNumber).length-m.endColumn;if(m.isEmpty()||m.startLineNumber===m.endLineNumber){var S=m.getStartPosition();S.lineNumber<a.getLineCount()?(_=v+1,y=a.getLineMaxColumn(_)):(_=S.lineNumber,y=a.getLineMaxColumn(S.lineNumber))}else _=m.endLineNumber,y=a.getLineMaxColumn(_)
;for(var w=a.getLineContent(v),E=v+1;E<=_;E++){var L=a.getLineContent(E),x=a.getLineFirstNonWhitespaceColumn(E);if(x>=1){var N=!0;""===w&&(N=!1),!N||" "!==w.charAt(w.length-1)&&"\t"!==w.charAt(w.length-1)||(N=!1,w=w.replace(/[\s\uFEFF\xA0]+$/g," "));var I=L.substr(x-1);w+=(N?" ":"")+I,C=N?I.length+1:I.length}else C=0}var T=new c.Range(v,1,_,y);if(!T.isEmpty()){var D=void 0;m.isEmpty()?(l.push(s.EditOperation.replace(T,w)),D=new d.Selection(T.startLineNumber-p,w.length-C+1,v-p,w.length-C+1)):m.startLineNumber===m.endLineNumber?(l.push(s.EditOperation.replace(T,w)),D=new d.Selection(m.startLineNumber-p,m.startColumn,m.endLineNumber-p,m.endColumn)):(l.push(s.EditOperation.replace(T,w)),D=new d.Selection(m.startLineNumber-p,m.startColumn,m.startLineNumber-p,w.length-b)),null!==c.Range.intersectRanges(T,i)?h=D:u.push(D)}p+=T.endLineNumber-T.startLineNumber}u.unshift(h),t.pushUndoStop(),t.executeEdits(this.id,l,u),t.pushUndoStop()},t}(p.EditorAction);t.JoinLinesAction=F;var W=function(e){function t(){
return e.call(this,{id:"editor.action.transpose",label:n.localize(15,null),alias:"Transpose characters around the cursor",precondition:l.EditorContextKeys.writable})||this}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelections(),i=t.getModel(),o=[],r=0,s=n.length;r<s;r++){var a=n[r];if(a.isEmpty()){var l=a.getStartPosition(),h=i.getLineMaxColumn(l.lineNumber);if(l.column>=h){if(l.lineNumber===i.getLineCount())continue;var p=new c.Range(l.lineNumber,Math.max(1,l.column-1),l.lineNumber+1,1),f=i.getValueInRange(p).split("").reverse().join("");o.push(new u.ReplaceCommand(new d.Selection(l.lineNumber,Math.max(1,l.column-1),l.lineNumber+1,1),f))}else{var p=new c.Range(l.lineNumber,Math.max(1,l.column-1),l.lineNumber,l.column+1),f=i.getValueInRange(p).split("").reverse().join("");o.push(new u.ReplaceCommandThatPreservesSelection(p,f,new d.Selection(l.lineNumber,l.column+1,l.lineNumber,l.column+1)))}}}t.pushUndoStop(),t.executeCommands(this.id,o),t.pushUndoStop()},t}(p.EditorAction);t.TransposeAction=W
;var B=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){for(var n=t.getSelections(),i=t.getModel(),o=[],r=0,s=n.length;r<s;r++){var a=n[r];if(a.isEmpty()){var l=a.getStartPosition(),h=i.getWordAtPosition(l);if(!h)continue;var p=new c.Range(l.lineNumber,h.startColumn,l.lineNumber,h.endColumn),f=i.getValueInRange(p);o.push(new u.ReplaceCommandThatPreservesSelection(p,this._modifyText(f),new d.Selection(l.lineNumber,l.column,l.lineNumber,l.column)))}else{f=i.getValueInRange(a);o.push(new u.ReplaceCommandThatPreservesSelection(a,this._modifyText(f),a))}}t.pushUndoStop(),t.executeCommands(this.id,o),t.pushUndoStop()},t}(p.EditorAction);t.AbstractCaseAction=B;var V=function(e){function t(){return e.call(this,{id:"editor.action.transformToUppercase",label:n.localize(16,null),alias:"Transform to Uppercase",precondition:l.EditorContextKeys.writable})||this}return o(t,e),t.prototype._modifyText=function(e){return e.toLocaleUpperCase()},t}(B)
;t.UpperCaseAction=V;var H=function(e){function t(){return e.call(this,{id:"editor.action.transformToLowercase",label:n.localize(17,null),alias:"Transform to Lowercase",precondition:l.EditorContextKeys.writable})||this}return o(t,e),t.prototype._modifyText=function(e){return e.toLocaleLowerCase()},t}(B);t.LowerCaseAction=H,p.registerEditorAction(C),p.registerEditorAction(b),p.registerEditorAction(w),p.registerEditorAction(E),p.registerEditorAction(x),p.registerEditorAction(N),p.registerEditorAction(I),p.registerEditorAction(T),p.registerEditorAction(D),p.registerEditorAction(M),p.registerEditorAction(k),p.registerEditorAction(O),p.registerEditorAction(P),p.registerEditorAction(A),p.registerEditorAction(F),p.registerEditorAction(W),p.registerEditorAction(V),p.registerEditorAction(H)}),define(t[183],n([0,1,12,11,17,18,19]),function(e,t,n,i,o,r,s){"use strict";function a(e,t){var i,s=o.SignatureHelpProviderRegistry.ordered(e);return r.sequence(s.map(function(o){return function(){
if(!i)return r.asWinJsPromise(function(n){return o.provideSignatureHelp(e,t,n)}).then(function(e){i=e},n.onUnexpectedExternalError)}})).then(function(){return i})}Object.defineProperty(t,"__esModule",{value:!0}),t.Context={Visible:new s.RawContextKey("parameterHintsVisible",!1),MultipleSignatures:new s.RawContextKey("parameterHintsMultipleSignatures",!1)},t.provideSignatureHelp=a,i.registerDefaultLanguageCommand("_executeSignatureHelpProvider",a)}),define(t[470],n([0,1,29,3,17,18,8,12,47,11,22]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict";function d(e,t,n){var i=[],l=o.CodeActionProviderRegistry.all(e).map(function(o){return r.asWinJsPromise(function(i){return o.provideCodeActions(e,t,{only:n?n.value:void 0},i)}).then(function(e){if(Array.isArray(e))for(var t=0,o=e;t<o.length;t++){var r=o[t];r&&(!n||r.kind&&n.contains(r.kind))&&i.push(r)}},function(e){a.onUnexpectedExternalError(e)})});return s.TPromise.join(l).then(function(){return c.mergeSort(i,h)})}function h(e,t){
var n=!c.isFalsyOrEmpty(e.diagnostics),i=!c.isFalsyOrEmpty(t.diagnostics);return n?i?e.diagnostics[0].message.localeCompare(t.diagnostics[0].message):-1:i?1:0}Object.defineProperty(t,"__esModule",{value:!0}),t.getCodeActions=d,u.registerLanguageCommand("_executeCodeActionProvider",function(e,t){var o=t.resource,r=t.range;if(!(o instanceof n.default&&i.Range.isIRange(r)))throw a.illegalArgument();var s=e.get(l.IModelService).getModel(o);if(!s)throw a.illegalArgument();return d(s,s.validateRange(r))})}),define(t[471],n([0,1,4,2,3,20,17,470]),function(e,t,n,i,o,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(){function e(e,t,i,o){void 0===o&&(o=250);var r=this;this._editor=e,this._markerService=t,this._signalChange=i,this._disposables=[],this._disposables.push(n.debounceEvent(this._markerService.onMarkerChanged,function(e,t){return e?e.concat(t):t},o/2)(function(e){return r._onMarkerChanges(e)}),n.debounceEvent(this._editor.onDidChangeCursorPosition,function(e,t){return t
},o)(function(e){return r._onCursorChange()}))}return e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables)},e.prototype.trigger=function(e){var t=this._getRangeOfMarker()||this._getRangeOfSelectionUnlessWhitespaceEnclosed();t||"manual"!==e.type||(t=this._editor.getSelection()),this._createEventAndSignalChange(e,t)},e.prototype._onMarkerChanges=function(e){for(var t=this._editor.getModel().uri,n=0,i=e;n<i.length;n++){if(i[n].toString()===t.toString())return void this.trigger({type:"auto"})}},e.prototype._onCursorChange=function(){this.trigger({type:"auto"})},e.prototype._getRangeOfMarker=function(){for(var e=this._editor.getSelection(),t=this._editor.getModel(),n=0,i=this._markerService.read({resource:t.uri});n<i.length;n++){var r=i[n];if(o.Range.intersectRanges(r,e))return o.Range.lift(r)}},e.prototype._getRangeOfSelectionUnlessWhitespaceEnclosed=function(){var e=this._editor.getModel(),t=this._editor.getSelection();if(t.isEmpty()){
var n=t.getPosition(),i=n.lineNumber,o=n.column,r=e.getLineContent(i);if(0===r.length)return;if(1===o){if(/\s/.test(r[0]))return}else if(o===e.getLineMaxColumn(i)){if(/\s/.test(r[r.length-1]))return}else if(/\s/.test(r[o-2])&&/\s/.test(r[o-1]))return}return t},e.prototype._createEventAndSignalChange=function(e,t){if(t){var n=this._editor.getModel(),i=n.validateRange(t),o=t instanceof r.Selection?t.getPosition():t.getStartPosition(),s=a.getCodeActions(n,i,e&&e.kind);this._signalChange({trigger:e,range:i,position:o,fixes:s})}else this._signalChange({trigger:e,range:void 0,position:void 0,fixes:void 0})},e}();t.QuickFixOracle=l;var u=function(){function e(e,t){var i=this;this._onDidChangeFixes=new n.Emitter,this._disposables=[],this._editor=e,this._markerService=t,this._disposables.push(this._editor.onDidChangeModel(function(){return i._update()})),this._disposables.push(this._editor.onDidChangeModelLanguage(function(){return i._update()})),
this._disposables.push(s.CodeActionProviderRegistry.onDidChange(this._update,this)),this._update()}return e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables),i.dispose(this._quickFixOracle)},Object.defineProperty(e.prototype,"onDidChangeFixes",{get:function(){return this._onDidChangeFixes.event},enumerable:!0,configurable:!0}),e.prototype._update=function(){var e=this;this._quickFixOracle&&(this._quickFixOracle.dispose(),this._quickFixOracle=void 0,this._onDidChangeFixes.fire(void 0)),this._editor.getModel()&&s.CodeActionProviderRegistry.has(this._editor.getModel())&&!this._editor.getConfiguration().readOnly&&(this._quickFixOracle=new l(this._editor,this._markerService,function(t){return e._onDidChangeFixes.fire(t)}),this._quickFixOracle.trigger({type:"auto"}))},e.prototype.trigger=function(e){this._quickFixOracle&&this._quickFixOracle.trigger(e)},e}();t.QuickFixModel=u}),
define(t[472],n([0,1,330,2,33,76,19,48,14,78,21,11,262,398,471,261,8,168,103,58]),function(e,t,n,i,r,s,c,h,p,f,g,m,v,_,y,C,b,S,w,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var L=function(){function e(e,t,n,i,o,r,s,a){var l=this;this._commandService=i,this._keybindingService=r,this._textModelService=s,this._fileService=a,this._disposables=[],this._editor=e,this._model=new y.QuickFixModel(this._editor,t),this._quickFixContextMenu=new v.QuickFixContextMenu(e,o,function(e){return l._onApplyCodeAction(e)}),this._lightBulbWidget=new _.LightBulbWidget(e),this._updateLightBulbTitle(),this._disposables.push(this._quickFixContextMenu.onDidExecuteCodeAction(function(e){return l._model.trigger({type:"auto"})}),this._lightBulbWidget.onClick(this._handleLightBulbSelect,this),this._model.onDidChangeFixes(function(e){return l._onQuickFixEvent(e)}),this._keybindingService.onDidUpdateKeybindings(this._updateLightBulbTitle,this))}return e.get=function(t){return t.getContribution(e.ID)},
e.prototype.dispose=function(){this._model.dispose(),i.dispose(this._disposables)},e.prototype._onQuickFixEvent=function(e){var t=this;e&&e.trigger.kind?e.fixes.then(function(n){e.trigger.autoApply===C.CodeActionAutoApply.First||e.trigger.autoApply===C.CodeActionAutoApply.IfSingle&&1===n.length?t._onApplyCodeAction(n[0]):t._quickFixContextMenu.show(e.fixes,e.position)}):e&&"manual"===e.trigger.type?this._quickFixContextMenu.show(e.fixes,e.position):e&&e.fixes?this._quickFixContextMenu.isVisible?this._quickFixContextMenu.show(e.fixes,e.position):this._lightBulbWidget.model=e:this._lightBulbWidget.hide()},e.prototype.getId=function(){return e.ID},e.prototype._handleLightBulbSelect=function(e){this._quickFixContextMenu.show(this._lightBulbWidget.model.fixes,e)},e.prototype.triggerFromEditorSelection=function(){this._model.trigger({type:"manual"})},e.prototype.triggerCodeActionFromEditorSelection=function(e,t){this._model.trigger({type:"manual",kind:e,autoApply:t})},e.prototype._updateLightBulbTitle=function(){
var e,t=this._keybindingService.lookupKeybinding(x.Id);e=t?n.localize(0,null,t.getLabel()):n.localize(1,null),this._lightBulbWidget.title=e},e.prototype._onApplyCodeAction=function(e){return a(this,void 0,b.TPromise,function(){var t;return l(this,function(n){switch(n.label){case 0:return e.edit?[4,S.BulkEdit.perform(e.edit.edits,this._textModelService,this._fileService,this._editor)]:[3,2];case 1:n.sent(),n.label=2;case 2:return e.command?[4,(t=this._commandService).executeCommand.apply(t,[e.command.id].concat(e.command.arguments))]:[3,4];case 3:n.sent(),n.label=4;case 4:return[2]}})})},e.ID="editor.contrib.quickFixController",e=u([d(1,f.IMarkerService),d(2,c.IContextKeyService),d(3,r.ICommandService),d(4,s.IContextMenuService),d(5,h.IKeybindingService),d(6,E.ITextModelService),d(7,p.optional(w.IFileService))],e)}();t.QuickFixController=L;var x=function(e){function t(){return e.call(this,{id:t.Id,label:n.localize(2,null),alias:"Quick Fix",
precondition:c.ContextKeyExpr.and(g.EditorContextKeys.writable,g.EditorContextKeys.hasCodeActionsProvider),kbOpts:{kbExpr:g.EditorContextKeys.editorTextFocus,primary:2132}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&n.triggerFromEditorSelection()},t.Id="editor.action.quickFix",t}(m.EditorAction);t.QuickFixAction=x;var N=function(){function e(e,t){this.kind=e,this.apply=t}return e.fromUser=function(t){return t&&"object"==typeof t?new e(e.getKindFromUser(t),e.getApplyFromUser(t)):new e(C.CodeActionKind.Empty,C.CodeActionAutoApply.IfSingle)},e.getApplyFromUser=function(e){switch("string"==typeof e.apply?e.apply.toLowerCase():""){case"first":return C.CodeActionAutoApply.First;case"never":return C.CodeActionAutoApply.Never;case"ifsingle":default:return C.CodeActionAutoApply.IfSingle}},e.getKindFromUser=function(e){return"string"==typeof e.kind?new C.CodeActionKind(e.kind):C.CodeActionKind.Empty},e}(),I=function(e){function t(){return e.call(this,{id:t.Id,
precondition:c.ContextKeyExpr.and(g.EditorContextKeys.writable,g.EditorContextKeys.hasCodeActionsProvider)})||this}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){var i=L.get(t);if(i){var o=N.fromUser(n);i.triggerCodeActionFromEditorSelection(o.kind,o.apply)}},t.Id="editor.action.codeAction",t}(m.EditorCommand);t.CodeActionCommand=I;var T=function(e){function t(){return e.call(this,{id:t.Id,label:n.localize(3,null),alias:"Refactor",precondition:c.ContextKeyExpr.and(g.EditorContextKeys.writable,g.EditorContextKeys.hasCodeActionsProvider),kbOpts:{kbExpr:g.EditorContextKeys.editorTextFocus,primary:1328}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&n.triggerCodeActionFromEditorSelection(C.CodeActionKind.Refactor,C.CodeActionAutoApply.Never)},t.Id="editor.action.refactor",t}(m.EditorAction);t.RefactorAction=T,m.registerEditorContribution(L),m.registerEditorAction(x),m.registerEditorAction(T),m.registerEditorCommand(new I)}),
define(t[473],n([0,1,12,29,8,3,11,17,47,18]),function(e,t,n,i,o,r,s,a,l,u){"use strict";function c(e){var t=[],i=a.DocumentSymbolProviderRegistry.all(e).map(function(i){return u.asWinJsPromise(function(t){return i.provideDocumentSymbols(e,t)}).then(function(e){Array.isArray(e)&&t.push.apply(t,e)},function(e){n.onUnexpectedExternalError(e)})});return o.TPromise.join(i).then(function(){var e=[];return function(e,t,n){for(var i=0,o=t;i<o.length;i++){var r=o[i];e.push({kind:r.kind,location:r.location,name:r.name,containerName:r.containerName||n})}}(e,t,""),e.sort(d),{entries:e}})}function d(e,t){return r.Range.compareRangesUsingStarts(r.Range.lift(e.location.range),r.Range.lift(t.location.range))}Object.defineProperty(t,"__esModule",{value:!0}),t.getDocumentSymbols=c,s.registerLanguageCommand("_executeDocumentSymbolProvider",function(e,t){var o=t.resource;if(!(o instanceof i.default))throw n.illegalArgument("resource");var r=e.get(l.IModelService).getModel(o);if(!r)throw n.illegalArgument("resource");return c(r)
})}),define(t[474],n([0,1,339,22,8,14,3,21,11,399]),function(e,t,n,i,r,s,a,l,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(){return function(e){this.editor=e,this.next=null,this.previous=null,this.selection=e.getSelection()}}(),f=null,g=!1,m=function(){function e(e,t){this.editor=e,this._tokenSelectionSupport=t.createInstance(h.TokenSelectionSupport)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){},e.prototype.getId=function(){return e.ID},e.prototype.run=function(e){var t=this,n=this.editor.getSelection(),o=this.editor.getModel();f&&f.editor!==this.editor&&(f=null);var s=r.TPromise.as(null);return f||(s=this._tokenSelectionSupport.getRangesToPosition(o.uri,n.getStartPosition()).then(function(e){if(!i.isFalsyOrEmpty(e)){var n;e.filter(function(e){var n=t.editor.getSelection(),i=new a.Range(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn)
;return i.containsPosition(n.getStartPosition())&&i.containsPosition(n.getEndPosition())}).forEach(function(e){var i=e.range,o=new p(t.editor);o.selection=new a.Range(i.startLineNumber,i.startColumn,i.endLineNumber,i.endColumn),n&&(o.next=n,n.previous=o),n=o});var o=new p(t.editor);o.next=n,n&&(n.previous=o),f=o;var r=t.editor.onDidChangeCursorPosition(function(e){g||(f=null,r.dispose())})}})),s.then(function(){if(f&&(f=e?f.next:f.previous)){g=!0;try{t.editor.setSelection(f.selection)}finally{g=!1}}})},e.ID="editor.contrib.smartSelectController",e=u([d(1,s.IInstantiationService)],e)}(),v=function(e){function t(t,n){var i=e.call(this,n)||this;return i._forward=t,i}return o(t,e),t.prototype.run=function(e,t){var n=m.get(t);if(n)return n.run(this._forward)},t}(c.EditorAction),_=function(e){function t(){return e.call(this,!0,{id:"editor.action.smartSelect.grow",label:n.localize(0,null),alias:"Expand Select",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1553,mac:{primary:3345}}
})||this}return o(t,e),t}(v),y=function(e){function t(){return e.call(this,!1,{id:"editor.action.smartSelect.shrink",label:n.localize(1,null),alias:"Shrink Select",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1551,mac:{primary:3343}}})||this}return o(t,e),t}(v);c.registerEditorContribution(m),c.registerEditorAction(_),c.registerEditorAction(y)}),define(t[107],n([0,1,18,22,9,25,12,8,11,17,19]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict";function d(e,t,o,l,c){void 0===o&&(o="bottom");var d=[],h=function(e){return"none"===e?function(e){return"snippet"!==e.type}:function(){return!0}}(o);t=t.clone();var p=u.SuggestRegistry.orderedGroups(e);"none"!==o&&m&&p.unshift([m]);var f=c||{triggerKind:u.SuggestTriggerKind.Invoke},v=!1,_=p.map(function(o){return function(){if(!v)return a.TPromise.join(o.map(function(o){if(i.isFalsyOrEmpty(l)||!(l.indexOf(o)<0))return n.asWinJsPromise(function(n){return o.provideCompletionItems(e,t,f,n)}).then(function(s){var l=d.length
;if(s&&!i.isFalsyOrEmpty(s.suggestions))for(var u=0,c=s.suggestions;u<c.length;u++){var p=c[u];h(p)&&(!function(e,t){"number"!=typeof e.overwriteBefore&&(e.overwriteBefore=0);("number"!=typeof e.overwriteAfter||e.overwriteAfter<0)&&(e.overwriteAfter=0)}(p),d.push({position:t,container:s,suggestion:p,support:o,resolve:function(e,t,i,o){return function(){return"function"==typeof e.resolveCompletionItem?n.asWinJsPromise(function(n){return e.resolveCompletionItem(i,o,t,n)}).then(function(e){r.assign(t,e)}):a.TPromise.as(void 0)}}(o,p,e,t)}))}l!==d.length&&o!==m&&(v=!0)},s.onUnexpectedExternalError)}))}});return n.sequence(_).then(function(){return d.sort(g(o))})}function h(e,t){var n=0;return"string"==typeof e.suggestion.sortText&&"string"==typeof t.suggestion.sortText&&(n=o.compareIgnoreCase(e.suggestion.sortText,t.suggestion.sortText)),0===n&&(n=o.compareIgnoreCase(e.suggestion.label,t.suggestion.label)),
0===n&&e.suggestion.type!==t.suggestion.type&&("snippet"===e.suggestion.type?n=1:"snippet"===t.suggestion.type&&(n=-1)),n}function p(e,t){if(e.suggestion.type!==t.suggestion.type){if("snippet"===e.suggestion.type)return-1;if("snippet"===t.suggestion.type)return 1}return h(e,t)}function f(e,t){if(e.suggestion.type!==t.suggestion.type){if("snippet"===e.suggestion.type)return 1;if("snippet"===t.suggestion.type)return-1}return h(e,t)}function g(e){return"top"===e?p:"bottom"===e?f:h}Object.defineProperty(t,"__esModule",{value:!0}),t.Context={Visible:new c.RawContextKey("suggestWidgetVisible",!1),MultipleSuggestions:new c.RawContextKey("suggestWidgetMultipleSuggestions",!1),MakesTextEdit:new c.RawContextKey("suggestionMakesTextEdit",!0),AcceptOnKey:new c.RawContextKey("suggestionSupportsAcceptOnKey",!0),AcceptSuggestionsOnEnter:new c.RawContextKey("acceptSuggestionOnEnter",!0)};var m;t.setSnippetSuggestSupport=function(e){var t=m;return m=e,t},t.provideSuggestionItems=d,t.getSuggestionComparator=g,
l.registerDefaultLanguageCommand("_executeCompletionItemProvider",function(e,t,n){var i={incomplete:!1,suggestions:[]};return d(e,t).then(function(e){for(var t=0,n=e;t<n.length;t++){var o=n[t],r=o.container,s=o.suggestion;i.incomplete=i.incomplete||r.incomplete,i.suggestions.push(s)}return i})});var v,_=new(function(){function e(){}return e.prototype.provideCompletionItems=function(){return v&&{suggestions:v}},e}());u.SuggestRegistry.register("*",_),t.showSimpleSuggestions=function(e,t){setTimeout(function(){v=t,e.getContribution("editor.contrib.suggestController").triggerSuggest([_]),v=void 0},0)}}),define(t[185],n([0,1,19,11,2,405,21,107,20,9,44,120]),function(e,t,n,i,o,r,s,a,l,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(t,n,i){this._editor=t,this._logService=n,this._snippetListener=[],this._inSnippet=e.InSnippetMode.bindTo(i),this._hasNextTabstop=e.HasNextTabstop.bindTo(i),this._hasPrevTabstop=e.HasPrevTabstop.bindTo(i)}return e.get=function(e){
return e.getContribution("snippetController2")},e.prototype.dispose=function(){this._inSnippet.reset(),this._hasPrevTabstop.reset(),this._hasNextTabstop.reset(),o.dispose(this._session)},e.prototype.getId=function(){return"snippetController2"},e.prototype.insert=function(e,t,n,i,o){void 0===t&&(t=0),void 0===n&&(n=0),void 0===i&&(i=!0),void 0===o&&(o=!0);try{this._doInsert(e,t,n,i,o)}catch(t){this.cancel(),this._logService.error(t),this._logService.error("snippet_error"),this._logService.error("insert_template=",e),this._logService.error("existing_template=",this._session?this._session._logInfo():"<no_session>")}},e.prototype._doInsert=function(e,t,n,i,s){var a=this;void 0===t&&(t=0),void 0===n&&(n=0),void 0===i&&(i=!0),void 0===s&&(s=!0),this._snippetListener=o.dispose(this._snippetListener),i&&this._editor.getModel().pushStackElement(),this._session?this._session.merge(e,t,n):(this._modelVersionId=this._editor.getModel().getAlternativeVersionId(),this._session=new r.SnippetSession(this._editor,e,t,n),
this._session.insert()),s&&this._editor.getModel().pushStackElement(),this._updateState(),this._snippetListener=[this._editor.onDidChangeModelContent(function(e){return e.isFlush&&a.cancel()}),this._editor.onDidChangeModel(function(){return a.cancel()}),this._editor.onDidChangeCursorSelection(function(){return a._updateState()})]},e.prototype._updateState=function(){if(this._session){if(this._modelVersionId===this._editor.getModel().getAlternativeVersionId())return this.cancel();if(!this._session.hasPlaceholder)return this.cancel();if(this._session.isAtLastPlaceholder||!this._session.isSelectionWithinPlaceholders())return this.cancel();this._inSnippet.set(!0),this._hasPrevTabstop.set(!this._session.isAtFirstPlaceholder),this._hasNextTabstop.set(!this._session.isAtLastPlaceholder),this._handleChoice()}},e.prototype._handleChoice=function(){var e=this._session.choice;if(e){if(this._currentChoice!==e){this._currentChoice=e,this._editor.setSelections(this._editor.getSelections().map(function(e){
return l.Selection.fromPositions(e.getStartPosition())}));var t=e.options[0];a.showSimpleSuggestions(this._editor,e.options.map(function(e,n){return{type:"value",label:e.value,insertText:e.value,sortText:c.repeat("a",n),overwriteAfter:t.value.length}}))}}else this._currentChoice=void 0},e.prototype.finish=function(){for(;this._inSnippet.get();)this.next()},e.prototype.cancel=function(){this._inSnippet.reset(),this._hasPrevTabstop.reset(),this._hasNextTabstop.reset(),o.dispose(this._snippetListener),o.dispose(this._session),this._session=void 0,this._modelVersionId=-1},e.prototype.prev=function(){this._session.prev(),this._updateState()},e.prototype.next=function(){this._session.next(),this._updateState()},e.InSnippetMode=new n.RawContextKey("inSnippetMode",!1),e.HasNextTabstop=new n.RawContextKey("hasNextTabstop",!1),e.HasPrevTabstop=new n.RawContextKey("hasPrevTabstop",!1),e=u([d(1,p.ILogService),d(2,n.IContextKeyService)],e)}();t.SnippetController2=f,i.registerEditorContribution(f)
;var g=i.EditorCommand.bindToContribution(f.get);i.registerEditorCommand(new g({id:"jumpToNextSnippetPlaceholder",precondition:n.ContextKeyExpr.and(f.InSnippetMode,f.HasNextTabstop),handler:function(e){return e.next()},kbOpts:{weight:h.KeybindingsRegistry.WEIGHT.editorContrib(30),kbExpr:s.EditorContextKeys.editorTextFocus,primary:2}})),i.registerEditorCommand(new g({id:"jumpToPrevSnippetPlaceholder",precondition:n.ContextKeyExpr.and(f.InSnippetMode,f.HasPrevTabstop),handler:function(e){return e.prev()},kbOpts:{weight:h.KeybindingsRegistry.WEIGHT.editorContrib(30),kbExpr:s.EditorContextKeys.editorTextFocus,primary:1026}})),i.registerEditorCommand(new g({id:"leaveSnippet",precondition:f.InSnippetMode,handler:function(e){return e.cancel()},kbOpts:{weight:h.KeybindingsRegistry.WEIGHT.editorContrib(30),kbExpr:s.EditorContextKeys.editorTextFocus,primary:9,secondary:[1033]}})),i.registerEditorCommand(new g({id:"acceptSnippet",precondition:f.InSnippetMode,handler:function(e){return e.finish()}}))}),
define(t[477],n([0,1,12,22,18,4,2,8,17,20,107,265,56]),function(e,t,n,i,o,r,s,a,l,u,c,d,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(){function e(e,t,n){this.leadingLineContent=e.getLineContent(t.lineNumber).substr(0,t.column-1),this.leadingWord=e.getWordUntilPosition(t),this.lineNumber=t.lineNumber,this.column=t.column,this.auto=n}return e.shouldAutoTrigger=function(e){var t=e.getModel();if(!t)return!1;var n=e.getPosition();t.tokenizeIfCheap(n.lineNumber);var i=t.getWordAtPosition(n);return!!i&&(i.endColumn===n.column&&!!isNaN(Number(i.word)))},e}();t.LineContext=p;!function(e){e[e.Idle=0]="Idle",e[e.Manual=1]="Manual",e[e.Auto=2]="Auto"}(t.State||(t.State={}));var f=function(){function e(e){var t=this;this._toDispose=[],this._triggerRefilter=new o.TimeoutTimer,this._onDidCancel=new r.Emitter,this._onDidTrigger=new r.Emitter,this._onDidSuggest=new r.Emitter,this.onDidCancel=this._onDidCancel.event,this.onDidTrigger=this._onDidTrigger.event,
this.onDidSuggest=this._onDidSuggest.event,this._editor=e,this._state=0,this._triggerAutoSuggestPromise=null,this._requestPromise=null,this._completionModel=null,this._context=null,this._currentSelection=this._editor.getSelection()||new u.Selection(1,1,1,1),this._toDispose.push(this._editor.onDidChangeModel(function(){t._updateTriggerCharacters(),t.cancel()})),this._toDispose.push(this._editor.onDidChangeModelLanguage(function(){t._updateTriggerCharacters(),t.cancel()})),this._toDispose.push(this._editor.onDidChangeConfiguration(function(){t._updateTriggerCharacters(),t._updateQuickSuggest()})),this._toDispose.push(l.SuggestRegistry.onDidChange(function(){t._updateTriggerCharacters(),t._updateActiveSuggestSession()})),this._toDispose.push(this._editor.onDidChangeCursorSelection(function(e){t._onCursorChange(e)})),this._toDispose.push(this._editor.onDidChangeModelContent(function(e){t._refilterCompletionItems()})),this._updateTriggerCharacters(),this._updateQuickSuggest()}return e.prototype.dispose=function(){
s.dispose([this._onDidCancel,this._onDidSuggest,this._onDidTrigger,this._triggerCharacterListener,this._triggerRefilter]),this._toDispose=s.dispose(this._toDispose),s.dispose(this._completionModel),this.cancel()},e.prototype._updateQuickSuggest=function(){this._quickSuggestDelay=this._editor.getConfiguration().contribInfo.quickSuggestionsDelay,(isNaN(this._quickSuggestDelay)||!this._quickSuggestDelay&&0!==this._quickSuggestDelay||this._quickSuggestDelay<0)&&(this._quickSuggestDelay=10)},e.prototype._updateTriggerCharacters=function(){var e=this;if(s.dispose(this._triggerCharacterListener),!this._editor.getConfiguration().readOnly&&this._editor.getModel()&&this._editor.getConfiguration().contribInfo.suggestOnTriggerCharacters){for(var t=Object.create(null),n=0,o=l.SuggestRegistry.all(this._editor.getModel());n<o.length;n++){var r=o[n];if(!i.isFalsyOrEmpty(r.triggerCharacters))for(var a=0,u=r.triggerCharacters;a<u.length;a++){var c=u[a],d=t[c];d?d.push(r):t[c]=[r]}}
this._triggerCharacterListener=this._editor.onDidType(function(n){var i=n.charAt(n.length-1),o=t[i];if(o){var r=[];if(e._completionModel)for(var s=0,a=e._completionModel.items;s<a.length;s++){var l=a[s];o.indexOf(l.support)<0&&r.push(l)}e.trigger({auto:!0,triggerCharacter:i},Boolean(e._completionModel),o,r)}})}},Object.defineProperty(e.prototype,"state",{get:function(){return this._state},enumerable:!0,configurable:!0}),e.prototype.cancel=function(e){void 0===e&&(e=!1),this._triggerRefilter.cancel(),this._triggerAutoSuggestPromise&&(this._triggerAutoSuggestPromise.cancel(),this._triggerAutoSuggestPromise=null),this._requestPromise&&(this._requestPromise.cancel(),this._requestPromise=null),this._state=0,s.dispose(this._completionModel),this._completionModel=null,this._context=null,this._onDidCancel.fire({retrigger:e})},e.prototype._updateActiveSuggestSession=function(){0!==this._state&&(l.SuggestRegistry.has(this._editor.getModel())?this.trigger({auto:2===this._state},!0):this.cancel())},
e.prototype._onCursorChange=function(e){var t=this,n=this._currentSelection;if(this._currentSelection=this._editor.getSelection(),!e.selection.isEmpty()||e.reason!==h.CursorChangeReason.NotSet||"keyboard"!==e.source&&"deleteLeft"!==e.source)0!==this._state&&this.cancel();else if(l.SuggestRegistry.has(this._editor.getModel())){this._editor.getModel()&&0===this._state&&!1!==this._editor.getConfiguration().contribInfo.quickSuggestions&&(n.containsRange(this._currentSelection)||n.getEndPosition().isBeforeOrEqual(this._currentSelection.getPosition()))&&(this.cancel(),this._triggerAutoSuggestPromise=a.TPromise.timeout(this._quickSuggestDelay),this._triggerAutoSuggestPromise.then(function(){if(p.shouldAutoTrigger(t._editor)){var e=t._editor.getModel(),n=t._editor.getPosition();if(!e)return;var i=t._editor.getConfiguration().contribInfo.quickSuggestions;if(!1===i)return;if(!0===i);else{e.tokenizeIfCheap(n.lineNumber)
;var o=e.getLineTokens(n.lineNumber),r=o.getStandardTokenType(o.findTokenIndexAtOffset(Math.max(n.column-1-1,0)));if(!(i.other&&0===r||i.comments&&1===r||i.strings&&2===r))return}t.trigger({auto:!0})}t._triggerAutoSuggestPromise=null}))}},e.prototype._refilterCompletionItems=function(){var e=this;if(0!==this._state){var t=this._editor.getModel();t&&this._triggerRefilter.cancelAndSet(function(){var n=e._editor.getPosition(),i=new p(t,n,2===e._state);e._onNewContext(i)},25)}},e.prototype.trigger=function(e,t,o,r){var a=this;void 0===t&&(t=!1);var u=this._editor.getModel();if(u){var h=e.auto,f=new p(u,this._editor.getPosition(),h);this.cancel(t),this._state=h?2:1,this._onDidTrigger.fire({auto:h}),this._context=f;var g;g=e.triggerCharacter?{triggerKind:l.SuggestTriggerKind.TriggerCharacter,triggerCharacter:e.triggerCharacter}:o&&o.length?{triggerKind:l.SuggestTriggerKind.TriggerForIncompleteCompletions}:{triggerKind:l.SuggestTriggerKind.Invoke},
this._requestPromise=c.provideSuggestionItems(u,this._editor.getPosition(),this._editor.getConfiguration().contribInfo.snippetSuggestions,o,g).then(function(e){if(a._requestPromise=null,0!==a._state){var t=a._editor.getModel();if(t){if(!i.isFalsyOrEmpty(r)){var n=c.getSuggestionComparator(a._editor.getConfiguration().contribInfo.snippetSuggestions);e=e.concat(r).sort(n)}var o=new p(t,a._editor.getPosition(),h);s.dispose(a._completionModel),a._completionModel=new d.CompletionModel(e,a._context.column,{leadingLineContent:o.leadingLineContent,characterCountDelta:a._context?o.column-a._context.column:0},a._editor.getConfiguration().contribInfo.snippetSuggestions),a._onNewContext(o)}}}).then(null,n.onUnexpectedError)}},e.prototype._onNewContext=function(e){if(this._context)if(e.lineNumber===this._context.lineNumber){if(e.leadingWord.startColumn<this._context.leadingWord.startColumn)this.cancel();else if(e.column<this._context.column)e.leadingWord.word?this.trigger({auto:this._context.auto
},!0):this.cancel();else if(this._completionModel)if(e.column>this._context.column&&this._completionModel.incomplete&&0!==e.leadingWord.word.length){var t=this._completionModel.resolveIncompleteInfo(),n=t.complete,i=t.incomplete;this.trigger({auto:2===this._state},!0,i,n)}else{var o=this._completionModel.lineContext,r=!1;if(this._completionModel.lineContext={leadingLineContent:e.leadingLineContent,characterCountDelta:e.column-this._context.column},0===this._completionModel.items.length){if(p.shouldAutoTrigger(this._editor)&&this._context.leadingWord.endColumn<e.leadingWord.startColumn)return void this.trigger({auto:this._context.auto},!0);if(this._context.auto)return void this.cancel();if(this._completionModel.lineContext=o,(r=this._completionModel.items.length>0)&&0===e.leadingWord.word.length)return void this.cancel()}this._onDidSuggest.fire({completionModel:this._completionModel,auto:this._context.auto,isFrozen:r})}}else this.cancel()},e}();t.SuggestModel=f}),
define(t[186],n([0,1,344,11,172]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(){return e.call(this,{id:t.ID,label:n.localize(0,null),alias:"Toggle Tab Key Moves Focus",precondition:null,kbOpts:{kbExpr:null,primary:2091,mac:{primary:1323}}})||this}return o(t,e),t.prototype.run=function(e,t){var n=r.TabFocus.getTabFocusMode();r.TabFocus.setTabFocusMode(!n)},t.ID="editor.action.toggleTabFocusMode",t}(i.EditorAction);t.ToggleTabFocusModeAction=s,i.registerEditorAction(s)}),define(t[479],n([0,1,21,20,11,13,3,192,79,90,39,56]),function(e,t,n,i,r,s,a,l,u,c,d,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(e){function t(t){var n=e.call(this,t)||this;return n._inSelectionMode=t.inSelectionMode,n._wordNavigationType=t.wordNavigationType,n}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){
var i=this,o=t.getConfiguration(),r=c.getMapForWordSeparators(o.wordSeparators),a=t.getModel(),l=t.getSelections().map(function(e){var t=new s.Position(e.positionLineNumber,e.positionColumn),n=i._move(r,a,t,i._wordNavigationType);return i._moveTo(e,n,i._inSelectionMode)});if(t._getCursors().setStates("moveWordCommand",h.CursorChangeReason.NotSet,l.map(function(e){return d.CursorState.fromModelSelection(e)})),1===l.length){var u=new s.Position(l[0].positionLineNumber,l[0].positionColumn);t.revealPosition(u,0)}},t.prototype._moveTo=function(e,t,n){return n?new i.Selection(e.selectionStartLineNumber,e.selectionStartColumn,t.lineNumber,t.column):new i.Selection(t.lineNumber,t.column,t.lineNumber,t.column)},t}(r.EditorCommand);t.MoveWordCommand=p;var f=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._move=function(e,t,n,i){return l.WordOperations.moveWordLeft(e,t,n,i)},t}(p);t.WordLeftCommand=f;var g=function(e){function t(){
return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._move=function(e,t,n,i){return l.WordOperations.moveWordRight(e,t,n,i)},t}(p);t.WordRightCommand=g;var m=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:0,id:"cursorWordStartLeft",precondition:null,kbOpts:{kbExpr:n.EditorContextKeys.textInputFocus,primary:2063,mac:{primary:527}}})||this}return o(t,e),t}(f);t.CursorWordStartLeft=m;var v=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:1,id:"cursorWordEndLeft",precondition:null})||this}return o(t,e),t}(f);t.CursorWordEndLeft=v;var _=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:0,id:"cursorWordLeft",precondition:null})||this}return o(t,e),t}(f);t.CursorWordLeft=_;var y=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordStartLeftSelect",precondition:null,kbOpts:{kbExpr:n.EditorContextKeys.textInputFocus,primary:3087,mac:{primary:1551}}
})||this}return o(t,e),t}(f);t.CursorWordStartLeftSelect=y;var C=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:1,id:"cursorWordEndLeftSelect",precondition:null})||this}return o(t,e),t}(f);t.CursorWordEndLeftSelect=C;var b=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordLeftSelect",precondition:null})||this}return o(t,e),t}(f);t.CursorWordLeftSelect=b;var S=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:0,id:"cursorWordStartRight",precondition:null})||this}return o(t,e),t}(g);t.CursorWordStartRight=S;var w=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:1,id:"cursorWordEndRight",precondition:null,kbOpts:{kbExpr:n.EditorContextKeys.textInputFocus,primary:2065,mac:{primary:529}}})||this}return o(t,e),t}(g);t.CursorWordEndRight=w;var E=function(e){function t(){return e.call(this,{inSelectionMode:!1,wordNavigationType:1,id:"cursorWordRight",precondition:null
})||this}return o(t,e),t}(g);t.CursorWordRight=E;var L=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:0,id:"cursorWordStartRightSelect",precondition:null})||this}return o(t,e),t}(g);t.CursorWordStartRightSelect=L;var x=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:1,id:"cursorWordEndRightSelect",precondition:null,kbOpts:{kbExpr:n.EditorContextKeys.textInputFocus,primary:3089,mac:{primary:1553}}})||this}return o(t,e),t}(g);t.CursorWordEndRightSelect=x;var N=function(e){function t(){return e.call(this,{inSelectionMode:!0,wordNavigationType:1,id:"cursorWordRightSelect",precondition:null})||this}return o(t,e),t}(g);t.CursorWordRightSelect=N;var I=function(e){function t(t){var n=e.call(this,t)||this;return n._whitespaceHeuristics=t.whitespaceHeuristics,n._wordNavigationType=t.wordNavigationType,n}return o(t,e),t.prototype.runEditorCommand=function(e,t,n){
var i=this,o=t.getConfiguration(),r=c.getMapForWordSeparators(o.wordSeparators),s=t.getModel(),a=t.getSelections().map(function(e){var t=i._delete(r,s,e,i._whitespaceHeuristics,i._wordNavigationType);return new u.ReplaceCommand(t,"")});t.pushUndoStop(),t.executeCommands(this.id,a),t.pushUndoStop()},t}(r.EditorCommand);t.DeleteWordCommand=I;var T=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._delete=function(e,t,n,i,o){var r=l.WordOperations.deleteWordLeft(e,t,n,i,o);return r||new a.Range(1,1,1,1)},t}(I);t.DeleteWordLeftCommand=T;var D=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._delete=function(e,t,n,i,o){var r=l.WordOperations.deleteWordRight(e,t,n,i,o);if(r)return r;var s=t.getLineCount(),u=t.getLineMaxColumn(s);return new a.Range(s,u,s,u)},t}(I);t.DeleteWordRightCommand=D;var M=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:0,id:"deleteWordStartLeft",
precondition:n.EditorContextKeys.writable})||this}return o(t,e),t}(T);t.DeleteWordStartLeft=M;var k=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:1,id:"deleteWordEndLeft",precondition:n.EditorContextKeys.writable})||this}return o(t,e),t}(T);t.DeleteWordEndLeft=k;var O=function(e){function t(){return e.call(this,{whitespaceHeuristics:!0,wordNavigationType:0,id:"deleteWordLeft",precondition:n.EditorContextKeys.writable,kbOpts:{kbExpr:n.EditorContextKeys.textInputFocus,primary:2049,mac:{primary:513}}})||this}return o(t,e),t}(T);t.DeleteWordLeft=O;var R=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:0,id:"deleteWordStartRight",precondition:n.EditorContextKeys.writable})||this}return o(t,e),t}(D);t.DeleteWordStartRight=R;var P=function(e){function t(){return e.call(this,{whitespaceHeuristics:!1,wordNavigationType:1,id:"deleteWordEndRight",precondition:n.EditorContextKeys.writable})||this}return o(t,e),t}(D);t.DeleteWordEndRight=P
;var A=function(e){function t(){return e.call(this,{whitespaceHeuristics:!0,wordNavigationType:1,id:"deleteWordRight",precondition:n.EditorContextKeys.writable,kbOpts:{kbExpr:n.EditorContextKeys.textInputFocus,primary:2068,mac:{primary:532}}})||this}return o(t,e),t}(D);t.DeleteWordRight=A,r.registerEditorCommand(new m),r.registerEditorCommand(new v),r.registerEditorCommand(new _),r.registerEditorCommand(new y),r.registerEditorCommand(new C),r.registerEditorCommand(new b),r.registerEditorCommand(new S),r.registerEditorCommand(new w),r.registerEditorCommand(new E),r.registerEditorCommand(new L),r.registerEditorCommand(new x),r.registerEditorCommand(new N),r.registerEditorCommand(new M),r.registerEditorCommand(new k),r.registerEditorCommand(new O),r.registerEditorCommand(new R),r.registerEditorCommand(new P),r.registerEditorCommand(new A)}),define(t[480],n([0,1,2,32,10,24,11,404]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e){var t=this
;this.editor=e,this.toDispose=[],i.isIPad&&(this.toDispose.push(e.onDidChangeConfiguration(function(){return t.update()})),this.update())}return e.prototype.update=function(){var e=!!this.widget,t=!this.editor.getConfiguration().readOnly;!e&&t?this.widget=new l(this.editor):e&&!t&&(this.widget.dispose(),this.widget=null)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.toDispose=n.dispose(this.toDispose),this.widget&&(this.widget.dispose(),this.widget=null)},e.ID="editor.contrib.iPadShowKeyboard",e}();t.IPadShowKeyboard=a;var l=function(){function e(e){var t=this;this.editor=e,this._domNode=document.createElement("textarea"),this._domNode.className="iPadShowKeyboard",this._toDispose=[],this._toDispose.push(o.addDisposableListener(this._domNode,"touchstart",function(e){t.editor.focus()})),this._toDispose.push(o.addDisposableListener(this._domNode,"focus",function(e){t.editor.focus()})),this.editor.addOverlayWidget(this)}return e.prototype.dispose=function(){
this.editor.removeOverlayWidget(this),this._toDispose=n.dispose(this._toDispose)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{preference:r.OverlayWidgetPositionPreference.BOTTOM_RIGHT_CORNER}},e.ID="editor.contrib.ShowKeyboardWidget",e}();s.registerEditorContribution(a)}),define(t[481],n([0,1,352,11,85]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(){var t=e.call(this,{id:"editor.action.toggleHighContrast",label:n.localize(0,null),alias:"Toggle High Contrast Theme",precondition:null})||this;return t._originalThemeName=null,t}return o(t,e),t.prototype.run=function(e,t){var n=e.get(r.IStandaloneThemeService);this._originalThemeName?(n.setTheme(this._originalThemeName),this._originalThemeName=null):(this._originalThemeName=n.getTheme().themeName,n.setTheme("hc-black"))},t}(i.EditorAction);i.registerEditorAction(s)}),
define(t[482],n([0,1,155,81,120]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(){function e(e,t,i){this.logService=i,this.contextView=new n.ContextView(e)}return e.prototype.dispose=function(){this.contextView.dispose()},e.prototype.setContainer=function(e){this.logService.trace("ContextViewService#setContainer"),this.contextView.setContainer(e)},e.prototype.showContextView=function(e){this.logService.trace("ContextViewService#showContextView"),this.contextView.show(e)},e.prototype.layout=function(){this.contextView.layout()},e.prototype.hideContextView=function(e){this.logService.trace("ContextViewService#hideContextView"),this.contextView.hide(e)},e=u([d(1,i.ITelemetryService),d(2,o.ILogService)],e)}();t.ContextViewService=r}),define(t[483],n([0,1,8,169,36,54,48]),function(e,t,n,i,o,r,s){"use strict";function a(e,t){return t.onDidChangeConfiguration(function(t){t.source!==r.ConfigurationTarget.DEFAULT&&(e.publicLog("updateConfiguration",{
configurationSource:r.ConfigurationTarget[t.source],configurationKeys:function(e){if(!e)return[];var t=[];return l(t,"",e),t}(t.sourceConfig)}),e.publicLog("updateConfigurationValues",{configurationSource:r.ConfigurationTarget[t.source],configurationValues:function(e,t){if(!e)return[];return t.reduce(function(t,n){var i=n.split(".").reduce(function(e,t){return e&&"object"==typeof e?e[t]:void 0},e);return void 0!==i&&t.push((o={},o[n]=i,o)),t;var o},[])}(t.sourceConfig,u)}))})}function l(e,t,n){n&&"object"==typeof n&&!Array.isArray(n)?Object.keys(n).forEach(function(i){return l(e,t?t+"."+i:i,n[i])}):e.push(t)}Object.defineProperty(t,"__esModule",{value:!0}),t.NullTelemetryService=new(function(){function e(){}return e.prototype.publicLog=function(e,t){return n.TPromise.wrap(null)},e.prototype.getTelemetryInfo=function(){return n.TPromise.wrap({instanceId:"someValue.instanceId",sessionId:"someValue.sessionId",machineId:"someValue.machineId"})},e}()),t.combinedAppender=function(){
for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return{log:function(t,n){return e.forEach(function(e){return e.log(t,n)})}}},t.NullAppender={log:function(){return null}},t.telemetryURIDescriptor=function(e,t){var n=e&&e.fsPath;return n?{mimeType:i.guessMimeTypes(n).join(", "),ext:o.extname(n),path:t(n)}:{}}
;var u=["editor.tabCompletion","editor.fontFamily","editor.fontWeight","editor.fontSize","editor.lineHeight","editor.letterSpacing","editor.lineNumbers","editor.rulers","editor.wordSeparators","editor.tabSize","editor.insertSpaces","editor.detectIndentation","editor.roundedSelection","editor.scrollBeyondLastLine","editor.minimap.enabled","editor.minimap.side","editor.minimap.renderCharacters","editor.minimap.maxColumn","editor.find.seedSearchStringFromSelection","editor.find.autoFindInSelection","editor.wordWrap","editor.wordWrapColumn","editor.wrappingIndent","editor.mouseWheelScrollSensitivity","editor.multiCursorModifier","editor.quickSuggestions","editor.quickSuggestionsDelay","editor.parameterHints","editor.autoClosingBrackets","editor.autoIndent","editor.formatOnType","editor.formatOnPaste","editor.suggestOnTriggerCharacters","editor.acceptSuggestionOnEnter","editor.acceptSuggestionOnCommitCharacter","editor.snippetSuggestions","editor.emptySelectionClipboard","editor.wordBasedSuggestions","editor.suggestSelection","editor.suggestFontSize","editor.suggestLineHeight","editor.selectionHighlight","editor.occurrencesHighlight","editor.overviewRulerLanes","editor.overviewRulerBorder","editor.cursorBlinking","editor.cursorStyle","editor.mouseWheelZoom","editor.fontLigatures","editor.hideCursorInOverviewRuler","editor.renderWhitespace","editor.renderControlCharacters","editor.renderIndentGuides","editor.renderLineHighlight","editor.codeLens","editor.folding","editor.showFoldingControls","editor.matchBrackets","editor.glyphMargin","editor.useTabStops","editor.trimAutoWhitespace","editor.stablePeek","editor.dragAndDrop","editor.formatOnSave","editor.colorDecorators","window.zoomLevel","files.autoSave","files.hotExit","files.associations","workbench.statusBar.visible","files.trimTrailingWhitespace","git.confirmSync","workbench.sideBar.location","window.openFilesInNewWindow","javascript.validate.enable","window.restoreWindows","extensions.autoUpdate","files.eol","explorer.openEditors.visible","workbench.editor.enablePreview","files.autoSaveDelay","workbench.editor.showTabs","files.encoding","files.autoGuessEncoding","git.enabled","http.proxyStrictSSL","terminal.integrated.fontFamily","workbench.editor.enablePreviewFromQuickOpen","workbench.editor.swipeToNavigate","php.builtInCompletions.enable","php.validate.enable","php.validate.run","workbench.welcome.enabled","workbench.startupEditor"]
;t.configurationTelemetry=a,t.keybindingsTelemetry=function(e,t){return t.onDidUpdateKeybindings(function(t){t.source===s.KeybindingSource.User&&t.keybindings&&e.publicLog("updateKeybindings",{bindings:t.keybindings.map(function(e){return{key:e.key,command:e.command,when:e.when,args:!!e.args||void 0}})})})}}),define(t[484],n([0,1,10,216,68,8,53,36,33,81,14,483]),function(e,t,n,i,o,r,s,a,l,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){void 0===n&&(n=p.NullTelemetryService),this._editorService=e,this._commandService=t,this._telemetryService=n}return e.prototype.open=function(e,t){this._telemetryService.publicLog("openerService",{scheme:e.scheme});var s=e.scheme,u=e.path,c=e.query,d=e.fragment,h=r.TPromise.wrap(void 0);if(s===o.Schemas.http||s===o.Schemas.https||s===o.Schemas.mailto)n.windowOpenNoOpener(e.toString(!0));else if("command"===s&&l.CommandsRegistry.getCommand(u)){var p=[];try{p=i.parse(c),Array.isArray(p)||(p=[p])}catch(e){}
h=(m=this._commandService).executeCommand.apply(m,[u].concat(p))}else{var f=void 0,g=/^L?(\d+)(?:,(\d+))?/.exec(d);if(g&&(f={startLineNumber:parseInt(g[1]),startColumn:g[2]?parseInt(g[2]):1},e=e.with({fragment:""})),!e.scheme)return r.TPromise.as(void 0);e.scheme===o.Schemas.file&&(e=e.with({path:a.normalize(e.path)})),h=this._editorService.openEditor({resource:e,options:{selection:f}},t&&t.openToSide)}return h;var m},e=u([d(0,s.IEditorService),d(1,l.ICommandService),d(2,h.optional(c.ITelemetryService))],e)}();t.OpenerService=f}),define(t[23],n([0,1,46,27,358]),function(e,t,n,i,o){"use strict";function r(e,t,n,i,o){return d.registerColor(e,t,n,i,o)}function s(e,t){return function(n){var i=c(e,n);return i?i.darken(t):null}}function a(e,t){return function(n){var i=c(e,n);return i?i.lighten(t):null}}function l(e,t){return function(n){var i=c(e,n);return i?i.transparent(t):null}}function u(e,t,n,o){return function(r){var s=c(e,r);if(s){var a=c(t,r)
;return a?s.isDarkerThan(a)?i.Color.getLighterColor(s,a,n).transparent(o):i.Color.getDarkerColor(s,a,n).transparent(o):s.transparent(n*o)}return null}}function c(e,t){return null===e?null:"string"==typeof e?"#"===e[0]?i.Color.fromHex(e):t.getColor(e):e instanceof i.Color?e:"function"==typeof e?e(t):null}Object.defineProperty(t,"__esModule",{value:!0}),t.Extensions={ColorContribution:"base.contributions.colors"};var d=new(function(){function e(){this.colorSchema={type:"object",description:o.localize(0,null),properties:{},additionalProperties:!1},this.colorReferenceSchema={type:"string",enum:[],enumDescriptions:[]},this.colorsById={}}return e.prototype.registerColor=function(e,t,n,i,o){void 0===i&&(i=!1);var r={id:e,description:n,defaults:t,needsTransparency:i};this.colorsById[e]=r;var s={type:"string",description:n,format:"color-hex",default:"#ff0000"};return o&&(s.deprecationMessage=o),this.colorSchema.properties[e]=s,this.colorReferenceSchema.enum.push(e),this.colorReferenceSchema.enumDescriptions.push(n),e
},e.prototype.getColors=function(){var e=this;return Object.keys(this.colorsById).map(function(t){return e.colorsById[t]})},e.prototype.resolveDefaultColor=function(e,t){var n=this.colorsById[e];if(n&&n.defaults){return c(n.defaults[t.type],t)}return null},e.prototype.getColorSchema=function(){return this.colorSchema},e.prototype.getColorReferenceSchema=function(){return this.colorReferenceSchema},e.prototype.toString=function(){var e=this;return Object.keys(this.colorsById).sort(function(e,t){var n=-1===e.indexOf(".")?0:1,i=-1===t.indexOf(".")?0:1;return n!==i?n-i:e.localeCompare(t)}).map(function(t){return"- `"+t+"`: "+e.colorsById[t].description}).join("\n")},e}());n.Registry.add(t.Extensions.ColorContribution,d),t.registerColor=r,t.getColorRegistry=function(){return d},t.foreground=r("foreground",{dark:"#CCCCCC",light:"#6C6C6C",hc:"#FFFFFF"},o.localize(1,null)),t.errorForeground=r("errorForeground",{dark:"#F48771",light:"#A1260D",hc:"#F48771"},o.localize(2,null)),
t.descriptionForeground=r("descriptionForeground",{light:l(t.foreground,.7),dark:l(t.foreground,.7),hc:l(t.foreground,.7)},o.localize(3,null)),t.focusBorder=r("focusBorder",{dark:i.Color.fromHex("#0E639C").transparent(.6),light:i.Color.fromHex("#007ACC").transparent(.4),hc:"#F38518"},o.localize(4,null)),t.contrastBorder=r("contrastBorder",{light:null,dark:null,hc:"#6FC3DF"},o.localize(5,null)),t.activeContrastBorder=r("contrastActiveBorder",{light:null,dark:null,hc:t.focusBorder},o.localize(6,null)),t.selectionBackground=r("selection.background",{light:null,dark:null,hc:null},o.localize(7,null)),t.textSeparatorForeground=r("textSeparator.foreground",{light:"#0000002e",dark:"#ffffff2e",hc:i.Color.black},o.localize(8,null)),t.textLinkForeground=r("textLink.foreground",{light:"#4080D0",dark:"#4080D0",hc:"#4080D0"},o.localize(9,null)),t.textLinkActiveForeground=r("textLink.activeForeground",{light:"#4080D0",dark:"#4080D0",hc:"#4080D0"},o.localize(10,null)),t.textPreformatForeground=r("textPreformat.foreground",{
light:"#A31515",dark:"#D7BA7D",hc:"#D7BA7D"},o.localize(11,null)),t.textBlockQuoteBackground=r("textBlockQuote.background",{light:"#7f7f7f1a",dark:"#7f7f7f1a",hc:null},o.localize(12,null)),t.textBlockQuoteBorder=r("textBlockQuote.border",{light:"#007acc80",dark:"#007acc80",hc:i.Color.white},o.localize(13,null)),t.textCodeBlockBackground=r("textCodeBlock.background",{light:"#dcdcdc66",dark:"#0a0a0a66",hc:i.Color.black},o.localize(14,null)),t.widgetShadow=r("widget.shadow",{dark:"#000000",light:"#A8A8A8",hc:null},o.localize(15,null)),t.inputBackground=r("input.background",{dark:"#3C3C3C",light:i.Color.white,hc:i.Color.black},o.localize(16,null)),t.inputForeground=r("input.foreground",{dark:t.foreground,light:t.foreground,hc:t.foreground},o.localize(17,null)),t.inputBorder=r("input.border",{dark:null,light:null,hc:t.contrastBorder},o.localize(18,null)),t.inputActiveOptionBorder=r("inputOption.activeBorder",{dark:"#007ACC",light:"#007ACC",hc:t.activeContrastBorder},o.localize(19,null)),
t.inputPlaceholderForeground=r("input.placeholderForeground",{dark:null,light:null,hc:null},o.localize(20,null)),t.inputValidationInfoBackground=r("inputValidation.infoBackground",{dark:"#063B49",light:"#D6ECF2",hc:i.Color.black},o.localize(21,null)),t.inputValidationInfoBorder=r("inputValidation.infoBorder",{dark:"#007acc",light:"#007acc",hc:t.contrastBorder},o.localize(22,null)),t.inputValidationWarningBackground=r("inputValidation.warningBackground",{dark:"#352A05",light:"#F6F5D2",hc:i.Color.black},o.localize(23,null)),t.inputValidationWarningBorder=r("inputValidation.warningBorder",{dark:"#B89500",light:"#B89500",hc:t.contrastBorder},o.localize(24,null)),t.inputValidationErrorBackground=r("inputValidation.errorBackground",{dark:"#5A1D1D",light:"#F2DEDE",hc:i.Color.black},o.localize(25,null)),t.inputValidationErrorBorder=r("inputValidation.errorBorder",{dark:"#BE1100",light:"#BE1100",hc:t.contrastBorder},o.localize(26,null)),t.selectBackground=r("dropdown.background",{dark:"#3C3C3C",light:i.Color.white,
hc:i.Color.black},o.localize(27,null)),t.selectListBackground=r("dropdown.listBackground",{dark:null,light:null,hc:i.Color.black},o.localize(28,null)),t.selectForeground=r("dropdown.foreground",{dark:"#F0F0F0",light:null,hc:i.Color.white},o.localize(29,null)),t.selectBorder=r("dropdown.border",{dark:t.selectBackground,light:"#CECECE",hc:t.contrastBorder},o.localize(30,null)),t.listFocusBackground=r("list.focusBackground",{dark:"#073655",light:"#DCEBFC",hc:null},o.localize(31,null)),t.listFocusForeground=r("list.focusForeground",{dark:null,light:null,hc:null},o.localize(32,null)),t.listActiveSelectionBackground=r("list.activeSelectionBackground",{dark:"#094771",light:"#3399FF",hc:null},o.localize(33,null)),t.listActiveSelectionForeground=r("list.activeSelectionForeground",{dark:i.Color.white,light:i.Color.white,hc:null},o.localize(34,null)),t.listInactiveSelectionBackground=r("list.inactiveSelectionBackground",{dark:"#3F3F46",light:"#CCCEDB",hc:null},o.localize(35,null)),
t.listInactiveSelectionForeground=r("list.inactiveSelectionForeground",{dark:null,light:null,hc:null},o.localize(36,null)),t.listInactiveFocusBackground=r("list.inactiveFocusBackground",{dark:"#313135",light:"#d8dae6",hc:null},o.localize(37,null)),t.listHoverBackground=r("list.hoverBackground",{dark:"#2A2D2E",light:"#F0F0F0",hc:null},o.localize(38,null)),t.listHoverForeground=r("list.hoverForeground",{dark:null,light:null,hc:null},o.localize(39,null)),t.listDropBackground=r("list.dropBackground",{dark:t.listFocusBackground,light:t.listFocusBackground,hc:null},o.localize(40,null)),t.listHighlightForeground=r("list.highlightForeground",{dark:"#0097fb",light:"#007acc",hc:t.focusBorder},o.localize(41,null)),t.listInvalidItemForeground=r("list.invalidItemForeground",{dark:"#B89500",light:"#B89500",hc:"#B89500"},o.localize(42,null)),t.pickerGroupForeground=r("pickerGroup.foreground",{dark:i.Color.fromHex("#0097FB").transparent(.6),light:i.Color.fromHex("#007ACC").transparent(.6),hc:i.Color.white
},o.localize(43,null)),t.pickerGroupBorder=r("pickerGroup.border",{dark:"#3F3F46",light:"#CCCEDB",hc:i.Color.white},o.localize(44,null)),t.buttonForeground=r("button.foreground",{dark:i.Color.white,light:i.Color.white,hc:i.Color.white},o.localize(45,null)),t.buttonBackground=r("button.background",{dark:"#0E639C",light:"#007ACC",hc:null},o.localize(46,null)),t.buttonHoverBackground=r("button.hoverBackground",{dark:a(t.buttonBackground,.2),light:s(t.buttonBackground,.2),hc:null},o.localize(47,null)),t.badgeBackground=r("badge.background",{dark:"#4D4D4D",light:"#BEBEBE",hc:i.Color.black},o.localize(48,null)),t.badgeForeground=r("badge.foreground",{dark:i.Color.white,light:i.Color.white,hc:i.Color.white},o.localize(49,null)),t.scrollbarShadow=r("scrollbar.shadow",{dark:"#000000",light:"#DDDDDD",hc:null},o.localize(50,null)),t.scrollbarSliderBackground=r("scrollbarSlider.background",{dark:i.Color.fromHex("#797979").transparent(.4),light:i.Color.fromHex("#646464").transparent(.4),hc:l(t.contrastBorder,.6)
},o.localize(51,null)),t.scrollbarSliderHoverBackground=r("scrollbarSlider.hoverBackground",{dark:i.Color.fromHex("#646464").transparent(.7),light:i.Color.fromHex("#646464").transparent(.7),hc:l(t.contrastBorder,.8)},o.localize(52,null)),t.scrollbarSliderActiveBackground=r("scrollbarSlider.activeBackground",{dark:i.Color.fromHex("#BFBFBF").transparent(.4),light:i.Color.fromHex("#000000").transparent(.6),hc:t.contrastBorder},o.localize(53,null)),t.progressBarBackground=r("progressBar.background",{dark:i.Color.fromHex("#0E70C0"),light:i.Color.fromHex("#0E70C0"),hc:t.contrastBorder},o.localize(54,null)),t.editorBackground=r("editor.background",{light:"#fffffe",dark:"#1E1E1E",hc:i.Color.black},o.localize(55,null)),t.editorForeground=r("editor.foreground",{light:"#333333",dark:"#BBBBBB",hc:i.Color.white},o.localize(56,null)),t.editorWidgetBackground=r("editorWidget.background",{dark:"#2D2D30",light:"#EFEFF2",hc:"#0C141F"},o.localize(57,null)),t.editorWidgetBorder=r("editorWidget.border",{dark:"#454545",
light:"#C8C8C8",hc:t.contrastBorder},o.localize(58,null)),t.editorSelectionBackground=r("editor.selectionBackground",{light:"#ADD6FF",dark:"#264F78",hc:"#f3f518"},o.localize(59,null)),t.editorSelectionForeground=r("editor.selectionForeground",{light:null,dark:null,hc:"#000000"},o.localize(60,null)),t.editorInactiveSelection=r("editor.inactiveSelectionBackground",{light:l(t.editorSelectionBackground,.5),dark:l(t.editorSelectionBackground,.5),hc:l(t.editorSelectionBackground,.5)},o.localize(61,null),!0),t.editorSelectionHighlight=r("editor.selectionHighlightBackground",{light:u(t.editorSelectionBackground,t.editorBackground,.3,.6),dark:u(t.editorSelectionBackground,t.editorBackground,.3,.6),hc:null},o.localize(62,null),!0),t.editorSelectionHighlightBorder=r("editor.selectionHighlightBorder",{light:null,dark:null,hc:t.activeContrastBorder},o.localize(63,null)),t.editorFindMatch=r("editor.findMatchBackground",{light:"#A8AC94",dark:"#515C6A",hc:null},o.localize(64,null)),
t.editorFindMatchHighlight=r("editor.findMatchHighlightBackground",{light:"#EA5C0055",dark:"#EA5C0055",hc:null},o.localize(65,null),!0),t.editorFindRangeHighlight=r("editor.findRangeHighlightBackground",{dark:"#3a3d4166",light:"#b4b4b44d",hc:null},o.localize(66,null),!0),t.editorFindMatchBorder=r("editor.findMatchBorder",{light:null,dark:null,hc:t.activeContrastBorder},o.localize(67,null)),t.editorFindMatchHighlightBorder=r("editor.findMatchHighlightBorder",{light:null,dark:null,hc:t.activeContrastBorder},o.localize(68,null)),t.editorFindRangeHighlightBorder=r("editor.findRangeHighlightBorder",{dark:null,light:null,hc:l(t.activeContrastBorder,.4)},o.localize(69,null),!0),t.editorHoverHighlight=r("editor.hoverHighlightBackground",{light:"#ADD6FF26",dark:"#264f7840",hc:"#ADD6FF26"},o.localize(70,null),!0),t.editorHoverBackground=r("editorHoverWidget.background",{light:t.editorWidgetBackground,dark:t.editorWidgetBackground,hc:t.editorWidgetBackground},o.localize(71,null)),
t.editorHoverBorder=r("editorHoverWidget.border",{light:t.editorWidgetBorder,dark:t.editorWidgetBorder,hc:t.editorWidgetBorder},o.localize(72,null)),t.editorActiveLinkForeground=r("editorLink.activeForeground",{dark:"#4E94CE",light:i.Color.blue,hc:i.Color.cyan},o.localize(73,null)),t.defaultInsertColor=new i.Color(new i.RGBA(155,185,85,.2)),t.defaultRemoveColor=new i.Color(new i.RGBA(255,0,0,.2)),t.diffInserted=r("diffEditor.insertedTextBackground",{dark:t.defaultInsertColor,light:t.defaultInsertColor,hc:null},o.localize(74,null),!0),t.diffRemoved=r("diffEditor.removedTextBackground",{dark:t.defaultRemoveColor,light:t.defaultRemoveColor,hc:null},o.localize(75,null),!0),t.diffInsertedOutline=r("diffEditor.insertedTextBorder",{dark:null,light:null,hc:"#33ff2eff"},o.localize(76,null)),t.diffRemovedOutline=r("diffEditor.removedTextBorder",{dark:null,light:null,hc:"#FF008F"},o.localize(77,null))
;var h=i.Color.fromHex("#40C8AE").transparent(.5),p=i.Color.fromHex("#40A6FF").transparent(.5),f=i.Color.fromHex("#606060").transparent(.4);t.mergeCurrentHeaderBackground=r("merge.currentHeaderBackground",{dark:h,light:h,hc:null},o.localize(78,null),!0),t.mergeCurrentContentBackground=r("merge.currentContentBackground",{dark:l(t.mergeCurrentHeaderBackground,.4),light:l(t.mergeCurrentHeaderBackground,.4),hc:l(t.mergeCurrentHeaderBackground,.4)},o.localize(79,null),!0),t.mergeIncomingHeaderBackground=r("merge.incomingHeaderBackground",{dark:p,light:p,hc:null},o.localize(80,null),!0),t.mergeIncomingContentBackground=r("merge.incomingContentBackground",{dark:l(t.mergeIncomingHeaderBackground,.4),light:l(t.mergeIncomingHeaderBackground,.4),hc:l(t.mergeIncomingHeaderBackground,.4)},o.localize(81,null),!0),t.mergeCommonHeaderBackground=r("merge.commonHeaderBackground",{dark:f,light:f,hc:null},o.localize(82,null),!0),t.mergeCommonContentBackground=r("merge.commonContentBackground",{
dark:l(t.mergeCommonHeaderBackground,.4),light:l(t.mergeCommonHeaderBackground,.4),hc:l(t.mergeCommonHeaderBackground,.4)},o.localize(83,null),!0),t.mergeBorder=r("merge.border",{dark:null,light:null,hc:"#C3DF6F"},o.localize(84,null)),t.overviewRulerCurrentContentForeground=r("editorOverviewRuler.currentContentForeground",{dark:l(t.mergeCurrentHeaderBackground,1),light:l(t.mergeCurrentHeaderBackground,1),hc:t.mergeBorder},o.localize(85,null)),t.overviewRulerIncomingContentForeground=r("editorOverviewRuler.incomingContentForeground",{dark:l(t.mergeIncomingHeaderBackground,1),light:l(t.mergeIncomingHeaderBackground,1),hc:t.mergeBorder},o.localize(86,null)),t.overviewRulerCommonContentForeground=r("editorOverviewRuler.commonContentForeground",{dark:l(t.mergeCommonHeaderBackground,1),light:l(t.mergeCommonHeaderBackground,1),hc:t.mergeBorder},o.localize(87,null));var g=new i.Color(new i.RGBA(246,185,77,.7));t.overviewRulerFindMatchForeground=r("editorOverviewRuler.findMatchForeground",{dark:g,light:g,hc:g
},o.localize(88,null),!0),t.overviewRulerSelectionHighlightForeground=r("editorOverviewRuler.selectionHighlightForeground",{dark:"#A0A0A0CC",light:"#A0A0A0CC",hc:"#A0A0A0CC"},o.localize(89,null),!0),t.darken=s,t.lighten=a,t.transparent=l,t.oneOf=function(){for(var e=[],t=0;t<arguments.length;t++)e[t]=arguments[t];return function(t){for(var n=0,i=e;n<i.length;n++){var o=c(i[n],t);if(o)return o}return null}}}),define(t[109],n([0,1,23,25]),function(e,t,n,i){"use strict";function o(e,t){var n=Object.create(null);for(var i in t){var o=t[i];"string"==typeof o?n[i]=e.getColor(o):"function"==typeof o&&(n[i]=o(e))}return n}function r(e,t,n){function i(i){var r=o(e.getTheme(),t);"function"==typeof n?n(r):n.style(r)}return i(e.getTheme()),e.onThemeChange(i)}Object.defineProperty(t,"__esModule",{value:!0}),t.computeStyles=o,t.attachStyler=r,t.attachCheckboxStyler=function(e,t,i){return r(t,{inputActiveOptionBorder:i&&i.inputActiveOptionBorderColor||n.inputActiveOptionBorder},e)},t.attachBadgeStyler=function(e,t,i){
return r(t,{badgeBackground:i&&i.badgeBackground||n.badgeBackground,badgeForeground:i&&i.badgeForeground||n.badgeForeground,badgeBorder:n.contrastBorder},e)},t.attachInputBoxStyler=function(e,t,i){return r(t,{inputBackground:i&&i.inputBackground||n.inputBackground,inputForeground:i&&i.inputForeground||n.inputForeground,inputBorder:i&&i.inputBorder||n.inputBorder,inputValidationInfoBorder:i&&i.inputValidationInfoBorder||n.inputValidationInfoBorder,inputValidationInfoBackground:i&&i.inputValidationInfoBackground||n.inputValidationInfoBackground,inputValidationWarningBorder:i&&i.inputValidationWarningBorder||n.inputValidationWarningBorder,inputValidationWarningBackground:i&&i.inputValidationWarningBackground||n.inputValidationWarningBackground,inputValidationErrorBorder:i&&i.inputValidationErrorBorder||n.inputValidationErrorBorder,inputValidationErrorBackground:i&&i.inputValidationErrorBackground||n.inputValidationErrorBackground},e)},t.attachSelectBoxStyler=function(e,t,i){return r(t,{
selectBackground:i&&i.selectBackground||n.selectBackground,selectListBackground:i&&i.selectListBackground||n.selectListBackground,selectForeground:i&&i.selectForeground||n.selectForeground,selectBorder:i&&i.selectBorder||n.selectBorder,focusBorder:i&&i.focusBorder||n.focusBorder,listFocusBackground:i&&i.listFocusBackground||n.listFocusBackground,listFocusForeground:i&&i.listFocusForeground||n.listFocusForeground,listFocusOutline:i&&i.listFocusOutline||n.activeContrastBorder,listHoverBackground:i&&i.listHoverBackground||n.listHoverBackground,listHoverForeground:i&&i.listHoverForeground||n.listHoverForeground,listHoverOutline:i&&i.listFocusOutline||n.activeContrastBorder},e)},t.attachFindInputBoxStyler=function(e,t,i){return r(t,{inputBackground:i&&i.inputBackground||n.inputBackground,inputForeground:i&&i.inputForeground||n.inputForeground,inputBorder:i&&i.inputBorder||n.inputBorder,inputActiveOptionBorder:i&&i.inputActiveOptionBorder||n.inputActiveOptionBorder,
inputValidationInfoBorder:i&&i.inputValidationInfoBorder||n.inputValidationInfoBorder,inputValidationInfoBackground:i&&i.inputValidationInfoBackground||n.inputValidationInfoBackground,inputValidationWarningBorder:i&&i.inputValidationWarningBorder||n.inputValidationWarningBorder,inputValidationWarningBackground:i&&i.inputValidationWarningBackground||n.inputValidationWarningBackground,inputValidationErrorBorder:i&&i.inputValidationErrorBorder||n.inputValidationErrorBorder,inputValidationErrorBackground:i&&i.inputValidationErrorBackground||n.inputValidationErrorBackground},e)},t.attachQuickOpenStyler=function(e,t,i){return r(t,{foreground:i&&i.foreground||n.foreground,background:i&&i.background||n.editorBackground,borderColor:i&&i.borderColor||n.contrastBorder,widgetShadow:i&&i.widgetShadow||n.widgetShadow,progressBarBackground:i&&i.progressBarBackground||n.progressBarBackground,pickerGroupForeground:i&&i.pickerGroupForeground||n.pickerGroupForeground,
pickerGroupBorder:i&&i.pickerGroupBorder||n.pickerGroupBorder,inputBackground:i&&i.inputBackground||n.inputBackground,inputForeground:i&&i.inputForeground||n.inputForeground,inputBorder:i&&i.inputBorder||n.inputBorder,inputValidationInfoBorder:i&&i.inputValidationInfoBorder||n.inputValidationInfoBorder,inputValidationInfoBackground:i&&i.inputValidationInfoBackground||n.inputValidationInfoBackground,inputValidationWarningBorder:i&&i.inputValidationWarningBorder||n.inputValidationWarningBorder,inputValidationWarningBackground:i&&i.inputValidationWarningBackground||n.inputValidationWarningBackground,inputValidationErrorBorder:i&&i.inputValidationErrorBorder||n.inputValidationErrorBorder,inputValidationErrorBackground:i&&i.inputValidationErrorBackground||n.inputValidationErrorBackground,listFocusBackground:i&&i.listFocusBackground||n.listFocusBackground,listFocusForeground:i&&i.listFocusForeground||n.listFocusForeground,
listActiveSelectionBackground:i&&i.listActiveSelectionBackground||n.lighten(n.listActiveSelectionBackground,.1),listActiveSelectionForeground:i&&i.listActiveSelectionForeground||n.listActiveSelectionForeground,listFocusAndSelectionBackground:i&&i.listFocusAndSelectionBackground||n.listActiveSelectionBackground,listFocusAndSelectionForeground:i&&i.listFocusAndSelectionForeground||n.listActiveSelectionForeground,listInactiveSelectionBackground:i&&i.listInactiveSelectionBackground||n.listInactiveSelectionBackground,listInactiveSelectionForeground:i&&i.listInactiveSelectionForeground||n.listInactiveSelectionForeground,listInactiveFocusBackground:i&&i.listInactiveFocusBackground||n.listInactiveFocusBackground,listHoverBackground:i&&i.listHoverBackground||n.listHoverBackground,listHoverForeground:i&&i.listHoverForeground||n.listHoverForeground,listDropBackground:i&&i.listDropBackground||n.listDropBackground,listFocusOutline:i&&i.listFocusOutline||n.activeContrastBorder,
listSelectionOutline:i&&i.listSelectionOutline||n.activeContrastBorder,listHoverOutline:i&&i.listHoverOutline||n.activeContrastBorder},e)},t.attachListStyler=function(e,n,o){return r(n,i.mixin(o||Object.create(null),t.defaultListStyles,!1),e)},t.defaultListStyles={listFocusBackground:n.listFocusBackground,listFocusForeground:n.listFocusForeground,listActiveSelectionBackground:n.lighten(n.listActiveSelectionBackground,.1),listActiveSelectionForeground:n.listActiveSelectionForeground,listFocusAndSelectionBackground:n.listActiveSelectionBackground,listFocusAndSelectionForeground:n.listActiveSelectionForeground,listInactiveSelectionBackground:n.listInactiveSelectionBackground,listInactiveSelectionForeground:n.listInactiveSelectionForeground,listInactiveFocusBackground:n.listInactiveFocusBackground,listHoverBackground:n.listHoverBackground,listHoverForeground:n.listHoverForeground,listDropBackground:n.listDropBackground,listFocusOutline:n.activeContrastBorder,listSelectionOutline:n.activeContrastBorder,
listHoverOutline:n.activeContrastBorder},t.attachButtonStyler=function(e,t,i){return r(t,{buttonForeground:i&&i.buttonForeground||n.buttonForeground,buttonBackground:i&&i.buttonBackground||n.buttonBackground,buttonHoverBackground:i&&i.buttonHoverBackground||n.buttonHoverBackground,buttonBorder:n.contrastBorder},e)},t.attachProgressBarStyler=function(e,t,i){return r(t,{progressBarBackground:i&&i.progressBarBackground||n.progressBarBackground},e)},t.attachStylerCallback=function(e,t,n){return r(e,t,n)}}),define(t[487],n([0,1,49,296,24,109,23]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t,n,i,o,r){this.codeEditor=e,this.themeService=r,this.create(t,n,i,o)}return e.prototype.create=function(e,t,o,a){this.domNode=n.$().div().getHTMLElement(),this.quickOpenWidget=new i.QuickOpenWidget(this.domNode,{onOk:e,onCancel:t,onType:o},{inputPlaceHolder:null,inputAriaLabel:a.inputAriaLabel,keyboardSupport:!0}),
this.styler=r.attachQuickOpenStyler(this.quickOpenWidget,this.themeService,{pickerGroupForeground:s.foreground}),this.quickOpenWidget.create(),this.codeEditor.addOverlayWidget(this)},e.prototype.setInput=function(e,t){this.quickOpenWidget.setInput(e,t)},e.prototype.getId=function(){return e.ID},e.prototype.getDomNode=function(){return this.domNode},e.prototype.destroy=function(){this.codeEditor.removeOverlayWidget(this),this.quickOpenWidget.dispose(),this.styler.dispose()},e.prototype.isVisible=function(){return this.visible},e.prototype.show=function(e){this.visible=!0;var t=this.codeEditor.getLayoutInfo();t&&this.quickOpenWidget.layout(new n.Dimension(t.width,t.height)),this.quickOpenWidget.show(e),this.codeEditor.layoutOverlayWidget(this)},e.prototype.hide=function(){this.visible=!1,this.quickOpenWidget.hide(),this.codeEditor.layoutOverlayWidget(this)},e.prototype.getPosition=function(){return this.visible?{preference:o.OverlayWidgetPositionPreference.TOP_CENTER}:null},
e.ID="editor.contrib.quickOpenEditorWidget",e}();t.QuickOpenEditorWidget=a}),define(t[16],n([0,1,14,46,4]),function(e,t,n,i,o){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.IThemeService=n.createDecorator("themeService"),t.themeColorFromId=function(e){return{id:e}},t.FileThemeIcon={id:"file"},t.FolderThemeIcon={id:"folder"},t.DARK="dark",t.LIGHT="light",t.HIGH_CONTRAST="hc",t.getThemeTypeSelector=function(e){switch(e){case t.DARK:return"vs-dark";case t.HIGH_CONTRAST:return"hc-black";default:return"vs"}},t.Extensions={ThemingContribution:"base.contributions.theming"};var r=new(function(){function e(){this.themingParticipants=[],this.themingParticipants=[],this.onThemingParticipantAddedEmitter=new o.Emitter}return e.prototype.onThemeChange=function(e){var t=this;return this.themingParticipants.push(e),this.onThemingParticipantAddedEmitter.fire(e),{dispose:function(){var n=t.themingParticipants.indexOf(e);t.themingParticipants.splice(n,1)}}},
Object.defineProperty(e.prototype,"onThemingParticipantAdded",{get:function(){return this.onThemingParticipantAddedEmitter.event},enumerable:!0,configurable:!0}),e.prototype.getThemingParticipants=function(){return this.themingParticipants},e}());i.Registry.add(t.Extensions.ThemingContribution,r),t.registerThemingParticipant=function(e){return r.onThemeChange(e)}}),define(t[489],n([0,1,9,29,10,55,28,421,2,16]),function(e,t,n,i,r,s,a,l,c,h){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var p=function(e){function t(t,n){void 0===n&&(n=r.createStyleSheet());var i=e.call(this)||this;return i._styleSheet=n,i._decorationOptionProviders=Object.create(null),i._themeService=t,i}return o(t,e),t.prototype.registerDecorationType=function(e,t,n){var i=this._decorationOptionProviders[e];if(!i){var o={styleSheet:this._styleSheet,key:e,parentTypeKey:n,options:t||Object.create(null)};i=n?new g(this._themeService,o):new m(this._themeService,o),this._decorationOptionProviders[e]=i}i.refCount++},
t.prototype.removeDecorationType=function(e){var t=this._decorationOptionProviders[e];t&&(t.refCount--,t.refCount<=0&&(delete this._decorationOptionProviders[e],t.dispose(),this.listCodeEditors().forEach(function(t){return t.removeDecorations(e)})))},t.prototype.resolveDecorationOptions=function(e,t){var n=this._decorationOptionProviders[e];if(!n)throw new Error("Unknown decoration type key: "+e);return n.getOptions(this,t)},t=u([d(0,h.IThemeService)],t)}(l.AbstractCodeEditorService);t.CodeEditorServiceImpl=p;var f,g=function(){function e(e,t){this._parentTypeKey=t.parentTypeKey,this.refCount=0,this._beforeContentRules=new _(3,t,e),this._afterContentRules=new _(4,t,e)}return e.prototype.getOptions=function(e,t){var n=e.resolveDecorationOptions(this._parentTypeKey,!0);return this._beforeContentRules&&(n.beforeContentClassName=this._beforeContentRules.className),this._afterContentRules&&(n.afterContentClassName=this._afterContentRules.className),n},e.prototype.dispose=function(){
this._beforeContentRules&&(this._beforeContentRules.dispose(),this._beforeContentRules=null),this._afterContentRules&&(this._afterContentRules.dispose(),this._afterContentRules=null)},e}(),m=function(){function e(e,t){var n=this;this.refCount=0,this._disposables=[];var i=function(i){var o=new _(i,t,e);if(o.hasContent)return n._disposables.push(o),o.className};this.className=i(0),this.inlineClassName=i(1),this.beforeContentClassName=i(3),this.afterContentClassName=i(4),this.glyphMarginClassName=i(2);var o=t.options;this.isWholeLine=Boolean(o.isWholeLine),this.stickiness=o.rangeBehavior;var r=o.light&&o.light.overviewRulerColor||o.overviewRulerColor,s=o.dark&&o.dark.overviewRulerColor||o.overviewRulerColor;void 0===r&&void 0===s||(this.overviewRuler={color:r||s,darkColor:s||r,position:o.overviewRulerLane||a.OverviewRulerLane.Center})}return e.prototype.getOptions=function(e,t){return t?{inlineClassName:this.inlineClassName,beforeContentClassName:this.beforeContentClassName,
afterContentClassName:this.afterContentClassName,className:this.className,glyphMarginClassName:this.glyphMarginClassName,isWholeLine:this.isWholeLine,overviewRuler:this.overviewRuler,stickiness:this.stickiness}:this},e.prototype.dispose=function(){this._disposables=c.dispose(this._disposables)},e}(),v={color:"color:{0} !important;",backgroundColor:"background-color:{0};",outline:"outline:{0};",outlineColor:"outline-color:{0};",outlineStyle:"outline-style:{0};",outlineWidth:"outline-width:{0};",border:"border:{0};",borderColor:"border-color:{0};",borderRadius:"border-radius:{0};",borderSpacing:"border-spacing:{0};",borderStyle:"border-style:{0};",borderWidth:"border-width:{0};",fontStyle:"font-style:{0};",fontWeight:"font-weight:{0};",textDecoration:"text-decoration:{0};",cursor:"cursor:{0};",letterSpacing:"letter-spacing:{0};",gutterIconPath:"background:url('{0}') center center no-repeat;",gutterIconSize:"background-size:{0};",contentText:"content:'{0}';",contentIconPath:"content:url('{0}');",
margin:"margin:{0};",width:"width:{0};",height:"height:{0};"},_=function(){function e(e,t,n){var i=this;this._theme=n.getTheme(),this._ruleType=e,this._providerArgs=t,this._usesThemeColors=!1,this._hasContent=!1;var o=y.getClassName(this._providerArgs.key,e);this._providerArgs.parentTypeKey&&(o=o+" "+y.getClassName(this._providerArgs.parentTypeKey,e)),this._className=o,this._unThemedSelector=y.getSelector(this._providerArgs.key,this._providerArgs.parentTypeKey,e),this._buildCSS(),this._usesThemeColors&&(this._themeListener=n.onThemeChange(function(e){i._theme=n.getTheme(),i._removeCSS(),i._buildCSS()}))}return e.prototype.dispose=function(){this._hasContent&&(this._removeCSS(),this._hasContent=!1),this._themeListener&&(this._themeListener.dispose(),this._themeListener=null)},Object.defineProperty(e.prototype,"hasContent",{get:function(){return this._hasContent},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"className",{get:function(){return this._className},enumerable:!0,configurable:!0}),
e.prototype._buildCSS=function(){var e,t,n,i=this._providerArgs.options;switch(this._ruleType){case 0:e=this.getCSSTextForModelDecorationClassName(i),t=this.getCSSTextForModelDecorationClassName(i.light),n=this.getCSSTextForModelDecorationClassName(i.dark);break;case 1:e=this.getCSSTextForModelDecorationInlineClassName(i),t=this.getCSSTextForModelDecorationInlineClassName(i.light),n=this.getCSSTextForModelDecorationInlineClassName(i.dark);break;case 2:e=this.getCSSTextForModelDecorationGlyphMarginClassName(i),t=this.getCSSTextForModelDecorationGlyphMarginClassName(i.light),n=this.getCSSTextForModelDecorationGlyphMarginClassName(i.dark);break;case 3:e=this.getCSSTextForModelDecorationContentClassName(i.before),t=this.getCSSTextForModelDecorationContentClassName(i.light&&i.light.before),n=this.getCSSTextForModelDecorationContentClassName(i.dark&&i.dark.before);break;case 4:e=this.getCSSTextForModelDecorationContentClassName(i.after),t=this.getCSSTextForModelDecorationContentClassName(i.light&&i.light.after),
n=this.getCSSTextForModelDecorationContentClassName(i.dark&&i.dark.after);break;default:throw new Error("Unknown rule type: "+this._ruleType)}var o=this._providerArgs.styleSheet.sheet,r=!1;e.length>0&&(o.insertRule(this._unThemedSelector+" {"+e+"}",0),r=!0),t.length>0&&(o.insertRule(".vs"+this._unThemedSelector+" {"+t+"}",0),r=!0),n.length>0&&(o.insertRule(".vs-dark"+this._unThemedSelector+", .hc-black"+this._unThemedSelector+" {"+n+"}",0),r=!0),this._hasContent=r},e.prototype._removeCSS=function(){r.removeCSSRulesContainingSelector(this._unThemedSelector,this._providerArgs.styleSheet)},e.prototype.getCSSTextForModelDecorationClassName=function(e){if(!e)return"";var t=[];return this.collectCSSText(e,["backgroundColor"],t),this.collectCSSText(e,["outline","outlineColor","outlineStyle","outlineWidth"],t),this.collectBorderSettingsCSSText(e,t),t.join("")},e.prototype.getCSSTextForModelDecorationInlineClassName=function(e){if(!e)return"";var t=[]
;return this.collectCSSText(e,["fontStyle","fontWeight","textDecoration","cursor","color","letterSpacing"],t),t.join("")},e.prototype.getCSSTextForModelDecorationContentClassName=function(e){if(!e)return"";var t=[];if(void 0!==e){if(this.collectBorderSettingsCSSText(e,t),void 0!==e.contentIconPath&&("string"==typeof e.contentIconPath?t.push(n.format(v.contentIconPath,i.default.file(e.contentIconPath).toString().replace(/'/g,"%27"))):t.push(n.format(v.contentIconPath,i.default.revive(e.contentIconPath).toString(!0).replace(/'/g,"%27")))),"string"==typeof e.contentText){var o=e.contentText.match(/^.*$/m)[0].replace(/['\\]/g,"\\$&");t.push(n.format(v.contentText,o))}this.collectCSSText(e,["fontStyle","fontWeight","textDecoration","color","backgroundColor","margin"],t),this.collectCSSText(e,["width","height"],t)&&t.push("display:inline-block;")}return t.join("")},e.prototype.getCSSTextForModelDecorationGlyphMarginClassName=function(e){if(!e)return"";var t=[]
;return void 0!==e.gutterIconPath&&("string"==typeof e.gutterIconPath?t.push(n.format(v.gutterIconPath,i.default.file(e.gutterIconPath).toString())):t.push(n.format(v.gutterIconPath,i.default.revive(e.gutterIconPath).toString(!0).replace(/'/g,"%27"))),void 0!==e.gutterIconSize&&t.push(n.format(v.gutterIconSize,e.gutterIconSize))),t.join("")},e.prototype.collectBorderSettingsCSSText=function(e,t){return!!this.collectCSSText(e,["border","borderColor","borderRadius","borderSpacing","borderStyle","borderWidth"],t)&&(t.push(n.format("box-sizing: border-box;")),!0)},e.prototype.collectCSSText=function(e,t,i){for(var o=i.length,r=0,s=t;r<s.length;r++){var a=s[r],l=this.resolveValue(e[a]);"string"==typeof l&&i.push(n.format(v[a],l))}return i.length!==o},e.prototype.resolveValue=function(e){if(s.isThemeColor(e)){this._usesThemeColors=!0;var t=this._theme.getColor(e.id);return t?t.toString():"transparent"}return e},e}();!function(e){e[e.ClassName=0]="ClassName",e[e.InlineClassName=1]="InlineClassName",
e[e.GlyphMarginClassName=2]="GlyphMarginClassName",e[e.BeforeContentClassName=3]="BeforeContentClassName",e[e.AfterContentClassName=4]="AfterContentClassName"}(f||(f={}));var y=function(){function e(){}return e.getClassName=function(e,t){return"ced-"+e+"-"+t},e.getSelector=function(e,t,n){var i=".monaco-editor ."+this.getClassName(e,n);return t&&(i=i+"."+this.getClassName(t,n)),3===n?i+="::before":4===n&&(i+="::after"),i},e}()}),define(t[490],n([0,1,10,57,34,26,16]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,o,l,u){var c=e.call(this,t)||this,d=c._context.configuration.editor.viewInfo.scrollbar,h={listenOnDomNode:l.domNode,className:"editor-scrollable "+a.getThemeTypeSelector(t.theme.type),useShadows:!1,lazyRender:!0,vertical:d.vertical,horizontal:d.horizontal,verticalHasArrows:d.verticalHasArrows,horizontalHasArrows:d.horizontalHasArrows,verticalScrollbarSize:d.verticalScrollbarSize,verticalSliderSize:d.verticalSliderSize,
horizontalScrollbarSize:d.horizontalScrollbarSize,horizontalSliderSize:d.horizontalSliderSize,handleMouseWheel:d.handleMouseWheel,arrowSize:d.arrowSize,mouseWheelScrollSensitivity:d.mouseWheelScrollSensitivity};c.scrollbar=c._register(new i.SmoothScrollableElement(o.domNode,h,c._context.viewLayout.scrollable)),r.PartFingerprints.write(c.scrollbar.getDomNode(),5),c.scrollbarDomNode=s.createFastDomNode(c.scrollbar.getDomNode()),c.scrollbarDomNode.setPosition("absolute"),c._setLayout();var p=function(e,t,n){var i={};if(t){var o=e.scrollTop;o&&(i.scrollTop=c._context.viewLayout.getCurrentScrollTop()+o,e.scrollTop=0)}if(n){var r=e.scrollLeft;r&&(i.scrollLeft=c._context.viewLayout.getCurrentScrollLeft()+r,e.scrollLeft=0)}c._context.viewLayout.setScrollPositionNow(i)};return c._register(n.addDisposableListener(l.domNode,"scroll",function(e){return p(l.domNode,!0,!0)})),c._register(n.addDisposableListener(o.domNode,"scroll",function(e){return p(o.domNode,!0,!1)})),
c._register(n.addDisposableListener(u.domNode,"scroll",function(e){return p(u.domNode,!0,!1)})),c._register(n.addDisposableListener(c.scrollbarDomNode.domNode,"scroll",function(e){return p(c.scrollbarDomNode.domNode,!0,!1)})),c}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._setLayout=function(){var e=this._context.configuration.editor.layoutInfo;this.scrollbarDomNode.setLeft(e.contentLeft);"right"===this._context.configuration.editor.viewInfo.minimap.side?this.scrollbarDomNode.setWidth(e.contentWidth+e.minimapWidth):this.scrollbarDomNode.setWidth(e.contentWidth),this.scrollbarDomNode.setHeight(e.contentHeight)},t.prototype.getOverviewRulerLayoutInfo=function(){return this.scrollbar.getOverviewRulerLayoutInfo()},t.prototype.getDomNode=function(){return this.scrollbarDomNode},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this.scrollbar.delegateVerticalScrollbarMouseDown(e)},t.prototype.onConfigurationChanged=function(e){if(e.viewInfo){
var t=this._context.configuration.editor,n={handleMouseWheel:t.viewInfo.scrollbar.handleMouseWheel,mouseWheelScrollSensitivity:t.viewInfo.scrollbar.mouseWheelScrollSensitivity};this.scrollbar.updateOptions(n)}return e.layoutInfo&&this._setLayout(),!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onThemeChanged=function(e){return this.scrollbar.updateClassName("editor-scrollable "+a.getThemeTypeSelector(this._context.theme.type)),!0},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this.scrollbar.renderNow()},t}(r.ViewPart);t.EditorScrollbar=l}),define(t[190],n([0,1,32,15,9,26,118,97,212,92,16]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";function h(e,t,n,i,o){return new b(e,t,n,i,o)}function p(e,t,n,i,o){return new C(e,t,n,i,o)}Object.defineProperty(t,"__esModule",{value:!0});var f=!!i.isNative||!(i.isLinux||n.isFirefox||n.isSafari),g=n.isEdgeOrIE,m=function(){function e(e,t){this._domNode=e,this._clientRectDeltaLeft=0,this._clientRectDeltaLeftRead=!1,this.endNode=t}
return Object.defineProperty(e.prototype,"clientRectDeltaLeft",{get:function(){return this._clientRectDeltaLeftRead||(this._clientRectDeltaLeftRead=!0,this._clientRectDeltaLeft=this._domNode.getBoundingClientRect().left),this._clientRectDeltaLeft},enumerable:!0,configurable:!0}),e}();t.DomReadingContext=m;var v=function(){function e(e,t){this.themeType=t,this.renderWhitespace=e.editor.viewInfo.renderWhitespace,this.renderControlCharacters=e.editor.viewInfo.renderControlCharacters,this.spaceWidth=e.editor.fontInfo.spaceWidth,this.useMonospaceOptimizations=e.editor.fontInfo.isMonospace&&!e.editor.viewInfo.disableMonospaceOptimizations,this.lineHeight=e.editor.lineHeight,this.stopRenderingLineAfter=e.editor.viewInfo.stopRenderingLineAfter,this.fontLigatures=e.editor.viewInfo.fontLigatures}return e.prototype.equals=function(e){
return this.themeType===e.themeType&&this.renderWhitespace===e.renderWhitespace&&this.renderControlCharacters===e.renderControlCharacters&&this.spaceWidth===e.spaceWidth&&this.useMonospaceOptimizations===e.useMonospaceOptimizations&&this.lineHeight===e.lineHeight&&this.stopRenderingLineAfter===e.stopRenderingLineAfter&&this.fontLigatures===e.fontLigatures},e}();t.ViewLineOptions=v;var _=function(){function e(e){this._options=e,this._isMaybeInvalid=!0,this._renderedViewLine=null}return e.prototype.getDomNode=function(){return this._renderedViewLine&&this._renderedViewLine.domNode?this._renderedViewLine.domNode.domNode:null},e.prototype.setDomNode=function(e){if(!this._renderedViewLine)throw new Error("I have no rendered view line to set the dom node to...");this._renderedViewLine.domNode=s.createFastDomNode(e)},e.prototype.onContentChanged=function(){this._isMaybeInvalid=!0},e.prototype.onTokensChanged=function(){this._isMaybeInvalid=!0},e.prototype.onDecorationsChanged=function(){this._isMaybeInvalid=!0},
e.prototype.onOptionsChanged=function(e){this._isMaybeInvalid=!0,this._options=e},e.prototype.onSelectionChanged=function(){return!(!g&&this._options.themeType!==d.HIGH_CONTRAST)&&(this._isMaybeInvalid=!0,!0)},e.prototype.renderLine=function(t,n,i,o){if(!1===this._isMaybeInvalid)return!1;this._isMaybeInvalid=!1;var s=i.getViewLineRenderingData(t),u=this._options,c=a.LineDecoration.filter(s.inlineDecorations,t,s.minColumn,s.maxColumn);if(g||u.themeType===d.HIGH_CONTRAST)for(var h=i.selections,p=0,m=h.length;p<m;p++){var v=h[p];if(!(v.endLineNumber<t||v.startLineNumber>t)){var _=v.startLineNumber===t?v.startColumn:s.minColumn,C=v.endLineNumber===t?v.endColumn:s.maxColumn;_<C&&c.push(new a.LineDecoration(_,C,"inline-selected-text",0))}}var b=new l.RenderLineInput(u.useMonospaceOptimizations,s.content,s.mightContainRTL,s.minColumn-1,s.tokens,c,s.tabSize,u.spaceWidth,u.stopRenderingLineAfter,u.renderWhitespace,u.renderControlCharacters,u.fontLigatures)
;if(this._renderedViewLine&&this._renderedViewLine.input.equals(b))return!1;o.appendASCIIString('<div style="top:'),o.appendASCIIString(String(n)),o.appendASCIIString("px;height:"),o.appendASCIIString(String(this._options.lineHeight)),o.appendASCIIString('px;" class="'),o.appendASCIIString(e.CLASS_NAME),o.appendASCIIString('">');var w=l.renderViewLine(b,o);o.appendASCIIString("</div>");var E=null;if(f&&u.useMonospaceOptimizations&&!w.containsForeignElements){var L=!0;s.mightContainNonBasicASCII&&(L=r.isBasicASCII(s.content)),L&&s.content.length<1e3&&b.lineTokens.getCount()<100&&(E=new y(this._renderedViewLine?this._renderedViewLine.domNode:null,b,w.characterMapping))}return E||(E=S(this._renderedViewLine?this._renderedViewLine.domNode:null,b,w.characterMapping,w.containsRTL,w.containsForeignElements)),this._renderedViewLine=E,!0},e.prototype.layoutLine=function(e,t){this._renderedViewLine&&this._renderedViewLine.domNode&&(this._renderedViewLine.domNode.setTop(t),
this._renderedViewLine.domNode.setHeight(this._options.lineHeight))},e.prototype.getWidth=function(){return this._renderedViewLine?this._renderedViewLine.getWidth():0},e.prototype.getWidthIsFast=function(){return!this._renderedViewLine||this._renderedViewLine.getWidthIsFast()},e.prototype.getVisibleRangesForRange=function(e,t,n){e|=0,t|=0,e=Math.min(this._renderedViewLine.input.lineContent.length+1,Math.max(1,e)),t=Math.min(this._renderedViewLine.input.lineContent.length+1,Math.max(1,t));var i=0|this._renderedViewLine.input.stopRenderingLineAfter;return-1!==i&&e>i&&t>i?null:(-1!==i&&e>i&&(e=i),-1!==i&&t>i&&(t=i),this._renderedViewLine.getVisibleRangesForRange(e,t,n))},e.prototype.getColumnOfNodeOffset=function(e,t,n){return this._renderedViewLine.getColumnOfNodeOffset(e,t,n)},e.CLASS_NAME="view-line",e}();t.ViewLine=_;var y=function(){function e(e,t,n){this.domNode=e,this.input=t,this._characterMapping=n,this._charWidth=t.spaceWidth}return e.prototype.getWidth=function(){
return this._getCharPosition(this._characterMapping.length)},e.prototype.getWidthIsFast=function(){return!0},e.prototype.getVisibleRangesForRange=function(e,t,n){var i=this._getCharPosition(e),o=this._getCharPosition(t);return[new c.HorizontalRange(i,o-i)]},e.prototype._getCharPosition=function(e){var t=this._characterMapping.getAbsoluteOffsets();return 0===t.length?0:Math.round(this._charWidth*t[e-1])},e.prototype.getColumnOfNodeOffset=function(e,t,n){for(var i=t.textContent.length,o=-1;t;)t=t.previousSibling,o++;return this._characterMapping.partDataToCharOffset(o,i,n)+1},e}(),C=function(){function e(e,t,n,i,o){if(this.domNode=e,this.input=t,this._characterMapping=n,this._isWhitespaceOnly=/^\s*$/.test(t.lineContent),this._containsForeignElements=o,this._cachedWidth=-1,this._pixelOffsetCache=null,!i||0===this._characterMapping.length){this._pixelOffsetCache=new Int32Array(Math.max(2,this._characterMapping.length+1));for(var r=0,s=this._characterMapping.length;r<=s;r++)this._pixelOffsetCache[r]=-1}}
return e.prototype._getReadingTarget=function(){return this.domNode.domNode.firstChild},e.prototype.getWidth=function(){return-1===this._cachedWidth&&(this._cachedWidth=this._getReadingTarget().offsetWidth),this._cachedWidth},e.prototype.getWidthIsFast=function(){return-1!==this._cachedWidth},e.prototype.getVisibleRangesForRange=function(e,t,n){if(null!==this._pixelOffsetCache){var i=this._readPixelOffset(e,n);if(-1===i)return null;var o=this._readPixelOffset(t,n);return-1===o?null:[new c.HorizontalRange(i,o-i)]}return this._readVisibleRangesForRange(e,t,n)},e.prototype._readVisibleRangesForRange=function(e,t,n){if(e===t){var i=this._readPixelOffset(e,n);return-1===i?null:[new c.HorizontalRange(i,0)]}return this._readRawVisibleRangesForRange(e,t,n)},e.prototype._readPixelOffset=function(e,t){if(0===this._characterMapping.length&&!this._containsForeignElements)return 0;if(null!==this._pixelOffsetCache){var n=this._pixelOffsetCache[e];if(-1!==n)return n;var i=this._actualReadPixelOffset(e,t)
;return this._pixelOffsetCache[e]=i,i}return this._actualReadPixelOffset(e,t)},e.prototype._actualReadPixelOffset=function(e,t){if(0===this._characterMapping.length){var n=u.RangeUtil.readHorizontalRanges(this._getReadingTarget(),0,0,0,0,t.clientRectDeltaLeft,t.endNode);return n&&0!==n.length?n[0].left:-1}if(e===this._characterMapping.length&&this._isWhitespaceOnly&&!this._containsForeignElements)return this.getWidth();var i=this._characterMapping.charOffsetToPartData(e-1),o=l.CharacterMapping.getPartIndex(i),r=l.CharacterMapping.getCharIndex(i),s=u.RangeUtil.readHorizontalRanges(this._getReadingTarget(),o,r,o,r,t.clientRectDeltaLeft,t.endNode);return s&&0!==s.length?s[0].left:-1},e.prototype._readRawVisibleRangesForRange=function(e,t,n){if(1===e&&t===this._characterMapping.length)return[new c.HorizontalRange(0,this.getWidth())]
;var i=this._characterMapping.charOffsetToPartData(e-1),o=l.CharacterMapping.getPartIndex(i),r=l.CharacterMapping.getCharIndex(i),s=this._characterMapping.charOffsetToPartData(t-1),a=l.CharacterMapping.getPartIndex(s),d=l.CharacterMapping.getCharIndex(s);return u.RangeUtil.readHorizontalRanges(this._getReadingTarget(),o,r,a,d,n.clientRectDeltaLeft,n.endNode)},e.prototype.getColumnOfNodeOffset=function(e,t,n){for(var i=t.textContent.length,o=-1;t;)t=t.previousSibling,o++;return this._characterMapping.partDataToCharOffset(o,i,n)+1},e}(),b=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._readVisibleRangesForRange=function(t,n,i){var o=e.prototype._readVisibleRangesForRange.call(this,t,n,i);if(!o||0===o.length||t===n||1===t&&n===this._characterMapping.length)return o;var r=this._readPixelOffset(n-1,i),s=this._readPixelOffset(n,i);if(-1!==r&&-1!==s){var a=r<=s,l=o[o.length-1];a&&l.left<s&&(l.width=s-l.left)}return o},t}(C),S=n.isWebKit?h:p}),
define(t[191],n([0,1,13,3,24,122,32,34,190]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(){function e(e,t,n,o,r,s){void 0===n&&(n=0),void 0===o&&(o=null),void 0===r&&(r=null),void 0===s&&(s=null),this.element=e,this.type=t,this.mouseColumn=n,this.position=o,!r&&o&&(r=new i.Range(o.lineNumber,o.column,o.lineNumber,o.column)),this.range=r,this.detail=s}return e._typeToString=function(e){
return e===r.MouseTargetType.TEXTAREA?"TEXTAREA":e===r.MouseTargetType.GUTTER_GLYPH_MARGIN?"GUTTER_GLYPH_MARGIN":e===r.MouseTargetType.GUTTER_LINE_NUMBERS?"GUTTER_LINE_NUMBERS":e===r.MouseTargetType.GUTTER_LINE_DECORATIONS?"GUTTER_LINE_DECORATIONS":e===r.MouseTargetType.GUTTER_VIEW_ZONE?"GUTTER_VIEW_ZONE":e===r.MouseTargetType.CONTENT_TEXT?"CONTENT_TEXT":e===r.MouseTargetType.CONTENT_EMPTY?"CONTENT_EMPTY":e===r.MouseTargetType.CONTENT_VIEW_ZONE?"CONTENT_VIEW_ZONE":e===r.MouseTargetType.CONTENT_WIDGET?"CONTENT_WIDGET":e===r.MouseTargetType.OVERVIEW_RULER?"OVERVIEW_RULER":e===r.MouseTargetType.SCROLLBAR?"SCROLLBAR":e===r.MouseTargetType.OVERLAY_WIDGET?"OVERLAY_WIDGET":"UNKNOWN"},e.toString=function(e){return this._typeToString(e.type)+": "+e.position+" - "+e.range+" - "+e.detail},e.prototype.toString=function(){return e.toString(this)},e}();t.MouseTarget=c;var d=function(){function e(){}return e.isTextArea=function(e){return 2===e.length&&3===e[0]&&6===e[1]},e.isChildOfViewLines=function(e){
return e.length>=4&&3===e[0]&&7===e[3]},e.isChildOfScrollableElement=function(e){return e.length>=2&&3===e[0]&&5===e[1]},e.isChildOfMinimap=function(e){return e.length>=2&&3===e[0]&&8===e[1]},e.isChildOfContentWidgets=function(e){return e.length>=4&&3===e[0]&&1===e[3]},e.isChildOfOverflowingContentWidgets=function(e){return e.length>=1&&2===e[0]},e.isChildOfOverlayWidgets=function(e){return e.length>=2&&3===e[0]&&4===e[1]},e}(),h=function(){function e(e,t,n){this.model=e.model,this.layoutInfo=e.configuration.editor.layoutInfo,this.viewDomNode=t.viewDomNode,this.lineHeight=e.configuration.editor.lineHeight,this.typicalHalfwidthCharacterWidth=e.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,this.lastViewCursorsRenderData=n,this._context=e,this._viewHelper=t}return e.prototype.getZoneAtCoord=function(e){var t=this._context.viewLayout.getWhitespaceAtVerticalOffset(e);if(t){var i=t.verticalOffset+t.height/2,o=this._context.model.getLineCount(),r=null,s=void 0,a=null
;return t.afterLineNumber!==o&&(a=new n.Position(t.afterLineNumber+1,1)),t.afterLineNumber>0&&(r=new n.Position(t.afterLineNumber,this._context.model.getLineMaxColumn(t.afterLineNumber))),s=null===a?r:null===r?a:e<i?r:a,{viewZoneId:t.id,afterLineNumber:t.afterLineNumber,positionBefore:r,positionAfter:a,position:s}}return null},e.prototype.getFullLineRangeAtCoord=function(e){if(this._context.viewLayout.isAfterLines(e)){var t=this._context.model.getLineCount(),n=this._context.model.getLineMaxColumn(t);return{range:new i.Range(t,n,t,n),isAfterLines:!0}}var o=this._context.viewLayout.getLineNumberAtVerticalOffset(e),r=this._context.model.getLineMaxColumn(o);return{range:new i.Range(o,1,o,r),isAfterLines:!1}},e.prototype.getLineNumberAtVerticalOffset=function(e){return this._context.viewLayout.getLineNumberAtVerticalOffset(e)},e.prototype.isAfterLines=function(e){return this._context.viewLayout.isAfterLines(e)},e.prototype.getVerticalOffsetForLineNumber=function(e){
return this._context.viewLayout.getVerticalOffsetForLineNumber(e)},e.prototype.findAttribute=function(t,n){return e._findAttribute(t,n,this._viewHelper.viewDomNode)},e._findAttribute=function(e,t,n){for(;e&&e!==document.body;){if(e.hasAttribute&&e.hasAttribute(t))return e.getAttribute(t);if(e===n)return null;e=e.parentNode}return null},e.prototype.getLineWidth=function(e){return this._viewHelper.getLineWidth(e)},e.prototype.visibleRangeForPosition2=function(e,t){return this._viewHelper.visibleRangeForPosition2(e,t)},e.prototype.getPositionFromDOMInfo=function(e,t){return this._viewHelper.getPositionFromDOMInfo(e,t)},e.prototype.getCurrentScrollTop=function(){return this._context.viewLayout.getCurrentScrollTop()},e.prototype.getCurrentScrollLeft=function(){return this._context.viewLayout.getCurrentScrollLeft()},e}(),p=function(e){function t(t,n,i,o){var r=e.call(this,t,n,i)||this;return r._ctx=t,o?(r.target=o,r.targetPath=l.PartFingerprints.collect(o,t.viewDomNode)):(r.target=null,
r.targetPath=new Uint8Array(0)),r}return o(t,e),t.prototype.toString=function(){return"pos("+this.pos.x+","+this.pos.y+"), editorPos("+this.editorPos.x+","+this.editorPos.y+"), mouseVerticalOffset: "+this.mouseVerticalOffset+", mouseContentHorizontalOffset: "+this.mouseContentHorizontalOffset+"\n\ttarget: "+(this.target?this.target.outerHTML:null)},t.prototype.fulfill=function(e,t,n,i){return void 0===t&&(t=null),void 0===n&&(n=null),void 0===i&&(i=null),new c(this.target,e,this.mouseColumn,t,n,i)},t.prototype.withTarget=function(e){return new t(this._ctx,this.editorPos,this.pos,e)},t}(function(){return function(e,t,n){this.editorPos=t,this.pos=n,this.mouseVerticalOffset=Math.max(0,e.getCurrentScrollTop()+n.y-t.y),this.mouseContentHorizontalOffset=e.getCurrentScrollLeft()+n.x-t.x-e.layoutInfo.contentLeft,this.isInMarginArea=n.x-t.x<e.layoutInfo.contentLeft&&n.x-t.x>=e.layoutInfo.glyphMarginLeft,this.isInContentArea=!this.isInMarginArea,
this.mouseColumn=Math.max(0,m._getMouseColumn(this.mouseContentHorizontalOffset,e.typicalHalfwidthCharacterWidth))}}()),f={isAfterLines:!0},g={isAfterLines:!1},m=function(){function e(e,t){this._context=e,this._viewHelper=t}return e.prototype.mouseTargetIsWidget=function(e){var t=e.target,n=l.PartFingerprints.collect(t,this._viewHelper.viewDomNode);return!(!d.isChildOfContentWidgets(n)&&!d.isChildOfOverflowingContentWidgets(n))||!!d.isChildOfOverlayWidgets(n)},e.prototype.createMouseTarget=function(t,n,i,o){var s=new h(this._context,this._viewHelper,t),a=new p(s,n,i,o);try{return e._createMouseTarget(s,a,!1)}catch(e){return a.fulfill(r.MouseTargetType.UNKNOWN)}},e._createMouseTarget=function(t,n,i){if(null===n.target){if(i)return n.fulfill(r.MouseTargetType.UNKNOWN);var o=e._doHitTest(t,n);return o.position?e.createMouseTargetFromHitTestPosition(t,n,o.position.lineNumber,o.position.column):this._createMouseTarget(t,n.withTarget(o.hitTarget),!0)}var s=null;return s=s||e._hitTestContentWidget(t,n),
s=s||e._hitTestOverlayWidget(t,n),s=s||e._hitTestMinimap(t,n),s=s||e._hitTestScrollbarSlider(t,n),s=s||e._hitTestViewZone(t,n),s=s||e._hitTestMargin(t,n),s=s||e._hitTestViewCursor(t,n),s=s||e._hitTestTextArea(t,n),s=s||e._hitTestViewLines(t,n,i),(s=s||e._hitTestScrollbar(t,n))||n.fulfill(r.MouseTargetType.UNKNOWN)},e._hitTestContentWidget=function(e,t){if(d.isChildOfContentWidgets(t.targetPath)||d.isChildOfOverflowingContentWidgets(t.targetPath)){var n=e.findAttribute(t.target,"widgetId");return n?t.fulfill(r.MouseTargetType.CONTENT_WIDGET,null,null,n):t.fulfill(r.MouseTargetType.UNKNOWN)}return null},e._hitTestOverlayWidget=function(e,t){if(d.isChildOfOverlayWidgets(t.targetPath)){var n=e.findAttribute(t.target,"widgetId");return n?t.fulfill(r.MouseTargetType.OVERLAY_WIDGET,null,null,n):t.fulfill(r.MouseTargetType.UNKNOWN)}return null},e._hitTestViewCursor=function(e,t){if(t.target)for(var n=0,i=(o=e.lastViewCursorsRenderData).length;n<i;n++){l=o[n]
;if(t.target===l.domNode)return t.fulfill(r.MouseTargetType.CONTENT_TEXT,l.position)}if(t.isInContentArea)for(var o=e.lastViewCursorsRenderData,s=t.mouseContentHorizontalOffset,a=t.mouseVerticalOffset,n=0,i=o.length;n<i;n++){var l;if(!(s<(l=o[n]).contentLeft)&&!(s>l.contentLeft+l.width)){var u=e.getVerticalOffsetForLineNumber(l.position.lineNumber);if(u<=a&&a<=u+l.height)return t.fulfill(r.MouseTargetType.CONTENT_TEXT,l.position)}}return null},e._hitTestViewZone=function(e,t){var n=e.getZoneAtCoord(t.mouseVerticalOffset);if(n){var i=t.isInContentArea?r.MouseTargetType.CONTENT_VIEW_ZONE:r.MouseTargetType.GUTTER_VIEW_ZONE;return t.fulfill(i,n.position,null,n)}return null},e._hitTestTextArea=function(e,t){return d.isTextArea(t.targetPath)?t.fulfill(r.MouseTargetType.TEXTAREA):null},e._hitTestMargin=function(e,t){if(t.isInMarginArea){var n=e.getFullLineRangeAtCoord(t.mouseVerticalOffset),i=n.range.getStartPosition(),o=Math.abs(t.pos.x-t.editorPos.x),s={isAfterLines:n.isAfterLines,
glyphMarginWidth:e.layoutInfo.glyphMarginWidth,lineNumbersWidth:e.layoutInfo.lineNumbersWidth,offsetX:o};return(o-=e.layoutInfo.glyphMarginLeft)<=e.layoutInfo.glyphMarginWidth?t.fulfill(r.MouseTargetType.GUTTER_GLYPH_MARGIN,i,n.range,s):(o-=e.layoutInfo.glyphMarginWidth)<=e.layoutInfo.lineNumbersWidth?t.fulfill(r.MouseTargetType.GUTTER_LINE_NUMBERS,i,n.range,s):(o-=e.layoutInfo.lineNumbersWidth,t.fulfill(r.MouseTargetType.GUTTER_LINE_DECORATIONS,i,n.range,s))}return null},e._hitTestViewLines=function(t,i,o){if(!d.isChildOfViewLines(i.targetPath))return null;if(t.isAfterLines(i.mouseVerticalOffset)){var s=t.model.getLineCount(),a=t.model.getLineMaxColumn(s);return i.fulfill(r.MouseTargetType.CONTENT_EMPTY,new n.Position(s,a),void 0,f)}if(o)return i.fulfill(r.MouseTargetType.UNKNOWN);var l=e._doHitTest(t,i);return l.position?e.createMouseTargetFromHitTestPosition(t,i,l.position.lineNumber,l.position.column):this._createMouseTarget(t,i.withTarget(l.hitTarget),!0)},e._hitTestMinimap=function(e,t){
if(d.isChildOfMinimap(t.targetPath)){var i=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),o=e.model.getLineMaxColumn(i);return t.fulfill(r.MouseTargetType.SCROLLBAR,new n.Position(i,o))}return null},e._hitTestScrollbarSlider=function(e,t){if(d.isChildOfScrollableElement(t.targetPath)&&t.target&&1===t.target.nodeType){var i=t.target.className;if(i&&/\b(slider|scrollbar)\b/.test(i)){var o=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),s=e.model.getLineMaxColumn(o);return t.fulfill(r.MouseTargetType.SCROLLBAR,new n.Position(o,s))}}return null},e._hitTestScrollbar=function(e,t){if(d.isChildOfScrollableElement(t.targetPath)){var i=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),o=e.model.getLineMaxColumn(i);return t.fulfill(r.MouseTargetType.SCROLLBAR,new n.Position(i,o))}return null},e.prototype.getMouseColumn=function(t,n){var i=this._context.configuration.editor.layoutInfo,o=this._context.viewLayout.getCurrentScrollLeft()+n.x-t.x-i.contentLeft
;return e._getMouseColumn(o,this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth)},e._getMouseColumn=function(e,t){if(e<0)return 1;return Math.round(e/t)+1},e.createMouseTargetFromHitTestPosition=function(e,t,o,s){var l=new n.Position(o,s),u=e.getLineWidth(o);if(t.mouseContentHorizontalOffset>u)return a.isEdge&&1===l.column?t.fulfill(r.MouseTargetType.CONTENT_EMPTY,new n.Position(o,e.model.getLineMaxColumn(o)),void 0,g):t.fulfill(r.MouseTargetType.CONTENT_EMPTY,l,void 0,g);var c=e.visibleRangeForPosition2(o,s);if(!c)return t.fulfill(r.MouseTargetType.UNKNOWN,l);var d=c.left;if(t.mouseContentHorizontalOffset===d)return t.fulfill(r.MouseTargetType.CONTENT_TEXT,l);var h=[];if(h.push({offset:c.left,column:s}),s>1){var p=e.visibleRangeForPosition2(o,s-1);p&&h.push({offset:p.left,column:s-1})}if(s<e.model.getLineMaxColumn(o)){var f=e.visibleRangeForPosition2(o,s+1);f&&h.push({offset:f.left,column:s+1})}h.sort(function(e,t){return e.offset-t.offset});for(var m=1;m<h.length;m++){
var v=h[m-1],_=h[m];if(v.offset<=t.mouseContentHorizontalOffset&&t.mouseContentHorizontalOffset<=_.offset){var y=new i.Range(o,v.column,o,_.column);return t.fulfill(r.MouseTargetType.CONTENT_TEXT,l,y)}}return t.fulfill(r.MouseTargetType.CONTENT_TEXT,l)},e._doHitTestWithCaretRangeFromPoint=function(e,t){var n=e.getLineNumberAtVerticalOffset(t.mouseVerticalOffset),i=e.getVerticalOffsetForLineNumber(n)+Math.floor(e.lineHeight/2),o=t.pos.y+(i-t.mouseVerticalOffset);o<=t.editorPos.y&&(o=t.editorPos.y+1),o>=t.editorPos.y+e.layoutInfo.height&&(o=t.editorPos.y+e.layoutInfo.height-1);var r=new s.PageCoordinates(t.pos.x,o),a=this._actualDoHitTestWithCaretRangeFromPoint(e,r.toClientCoordinates());return a.position?a:this._actualDoHitTestWithCaretRangeFromPoint(e,t.pos.toClientCoordinates())},e._actualDoHitTestWithCaretRangeFromPoint=function(e,t){var n=document.caretRangeFromPoint(t.clientX,t.clientY);if(!n||!n.startContainer)return{position:null,hitTarget:null};var i,o=n.startContainer;if(o.nodeType===o.TEXT_NODE){
var r=(a=(s=o.parentNode)?s.parentNode:null)?a.parentNode:null;if((r&&r.nodeType===r.ELEMENT_NODE?r.className:null)===u.ViewLine.CLASS_NAME){return{position:l=e.getPositionFromDOMInfo(s,n.startOffset),hitTarget:null}}i=o.parentNode}else if(o.nodeType===o.ELEMENT_NODE){var s=o.parentNode,a=s?s.parentNode:null;if((a&&a.nodeType===a.ELEMENT_NODE?a.className:null)===u.ViewLine.CLASS_NAME){var l=e.getPositionFromDOMInfo(o,o.textContent.length);return{position:l,hitTarget:null}}i=o}return{position:null,hitTarget:i}},e._doHitTestWithCaretPositionFromPoint=function(e,t){var n=document.caretPositionFromPoint(t.clientX,t.clientY);if(n.offsetNode.nodeType===n.offsetNode.TEXT_NODE){var i=n.offsetNode.parentNode,o=i?i.parentNode:null,r=o?o.parentNode:null;if((r&&r.nodeType===r.ELEMENT_NODE?r.className:null)===u.ViewLine.CLASS_NAME){return{position:e.getPositionFromDOMInfo(n.offsetNode.parentNode,n.offset),hitTarget:null}}return{position:null,hitTarget:n.offsetNode.parentNode}}return{position:null,hitTarget:n.offsetNode}},
e._doHitTestWithMoveToPoint=function(e,t){var n=null,i=null,o=document.body.createTextRange();try{o.moveToPoint(t.clientX,t.clientY)}catch(e){return{position:null,hitTarget:null}}o.collapse(!0);var r=o?o.parentElement():null,s=r?r.parentNode:null,a=s?s.parentNode:null;if((a&&a.nodeType===a.ELEMENT_NODE?a.className:"")===u.ViewLine.CLASS_NAME){var l=o.duplicate();l.moveToElementText(r),l.setEndPoint("EndToStart",o),n=e.getPositionFromDOMInfo(r,l.text.length),l.moveToElementText(e.viewDomNode)}else i=r;return o.moveToElementText(e.viewDomNode),{position:n,hitTarget:i}},e._doHitTest=function(e,t){return document.caretRangeFromPoint?this._doHitTestWithCaretRangeFromPoint(e,t):document.caretPositionFromPoint?this._doHitTestWithCaretPositionFromPoint(e,t.pos.toClientCoordinates()):document.body.createTextRange?this._doHitTestWithMoveToPoint(e,t.pos.toClientCoordinates()):{position:null,hitTarget:null}},e}();t.MouseTargetFactory=m}),
define(t[493],n([0,1,2,15,32,10,13,20,83,191,24,18,122,41,123]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g){"use strict";function m(e){return function(t,n){var i=!1;return e&&(i=e.mouseTargetIsWidget(n)),i||n.preventDefault(),n}}Object.defineProperty(t,"__esModule",{value:!0});var v=function(e){function t(n,i,o){var r=e.call(this)||this;r._isFocused=!1,r._context=n,r.viewController=i,r.viewHelper=o,r.mouseTargetFactory=new c.MouseTargetFactory(r._context,o),r._mouseDownOperation=r._register(new _(r._context,r.viewController,r.viewHelper,function(e,t){return r._createMouseTarget(e,t)},function(e){return r._getMouseColumn(e)})),r._asyncFocus=r._register(new h.RunOnceScheduler(function(){return r.viewHelper.focusTextArea()},0)),r.lastMouseLeaveTime=-1;var a=new p.EditorMouseEventFactory(r.viewHelper.viewDomNode);r._register(a.onContextMenu(r.viewHelper.viewDomNode,function(e){return r._onContextMenu(e,!0)})),r._register(a.onMouseMoveThrottled(r.viewHelper.viewDomNode,function(e){return r._onMouseMove(e)
},m(r.mouseTargetFactory),t.MOUSE_MOVE_MINIMUM_TIME)),r._register(a.onMouseUp(r.viewHelper.viewDomNode,function(e){return r._onMouseUp(e)})),r._register(a.onMouseLeave(r.viewHelper.viewDomNode,function(e){return r._onMouseLeave(e)})),r._register(a.onMouseDown(r.viewHelper.viewDomNode,function(e){return r._onMouseDown(e)}));var l=function(e){if(r._context.configuration.editor.viewInfo.mouseWheelZoom){var t=new f.StandardMouseWheelEvent(e);if(t.browserEvent.ctrlKey||t.browserEvent.metaKey){var n=g.EditorZoom.getZoomLevel(),i=t.deltaY>0?1:-1;g.EditorZoom.setZoomLevel(n+i),t.preventDefault(),t.stopPropagation()}}};return r._register(s.addDisposableListener(r.viewHelper.viewDomNode,"mousewheel",l,!0)),r._register(s.addDisposableListener(r.viewHelper.viewDomNode,"DOMMouseScroll",l,!0)),r._context.addEventHandler(r),r}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),e.prototype.dispose.call(this)},t.prototype.onCursorStateChanged=function(e){
return this._mouseDownOperation.onCursorStateChanged(e),!1},t.prototype.onFocusChanged=function(e){return this._isFocused=e.isFocused,!1},t.prototype.onScrollChanged=function(e){return this._mouseDownOperation.onScrollChanged(),!1},t.prototype.getTargetAtClientPoint=function(e,t){var n=new p.ClientCoordinates(e,t).toPageCoordinates(),i=p.createEditorPagePosition(this.viewHelper.viewDomNode);if(n.y<i.y||n.y>i.y+i.height||n.x<i.x||n.x>i.x+i.width)return null;var o=this.viewHelper.getLastViewCursorsRenderData();return this.mouseTargetFactory.createMouseTarget(o,i,n,null)},t.prototype._createMouseTarget=function(e,t){var n=this.viewHelper.getLastViewCursorsRenderData();return this.mouseTargetFactory.createMouseTarget(n,e.editorPos,e.pos,t?e.target:null)},t.prototype._getMouseColumn=function(e){return this.mouseTargetFactory.getMouseColumn(e.editorPos,e.pos)},t.prototype._onContextMenu=function(e,t){this.viewController.emitContextMenu({event:e,target:this._createMouseTarget(e,t)})},
t.prototype._onMouseMove=function(e){if(!this._mouseDownOperation.isActive()){e.timestamp<this.lastMouseLeaveTime||this.viewController.emitMouseMove({event:e,target:this._createMouseTarget(e,!0)})}},t.prototype._onMouseLeave=function(e){this.lastMouseLeaveTime=(new Date).getTime(),this.viewController.emitMouseLeave({event:e,target:null})},t.prototype._onMouseUp=function(e){this.viewController.emitMouseUp({event:e,target:this._createMouseTarget(e,!0)})},t.prototype._onMouseDown=function(e){
var t=this,n=this._createMouseTarget(e,!0),o=n.type===d.MouseTargetType.CONTENT_TEXT||n.type===d.MouseTargetType.CONTENT_EMPTY,s=n.type===d.MouseTargetType.GUTTER_GLYPH_MARGIN||n.type===d.MouseTargetType.GUTTER_LINE_NUMBERS||n.type===d.MouseTargetType.GUTTER_LINE_DECORATIONS,a=n.type===d.MouseTargetType.GUTTER_LINE_NUMBERS,l=this._context.configuration.editor.viewInfo.selectOnLineNumbers,u=n.type===d.MouseTargetType.CONTENT_VIEW_ZONE||n.type===d.MouseTargetType.GUTTER_VIEW_ZONE,c=n.type===d.MouseTargetType.CONTENT_WIDGET,h=e.leftButton;i.isMacintosh&&e.ctrlKey&&(h=!1);var p=function(){r.isIE&&!t._isFocused?t._asyncFocus.schedule():(e.preventDefault(),t.viewHelper.focusTextArea())};if(h&&(o||a&&l))p(),this._mouseDownOperation.start(n.type,e);else if(s)e.preventDefault();else if(u){var f=n.detail;this.viewHelper.shouldSuppressMouseDownOnViewZone(f.viewZoneId)&&(p(),this._mouseDownOperation.start(n.type,e),e.preventDefault())}else c&&this.viewHelper.shouldSuppressMouseDownOnWidget(n.detail)&&(p(),
e.preventDefault());this.viewController.emitMouseDown({event:e,target:n})},t.MOUSE_MOVE_MINIMUM_TIME=100,t}(u.ViewEventHandler);t.MouseHandler=v;var _=function(e){function t(t,n,i,o,r){var s=e.call(this)||this;return s._context=t,s._viewController=n,s._viewHelper=i,s._createMouseTarget=o,s._getMouseColumn=r,s._mouseMoveMonitor=s._register(new p.GlobalEditorMouseMoveMonitor(s._viewHelper.viewDomNode)),s._onScrollTimeout=s._register(new h.TimeoutTimer),s._mouseState=new y,s._currentSelection=new l.Selection(1,1,1,1),s._isActive=!1,s._lastMouseEvent=null,s}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.isActive=function(){return this._isActive},t.prototype._onMouseDownThenMove=function(e){this._lastMouseEvent=e,this._mouseState.setModifiers(e);var t=this._findMousePosition(e,!0);t&&(this._mouseState.isDragAndDrop?this._viewController.emitMouseDrag({event:e,target:t}):this._dispatchMouse(t,!0))},t.prototype.start=function(e,t){var n=this;this._lastMouseEvent=t,
this._mouseState.setStartedOnLineNumbers(e===d.MouseTargetType.GUTTER_LINE_NUMBERS),this._mouseState.setModifiers(t);var i=this._findMousePosition(t,!0);if(i){if(this._mouseState.trySetCount(t.detail,i.position),t.detail=this._mouseState.count,!this._context.configuration.editor.readOnly&&this._context.configuration.editor.dragAndDrop&&!this._mouseState.altKey&&t.detail<2&&!this._isActive&&!this._currentSelection.isEmpty()&&this._currentSelection.containsPosition(i.position))return this._mouseState.isDragAndDrop=!0,this._isActive=!0,void this._mouseMoveMonitor.startMonitoring(m(null),function(e){return n._onMouseDownThenMove(e)},function(){var e=n._findMousePosition(n._lastMouseEvent,!0);n._viewController.emitMouseDrop({event:n._lastMouseEvent,target:e?n._createMouseTarget(n._lastMouseEvent,!0):null}),n._stop()});this._mouseState.isDragAndDrop=!1,this._dispatchMouse(i,t.shiftKey),this._isActive||(this._isActive=!0,this._mouseMoveMonitor.startMonitoring(m(null),function(e){return n._onMouseDownThenMove(e)
},function(){return n._stop()}))}},t.prototype._stop=function(){this._isActive=!1,this._onScrollTimeout.cancel()},t.prototype.onScrollChanged=function(){var e=this;this._isActive&&this._onScrollTimeout.setIfNotSet(function(){var t=e._findMousePosition(e._lastMouseEvent,!1);t&&(e._mouseState.isDragAndDrop||e._dispatchMouse(t,!0))},10)},t.prototype.onCursorStateChanged=function(e){this._currentSelection=e.selections[0]},t.prototype._getPositionOutsideEditor=function(e){var t=e.editorPos,n=this._context.model,i=this._context.viewLayout,o=this._getMouseColumn(e);if(e.posy<t.y){var r=i.getLineNumberAtVerticalOffset(Math.max(i.getCurrentScrollTop()-(t.y-e.posy),0));return new c.MouseTarget(null,d.MouseTargetType.OUTSIDE_EDITOR,o,new a.Position(r,1))}if(e.posy>t.y+t.height){var s=i.getLineNumberAtVerticalOffset(i.getCurrentScrollTop()+(e.posy-t.y));return new c.MouseTarget(null,d.MouseTargetType.OUTSIDE_EDITOR,o,new a.Position(s,n.getLineMaxColumn(s)))}
var l=i.getLineNumberAtVerticalOffset(i.getCurrentScrollTop()+(e.posy-t.y));return e.posx<t.x?new c.MouseTarget(null,d.MouseTargetType.OUTSIDE_EDITOR,o,new a.Position(l,1)):e.posx>t.x+t.width?new c.MouseTarget(null,d.MouseTargetType.OUTSIDE_EDITOR,o,new a.Position(l,n.getLineMaxColumn(l))):null},t.prototype._findMousePosition=function(e,t){var n=this._getPositionOutsideEditor(e);if(n)return n;var i=this._createMouseTarget(e,t);if(!i.position)return null;if(i.type===d.MouseTargetType.CONTENT_VIEW_ZONE||i.type===d.MouseTargetType.GUTTER_VIEW_ZONE){var o=new a.Position(this._currentSelection.selectionStartLineNumber,this._currentSelection.selectionStartColumn),r=i.detail,s=r.positionBefore,l=r.positionAfter;if(s&&l)return s.isBefore(o)?new c.MouseTarget(i.element,i.type,i.mouseColumn,s,null,i.detail):new c.MouseTarget(i.element,i.type,i.mouseColumn,l,null,i.detail)}return i},t.prototype._dispatchMouse=function(e,t){this._viewController.dispatchMouse({position:e.position,mouseColumn:e.mouseColumn,
startedOnLineNumbers:this._mouseState.startedOnLineNumbers,inSelectionMode:t,mouseDownCount:this._mouseState.count,altKey:this._mouseState.altKey,ctrlKey:this._mouseState.ctrlKey,metaKey:this._mouseState.metaKey,shiftKey:this._mouseState.shiftKey})},t}(n.Disposable),y=function(){function e(){this._altKey=!1,this._ctrlKey=!1,this._metaKey=!1,this._shiftKey=!1,this._startedOnLineNumbers=!1,this._lastMouseDownPosition=null,this._lastMouseDownPositionEqualCount=0,this._lastMouseDownCount=0,this._lastSetMouseDownCountTime=0,this.isDragAndDrop=!1}return Object.defineProperty(e.prototype,"altKey",{get:function(){return this._altKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ctrlKey",{get:function(){return this._ctrlKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"metaKey",{get:function(){return this._metaKey},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"shiftKey",{get:function(){return this._shiftKey},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"startedOnLineNumbers",{get:function(){return this._startedOnLineNumbers},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"count",{get:function(){return this._lastMouseDownCount},enumerable:!0,configurable:!0}),e.prototype.setModifiers=function(e){this._altKey=e.altKey,this._ctrlKey=e.ctrlKey,this._metaKey=e.metaKey,this._shiftKey=e.shiftKey},e.prototype.setStartedOnLineNumbers=function(e){this._startedOnLineNumbers=e},e.prototype.trySetCount=function(t,n){var i=(new Date).getTime();i-this._lastSetMouseDownCountTime>e.CLEAR_MOUSE_DOWN_COUNT_TIME&&(t=1),this._lastSetMouseDownCountTime=i,t>this._lastMouseDownCount+1&&(t=this._lastMouseDownCount+1),this._lastMouseDownPosition&&this._lastMouseDownPosition.equals(n)?this._lastMouseDownPositionEqualCount++:this._lastMouseDownPositionEqualCount=1,this._lastMouseDownPosition=n,this._lastMouseDownCount=Math.min(t,this._lastMouseDownPositionEqualCount)},e.CLEAR_MOUSE_DOWN_COUNT_TIME=400,e}()}),
define(t[494],n([0,1,10,75,493,122]),function(e,t,n,i,r,s){"use strict";function a(e,t){var n={translationY:t.translationY,translationX:t.translationX};return e&&(n.translationY+=e.translationY,n.translationX+=e.translationX),n}Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t,i,o){var r=e.call(this,t,i,o)||this;return r.viewHelper.linesContentDomNode.style.msTouchAction="none",r.viewHelper.linesContentDomNode.style.msContentZooming="none",r._installGestureHandlerTimeout=window.setTimeout(function(){if(r._installGestureHandlerTimeout=-1,window.MSGesture){var e=new MSGesture,t=new MSGesture;e.target=r.viewHelper.linesContentDomNode,t.target=r.viewHelper.linesContentDomNode,r.viewHelper.linesContentDomNode.addEventListener("MSPointerDown",function(n){var i=n.pointerType;i!==(n.MSPOINTER_TYPE_MOUSE||"mouse")?i===(n.MSPOINTER_TYPE_TOUCH||"touch")?(r._lastPointerType="touch",e.addPointer(n.pointerId)):(r._lastPointerType="pen",t.addPointer(n.pointerId)):r._lastPointerType="mouse"}),
r._register(n.addDisposableThrottledListener(r.viewHelper.linesContentDomNode,"MSGestureChange",function(e){return r._onGestureChange(e)},a)),r._register(n.addDisposableListener(r.viewHelper.linesContentDomNode,"MSGestureTap",function(e){return r._onCaptureGestureTap(e)},!0))}},100),r._lastPointerType="mouse",r}return o(t,e),t.prototype._onMouseDown=function(t){"mouse"===this._lastPointerType&&e.prototype._onMouseDown.call(this,t)},t.prototype._onCaptureGestureTap=function(e){var t=this,n=new s.EditorMouseEvent(e,this.viewHelper.viewDomNode),i=this._createMouseTarget(n,!1);i.position&&this.viewController.moveTo(i.position),n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()})},t.prototype._onGestureChange=function(e){this._context.viewLayout.deltaScrollNow(-e.translationX,-e.translationY)},t.prototype.dispose=function(){window.clearTimeout(this._installGestureHandlerTimeout),e.prototype.dispose.call(this)},t
}(r.MouseHandler),u=function(e){function t(t,i,o){var r=e.call(this,t,i,o)||this;return r.viewHelper.linesContentDomNode.style.touchAction="none",r._installGestureHandlerTimeout=window.setTimeout(function(){if(r._installGestureHandlerTimeout=-1,window.MSGesture){var e=new MSGesture,t=new MSGesture;e.target=r.viewHelper.linesContentDomNode,t.target=r.viewHelper.linesContentDomNode,r.viewHelper.linesContentDomNode.addEventListener("pointerdown",function(n){var i=n.pointerType;"mouse"!==i?"touch"===i?(r._lastPointerType="touch",e.addPointer(n.pointerId)):(r._lastPointerType="pen",t.addPointer(n.pointerId)):r._lastPointerType="mouse"}),r._register(n.addDisposableThrottledListener(r.viewHelper.linesContentDomNode,"MSGestureChange",function(e){return r._onGestureChange(e)},a)),r._register(n.addDisposableListener(r.viewHelper.linesContentDomNode,"MSGestureTap",function(e){return r._onCaptureGestureTap(e)},!0))}},100),r._lastPointerType="mouse",r}return o(t,e),t.prototype._onMouseDown=function(t){
"mouse"===this._lastPointerType&&e.prototype._onMouseDown.call(this,t)},t.prototype._onCaptureGestureTap=function(e){var t=this,n=new s.EditorMouseEvent(e,this.viewHelper.viewDomNode),i=this._createMouseTarget(n,!1);i.position&&this.viewController.moveTo(i.position),n.browserEvent.fromElement?(n.preventDefault(),this.viewHelper.focusTextArea()):setTimeout(function(){t.viewHelper.focusTextArea()})},t.prototype._onGestureChange=function(e){this._context.viewLayout.deltaScrollNow(-e.translationX,-e.translationY)},t.prototype.dispose=function(){window.clearTimeout(this._installGestureHandlerTimeout),e.prototype.dispose.call(this)},t}(r.MouseHandler),c=function(e){function t(t,o,r){var a=e.call(this,t,o,r)||this;return i.Gesture.addTarget(a.viewHelper.linesContentDomNode),a._register(n.addDisposableListener(a.viewHelper.linesContentDomNode,i.EventType.Tap,function(e){return a.onTap(e)})),a._register(n.addDisposableListener(a.viewHelper.linesContentDomNode,i.EventType.Change,function(e){return a.onChange(e)})),
a._register(n.addDisposableListener(a.viewHelper.linesContentDomNode,i.EventType.Contextmenu,function(e){return a._onContextMenu(new s.EditorMouseEvent(e,a.viewHelper.viewDomNode),!1)})),a}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onTap=function(e){e.preventDefault(),this.viewHelper.focusTextArea();var t=this._createMouseTarget(new s.EditorMouseEvent(e,this.viewHelper.viewDomNode),!1);t.position&&this.viewController.moveTo(t.position)},t.prototype.onChange=function(e){this._context.viewLayout.deltaScrollNow(-e.translationX,-e.translationY)},t}(r.MouseHandler),d=function(){function e(e,t,n){window.navigator.msPointerEnabled?this.handler=new l(e,t,n):window.TouchEvent?this.handler=new c(e,t,n):window.navigator.pointerEnabled||window.PointerEvent?this.handler=new u(e,t,n):this.handler=new r.MouseHandler(e,t,n)}return e.prototype.getTargetAtClientPoint=function(e,t){return this.handler.getTargetAtClientPoint(e,t)},e.prototype.dispose=function(){this.handler.dispose()
},e}();t.PointerHandler=d}),define(t[495],n([0,1,2,191]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var r=function(e){function t(t){var n=e.call(this)||this;return n.onDidScroll=null,n.onDidGainFocus=null,n.onDidLoseFocus=null,n.onKeyDown=null,n.onKeyUp=null,n.onContextMenu=null,n.onMouseMove=null,n.onMouseLeave=null,n.onMouseUp=null,n.onMouseDown=null,n.onMouseDrag=null,n.onMouseDrop=null,n._viewModel=t,n}return o(t,e),t.prototype.emitScrollChanged=function(e){this.onDidScroll&&this.onDidScroll(e)},t.prototype.emitViewFocusGained=function(){this.onDidGainFocus&&this.onDidGainFocus(void 0)},t.prototype.emitViewFocusLost=function(){this.onDidLoseFocus&&this.onDidLoseFocus(void 0)},t.prototype.emitKeyDown=function(e){this.onKeyDown&&this.onKeyDown(e)},t.prototype.emitKeyUp=function(e){this.onKeyUp&&this.onKeyUp(e)},t.prototype.emitContextMenu=function(e){this.onContextMenu&&this.onContextMenu(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseMove=function(e){
this.onMouseMove&&this.onMouseMove(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseLeave=function(e){this.onMouseLeave&&this.onMouseLeave(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseUp=function(e){this.onMouseUp&&this.onMouseUp(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseDown=function(e){this.onMouseDown&&this.onMouseDown(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseDrag=function(e){this.onMouseDrag&&this.onMouseDrag(this._convertViewToModelMouseEvent(e))},t.prototype.emitMouseDrop=function(e){this.onMouseDrop&&this.onMouseDrop(this._convertViewToModelMouseEvent(e))},t.prototype._convertViewToModelMouseEvent=function(e){return e.target?{event:e.event,target:this._convertViewToModelMouseTarget(e.target)}:e},t.prototype._convertViewToModelMouseTarget=function(e){return new s(e.element,e.type,e.mouseColumn,e.position?this._convertViewToModelPosition(e.position):null,e.range?this._convertViewToModelRange(e.range):null,e.detail)},
t.prototype._convertViewToModelPosition=function(e){return this._viewModel.coordinatesConverter.convertViewPositionToModelPosition(e)},t.prototype._convertViewToModelRange=function(e){return this._viewModel.coordinatesConverter.convertViewRangeToModelRange(e)},t}(n.Disposable);t.ViewOutgoingEvents=r;var s=function(){function e(e,t,n,i,o,r){this.element=e,this.type=t,this.mouseColumn=n,this.position=i,this.range=o,this.detail=r}return e.prototype.toString=function(){return i.MouseTarget.toString(this)},e}()}),define(t[496],n([0,1,18,3,13,113,190,69,92,34,283]),function(e,t,n,i,r,s,a,l,u,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(){this._currentVisibleRange=new i.Range(1,1,1,1)}return e.prototype.getCurrentVisibleRange=function(){return this._currentVisibleRange},e.prototype.setCurrentVisibleRange=function(e){this._currentVisibleRange=e},e}(),h=function(){return function(e,t,n,i,o,r){this.lineNumber=e,this.startColumn=t,this.endColumn=n,this.startScrollTop=i,
this.stopScrollTop=o,this.scrollType=r}}(),p=function(e){function t(t,i){var o=e.call(this,t)||this;o._linesContent=i,o._textRangeRestingSpot=document.createElement("div"),o._visibleLines=new s.VisibleLinesCollection(o),o.domNode=o._visibleLines.domNode;var r=o._context.configuration;return o._lineHeight=r.editor.lineHeight,o._typicalHalfwidthCharacterWidth=r.editor.fontInfo.typicalHalfwidthCharacterWidth,o._isViewportWrapping=r.editor.wrappingInfo.isViewportWrapping,o._revealHorizontalRightPadding=r.editor.viewInfo.revealHorizontalRightPadding,o._canUseLayerHinting=r.editor.canUseLayerHinting,o._viewLineOptions=new a.ViewLineOptions(r,o._context.theme.type),c.PartFingerprints.write(o.domNode,7),o.domNode.setClassName("view-lines"),l.Configuration.applyFontInfo(o.domNode,r.editor.fontInfo),o._maxLineWidth=0,o._asyncUpdateLineWidths=new n.RunOnceScheduler(function(){o._updateLineWidthsSlow()},200),o._lastRenderedData=new d,o._horizontalRevealRequest=null,o}return o(t,e),t.prototype.dispose=function(){
this._asyncUpdateLineWidths.dispose(),e.prototype.dispose.call(this)},t.prototype.getDomNode=function(){return this.domNode},t.prototype.createVisibleLine=function(){return new a.ViewLine(this._viewLineOptions)},t.prototype.onConfigurationChanged=function(e){this._visibleLines.onConfigurationChanged(e),e.wrappingInfo&&(this._maxLineWidth=0);var t=this._context.configuration;return e.lineHeight&&(this._lineHeight=t.editor.lineHeight),e.fontInfo&&(this._typicalHalfwidthCharacterWidth=t.editor.fontInfo.typicalHalfwidthCharacterWidth),e.wrappingInfo&&(this._isViewportWrapping=t.editor.wrappingInfo.isViewportWrapping),e.viewInfo&&(this._revealHorizontalRightPadding=t.editor.viewInfo.revealHorizontalRightPadding),e.canUseLayerHinting&&(this._canUseLayerHinting=t.editor.canUseLayerHinting),e.fontInfo&&l.Configuration.applyFontInfo(this.domNode,t.editor.fontInfo),this._onOptionsMaybeChanged(),e.layoutInfo&&(this._maxLineWidth=0),!0},t.prototype._onOptionsMaybeChanged=function(){
var e=this._context.configuration,t=new a.ViewLineOptions(e,this._context.theme.type);if(!this._viewLineOptions.equals(t)){this._viewLineOptions=t;for(var n=this._visibleLines.getStartLineNumber(),i=this._visibleLines.getEndLineNumber(),o=n;o<=i;o++){this._visibleLines.getVisibleLine(o).onOptionsChanged(this._viewLineOptions)}return!0}return!1},t.prototype.onCursorStateChanged=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=!1,o=t;o<=n;o++)i=this._visibleLines.getVisibleLine(o).onSelectionChanged()||i;return i},t.prototype.onDecorationsChanged=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=t;i<=n;i++)this._visibleLines.getVisibleLine(i).onDecorationsChanged();return!0},t.prototype.onFlushed=function(e){var t=this._visibleLines.onFlushed(e);return this._maxLineWidth=0,t},t.prototype.onLinesChanged=function(e){return this._visibleLines.onLinesChanged(e)},t.prototype.onLinesDeleted=function(e){
return this._visibleLines.onLinesDeleted(e)},t.prototype.onLinesInserted=function(e){return this._visibleLines.onLinesInserted(e)},t.prototype.onRevealRangeRequest=function(e){var t=this._computeScrollTopToRevealRange(this._context.viewLayout.getFutureViewport(),e.range,e.verticalType),n=this._context.viewLayout.validateScrollPosition({scrollTop:t});e.revealHorizontal?e.range.startLineNumber!==e.range.endLineNumber?n={scrollTop:n.scrollTop,scrollLeft:0}:this._horizontalRevealRequest=new h(e.range.startLineNumber,e.range.startColumn,e.range.endColumn,this._context.viewLayout.getCurrentScrollTop(),n.scrollTop,e.scrollType):this._horizontalRevealRequest=null;var i=Math.abs(this._context.viewLayout.getCurrentScrollTop()-n.scrollTop);return 0===e.scrollType&&i>this._lineHeight?this._context.viewLayout.setScrollPositionSmooth(n):this._context.viewLayout.setScrollPositionNow(n),!0},t.prototype.onScrollChanged=function(e){if(this._horizontalRevealRequest&&e.scrollLeftChanged&&(this._horizontalRevealRequest=null),
this._horizontalRevealRequest&&e.scrollTopChanged){var t=Math.min(this._horizontalRevealRequest.startScrollTop,this._horizontalRevealRequest.stopScrollTop),n=Math.max(this._horizontalRevealRequest.startScrollTop,this._horizontalRevealRequest.stopScrollTop);(e.scrollTop<t||e.scrollTop>n)&&(this._horizontalRevealRequest=null)}return this.domNode.setWidth(e.scrollWidth),this._visibleLines.onScrollChanged(e)||!0},t.prototype.onTokensChanged=function(e){return this._visibleLines.onTokensChanged(e)},t.prototype.onZonesChanged=function(e){return this._visibleLines.onZonesChanged(e)},t.prototype.onThemeChanged=function(e){return this._onOptionsMaybeChanged()},t.prototype.getPositionFromDOMInfo=function(e,t){var n=this._getViewLineDomNode(e);if(null===n)return null;var i=this._getLineNumberFor(n);if(-1===i)return null;if(i<1||i>this._context.model.getLineCount())return null;if(1===this._context.model.getLineMaxColumn(i))return new r.Position(i,1)
;var o=this._visibleLines.getStartLineNumber(),s=this._visibleLines.getEndLineNumber();if(i<o||i>s)return null;var a=this._visibleLines.getVisibleLine(i).getColumnOfNodeOffset(i,e,t),l=this._context.model.getLineMinColumn(i);return a<l&&(a=l),new r.Position(i,a)},t.prototype._getViewLineDomNode=function(e){for(;e&&1===e.nodeType;){if(e.className===a.ViewLine.CLASS_NAME)return e;e=e.parentElement}return null},t.prototype._getLineNumberFor=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=t;i<=n;i++){if(e===this._visibleLines.getVisibleLine(i).getDomNode())return i}return-1},t.prototype.getLineWidth=function(e){var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber();return e<t||e>n?-1:this._visibleLines.getVisibleLine(e).getWidth()},t.prototype.linesVisibleRangesForRange=function(e,t){if(this.shouldRender())return null;var n=e.endLineNumber
;if(!(e=i.Range.intersectRanges(e,this._lastRenderedData.getCurrentVisibleRange())))return null;var o,s=[],l=0,c=new a.DomReadingContext(this.domNode.domNode,this._textRangeRestingSpot);t&&(o=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(new r.Position(e.startLineNumber,1)).lineNumber);for(var d=this._visibleLines.getStartLineNumber(),h=this._visibleLines.getEndLineNumber(),p=e.startLineNumber;p<=e.endLineNumber;p++)if(!(p<d||p>h)){var f=p===e.startLineNumber?e.startColumn:1,g=p===e.endLineNumber?e.endColumn:this._context.model.getLineMaxColumn(p),m=this._visibleLines.getVisibleLine(p).getVisibleRangesForRange(f,g,c);if(m&&0!==m.length){if(t&&p<n){o!==(o=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(new r.Position(p+1,1)).lineNumber)&&(m[m.length-1].width+=this._typicalHalfwidthCharacterWidth)}s[l++]=new u.LineVisibleRanges(p,m)}}return 0===l?null:s},t.prototype.visibleRangesForRange2=function(e){if(this.shouldRender())return null
;if(!(e=i.Range.intersectRanges(e,this._lastRenderedData.getCurrentVisibleRange())))return null;for(var t=[],n=new a.DomReadingContext(this.domNode.domNode,this._textRangeRestingSpot),o=this._visibleLines.getStartLineNumber(),r=this._visibleLines.getEndLineNumber(),s=e.startLineNumber;s<=e.endLineNumber;s++)if(!(s<o||s>r)){var l=s===e.startLineNumber?e.startColumn:1,u=s===e.endLineNumber?e.endColumn:this._context.model.getLineMaxColumn(s),c=this._visibleLines.getVisibleLine(s).getVisibleRangesForRange(l,u,n);c&&0!==c.length&&(t=t.concat(c))}return 0===t.length?null:t},t.prototype.updateLineWidths=function(){this._updateLineWidths(!1)},t.prototype._updateLineWidthsFast=function(){return this._updateLineWidths(!0)},t.prototype._updateLineWidthsSlow=function(){this._updateLineWidths(!1)},t.prototype._updateLineWidths=function(e){for(var t=this._visibleLines.getStartLineNumber(),n=this._visibleLines.getEndLineNumber(),i=1,o=!0,r=t;r<=n;r++){var s=this._visibleLines.getVisibleLine(r)
;!e||s.getWidthIsFast()?i=Math.max(i,s.getWidth()):o=!1}return o&&1===t&&n===this._context.model.getLineCount()&&(this._maxLineWidth=0),this._ensureMaxLineWidth(i),o},t.prototype.prepareRender=function(){throw new Error("Not supported")},t.prototype.render=function(){throw new Error("Not supported")},t.prototype.renderText=function(e){if(this._visibleLines.renderLines(e),this._lastRenderedData.setCurrentVisibleRange(e.visibleRange),this.domNode.setWidth(this._context.viewLayout.getScrollWidth()),this.domNode.setHeight(Math.min(this._context.viewLayout.getScrollHeight(),1e6)),this._horizontalRevealRequest){var t=this._horizontalRevealRequest.lineNumber,n=this._horizontalRevealRequest.startColumn,i=this._horizontalRevealRequest.endColumn,o=this._horizontalRevealRequest.scrollType;if(e.startLineNumber<=t&&t<=e.endLineNumber){this._horizontalRevealRequest=null,this.onDidRender();var r=this._computeScrollLeftToRevealRange(t,n,i);this._isViewportWrapping||this._ensureMaxLineWidth(r.maxHorizontalOffset),
0===o?this._context.viewLayout.setScrollPositionSmooth({scrollLeft:r.scrollLeft}):this._context.viewLayout.setScrollPositionNow({scrollLeft:r.scrollLeft})}}this._updateLineWidthsFast()||this._asyncUpdateLineWidths.schedule(),this._linesContent.setLayerHinting(this._canUseLayerHinting);var s=this._context.viewLayout.getCurrentScrollTop()-e.bigNumbersDelta;this._linesContent.setTop(-s),this._linesContent.setLeft(-this._context.viewLayout.getCurrentScrollLeft())},t.prototype._ensureMaxLineWidth=function(e){var t=Math.ceil(e);this._maxLineWidth<t&&(this._maxLineWidth=t,this._context.viewLayout.onMaxLineWidthChanged(this._maxLineWidth))},t.prototype._computeScrollTopToRevealRange=function(e,t,n){var i,o,r=e.top,s=e.height,a=r+s;i=this._context.viewLayout.getVerticalOffsetForLineNumber(t.startLineNumber),o=this._context.viewLayout.getVerticalOffsetForLineNumber(t.endLineNumber)+this._lineHeight,0!==n&&4!==n||(o+=this._lineHeight);var l;if(1===n||2===n)if(2===n&&r<=i&&o<=a)l=r;else{var u=(i+o)/2;l=Math.max(0,u-s/2)
}else l=this._computeMinimumScrolling(r,a,i,o,3===n,4===n);return l},t.prototype._computeScrollLeftToRevealRange=function(e,n,o){var r=0,s=this._context.viewLayout.getCurrentViewport(),a=s.left,l=a+s.width,u=this.visibleRangesForRange2(new i.Range(e,n,e,o)),c=Number.MAX_VALUE,d=0;if(!u)return{scrollLeft:a,maxHorizontalOffset:r};for(var h=0;h<u.length;h++){var p=u[h];p.left<c&&(c=p.left),p.left+p.width>d&&(d=p.left+p.width)}r=d,c=Math.max(0,c-t.HORIZONTAL_EXTRA_PX),d+=this._revealHorizontalRightPadding;return{scrollLeft:this._computeMinimumScrolling(a,l,c,d),maxHorizontalOffset:r}},t.prototype._computeMinimumScrolling=function(e,t,n,i,o,r){o=!!o,r=!!r;var s=(t|=0)-(e|=0);return(i|=0)-(n|=0)<s?o?n:r?Math.max(0,i-s):n<e?n:i>t?Math.max(0,i-s):e:n},t.HORIZONTAL_EXTRA_PX=30,t}(c.ViewPart);t.ViewLines=p}),define(t[497],n([0,1,34,391,10,137,26,113,3,72,70,15,16,23,290]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f){"use strict";function g(e){return 2===e?4:4===e?6:1===e?2:3}function m(e){return 2===e?2:4===e?2:1}
Object.defineProperty(t,"__esModule",{value:!0});var v;!function(e){e[e.None=0]="None",e[e.Small=1]="Small",e[e.Large=2]="Large",e[e.SmallBlocks=3]="SmallBlocks",e[e.LargeBlocks=4]="LargeBlocks"}(v||(v={}));var _=140,y=function(){function e(e){var t=e.editor.pixelRatio,n=e.editor.layoutInfo,i=e.editor.viewInfo,o=e.editor.fontInfo;this.renderMinimap=0|n.renderMinimap,this.scrollBeyondLastLine=i.scrollBeyondLastLine,this.showSlider=i.minimap.showSlider,this.pixelRatio=t,this.typicalHalfwidthCharacterWidth=o.typicalHalfwidthCharacterWidth,this.lineHeight=e.editor.lineHeight,this.minimapLeft=n.minimapLeft,this.minimapWidth=n.minimapWidth,this.minimapHeight=n.height,this.canvasInnerWidth=Math.max(1,Math.floor(t*this.minimapWidth)),this.canvasInnerHeight=Math.max(1,Math.floor(t*this.minimapHeight)),this.canvasOuterWidth=this.canvasInnerWidth/t,this.canvasOuterHeight=this.canvasInnerHeight/t}return e.prototype.equals=function(e){
return this.renderMinimap===e.renderMinimap&&this.scrollBeyondLastLine===e.scrollBeyondLastLine&&this.showSlider===e.showSlider&&this.pixelRatio===e.pixelRatio&&this.typicalHalfwidthCharacterWidth===e.typicalHalfwidthCharacterWidth&&this.lineHeight===e.lineHeight&&this.minimapLeft===e.minimapLeft&&this.minimapWidth===e.minimapWidth&&this.minimapHeight===e.minimapHeight&&this.canvasInnerWidth===e.canvasInnerWidth&&this.canvasInnerHeight===e.canvasInnerHeight&&this.canvasOuterWidth===e.canvasOuterWidth&&this.canvasOuterHeight===e.canvasOuterHeight},e}(),C=function(){function e(e,t,n,i,o,r,s){this.scrollTop=e,this.scrollHeight=t,this._computedSliderRatio=n,this.sliderTop=i,this.sliderHeight=o,this.startLineNumber=r,this.endLineNumber=s}return e.prototype.getDesiredScrollTopFromDelta=function(e){var t=this.sliderTop+e;return Math.round(t/this._computedSliderRatio)},e.create=function(t,n,i,o,r,s,a,l,u){var c,d=t.pixelRatio,h=g(t.renderMinimap),p=Math.floor(t.canvasInnerHeight/h),f=t.lineHeight;if(r&&i!==s){
var m=i-n+1;c=Math.floor(m*h/d)}else{var v=o/f;c=Math.floor(v*h/d)}var _;_=t.scrollBeyondLastLine?(s-1)*h/d:Math.max(0,s*h/d-c);var y=(_=Math.min(t.minimapHeight-c,_))/(l-o),C=a*y;if(p>=s){return new e(a,l,y,C,c,b=1,S=s)}var b=Math.max(1,Math.floor(n-C*d/h));u&&u.scrollHeight===l&&(u.scrollTop>a&&(b=Math.min(b,u.startLineNumber)),u.scrollTop<a&&(b=Math.max(b,u.startLineNumber)));var S=Math.min(s,b+p-1);return new e(a,l,y,C,c,b,S)},e}(),b=function(){function e(e){this.dy=e}return e.prototype.onContentChanged=function(){this.dy=-1},e.prototype.onTokensChanged=function(){this.dy=-1},e.INVALID=new e(-1),e}(),S=function(){function e(e,t,n){this.renderedLayout=e,this._imageData=t,this._renderedLines=new l.RenderedLinesCollection(function(){return b.INVALID}),this._renderedLines._set(e.startLineNumber,n)}return e.prototype.linesEquals=function(e){if(this.renderedLayout.startLineNumber!==e.startLineNumber)return!1;if(this.renderedLayout.endLineNumber!==e.endLineNumber)return!1
;for(var t=this._renderedLines._get().lines,n=0,i=t.length;n<i;n++)if(-1===t[n].dy)return!1;return!0},e.prototype._get=function(){var e=this._renderedLines._get();return{imageData:this._imageData,rendLineNumberStart:e.rendLineNumberStart,lines:e.lines}},e.prototype.onLinesChanged=function(e){return this._renderedLines.onLinesChanged(e.fromLineNumber,e.toLineNumber)},e.prototype.onLinesDeleted=function(e){this._renderedLines.onLinesDeleted(e.fromLineNumber,e.toLineNumber)},e.prototype.onLinesInserted=function(e){this._renderedLines.onLinesInserted(e.fromLineNumber,e.toLineNumber)},e.prototype.onTokensChanged=function(e){return this._renderedLines.onTokensChanged(e.ranges)},e}(),w=function(){function e(t,n,i,o){this._backgroundFillData=e._createBackgroundFillData(n,i,o),this._buffers=[t.createImageData(n,i),t.createImageData(n,i)],this._lastUsedBuffer=0}return e.prototype.getBuffer=function(){this._lastUsedBuffer=1-this._lastUsedBuffer;var e=this._buffers[this._lastUsedBuffer]
;return e.data.set(this._backgroundFillData),e},e._createBackgroundFillData=function(e,t,n){for(var i=n.r,o=n.g,r=n.b,s=new Uint8ClampedArray(e*t*4),a=0,l=0;l<t;l++)for(var u=0;u<e;u++)s[a]=i,s[a+1]=o,s[a+2]=r,s[a+3]=255,a+=4;return s},e}(),E=function(e){function t(t){var i=e.call(this,t)||this;return i._options=new y(i._context.configuration),i._lastRenderData=null,i._buffers=null,i._domNode=a.createFastDomNode(document.createElement("div")),n.PartFingerprints.write(i._domNode,8),i._domNode.setClassName(i._getMinimapDomNodeClassName()),i._domNode.setPosition("absolute"),i._domNode.setAttribute("role","presentation"),i._domNode.setAttribute("aria-hidden","true"),i._shadow=a.createFastDomNode(document.createElement("div")),i._shadow.setClassName("minimap-shadow-hidden"),i._domNode.appendChild(i._shadow),i._canvas=a.createFastDomNode(document.createElement("canvas")),i._canvas.setPosition("absolute"),i._canvas.setLeft(0),i._domNode.appendChild(i._canvas),
i._slider=a.createFastDomNode(document.createElement("div")),i._slider.setPosition("absolute"),i._slider.setClassName("minimap-slider"),i._slider.setLayerHinting(!0),i._domNode.appendChild(i._slider),i._sliderHorizontal=a.createFastDomNode(document.createElement("div")),i._sliderHorizontal.setPosition("absolute"),i._sliderHorizontal.setClassName("minimap-slider-horizontal"),i._slider.appendChild(i._sliderHorizontal),i._tokensColorTracker=s.MinimapTokensColorTracker.getInstance(),i._applyLayout(),i._mouseDownListener=r.addStandardDisposableListener(i._canvas.domNode,"mousedown",function(e){e.preventDefault();var t=i._options.renderMinimap;if(0!==t&&i._lastRenderData){var n=g(t),o=i._options.pixelRatio*e.browserEvent.offsetY,r=Math.floor(o/n)+i._lastRenderData.renderedLayout.startLineNumber;r=Math.min(r,i._context.model.getLineCount()),i._context.privateViewEventBus.emit(new c.ViewRevealRangeRequestEvent(new u.Range(r,1,r,1),1,!1,0))}}),i._sliderMouseMoveMonitor=new d.GlobalMouseMoveMonitor,
i._sliderMouseDownListener=r.addStandardDisposableListener(i._slider.domNode,"mousedown",function(e){if(e.preventDefault(),e.leftButton&&i._lastRenderData){var t=e.posy,n=e.posx,o=i._lastRenderData.renderedLayout;i._slider.toggleClassName("active",!0),i._sliderMouseMoveMonitor.startMonitoring(d.standardMouseMoveMerger,function(e){var r=Math.abs(e.posx-n);if(h.isWindows&&r>_)i._context.viewLayout.setScrollPositionNow({scrollTop:o.scrollTop});else{var s=e.posy-t;i._context.viewLayout.setScrollPositionNow({scrollTop:o.getDesiredScrollTopFromDelta(s)})}},function(){i._slider.toggleClassName("active",!1)})}}),i}return o(t,e),t.prototype.dispose=function(){this._mouseDownListener.dispose(),this._sliderMouseMoveMonitor.dispose(),this._sliderMouseDownListener.dispose(),e.prototype.dispose.call(this)},t.prototype._getMinimapDomNodeClassName=function(){return"always"===this._options.showSlider?"minimap slider-always":"minimap slider-mouseover"},t.prototype.getDomNode=function(){return this._domNode},
t.prototype._applyLayout=function(){this._domNode.setLeft(this._options.minimapLeft),this._domNode.setWidth(this._options.minimapWidth),this._domNode.setHeight(this._options.minimapHeight),this._shadow.setHeight(this._options.minimapHeight),this._canvas.setWidth(this._options.canvasOuterWidth),this._canvas.setHeight(this._options.canvasOuterHeight),this._canvas.domNode.width=this._options.canvasInnerWidth,this._canvas.domNode.height=this._options.canvasInnerHeight,this._slider.setWidth(this._options.minimapWidth)},t.prototype._getBuffer=function(){return this._buffers||(this._buffers=new w(this._canvas.domNode.getContext("2d"),this._options.canvasInnerWidth,this._options.canvasInnerHeight,this._tokensColorTracker.getColor(2))),this._buffers.getBuffer()},t.prototype._onOptionsMaybeChanged=function(){var e=new y(this._context.configuration);return!this._options.equals(e)&&(this._options=e,this._lastRenderData=null,this._buffers=null,this._applyLayout(),
this._domNode.setClassName(this._getMinimapDomNodeClassName()),!0)},t.prototype.onConfigurationChanged=function(e){return this._onOptionsMaybeChanged()},t.prototype.onFlushed=function(e){return this._lastRenderData=null,!0},t.prototype.onLinesChanged=function(e){return!!this._lastRenderData&&this._lastRenderData.onLinesChanged(e)},t.prototype.onLinesDeleted=function(e){return this._lastRenderData&&this._lastRenderData.onLinesDeleted(e),!0},t.prototype.onLinesInserted=function(e){return this._lastRenderData&&this._lastRenderData.onLinesInserted(e),!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onTokensChanged=function(e){return!!this._lastRenderData&&this._lastRenderData.onTokensChanged(e)},t.prototype.onTokensColorsChanged=function(e){return this._lastRenderData=null,this._buffers=null,!0},t.prototype.onZonesChanged=function(e){return this._lastRenderData=null,!0},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){
if(0===this._options.renderMinimap)return this._shadow.setClassName("minimap-shadow-hidden"),this._sliderHorizontal.setWidth(0),void this._sliderHorizontal.setHeight(0);e.scrollLeft+e.viewportWidth>=e.scrollWidth?this._shadow.setClassName("minimap-shadow-hidden"):this._shadow.setClassName("minimap-shadow-visible");var t=C.create(this._options,e.visibleRange.startLineNumber,e.visibleRange.endLineNumber,e.viewportHeight,e.viewportData.whitespaceViewportData.length>0,this._context.model.getLineCount(),e.scrollTop,e.scrollHeight,this._lastRenderData?this._lastRenderData.renderedLayout:null);this._slider.setTop(t.sliderTop),this._slider.setHeight(t.sliderHeight);var n=e.scrollLeft/this._options.typicalHalfwidthCharacterWidth,i=Math.min(this._options.minimapWidth,Math.round(n*m(this._options.renderMinimap)/this._options.pixelRatio));this._sliderHorizontal.setLeft(i),this._sliderHorizontal.setWidth(this._options.minimapWidth-i),this._sliderHorizontal.setTop(0),this._sliderHorizontal.setHeight(t.sliderHeight),
this._lastRenderData=this.renderLines(t)},t.prototype.renderLines=function(e){var n=this._options.renderMinimap,o=e.startLineNumber,r=e.endLineNumber,s=g(n);if(this._lastRenderData&&this._lastRenderData.linesEquals(e)){var a=this._lastRenderData._get();return new S(e,a.imageData,a.lines)}for(var l=this._getBuffer(),u=t._renderUntouchedLines(l,o,r,s,this._lastRenderData),c=u[0],d=u[1],h=u[2],p=this._context.model.getMinimapLinesRenderingData(o,r,h),f=p.tabSize,m=this._tokensColorTracker.getColor(2),v=this._tokensColorTracker.backgroundIsLight(),_=0,y=[],C=0,w=r-o+1;C<w;C++)h[C]&&t._renderLine(l,m,v,n,this._tokensColorTracker,i.getOrCreateMinimapCharRenderer(),_,f,p.data[C]),y[C]=new b(_),_+=s;var E=-1===c?0:c,L=(-1===d?l.height:d)-E;return this._canvas.domNode.getContext("2d").putImageData(l,0,0,0,E,l.width,L),new S(e,l,y)},t._renderUntouchedLines=function(e,t,n,i,o){var r=[];if(!o){for(var s=0,a=n-t+1;s<a;s++)r[s]=!0;return[-1,-1,r]}
for(var l=o._get(),u=l.imageData.data,c=l.rendLineNumberStart,d=l.lines,h=d.length,p=e.width,f=e.data,g=(n-t+1)*i*p*4,m=-1,v=-1,_=-1,y=-1,C=-1,b=-1,S=0,w=t;w<=n;w++){var E=w-t,L=w-c,x=L>=0&&L<h?d[L].dy:-1;if(-1!==x){var N=x*p*4,I=(x+i)*p*4,T=S*p*4,D=(S+i)*p*4;y===N&&b===T?(y=I,b=D):(-1!==_&&(f.set(u.subarray(_,y),C),-1===m&&0===_&&_===C&&(m=y),-1===v&&y===g&&_===C&&(v=_)),_=N,y=I,C=T,b=D),r[E]=!1,S+=i}else r[E]=!0,S+=i}-1!==_&&(f.set(u.subarray(_,y),C),-1===m&&0===_&&_===C&&(m=y),-1===v&&y===g&&_===C&&(v=_));return[-1===m?-1:m/(4*p),-1===v?-1:v/(4*p),r]},t._renderLine=function(e,t,n,i,o,r,s,a,l){for(var u=l.content,c=l.tokens,d=m(i),h=e.width-d,p=0,f=0,g=0,v=0,_=c.getCount();v<_;v++)for(var y=c.getEndOffset(v),C=c.getForeground(v),b=o.getColor(C);f<y;f++){if(p>h)return;var S=u.charCodeAt(f);if(9===S){var w=a-(f+g)%a;g+=w-1,p+=w*d}else 32===S?p+=d:(2===i?r.x2RenderChar(e,p,s,S,b,t,n):1===i?r.x1RenderChar(e,p,s,S,b,t,n):4===i?r.x2BlockRenderChar(e,p,s,b,t,n):r.x1BlockRenderChar(e,p,s,b,t,n),p+=d)}},t
}(n.ViewPart);t.Minimap=E,p.registerThemingParticipant(function(e,t){var n=e.getColor(f.scrollbarSliderBackground);if(n){var i=n.transparent(.5);t.addRule(".monaco-editor .minimap-slider, .monaco-editor .minimap-slider .minimap-slider-horizontal { background: "+i+"; }")}var o=e.getColor(f.scrollbarSliderHoverBackground);if(o){var r=o.transparent(.5);t.addRule(".monaco-editor .minimap-slider:hover, .monaco-editor .minimap-slider:hover .minimap-slider-horizontal { background: "+r+"; }")}var s=e.getColor(f.scrollbarSliderActiveBackground);if(s){var a=s.transparent(.5);t.addRule(".monaco-editor .minimap-slider.active, .monaco-editor .minimap-slider.active .minimap-slider-horizontal { background: "+a+"; }")}var l=e.getColor(f.scrollbarShadow);l&&t.addRule(".monaco-editor .minimap-shadow-visible { box-shadow: "+l+" -6px 0 6px -6px inset; }")})}),define(t[498],n([0,1,26,34,16,23,302]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){
var i=e.call(this,t)||this;return i._scrollTop=0,i._width=0,i._updateWidth(),i._shouldShow=!1,i._useShadows=i._context.configuration.editor.viewInfo.scrollbar.useShadows,i._domNode=n.createFastDomNode(document.createElement("div")),i._domNode.setAttribute("role","presentation"),i._domNode.setAttribute("aria-hidden","true"),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._updateShouldShow=function(){var e=this._useShadows&&this._scrollTop>0;return this._shouldShow!==e&&(this._shouldShow=e,!0)},t.prototype.getDomNode=function(){return this._domNode},t.prototype._updateWidth=function(){var e=this._context.configuration.editor.layoutInfo,t=0;return t=0===e.renderMinimap||e.minimapWidth>0&&0===e.minimapLeft?e.width:e.width-e.minimapWidth-e.verticalScrollbarWidth,this._width!==t&&(this._width=t,!0)},t.prototype.onConfigurationChanged=function(e){var t=!1;return e.viewInfo&&(this._useShadows=this._context.configuration.editor.viewInfo.scrollbar.useShadows),
e.layoutInfo&&(t=this._updateWidth()),this._updateShouldShow()||t},t.prototype.onScrollChanged=function(e){return this._scrollTop=e.scrollTop,this._updateShouldShow()},t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._domNode.setWidth(this._width),this._domNode.setClassName(this._shouldShow?"scroll-decoration":"")},t}(i.ViewPart);t.ScrollDecorationViewPart=a,r.registerThemingParticipant(function(e,t){var n=e.getColor(s.scrollbarShadow);n&&t.addRule(".monaco-editor .scroll-decoration { box-shadow: "+n+" 0 6px 6px -6px inset; }")})}),define(t[499],n([0,1,16,23,60,32,303]),function(e,t,n,i,r,s){"use strict";function a(e){return new c(e)}function l(e){return new d(e.lineNumber,e.ranges.map(a))}Object.defineProperty(t,"__esModule",{value:!0});var u;!function(e){e[e.EXTERN=0]="EXTERN",e[e.INTERN=1]="INTERN",e[e.FLAT=2]="FLAT"}(u||(u={}));var c=function(){return function(e){this.left=e.left,this.width=e.width,this.startStyle=null,this.endStyle=null}}(),d=function(){return function(e,t){
this.lineNumber=e,this.ranges=t}}(),h=s.isEdgeOrIE,p=function(e){function t(t){var n=e.call(this)||this;return n._previousFrameVisibleRangesWithStyle=[],n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._roundedSelection=n._context.configuration.editor.viewInfo.roundedSelection,n._selections=[],n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._selections=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._roundedSelection=this._context.configuration.editor.viewInfo.roundedSelection),!0},t.prototype.onCursorStateChanged=function(e){return this._selections=e.selections.slice(0),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){
return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._visibleRangesHaveGaps=function(e){for(var t=0,n=e.length;t<n;t++){if(e[t].ranges.length>1)return!0}return!1},t.prototype._enrichVisibleRangesWithStyle=function(e,t){var n=null,i=null;if(t&&t.length>0&&e.length>0){for(var o=e[0].lineNumber,r=0;!n&&r<t.length;r++)t[r].lineNumber===o&&(n=t[r].ranges[0]);for(var s=e[e.length-1].lineNumber,r=t.length-1;!i&&r>=0;r--)t[r].lineNumber===s&&(i=t[r].ranges[0]);n&&!n.startStyle&&(n=null),i&&!i.startStyle&&(i=null)}for(var r=0,a=e.length;r<a;r++){var l=e[r].ranges[0],u=l.left,c=l.left+l.width,d={top:0,bottom:0},h={top:0,bottom:0};if(r>0){var p=e[r-1].ranges[0].left,f=e[r-1].ranges[0].left+e[r-1].ranges[0].width;u===p?d.top=2:u>p&&(d.top=1),c===f?h.top=2:p<c&&c<f&&(h.top=1)}else n&&(d.top=n.startStyle.top,h.top=n.endStyle.top);if(r+1<a){
var g=e[r+1].ranges[0].left,m=e[r+1].ranges[0].left+e[r+1].ranges[0].width;u===g?d.bottom=2:g<u&&u<m&&(d.bottom=1),c===m?h.bottom=2:c<m&&(h.bottom=1)}else i&&(d.bottom=i.startStyle.bottom,h.bottom=i.endStyle.bottom);l.startStyle=d,l.endStyle=h}},t.prototype._getVisibleRangesWithStyle=function(e,t,n){var i=(t.linesVisibleRangesForRange(e,!0)||[]).map(l),o=this._visibleRangesHaveGaps(i);return h||o||!this._roundedSelection||this._enrichVisibleRangesWithStyle(i,n),i},t.prototype._createSelectionPiece=function(e,t,n,i,o){return'<div class="cslr '+n+'" style="top:'+e.toString()+"px;left:"+i.toString()+"px;width:"+o.toString()+"px;height:"+t+'px;"></div>'},t.prototype._actualRenderOneSelection=function(e,n,i,o){for(var r=o.length>0&&o[0].ranges[0].startStyle,s=this._lineHeight.toString(),a=(this._lineHeight-1).toString(),l=o.length>0?o[0].lineNumber:0,u=o.length>0?o[o.length-1].lineNumber:0,c=0,d=o.length;c<d;c++){
for(var h=o[c],p=h.lineNumber,f=p-n,g=i&&(p===u||p===l)?a:s,m=i&&p===l?1:0,v="",_=0,y=h.ranges.length;_<y;_++){var C=h.ranges[_];if(r){if(1===C.startStyle.top||1===C.startStyle.bottom){v+=this._createSelectionPiece(m,g,t.SELECTION_CLASS_NAME,C.left-t.ROUNDED_PIECE_WIDTH,t.ROUNDED_PIECE_WIDTH);var b=t.EDITOR_BACKGROUND_CLASS_NAME;1===C.startStyle.top&&(b+=" "+t.SELECTION_TOP_RIGHT),1===C.startStyle.bottom&&(b+=" "+t.SELECTION_BOTTOM_RIGHT),v+=this._createSelectionPiece(m,g,b,C.left-t.ROUNDED_PIECE_WIDTH,t.ROUNDED_PIECE_WIDTH)}if(1===C.endStyle.top||1===C.endStyle.bottom){v+=this._createSelectionPiece(m,g,t.SELECTION_CLASS_NAME,C.left+C.width,t.ROUNDED_PIECE_WIDTH);var S=t.EDITOR_BACKGROUND_CLASS_NAME;1===C.endStyle.top&&(S+=" "+t.SELECTION_TOP_LEFT),1===C.endStyle.bottom&&(S+=" "+t.SELECTION_BOTTOM_LEFT),v+=this._createSelectionPiece(m,g,S,C.left+C.width,t.ROUNDED_PIECE_WIDTH)}}var w=t.SELECTION_CLASS_NAME;r&&(0===C.startStyle.top&&(w+=" "+t.SELECTION_TOP_LEFT),
0===C.startStyle.bottom&&(w+=" "+t.SELECTION_BOTTOM_LEFT),0===C.endStyle.top&&(w+=" "+t.SELECTION_TOP_RIGHT),0===C.endStyle.bottom&&(w+=" "+t.SELECTION_BOTTOM_RIGHT)),v+=this._createSelectionPiece(m,g,w,C.left,C.width)}e[f]+=v}},t.prototype.prepareRender=function(e){for(var t=[],n=e.visibleRange.startLineNumber,i=e.visibleRange.endLineNumber,o=n;o<=i;o++){t[o-n]=""}for(var r=[],s=0,a=this._selections.length;s<a;s++){var l=this._selections[s];if(l.isEmpty())r[s]=null;else{var u=this._getVisibleRangesWithStyle(l,e,this._previousFrameVisibleRangesWithStyle[s]);r[s]=u,this._actualRenderOneSelection(t,n,this._selections.length>1,u)}}this._previousFrameVisibleRangesWithStyle=r,this._renderResult=t},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t.SELECTION_CLASS_NAME="selected-text",t.SELECTION_TOP_LEFT="top-left-radius",t.SELECTION_BOTTOM_LEFT="bottom-left-radius",t.SELECTION_TOP_RIGHT="top-right-radius",
t.SELECTION_BOTTOM_RIGHT="bottom-right-radius",t.EDITOR_BACKGROUND_CLASS_NAME="monaco-editor-background",t.ROUNDED_PIECE_WIDTH=10,t}(r.DynamicViewOverlay);t.SelectionsOverlay=p,n.registerThemingParticipant(function(e,t){var n=e.getColor(i.editorSelectionBackground);n&&t.addRule(".monaco-editor .focused .selected-text { background-color: "+n+"; }");var o=e.getColor(i.editorInactiveSelection);o&&t.addRule(".monaco-editor .selected-text { background-color: "+o+"; }");var r=e.getColor(i.editorSelectionForeground);r&&t.addRule(".monaco-editor .view-line span.inline-selected-text { color: "+r+"; }")})}),define(t[35],n([0,1,307,23,16,27]),function(e,t,n,i,o,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.editorLineHighlight=i.registerColor("editor.lineHighlightBackground",{dark:null,light:null,hc:null},n.localize(0,null)),t.editorLineHighlightBorder=i.registerColor("editor.lineHighlightBorder",{dark:"#282828",light:"#eeeeee",hc:"#f38518"},n.localize(1,null)),
t.editorRangeHighlight=i.registerColor("editor.rangeHighlightBackground",{dark:"#ffffff0b",light:"#fdff0033",hc:null},n.localize(2,null),!0),t.editorRangeHighlightBorder=i.registerColor("editor.rangeHighlightBorder",{dark:null,light:null,hc:i.activeContrastBorder},n.localize(3,null),!0),t.editorCursorForeground=i.registerColor("editorCursor.foreground",{dark:"#AEAFAD",light:r.Color.black,hc:r.Color.white},n.localize(4,null)),t.editorCursorBackground=i.registerColor("editorCursor.background",null,n.localize(5,null)),t.editorWhitespaces=i.registerColor("editorWhitespace.foreground",{dark:"#e3e4e229",light:"#33333333",hc:"#e3e4e229"},n.localize(6,null)),t.editorIndentGuides=i.registerColor("editorIndentGuide.background",{dark:t.editorWhitespaces,light:t.editorWhitespaces,hc:t.editorWhitespaces},n.localize(7,null)),t.editorLineNumbers=i.registerColor("editorLineNumber.foreground",{dark:"#5A5A5A",light:"#2B91AF",hc:r.Color.white},n.localize(8,null));var s=i.registerColor("editorActiveLineNumber.foreground",{
dark:null,light:null,hc:null},n.localize(9,null),!1,n.localize(10,null));t.editorActiveLineNumber=i.registerColor("editorLineNumber.activeForeground",{dark:s,light:s,hc:s},n.localize(11,null)),t.editorRuler=i.registerColor("editorRuler.foreground",{dark:"#5A5A5A",light:r.Color.lightgrey,hc:r.Color.white},n.localize(12,null)),t.editorCodeLensForeground=i.registerColor("editorCodeLens.foreground",{dark:"#999999",light:"#999999",hc:"#999999"},n.localize(13,null)),t.editorBracketMatchBackground=i.registerColor("editorBracketMatch.background",{dark:"#0064001a",light:"#0064001a",hc:"#0064001a"},n.localize(14,null)),t.editorBracketMatchBorder=i.registerColor("editorBracketMatch.border",{dark:"#888",light:"#B9B9B9",hc:"#fff"},n.localize(15,null)),t.editorOverviewRulerBorder=i.registerColor("editorOverviewRuler.border",{dark:"#7f7f7f4d",light:"#7f7f7f4d",hc:"#7f7f7f4d"},n.localize(16,null)),t.editorGutter=i.registerColor("editorGutter.background",{dark:i.editorBackground,light:i.editorBackground,hc:i.editorBackground
},n.localize(17,null)),t.editorErrorForeground=i.registerColor("editorError.foreground",{dark:"#ea4646",light:"#d60a0a",hc:null},n.localize(18,null)),t.editorErrorBorder=i.registerColor("editorError.border",{dark:null,light:null,hc:r.Color.fromHex("#E47777").transparent(.8)},n.localize(19,null)),t.editorWarningForeground=i.registerColor("editorWarning.foreground",{dark:"#4d9e4d",light:"#117711",hc:null},n.localize(20,null)),t.editorWarningBorder=i.registerColor("editorWarning.border",{dark:null,light:null,hc:r.Color.fromHex("#71B771").transparent(.8)},n.localize(21,null)),t.editorInfoForeground=i.registerColor("editorInfo.foreground",{dark:"#008000",light:"#008000",hc:null},n.localize(22,null)),t.editorInfoBorder=i.registerColor("editorInfo.border",{dark:null,light:null,hc:r.Color.fromHex("#71B771").transparent(.8)},n.localize(23,null)),t.editorHintForeground=i.registerColor("editorHint.foreground",{dark:r.Color.fromHex("#eeeeee").transparent(.7),light:"#6c6c6c",hc:null},n.localize(24,null)),
t.editorHintBorder=i.registerColor("editorHint.border",{dark:null,light:null,hc:r.Color.fromHex("#eeeeee").transparent(.8)},n.localize(25,null));var a=new r.Color(new r.RGBA(0,122,204,.6));t.overviewRulerRangeHighlight=i.registerColor("editorOverviewRuler.rangeHighlightForeground",{dark:a,light:a,hc:a},n.localize(26,null),!0),t.overviewRulerError=i.registerColor("editorOverviewRuler.errorForeground",{dark:new r.Color(new r.RGBA(255,18,18,.7)),light:new r.Color(new r.RGBA(255,18,18,.7)),hc:new r.Color(new r.RGBA(255,50,50,1))},n.localize(27,null)),t.overviewRulerWarning=i.registerColor("editorOverviewRuler.warningForeground",{dark:new r.Color(new r.RGBA(18,136,18,.7)),light:new r.Color(new r.RGBA(18,136,18,.7)),hc:new r.Color(new r.RGBA(50,255,50,1))},n.localize(28,null)),t.overviewRulerInfo=i.registerColor("editorOverviewRuler.infoForeground",{dark:new r.Color(new r.RGBA(18,18,136,.7)),light:new r.Color(new r.RGBA(18,18,136,.7)),hc:new r.Color(new r.RGBA(50,50,255,1))},n.localize(29,null)),
o.registerThemingParticipant(function(e,n){var o=e.getColor(i.editorBackground);o&&n.addRule(".monaco-editor, .monaco-editor-background, .monaco-editor .inputarea.ime-input { background-color: "+o+"; }");var r=e.getColor(i.editorForeground);r&&n.addRule(".monaco-editor, .monaco-editor .inputarea.ime-input { color: "+r+"; }");var s=e.getColor(t.editorGutter);s&&n.addRule(".monaco-editor .margin { background-color: "+s+"; }");var a=e.getColor(t.editorRangeHighlight);a&&n.addRule(".monaco-editor .rangeHighlight { background-color: "+a+"; }");var l=e.getColor(t.editorRangeHighlightBorder);l&&n.addRule(".monaco-editor .rangeHighlight { border: 1px dotted "+l+"; }");var u=e.getColor(t.editorWhitespaces);u&&n.addRule(".vs-whitespace { color: "+u+" !important; }")})}),define(t[501],n([0,1,60,16,35,269]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,
n._renderLineHighlight=n._context.configuration.editor.viewInfo.renderLineHighlight,n._selectionIsEmpty=!0,n._primaryCursorLineNumber=1,n._scrollWidth=0,n._contentWidth=n._context.configuration.editor.layoutInfo.contentWidth,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._renderLineHighlight=this._context.configuration.editor.viewInfo.renderLineHighlight),e.layoutInfo&&(this._contentWidth=this._context.configuration.editor.layoutInfo.contentWidth),!0},t.prototype.onCursorStateChanged=function(e){var t=!1,n=e.selections[0].positionLineNumber;this._primaryCursorLineNumber!==n&&(this._primaryCursorLineNumber=n,t=!0);var i=e.selections[0].isEmpty();return this._selectionIsEmpty!==i?(this._selectionIsEmpty=i,t=!0,!0):t},
t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollWidthChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.prepareRender=function(e){this._scrollWidth=e.scrollWidth},t.prototype.render=function(e,t){if(t===this._primaryCursorLineNumber){if(this._shouldShowCurrentLine()){return'<div class="'+("current-line"+(this._willRenderMarginCurrentLine()?" current-line-both":""))+'" style="width:'+String(Math.max(this._scrollWidth,this._contentWidth))+"px; height:"+String(this._lineHeight)+'px;"></div>'}return""}return""},t.prototype._shouldShowCurrentLine=function(){return("line"===this._renderLineHighlight||"all"===this._renderLineHighlight)&&this._selectionIsEmpty},t.prototype._willRenderMarginCurrentLine=function(){return"gutter"===this._renderLineHighlight||"all"===this._renderLineHighlight},t}(n.DynamicViewOverlay);t.CurrentLineHighlightOverlay=s,
i.registerThemingParticipant(function(e,t){var n=e.getColor(r.editorLineHighlight);if(n&&t.addRule(".monaco-editor .view-overlays .current-line { background-color: "+n+"; }"),!n||n.isTransparent()||e.defines(r.editorLineHighlightBorder)){var i=e.getColor(r.editorLineHighlightBorder);i&&(t.addRule(".monaco-editor .view-overlays .current-line { border: 2px solid "+i+"; }"),"hc"===e.type&&t.addRule(".monaco-editor .view-overlays .current-line { border-width: 1px; }"))}})}),define(t[502],n([0,1,60,16,35,270]),function(e,t,n,i,r){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var s=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._renderLineHighlight=n._context.configuration.editor.viewInfo.renderLineHighlight,n._selectionIsEmpty=!0,n._primaryCursorLineNumber=1,n._contentLeft=n._context.configuration.editor.layoutInfo.contentLeft,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){
this._context.removeEventHandler(this),this._context=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.viewInfo&&(this._renderLineHighlight=this._context.configuration.editor.viewInfo.renderLineHighlight),e.layoutInfo&&(this._contentLeft=this._context.configuration.editor.layoutInfo.contentLeft),!0},t.prototype.onCursorStateChanged=function(e){var t=!1,n=e.selections[0].positionLineNumber;this._primaryCursorLineNumber!==n&&(this._primaryCursorLineNumber=n,t=!0);var i=e.selections[0].isEmpty();return this._selectionIsEmpty!==i?(this._selectionIsEmpty=i,t=!0,!0):t},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onZonesChanged=function(e){return!0},t.prototype.prepareRender=function(e){},t.prototype.render=function(e,t){if(t===this._primaryCursorLineNumber){var n="current-line"
;if(this._shouldShowCurrentLine()){n="current-line current-line-margin"+(this._willRenderContentCurrentLine()?" current-line-margin-both":"")}return'<div class="'+n+'" style="width:'+String(this._contentLeft)+"px; height:"+String(this._lineHeight)+'px;"></div>'}return""},t.prototype._shouldShowCurrentLine=function(){return"gutter"===this._renderLineHighlight||"all"===this._renderLineHighlight},t.prototype._willRenderContentCurrentLine=function(){return("line"===this._renderLineHighlight||"all"===this._renderLineHighlight)&&this._selectionIsEmpty},t}(n.DynamicViewOverlay);t.CurrentLineMarginHighlightOverlay=s,i.registerThemingParticipant(function(e,t){var n=e.getColor(r.editorLineHighlight);if(n)t.addRule(".monaco-editor .margin-view-overlays .current-line-margin { background-color: "+n+"; border: none; }");else{var i=e.getColor(r.editorLineHighlightBorder);i&&t.addRule(".monaco-editor .margin-view-overlays .current-line-margin { border: 2px solid "+i+"; }"),
"hc"===e.type&&t.addRule(".monaco-editor .margin-view-overlays .current-line-margin { border-width: 1px; }")}})}),define(t[503],n([0,1,60,16,35,13,280]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._lineHeight=n._context.configuration.editor.lineHeight,n._spaceWidth=n._context.configuration.editor.fontInfo.spaceWidth,n._enabled=n._context.configuration.editor.viewInfo.renderIndentGuides,n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return e.lineHeight&&(this._lineHeight=this._context.configuration.editor.lineHeight),e.fontInfo&&(this._spaceWidth=this._context.configuration.editor.fontInfo.spaceWidth),
e.viewInfo&&(this._enabled=this._context.configuration.editor.viewInfo.renderIndentGuides),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.onLanguageConfigurationChanged=function(e){return!0},t.prototype.prepareRender=function(e){if(this._enabled){for(var t=e.visibleRange.startLineNumber,n=e.visibleRange.endLineNumber,i=this._context.model.getTabSize()*this._spaceWidth,o=this._lineHeight,r=i,a=this._context.model.getLinesIndentGuides(t,n),l=[],u=t;u<=n;u++){for(var c=u-t,d=a[c],h="",p=e.visibleRangeForPosition(new s.Position(u,1)),f=p?p.left:0,g=0;g<d;g++)h+='<div class="cigr" style="left:'+f+"px;height:"+o+"px;width:"+r+'px"></div>',f+=i;l[c]=h}this._renderResult=l
}else this._renderResult=null},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},t}(n.DynamicViewOverlay);t.IndentGuidesOverlay=a,i.registerThemingParticipant(function(e,t){var n=e.getColor(r.editorIndentGuides);n&&t.addRule(".monaco-editor .lines-content .cigr { box-shadow: 1px 0 0 0 "+n+" inset; }")})}),define(t[193],n([0,1,35,16,15,60,13,281]),function(e,t,n,i,r,s,a){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var l=function(e){function t(t){var n=e.call(this)||this;return n._context=t,n._readConfig(),n._lastCursorModelPosition=new a.Position(1,1),n._renderResult=null,n._context.addEventHandler(n),n}return o(t,e),t.prototype._readConfig=function(){var e=this._context.configuration.editor;this._lineHeight=e.lineHeight,this._renderLineNumbers=e.viewInfo.renderLineNumbers,this._renderCustomLineNumbers=e.viewInfo.renderCustomLineNumbers,this._lineNumbersLeft=e.layoutInfo.lineNumbersLeft,
this._lineNumbersWidth=e.layoutInfo.lineNumbersWidth},t.prototype.dispose=function(){this._context.removeEventHandler(this),this._context=null,this._renderResult=null,e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return this._readConfig(),!0},t.prototype.onCursorStateChanged=function(e){var t=e.selections[0].getPosition();return this._lastCursorModelPosition=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(t),2===this._renderLineNumbers||3===this._renderLineNumbers},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollTopChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype._getLineRenderLineNumber=function(e){var t=this._context.model.coordinatesConverter.convertViewPositionToModelPosition(new a.Position(e,1));if(1!==t.column)return""
;var n=t.lineNumber;if(this._renderCustomLineNumbers)return this._renderCustomLineNumbers(n);if(2===this._renderLineNumbers){var i=Math.abs(this._lastCursorModelPosition.lineNumber-n);return 0===i?'<span class="relative-current-line-number">'+n+"</span>":String(i)}return 3===this._renderLineNumbers?this._lastCursorModelPosition.lineNumber===n?String(n):n%10==0?String(n):"":String(n)},t.prototype.prepareRender=function(e){if(0!==this._renderLineNumbers){for(var n=r.isLinux?this._lineHeight%2==0?" lh-even":" lh-odd":"",i=e.visibleRange.startLineNumber,o=e.visibleRange.endLineNumber,s='<div class="'+t.CLASS_NAME+n+'" style="left:'+this._lineNumbersLeft.toString()+"px;width:"+this._lineNumbersWidth.toString()+'px;">',a=[],l=i;l<=o;l++){var u=l-i,c=this._getLineRenderLineNumber(l);a[u]=c?s+c+"</div>":""}this._renderResult=a}else this._renderResult=null},t.prototype.render=function(e,t){if(!this._renderResult)return"";var n=t-e;return n<0||n>=this._renderResult.length?"":this._renderResult[n]},
t.CLASS_NAME="line-numbers",t}(s.DynamicViewOverlay);t.LineNumbersOverlay=l,i.registerThemingParticipant(function(e,t){var i=e.getColor(n.editorLineNumbers);i&&t.addRule(".monaco-editor .line-numbers { color: "+i+"; }");var o=e.getColor(n.editorActiveLineNumber);o&&t.addRule(".monaco-editor .current-line ~ .line-numbers { color: "+o+"; }")})}),define(t[505],n([0,1,15,32,9,178,176,3,20,13,69,72,26,34,175,193,90,266]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v){"use strict";function _(e,t){var n=document.createElement("canvas").getContext("2d");n.font=function(e){return function(e,t,n,i,o){return e+" normal "+t+" "+n+"px / "+i+"px "+o}("normal",e.fontWeight,e.fontSize,e.lineHeight,e.fontFamily)}(t);var o=n.measureText(e);return i.isFirefox?o.width+2:o.width}Object.defineProperty(t,"__esModule",{value:!0});var y=function(){function e(e,t,n){this.top=e,this.left=t,this.width=n}return e.prototype.setWidth=function(t){return new e(this.top,this.left,t)},e}(),C=i.isEdgeOrIE||i.isFirefox,b=function(){function e(){
this._lastState=null}return e.prototype.set=function(e){this._lastState=e},e.prototype.get=function(e){return this._lastState&&this._lastState.lastCopiedValue===e?this._lastState:(this._lastState=null,null)},e.INSTANCE=new e,e}(),S=function(e){function t(t,o,r){var c=e.call(this,t)||this;c._primaryCursorVisibleRange=null,c._viewController=o,c._viewHelper=r;var d=c._context.configuration.editor;c._accessibilitySupport=d.accessibilitySupport,c._contentLeft=d.layoutInfo.contentLeft,c._contentWidth=d.layoutInfo.contentWidth,c._contentHeight=d.layoutInfo.contentHeight,c._scrollLeft=0,c._scrollTop=0,c._fontInfo=d.fontInfo,c._lineHeight=d.lineHeight,c._emptySelectionClipboard=d.emptySelectionClipboard,c._visibleTextArea=null,c._selections=[new u.Selection(1,1,1,1)],c.textArea=p.createFastDomNode(document.createElement("textarea")),f.PartFingerprints.write(c.textArea,6),c.textArea.setClassName("inputarea"),c.textArea.setAttribute("wrap","off"),c.textArea.setAttribute("autocorrect","off"),
c.textArea.setAttribute("autocapitalize","off"),c.textArea.setAttribute("autocomplete","off"),c.textArea.setAttribute("spellcheck","false"),c.textArea.setAttribute("aria-label",d.viewInfo.ariaLabel),c.textArea.setAttribute("role","textbox"),c.textArea.setAttribute("aria-multiline","true"),c.textArea.setAttribute("aria-haspopup","false"),c.textArea.setAttribute("aria-autocomplete","both"),c.textAreaCover=p.createFastDomNode(document.createElement("div")),c.textAreaCover.setPosition("absolute");var g={getLineCount:function(){return c._context.model.getLineCount()},getLineMaxColumn:function(e){return c._context.model.getLineMaxColumn(e)},getValueInRange:function(e,t){return c._context.model.getValueInRange(e,t)}},m={getPlainTextToCopy:function(){var e=c._context.model.getPlainTextToCopy(c._selections,c._emptySelectionClipboard),t=c._context.model.getEOL(),n=c._emptySelectionClipboard&&1===c._selections.length&&c._selections[0].isEmpty(),o=Array.isArray(e)?e:null,r=Array.isArray(e)?e.join(t):e,s=null;if(n||o){s={
lastCopiedValue:i.isFirefox?r.replace(/\r\n/g,"\n"):r,isFromEmptySelection:c._emptySelectionClipboard&&1===c._selections.length&&c._selections[0].isEmpty(),multicursorText:o}}return b.INSTANCE.set(s),r},getHTMLToCopy:function(){return c._context.model.getHTMLToCopy(c._selections,c._emptySelectionClipboard)},getScreenReaderContent:function(e){if(i.isIPad)return a.TextAreaState.EMPTY;if(1===c._accessibilitySupport){if(n.isMacintosh){var t=c._selections[0];if(t.isEmpty()){var o=t.getStartPosition(),r=c._getWordBeforePosition(o);if(0===r.length&&(r=c._getCharacterBeforePosition(o)),r.length>0)return new a.TextAreaState(r,r.length,r.length,o,o)}}return a.TextAreaState.EMPTY}return a.PagedScreenReaderStrategy.fromEditorSelection(e,g,c._selections[0],0===c._accessibilitySupport)},deduceModelPosition:function(e,t,n){return c._context.model.deduceModelPositionRelativeToViewPosition(e,t,n)}};return c._textAreaInput=c._register(new s.TextAreaInput(m,c.textArea)),c._register(c._textAreaInput.onKeyDown(function(e){
c._viewController.emitKeyDown(e)})),c._register(c._textAreaInput.onKeyUp(function(e){c._viewController.emitKeyUp(e)})),c._register(c._textAreaInput.onPaste(function(e){var t=b.INSTANCE.get(e.text),n=!1,i=null;t&&(n=c._emptySelectionClipboard&&t.isFromEmptySelection,i=t.multicursorText),c._viewController.paste("keyboard",e.text,n,i)})),c._register(c._textAreaInput.onCut(function(){c._viewController.cut("keyboard")})),c._register(c._textAreaInput.onType(function(e){e.replaceCharCnt?c._viewController.replacePreviousChar("keyboard",e.text,e.replaceCharCnt):c._viewController.type("keyboard",e.text)})),c._register(c._textAreaInput.onSelectionChangeRequest(function(e){c._viewController.setSelection("keyboard",e)})),c._register(c._textAreaInput.onCompositionStart(function(){var e=c._selections[0].startLineNumber,t=c._selections[0].startColumn;c._context.privateViewEventBus.emit(new h.ViewRevealRangeRequestEvent(new l.Range(e,t,e,t),0,!0,1));var n=c._viewHelper.visibleRangeForPositionRelativeToEditor(e,t)
;n&&(c._visibleTextArea=new y(c._context.viewLayout.getVerticalOffsetForLineNumber(e),n.left,C?0:1),c._render()),c.textArea.setClassName("inputarea ime-input"),c._viewController.compositionStart("keyboard")})),c._register(c._textAreaInput.onCompositionUpdate(function(e){i.isEdgeOrIE?c._visibleTextArea=c._visibleTextArea.setWidth(0):c._visibleTextArea=c._visibleTextArea.setWidth(_(e.data,c._fontInfo)),c._render()})),c._register(c._textAreaInput.onCompositionEnd(function(){c._visibleTextArea=null,c._render(),c.textArea.setClassName("inputarea"),c._viewController.compositionEnd("keyboard")})),c._register(c._textAreaInput.onFocus(function(){c._context.privateViewEventBus.emit(new h.ViewFocusChangedEvent(!0))})),c._register(c._textAreaInput.onBlur(function(){c._context.privateViewEventBus.emit(new h.ViewFocusChangedEvent(!1))})),c}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._getWordBeforePosition=function(e){
for(var t=this._context.model.getLineContent(e.lineNumber),n=v.getMapForWordSeparators(this._context.configuration.editor.wordSeparators),i=e.column,o=0;i>1;){var r=t.charCodeAt(i-2);if(0!==n.get(r)||o>50)return t.substring(i-1,e.column-1);o++,i--}return t.substring(0,e.column-1)},t.prototype._getCharacterBeforePosition=function(e){if(e.column>1){var t=this._context.model.getLineContent(e.lineNumber).charAt(e.column-2);if(!r.isHighSurrogate(t.charCodeAt(0)))return t}return""},t.prototype.onConfigurationChanged=function(e){var t=this._context.configuration.editor;return e.fontInfo&&(this._fontInfo=t.fontInfo),e.viewInfo&&this.textArea.setAttribute("aria-label",t.viewInfo.ariaLabel),e.layoutInfo&&(this._contentLeft=t.layoutInfo.contentLeft,this._contentWidth=t.layoutInfo.contentWidth,this._contentHeight=t.layoutInfo.contentHeight),e.lineHeight&&(this._lineHeight=t.lineHeight),e.accessibilitySupport&&(this._accessibilitySupport=t.accessibilitySupport,
this._textAreaInput.writeScreenReaderContent("strategy changed")),e.emptySelectionClipboard&&(this._emptySelectionClipboard=t.emptySelectionClipboard),!0},t.prototype.onCursorStateChanged=function(e){return this._selections=e.selections.slice(0),this._textAreaInput.writeScreenReaderContent("selection changed"),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return this._scrollLeft=e.scrollLeft,this._scrollTop=e.scrollTop,!0},t.prototype.onZonesChanged=function(e){return!0},t.prototype.isFocused=function(){return this._textAreaInput.isFocused()},t.prototype.focusTextArea=function(){this._textAreaInput.focusTextArea()},t.prototype.prepareRender=function(e){if(2===this._accessibilitySupport)this._primaryCursorVisibleRange=null;else{
var t=new c.Position(this._selections[0].positionLineNumber,this._selections[0].positionColumn);this._primaryCursorVisibleRange=e.visibleRangeForPosition(t)}},t.prototype.render=function(e){this._textAreaInput.writeScreenReaderContent("render"),this._render()},t.prototype._render=function(){if(this._visibleTextArea)this._renderInsideEditor(this._visibleTextArea.top-this._scrollTop,this._contentLeft+this._visibleTextArea.left-this._scrollLeft,this._visibleTextArea.width,this._lineHeight,!0);else if(this._primaryCursorVisibleRange){var e=this._contentLeft+this._primaryCursorVisibleRange.left-this._scrollLeft;if(e<this._contentLeft||e>this._contentLeft+this._contentWidth)this._renderAtTopLeft();else{var t=this._context.viewLayout.getVerticalOffsetForLineNumber(this._selections[0].positionLineNumber)-this._scrollTop;t<0||t>this._contentHeight?this._renderAtTopLeft():this._renderInsideEditor(t,e,C?0:1,C?0:1,!1)}}else this._renderAtTopLeft()},t.prototype._renderInsideEditor=function(e,t,n,i,o){
var r=this.textArea,s=this.textAreaCover;o?d.Configuration.applyFontInfo(r,this._fontInfo):(r.setFontSize(1),r.setLineHeight(this._fontInfo.lineHeight)),r.setTop(e),r.setLeft(t),r.setWidth(n),r.setHeight(i),s.setTop(0),s.setLeft(0),s.setWidth(0),s.setHeight(0)},t.prototype._renderAtTopLeft=function(){var e=this.textArea,t=this.textAreaCover;if(d.Configuration.applyFontInfo(e,this._fontInfo),e.setTop(0),e.setLeft(0),t.setTop(0),t.setLeft(0),C)return e.setWidth(0),e.setHeight(0),t.setWidth(0),void t.setHeight(0);e.setWidth(1),e.setHeight(1),t.setWidth(1),t.setHeight(1),this._context.configuration.editor.viewInfo.glyphMargin?t.setClassName("monaco-editor-background textAreaCover "+g.Margin.CLASS_NAME):0!==this._context.configuration.editor.viewInfo.renderLineNumbers?t.setClassName("monaco-editor-background textAreaCover "+m.LineNumbersOverlay.CLASS_NAME):t.setClassName("monaco-editor-background textAreaCover")},t}(f.ViewPart);t.TextAreaHandler=S}),
define(t[506],n([0,1,34,13,17,35,27,26]),function(e,t,n,i,r,s,a,l){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var u,c=function(){function e(e,t){this.lineHeight=e.editor.lineHeight,this.pixelRatio=e.editor.pixelRatio,this.overviewRulerLanes=e.editor.viewInfo.overviewRulerLanes,this.renderBorder=e.editor.viewInfo.overviewRulerBorder;var n=t.getColor(s.editorOverviewRulerBorder);this.borderColor=n?n.toString():null,this.hideCursor=e.editor.viewInfo.hideCursorInOverviewRuler;var i=t.getColor(s.editorCursorForeground);this.cursorColor=i?i.transparent(.7).toString():null,this.themeType=t.type;var o=e.editor.viewInfo.minimap.enabled,l=e.editor.viewInfo.minimap.side,u=o?r.TokenizationRegistry.getDefaultBackground():null;this.backgroundColor=null===u||"left"===l?null:a.Color.Format.CSS.formatHex(u);var c=e.editor.layoutInfo.overviewRuler;this.top=c.top,this.right=c.right,this.domWidth=c.width,this.domHeight=c.height,this.canvasWidth=this.domWidth*this.pixelRatio|0,
this.canvasHeight=this.domHeight*this.pixelRatio|0;var d=this._initLanes(1,this.canvasWidth,this.overviewRulerLanes),h=d[0],p=d[1];this.x=h,this.w=p}return e.prototype._initLanes=function(e,t,n){var i=t-e;if(n>=3){var o=i-(s=Math.floor(i/3))-(a=Math.floor(i/3)),r=(l=e)+s;return[[0,l,r,l,u=l+s+o,l,r,l],[0,s,o,s+o,a,s+o+a,o+a,s+o+a]]}if(2===n){var s=Math.floor(i/2),a=i-s,l=e,u=l+s;return[[0,l,l,l,u,l,l,l],[0,s,s,s,a,s+a,s+a,s+a]]}var c=e,d=i;return[[0,c,c,c,c,c,c,c],[0,d,d,d,d,d,d,d]]},e.prototype.equals=function(e){return this.lineHeight===e.lineHeight&&this.pixelRatio===e.pixelRatio&&this.overviewRulerLanes===e.overviewRulerLanes&&this.renderBorder===e.renderBorder&&this.borderColor===e.borderColor&&this.hideCursor===e.hideCursor&&this.cursorColor===e.cursorColor&&this.themeType===e.themeType&&this.backgroundColor===e.backgroundColor&&this.top===e.top&&this.right===e.right&&this.domWidth===e.domWidth&&this.domHeight===e.domHeight&&this.canvasWidth===e.canvasWidth&&this.canvasHeight===e.canvasHeight},e}()
;!function(e){e[e.MIN_DECORATION_HEIGHT=6]="MIN_DECORATION_HEIGHT"}(u||(u={}));var d;!function(e){e[e.Left=1]="Left",e[e.Center=2]="Center",e[e.Right=4]="Right",e[e.Full=7]="Full"}(d||(d={}));var h=function(e){function t(t){var n=e.call(this,t)||this;return n._domNode=l.createFastDomNode(document.createElement("canvas")),n._domNode.setClassName("decorationsOverviewRuler"),n._domNode.setPosition("absolute"),n._domNode.setLayerHinting(!0),n._domNode.setAttribute("aria-hidden","true"),n._settings=null,n._updateSettings(!1),n._tokensColorTrackerListener=r.TokenizationRegistry.onDidChange(function(e){e.changedColorMap&&n._updateSettings(!0)}),n._cursorPositions=[],n}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._tokensColorTrackerListener.dispose()},t.prototype._updateSettings=function(e){var t=new c(this._context.configuration,this._context.theme);return(null===this._settings||!this._settings.equals(t))&&(this._settings=t,this._domNode.setTop(this._settings.top),
this._domNode.setRight(this._settings.right),this._domNode.setWidth(this._settings.domWidth),this._domNode.setHeight(this._settings.domHeight),this._domNode.domNode.width=this._settings.canvasWidth,this._domNode.domNode.height=this._settings.canvasHeight,e&&this._render(),!0)},t.prototype.onConfigurationChanged=function(e){return this._updateSettings(!1)},t.prototype.onCursorStateChanged=function(e){this._cursorPositions=[];for(var t=0,n=e.selections.length;t<n;t++)this._cursorPositions[t]=e.selections[t].getPosition();return this._cursorPositions.sort(i.Position.compare),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onScrollChanged=function(e){return e.scrollHeightChanged},t.prototype.onZonesChanged=function(e){return!0},t.prototype.onThemeChanged=function(e){return this._context.model.invalidateOverviewRulerColorCache(),this._updateSettings(!1)},t.prototype.getDomNode=function(){return this._domNode.domNode},
t.prototype.prepareRender=function(e){},t.prototype.render=function(e){this._render()},t.prototype._render=function(){var e=this._settings.canvasWidth,t=this._settings.canvasHeight,n=this._settings.lineHeight,i=this._context.viewLayout,o=t/this._context.viewLayout.getScrollHeight(),r=this._context.model.getAllOverviewRulerDecorations(this._context.theme),s=6*this._settings.pixelRatio|0,a=s/2|0,l=this._domNode.domNode.getContext("2d");null===this._settings.backgroundColor?l.clearRect(0,0,e,t):(l.fillStyle=this._settings.backgroundColor,l.fillRect(0,0,e,t));var u=this._settings.x,c=this._settings.w,d=Object.keys(r);d.sort();for(var h=0,p=d.length;h<p;h++){var f=d[h],g=r[f];l.fillStyle=f;for(var m=0,v=0,_=0,y=0,C=g.length;y<C;y++){var b=g[3*y],S=g[3*y+1],w=g[3*y+2],E=i.getVerticalOffsetForLineNumber(S)*o|0;if((M=(i.getVerticalOffsetForLineNumber(w)+n)*o|0)-E<s){(D=(E+M)/2|0)<a?D=a:D+a>t&&(D=t-a),E=D-a,M=D+a}E>_+1||b!==m?(0!==y&&l.fillRect(u[m],v,c[m],_-v),m=b,v=E,_=M):M>_&&(_=M)}l.fillRect(u[m],v,c[m],_-v)}
if(!this._settings.hideCursor){var L=2*this._settings.pixelRatio|0,x=L/2|0,N=this._settings.x[7],I=this._settings.w[7];l.fillStyle=this._settings.cursorColor;for(var v=-100,_=-100,y=0,C=this._cursorPositions.length;y<C;y++){var T=this._cursorPositions[y],D=i.getVerticalOffsetForLineNumber(T.lineNumber)*o|0;D<x?D=x:D+x>t&&(D=t-x);var M=(E=D-x)+L;E>_+1?(0!==y&&l.fillRect(N,v,I,_-v),v=E,_=M):M>_&&(_=M)}l.fillRect(N,v,I,_-v)}this._settings.renderBorder&&this._settings.borderColor&&this._settings.overviewRulerLanes>0&&(l.beginPath(),l.lineWidth=1,l.strokeStyle=this._settings.borderColor,l.moveTo(0,0),l.lineTo(0,t),l.stroke(),l.moveTo(0,0),l.lineTo(e,0),l.stroke())},t}(n.ViewPart);t.DecorationsOverviewRuler=h}),define(t[507],n([0,1,26,34,16,35,295]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(e){function t(t){var i=e.call(this,t)||this;return i.domNode=n.createFastDomNode(document.createElement("div")),i.domNode.setAttribute("role","presentation"),
i.domNode.setAttribute("aria-hidden","true"),i.domNode.setClassName("view-rulers"),i._renderedRulers=[],i._rulers=i._context.configuration.editor.viewInfo.rulers,i._typicalHalfwidthCharacterWidth=i._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.onConfigurationChanged=function(e){return!!(e.viewInfo||e.layoutInfo||e.fontInfo)&&(this._rulers=this._context.configuration.editor.viewInfo.rulers,this._typicalHalfwidthCharacterWidth=this._context.configuration.editor.fontInfo.typicalHalfwidthCharacterWidth,!0)},t.prototype.onScrollChanged=function(e){return e.scrollHeightChanged},t.prototype.prepareRender=function(e){},t.prototype._ensureRulersCount=function(){var e=this._renderedRulers.length,t=this._rulers.length;if(e!==t)if(e<t)for(var i=this._context.model.getTabSize(),o=t-e;o>0;){(s=n.createFastDomNode(document.createElement("div"))).setClassName("view-ruler"),s.setWidth(i),
this.domNode.appendChild(s),this._renderedRulers.push(s),o--}else for(var r=e-t;r>0;){var s=this._renderedRulers.pop();this.domNode.removeChild(s),r--}},t.prototype.render=function(e){this._ensureRulersCount();for(var t=0,n=this._rulers.length;t<n;t++){var i=this._renderedRulers[t];i.setHeight(Math.min(e.scrollHeight,1e6)),i.setLeft(this._rulers[t]*this._typicalHalfwidthCharacterWidth)}},t}(i.ViewPart);t.Rulers=a,r.registerThemingParticipant(function(e,t){var n=e.getColor(s.editorRuler);n&&t.addRule(".monaco-editor .view-ruler { box-shadow: 1px 0 0 0 "+n+" inset; }")})}),define(t[508],n([0,1,34,447,26,18,16,35,52,335]),function(e,t,n,i,r,s,a,l,u){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var c=function(e){function t(t){var n=e.call(this,t)||this;return n._readOnly=n._context.configuration.editor.readOnly,n._cursorBlinking=n._context.configuration.editor.viewInfo.cursorBlinking,n._cursorStyle=n._context.configuration.editor.viewInfo.cursorStyle,n._selectionIsEmpty=!0,
n._primaryCursor=new i.ViewCursor(n._context),n._secondaryCursors=[],n._renderData=[],n._domNode=r.createFastDomNode(document.createElement("div")),n._domNode.setAttribute("role","presentation"),n._domNode.setAttribute("aria-hidden","true"),n._updateDomClassName(),n._domNode.appendChild(n._primaryCursor.getDomNode()),n._startCursorBlinkAnimation=new s.TimeoutTimer,n._cursorFlatBlinkInterval=new s.IntervalTimer,n._blinkingEnabled=!1,n._editorHasFocus=!1,n._updateBlinking(),n}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._startCursorBlinkAnimation.dispose(),this._cursorFlatBlinkInterval.dispose()},t.prototype.getDomNode=function(){return this._domNode},t.prototype.onConfigurationChanged=function(e){e.readOnly&&(this._readOnly=this._context.configuration.editor.readOnly),e.viewInfo&&(this._cursorBlinking=this._context.configuration.editor.viewInfo.cursorBlinking,this._cursorStyle=this._context.configuration.editor.viewInfo.cursorStyle),
this._primaryCursor.onConfigurationChanged(e),this._updateBlinking(),e.viewInfo&&this._updateDomClassName();for(var t=0,n=this._secondaryCursors.length;t<n;t++)this._secondaryCursors[t].onConfigurationChanged(e);return!0},t.prototype._onCursorPositionChanged=function(e,t){if(this._primaryCursor.onCursorPositionChanged(e),this._updateBlinking(),this._secondaryCursors.length<t.length)for(var n=t.length-this._secondaryCursors.length,o=0;o<n;o++){var r=new i.ViewCursor(this._context);this._domNode.domNode.insertBefore(r.getDomNode().domNode,this._primaryCursor.getDomNode().domNode.nextSibling),this._secondaryCursors.push(r)}else if(this._secondaryCursors.length>t.length)for(var s=this._secondaryCursors.length-t.length,o=0;o<s;o++)this._domNode.removeChild(this._secondaryCursors[0].getDomNode()),this._secondaryCursors.splice(0,1);for(o=0;o<t.length;o++)this._secondaryCursors[o].onCursorPositionChanged(t[o])},t.prototype.onCursorStateChanged=function(e){
for(var t=[],n=0,i=e.selections.length;n<i;n++)t[n]=e.selections[n].getPosition();this._onCursorPositionChanged(t[0],t.slice(1));var o=e.selections[0].isEmpty();return this._selectionIsEmpty!==o&&(this._selectionIsEmpty=o,this._updateDomClassName()),!0},t.prototype.onDecorationsChanged=function(e){return!0},t.prototype.onFlushed=function(e){return!0},t.prototype.onFocusChanged=function(e){return this._editorHasFocus=e.isFocused,this._updateBlinking(),!1},t.prototype.onLinesChanged=function(e){return!0},t.prototype.onLinesDeleted=function(e){return!0},t.prototype.onLinesInserted=function(e){return!0},t.prototype.onScrollChanged=function(e){return!0},t.prototype.onTokensChanged=function(e){var t=function(t){for(var n=0,i=e.ranges.length;n<i;n++)if(e.ranges[n].fromLineNumber<=t.lineNumber&&t.lineNumber<=e.ranges[n].toLineNumber)return!0;return!1};if(t(this._primaryCursor.getPosition()))return!0;for(var n=0;n<this._secondaryCursors.length;n++)if(t(this._secondaryCursors[n].getPosition()))return!0;return!1},
t.prototype.onZonesChanged=function(e){return!0},t.prototype._getCursorBlinking=function(){return this._editorHasFocus?this._readOnly?u.TextEditorCursorBlinkingStyle.Solid:this._cursorBlinking:u.TextEditorCursorBlinkingStyle.Hidden},t.prototype._updateBlinking=function(){var e=this;this._startCursorBlinkAnimation.cancel(),this._cursorFlatBlinkInterval.cancel();var n=this._getCursorBlinking(),i=n===u.TextEditorCursorBlinkingStyle.Hidden,o=n===u.TextEditorCursorBlinkingStyle.Solid;i?this._hide():this._show(),this._blinkingEnabled=!1,this._updateDomClassName(),i||o||(n===u.TextEditorCursorBlinkingStyle.Blink?this._cursorFlatBlinkInterval.cancelAndSet(function(){e._isVisible?e._hide():e._show()},t.BLINK_INTERVAL):this._startCursorBlinkAnimation.setIfNotSet(function(){e._blinkingEnabled=!0,e._updateDomClassName()},t.BLINK_INTERVAL))},t.prototype._updateDomClassName=function(){this._domNode.setClassName(this._getClassName())},t.prototype._getClassName=function(){var e="cursors-layer"
;switch(this._selectionIsEmpty||(e+=" has-selection"),this._cursorStyle){case u.TextEditorCursorStyle.Line:e+=" cursor-line-style";break;case u.TextEditorCursorStyle.Block:e+=" cursor-block-style";break;case u.TextEditorCursorStyle.Underline:e+=" cursor-underline-style";break;case u.TextEditorCursorStyle.LineThin:e+=" cursor-line-thin-style";break;case u.TextEditorCursorStyle.BlockOutline:e+=" cursor-block-outline-style";break;case u.TextEditorCursorStyle.UnderlineThin:e+=" cursor-underline-thin-style";break;default:e+=" cursor-line-style"}if(this._blinkingEnabled)switch(this._getCursorBlinking()){case u.TextEditorCursorBlinkingStyle.Blink:e+=" cursor-blink";break;case u.TextEditorCursorBlinkingStyle.Smooth:e+=" cursor-smooth";break;case u.TextEditorCursorBlinkingStyle.Phase:e+=" cursor-phase";break;case u.TextEditorCursorBlinkingStyle.Expand:e+=" cursor-expand";break;case u.TextEditorCursorBlinkingStyle.Solid:e+=" cursor-solid";break;default:e+=" cursor-solid"}else e+=" cursor-solid";return e},
t.prototype._show=function(){this._primaryCursor.show();for(var e=0,t=this._secondaryCursors.length;e<t;e++)this._secondaryCursors[e].show();this._isVisible=!0},t.prototype._hide=function(){this._primaryCursor.hide();for(var e=0,t=this._secondaryCursors.length;e<t;e++)this._secondaryCursors[e].hide();this._isVisible=!1},t.prototype.prepareRender=function(e){this._primaryCursor.prepareRender(e);for(var t=0,n=this._secondaryCursors.length;t<n;t++)this._secondaryCursors[t].prepareRender(e)},t.prototype.render=function(e){var t=[],n=0,i=this._primaryCursor.render(e);i&&(t[n++]=i);for(var o=0,r=this._secondaryCursors.length;o<r;o++){var s=this._secondaryCursors[o].render(e);s&&(t[n++]=s)}this._renderData=t},t.prototype.getLastRenderData=function(){return this._renderData},t.BLINK_INTERVAL=500,t}(n.ViewPart);t.ViewCursors=c,a.registerThemingParticipant(function(e,t){var n=e.getColor(l.editorCursorForeground);if(n){var i=e.getColor(l.editorCursorBackground);i||(i=n.opposite()),
t.addRule(".monaco-editor .cursor { background-color: "+n+"; border-color: "+n+"; color: "+i+"; }"),"hc"===e.type&&t.addRule(".monaco-editor .cursors-layer.has-selection .cursor { border-left: 1px solid "+i+"; border-right: 1px solid "+i+"; }")}})}),define(t[509],n([0,1,12,10,26,3,83,505,494,452,214,446,227,501,502,228,129,193,503,496,175,230,232,233,506,234,507,498,499,508,235,34,213,92,495,218,490,497,72,16]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N,I,T,D,M,k,O,R,P,A,F,W,B,V){"use strict";function H(e){try{return e()}catch(e){n.onUnexpectedError(e)}}Object.defineProperty(t,"__esModule",{value:!0});var z=function(e){function t(t,n,i,o,r,s){var a=e.call(this)||this;a._cursor=r,a._renderAnimationFrame=null,a.outgoingEvents=new P.ViewOutgoingEvents(o);var h=new c.ViewController(n,o,s,a.outgoingEvents,t);return a.eventDispatcher=new d.ViewEventDispatcher(function(e){return a._renderOnce(e)}),a.eventDispatcher.addEventHandler(a),
a._context=new O.ViewContext(n,i.getTheme(),o,a.eventDispatcher),a._register(i.onThemeChange(function(e){a._context.theme=e,a.eventDispatcher.emit(new B.ViewThemeChangedEvent),a.render(!0,!1)})),a.viewParts=[],a._textAreaHandler=new l.TextAreaHandler(a._context,h,a.createTextAreaHandlerHelper()),a.viewParts.push(a._textAreaHandler),a.createViewParts(),a._setLayout(),a.pointerHandler=new u.PointerHandler(a._context,h,a.createPointerHandlerHelper()),a._register(o.addEventListener(function(e){a.eventDispatcher.emitMany(e)})),a._register(a._cursor.addEventListener(function(e){a.eventDispatcher.emitMany(e)})),a}return o(t,e),t.prototype.createViewParts=function(){this.linesContent=r.createFastDomNode(document.createElement("div")),this.linesContent.setClassName("lines-content monaco-editor-background"),this.linesContent.setPosition("absolute"),this.domNode=r.createFastDomNode(document.createElement("div")),this.domNode.setClassName(this.getEditorClassName()),
this.overflowGuardContainer=r.createFastDomNode(document.createElement("div")),k.PartFingerprints.write(this.overflowGuardContainer,3),this.overflowGuardContainer.setClassName("overflow-guard"),this._scrollbar=new F.EditorScrollbar(this._context,this.linesContent,this.domNode,this.overflowGuardContainer),this.viewParts.push(this._scrollbar),this.viewLines=new C.ViewLines(this._context,this.linesContent),this.viewZones=new M.ViewZones(this._context),this.viewParts.push(this.viewZones);var e=new L.DecorationsOverviewRuler(this._context);this.viewParts.push(e);var t=new I.ScrollDecorationViewPart(this._context);this.viewParts.push(t);var n=new h.ContentViewOverlays(this._context);this.viewParts.push(n),n.addDynamicOverlay(new f.CurrentLineHighlightOverlay(this._context)),n.addDynamicOverlay(new T.SelectionsOverlay(this._context)),n.addDynamicOverlay(new m.DecorationsOverlay(this._context)),n.addDynamicOverlay(new y.IndentGuidesOverlay(this._context));var i=new h.MarginViewOverlays(this._context)
;this.viewParts.push(i),i.addDynamicOverlay(new g.CurrentLineMarginHighlightOverlay(this._context)),i.addDynamicOverlay(new v.GlyphMarginOverlay(this._context)),i.addDynamicOverlay(new w.MarginViewLineDecorationsOverlay(this._context)),i.addDynamicOverlay(new S.LinesDecorationsOverlay(this._context)),i.addDynamicOverlay(new _.LineNumbersOverlay(this._context));var o=new b.Margin(this._context);o.getDomNode().appendChild(this.viewZones.marginDomNode),o.getDomNode().appendChild(i.getDomNode()),this.viewParts.push(o),this.contentWidgets=new p.ViewContentWidgets(this._context,this.domNode),this.viewParts.push(this.contentWidgets),this.viewCursors=new D.ViewCursors(this._context),this.viewParts.push(this.viewCursors),this.overlayWidgets=new E.ViewOverlayWidgets(this._context),this.viewParts.push(this.overlayWidgets);var s=new N.Rulers(this._context);this.viewParts.push(s);var a=new W.Minimap(this._context);if(this.viewParts.push(a),e){var l=this._scrollbar.getOverviewRulerLayoutInfo()
;l.parent.insertBefore(e.getDomNode(),l.insertBefore)}this.linesContent.appendChild(n.getDomNode()),this.linesContent.appendChild(s.domNode),this.linesContent.appendChild(this.viewZones.domNode),this.linesContent.appendChild(this.viewLines.getDomNode()),this.linesContent.appendChild(this.contentWidgets.domNode),this.linesContent.appendChild(this.viewCursors.getDomNode()),this.overflowGuardContainer.appendChild(o.getDomNode()),this.overflowGuardContainer.appendChild(this._scrollbar.getDomNode()),this.overflowGuardContainer.appendChild(t.getDomNode()),this.overflowGuardContainer.appendChild(this._textAreaHandler.textArea),this.overflowGuardContainer.appendChild(this._textAreaHandler.textAreaCover),this.overflowGuardContainer.appendChild(this.overlayWidgets.getDomNode()),this.overflowGuardContainer.appendChild(a.getDomNode()),this.domNode.appendChild(this.overflowGuardContainer),this.domNode.appendChild(this.contentWidgets.overflowingContentWidgetsDomNode)},t.prototype._flushAccumulatedAndRenderNow=function(){
this._renderNow()},t.prototype.createPointerHandlerHelper=function(){var e=this;return{viewDomNode:this.domNode.domNode,linesContentDomNode:this.linesContent.domNode,focusTextArea:function(){e.focus()},getLastViewCursorsRenderData:function(){return e.viewCursors.getLastRenderData()||[]},shouldSuppressMouseDownOnViewZone:function(t){return e.viewZones.shouldSuppressMouseDownOnViewZone(t)},shouldSuppressMouseDownOnWidget:function(t){return e.contentWidgets.shouldSuppressMouseDownOnWidget(t)},getPositionFromDOMInfo:function(t,n){return e._flushAccumulatedAndRenderNow(),e.viewLines.getPositionFromDOMInfo(t,n)},visibleRangeForPosition2:function(t,n){e._flushAccumulatedAndRenderNow();var i=e.viewLines.visibleRangesForRange2(new s.Range(t,n,t,n));return i?i[0]:null},getLineWidth:function(t){return e._flushAccumulatedAndRenderNow(),e.viewLines.getLineWidth(t)}}},t.prototype.createTextAreaHandlerHelper=function(){var e=this;return{visibleRangeForPositionRelativeToEditor:function(t,n){e._flushAccumulatedAndRenderNow()
;var i=e.viewLines.visibleRangesForRange2(new s.Range(t,n,t,n));return i?i[0]:null}}},t.prototype._setLayout=function(){var e=this._context.configuration.editor.layoutInfo;this.domNode.setWidth(e.width),this.domNode.setHeight(e.height),this.overflowGuardContainer.setWidth(e.width),this.overflowGuardContainer.setHeight(e.height),this.linesContent.setWidth(1e6),this.linesContent.setHeight(1e6)},t.prototype.getEditorClassName=function(){var e=this._textAreaHandler.isFocused()?" focused":"";return this._context.configuration.editor.editorClassName+" "+V.getThemeTypeSelector(this._context.theme.type)+e},t.prototype.onConfigurationChanged=function(e){return e.editorClassName&&this.domNode.setClassName(this.getEditorClassName()),e.layoutInfo&&this._setLayout(),!1},t.prototype.onFocusChanged=function(e){return this.domNode.setClassName(this.getEditorClassName()),this._context.model.setHasFocus(e.isFocused),e.isFocused?this.outgoingEvents.emitViewFocusGained():this.outgoingEvents.emitViewFocusLost(),!1},
t.prototype.onScrollChanged=function(e){return this.outgoingEvents.emitScrollChanged(e),!1},t.prototype.onThemeChanged=function(e){return this.domNode.setClassName(this.getEditorClassName()),!1},t.prototype.dispose=function(){null!==this._renderAnimationFrame&&(this._renderAnimationFrame.dispose(),this._renderAnimationFrame=null),this.eventDispatcher.removeEventHandler(this),this.outgoingEvents.dispose(),this.pointerHandler.dispose(),this.viewLines.dispose();for(var t=0,n=this.viewParts.length;t<n;t++)this.viewParts[t].dispose();this.viewParts=[],e.prototype.dispose.call(this)},t.prototype._renderOnce=function(e){var t=H(e);return this._scheduleRender(),t},t.prototype._scheduleRender=function(){null===this._renderAnimationFrame&&(this._renderAnimationFrame=i.runAtThisOrScheduleAtNextAnimationFrame(this._onRenderScheduled.bind(this),100))},t.prototype._onRenderScheduled=function(){this._renderAnimationFrame=null,this._flushAccumulatedAndRenderNow()},t.prototype._renderNow=function(){var e=this;H(function(){
return e._actualRender()})},t.prototype._getViewPartsToRender=function(){for(var e=[],t=0,n=0,i=this.viewParts.length;n<i;n++){var o=this.viewParts[n];o.shouldRender()&&(e[t++]=o)}return e},t.prototype._actualRender=function(){if(i.isInDOM(this.domNode.domNode)){var e=this._getViewPartsToRender();if(this.viewLines.shouldRender()||0!==e.length){var t=this._context.viewLayout.getLinesViewportData();this._context.model.setViewport(t.startLineNumber,t.endLineNumber,t.centeredLineNumber);var n=new A.ViewportData(this._cursor.getViewSelections(),t,this._context.viewLayout.getWhitespaceViewportData(),this._context.model);this.contentWidgets.shouldRender()&&this.contentWidgets.onBeforeRender(n),this.viewLines.shouldRender()&&(this.viewLines.renderText(n),this.viewLines.onDidRender(),e=this._getViewPartsToRender());for(var o=new R.RenderingContext(this._context.viewLayout,n,this.viewLines),r=0,s=e.length;r<s;r++){(a=e[r]).prepareRender(o)}for(var r=0,s=e.length;r<s;r++){var a=e[r];a.render(o),a.onDidRender()}}}},
t.prototype.delegateVerticalScrollbarMouseDown=function(e){this._scrollbar.delegateVerticalScrollbarMouseDown(e)},t.prototype.restoreState=function(e){this._context.viewLayout.setScrollPositionNow({scrollTop:e.scrollTop}),this._renderNow(),this.viewLines.updateLineWidths(),this._context.viewLayout.setScrollPositionNow({scrollLeft:e.scrollLeft})},t.prototype.getOffsetForColumn=function(e,t){var n=this._context.model.validateModelPosition({lineNumber:e,column:t}),i=this._context.model.coordinatesConverter.convertModelPositionToViewPosition(n);this._flushAccumulatedAndRenderNow();var o=this.viewLines.visibleRangesForRange2(new s.Range(i.lineNumber,i.column,i.lineNumber,i.column));return o?o[0].left:-1},t.prototype.getTargetAtClientPoint=function(e,t){return this.pointerHandler.getTargetAtClientPoint(e,t)},t.prototype.getInternalEventBus=function(){return this.outgoingEvents},t.prototype.createOverviewRuler=function(e){return new x.OverviewRuler(this._context,e)},t.prototype.change=function(e){var t=this,i=!1
;return this._renderOnce(function(){var o={addZone:function(e){return i=!0,t.viewZones.addZone(e)},removeZone:function(e){e&&(i=t.viewZones.removeZone(e)||i)},layoutZone:function(e){e&&(i=t.viewZones.layoutZone(e)||i)}};!function(e,t){try{e(t)}catch(e){n.onUnexpectedError(e)}}(e,o),o.addZone=null,o.removeZone=null,i&&(t._context.viewLayout.onHeightMaybeChanged(),t._context.privateViewEventBus.emit(new B.ViewZonesChangedEvent))}),i},t.prototype.render=function(e,t){if(t){this.viewLines.forceShouldRender();for(var n=0,i=this.viewParts.length;n<i;n++){this.viewParts[n].forceShouldRender()}}e?this._flushAccumulatedAndRenderNow():this._scheduleRender()},t.prototype.focus=function(){this._textAreaHandler.focusTextArea()},t.prototype.isFocused=function(){return this._textAreaHandler.isFocused()},t.prototype.addContentWidget=function(e){this.contentWidgets.addWidget(e.widget),this.layoutContentWidget(e),this._scheduleRender()},t.prototype.layoutContentWidget=function(e){
var t=e.position?e.position.position:null,n=e.position?e.position.preference:null;this.contentWidgets.setWidgetPosition(e.widget,t,n),this._scheduleRender()},t.prototype.removeContentWidget=function(e){this.contentWidgets.removeWidget(e.widget),this._scheduleRender()},t.prototype.addOverlayWidget=function(e){this.overlayWidgets.addWidget(e.widget),this.layoutOverlayWidget(e),this._scheduleRender()},t.prototype.layoutOverlayWidget=function(e){var t=e.position?e.position.preference:null;this.overlayWidgets.setWidgetPosition(e.widget,t)&&this._scheduleRender()},t.prototype.removeOverlayWidget=function(e){this.overlayWidgets.removeWidget(e.widget),this._scheduleRender()},t}(a.ViewEventHandler);t.View=z}),define(t[194],n([0,1,12,8,10,14,33,19,418,55,11,38,69,509,2,4,170,13,16,35,130,364,365]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";function E(e){return N+encodeURIComponent(e.toString())+I}Object.defineProperty(t,"__esModule",{value:!0});var L=function(e){function t(t,i,o,r,s,a,l,u){
var c=e.call(this,t,i,o,r,l)||this;c._onMouseUp=c._register(new _.Emitter),c.onMouseUp=c._onMouseUp.event,c._onMouseDown=c._register(new _.Emitter),c.onMouseDown=c._onMouseDown.event,c._onMouseDrag=c._register(new _.Emitter),c.onMouseDrag=c._onMouseDrag.event,c._onMouseDrop=c._register(new _.Emitter),c.onMouseDrop=c._onMouseDrop.event,c._onContextMenu=c._register(new _.Emitter),c.onContextMenu=c._onContextMenu.event,c._onMouseMove=c._register(new _.Emitter),c.onMouseMove=c._onMouseMove.event,c._onMouseLeave=c._register(new _.Emitter),c.onMouseLeave=c._onMouseLeave.event,c._onKeyUp=c._register(new _.Emitter),c.onKeyUp=c._onKeyUp.event,c._onKeyDown=c._register(new _.Emitter),c.onKeyDown=c._onKeyDown.event,c._onDidScrollChange=c._register(new _.Emitter),c.onDidScrollChange=c._onDidScrollChange.event,c._onDidChangeViewZones=c._register(new _.Emitter),c.onDidChangeViewZones=c._onDidChangeViewZones.event,c._codeEditorService=s,c._commandService=a,c._themeService=u,c._focusTracker=new x(t),
c._focusTracker.onChange(function(){c._editorFocus.setValue(c._focusTracker.hasFocus())}),c.contentWidgets={},c.overlayWidgets={};for(var d=c._getContributions(),h=0,p=d.length;h<p;h++){var f=d[h];try{var g=c._instantiationService.createInstance(f,c);c._contributions[g.getId()]=g}catch(e){n.onUnexpectedError(e)}}return c._getActions().forEach(function(e){var t=new y.InternalEditorAction(e.id,e.label,e.alias,e.precondition,function(){return c._instantiationService.invokeFunction(function(t){return e.runEditorCommand(t,c,null)})},c._contextKeyService);c._actions[t.id]=t}),c._codeEditorService.addCodeEditor(c),c}return o(t,e),t.prototype._createConfiguration=function(e){return new g.Configuration(e,this.domElement)},t.prototype.dispose=function(){this._codeEditorService.removeCodeEditor(this),this.contentWidgets={},this.overlayWidgets={},this._focusTracker.dispose(),e.prototype.dispose.call(this)},t.prototype.createOverviewRuler=function(e){return this._view.createOverviewRuler(e)},
t.prototype.getDomNode=function(){return this.hasView?this._view.domNode.domNode:null},t.prototype.delegateVerticalScrollbarMouseDown=function(e){this.hasView&&this._view.delegateVerticalScrollbarMouseDown(e)},t.prototype.layout=function(e){this._configuration.observeReferenceElement(e),this.render()},t.prototype.focus=function(){this.hasView&&this._view.focus()},t.prototype.isFocused=function(){return this.hasView&&this._view.isFocused()},t.prototype.hasWidgetFocus=function(){return this._focusTracker&&this._focusTracker.hasFocus()},t.prototype.addContentWidget=function(e){var t={widget:e,position:e.getPosition()};this.contentWidgets.hasOwnProperty(e.getId())&&console.warn("Overwriting a content widget with the same id."),this.contentWidgets[e.getId()]=t,this.hasView&&this._view.addContentWidget(t)},t.prototype.layoutContentWidget=function(e){var t=e.getId();if(this.contentWidgets.hasOwnProperty(t)){var n=this.contentWidgets[t];n.position=e.getPosition(),this.hasView&&this._view.layoutContentWidget(n)}},
t.prototype.removeContentWidget=function(e){var t=e.getId();if(this.contentWidgets.hasOwnProperty(t)){var n=this.contentWidgets[t];delete this.contentWidgets[t],this.hasView&&this._view.removeContentWidget(n)}},t.prototype.addOverlayWidget=function(e){var t={widget:e,position:e.getPosition()};this.overlayWidgets.hasOwnProperty(e.getId())&&console.warn("Overwriting an overlay widget with the same id."),this.overlayWidgets[e.getId()]=t,this.hasView&&this._view.addOverlayWidget(t)},t.prototype.layoutOverlayWidget=function(e){var t=e.getId();if(this.overlayWidgets.hasOwnProperty(t)){var n=this.overlayWidgets[t];n.position=e.getPosition(),this.hasView&&this._view.layoutOverlayWidget(n)}},t.prototype.removeOverlayWidget=function(e){var t=e.getId();if(this.overlayWidgets.hasOwnProperty(t)){var n=this.overlayWidgets[t];delete this.overlayWidgets[t],this.hasView&&this._view.removeOverlayWidget(n)}},t.prototype.changeViewZones=function(e){if(this.hasView){this._view.change(e)&&this._onDidChangeViewZones.fire()}},
t.prototype.getTargetAtClientPoint=function(e,t){return this.hasView?this._view.getTargetAtClientPoint(e,t):null},t.prototype.getScrolledVisiblePosition=function(e){if(!this.hasView)return null;var t=this.model.validatePosition(e),n=this._configuration.editor.layoutInfo;return{top:this._getVerticalOffsetForPosition(t.lineNumber,t.column)-this.getScrollTop(),left:this._view.getOffsetForColumn(t.lineNumber,t.column)+n.glyphMarginWidth+n.lineNumbersWidth+n.decorationsWidth-this.getScrollLeft(),height:this._configuration.editor.lineHeight}},t.prototype.getOffsetForColumn=function(e,t){return this.hasView?this._view.getOffsetForColumn(e,t):-1},t.prototype.render=function(){this.hasView&&this._view.render(!0,!1)},t.prototype.applyFontInfo=function(e){g.Configuration.applyFontInfoSlow(e,this._configuration.editor.fontInfo)},t.prototype._attachModel=function(t){if(this._view=null,e.prototype._attachModel.call(this,t),this._view){this.domElement.appendChild(this._view.domNode.domNode)
;for(var n=Object.keys(this.contentWidgets),i=0,o=n.length;i<o;i++){r=n[i];this._view.addContentWidget(this.contentWidgets[r])}for(var i=0,o=(n=Object.keys(this.overlayWidgets)).length;i<o;i++){var r=n[i];this._view.addOverlayWidget(this.overlayWidgets[r])}this._view.render(!1,!0),this.hasView=!0,this._view.domNode.domNode.setAttribute("data-uri",t.uri.toString())}},t.prototype._scheduleAtNextAnimationFrame=function(e){return r.scheduleAtNextAnimationFrame(e)},t.prototype._createView=function(){var e,t=this;e=this.isSimpleWidget?{paste:function(e,n,i,o){t.cursor.trigger(e,h.Handler.Paste,{text:n,pasteOnNewLine:i,multicursorText:o})},type:function(e,n){t.cursor.trigger(e,h.Handler.Type,{text:n})},replacePreviousChar:function(e,n,i){t.cursor.trigger(e,h.Handler.ReplacePreviousChar,{text:n,replaceCharCnt:i})},compositionStart:function(e){t.cursor.trigger(e,h.Handler.CompositionStart,void 0)},compositionEnd:function(e){t.cursor.trigger(e,h.Handler.CompositionEnd,void 0)},cut:function(e){
t.cursor.trigger(e,h.Handler.Cut,void 0)}}:{paste:function(e,n,i,o){t._commandService.executeCommand(h.Handler.Paste,{text:n,pasteOnNewLine:i,multicursorText:o})},type:function(e,n){t._commandService.executeCommand(h.Handler.Type,{text:n})},replacePreviousChar:function(e,n,i){t._commandService.executeCommand(h.Handler.ReplacePreviousChar,{text:n,replaceCharCnt:i})},compositionStart:function(e){t._commandService.executeCommand(h.Handler.CompositionStart,{})},compositionEnd:function(e){t._commandService.executeCommand(h.Handler.CompositionEnd,{})},cut:function(e){t._commandService.executeCommand(h.Handler.Cut,{})}},this._view=new m.View(e,this._configuration,this._themeService,this.viewModel,this.cursor,function(e,n){t.cursor&&e.runCoreEditorCommand(t.cursor,n)});var n=this._view.getInternalEventBus();n.onDidGainFocus=function(){t._editorTextFocus.setValue(!0),t._editorFocus.setValue(!0)},n.onDidScroll=function(e){return t._onDidScrollChange.fire(e)},n.onDidLoseFocus=function(){
return t._editorTextFocus.setValue(!1)},n.onContextMenu=function(e){return t._onContextMenu.fire(e)},n.onMouseDown=function(e){return t._onMouseDown.fire(e)},n.onMouseUp=function(e){return t._onMouseUp.fire(e)},n.onMouseDrag=function(e){return t._onMouseDrag.fire(e)},n.onMouseDrop=function(e){return t._onMouseDrop.fire(e)},n.onKeyUp=function(e){return t._onKeyUp.fire(e)},n.onMouseMove=function(e){return t._onMouseMove.fire(e)},n.onMouseLeave=function(e){return t._onMouseLeave.fire(e)},n.onKeyDown=function(e){return t._onKeyDown.fire(e)}},t.prototype.restoreViewState=function(t){if(e.prototype.restoreViewState.call(this,t),this.cursor&&this.hasView&&t&&t.cursorState&&t.viewState){
var n=this.viewModel.reduceRestoreState(t.viewState),i=this.viewModel.viewLayout.getLinesViewportDataAtScrollTop(n.scrollTop),o=this.viewModel.coordinatesConverter.convertViewPositionToModelPosition(new C.Position(i.startLineNumber,1)),r=this.viewModel.coordinatesConverter.convertViewPositionToModelPosition(new C.Position(i.endLineNumber,1));this.model.tokenizeViewport(o.lineNumber,r.lineNumber),this._view.restoreState(n)}},t.prototype._detachModel=function(){var t=null;this._view&&(this._view.dispose(),t=this._view.domNode.domNode,this._view=null);var n=e.prototype._detachModel.call(this);return t&&this.domElement.removeChild(t),n},t.prototype._registerDecorationType=function(e,t,n){this._codeEditorService.registerDecorationType(e,t,n)},t.prototype._removeDecorationType=function(e){this._codeEditorService.removeDecorationType(e)},t.prototype._resolveDecorationOptions=function(e,t){return this._codeEditorService.resolveDecorationOptions(e,t)},t.prototype._triggerEditorCommand=function(e,t,o){
var r=p.EditorExtensionsRegistry.getEditorCommand(t);return!!r&&(o=o||{},o.source=e,i.TPromise.as(r.runEditorCommand(null,this,o)).done(null,n.onUnexpectedError),!0)},t=u([d(3,s.IInstantiationService),d(4,f.ICodeEditorService),d(5,a.ICommandService),d(6,l.IContextKeyService),d(7,b.IThemeService)],t)}(c.CommonCodeEditor);t.CodeEditorWidget=L;var x=function(e){function t(t){var n=e.call(this)||this;return n._onChange=n._register(new _.Emitter),n.onChange=n._onChange.event,n._hasFocus=!1,n._domFocusTracker=n._register(r.trackFocus(t)),n._register(n._domFocusTracker.onDidFocus(function(){n._hasFocus=!0,n._onChange.fire(void 0)})),n._register(n._domFocusTracker.onDidBlur(function(){n._hasFocus=!1,n._onChange.fire(void 0)})),n}return o(t,e),t.prototype.hasFocus=function(){return this._hasFocus},t
}(v.Disposable),N=encodeURIComponent("<svg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 6 3' enable-background='new 0 0 6 3' height='3' width='6'><g fill='"),I=encodeURIComponent("'><polygon points='5.5,0 2.5,3 1.1,3 4.1,0'/><polygon points='4,0 6,2 6,0.6 5.4,0'/><polygon points='0,2 1,3 2.4,3 0,0.6'/></g></svg>"),T=encodeURIComponent('<svg xmlns="http://www.w3.org/2000/svg" height="3" width="12"><g fill="'),D=encodeURIComponent('"><circle cx="1" cy="1" r="1"/><circle cx="5" cy="1" r="1"/><circle cx="9" cy="1" r="1"/></g></svg>');b.registerThemingParticipant(function(e,t){var n=e.getColor(S.editorErrorBorder);n&&t.addRule(".monaco-editor ."+w.ClassName.EditorErrorDecoration+" { border-bottom: 4px double "+n+"; }");var i=e.getColor(S.editorErrorForeground);i&&t.addRule(".monaco-editor ."+w.ClassName.EditorErrorDecoration+' { background: url("data:image/svg+xml;utf8,'+E(i)+'") repeat-x bottom left; }');var o=e.getColor(S.editorWarningBorder)
;o&&t.addRule(".monaco-editor ."+w.ClassName.EditorWarningDecoration+" { border-bottom: 4px double "+o+"; }");var r=e.getColor(S.editorWarningForeground);r&&t.addRule(".monaco-editor ."+w.ClassName.EditorWarningDecoration+' { background: url("data:image/svg+xml;utf8,'+E(r)+'") repeat-x bottom left; }');var s=e.getColor(S.editorInfoBorder);s&&t.addRule(".monaco-editor ."+w.ClassName.EditorInfoDecoration+" { border-bottom: 4px double "+s+"; }");var a=e.getColor(S.editorInfoForeground);a&&t.addRule(".monaco-editor ."+w.ClassName.EditorInfoDecoration+' { background: url("data:image/svg+xml;utf8,'+E(a)+'") repeat-x bottom left; }');var l=e.getColor(S.editorHintBorder);l&&t.addRule(".monaco-editor ."+w.ClassName.EditorHintDecoration+" { border-bottom: 2px dotted "+l+"; }");var u=e.getColor(S.editorHintForeground);u&&t.addRule(".monaco-editor ."+w.ClassName.EditorHintDecoration+' { background: url("data:image/svg+xml;utf8,'+function(e){return T+encodeURIComponent(e.toString())+D}(u)+'") no-repeat bottom left; }')})
}),define(t[141],n([0,1,14,33,19,38,194,11,16]),function(e,t,n,i,r,s,a,l,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(e){function t(t,n,i,o,r,s,a){return e.call(this,t,n,!1,i,o,r,s,a)||this}return o(t,e),t.prototype._getContributions=function(){return l.EditorExtensionsRegistry.getEditorContributions()},t.prototype._getActions=function(){return l.EditorExtensionsRegistry.getEditorActions()},t=u([d(2,n.IInstantiationService),d(3,s.ICodeEditorService),d(4,i.ICommandService),d(5,r.IContextKeyService),d(6,c.IThemeService)],t)}(a.CodeEditorWidget);t.CodeEditor=h}),define(t[512],n([0,1,299,2,10,26,97,80,69,13,16,23,57,35,71,65,11,19,38,363]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y){"use strict";function C(e){for(var t=e.get(y.ICodeEditorService).listDiffEditors(),n=0,i=t.length;n<i;n++){var o=t[n];if(o.hasWidgetFocus())return o}return null}Object.defineProperty(t,"__esModule",{value:!0});var b;!function(e){e[e.Equal=0]="Equal",e[e.Insert=1]="Insert",e[e.Delete=2]="Delete"
}(b||(b={}));var S=function(){function e(e,t,n,i){this.originalLineStart=e,this.originalLineEnd=t,this.modifiedLineStart=n,this.modifiedLineEnd=i}return e.prototype.getType=function(){return 0===this.originalLineStart?1:0===this.modifiedLineStart?2:0},e}(),w=function(){return function(e){this.entries=e}}(),E=function(e){function t(t){var i=e.call(this)||this;return i._width=0,i._diffEditor=t,i._isVisible=!1,i.shadow=s.createFastDomNode(document.createElement("div")),i.shadow.setClassName("diff-review-shadow"),i.actionBarContainer=s.createFastDomNode(document.createElement("div")),i.actionBarContainer.setClassName("diff-review-actions"),i._actionBar=i._register(new g.ActionBar(i.actionBarContainer.domNode)),i._actionBar.push(new m.Action("diffreview.close",n.localize(0,null),"close-diff-review",!0,function(){return i.hide(),null}),{label:!1,icon:!0}),i.domNode=s.createFastDomNode(document.createElement("div")),i.domNode.setClassName("diff-review monaco-editor-background"),
i._content=s.createFastDomNode(document.createElement("div")),i._content.setClassName("diff-review-content"),i.scrollbar=i._register(new p.DomScrollableElement(i._content.domNode,{})),i.domNode.domNode.appendChild(i.scrollbar.getDomNode()),i._register(t.onDidUpdateDiff(function(){i._isVisible&&(i._diffs=i._compute(),i._render())})),i._register(t.getModifiedEditor().onDidChangeCursorPosition(function(){i._isVisible&&i._render()})),i._register(t.getOriginalEditor().onDidFocusEditor(function(){i._isVisible&&i.hide()})),i._register(t.getModifiedEditor().onDidFocusEditor(function(){i._isVisible&&i.hide()})),i._register(r.addStandardDisposableListener(i.domNode.domNode,"click",function(e){e.preventDefault();var t=r.findParentWithClass(e.target,"diff-review-row");t&&i._goToRow(t)})),i._register(r.addStandardDisposableListener(i.domNode.domNode,"keydown",function(e){(e.equals(18)||e.equals(2066)||e.equals(530))&&(e.preventDefault(),i._goToRow(i._getNextRow())),
(e.equals(16)||e.equals(2064)||e.equals(528))&&(e.preventDefault(),i._goToRow(i._getPrevRow())),(e.equals(9)||e.equals(2057)||e.equals(521)||e.equals(1033))&&(e.preventDefault(),i.hide()),(e.equals(10)||e.equals(3))&&(e.preventDefault(),i.accept())})),i._diffs=[],i._currentDiff=null,i}return o(t,e),t.prototype.prev=function(){var e=0;if(this._isVisible||(this._diffs=this._compute()),this._isVisible){for(var t=-1,n=0,i=this._diffs.length;n<i;n++)if(this._diffs[n]===this._currentDiff){t=n;break}e=this._diffs.length+t-1}else e=this._findDiffIndex(this._diffEditor.getPosition());0!==this._diffs.length&&(e%=this._diffs.length,this._diffEditor.setPosition(new c.Position(this._diffs[e].entries[0].modifiedLineStart,1)),this._isVisible=!0,this._diffEditor.doLayout(),this._render(),this._goToRow(this._getNextRow()))},t.prototype.next=function(){var e=0;if(this._isVisible||(this._diffs=this._compute()),this._isVisible){for(var t=-1,n=0,i=this._diffs.length;n<i;n++)if(this._diffs[n]===this._currentDiff){t=n;break}e=t+1
}else e=this._findDiffIndex(this._diffEditor.getPosition());0!==this._diffs.length&&(e%=this._diffs.length,this._diffEditor.setPosition(new c.Position(this._diffs[e].entries[0].modifiedLineStart,1)),this._isVisible=!0,this._diffEditor.doLayout(),this._render(),this._goToRow(this._getNextRow()))},t.prototype.accept=function(){var e=-1,t=this._getCurrentFocusedRow();if(t){var n=parseInt(t.getAttribute("data-line"),10);isNaN(n)||(e=n)}this.hide(),-1!==e&&(this._diffEditor.setPosition(new c.Position(e,1)),this._diffEditor.revealPosition(new c.Position(e,1),1))},t.prototype.hide=function(){this._isVisible=!1,this._diffEditor.focus(),this._diffEditor.doLayout(),this._render()},t.prototype._getPrevRow=function(){var e=this._getCurrentFocusedRow();return e?e.previousElementSibling?e.previousElementSibling:e:this._getFirstRow()},t.prototype._getNextRow=function(){var e=this._getCurrentFocusedRow();return e?e.nextElementSibling?e.nextElementSibling:e:this._getFirstRow()},t.prototype._getFirstRow=function(){
return this.domNode.domNode.querySelector(".diff-review-row")},t.prototype._getCurrentFocusedRow=function(){var e=document.activeElement;return e&&/diff-review-row/.test(e.className)?e:null},t.prototype._goToRow=function(e){var t=this._getCurrentFocusedRow();e.tabIndex=0,e.focus(),t&&t!==e&&(t.tabIndex=-1),this.scrollbar.scanDomNode()},t.prototype.isVisible=function(){return this._isVisible},t.prototype.layout=function(e,t,n){this._width=t,this.shadow.setTop(e-6),this.shadow.setWidth(t),this.shadow.setHeight(this._isVisible?6:0),this.domNode.setTop(e),this.domNode.setWidth(t),this.domNode.setHeight(n),this._content.setHeight(n),this._content.setWidth(t),this._isVisible?(this.actionBarContainer.setAttribute("aria-hidden","false"),this.actionBarContainer.setDisplay("block")):(this.actionBarContainer.setAttribute("aria-hidden","true"),this.actionBarContainer.setDisplay("none"))},t.prototype._compute=function(){var e=this._diffEditor.getLineChanges();if(!e||0===e.length)return[]
;var n=this._diffEditor.getOriginalEditor().getModel(),i=this._diffEditor.getModifiedEditor().getModel();return n&&i?t._mergeAdjacent(e,n.getLineCount(),i.getLineCount()):[]},t._mergeAdjacent=function(e,t,n){if(!e||0===e.length)return[];for(var i=[],o=0,r=0,s=e.length;r<s;r++){var a=e[r],l=a.originalStartLineNumber,u=a.originalEndLineNumber,c=a.modifiedStartLineNumber,d=a.modifiedEndLineNumber,h=[],p=0,f=0===u?l:l-1,g=0===d?c:c-1,m=1,v=1;if(r>0){var _=e[r-1];m=0===_.originalEndLineNumber?_.originalStartLineNumber+1:_.originalEndLineNumber+1,v=0===_.modifiedEndLineNumber?_.modifiedStartLineNumber+1:_.modifiedEndLineNumber+1}var y=f-3+1,C=g-3+1;if(y<m){y+=D=m-y,C+=D}if(C<v){y+=D=v-C,C+=D}h[p++]=new S(y,f,C,g),0!==u&&(h[p++]=new S(l,u,0,0)),0!==d&&(h[p++]=new S(0,0,c,d));var b=0===u?l+1:u+1,E=0===d?c+1:d+1,L=t,x=n;if(r+1<s){var N=e[r+1];L=0===N.originalEndLineNumber?N.originalStartLineNumber:N.originalStartLineNumber-1,x=0===N.modifiedEndLineNumber?N.modifiedStartLineNumber:N.modifiedStartLineNumber-1}
var I=b+3-1,T=E+3-1;if(I>L){I+=D=L-I,T+=D}if(T>x){var D=x-T;I+=D,T+=D}h[p++]=new S(b,I,E,T),i[o++]=new w(h)}for(var M=i[0].entries,k=[],O=0,r=1,s=i.length;r<s;r++){var R=i[r].entries,P=M[M.length-1],A=R[0];0===P.getType()&&0===A.getType()&&A.originalLineStart<=P.originalLineEnd?(M[M.length-1]=new S(P.originalLineStart,A.originalLineEnd,P.modifiedLineStart,A.modifiedLineEnd),M=M.concat(R.slice(1))):(k[O++]=new w(M),M=R)}return k[O++]=new w(M),k},t.prototype._findDiffIndex=function(e){for(var t=e.lineNumber,n=0,i=this._diffs.length;n<i;n++){var o=this._diffs[n].entries;if(t<=o[o.length-1].modifiedLineEnd)return n}return 0},t.prototype._render=function(){var e=this._diffEditor.getOriginalEditor().getConfiguration(),i=this._diffEditor.getModifiedEditor().getConfiguration(),o=this._diffEditor.getOriginalEditor().getModel(),s=this._diffEditor.getModifiedEditor().getModel(),a=o.getOptions(),l=s.getOptions();if(!this._isVisible||!o||!s)return r.clearNode(this._content.domNode),this._currentDiff=null,
void this.scrollbar.scanDomNode();var c=this._diffEditor.getPosition(),d=this._findDiffIndex(c);if(this._diffs[d]!==this._currentDiff){this._currentDiff=this._diffs[d];var h=this._diffs[d].entries,p=document.createElement("div");p.className="diff-review-table",p.setAttribute("role","list"),u.Configuration.applyFontInfoSlow(p,i.fontInfo);for(var f=0,g=0,m=0,v=0,_=0,y=h.length;_<y;_++){var C=(N=h[_]).originalLineStart,b=N.originalLineEnd,S=N.modifiedLineStart,w=N.modifiedLineEnd;0!==C&&(0===f||C<f)&&(f=C),0!==b&&(0===g||b>g)&&(g=b),0!==S&&(0===m||S<m)&&(m=S),0!==w&&(0===v||w>v)&&(v=w)}var E=document.createElement("div");E.className="diff-review-row";var L=document.createElement("div");L.className="diff-review-cell diff-review-summary",L.appendChild(document.createTextNode(d+1+"/"+this._diffs.length+": @@ -"+f+","+(g-f+1)+" +"+m+","+(v-m+1)+" @@")),E.setAttribute("data-line",String(m)),E.setAttribute("aria-label",n.localize(1,null,d+1,this._diffs.length,f,g-f+1,m,v-m+1)),E.appendChild(L),
E.setAttribute("role","listitem"),p.appendChild(E);for(var x=m,_=0,y=h.length;_<y;_++){var N=h[_];t._renderSection(p,N,x,this._width,e,o,a,i,s,l),0!==N.modifiedLineStart&&(x=N.modifiedLineEnd)}r.clearNode(this._content.domNode),this._content.domNode.appendChild(p),this.scrollbar.scanDomNode()}},t._renderSection=function(e,t,i,o,r,s,a,l,u,c){var d=t.getType(),h="diff-review-row",p="",f="diff-review-spacer";switch(d){case 1:h="diff-review-row line-insert",p=" char-insert",f="diff-review-spacer insert-sign";break;case 2:h="diff-review-row line-delete",p=" char-delete",f="diff-review-spacer delete-sign"}for(var g=t.originalLineStart,m=t.originalLineEnd,v=t.modifiedLineStart,_=t.modifiedLineEnd,y=Math.max(_-v,m-g),C=r.layoutInfo.glyphMarginWidth+r.layoutInfo.lineNumbersWidth,b=10+l.layoutInfo.glyphMarginWidth+l.layoutInfo.lineNumbersWidth,S=0;S<=y;S++){var w=0===g?0:g+S,E=0===v?0:v+S,L=document.createElement("div");L.style.minWidth=o+"px",L.className=h,L.setAttribute("role","listitem"),0!==E&&(i=E),
L.setAttribute("data-line",String(i));var x=document.createElement("div");x.className="diff-review-cell",L.appendChild(x);var N=document.createElement("span");N.style.width=C+"px",N.style.minWidth=C+"px",N.className="diff-review-line-number"+p,0!==w?N.appendChild(document.createTextNode(String(w))):N.innerHTML="&nbsp;",x.appendChild(N);var I=document.createElement("span");I.style.width=b+"px",I.style.minWidth=b+"px",I.style.paddingRight="10px",I.className="diff-review-line-number"+p,0!==E?I.appendChild(document.createTextNode(String(E))):I.innerHTML="&nbsp;",x.appendChild(I);var T=document.createElement("span");T.className=f,T.innerHTML="&nbsp;&nbsp;",x.appendChild(T);var D=void 0;0!==E?(x.insertAdjacentHTML("beforeend",this._renderLine(u,l,c.tabSize,E)),D=u.getLineContent(E)):(x.insertAdjacentHTML("beforeend",this._renderLine(s,r,a.tabSize,w)),D=s.getLineContent(w)),0===D.length&&(D=n.localize(2,null));var M=void 0;switch(d){case 0:M=n.localize(3,null,w,E,D);break;case 1:M=n.localize(4,null,E,D);break
;case 2:M=n.localize(5,null,w,D)}L.setAttribute("aria-label",M),e.appendChild(L)}},t._renderLine=function(e,t,n,i){var o=e.getLineContent(i),r=new Uint32Array(2);r[0]=o.length,r[1]=16793600;var s=new l.LineTokens(r,o);return a.renderViewLine2(new a.RenderLineInput(t.fontInfo.isMonospace&&!t.viewInfo.disableMonospaceOptimizations,o,e.mightContainRTL(),0,s,[],n,t.fontInfo.spaceWidth,t.viewInfo.stopRenderingLineAfter,t.viewInfo.renderWhitespace,t.viewInfo.renderControlCharacters,t.viewInfo.fontLigatures)).html},t}(i.Disposable);t.DiffReview=E,d.registerThemingParticipant(function(e,t){var n=e.getColor(f.editorLineNumbers);n&&t.addRule(".monaco-diff-editor .diff-review-line-number { color: "+n+"; }");var i=e.getColor(h.scrollbarShadow);i&&t.addRule(".monaco-diff-editor .diff-review-shadow { box-shadow: "+i+" 0 -6px 6px -6px inset; }")});var L=function(e){function t(){return e.call(this,{id:"editor.action.diffReview.next",label:n.localize(6,null),alias:"Go to Next Difference",
precondition:_.ContextKeyExpr.has("isInDiffEditor"),kbOpts:{kbExpr:null,primary:65}})||this}return o(t,e),t.prototype.run=function(e,t){var n=C(e);n&&n.diffReviewNext()},t}(v.EditorAction),x=function(e){function t(){return e.call(this,{id:"editor.action.diffReview.prev",label:n.localize(7,null),alias:"Go to Previous Difference",precondition:_.ContextKeyExpr.has("isInDiffEditor"),kbOpts:{kbExpr:null,primary:1089}})||this}return o(t,e),t.prototype.run=function(e,t){var n=C(e);n&&n.diffReviewPrev()},t}(v.EditorAction);v.registerEditorAction(L),v.registerEditorAction(x)}),define(t[142],n([0,1,298,18,2,25,10,26,106,14,19,38,3,55,67,118,97,141,80,69,88,95,4,52,16,23,160,31,512,140,40,362]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N,I,T,D,M,k,O){"use strict";function R(e,t,n,i,o){return{range:new g.Range(e,t,n,i),options:o}}function P(e){return e.modifiedEndLineNumber>0}function A(e){return e.originalEndLineNumber>0}Object.defineProperty(t,"__esModule",{value:!0});var F=function(){function e(){
this._zones=[],this._zonesMap={},this._decorations=[]}return e.prototype.getForeignViewZones=function(e){var t=this;return e.filter(function(e){return!t._zonesMap[String(e.id)]})},e.prototype.clean=function(e){var t=this;this._zones.length>0&&e.changeViewZones(function(e){for(var n=0,i=t._zones.length;n<i;n++)e.removeZone(t._zones[n])}),this._zones=[],this._zonesMap={},this._decorations.length>0&&e.changeDecorations(function(e){e.deltaDecorations(t._decorations,[])}),this._decorations=[]},e.prototype.apply=function(e,t,n){var i=this;e.changeViewZones(function(e){for(var t=0,o=i._zones.length;t<o;t++)e.removeZone(i._zones[t]);i._zones=[],i._zonesMap={};for(var t=0,r=n.zones.length;t<r;t++){n.zones[t].suppressMouseDown=!0;var s=e.addZone(n.zones[t]);i._zones.push(s),i._zonesMap[String(s)]=!0}}),this._decorations=e.deltaDecorations(this._decorations,n.decorations),t&&t.setZones(n.overviewZones)},e}(),W=0,B=function(e){function t(n,o,r,s,u,c,d,h){var f=e.call(this)||this
;f._onDidDispose=f._register(new L.Emitter),f.onDidDispose=f._onDidDispose.event,f._onDidUpdateDiff=f._register(new L.Emitter),f.onDidUpdateDiff=f._onDidUpdateDiff.event,f._lastOriginalWarning=null,f._lastModifiedWarning=null,f._editorWorkerService=r,f._codeEditorService=c,f._contextKeyService=f._register(s.createScoped(n)),f._contextKeyService.createKey("isInDiffEditor",!0),f._themeService=d,f._notificationService=h,f.id=++W,f._domElement=n,o=o||{},f._renderSideBySide=!0,void 0!==o.renderSideBySide&&(f._renderSideBySide=o.renderSideBySide),f._ignoreTrimWhitespace=!0,void 0!==o.ignoreTrimWhitespace&&(f._ignoreTrimWhitespace=o.ignoreTrimWhitespace),f._renderIndicators=!0,void 0!==o.renderIndicators&&(f._renderIndicators=o.renderIndicators),f._originalIsEditable=!1,void 0!==o.originalEditable&&(f._originalIsEditable=Boolean(o.originalEditable)),f._updateDecorationsRunner=f._register(new i.RunOnceScheduler(function(){return f._updateDecorations()},0)),f._containerDomElement=document.createElement("div"),
f._containerDomElement.className=t._getClassName(f._themeService.getTheme(),f._renderSideBySide),f._containerDomElement.style.position="relative",f._containerDomElement.style.height="100%",f._domElement.appendChild(f._containerDomElement),f._overviewViewportDomElement=l.createFastDomNode(document.createElement("div")),f._overviewViewportDomElement.setClassName("diffViewport"),f._overviewViewportDomElement.setPosition("absolute"),f._overviewDomElement=document.createElement("div"),f._overviewDomElement.className="diffOverview",f._overviewDomElement.style.position="absolute",f._overviewDomElement.appendChild(f._overviewViewportDomElement.domNode),f._register(a.addStandardDisposableListener(f._overviewDomElement,"mousedown",function(e){f.modifiedEditor.delegateVerticalScrollbarMouseDown(e)})),f._containerDomElement.appendChild(f._overviewDomElement),f._createLeftHandSide(),f._createRightHandSide(),f._beginUpdateDecorationsTimeout=-1,f._currentlyChangingViewZones=!1,f._diffComputationToken=0,
f._originalEditorState=new F,f._modifiedEditorState=new F,f._isVisible=!0,f._isHandlingScrollEvent=!1,f._width=0,f._height=0,f._reviewHeight=0,f._lineChanges=null;var g=f._contextKeyService.createScoped();g.createKey("isInDiffLeftEditor",!0);var m=new E.ServiceCollection;m.set(p.IContextKeyService,g);var v=u.createChild(m),_=f._contextKeyService.createScoped();_.createKey("isInDiffRightEditor",!0);var y=new E.ServiceCollection;y.set(p.IContextKeyService,_);var C=u.createChild(y);return f._createLeftHandSideEditor(o,v),f._createRightHandSideEditor(o,C),f._reviewPane=new M.DiffReview(f),f._containerDomElement.appendChild(f._reviewPane.domNode.domNode),f._containerDomElement.appendChild(f._reviewPane.shadow.domNode),f._containerDomElement.appendChild(f._reviewPane.actionBarContainer.domNode),o.automaticLayout&&(f._measureDomElementToken=window.setInterval(function(){return f._measureDomElement(!1)},100)),f._enableSplitViewResizing=!0,
void 0!==o.enableSplitViewResizing&&(f._enableSplitViewResizing=o.enableSplitViewResizing),f._renderSideBySide?f._setStrategy(new U(f._createDataSource(),f._enableSplitViewResizing)):f._setStrategy(new q(f._createDataSource(),f._enableSplitViewResizing)),f._register(d.onThemeChange(function(e){f._strategy&&f._strategy.applyColors(e)&&f._updateDecorationsRunner.schedule(),f._containerDomElement.className=t._getClassName(f._themeService.getTheme(),f._renderSideBySide)})),f._codeEditorService.addDiffEditor(f),f}return o(t,e),Object.defineProperty(t.prototype,"ignoreTrimWhitespace",{get:function(){return this._ignoreTrimWhitespace},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"renderSideBySide",{get:function(){return this._renderSideBySide},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"renderIndicators",{get:function(){return this._renderIndicators},enumerable:!0,configurable:!0}),t.prototype.hasWidgetFocus=function(){
return a.isAncestor(document.activeElement,this._domElement)},t.prototype.diffReviewNext=function(){this._reviewPane.next()},t.prototype.diffReviewPrev=function(){this._reviewPane.prev()},t._getClassName=function(e,t){var n="monaco-diff-editor monaco-editor-background ";return t&&(n+="side-by-side "),n+=N.getThemeTypeSelector(e.type)},t.prototype._recreateOverviewRulers=function(){this._originalOverviewRuler&&(this._overviewDomElement.removeChild(this._originalOverviewRuler.getDomNode()),this._originalOverviewRuler.dispose()),this._originalOverviewRuler=this.originalEditor.createOverviewRuler("original diffOverviewRuler"),this._overviewDomElement.appendChild(this._originalOverviewRuler.getDomNode()),this._modifiedOverviewRuler&&(this._overviewDomElement.removeChild(this._modifiedOverviewRuler.getDomNode()),this._modifiedOverviewRuler.dispose()),this._modifiedOverviewRuler=this.modifiedEditor.createOverviewRuler("modified diffOverviewRuler"),
this._overviewDomElement.appendChild(this._modifiedOverviewRuler.getDomNode()),this._layoutOverviewRulers()},t.prototype._createLeftHandSide=function(){this._originalDomNode=document.createElement("div"),this._originalDomNode.className="editor original",this._originalDomNode.style.position="absolute",this._originalDomNode.style.height="100%",this._containerDomElement.appendChild(this._originalDomNode)},t.prototype._createRightHandSide=function(){this._modifiedDomNode=document.createElement("div"),this._modifiedDomNode.className="editor modified",this._modifiedDomNode.style.position="absolute",this._modifiedDomNode.style.height="100%",this._containerDomElement.appendChild(this._modifiedDomNode)},t.prototype._createLeftHandSideEditor=function(e,t){var n=this;this.originalEditor=this._createInnerEditor(t,this._originalDomNode,this._adjustOptionsForLeftHandSide(e,this._originalIsEditable)),this._register(this.originalEditor.onDidScrollChange(function(e){
n._isHandlingScrollEvent||(e.scrollTopChanged||e.scrollLeftChanged||e.scrollHeightChanged)&&(n._isHandlingScrollEvent=!0,n.modifiedEditor.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}),n._isHandlingScrollEvent=!1,n._layoutOverviewViewport())})),this._register(this.originalEditor.onDidChangeViewZones(function(){n._onViewZonesChanged()})),this._register(this.originalEditor.onDidChangeModelContent(function(){n._isVisible&&n._beginUpdateDecorationsSoon()}))},t.prototype._createRightHandSideEditor=function(e,t){var n=this;this.modifiedEditor=this._createInnerEditor(t,this._modifiedDomNode,this._adjustOptionsForRightHandSide(e)),this._register(this.modifiedEditor.onDidScrollChange(function(e){n._isHandlingScrollEvent||(e.scrollTopChanged||e.scrollLeftChanged||e.scrollHeightChanged)&&(n._isHandlingScrollEvent=!0,n.originalEditor.setScrollPosition({scrollLeft:e.scrollLeft,scrollTop:e.scrollTop}),n._isHandlingScrollEvent=!1,n._layoutOverviewViewport())})),
this._register(this.modifiedEditor.onDidChangeViewZones(function(){n._onViewZonesChanged()})),this._register(this.modifiedEditor.onDidChangeConfiguration(function(e){e.fontInfo&&n.modifiedEditor.getModel()&&n._onViewZonesChanged()})),this._register(this.modifiedEditor.onDidChangeModelContent(function(){n._isVisible&&n._beginUpdateDecorationsSoon()}))},t.prototype._createInnerEditor=function(e,t,n){return e.createInstance(C.CodeEditor,t,n)},t.prototype.dispose=function(){this._codeEditorService.removeDiffEditor(this),-1!==this._beginUpdateDecorationsTimeout&&(window.clearTimeout(this._beginUpdateDecorationsTimeout),this._beginUpdateDecorationsTimeout=-1),window.clearInterval(this._measureDomElementToken),this._cleanViewZonesAndDecorations(),this._overviewDomElement.removeChild(this._originalOverviewRuler.getDomNode()),this._originalOverviewRuler.dispose(),this._overviewDomElement.removeChild(this._modifiedOverviewRuler.getDomNode()),this._modifiedOverviewRuler.dispose(),
this._overviewDomElement.removeChild(this._overviewViewportDomElement.domNode),this._containerDomElement.removeChild(this._overviewDomElement),this._containerDomElement.removeChild(this._originalDomNode),this.originalEditor.dispose(),this._containerDomElement.removeChild(this._modifiedDomNode),this.modifiedEditor.dispose(),this._strategy.dispose(),this._containerDomElement.removeChild(this._reviewPane.domNode.domNode),this._containerDomElement.removeChild(this._reviewPane.shadow.domNode),this._containerDomElement.removeChild(this._reviewPane.actionBarContainer.domNode),this._reviewPane.dispose(),this._domElement.removeChild(this._containerDomElement),this._onDidDispose.fire(),e.prototype.dispose.call(this)},t.prototype.getId=function(){return this.getEditorType()+":"+this.id},t.prototype.getEditorType=function(){return m.EditorType.IDiffEditor},t.prototype.getLineChanges=function(){return this._lineChanges},t.prototype.getOriginalEditor=function(){return this.originalEditor},
t.prototype.getModifiedEditor=function(){return this.modifiedEditor},t.prototype.updateOptions=function(e){var n=!1;void 0!==e.renderSideBySide&&this._renderSideBySide!==e.renderSideBySide&&(this._renderSideBySide=e.renderSideBySide,n=!0);var i=!1;void 0!==e.ignoreTrimWhitespace&&this._ignoreTrimWhitespace!==e.ignoreTrimWhitespace&&(this._ignoreTrimWhitespace=e.ignoreTrimWhitespace,i=!0),void 0!==e.renderIndicators&&this._renderIndicators!==e.renderIndicators&&(this._renderIndicators=e.renderIndicators,i=!0),i&&this._beginUpdateDecorations(),void 0!==e.originalEditable&&(this._originalIsEditable=Boolean(e.originalEditable)),this.modifiedEditor.updateOptions(this._adjustOptionsForRightHandSide(e)),this.originalEditor.updateOptions(this._adjustOptionsForLeftHandSide(e,this._originalIsEditable)),void 0!==e.enableSplitViewResizing&&(this._enableSplitViewResizing=e.enableSplitViewResizing),this._strategy.setEnableSplitViewResizing(this._enableSplitViewResizing),
n&&(this._renderSideBySide?this._setStrategy(new U(this._createDataSource(),this._enableSplitViewResizing)):this._setStrategy(new q(this._createDataSource(),this._enableSplitViewResizing)),this._containerDomElement.className=t._getClassName(this._themeService.getTheme(),this._renderSideBySide))},t.prototype.getModel=function(){return{original:this.originalEditor.getModel(),modified:this.modifiedEditor.getModel()}},t.prototype.setModel=function(e){if(e&&(!e.original||!e.modified))throw new Error(e.original?"DiffEditorWidget.setModel: Modified model is null":"DiffEditorWidget.setModel: Original model is null");this._cleanViewZonesAndDecorations(),this.originalEditor.setModel(e?e.original:null),this.modifiedEditor.setModel(e?e.modified:null),this._updateDecorationsRunner.cancel(),e&&(this.originalEditor.setScrollTop(0),this.modifiedEditor.setScrollTop(0)),this._lineChanges=null,this._diffComputationToken++,e?(this._recreateOverviewRulers(),this._beginUpdateDecorations()):this._lineChanges=null,
this._layoutOverviewViewport()},t.prototype.getDomNode=function(){return this._domElement},t.prototype.getVisibleColumnFromPosition=function(e){return this.modifiedEditor.getVisibleColumnFromPosition(e)},t.prototype.getPosition=function(){return this.modifiedEditor.getPosition()},t.prototype.setPosition=function(e){this.modifiedEditor.setPosition(e)},t.prototype.revealLine=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealLine(e,t)},t.prototype.revealLineInCenter=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealLineInCenter(e,t)},t.prototype.revealLineInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealLineInCenterIfOutsideViewport(e,t)},t.prototype.revealPosition=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealPosition(e,t)},t.prototype.revealPositionInCenter=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealPositionInCenter(e,t)},t.prototype.revealPositionInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),
this.modifiedEditor.revealPositionInCenterIfOutsideViewport(e,t)},t.prototype.getSelection=function(){return this.modifiedEditor.getSelection()},t.prototype.getSelections=function(){return this.modifiedEditor.getSelections()},t.prototype.setSelection=function(e){this.modifiedEditor.setSelection(e)},t.prototype.setSelections=function(e){this.modifiedEditor.setSelections(e)},t.prototype.revealLines=function(e,t,n){void 0===n&&(n=0),this.modifiedEditor.revealLines(e,t,n)},t.prototype.revealLinesInCenter=function(e,t,n){void 0===n&&(n=0),this.modifiedEditor.revealLinesInCenter(e,t,n)},t.prototype.revealLinesInCenterIfOutsideViewport=function(e,t,n){void 0===n&&(n=0),this.modifiedEditor.revealLinesInCenterIfOutsideViewport(e,t,n)},t.prototype.revealRange=function(e,t,n,i){void 0===t&&(t=0),void 0===n&&(n=!1),void 0===i&&(i=!0),this.modifiedEditor.revealRange(e,t,n,i)},t.prototype.revealRangeInCenter=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealRangeInCenter(e,t)},
t.prototype.revealRangeInCenterIfOutsideViewport=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealRangeInCenterIfOutsideViewport(e,t)},t.prototype.revealRangeAtTop=function(e,t){void 0===t&&(t=0),this.modifiedEditor.revealRangeAtTop(e,t)},t.prototype.getSupportedActions=function(){return this.modifiedEditor.getSupportedActions()},t.prototype.saveViewState=function(){return{original:this.originalEditor.saveViewState(),modified:this.modifiedEditor.saveViewState()}},t.prototype.restoreViewState=function(e){if(e.original&&e.original){var t=e;this.originalEditor.restoreViewState(t.original),this.modifiedEditor.restoreViewState(t.modified)}},t.prototype.layout=function(e){this._measureDomElement(!1,e)},t.prototype.focus=function(){this.modifiedEditor.focus()},t.prototype.isFocused=function(){return this.originalEditor.isFocused()||this.modifiedEditor.isFocused()},t.prototype.onVisible=function(){this._isVisible=!0,this.originalEditor.onVisible(),this.modifiedEditor.onVisible(),
this._beginUpdateDecorations()},t.prototype.onHide=function(){this._isVisible=!1,this.originalEditor.onHide(),this.modifiedEditor.onHide(),this._cleanViewZonesAndDecorations()},t.prototype.trigger=function(e,t,n){this.modifiedEditor.trigger(e,t,n)},t.prototype.changeDecorations=function(e){return this.modifiedEditor.changeDecorations(e)},t.prototype._measureDomElement=function(e,t){if((t=t||{width:this._containerDomElement.clientWidth,height:this._containerDomElement.clientHeight}).width<=0)return this._width=0,this._height=0,void(this._reviewHeight=0);(e||t.width!==this._width||t.height!==this._height)&&(this._width=t.width,this._height=t.height,this._reviewHeight=this._reviewPane.isVisible()?this._height:0,this._doLayout())},t.prototype._layoutOverviewRulers=function(){var e=t.ENTIRE_DIFF_OVERVIEW_WIDTH-2*t.ONE_OVERVIEW_WIDTH;this.modifiedEditor.getLayoutInfo()&&(this._originalOverviewRuler.setLayout({top:0,width:t.ONE_OVERVIEW_WIDTH,right:e+t.ONE_OVERVIEW_WIDTH,height:this._height-this._reviewHeight}),
this._modifiedOverviewRuler.setLayout({top:0,right:0,width:t.ONE_OVERVIEW_WIDTH,height:this._height-this._reviewHeight}))},t.prototype._onViewZonesChanged=function(){this._currentlyChangingViewZones||this._updateDecorationsRunner.schedule()},t.prototype._beginUpdateDecorationsSoon=function(){var e=this;-1!==this._beginUpdateDecorationsTimeout&&(window.clearTimeout(this._beginUpdateDecorationsTimeout),this._beginUpdateDecorationsTimeout=-1),this._beginUpdateDecorationsTimeout=window.setTimeout(function(){return e._beginUpdateDecorations()},t.UPDATE_DIFF_DECORATIONS_DELAY)},t._equals=function(e,t){return!e&&!t||!(!e||!t)&&e.toString()===t.toString()},t.prototype._beginUpdateDecorations=function(){var e=this;this._beginUpdateDecorationsTimeout=-1;var i=this.originalEditor.getModel(),o=this.modifiedEditor.getModel();if(i&&o){this._diffComputationToken++;var r=this._diffComputationToken
;this._editorWorkerService.canComputeDiff(i.uri,o.uri)?this._editorWorkerService.computeDiff(i.uri,o.uri,this._ignoreTrimWhitespace).then(function(t){r===e._diffComputationToken&&i===e.originalEditor.getModel()&&o===e.modifiedEditor.getModel()&&(e._lineChanges=t,e._updateDecorationsRunner.schedule(),e._onDidUpdateDiff.fire())},function(t){r===e._diffComputationToken&&i===e.originalEditor.getModel()&&o===e.modifiedEditor.getModel()&&(e._lineChanges=null,e._updateDecorationsRunner.schedule())}):t._equals(i.uri,this._lastOriginalWarning)&&t._equals(o.uri,this._lastModifiedWarning)||(this._lastOriginalWarning=i.uri,this._lastModifiedWarning=o.uri,this._notificationService.warn(n.localize(0,null)))}},t.prototype._cleanViewZonesAndDecorations=function(){this._originalEditorState.clean(this.originalEditor),this._modifiedEditorState.clean(this.modifiedEditor)},t.prototype._updateDecorations=function(){if(this.originalEditor.getModel()&&this.modifiedEditor.getModel()){
var e=this._lineChanges||[],t=this._originalEditorState.getForeignViewZones(this.originalEditor.getWhitespaces()),n=this._modifiedEditorState.getForeignViewZones(this.modifiedEditor.getWhitespaces()),i=this._strategy.getEditorsDiffDecorations(e,this._ignoreTrimWhitespace,this._renderIndicators,t,n,this.originalEditor,this.modifiedEditor);try{this._currentlyChangingViewZones=!0,this._originalEditorState.apply(this.originalEditor,this._originalOverviewRuler,i.original),this._modifiedEditorState.apply(this.modifiedEditor,this._modifiedOverviewRuler,i.modified)}finally{this._currentlyChangingViewZones=!1}}},t.prototype._adjustOptionsForSubEditor=function(e){var t=s.deepClone(e||{});return t.inDiffEditor=!0,t.wordWrap="off",t.wordWrapMinified=!1,t.automaticLayout=!1,t.scrollbar=t.scrollbar||{},t.scrollbar.vertical="visible",t.folding=!1,t.codeLens=!1,t.fixedOverflowWidgets=!0,t.lineDecorationsWidth="2ch",t.minimap||(t.minimap={}),t.minimap.enabled=!1,t},t.prototype._adjustOptionsForLeftHandSide=function(e,t){
var n=this._adjustOptionsForSubEditor(e);return n.readOnly=!t,n.overviewRulerLanes=1,n.extraEditorClassName="original-in-monaco-diff-editor",n},t.prototype._adjustOptionsForRightHandSide=function(e){var n=this._adjustOptionsForSubEditor(e);return n.revealHorizontalRightPadding=x.EDITOR_DEFAULTS.viewInfo.revealHorizontalRightPadding+t.ENTIRE_DIFF_OVERVIEW_WIDTH,n.scrollbar.verticalHasArrows=!1,n.extraEditorClassName="modified-in-monaco-diff-editor",n},t.prototype.doLayout=function(){this._measureDomElement(!0)},t.prototype._doLayout=function(){var e=this._strategy.layout();this._originalDomNode.style.width=e+"px",this._originalDomNode.style.left="0px",this._modifiedDomNode.style.width=this._width-e+"px",this._modifiedDomNode.style.left=e+"px",this._overviewDomElement.style.top="0px",this._overviewDomElement.style.height=this._height-this._reviewHeight+"px",this._overviewDomElement.style.width=t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",this._overviewDomElement.style.left=this._width-t.ENTIRE_DIFF_OVERVIEW_WIDTH+"px",
this._overviewViewportDomElement.setWidth(t.ENTIRE_DIFF_OVERVIEW_WIDTH),this._overviewViewportDomElement.setHeight(30),this.originalEditor.layout({width:e,height:this._height-this._reviewHeight}),this.modifiedEditor.layout({width:this._width-e-t.ENTIRE_DIFF_OVERVIEW_WIDTH,height:this._height-this._reviewHeight}),(this._originalOverviewRuler||this._modifiedOverviewRuler)&&this._layoutOverviewRulers(),this._reviewPane.layout(this._height-this._reviewHeight,this._width,this._reviewHeight),this._layoutOverviewViewport()},t.prototype._layoutOverviewViewport=function(){var e=this._computeOverviewViewport();e?(this._overviewViewportDomElement.setTop(e.top),this._overviewViewportDomElement.setHeight(e.height)):(this._overviewViewportDomElement.setTop(0),this._overviewViewportDomElement.setHeight(0))},t.prototype._computeOverviewViewport=function(){var e=this.modifiedEditor.getLayoutInfo();if(!e)return null
;var t=this.modifiedEditor.getScrollTop(),n=this.modifiedEditor.getScrollHeight(),i=Math.max(0,e.contentHeight),o=Math.max(0,i-0),r=n>0?o/n:0;return{height:Math.max(0,Math.floor(e.contentHeight*r)),top:Math.floor(t*r)}},t.prototype._createDataSource=function(){var e=this;return{getWidth:function(){return e._width},getHeight:function(){return e._height-e._reviewHeight},getContainerDomNode:function(){return e._containerDomElement},relayoutEditors:function(){e._doLayout()},getOriginalEditor:function(){return e.originalEditor},getModifiedEditor:function(){return e.modifiedEditor}}},t.prototype._setStrategy=function(e){this._strategy&&this._strategy.dispose(),this._strategy=e,e.applyColors(this._themeService.getTheme()),this._lineChanges&&this._updateDecorations(),this._measureDomElement(!0)},t.prototype._getLineChangeAtOrBeforeLineNumber=function(e,t){if(0===this._lineChanges.length||e<t(this._lineChanges[0]))return null;for(var n=0,i=this._lineChanges.length-1;n<i;){
var o=Math.floor((n+i)/2),r=t(this._lineChanges[o]),s=o+1<=i?t(this._lineChanges[o+1]):Number.MAX_VALUE;e<r?i=o-1:e>=s?n=o+1:(n=o,i=o)}return this._lineChanges[n]},t.prototype._getEquivalentLineForOriginalLineNumber=function(e){var t=this._getLineChangeAtOrBeforeLineNumber(e,function(e){return e.originalStartLineNumber});if(!t)return e;var n=t.originalStartLineNumber+(t.originalEndLineNumber>0?-1:0),i=t.modifiedStartLineNumber+(t.modifiedEndLineNumber>0?-1:0),o=t.originalEndLineNumber>0?t.originalEndLineNumber-t.originalStartLineNumber+1:0,r=t.modifiedEndLineNumber>0?t.modifiedEndLineNumber-t.modifiedStartLineNumber+1:0,s=e-n;return s<=o?i+Math.min(s,r):i+r-o+s},t.prototype._getEquivalentLineForModifiedLineNumber=function(e){var t=this._getLineChangeAtOrBeforeLineNumber(e,function(e){return e.modifiedStartLineNumber});if(!t)return e
;var n=t.originalStartLineNumber+(t.originalEndLineNumber>0?-1:0),i=t.modifiedStartLineNumber+(t.modifiedEndLineNumber>0?-1:0),o=t.originalEndLineNumber>0?t.originalEndLineNumber-t.originalStartLineNumber+1:0,r=t.modifiedEndLineNumber>0?t.modifiedEndLineNumber-t.modifiedStartLineNumber+1:0,s=e-i;return s<=r?n+Math.min(s,o):n+o-r+s},t.prototype.getDiffLineInformationForOriginal=function(e){return this._lineChanges?{equivalentLineNumber:this._getEquivalentLineForOriginalLineNumber(e)}:null},t.prototype.getDiffLineInformationForModified=function(e){return this._lineChanges?{equivalentLineNumber:this._getEquivalentLineForModifiedLineNumber(e)}:null},t.ONE_OVERVIEW_WIDTH=15,t.ENTIRE_DIFF_OVERVIEW_WIDTH=30,t.UPDATE_DIFF_DECORATIONS_DELAY=200,t=u([d(2,v.IEditorWorkerService),d(3,p.IContextKeyService),d(4,h.IInstantiationService),d(5,f.ICodeEditorService),d(6,N.IThemeService),d(7,O.INotificationService)],t)}(r.Disposable);t.DiffEditorWidget=B;var V=function(e){function t(t){var n=e.call(this)||this
;return n._dataSource=t,n}return o(t,e),t.prototype.applyColors=function(e){var t=(e.getColor(I.diffInserted)||I.defaultInsertColor).transparent(2),n=(e.getColor(I.diffRemoved)||I.defaultRemoveColor).transparent(2),i=!t.equals(this._insertColor)||!n.equals(this._removeColor);return this._insertColor=t,this._removeColor=n,i},t.prototype.getEditorsDiffDecorations=function(e,t,n,i,o,r,s){o=o.sort(function(e,t){return e.afterLineNumber-t.afterLineNumber}),i=i.sort(function(e,t){return e.afterLineNumber-t.afterLineNumber});var a=this._getViewZones(e,i,o,r,s,n),l=this._getOriginalEditorDecorations(e,t,n,r,s),u=this._getModifiedEditorDecorations(e,t,n,r,s);return{original:{decorations:l.decorations,overviewZones:l.overviewZones,zones:a.original},modified:{decorations:u.decorations,overviewZones:u.overviewZones,zones:a.modified}}},t.prototype._getViewZones=function(e,t,n,i,o,r){return null},t.prototype._getOriginalEditorDecorations=function(e,t,n,i,o){return null},
t.prototype._getModifiedEditorDecorations=function(e,t,n,i,o){return null},t}(r.Disposable),H=function(){function e(e){this._source=e,this._index=-1,this.advance()}return e.prototype.advance=function(){this._index++,this._index<this._source.length?this.current=this._source[this._index]:this.current=null},e}(),z=function(){function e(e,t,n){this.lineChanges=e,this.originalForeignVZ=t,this.modifiedForeignVZ=n}return e.prototype.getViewZones=function(){for(var e={original:[],modified:[]},t=0,n=0,i=0,o=0,r=0,s=0,a=function(e,t){return e.afterLineNumber-t.afterLineNumber},l=function(e,t){if(null===t.domNode&&e.length>0){var n=e[e.length-1];if(n.afterLineNumber===t.afterLineNumber&&null===n.domNode)return void(n.heightInLines+=t.heightInLines)}e.push(t)},u=new H(this.modifiedForeignVZ),c=new H(this.originalForeignVZ),d=0,h=this.lineChanges.length;d<=h;d++){var p=d<h?this.lineChanges[d]:null;null!==p?(i=p.originalStartLineNumber+(p.originalEndLineNumber>0?-1:0),
o=p.modifiedStartLineNumber+(p.modifiedEndLineNumber>0?-1:0),n=p.originalEndLineNumber>0?p.originalEndLineNumber-p.originalStartLineNumber+1:0,t=p.modifiedEndLineNumber>0?p.modifiedEndLineNumber-p.modifiedStartLineNumber+1:0,r=Math.max(p.originalStartLineNumber,p.originalEndLineNumber),s=Math.max(p.modifiedStartLineNumber,p.modifiedEndLineNumber)):(r=i+=1e7+n,s=o+=1e7+t);for(var f=[],g=[];u.current&&u.current.afterLineNumber<=s;){m=void 0;m=u.current.afterLineNumber<=o?i-o+u.current.afterLineNumber:r,f.push({afterLineNumber:m,heightInLines:u.current.heightInLines,domNode:null}),u.advance()}for(;c.current&&c.current.afterLineNumber<=r;){var m=void 0;m=c.current.afterLineNumber<=i?o-i+c.current.afterLineNumber:s,g.push({afterLineNumber:m,heightInLines:c.current.heightInLines,domNode:null}),c.advance()}if(null!==p&&P(p)){(v=this._produceOriginalFromDiff(p,n,t))&&f.push(v)}if(null!==p&&A(p)){var v=this._produceModifiedFromDiff(p,n,t);v&&g.push(v)}var _=0,y=0;for(f=f.sort(a),g=g.sort(a);_<f.length&&y<g.length;){
var C=f[_],b=g[y],S=C.afterLineNumber-i,w=b.afterLineNumber-o;S<w?(l(e.original,C),_++):w<S?(l(e.modified,b),y++):C.shouldNotShrink?(l(e.original,C),_++):b.shouldNotShrink?(l(e.modified,b),y++):C.heightInLines>=b.heightInLines?(C.heightInLines-=b.heightInLines,y++):(b.heightInLines-=C.heightInLines,_++)}for(;_<f.length;)l(e.original,f[_]),_++;for(;y<g.length;)l(e.modified,g[y]),y++}var E=function(e){e.domNode||(e.domNode=function(){var e=document.createElement("div");return e.className="diagonal-fill",e}())};return e.original.forEach(E),e.modified.forEach(E),e},e}(),K={charDelete:D.ModelDecorationOptions.register({className:"char-delete"}),charDeleteWholeLine:D.ModelDecorationOptions.register({className:"char-delete",isWholeLine:!0}),charInsert:D.ModelDecorationOptions.register({className:"char-insert"}),charInsertWholeLine:D.ModelDecorationOptions.register({className:"char-insert",isWholeLine:!0}),lineInsert:D.ModelDecorationOptions.register({className:"line-insert",marginClassName:"line-insert",
isWholeLine:!0}),lineInsertWithSign:D.ModelDecorationOptions.register({className:"line-insert",linesDecorationsClassName:"insert-sign",marginClassName:"line-insert",isWholeLine:!0}),lineDelete:D.ModelDecorationOptions.register({className:"line-delete",marginClassName:"line-delete",isWholeLine:!0}),lineDeleteWithSign:D.ModelDecorationOptions.register({className:"line-delete",linesDecorationsClassName:"delete-sign",marginClassName:"line-delete",isWholeLine:!0}),lineDeleteMargin:D.ModelDecorationOptions.register({marginClassName:"line-delete"})},U=function(e){function t(t,n){var i=e.call(this,t)||this;return i._disableSash=!1===n,i._sashRatio=null,i._sashPosition=null,i._sash=i._register(new c.Sash(i._dataSource.getContainerDomNode(),i)),i._disableSash&&i._sash.disable(),i._sash.onDidStart(function(){return i.onSashDragStart()}),i._sash.onDidChange(function(e){return i.onSashDrag(e)}),i._sash.onDidEnd(function(){return i.onSashDragEnd()}),i._sash.onDidReset(function(){return i.onSashReset()}),i}return o(t,e),
t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.setEnableSplitViewResizing=function(e){var t=!1===e;this._disableSash!==t&&(this._disableSash=t,this._disableSash?this._sash.disable():this._sash.enable())},t.prototype.layout=function(e){void 0===e&&(e=this._sashRatio);var n=this._dataSource.getWidth()-B.ENTIRE_DIFF_OVERVIEW_WIDTH,i=Math.floor((e||.5)*n),o=Math.floor(.5*n);return i=this._disableSash?o:i||o,n>2*t.MINIMUM_EDITOR_WIDTH?(i<t.MINIMUM_EDITOR_WIDTH&&(i=t.MINIMUM_EDITOR_WIDTH),i>n-t.MINIMUM_EDITOR_WIDTH&&(i=n-t.MINIMUM_EDITOR_WIDTH)):i=o,this._sashPosition!==i&&(this._sashPosition=i,this._sash.layout()),this._sashPosition},t.prototype.onSashDragStart=function(){this._startSashPosition=this._sashPosition},t.prototype.onSashDrag=function(e){var t=this._dataSource.getWidth()-B.ENTIRE_DIFF_OVERVIEW_WIDTH,n=this.layout((this._startSashPosition+(e.currentX-e.startX))/t);this._sashRatio=n/t,this._dataSource.relayoutEditors()},t.prototype.onSashDragEnd=function(){this._sash.layout()
},t.prototype.onSashReset=function(){this._sashRatio=.5,this._dataSource.relayoutEditors(),this._sash.layout()},t.prototype.getVerticalSashTop=function(e){return 0},t.prototype.getVerticalSashLeft=function(e){return this._sashPosition},t.prototype.getVerticalSashHeight=function(e){return this._dataSource.getHeight()},t.prototype._getViewZones=function(e,t,n,i,o){return new j(e,t,n).getViewZones()},t.prototype._getOriginalEditorDecorations=function(e,t,n,i,o){for(var r=this._removeColor.toString(),s={decorations:[],overviewZones:[]},a=i.getModel(),l=0,u=e.length;l<u;l++){var c=e[l];if(A(c)&&(s.decorations.push({range:new g.Range(c.originalStartLineNumber,1,c.originalEndLineNumber,Number.MAX_VALUE),options:n?K.lineDeleteWithSign:K.lineDelete}),P(c)&&c.charChanges||s.decorations.push(R(c.originalStartLineNumber,1,c.originalEndLineNumber,Number.MAX_VALUE,K.charDeleteWholeLine)),s.overviewZones.push(new T.OverviewRulerZone(c.originalStartLineNumber,c.originalEndLineNumber,r)),
c.charChanges))for(var d=0,h=c.charChanges.length;d<h;d++){var p=c.charChanges[d];if(A(p))if(t)for(var f=p.originalStartLineNumber;f<=p.originalEndLineNumber;f++){var m=void 0,v=void 0;m=f===p.originalStartLineNumber?p.originalStartColumn:a.getLineFirstNonWhitespaceColumn(f),v=f===p.originalEndLineNumber?p.originalEndColumn:a.getLineLastNonWhitespaceColumn(f),s.decorations.push(R(f,m,f,v,K.charDelete))}else s.decorations.push(R(p.originalStartLineNumber,p.originalStartColumn,p.originalEndLineNumber,p.originalEndColumn,K.charDelete))}}return s},t.prototype._getModifiedEditorDecorations=function(e,t,n,i,o){for(var r=this._insertColor.toString(),s={decorations:[],overviewZones:[]},a=o.getModel(),l=0,u=e.length;l<u;l++){var c=e[l];if(P(c)&&(s.decorations.push({range:new g.Range(c.modifiedStartLineNumber,1,c.modifiedEndLineNumber,Number.MAX_VALUE),options:n?K.lineInsertWithSign:K.lineInsert}),
A(c)&&c.charChanges||s.decorations.push(R(c.modifiedStartLineNumber,1,c.modifiedEndLineNumber,Number.MAX_VALUE,K.charInsertWholeLine)),s.overviewZones.push(new T.OverviewRulerZone(c.modifiedStartLineNumber,c.modifiedEndLineNumber,r)),c.charChanges))for(var d=0,h=c.charChanges.length;d<h;d++){var p=c.charChanges[d];if(P(p))if(t)for(var f=p.modifiedStartLineNumber;f<=p.modifiedEndLineNumber;f++){var m=void 0,v=void 0;m=f===p.modifiedStartLineNumber?p.modifiedStartColumn:a.getLineFirstNonWhitespaceColumn(f),v=f===p.modifiedEndLineNumber?p.modifiedEndColumn:a.getLineLastNonWhitespaceColumn(f),s.decorations.push(R(f,m,f,v,K.charInsert))}else s.decorations.push(R(p.modifiedStartLineNumber,p.modifiedStartColumn,p.modifiedEndLineNumber,p.modifiedEndColumn,K.charInsert))}}return s},t.MINIMUM_EDITOR_WIDTH=100,t}(V),j=function(e){function t(t,n,i){return e.call(this,t,n,i)||this}return o(t,e),t.prototype._produceOriginalFromDiff=function(e,t,n){return n>t?{
afterLineNumber:Math.max(e.originalStartLineNumber,e.originalEndLineNumber),heightInLines:n-t,domNode:null}:null},t.prototype._produceModifiedFromDiff=function(e,t,n){return t>n?{afterLineNumber:Math.max(e.modifiedStartLineNumber,e.modifiedEndLineNumber),heightInLines:t-n,domNode:null}:null},t}(z),q=function(e){function t(t,n){var i=e.call(this,t)||this;return i.decorationsLeft=t.getOriginalEditor().getLayoutInfo().decorationsLeft,i._register(t.getOriginalEditor().onDidLayoutChange(function(e){i.decorationsLeft!==e.decorationsLeft&&(i.decorationsLeft=e.decorationsLeft,t.relayoutEditors())})),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype.setEnableSplitViewResizing=function(e){},t.prototype._getViewZones=function(e,t,n,i,o,r){return new G(e,t,n,i,o,r).getViewZones()},t.prototype._getOriginalEditorDecorations=function(e,t,n,i,o){for(var r=this._removeColor.toString(),s={decorations:[],overviewZones:[]},a=0,l=e.length;a<l;a++){var u=e[a];A(u)&&(s.decorations.push({
range:new g.Range(u.originalStartLineNumber,1,u.originalEndLineNumber,Number.MAX_VALUE),options:K.lineDeleteMargin}),s.overviewZones.push(new T.OverviewRulerZone(u.originalStartLineNumber,u.originalEndLineNumber,r)))}return s},t.prototype._getModifiedEditorDecorations=function(e,t,n,i,o){for(var r=this._insertColor.toString(),s={decorations:[],overviewZones:[]},a=o.getModel(),l=0,u=e.length;l<u;l++){var c=e[l];if(P(c))if(s.decorations.push({range:new g.Range(c.modifiedStartLineNumber,1,c.modifiedEndLineNumber,Number.MAX_VALUE),options:n?K.lineInsertWithSign:K.lineInsert}),s.overviewZones.push(new T.OverviewRulerZone(c.modifiedStartLineNumber,c.modifiedEndLineNumber,r)),c.charChanges)for(var d=0,h=c.charChanges.length;d<h;d++){var p=c.charChanges[d];if(P(p))if(t)for(var f=p.modifiedStartLineNumber;f<=p.modifiedEndLineNumber;f++){var m=void 0,v=void 0;m=f===p.modifiedStartLineNumber?p.modifiedStartColumn:a.getLineFirstNonWhitespaceColumn(f),
v=f===p.modifiedEndLineNumber?p.modifiedEndColumn:a.getLineLastNonWhitespaceColumn(f),s.decorations.push(R(f,m,f,v,K.charInsert))}else s.decorations.push(R(p.modifiedStartLineNumber,p.modifiedStartColumn,p.modifiedEndLineNumber,p.modifiedEndColumn,K.charInsert))}else s.decorations.push(R(c.modifiedStartLineNumber,1,c.modifiedEndLineNumber,Number.MAX_VALUE,K.charInsertWholeLine))}return s},t.prototype.layout=function(){return Math.max(5,this.decorationsLeft)},t}(V),G=function(e){function t(t,n,i,o,r,s){var a=e.call(this,t,n,i)||this;return a.originalModel=o.getModel(),a.modifiedEditorConfiguration=r.getConfiguration(),a.modifiedEditorTabSize=r.getModel().getOptions().tabSize,a.renderIndicators=s,a}return o(t,e),t.prototype._produceOriginalFromDiff=function(e,t,n){var i=document.createElement("div");return i.className="inline-added-margin-view-zone",S.Configuration.applyFontInfoSlow(i,this.modifiedEditorConfiguration.fontInfo),{afterLineNumber:Math.max(e.originalStartLineNumber,e.originalEndLineNumber),
heightInLines:n,domNode:document.createElement("div"),marginDomNode:i}},t.prototype._produceModifiedFromDiff=function(e,t,n){var i=[];if(e.charChanges)for(var o=0,r=e.charChanges.length;o<r;o++){var s=e.charChanges[o];A(s)&&i.push(new w.InlineDecoration(new g.Range(s.originalStartLineNumber,s.originalStartColumn,s.originalEndLineNumber,s.originalEndColumn),"char-delete",0))}for(var a=k.createStringBuilder(1e4),l=[],u=this.modifiedEditorConfiguration.layoutInfo.decorationsWidth,c=this.modifiedEditorConfiguration.lineHeight,d=e.originalStartLineNumber;d<=e.originalEndLineNumber;d++)if(this.renderOriginalLine(d-e.originalStartLineNumber,this.originalModel,this.modifiedEditorConfiguration,this.modifiedEditorTabSize,d,i,a),this.renderIndicators){var h=d-e.originalStartLineNumber;l=l.concat(['<div class="delete-sign" style="position:absolute;top:'+h*c+"px;width:"+u+"px;height:"+c+'px;right:0;"></div>'])}var p=document.createElement("div");p.className="view-lines line-delete",p.innerHTML=a.build(),
S.Configuration.applyFontInfoSlow(p,this.modifiedEditorConfiguration.fontInfo);var f=document.createElement("div");return f.className="inline-deleted-margin-view-zone",f.innerHTML=l.join(""),S.Configuration.applyFontInfoSlow(f,this.modifiedEditorConfiguration.fontInfo),{shouldNotShrink:!0,afterLineNumber:0===e.modifiedEndLineNumber?e.modifiedStartLineNumber:e.modifiedStartLineNumber-1,heightInLines:t,domNode:p,marginDomNode:f}},t.prototype.renderOriginalLine=function(e,t,n,i,o,r,s){var a=t.getLineContent(o),l=_.LineDecoration.filter(r,o,1,a.length+1),u=new Uint32Array(2);u[0]=a.length,u[1]=16793600;var c=new b.LineTokens(u,a);s.appendASCIIString('<div class="view-line'),0===r.length&&s.appendASCIIString(" char-delete"),s.appendASCIIString('" style="top:'),s.appendASCIIString(String(e*n.lineHeight)),s.appendASCIIString('px;width:1000000px;">'),
y.renderViewLine(new y.RenderLineInput(n.fontInfo.isMonospace&&!n.viewInfo.disableMonospaceOptimizations,a,t.mightContainRTL(),0,c,l,i,n.fontInfo.spaceWidth,n.viewInfo.stopRenderingLineAfter,n.viewInfo.renderWhitespace,n.viewInfo.renderControlCharacters,n.viewInfo.fontLigatures),s),s.appendASCIIString("</div>")},t}(z);N.registerThemingParticipant(function(e,t){var n=e.getColor(I.diffInserted);n&&(t.addRule(".monaco-editor .line-insert, .monaco-editor .char-insert { background-color: "+n+"; }"),t.addRule(".monaco-diff-editor .line-insert, .monaco-diff-editor .char-insert { background-color: "+n+"; }"),t.addRule(".monaco-editor .inline-added-margin-view-zone { background-color: "+n+"; }"));var i=e.getColor(I.diffRemoved);i&&(t.addRule(".monaco-editor .line-delete, .monaco-editor .char-delete { background-color: "+i+"; }"),t.addRule(".monaco-diff-editor .line-delete, .monaco-diff-editor .char-delete { background-color: "+i+"; }"),
t.addRule(".monaco-editor .inline-deleted-margin-view-zone { background-color: "+i+"; }"));var o=e.getColor(I.diffInsertedOutline);o&&t.addRule(".monaco-editor .line-insert, .monaco-editor .char-insert { border: 1px dashed "+o+"; }");var r=e.getColor(I.diffRemovedOutline);r&&t.addRule(".monaco-editor .line-delete, .monaco-editor .char-delete { border: 1px dashed "+r+"; }");var s=e.getColor(I.scrollbarShadow);s&&t.addRule(".monaco-diff-editor.side-by-side .editor.modified { box-shadow: -6px 0 5px -5px "+s+"; }")})}),define(t[143],n([0,1,25,14,33,19,38,141,16,142,67,40]),function(e,t,n,i,r,s,a,l,c,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=function(e){function t(t,n,i,o,r,s,a,l){var u=e.call(this,t,i.getRawConfiguration(),o,r,s,a,l)||this;return u._parentEditor=i,u._overwriteOptions=n,e.prototype.updateOptions.call(u,u._overwriteOptions),u._register(i.onDidChangeConfiguration(function(e){return u._onParentConfigurationChanged(e)})),u}return o(t,e),
t.prototype.getParentEditor=function(){return this._parentEditor},t.prototype._onParentConfigurationChanged=function(t){e.prototype.updateOptions.call(this,this._parentEditor.getRawConfiguration()),e.prototype.updateOptions.call(this,this._overwriteOptions)},t.prototype.updateOptions=function(t){n.mixin(this._overwriteOptions,t,!0),e.prototype.updateOptions.call(this,this._overwriteOptions)},t=u([d(3,i.IInstantiationService),d(4,a.ICodeEditorService),d(5,r.ICommandService),d(6,s.IContextKeyService),d(7,c.IThemeService)],t)}(l.CodeEditor);t.EmbeddedCodeEditorWidget=g;var m=function(e){function t(t,n,i,o,r,s,a,l,u){var c=e.call(this,t,i.getRawConfiguration(),o,r,s,a,l,u)||this;return c._parentEditor=i,c._overwriteOptions=n,e.prototype.updateOptions.call(c,c._overwriteOptions),c._register(i.onDidChangeConfiguration(function(e){return c._onParentConfigurationChanged(e)})),c}return o(t,e),t.prototype.getParentEditor=function(){return this._parentEditor},t.prototype._onParentConfigurationChanged=function(t){
e.prototype.updateOptions.call(this,this._parentEditor.getRawConfiguration()),e.prototype.updateOptions.call(this,this._overwriteOptions)},t.prototype.updateOptions=function(t){n.mixin(this._overwriteOptions,t,!0),e.prototype.updateOptions.call(this,this._overwriteOptions)},t=u([d(3,p.IEditorWorkerService),d(4,s.IContextKeyService),d(5,i.IInstantiationService),d(6,a.ICodeEditorService),d(7,c.IThemeService),d(8,f.INotificationService)],t)}(h.DiffEditorWidget);t.EmbeddedDiffEditorWidget=m}),define(t[515],n([0,1,306,68,4,73,2,8,78,3,31,15,54,52,127,130,51,16,35,28,22,36]),function(e,t,n,i,o,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";function E(e){return e.toString()}Object.defineProperty(t,"__esModule",{value:!0});var L=function(){function e(e,t,n){this.model=e,this._markerDecorations=[],this._modelEventListeners=[],this._modelEventListeners.push(e.onWillDispose(function(){return t(e)})),this._modelEventListeners.push(e.onDidChangeLanguage(function(t){return n(e,t)}))}return e.prototype.dispose=function(){
this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,[]),this._modelEventListeners=s.dispose(this._modelEventListeners),this.model=null},e.prototype.acceptMarkerDecorations=function(e){this._markerDecorations=this.model.deltaDecorations(this._markerDecorations,e)},e}(),x=function(){function e(){}return e.setMarkers=function(e,t){var n=this,i=t.read({resource:e.model.uri,take:500}).map(function(t){return{range:n._createDecorationRange(e.model,t),options:n._createDecorationOption(t)}});e.acceptMarkerDecorations(i)},e._createDecorationRange=function(e,t){var n=c.Range.lift(t);if(t.severity===l.MarkerSeverity.Hint&&c.Range.spansMultipleLines(n)&&(n=n.setEndPosition(n.startLineNumber,n.startColumn)),(n=e.validateRange(n)).isEmpty()){var i=e.getWordAtPosition(n.getStartPosition());if(i)n=new c.Range(n.startLineNumber,i.startColumn,n.endLineNumber,i.endColumn);else{var o=e.getLineLastNonWhitespaceColumn(n.startLineNumber)||e.getLineMaxColumn(n.startLineNumber)
;1===o||(n=n.endColumn>=o?new c.Range(n.startLineNumber,o-1,n.endLineNumber,o):new c.Range(n.startLineNumber,n.startColumn,n.endLineNumber,n.endColumn+1))}}else if(t.endColumn===Number.MAX_VALUE&&1===t.startColumn&&n.startLineNumber===n.endLineNumber){var r=e.getLineFirstNonWhitespaceColumn(t.startLineNumber);r<n.endColumn&&(n=new c.Range(n.startLineNumber,r,n.endLineNumber,n.endColumn),t.startColumn=r)}return n},e._createDecorationOption=function(e){var t,i,o;switch(e.severity){case l.MarkerSeverity.Hint:t=v.ClassName.EditorHintDecoration;break;case l.MarkerSeverity.Warning:t=v.ClassName.EditorWarningDecoration,i=y.themeColorFromId(C.overviewRulerWarning),o=y.themeColorFromId(C.overviewRulerWarning);break;case l.MarkerSeverity.Info:t=v.ClassName.EditorInfoDecoration,i=y.themeColorFromId(C.overviewRulerInfo),o=y.themeColorFromId(C.overviewRulerInfo);break;case l.MarkerSeverity.Error:default:t=v.ClassName.EditorErrorDecoration,i=y.themeColorFromId(C.overviewRulerError),
o=y.themeColorFromId(C.overviewRulerError)}var s=null,a=e.message,u=e.source,c=e.relatedInformation;if("string"==typeof a&&(a=a.trim(),u&&(a=/\n/g.test(a)?n.localize(0,null,u,a):n.localize(1,null,u,a)),s=(new r.MarkdownString).appendCodeblock("_",a),!S.isFalsyOrEmpty(c))){s.appendMarkdown("\n");for(var d=0,h=c;d<h.length;d++){var p=h[d],f=p.message,g=p.resource,m=p.startLineNumber,_=p.startColumn;s.appendMarkdown("* ["+w.basename(g.path)+"("+m+", "+_+")]("+g.toString(!1)+"#"+m+","+_+"): `"+f+"` \n")}s.appendMarkdown("\n")}return{stickiness:b.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:t,hoverMessage:s,showIfCollapsed:!0,overviewRuler:{color:i,darkColor:o,position:b.OverviewRulerLane.Right}}},e}(),N=p.isLinux||p.isMacintosh?b.DefaultEndOfLine.LF:b.DefaultEndOfLine.CRLF,I=function(){function e(e,t){var n=this;this._markerService=e,this._configurationService=t,this._models={},this._modelCreationOptionsByLanguageAndResource=Object.create(null),this._onModelAdded=new o.Emitter,
this._onModelRemoved=new o.Emitter,this._onModelModeChanged=new o.Emitter,this._markerService&&(this._markerServiceSubscription=this._markerService.onMarkerChanged(this._handleMarkerChange,this)),this._configurationServiceSubscription=this._configurationService.onDidChangeConfiguration(function(e){return n._updateModelOptions()}),this._updateModelOptions()}return e._readModelOptions=function(e,t){var n=g.EDITOR_MODEL_DEFAULTS.tabSize;if(e.editor&&void 0!==e.editor.tabSize){var i=parseInt(e.editor.tabSize,10);isNaN(i)||(n=i)}var o=g.EDITOR_MODEL_DEFAULTS.insertSpaces;e.editor&&void 0!==e.editor.insertSpaces&&(o="false"!==e.editor.insertSpaces&&Boolean(e.editor.insertSpaces));var r=N,s=e.files&&e.files.eol;"\r\n"===s?r=b.DefaultEndOfLine.CRLF:"\n"===s&&(r=b.DefaultEndOfLine.LF);var a=g.EDITOR_MODEL_DEFAULTS.trimAutoWhitespace;e.editor&&void 0!==e.editor.trimAutoWhitespace&&(a="false"!==e.editor.trimAutoWhitespace&&Boolean(e.editor.trimAutoWhitespace));var l=g.EDITOR_MODEL_DEFAULTS.detectIndentation
;return e.editor&&void 0!==e.editor.detectIndentation&&(l="false"!==e.editor.detectIndentation&&Boolean(e.editor.detectIndentation)),{isForSimpleWidget:t,tabSize:n,insertSpaces:o,detectIndentation:l,defaultEOL:r,trimAutoWhitespace:a}},e.prototype.getCreationOptions=function(t,n,i){var o=this._modelCreationOptionsByLanguageAndResource[t+n];return o||(o=e._readModelOptions(this._configurationService.getValue({overrideIdentifier:t,resource:n}),i),this._modelCreationOptionsByLanguageAndResource[t+n]=o),o},e.prototype._updateModelOptions=function(){var t=this._modelCreationOptionsByLanguageAndResource;this._modelCreationOptionsByLanguageAndResource=Object.create(null);for(var n=Object.keys(this._models),i=0,o=n.length;i<o;i++){var r=n[i],s=this._models[r],a=s.model.getLanguageIdentifier().language,l=s.model.uri,u=t[a+l],c=this.getCreationOptions(a,l,s.model.isForSimpleWidget);e._setModelOptionsForModel(s.model,c,u)}},e._setModelOptionsForModel=function(e,t,n){
n&&n.detectIndentation===t.detectIndentation&&n.insertSpaces===t.insertSpaces&&n.tabSize===t.tabSize&&n.trimAutoWhitespace===t.trimAutoWhitespace||(t.detectIndentation?(e.detectIndentation(t.insertSpaces,t.tabSize),e.updateOptions({trimAutoWhitespace:t.trimAutoWhitespace})):e.updateOptions({insertSpaces:t.insertSpaces,tabSize:t.tabSize,trimAutoWhitespace:t.trimAutoWhitespace}))},e.prototype.dispose=function(){this._markerServiceSubscription&&this._markerServiceSubscription.dispose(),this._configurationServiceSubscription.dispose()},e.prototype._handleMarkerChange=function(e){var t=this;e.forEach(function(e){var n=E(e),i=t._models[n];i&&x.setMarkers(i,t._markerService)})},e.prototype._cleanUp=function(e){var t=this;e.uri.scheme!==i.Schemas.inMemory&&e.uri.scheme!==i.Schemas.internal&&e.uri.scheme!==i.Schemas.vscode||this._markerService&&this._markerService.read({resource:e.uri}).map(function(e){return e.owner}).forEach(function(n){return t._markerService.remove(n,[e.uri])}),
delete this._modelCreationOptionsByLanguageAndResource[e.getLanguageIdentifier().language+e.uri]},e.prototype._createModelData=function(e,t,n,i){var o=this,r=this.getCreationOptions(t.language,n,i),s=new h.TextModel(e,r,t,n),a=E(s.uri);if(this._models[a])throw new Error("ModelService: Cannot add model because it already exists!");var l=new L(s,function(e){return o._onWillDispose(e)},function(e,t){return o._onDidChangeLanguage(e,t)});return this._models[a]=l,l},e.prototype.updateModel=function(t,n){var i=this.getCreationOptions(t.getLanguageIdentifier().language,t.uri,t.isForSimpleWidget),o=h.createTextBuffer(n,i.defaultEOL);t.equalsTextBuffer(o)||(t.setEOL("\r\n"===o.getEOL()?b.EndOfLineSequence.CRLF:b.EndOfLineSequence.LF),t.pushEditOperations([],e._computeEdits(t,o),function(e){return[]}))},e._commonPrefix=function(e,t,n,i,o,r){for(var s=Math.min(t,o),a=0,l=0;l<s&&e.getLineContent(n+l)===i.getLineContent(r+l);l++)a++;return a},e._commonSuffix=function(e,t,n,i,o,r){
for(var s=Math.min(t,o),a=0,l=0;l<s&&e.getLineContent(n+t-l)===i.getLineContent(r+o-l);l++)a++;return a},e._computeEdits=function(e,t){var n=e.getLineCount(),i=t.getLineCount(),o=this._commonPrefix(e,n,1,t,i,1);if(n===i&&o===n)return[];var r,s,a=this._commonSuffix(e,n-o,o,t,i-o,o);return a>0?(r=new c.Range(o+1,1,n-a+1,1),s=new c.Range(o+1,1,i-a+1,1)):o>0?(r=new c.Range(o,e.getLineMaxColumn(o),n,e.getLineMaxColumn(n)),s=new c.Range(o,1+t.getLineLength(o),i,1+t.getLineLength(i))):(r=new c.Range(1,1,n,e.getLineMaxColumn(n)),s=new c.Range(1,1,i,1+t.getLineLength(i))),[_.EditOperation.replaceMove(r,t.getValueInRange(s,b.EndOfLinePreference.TextDefined))]},e.prototype.createModel=function(e,t,n,i){void 0===i&&(i=!1);var o;return!t||a.TPromise.is(t)?(o=this._createModelData(e,m.PLAINTEXT_LANGUAGE_IDENTIFIER,n,i),this.setMode(o.model,t)):o=this._createModelData(e,t.getLanguageIdentifier(),n,i),this._markerService&&x.setMarkers(o,this._markerService),this._onModelAdded.fire(o.model),o.model},
e.prototype.setMode=function(e,t){t&&(a.TPromise.is(t)?t.then(function(t){e.isDisposed()||e.setMode(t.getLanguageIdentifier())}):e.setMode(t.getLanguageIdentifier()))},e.prototype.destroyModel=function(e){var t=this._models[E(e)];t&&t.model.dispose()},e.prototype.getModels=function(){for(var e=[],t=Object.keys(this._models),n=0,i=t.length;n<i;n++){var o=t[n];e.push(this._models[o].model)}return e},e.prototype.getModel=function(e){var t=E(e),n=this._models[t];return n?n.model:null},Object.defineProperty(e.prototype,"onModelAdded",{get:function(){return this._onModelAdded?this._onModelAdded.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelRemoved",{get:function(){return this._onModelRemoved?this._onModelRemoved.event:null},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"onModelModeChanged",{get:function(){return this._onModelModeChanged?this._onModelModeChanged.event:null},enumerable:!0,configurable:!0}),e.prototype._onWillDispose=function(e){
var t=E(e.uri),n=this._models[t];delete this._models[t],n.dispose(),this._cleanUp(e),this._onModelRemoved.fire(e)},e.prototype._onDidChangeLanguage=function(t,n){var i=n.oldLanguage,o=t.getLanguageIdentifier().language,r=this.getCreationOptions(i,t.uri,t.isForSimpleWidget),s=this.getCreationOptions(o,t.uri,t.isForSimpleWidget);e._setModelOptionsForModel(t,s,r),this._onModelModeChanged.fire({model:t,oldModeId:i})},e=u([d(0,l.IMarkerService),d(1,f.IConfigurationService)],e)}();t.ModelServiceImpl=I}),define(t[516],n([0,1,308,2,13,20,18,11,21,16,35,31,23,28,366]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var g=p.registerColor("editorOverviewRuler.bracketMatchForeground",{dark:"#A0A0A0",light:"#A0A0A0",hc:"#A0A0A0"},n.localize(0,null)),m=function(e){function t(){return e.call(this,{id:"editor.action.jumpToBracket",label:n.localize(1,null),alias:"Go to Bracket",precondition:null,kbOpts:{kbExpr:u.EditorContextKeys.editorTextFocus,primary:3160}})||this}
return o(t,e),t.prototype.run=function(e,t){var n=y.get(t);n&&n.jumpToBracket()},t}(l.EditorAction),v=function(e){function t(){return e.call(this,{id:"editor.action.selectToBracket",label:n.localize(2,null),alias:"Select to Bracket",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){var n=y.get(t);n&&n.selectToBracket()},t}(l.EditorAction),_=function(){return function(e,t){this.position=e,this.brackets=t}}(),y=function(e){function t(t){var n=e.call(this)||this;return n._editor=t,n._lastBracketsData=[],n._lastVersionId=0,n._decorations=[],n._updateBracketsSoon=n._register(new a.RunOnceScheduler(function(){return n._updateBrackets()},50)),n._matchBrackets=n._editor.getConfiguration().contribInfo.matchBrackets,n._updateBracketsSoon.schedule(),n._register(t.onDidChangeCursorPosition(function(e){n._matchBrackets&&n._updateBracketsSoon.schedule()})),n._register(t.onDidChangeModel(function(e){n._decorations=[],n._updateBracketsSoon.schedule()})),
n._register(t.onDidChangeModelLanguageConfiguration(function(e){n._lastBracketsData=[],n._updateBracketsSoon.schedule()})),n._register(t.onDidChangeConfiguration(function(e){n._matchBrackets=n._editor.getConfiguration().contribInfo.matchBrackets,!n._matchBrackets&&n._decorations.length>0&&(n._decorations=n._editor.deltaDecorations(n._decorations,[])),n._updateBracketsSoon.schedule()})),n}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.jumpToBracket=function(){var e=this._editor.getModel();if(e){var t=this._editor.getSelections().map(function(t){var n=t.getStartPosition(),i=e.matchBracket(n),o=null;if(i)i[0].containsPosition(n)?o=i[1].getStartPosition():i[1].containsPosition(n)&&(o=i[0].getStartPosition());else{var r=e.findNextBracket(n);r&&r.range&&(o=r.range.getStartPosition())}return o?new s.Selection(o.lineNumber,o.column,o.lineNumber,o.column):new s.Selection(n.lineNumber,n.column,n.lineNumber,n.column)});this._editor.setSelections(t),
this._editor.revealRange(t[0])}},t.prototype.selectToBracket=function(){var e=this._editor.getModel();if(e){var t=[];this._editor.getSelections().forEach(function(n){var i=n.getStartPosition(),o=e.matchBracket(i),r=null,a=null;if(!o){var l=e.findNextBracket(i);l&&l.range&&(o=e.matchBracket(l.range.getStartPosition()))}o&&(o[0].startLineNumber===o[1].startLineNumber?(r=o[1].startColumn<o[0].startColumn?o[1].getStartPosition():o[0].getStartPosition(),a=o[1].startColumn<o[0].startColumn?o[0].getEndPosition():o[1].getEndPosition()):(r=o[1].startLineNumber<o[0].startLineNumber?o[1].getStartPosition():o[0].getStartPosition(),a=o[1].startLineNumber<o[0].startLineNumber?o[0].getEndPosition():o[1].getEndPosition())),r&&a&&t.push(new s.Selection(r.lineNumber,r.column,a.lineNumber,a.column))}),t.length>0&&(this._editor.setSelections(t),this._editor.revealRange(t[0]))}},t.prototype._updateBrackets=function(){if(this._matchBrackets){this._recomputeBrackets();for(var e=[],n=0,i=0,o=this._lastBracketsData.length;i<o;i++){
var r=this._lastBracketsData[i].brackets;r&&(e[n++]={range:r[0],options:t._DECORATION_OPTIONS},e[n++]={range:r[1],options:t._DECORATION_OPTIONS})}this._decorations=this._editor.deltaDecorations(this._decorations,e)}},t.prototype._recomputeBrackets=function(){var e=this._editor.getModel();if(!e)return this._lastBracketsData=[],void(this._lastVersionId=0);var t=e.getVersionId(),n=[];this._lastVersionId===t&&(n=this._lastBracketsData);for(var i=this._editor.getSelections(),o=[],s=0,a=0,l=i.length;a<l;a++){var u=i[a];u.isEmpty()&&(o[s++]=u.getStartPosition())}o.length>1&&o.sort(r.Position.compare);for(var c=[],d=0,h=0,p=n.length,a=0,l=o.length;a<l;a++){for(var f=o[a];h<p&&n[h].position.isBefore(f);)h++;if(h<p&&n[h].position.equals(f))c[d++]=n[h];else{var g=e.matchBracket(f);c[d++]=new _(f,g)}}this._lastBracketsData=c,this._lastVersionId=t},t.ID="editor.contrib.bracketMatchingController",t._DECORATION_OPTIONS=h.ModelDecorationOptions.register({stickiness:f.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,
className:"bracket-match",overviewRuler:{color:c.themeColorFromId(g),darkColor:c.themeColorFromId(g),position:f.OverviewRulerLane.Center}}),t}(i.Disposable);t.BracketMatchingController=y,l.registerEditorContribution(y),l.registerEditorAction(v),l.registerEditorAction(m),c.registerThemingParticipant(function(e,t){var n=e.getColor(d.editorBracketMatchBackground);n&&t.addRule(".monaco-editor .bracket-match { background-color: "+n+"; }");var i=e.getColor(d.editorBracketMatchBorder);i&&t.addRule(".monaco-editor .bracket-match { border: 1px solid "+i+"; }")})}),define(t[517],n([0,1,2,9,10,3,24,31,35,16,23,369]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(){function e(e,t){this.afterLineNumber=e,this._onHeight=t,this.heightInLines=1,this.suppressMouseDown=!0,this.domNode=document.createElement("div")}return e.prototype.onComputedHeight=function(e){void 0===this._lastHeight?this._lastHeight=e:this._lastHeight!==e&&(this._lastHeight=e,this._onHeight())},
e}(),h=function(){function e(t,n,i,r){var s=this;this.allowEditorOverflow=!1,this.suppressMouseDown=!0,this._disposables=[],this._commands=Object.create(null),this._id="codeLensWidget"+ ++e._idPool,this._editor=t,this.setSymbolRange(n),this._domNode=document.createElement("span"),this._domNode.innerHTML="&nbsp;",o.addClass(this._domNode,"codelens-decoration"),o.addClass(this._domNode,"invisible-cl"),this._updateHeight(),this._disposables.push(this._editor.onDidChangeConfiguration(function(e){return e.fontInfo&&s._updateHeight()})),this._disposables.push(o.addDisposableListener(this._domNode,"click",function(e){var n=e.target;if("A"===n.tagName&&n.id){var o=s._commands[n.id];o&&(t.focus(),i.executeCommand.apply(i,[o.id].concat(o.arguments)).done(void 0,function(e){r.error(e)}))}})),this.updateVisibility()}return e.prototype.dispose=function(){n.dispose(this._disposables)},e.prototype._updateHeight=function(){var e=this._editor.getConfiguration(),t=e.fontInfo,n=e.lineHeight
;this._domNode.style.height=Math.round(1.1*n)+"px",this._domNode.style.lineHeight=n+"px",this._domNode.style.fontSize=Math.round(.9*t.fontSize)+"px",this._domNode.innerHTML="&nbsp;"},e.prototype.updateVisibility=function(){this.isVisible()&&(o.removeClass(this._domNode,"invisible-cl"),o.addClass(this._domNode,"fadein"))},e.prototype.withCommands=function(e){if(this._commands=Object.create(null),e&&e.length){for(var t=[],n=0;n<e.length;n++){var o=e[n].command,r=i.escape(o.title),s=void 0;o.id?(s=i.format("<a id={0}>{1}</a>",n,r),this._commands[n]=o):s=i.format("<span>{0}</span>",r),t.push(s)}this._domNode.innerHTML=t.join("<span>&nbsp;|&nbsp;</span>"),this._editor.layoutContentWidget(this)}else this._domNode.innerHTML="no commands"},e.prototype.getId=function(){return this._id},e.prototype.getDomNode=function(){return this._domNode},e.prototype.setSymbolRange=function(e){var t=e.startLineNumber,n=this._editor.getModel().getLineFirstNonWhitespaceColumn(t);this._widgetPosition={position:{lineNumber:t,column:n},
preference:[s.ContentWidgetPositionPreference.ABOVE]}},e.prototype.getPosition=function(){return this._widgetPosition},e.prototype.isVisible=function(){return this._domNode.hasAttribute("monaco-visible-content-widget")},e._idPool=0,e}(),p=function(){function e(){this._removeDecorations=[],this._addDecorations=[],this._addDecorationsCallbacks=[]}return e.prototype.addDecoration=function(e,t){this._addDecorations.push(e),this._addDecorationsCallbacks.push(t)},e.prototype.removeDecoration=function(e){this._removeDecorations.push(e)},e.prototype.commit=function(e){for(var t=e.deltaDecorations(this._removeDecorations,this._addDecorations),n=0,i=t.length;n<i;n++)this._addDecorationsCallbacks[n](t[n])},e}();t.CodeLensHelper=p;var f=function(){function e(e,t,n,i,o,s,l){var u=this;this._editor=t,this._data=e,this._decorationIds=new Array(this._data.length);var c;this._data.forEach(function(e,t){n.addDecoration({range:e.symbol.range,options:a.ModelDecorationOptions.EMPTY},function(e){return u._decorationIds[t]=e}),
c=c?r.Range.plusRange(c,e.symbol.range):r.Range.lift(e.symbol.range)}),this._contentWidget=new h(t,c,o,s),this._viewZone=new d(c.startLineNumber-1,l),this._viewZoneId=i.addZone(this._viewZone),this._editor.addContentWidget(this._contentWidget)}return e.prototype.dispose=function(e,t){for(;this._decorationIds.length;)e.removeDecoration(this._decorationIds.pop());t&&t.removeZone(this._viewZoneId),this._editor.removeContentWidget(this._contentWidget),this._contentWidget.dispose()},e.prototype.isValid=function(){var e=this;return this._decorationIds.some(function(t,n){var i=e._editor.getModel().getDecorationRange(t),o=e._data[n].symbol;return i&&r.Range.isEmpty(o.range)===i.isEmpty()})},e.prototype.updateCodeLensSymbols=function(e,t){for(var n=this;this._decorationIds.length;)t.removeDecoration(this._decorationIds.pop());this._data=e,this._decorationIds=new Array(this._data.length),this._data.forEach(function(e,i){t.addDecoration({range:e.symbol.range,options:a.ModelDecorationOptions.EMPTY},function(e){
return n._decorationIds[i]=e})})},e.prototype.computeIfNecessary=function(e){if(this._contentWidget.updateVisibility(),!this._contentWidget.isVisible())return null;for(var t=0;t<this._decorationIds.length;t++)this._data[t].symbol.range=e.getDecorationRange(this._decorationIds[t]);return this._data},e.prototype.updateCommands=function(e){this._contentWidget.withCommands(e)},e.prototype.getLineNumber=function(){var e=this._editor.getModel().getDecorationRange(this._decorationIds[0]);return e?e.startLineNumber:-1},e.prototype.update=function(e){if(this.isValid()){var t=this._editor.getModel().getDecorationRange(this._decorationIds[0]);this._viewZone.afterLineNumber=t.startLineNumber-1,e.layoutZone(this._viewZoneId),this._contentWidget.setSymbolRange(t),this._editor.layoutContentWidget(this._contentWidget)}},e}();t.CodeLens=f,u.registerThemingParticipant(function(e,t){var n=e.getColor(l.editorCodeLensForeground);n&&t.addRule(".monaco-editor .codelens-decoration { color: "+n+"; }")
;var i=e.getColor(c.editorActiveLinkForeground);i&&t.addRule(".monaco-editor .codelens-decoration > a:hover { color: "+i+" !important; }")})}),define(t[518],n([0,1,18,12,2,8,33,17,11,456,517,40]),function(e,t,n,i,o,r,s,a,l,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t,n){var i=this;this._editor=e,this._commandService=t,this._notificationService=n,this._isEnabled=this._editor.getConfiguration().contribInfo.codeLens,this._globalToDispose=[],this._localToDispose=[],this._lenses=[],this._currentFindCodeLensSymbolsPromise=null,this._modelChangeCounter=0,this._globalToDispose.push(this._editor.onDidChangeModel(function(){return i._onModelChange()})),this._globalToDispose.push(this._editor.onDidChangeModelLanguage(function(){return i._onModelChange()})),this._globalToDispose.push(this._editor.onDidChangeConfiguration(function(e){var t=i._isEnabled;i._isEnabled=i._editor.getConfiguration().contribInfo.codeLens,t!==i._isEnabled&&i._onModelChange()})),
this._globalToDispose.push(a.CodeLensProviderRegistry.onDidChange(this._onModelChange,this)),this._onModelChange()}return e.prototype.dispose=function(){this._localDispose(),this._globalToDispose=o.dispose(this._globalToDispose)},e.prototype._localDispose=function(){this._currentFindCodeLensSymbolsPromise&&(this._currentFindCodeLensSymbolsPromise.cancel(),this._currentFindCodeLensSymbolsPromise=null,this._modelChangeCounter++),this._currentFindOccPromise&&(this._currentFindOccPromise.cancel(),this._currentFindOccPromise=null),this._localToDispose=o.dispose(this._localToDispose)},e.prototype.getId=function(){return e.ID},e.prototype._onModelChange=function(){var e=this;this._localDispose();var t=this._editor.getModel();if(t&&this._isEnabled&&a.CodeLensProviderRegistry.has(t)){for(var o=0,r=a.CodeLensProviderRegistry.all(t);o<r.length;o++){var s=r[o];if("function"==typeof s.onDidChange){var l=s.onDidChange(function(){return u.schedule()});this._localToDispose.push(l)}}
this._detectVisibleLenses=new n.RunOnceScheduler(function(){e._onViewportChanged()},500);var u=new n.RunOnceScheduler(function(){var n=++e._modelChangeCounter;e._currentFindCodeLensSymbolsPromise&&e._currentFindCodeLensSymbolsPromise.cancel(),e._currentFindCodeLensSymbolsPromise=c.getCodeLensData(t),e._currentFindCodeLensSymbolsPromise.then(function(t){n===e._modelChangeCounter&&(e._renderCodeLensSymbols(t),e._detectVisibleLenses.schedule())},i.onUnexpectedError)},250);this._localToDispose.push(u),this._localToDispose.push(this._detectVisibleLenses),this._localToDispose.push(this._editor.onDidChangeModelContent(function(t){e._editor.changeDecorations(function(t){e._editor.changeViewZones(function(n){var i=[],o=-1;e._lenses.forEach(function(e){e.isValid()&&o!==e.getLineNumber()?(e.update(n),o=e.getLineNumber()):i.push(e)});var r=new h.CodeLensHelper;i.forEach(function(t){t.dispose(r,n),e._lenses.splice(e._lenses.indexOf(t),1)}),r.commit(t)})}),e._detectVisibleLenses.schedule(),u.schedule()})),
this._localToDispose.push(this._editor.onDidScrollChange(function(t){t.scrollTopChanged&&e._lenses.length>0&&e._detectVisibleLenses.schedule()})),this._localToDispose.push(this._editor.onDidLayoutChange(function(t){e._detectVisibleLenses.schedule()})),this._localToDispose.push({dispose:function(){e._editor.getModel()?e._editor.changeDecorations(function(t){e._editor.changeViewZones(function(n){e._disposeAllLenses(t,n)})}):e._disposeAllLenses(null,null)}}),u.schedule()}},e.prototype._disposeAllLenses=function(e,t){var n=new h.CodeLensHelper;this._lenses.forEach(function(e){return e.dispose(n,t)}),e&&n.commit(e),this._lenses=[]},e.prototype._renderCodeLensSymbols=function(e){var t=this;if(this._editor.getModel()){for(var n,i=this._editor.getModel().getLineCount(),o=[],r=0,s=e;r<s.length;r++){var a=s[r],l=a.symbol.range.startLineNumber;l<1||l>i||(n&&n[n.length-1].symbol.range.startLineNumber===l?n.push(a):(n=[a],o.push(n)))}var u=this._editor.getVisibleRanges(),c=u.length>0?u[0].getStartPosition():null,d=0
;if(c){p=this._editor.getTopForPosition(c.lineNumber,c.column);d=this._editor.getScrollTop()-p}if(this._editor.changeDecorations(function(e){t._editor.changeViewZones(function(n){for(var i=0,r=0,s=new h.CodeLensHelper;r<o.length&&i<t._lenses.length;){var a=o[r][0].symbol.range.startLineNumber,l=t._lenses[i].getLineNumber();l<a?(t._lenses[i].dispose(s,n),t._lenses.splice(i,1)):l===a?(t._lenses[i].updateCodeLensSymbols(o[r],s),r++,i++):(t._lenses.splice(i,0,new h.CodeLens(o[r],t._editor,s,n,t._commandService,t._notificationService,function(){return t._detectVisibleLenses.schedule()})),i++,r++)}for(;i<t._lenses.length;)t._lenses[i].dispose(s,n),t._lenses.splice(i,1);for(;r<o.length;)t._lenses.push(new h.CodeLens(o[r],t._editor,s,n,t._commandService,t._notificationService,function(){return t._detectVisibleLenses.schedule()})),r++;s.commit(e)})}),c){var p=this._editor.getTopForPosition(c.lineNumber,c.column);this._editor.setScrollTop(p+d)}}},e.prototype._onViewportChanged=function(){var e=this
;this._currentFindOccPromise&&(this._currentFindOccPromise.cancel(),this._currentFindOccPromise=null);var t=this._editor.getModel();if(t){var i=[],o=[];if(this._lenses.forEach(function(e){var n=e.computeIfNecessary(t);n&&(i.push(n),o.push(e))}),0!==i.length){var s=i.map(function(e,i){var s=new Array(e.length),a=e.map(function(e,i){return n.asWinJsPromise(function(n){return e.provider.resolveCodeLens(t,e.symbol,n)}).then(function(e){s[i]=e})});return r.TPromise.join(a).then(function(){o[i].updateCommands(s)})});this._currentFindOccPromise=r.TPromise.join(s).then(function(){e._currentFindOccPromise=null})}}},e.ID="css.editor.codeLens",e=u([d(1,s.ICommandService),d(2,p.INotificationService)],e)}();t.CodeLensContribution=f,l.registerEditorContribution(f)}),define(t[519],n([0,1,4,45,10,32,2,70,27,23,16,370]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=r.$,p=function(e){function t(t,n,i){var o=e.call(this)||this;o.model=n,o.domNode=h(".colorpicker-header"),
r.append(t,o.domNode),o.pickedColorNode=r.append(o.domNode,h(".picked-color"));var s=r.append(o.domNode,h(".original-color"));return s.style.backgroundColor=u.Color.Format.CSS.format(o.model.originalColor),o.backgroundColor=i.getTheme().getColor(c.editorHoverBackground)||u.Color.white,o._register(d.registerThemingParticipant(function(e,t){o.backgroundColor=e.getColor(c.editorHoverBackground)||u.Color.white})),o._register(r.addDisposableListener(o.pickedColorNode,r.EventType.CLICK,function(){return o.model.selectNextColorPresentation()})),o._register(r.addDisposableListener(s,r.EventType.CLICK,function(){o.model.color=o.model.originalColor,o.model.flushColor()})),o._register(n.onDidChangeColor(o.onDidChangeColor,o)),o._register(n.onDidChangePresentation(o.onDidChangePresentation,o)),o.pickedColorNode.style.backgroundColor=u.Color.Format.CSS.format(n.color),r.toggleClass(o.pickedColorNode,"light",n.color.rgba.a<.5?o.backgroundColor.isLighter():n.color.isLighter()),o}return o(t,e),
t.prototype.onDidChangeColor=function(e){this.pickedColorNode.style.backgroundColor=u.Color.Format.CSS.format(e),r.toggleClass(this.pickedColorNode,"light",e.rgba.a<.5?this.backgroundColor.isLighter():e.isLighter()),this.onDidChangePresentation()},t.prototype.onDidChangePresentation=function(){this.pickedColorNode.textContent=this.model.presentation.label},t}(a.Disposable);t.ColorPickerHeader=p;var f=function(e){function t(t,n,i){var o=e.call(this)||this;return o.model=n,o.pixelRatio=i,o.domNode=h(".colorpicker-body"),r.append(t,o.domNode),o.saturationBox=new g(o.domNode,o.model,o.pixelRatio),o._register(o.saturationBox),o._register(o.saturationBox.onDidChange(o.onDidSaturationValueChange,o)),o._register(o.saturationBox.onColorFlushed(o.flushColor,o)),o.opacityStrip=new v(o.domNode,o.model),o._register(o.opacityStrip),o._register(o.opacityStrip.onDidChange(o.onDidOpacityChange,o)),o._register(o.opacityStrip.onColorFlushed(o.flushColor,o)),o.hueStrip=new _(o.domNode,o.model),o._register(o.hueStrip),
o._register(o.hueStrip.onDidChange(o.onDidHueChange,o)),o._register(o.hueStrip.onColorFlushed(o.flushColor,o)),o}return o(t,e),t.prototype.flushColor=function(){this.model.flushColor()},t.prototype.onDidSaturationValueChange=function(e){var t=e.s,n=e.v,i=this.model.color.hsva;this.model.color=new u.Color(new u.HSVA(i.h,t,n,i.a))},t.prototype.onDidOpacityChange=function(e){var t=this.model.color.hsva;this.model.color=new u.Color(new u.HSVA(t.h,t.s,t.v,e))},t.prototype.onDidHueChange=function(e){var t=this.model.color.hsva,n=360*(1-e);this.model.color=new u.Color(new u.HSVA(360===n?0:n,t.s,t.v,t.a))},t.prototype.layout=function(){this.saturationBox.layout(),this.opacityStrip.layout(),this.hueStrip.layout()},t}(a.Disposable);t.ColorPickerBody=f;var g=function(e){function t(t,i,o){var s=e.call(this)||this;return s.model=i,s.pixelRatio=o,s._onDidChange=new n.Emitter,s.onDidChange=s._onDidChange.event,s._onColorFlushed=new n.Emitter,s.onColorFlushed=s._onColorFlushed.event,s.domNode=h(".saturation-wrap"),
r.append(t,s.domNode),s.canvas=document.createElement("canvas"),s.canvas.className="saturation-box",r.append(s.domNode,s.canvas),s.selection=h(".saturation-selection"),r.append(s.domNode,s.selection),s.layout(),s._register(r.addDisposableListener(s.domNode,r.EventType.MOUSE_DOWN,function(e){return s.onMouseDown(e)})),s._register(s.model.onDidChangeColor(s.onDidChangeColor,s)),s.monitor=null,s}return o(t,e),t.prototype.onMouseDown=function(e){var t=this;this.monitor=this._register(new l.GlobalMouseMoveMonitor);var n=r.getDomNodePagePosition(this.domNode);e.target!==this.selection&&this.onDidChangePosition(e.offsetX,e.offsetY),this.monitor.startMonitoring(l.standardMouseMoveMerger,function(e){return t.onDidChangePosition(e.posx-n.left,e.posy-n.top)},function(){return null});var i=r.addDisposableListener(document,r.EventType.MOUSE_UP,function(){t._onColorFlushed.fire(),i.dispose(),t.monitor.stopMonitoring(!0),t.monitor=null},!0)},t.prototype.onDidChangePosition=function(e,t){
var n=Math.max(0,Math.min(1,e/this.width)),i=Math.max(0,Math.min(1,1-t/this.height));this.paintSelection(n,i),this._onDidChange.fire({s:n,v:i})},t.prototype.layout=function(){this.width=this.domNode.offsetWidth,this.height=this.domNode.offsetHeight,this.canvas.width=this.width*this.pixelRatio,this.canvas.height=this.height*this.pixelRatio,this.paint();var e=this.model.color.hsva;this.paintSelection(e.s,e.v)},t.prototype.paint=function(){var e=this.model.color.hsva,t=new u.Color(new u.HSVA(e.h,1,1,1)),n=this.canvas.getContext("2d"),i=n.createLinearGradient(0,0,this.canvas.width,0);i.addColorStop(0,"rgba(255, 255, 255, 1)"),i.addColorStop(.5,"rgba(255, 255, 255, 0.5)"),i.addColorStop(1,"rgba(255, 255, 255, 0)");var o=n.createLinearGradient(0,0,0,this.canvas.height);o.addColorStop(0,"rgba(0, 0, 0, 0)"),o.addColorStop(1,"rgba(0, 0, 0, 1)"),n.rect(0,0,this.canvas.width,this.canvas.height),n.fillStyle=u.Color.Format.CSS.format(t),n.fill(),n.fillStyle=i,n.fill(),n.fillStyle=o,n.fill()},
t.prototype.paintSelection=function(e,t){this.selection.style.left=e*this.width+"px",this.selection.style.top=this.height-t*this.height+"px"},t.prototype.onDidChangeColor=function(){this.monitor&&this.monitor.isMonitoring()||this.paint()},t}(a.Disposable),m=function(e){function t(t,i){var o=e.call(this)||this;return o.model=i,o._onDidChange=new n.Emitter,o.onDidChange=o._onDidChange.event,o._onColorFlushed=new n.Emitter,o.onColorFlushed=o._onColorFlushed.event,o.domNode=r.append(t,h(".strip")),o.overlay=r.append(o.domNode,h(".overlay")),o.slider=r.append(o.domNode,h(".slider")),o.slider.style.top="0px",o._register(r.addDisposableListener(o.domNode,r.EventType.MOUSE_DOWN,function(e){return o.onMouseDown(e)})),o.layout(),o}return o(t,e),t.prototype.layout=function(){this.height=this.domNode.offsetHeight-this.slider.offsetHeight;var e=this.getValue(this.model.color);this.updateSliderPosition(e)},t.prototype.onMouseDown=function(e){
var t=this,n=this._register(new l.GlobalMouseMoveMonitor),i=r.getDomNodePagePosition(this.domNode);r.addClass(this.domNode,"grabbing"),e.target!==this.slider&&this.onDidChangeTop(e.offsetY),n.startMonitoring(l.standardMouseMoveMerger,function(e){return t.onDidChangeTop(e.posy-i.top)},function(){return null});var o=r.addDisposableListener(document,r.EventType.MOUSE_UP,function(){t._onColorFlushed.fire(),o.dispose(),n.stopMonitoring(!0),r.removeClass(t.domNode,"grabbing")},!0)},t.prototype.onDidChangeTop=function(e){var t=Math.max(0,Math.min(1,1-e/this.height));this.updateSliderPosition(t),this._onDidChange.fire(t)},t.prototype.updateSliderPosition=function(e){this.slider.style.top=(1-e)*this.height+"px"},t}(a.Disposable),v=function(e){function t(t,n){var i=e.call(this,t,n)||this;return r.addClass(i.domNode,"opacity-strip"),i._register(n.onDidChangeColor(i.onDidChangeColor,i)),i.onDidChangeColor(i.model.color),i}return o(t,e),t.prototype.onDidChangeColor=function(e){
var t=e.rgba,n=t.r,i=t.g,o=t.b,r=new u.Color(new u.RGBA(n,i,o,1)),s=new u.Color(new u.RGBA(n,i,o,0));this.overlay.style.background="linear-gradient(to bottom, "+r+" 0%, "+s+" 100%)"},t.prototype.getValue=function(e){return e.hsva.a},t}(m),_=function(e){function t(t,n){var i=e.call(this,t,n)||this;return r.addClass(i.domNode,"hue-strip"),i}return o(t,e),t.prototype.getValue=function(e){return 1-e.hsva.h/360},t}(m),y=function(e){function t(t,n,i,o){var r=e.call(this)||this;r.model=n,r.pixelRatio=i,r._register(s.onDidChangeZoomLevel(function(){return r.layout()}));var a=h(".colorpicker-widget");t.appendChild(a);var l=new p(a,r.model,o);return r.body=new f(a,r.model,r.pixelRatio),r._register(l),r._register(r.body),r}return o(t,e),t.prototype.getId=function(){return t.ID},t.prototype.layout=function(){this.body.layout()},t.ID="editor.contrib.colorPickerWidget",t}(i.Widget);t.ColorPickerWidget=y}),define(t[520],n([0,1,3,31,23,16,28]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{
value:!0});var a=function(){function e(e){this._editor=e,this._decorations=[],this._overviewRulerApproximateDecorations=[],this._findScopeDecorationId=null,this._rangeHighlightDecorationId=null,this._highlightedDecorationId=null,this._startPosition=this._editor.getPosition()}return e.prototype.dispose=function(){this._editor.deltaDecorations(this._allDecorations(),[]),this._editor=null,this._decorations=[],this._overviewRulerApproximateDecorations=[],this._findScopeDecorationId=null,this._rangeHighlightDecorationId=null,this._highlightedDecorationId=null,this._startPosition=null},e.prototype.reset=function(){this._decorations=[],this._overviewRulerApproximateDecorations=[],this._findScopeDecorationId=null,this._rangeHighlightDecorationId=null,this._highlightedDecorationId=null},e.prototype.getCount=function(){return this._decorations.length},e.prototype.getFindScope=function(){return this._findScopeDecorationId?this._editor.getModel().getDecorationRange(this._findScopeDecorationId):null},
e.prototype.getStartPosition=function(){return this._startPosition},e.prototype.setStartPosition=function(e){this._startPosition=e,this.setCurrentFindMatch(null)},e.prototype._getDecorationIndex=function(e){var t=this._decorations.indexOf(e);return t>=0?t+1:1},e.prototype.getCurrentMatchesPosition=function(t){for(var n=this._editor.getModel().getDecorationsInRange(t),i=0,o=n.length;i<o;i++){var r=n[i],s=r.options;if(s===e._FIND_MATCH_DECORATION||s===e._CURRENT_FIND_MATCH_DECORATION)return this._getDecorationIndex(r.id)}return 1},e.prototype.setCurrentFindMatch=function(t){var i=this,o=null,r=0;if(t)for(var s=0,a=this._decorations.length;s<a;s++){var l=this._editor.getModel().getDecorationRange(this._decorations[s]);if(t.equalsRange(l)){o=this._decorations[s],r=s+1;break}}return null===this._highlightedDecorationId&&null===o||this._editor.changeDecorations(function(t){if(null!==i._highlightedDecorationId&&(t.changeDecorationOptions(i._highlightedDecorationId,e._FIND_MATCH_DECORATION),
i._highlightedDecorationId=null),null!==o&&(i._highlightedDecorationId=o,t.changeDecorationOptions(i._highlightedDecorationId,e._CURRENT_FIND_MATCH_DECORATION)),null!==i._rangeHighlightDecorationId&&(t.removeDecoration(i._rangeHighlightDecorationId),i._rangeHighlightDecorationId=null),null!==o){var r=i._editor.getModel().getDecorationRange(o);if(r.startLineNumber!==r.endLineNumber&&1===r.endColumn){var s=r.endLineNumber-1,a=i._editor.getModel().getLineMaxColumn(s);r=new n.Range(r.startLineNumber,r.startColumn,s,a)}i._rangeHighlightDecorationId=t.addDecoration(r,e._RANGE_HIGHLIGHT_DECORATION)}}),r},e.prototype.set=function(t,i){var o=this;this._editor.changeDecorations(function(r){var s=e._FIND_MATCH_DECORATION,a=[];if(t.length>1e3){s=e._FIND_MATCH_NO_OVERVIEW_DECORATION;for(var l=o._editor.getModel().getLineCount(),u=o._editor.getLayoutInfo().height/l,c=Math.max(2,Math.ceil(3/u)),d=t[0].range.startLineNumber,h=t[0].range.endLineNumber,p=1,f=t.length;p<f;p++){var g=t[p].range
;h+c>=g.startLineNumber?g.endLineNumber>h&&(h=g.endLineNumber):(a.push({range:new n.Range(d,1,h,1),options:e._FIND_MATCH_ONLY_OVERVIEW_DECORATION}),d=g.startLineNumber,h=g.endLineNumber)}a.push({range:new n.Range(d,1,h,1),options:e._FIND_MATCH_ONLY_OVERVIEW_DECORATION})}for(var m=new Array(t.length),p=0,f=t.length;p<f;p++)m[p]={range:t[p].range,options:s};o._decorations=r.deltaDecorations(o._decorations,m),o._overviewRulerApproximateDecorations=r.deltaDecorations(o._overviewRulerApproximateDecorations,a),o._rangeHighlightDecorationId&&(r.removeDecoration(o._rangeHighlightDecorationId),o._rangeHighlightDecorationId=null),o._findScopeDecorationId&&(r.removeDecoration(o._findScopeDecorationId),o._findScopeDecorationId=null),i&&(o._findScopeDecorationId=r.addDecoration(i,e._FIND_SCOPE_DECORATION))})},e.prototype.matchBeforePosition=function(e){if(0===this._decorations.length)return null;for(var t=this._decorations.length-1;t>=0;t--){var n=this._decorations[t],i=this._editor.getModel().getDecorationRange(n)
;if(i&&!(i.endLineNumber>e.lineNumber)){if(i.endLineNumber<e.lineNumber)return i;if(!(i.endColumn>e.column))return i}}return this._editor.getModel().getDecorationRange(this._decorations[this._decorations.length-1])},e.prototype.matchAfterPosition=function(e){if(0===this._decorations.length)return null;for(var t=0,n=this._decorations.length;t<n;t++){var i=this._decorations[t],o=this._editor.getModel().getDecorationRange(i);if(o&&!(o.startLineNumber<e.lineNumber)){if(o.startLineNumber>e.lineNumber)return o;if(!(o.startColumn<e.column))return o}}return this._editor.getModel().getDecorationRange(this._decorations[0])},e.prototype._allDecorations=function(){var e=[];return e=e.concat(this._decorations),e=e.concat(this._overviewRulerApproximateDecorations),this._findScopeDecorationId&&e.push(this._findScopeDecorationId),this._rangeHighlightDecorationId&&e.push(this._rangeHighlightDecorationId),e},e._CURRENT_FIND_MATCH_DECORATION=i.ModelDecorationOptions.register({
stickiness:s.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"currentFindMatch",showIfCollapsed:!0,overviewRuler:{color:r.themeColorFromId(o.overviewRulerFindMatchForeground),darkColor:r.themeColorFromId(o.overviewRulerFindMatchForeground),position:s.OverviewRulerLane.Center}}),e._FIND_MATCH_DECORATION=i.ModelDecorationOptions.register({stickiness:s.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"findMatch",showIfCollapsed:!0,overviewRuler:{color:r.themeColorFromId(o.overviewRulerFindMatchForeground),darkColor:r.themeColorFromId(o.overviewRulerFindMatchForeground),position:s.OverviewRulerLane.Center}}),e._FIND_MATCH_NO_OVERVIEW_DECORATION=i.ModelDecorationOptions.register({stickiness:s.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"findMatch",showIfCollapsed:!0}),e._FIND_MATCH_ONLY_OVERVIEW_DECORATION=i.ModelDecorationOptions.register({stickiness:s.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,overviewRuler:{
color:r.themeColorFromId(o.overviewRulerFindMatchForeground),darkColor:r.themeColorFromId(o.overviewRulerFindMatchForeground),position:s.OverviewRulerLane.Center}}),e._RANGE_HIGHLIGHT_DECORATION=i.ModelDecorationOptions.register({stickiness:s.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"rangeHighlight",isWholeLine:!0}),e._FIND_SCOPE_DECORATION=i.ModelDecorationOptions.register({className:"findScope",isWholeLine:!0}),e}();t.FindDecorations=a}),define(t[144],n([0,1,18,2,246,79,13,3,520,245,20,132,56,19,28]),function(e,t,n,i,o,r,s,a,l,u,c,d,h,p,f){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.CONTEXT_FIND_WIDGET_VISIBLE=new p.RawContextKey("findWidgetVisible",!1),t.CONTEXT_FIND_WIDGET_NOT_VISIBLE=t.CONTEXT_FIND_WIDGET_VISIBLE.toNegated(),t.CONTEXT_FIND_INPUT_FOCUSED=new p.RawContextKey("findInputFocussed",!1),t.CONTEXT_REPLACE_INPUT_FOCUSED=new p.RawContextKey("replaceInputFocussed",!1),t.ToggleCaseSensitiveKeybinding={primary:545,mac:{primary:2593}},
t.ToggleWholeWordKeybinding={primary:565,mac:{primary:2613}},t.ToggleRegexKeybinding={primary:560,mac:{primary:2608}},t.ToggleSearchScopeKeybinding={primary:554,mac:{primary:2602}},t.ShowPreviousFindTermKeybinding={primary:528},t.ShowNextFindTermKeybinding={primary:530},t.FIND_IDS={StartFindAction:"actions.find",StartFindWithSelection:"actions.findWithSelection",NextMatchFindAction:"editor.action.nextMatchFindAction",PreviousMatchFindAction:"editor.action.previousMatchFindAction",NextSelectionMatchFindAction:"editor.action.nextSelectionMatchFindAction",PreviousSelectionMatchFindAction:"editor.action.previousSelectionMatchFindAction",StartFindReplaceAction:"editor.action.startFindReplaceAction",CloseFindWidgetCommand:"closeFindWidget",ToggleCaseSensitiveCommand:"toggleFindCaseSensitive",ToggleWholeWordCommand:"toggleFindWholeWord",ToggleRegexCommand:"toggleFindRegex",ToggleSearchScopeCommand:"toggleFindInSelection",ReplaceOneAction:"editor.action.replaceOne",ReplaceAllAction:"editor.action.replaceAll",
SelectAllMatchesAction:"editor.action.selectAllMatches",ShowPreviousFindTermAction:"find.history.showPrevious",ShowNextFindTermAction:"find.history.showNext"},t.MATCHES_LIMIT=19999;var g=function(){function e(e,t){var i=this;this._editor=e,this._state=t,this._toDispose=[],this._isDisposed=!1,this._startSearchingTimer=new n.TimeoutTimer,this._decorations=new l.FindDecorations(e),this._toDispose.push(this._decorations),this._updateDecorationsScheduler=new n.RunOnceScheduler(function(){return i.research(!1)},100),this._toDispose.push(this._updateDecorationsScheduler),this._toDispose.push(this._editor.onDidChangeCursorPosition(function(e){e.reason!==h.CursorChangeReason.Explicit&&e.reason!==h.CursorChangeReason.Undo&&e.reason!==h.CursorChangeReason.Redo||i._decorations.setStartPosition(i._editor.getPosition())})),this._ignoreModelContentChanged=!1,this._toDispose.push(this._editor.onDidChangeModelContent(function(e){i._ignoreModelContentChanged||(e.isFlush&&i._decorations.reset(),
i._decorations.setStartPosition(i._editor.getPosition()),i._updateDecorationsScheduler.schedule())})),this._toDispose.push(this._state.onFindReplaceStateChange(function(e){return i._onStateChanged(e)})),this.research(!1,this._state.searchScope)}return e.prototype.dispose=function(){this._isDisposed=!0,i.dispose(this._startSearchingTimer),this._toDispose=i.dispose(this._toDispose)},e.prototype._onStateChanged=function(e){var t=this;if(!this._isDisposed&&this._editor.getModel()&&(e.searchString||e.isReplaceRevealed||e.isRegex||e.wholeWord||e.matchCase||e.searchScope)){this._editor.getModel().isTooLargeForHavingARichMode()?(this._startSearchingTimer.cancel(),this._startSearchingTimer.setIfNotSet(function(){e.searchScope?t.research(e.moveCursor,t._state.searchScope):t.research(e.moveCursor)},240)):e.searchScope?this.research(e.moveCursor,this._state.searchScope):this.research(e.moveCursor)}},e._getSearchRange=function(e,t){var n=e.getFullModelRange();return t&&(n=n.intersectRanges(t)),n},
e.prototype.research=function(e,n){var i=null;null!==(i=void 0!==n?n:this._decorations.getFindScope())&&i.startLineNumber!==i.endLineNumber&&(i=new a.Range(i.startLineNumber,1,i.endLineNumber,this._editor.getModel().getLineMaxColumn(i.endLineNumber)));var o=this._findMatches(i,!1,t.MATCHES_LIMIT);this._decorations.set(o,i),this._state.changeMatchInfo(this._decorations.getCurrentMatchesPosition(this._editor.getSelection()),this._decorations.getCount(),void 0),e&&this._moveToNextMatch(this._decorations.getStartPosition())},e.prototype._hasMatches=function(){return this._state.matchesCount>0},e.prototype._cannotFind=function(){if(!this._hasMatches()){var e=this._decorations.getFindScope();return e&&this._editor.revealRangeInCenterIfOutsideViewport(e,0),!0}return!1},e.prototype._setCurrentFindMatch=function(e){var t=this._decorations.setCurrentFindMatch(e);this._state.changeMatchInfo(t,this._decorations.getCount(),e),this._editor.setSelection(e),this._editor.revealRangeInCenterIfOutsideViewport(e,0)},
e.prototype._prevSearchPosition=function(e){var t=this._state.isRegex&&(this._state.searchString.indexOf("^")>=0||this._state.searchString.indexOf("$")>=0),n=e.lineNumber,i=e.column,o=this._editor.getModel();return t||1===i?(1===n?n=o.getLineCount():n--,i=o.getLineMaxColumn(n)):i--,new s.Position(n,i)},e.prototype._moveToPrevMatch=function(n,i){if(void 0===i&&(i=!1),this._decorations.getCount()<t.MATCHES_LIMIT){var o=this._decorations.matchBeforePosition(n);return o&&o.isEmpty()&&o.getStartPosition().equals(n)&&(n=this._prevSearchPosition(n),o=this._decorations.matchBeforePosition(n)),void(o&&this._setCurrentFindMatch(o))}if(!this._cannotFind()){var r=this._decorations.getFindScope(),a=e._getSearchRange(this._editor.getModel(),r);a.getEndPosition().isBefore(n)&&(n=a.getEndPosition()),n.isBefore(a.getStartPosition())&&(n=a.getEndPosition())
;var l=n.lineNumber,u=n.column,c=this._editor.getModel(),d=new s.Position(l,u),h=c.findPreviousMatch(this._state.searchString,d,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1);return h&&h.range.isEmpty()&&h.range.getStartPosition().equals(d)&&(d=this._prevSearchPosition(d),h=c.findPreviousMatch(this._state.searchString,d,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1)),h?i||a.containsRange(h.range)?void this._setCurrentFindMatch(h.range):this._moveToPrevMatch(h.range.getStartPosition(),!0):null}},e.prototype.moveToPrevMatch=function(){this._moveToPrevMatch(this._editor.getSelection().getStartPosition())},e.prototype._nextSearchPosition=function(e){var t=this._state.isRegex&&(this._state.searchString.indexOf("^")>=0||this._state.searchString.indexOf("$")>=0),n=e.lineNumber,i=e.column,o=this._editor.getModel()
;return t||i===o.getLineMaxColumn(n)?(n===o.getLineCount()?n=1:n++,i=1):i++,new s.Position(n,i)},e.prototype._moveToNextMatch=function(e){if(this._decorations.getCount()<t.MATCHES_LIMIT){var n=this._decorations.matchAfterPosition(e);return n&&n.isEmpty()&&n.getStartPosition().equals(e)&&(e=this._nextSearchPosition(e),n=this._decorations.matchAfterPosition(e)),void(n&&this._setCurrentFindMatch(n))}var i=this._getNextMatch(e,!1,!0);i&&this._setCurrentFindMatch(i.range)},e.prototype._getNextMatch=function(t,n,i,o){if(void 0===o&&(o=!1),this._cannotFind())return null;var r=this._decorations.getFindScope(),a=e._getSearchRange(this._editor.getModel(),r);a.getEndPosition().isBefore(t)&&(t=a.getStartPosition()),t.isBefore(a.getStartPosition())&&(t=a.getStartPosition());var l=t.lineNumber,u=t.column,c=this._editor.getModel(),d=new s.Position(l,u),h=c.findNextMatch(this._state.searchString,d,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,n)
;return i&&h&&h.range.isEmpty()&&h.range.getStartPosition().equals(d)&&(d=this._nextSearchPosition(d),h=c.findNextMatch(this._state.searchString,d,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,n)),h?o||a.containsRange(h.range)?h:this._getNextMatch(h.range.getEndPosition(),n,i,!0):null},e.prototype.moveToNextMatch=function(){this._moveToNextMatch(this._editor.getSelection().getEndPosition())},e.prototype._getReplacePattern=function(){return this._state.isRegex?o.parseReplaceString(this._state.replaceString):o.ReplacePattern.fromStaticValue(this._state.replaceString)},e.prototype.replace=function(){if(this._hasMatches()){var e=this._getReplacePattern(),t=this._editor.getSelection(),n=this._getNextMatch(t.getStartPosition(),e.hasReplacementPatterns,!1);if(n)if(t.equalsRange(n.range)){var i=e.buildReplaceString(n.matches),o=new r.ReplaceCommand(t,i);this._executeEditorCommand("replace",o),
this._decorations.setStartPosition(new s.Position(t.startLineNumber,t.startColumn+i.length)),this.research(!0)}else this._decorations.setStartPosition(this._editor.getPosition()),this._setCurrentFindMatch(n.range)}},e.prototype._findMatches=function(t,n,i){var o=e._getSearchRange(this._editor.getModel(),t);return this._editor.getModel().findMatches(this._state.searchString,o,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null,n,i)},e.prototype.replaceAll=function(){if(this._hasMatches()){var e=this._decorations.getFindScope();null===e&&this._state.matchesCount>=t.MATCHES_LIMIT?this._largeReplaceAll():this._regularReplaceAll(e),this.research(!1)}},e.prototype._largeReplaceAll=function(){var e=new d.SearchParams(this._state.searchString,this._state.isRegex,this._state.matchCase,this._state.wholeWord?this._editor.getConfiguration().wordSeparators:null).parseSearchRequest();if(e){var t=e.regex;if(!t.multiline){var n="m";t.ignoreCase&&(n+="i"),
t.global&&(n+="g"),t=new RegExp(t.source,n)}var i,o=this._editor.getModel(),s=o.getValue(f.EndOfLinePreference.LF),a=o.getFullModelRange(),l=this._getReplacePattern();i=l.hasReplacementPatterns?s.replace(t,function(){return l.buildReplaceString(arguments)}):s.replace(t,l.buildReplaceString(null));var u=new r.ReplaceCommandThatPreservesSelection(a,i,this._editor.getSelection());this._executeEditorCommand("replaceAll",u)}},e.prototype._regularReplaceAll=function(e){for(var t=this._getReplacePattern(),n=this._findMatches(e,t.hasReplacementPatterns,1073741824),i=[],o=0,r=n.length;o<r;o++)i[o]=t.buildReplaceString(n[o].matches);var s=new u.ReplaceAllCommand(this._editor.getSelection(),n.map(function(e){return e.range}),i);this._executeEditorCommand("replaceAll",s)},e.prototype.selectAllMatches=function(){if(this._hasMatches()){for(var e=this._decorations.getFindScope(),t=this._findMatches(e,!1,1073741824).map(function(e){
return new c.Selection(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn)}),n=this._editor.getSelection(),i=0,o=t.length;i<o;i++){if(t[i].equalsRange(n)){t=[n].concat(t.slice(0,i)).concat(t.slice(i+1));break}}this._editor.setSelections(t)}},e.prototype._executeEditorCommand=function(e,t){try{this._ignoreModelContentChanged=!0,this._editor.pushUndoStop(),this._editor.executeCommand(e,t),this._editor.pushUndoStop()}finally{this._ignoreModelContentChanged=!1}},e}();t.FindModelBoundToEditorModel=g}),define(t[522],n([0,1,10,45,24,144,154,18,16,23]),function(e,t,n,i,r,s,a,l,u,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var d=function(e){function t(t,i,o,r){var u=e.call(this)||this;u._hideSoon=u._register(new l.RunOnceScheduler(function(){return u._hide()},2e3)),u._isVisible=!1,u._editor=t,u._state=i,u._keybindingService=o,u._domNode=document.createElement("div"),u._domNode.className="findOptionsWidget",u._domNode.style.display="none",
u._domNode.style.top="10px",u._domNode.setAttribute("role","presentation"),u._domNode.setAttribute("aria-hidden","true");var d=r.getTheme().getColor(c.inputActiveOptionBorder);return u.caseSensitive=u._register(new a.CaseSensitiveCheckbox({appendTitle:u._keybindingLabelFor(s.FIND_IDS.ToggleCaseSensitiveCommand),isChecked:u._state.matchCase,onChange:function(e){u._state.change({matchCase:u.caseSensitive.checked},!1)},inputActiveOptionBorder:d})),u._domNode.appendChild(u.caseSensitive.domNode),u.wholeWords=u._register(new a.WholeWordsCheckbox({appendTitle:u._keybindingLabelFor(s.FIND_IDS.ToggleWholeWordCommand),isChecked:u._state.wholeWord,onChange:function(e){u._state.change({wholeWord:u.wholeWords.checked},!1)},inputActiveOptionBorder:d})),u._domNode.appendChild(u.wholeWords.domNode),u.regex=u._register(new a.RegexCheckbox({appendTitle:u._keybindingLabelFor(s.FIND_IDS.ToggleRegexCommand),isChecked:u._state.isRegex,onChange:function(e){u._state.change({isRegex:u.regex.checked},!1)},inputActiveOptionBorder:d
})),u._domNode.appendChild(u.regex.domNode),u._editor.addOverlayWidget(u),u._register(u._state.onFindReplaceStateChange(function(e){var t=!1;e.isRegex&&(u.regex.checked=u._state.isRegex,t=!0),e.wholeWord&&(u.wholeWords.checked=u._state.wholeWord,t=!0),e.matchCase&&(u.caseSensitive.checked=u._state.matchCase,t=!0),!u._state.isRevealed&&t&&u._revealTemporarily()})),u._register(n.addDisposableNonBubblingMouseOutListener(u._domNode,function(e){return u._onMouseOut()})),u._register(n.addDisposableListener(u._domNode,"mouseover",function(e){return u._onMouseOver()})),u._applyTheme(r.getTheme()),u._register(r.onThemeChange(u._applyTheme.bind(u))),u}return o(t,e),t.prototype._keybindingLabelFor=function(e){var t=this._keybindingService.lookupKeybinding(e);return t?" ("+t.getLabel()+")":""},t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode},
t.prototype.getPosition=function(){return{preference:r.OverlayWidgetPositionPreference.TOP_RIGHT_CORNER}},t.prototype.highlightFindOptions=function(){this._revealTemporarily()},t.prototype._revealTemporarily=function(){this._show(),this._hideSoon.schedule()},t.prototype._onMouseOut=function(){this._hideSoon.schedule()},t.prototype._onMouseOver=function(){this._hideSoon.cancel()},t.prototype._show=function(){this._isVisible||(this._isVisible=!0,this._domNode.style.display="block")},t.prototype._hide=function(){this._isVisible&&(this._isVisible=!1,this._domNode.style.display="none")},t.prototype._applyTheme=function(e){var t={inputActiveOptionBorder:e.getColor(c.inputActiveOptionBorder)};this.caseSensitive.style(t),this.wholeWords.style(t),this.regex.style(t)},t.ID="editor.contrib.findOptionsWidget",t}(i.Widget);t.FindOptionsWidget=d,u.registerThemingParticipant(function(e,t){var n=e.getColor(c.editorWidgetBackground);n&&t.addRule(".monaco-editor .findOptionsWidget { background-color: "+n+"; }")
;var i=e.getColor(c.widgetShadow);i&&t.addRule(".monaco-editor .findOptionsWidget { box-shadow: 0 2px 8px "+i+"; }");var o=e.getColor(c.contrastBorder);o&&t.addRule(".monaco-editor .findOptionsWidget { border: 2px solid "+o+"; }")})}),define(t[523],n([0,1,315,12,15,9,10,282,148,45,106,24,144,3,16,23,373]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=n.localize(0,null),_=n.localize(1,null),y=n.localize(2,null),C=n.localize(3,null),b=n.localize(4,null),S=n.localize(5,null),w=n.localize(6,null),E=n.localize(7,null),L=n.localize(8,null),x=n.localize(9,null),N=n.localize(10,null),I=n.localize(11,null,p.MATCHES_LIMIT),T=n.localize(12,null),D=n.localize(13,null),M=69,k=17+(M+3+1)+92+2,O=34,R=function(){return function(e){this.afterLineNumber=e,this.heightInPx=O,this.suppressMouseDown=!1,this.domNode=document.createElement("div"),this.domNode.className="dock-find-viewzone"}}();t.FindWidgetViewZone=R;var P=function(e){function t(t,n,i,o,r,s,l){
var u=e.call(this)||this;return u._codeEditor=t,u._controller=n,u._state=i,u._contextViewProvider=o,u._keybindingService=r,u._isVisible=!1,u._isReplaceVisible=!1,u._register(u._state.onFindReplaceStateChange(function(e){return u._onStateChanged(e)})),u._buildDomNode(),u._updateButtons(),u._tryUpdateWidgetWidth(),u._register(u._codeEditor.onDidChangeConfiguration(function(e){e.readOnly&&(u._codeEditor.getConfiguration().readOnly&&u._state.change({isReplaceRevealed:!1},!1),u._updateButtons()),e.layoutInfo&&u._tryUpdateWidgetWidth()})),u._register(u._codeEditor.onDidChangeCursorSelection(function(){u._isVisible&&u._updateToggleSelectionFindButton()})),u._register(u._codeEditor.onDidFocusEditor(function(){if(u._isVisible){var e=u._controller.getGlobalBufferTerm();e&&e!==u._state.searchString&&(u._state.change({searchString:e},!0),u._findInput.select())}})),u._findInputFocused=p.CONTEXT_FIND_INPUT_FOCUSED.bindTo(s),u._findFocusTracker=u._register(a.trackFocus(u._findInput.inputBox.inputElement)),
u._register(u._findFocusTracker.onDidFocus(function(){u._findInputFocused.set(!0),u._updateSearchScope()})),u._register(u._findFocusTracker.onDidBlur(function(){u._findInputFocused.set(!1)})),u._replaceInputFocused=p.CONTEXT_REPLACE_INPUT_FOCUSED.bindTo(s),u._replaceFocusTracker=u._register(a.trackFocus(u._replaceInputBox.inputElement)),u._register(u._replaceFocusTracker.onDidFocus(function(){u._replaceInputFocused.set(!0),u._updateSearchScope()})),u._register(u._replaceFocusTracker.onDidBlur(function(){u._replaceInputFocused.set(!1)})),u._codeEditor.addOverlayWidget(u),u._viewZone=new R(0),u._applyTheme(l.getTheme()),u._register(l.onThemeChange(u._applyTheme.bind(u))),u._register(u._codeEditor.onDidChangeModel(function(e){u._isVisible&&void 0!==u._viewZoneId&&u._codeEditor.changeViewZones(function(e){e.removeZone(u._viewZoneId),u._viewZoneId=void 0})})),u._register(u._codeEditor.onDidScrollChange(function(e){e.scrollTopChanged?u._layoutViewZone():setTimeout(function(){u._layoutViewZone()},0)})),u}
return o(t,e),t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return this._isVisible?{preference:h.OverlayWidgetPositionPreference.TOP_RIGHT_CORNER}:null},t.prototype._onStateChanged=function(e){if(e.searchString&&(this._findInput.setValue(this._state.searchString),this._updateButtons()),e.replaceString&&(this._replaceInputBox.value=this._state.replaceString),e.isRevealed&&(this._state.isRevealed?this._reveal(!0):this._hide(!0)),e.isReplaceRevealed&&(this._state.isReplaceRevealed?this._codeEditor.getConfiguration().readOnly||this._isReplaceVisible||(this._isReplaceVisible=!0,this._replaceInputBox.width=this._findInput.inputBox.width,this._updateButtons()):this._isReplaceVisible&&(this._isReplaceVisible=!1,this._updateButtons())),e.isRegex&&this._findInput.setRegex(this._state.isRegex),e.wholeWord&&this._findInput.setWholeWords(this._state.wholeWord),e.matchCase&&this._findInput.setCaseSensitive(this._state.matchCase),
e.searchScope&&(this._state.searchScope?this._toggleSelectionFind.checked=!0:this._toggleSelectionFind.checked=!1,this._updateToggleSelectionFindButton()),e.searchString||e.matchesCount||e.matchesPosition){var t=this._state.searchString.length>0&&0===this._state.matchesCount;a.toggleClass(this._domNode,"no-results",t),this._updateMatchesCount()}(e.searchString||e.currentMatch)&&this._layoutViewZone()},t.prototype._updateMatchesCount=function(){this._matchesCount.style.minWidth=M+"px",this._state.matchesCount>=p.MATCHES_LIMIT?this._matchesCount.title=I:this._matchesCount.title="",this._matchesCount.firstChild&&this._matchesCount.removeChild(this._matchesCount.firstChild);var e;if(this._state.matchesCount>0){var t=String(this._state.matchesCount);this._state.matchesCount>=p.MATCHES_LIMIT&&(t+="+");var n=String(this._state.matchesPosition);"0"===n&&(n="?"),e=s.format(T,n,t)}else e=D;this._matchesCount.appendChild(document.createTextNode(e)),M=Math.max(M,this._matchesCount.clientWidth)},
t.prototype._updateToggleSelectionFindButton=function(){var e=this._codeEditor.getSelection(),t=!!e&&(e.startLineNumber!==e.endLineNumber||e.startColumn!==e.endColumn),n=this._toggleSelectionFind.checked;this._toggleSelectionFind.setEnabled(this._isVisible&&(n||t))},t.prototype._updateButtons=function(){this._findInput.setEnabled(this._isVisible),this._replaceInputBox.setEnabled(this._isVisible&&this._isReplaceVisible),this._updateToggleSelectionFindButton(),this._closeBtn.setEnabled(this._isVisible);var e=this._state.searchString.length>0;this._prevBtn.setEnabled(this._isVisible&&e),this._nextBtn.setEnabled(this._isVisible&&e),this._replaceBtn.setEnabled(this._isVisible&&this._isReplaceVisible&&e),this._replaceAllBtn.setEnabled(this._isVisible&&this._isReplaceVisible&&e),a.toggleClass(this._domNode,"replaceToggled",this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("collapse",!this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("expand",this._isReplaceVisible),
this._toggleReplaceBtn.setExpanded(this._isReplaceVisible);var t=!this._codeEditor.getConfiguration().readOnly;this._toggleReplaceBtn.setEnabled(this._isVisible&&t)},t.prototype._reveal=function(e){var t=this;if(!this._isVisible){this._isVisible=!0;var n=this._codeEditor.getSelection();!!n&&(n.startLineNumber!==n.endLineNumber||n.startColumn!==n.endColumn)&&this._codeEditor.getConfiguration().contribInfo.find.autoFindInSelection?this._toggleSelectionFind.checked=!0:this._toggleSelectionFind.checked=!1,this._tryUpdateWidgetWidth(),this._updateButtons(),setTimeout(function(){a.addClass(t._domNode,"visible"),t._domNode.setAttribute("aria-hidden","false")},0),this._codeEditor.layoutOverlayWidget(this);var i=!0;if(this._codeEditor.getConfiguration().contribInfo.find.seedSearchStringFromSelection&&n){var o=a.getDomNodePagePosition(this._codeEditor.getDomNode()),r=this._codeEditor.getScrolledVisiblePosition(n.getStartPosition()),s=o.left+r.left;if(r.top<this._viewZone.heightInPx){
n.endLineNumber>n.startLineNumber&&(i=!1);var l=a.getTopLeftOffset(this._domNode).left;s>l&&(i=!1);var u=this._codeEditor.getScrolledVisiblePosition(n.getEndPosition());o.left+u.left>l&&(i=!1)}}this._showViewZone(i)}},t.prototype._hide=function(e){var t=this;this._isVisible&&(this._isVisible=!1,this._updateButtons(),a.removeClass(this._domNode,"visible"),this._domNode.setAttribute("aria-hidden","true"),e&&this._codeEditor.focus(),this._codeEditor.layoutOverlayWidget(this),this._codeEditor.changeViewZones(function(e){void 0!==t._viewZoneId&&(e.removeZone(t._viewZoneId),t._viewZoneId=void 0,t._codeEditor.setScrollTop(t._codeEditor.getScrollTop()-t._viewZone.heightInPx))}))},t.prototype._layoutViewZone=function(){var e=this;this._isVisible&&void 0===this._viewZoneId&&this._codeEditor.changeViewZones(function(t){e._state.isReplaceRevealed?e._viewZone.heightInPx=64:e._viewZone.heightInPx=O,e._viewZoneId=t.addZone(e._viewZone),e._codeEditor.setScrollTop(e._codeEditor.getScrollTop()+e._viewZone.heightInPx)})},
t.prototype._showViewZone=function(e){var t=this;void 0===e&&(e=!0),this._isVisible&&this._codeEditor.changeViewZones(function(n){var i=O;void 0!==t._viewZoneId?(t._state.isReplaceRevealed?(t._viewZone.heightInPx=64,i=64-O):(t._viewZone.heightInPx=O,i=O-64),n.removeZone(t._viewZoneId)):t._viewZone.heightInPx=O,t._viewZoneId=n.addZone(t._viewZone),e&&t._codeEditor.setScrollTop(t._codeEditor.getScrollTop()+i)})},t.prototype._applyTheme=function(e){var t={inputActiveOptionBorder:e.getColor(m.inputActiveOptionBorder),inputBackground:e.getColor(m.inputBackground),inputForeground:e.getColor(m.inputForeground),inputBorder:e.getColor(m.inputBorder),inputValidationInfoBackground:e.getColor(m.inputValidationInfoBackground),inputValidationInfoBorder:e.getColor(m.inputValidationInfoBorder),inputValidationWarningBackground:e.getColor(m.inputValidationWarningBackground),inputValidationWarningBorder:e.getColor(m.inputValidationWarningBorder),inputValidationErrorBackground:e.getColor(m.inputValidationErrorBackground),
inputValidationErrorBorder:e.getColor(m.inputValidationErrorBorder)};this._findInput.style(t),this._replaceInputBox.style(t)},t.prototype._tryUpdateWidgetWidth=function(){if(this._isVisible){var e=this._codeEditor.getConfiguration().layoutInfo.width,t=this._codeEditor.getConfiguration().layoutInfo.minimapWidth,n=!1,i=!1,o=!1;if(this._resized){if(a.getTotalWidth(this._domNode)>411)return this._domNode.style.maxWidth=e-28-t-15+"px",void(this._replaceInputBox.inputElement.style.width=a.getTotalWidth(this._findInput.inputBox.inputElement)+"px")}if(439+t>=e&&(i=!0),439+t-M>=e&&(o=!0),439+t-M>=e+50&&(n=!0),a.toggleClass(this._domNode,"collapsed-find-widget",n),a.toggleClass(this._domNode,"narrow-find-widget",o),a.toggleClass(this._domNode,"reduced-find-widget",i),o||n||(this._domNode.style.maxWidth=e-28-t-15+"px"),this._resized){var r=a.getTotalWidth(this._findInput.inputBox.inputElement);r>0&&(this._replaceInputBox.inputElement.style.width=r+"px")}}},t.prototype.focusFindInput=function(){this._findInput.select(),
this._findInput.focus()},t.prototype.focusReplaceInput=function(){this._replaceInputBox.select(),this._replaceInputBox.focus()},t.prototype.highlightFindOptions=function(){this._findInput.highlightFindOptions()},t.prototype._updateSearchScope=function(){if(this._toggleSelectionFind.checked){var e=this._codeEditor.getSelection();1===e.endColumn&&e.endLineNumber>e.startLineNumber&&(e=e.setEndPosition(e.endLineNumber-1,1));var t=this._state.currentMatch;e.startLineNumber!==e.endLineNumber&&(f.Range.equalsRange(e,t)||this._state.change({searchScope:e},!0))}},t.prototype._onFindInputMouseDown=function(e){e.middleButton&&e.stopPropagation()},t.prototype._onFindInputKeyDown=function(e){return e.equals(3)?(this._codeEditor.getAction(p.FIND_IDS.NextMatchFindAction).run().done(null,i.onUnexpectedError),void e.preventDefault()):e.equals(1027)?(this._codeEditor.getAction(p.FIND_IDS.PreviousMatchFindAction).run().done(null,i.onUnexpectedError),
void e.preventDefault()):e.equals(2)?(this._isReplaceVisible?this._replaceInputBox.focus():this._findInput.focusOnCaseSensitive(),void e.preventDefault()):e.equals(2066)?(this._codeEditor.focus(),void e.preventDefault()):void 0},t.prototype._onReplaceInputKeyDown=function(e){return e.equals(3)?(this._controller.replace(),void e.preventDefault()):e.equals(2051)?(this._controller.replaceAll(),void e.preventDefault()):e.equals(2)?(this._findInput.focusOnCaseSensitive(),void e.preventDefault()):e.equals(1026)?(this._findInput.focus(),void e.preventDefault()):e.equals(2066)?(this._codeEditor.focus(),void e.preventDefault()):void 0},t.prototype.getHorizontalSashTop=function(e){return 0},t.prototype.getHorizontalSashLeft=function(e){return 0},t.prototype.getHorizontalSashWidth=function(e){return 500},t.prototype._keybindingLabelFor=function(e){var t=this._keybindingService.lookupKeybinding(e);return t?" ("+t.getLabel()+")":""},t.prototype._buildFindPart=function(){var e=this
;this._findInput=this._register(new l.FindInput(null,this._contextViewProvider,{width:221,label:v,placeholder:_,appendCaseSensitiveLabel:this._keybindingLabelFor(p.FIND_IDS.ToggleCaseSensitiveCommand),appendWholeWordsLabel:this._keybindingLabelFor(p.FIND_IDS.ToggleWholeWordCommand),appendRegexLabel:this._keybindingLabelFor(p.FIND_IDS.ToggleRegexCommand),validation:function(t){if(0===t.length)return null;if(!e._findInput.getRegex())return null;try{return new RegExp(t),null}catch(e){return{content:e.message}}}})),this._findInput.setRegex(!!this._state.isRegex),this._findInput.setCaseSensitive(!!this._state.matchCase),this._findInput.setWholeWords(!!this._state.wholeWord),this._register(this._findInput.onKeyDown(function(t){return e._onFindInputKeyDown(t)})),this._register(this._findInput.onInput(function(){e._state.change({searchString:e._findInput.getValue()},!0)})),this._register(this._findInput.onDidOptionChange(function(){e._state.change({isRegex:e._findInput.getRegex(),
wholeWord:e._findInput.getWholeWords(),matchCase:e._findInput.getCaseSensitive()},!0)})),this._register(this._findInput.onCaseSensitiveKeyDown(function(t){t.equals(1026)&&e._isReplaceVisible&&(e._replaceInputBox.focus(),t.preventDefault())})),r.isLinux&&this._register(this._findInput.onMouseDown(function(t){return e._onFindInputMouseDown(t)})),this._matchesCount=document.createElement("div"),this._matchesCount.className="matchesCount",this._updateMatchesCount(),this._prevBtn=this._register(new F({label:y+this._keybindingLabelFor(p.FIND_IDS.PreviousMatchFindAction),className:"previous",onTrigger:function(){e._codeEditor.getAction(p.FIND_IDS.PreviousMatchFindAction).run().done(null,i.onUnexpectedError)}})),this._nextBtn=this._register(new F({label:C+this._keybindingLabelFor(p.FIND_IDS.NextMatchFindAction),className:"next",onTrigger:function(){e._codeEditor.getAction(p.FIND_IDS.NextMatchFindAction).run().done(null,i.onUnexpectedError)}}));var t=document.createElement("div");return t.className="find-part",
t.appendChild(this._findInput.domNode),t.appendChild(this._matchesCount),t.appendChild(this._prevBtn.domNode),t.appendChild(this._nextBtn.domNode),this._toggleSelectionFind=this._register(new A({parent:t,title:b+this._keybindingLabelFor(p.FIND_IDS.ToggleSearchScopeCommand),onChange:function(){if(e._toggleSelectionFind.checked){var t=e._codeEditor.getSelection();1===t.endColumn&&t.endLineNumber>t.startLineNumber&&(t=t.setEndPosition(t.endLineNumber-1,1)),t.isEmpty()||e._state.change({searchScope:t},!0)}else e._state.change({searchScope:null},!0)}})),this._closeBtn=this._register(new F({label:S+this._keybindingLabelFor(p.FIND_IDS.CloseFindWidgetCommand),className:"close-fw",onTrigger:function(){e._state.change({isRevealed:!1,searchScope:null},!1)},onKeyDown:function(t){t.equals(2)&&e._isReplaceVisible&&(e._replaceBtn.isEnabled()?e._replaceBtn.focus():e._codeEditor.focus(),t.preventDefault())}})),t.appendChild(this._closeBtn.domNode),t},t.prototype._buildReplacePart=function(){
var e=this,t=document.createElement("div");t.className="replace-input",t.style.width="221px",this._replaceInputBox=this._register(new u.InputBox(t,null,{ariaLabel:w,placeholder:E})),this._register(a.addStandardDisposableListener(this._replaceInputBox.inputElement,"keydown",function(t){return e._onReplaceInputKeyDown(t)})),this._register(a.addStandardDisposableListener(this._replaceInputBox.inputElement,"input",function(t){e._state.change({replaceString:e._replaceInputBox.value},!1)})),this._replaceBtn=this._register(new F({label:L+this._keybindingLabelFor(p.FIND_IDS.ReplaceOneAction),className:"replace",onTrigger:function(){e._controller.replace()},onKeyDown:function(t){t.equals(1026)&&(e._closeBtn.focus(),t.preventDefault())}})),this._replaceAllBtn=this._register(new F({label:x+this._keybindingLabelFor(p.FIND_IDS.ReplaceAllAction),className:"replace-all",onTrigger:function(){e._controller.replaceAll()}}));var n=document.createElement("div");return n.className="replace-part",n.appendChild(t),
n.appendChild(this._replaceBtn.domNode),n.appendChild(this._replaceAllBtn.domNode),n},t.prototype._buildDomNode=function(){var e=this,t=this._buildFindPart(),n=this._buildReplacePart();this._toggleReplaceBtn=this._register(new F({label:N,className:"toggle left",onTrigger:function(){e._state.change({isReplaceRevealed:!e._isReplaceVisible},!1),e._isReplaceVisible&&(e._replaceInputBox.width=e._findInput.inputBox.width),e._showViewZone()}})),this._toggleReplaceBtn.toggleClass("expand",this._isReplaceVisible),this._toggleReplaceBtn.toggleClass("collapse",!this._isReplaceVisible),this._toggleReplaceBtn.setExpanded(this._isReplaceVisible),this._domNode=document.createElement("div"),this._domNode.className="editor-widget find-widget",this._domNode.setAttribute("aria-hidden","true"),this._domNode.style.width="411px",this._domNode.appendChild(this._toggleReplaceBtn.domNode),this._domNode.appendChild(t),this._domNode.appendChild(n),this._buildSash()},t.prototype._buildSash=function(){var e=this
;this._resizeSash=new d.Sash(this._domNode,this,{orientation:d.Orientation.VERTICAL}),this._resized=!1;var t=411;this._register(this._resizeSash.onDidStart(function(n){t=a.getTotalWidth(e._domNode)})),this._register(this._resizeSash.onDidChange(function(n){e._resized=!0;var i=t+n.startX-n.currentX;if(!(i<411)){var o=i-k;i>(parseFloat(a.getComputedStyle(e._domNode).maxWidth)||0)||(e._domNode.style.width=i+"px",e._isReplaceVisible&&(e._replaceInputBox.width=o))}}))},t.ID="editor.contrib.findWidget",t}(c.Widget);t.FindWidget=P;var A=function(e){function t(n){var i=e.call(this)||this;return i._opts=n,i._domNode=document.createElement("div"),i._domNode.className="monaco-checkbox",i._domNode.title=i._opts.title,i._domNode.tabIndex=0,i._checkbox=document.createElement("input"),i._checkbox.type="checkbox",i._checkbox.className="checkbox",i._checkbox.id="checkbox-"+t._COUNTER++,i._checkbox.tabIndex=-1,i._label=document.createElement("label"),i._label.className="label",i._label.htmlFor=i._checkbox.id,
i._label.tabIndex=-1,i._domNode.appendChild(i._checkbox),i._domNode.appendChild(i._label),i._opts.parent.appendChild(i._domNode),i.onchange(i._checkbox,function(e){i._opts.onChange()}),i}return o(t,e),Object.defineProperty(t.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"checked",{get:function(){return this._checkbox.checked},set:function(e){this._checkbox.checked=e},enumerable:!0,configurable:!0}),t.prototype.focus=function(){this._checkbox.focus()},t.prototype.enable=function(){this._checkbox.removeAttribute("disabled")},t.prototype.disable=function(){this._checkbox.disabled=!0},t.prototype.setEnabled=function(e){e?(this.enable(),this.domNode.tabIndex=0):(this.disable(),this.domNode.tabIndex=-1)},t._COUNTER=0,t}(c.Widget),F=function(e){function t(t){var n=e.call(this)||this;return n._opts=t,n._domNode=document.createElement("div"),n._domNode.title=n._opts.label,n._domNode.tabIndex=0,
n._domNode.className="button "+n._opts.className,n._domNode.setAttribute("role","button"),n._domNode.setAttribute("aria-label",n._opts.label),n.onclick(n._domNode,function(e){n._opts.onTrigger(),e.preventDefault()}),n.onkeydown(n._domNode,function(e){if(e.equals(10)||e.equals(3))return n._opts.onTrigger(),void e.preventDefault();n._opts.onKeyDown&&n._opts.onKeyDown(e)}),n}return o(t,e),Object.defineProperty(t.prototype,"domNode",{get:function(){return this._domNode},enumerable:!0,configurable:!0}),t.prototype.isEnabled=function(){return this._domNode.tabIndex>=0},t.prototype.focus=function(){this._domNode.focus()},t.prototype.setEnabled=function(e){a.toggleClass(this._domNode,"disabled",!e),this._domNode.setAttribute("aria-disabled",String(!e)),this._domNode.tabIndex=e?0:-1},t.prototype.setExpanded=function(e){this._domNode.setAttribute("aria-expanded",String(!!e))},t.prototype.toggleClass=function(e,t){a.toggleClass(this._domNode,e,t)},t}(c.Widget);t.SimpleButton=F,g.registerThemingParticipant(function(e,t){
function n(e,n){n&&t.addRule(".monaco-editor "+e+" { background-color: "+n+"; }")}n(".findMatch",e.getColor(m.editorFindMatchHighlight)),n(".currentFindMatch",e.getColor(m.editorFindMatch)),n(".findScope",e.getColor(m.editorFindRangeHighlight));n(".find-widget",e.getColor(m.editorWidgetBackground));var i=e.getColor(m.widgetShadow);i&&t.addRule(".monaco-editor .find-widget { box-shadow: 0 2px 8px "+i+"; }");var o=e.getColor(m.editorFindMatchHighlightBorder);o&&t.addRule(".monaco-editor .findMatch { border: 1px dotted "+o+"; -moz-box-sizing: border-box; box-sizing: border-box; }");var r=e.getColor(m.editorFindMatchBorder);r&&t.addRule(".monaco-editor .currentFindMatch { border: 2px solid "+r+"; padding: 1px; -moz-box-sizing: border-box; box-sizing: border-box; }");var s=e.getColor(m.editorFindRangeHighlightBorder);s&&t.addRule(".monaco-editor .findScope { border: 1px dashed "+s+"; }");var a=e.getColor(m.contrastBorder);a&&t.addRule(".monaco-editor .find-widget { border: 2px solid "+a+"; }")
;var l=e.getColor(m.errorForeground);l&&t.addRule(".monaco-editor .find-widget.no-results .matchesCount { color: "+l+"; }");var u=e.getColor(m.editorWidgetBorder);u&&t.addRule(".monaco-editor .find-widget .monaco-sash { background-color: "+u+"; width: 3px !important; margin-left: -4px;}")})}),define(t[199],n([0,1,314,375,2,19,9,11,144,244,18,21,66,208,76,48,523,522,16,44,14]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";function E(e){var t=e.getSelection();if(t.startLineNumber===t.endLineNumber){if(!t.isEmpty())return e.getModel().getValueInRange(t);var n=e.getModel().getWordAtPosition(t.getStartPosition());if(n)return n.word}return null}Object.defineProperty(t,"__esModule",{value:!0}),t.getSelectionSearchString=E;!function(e){e[e.NoFocusChange=0]="NoFocusChange",e[e.FocusFindInput=1]="FocusFindInput",e[e.FocusReplaceInput=2]="FocusReplaceInput"}(t.FindStartFocusAction||(t.FindStartFocusAction={}));var L=function(e){function t(t,n,o,r){var s=e.call(this)||this;return s._editor=t,
s._findWidgetVisible=c.CONTEXT_FIND_WIDGET_VISIBLE.bindTo(n),s._storageService=o,s._clipboardService=r,s._updateHistoryDelayer=new p.Delayer(500),s._currentHistoryNavigator=new i.HistoryNavigator,s._state=s._register(new h.FindReplaceState),s.loadQueryState(),s._register(s._state.onFindReplaceStateChange(function(e){return s._onStateChanged(e)})),s._model=null,s._register(s._editor.onDidChangeModel(function(){var e=s._editor.getModel()&&s._state.isRevealed;s.disposeModel(),s._state.change({searchScope:null,matchCase:s._storageService.getBoolean("editor.matchCase",g.StorageScope.WORKSPACE,!1),wholeWord:s._storageService.getBoolean("editor.wholeWord",g.StorageScope.WORKSPACE,!1),isRegex:s._storageService.getBoolean("editor.isRegex",g.StorageScope.WORKSPACE,!1)},!1),e&&s._start({forceRevealReplace:!1,seedSearchStringFromSelection:!1,seedSearchStringFromGlobalClipboard:!1,shouldFocus:0,shouldAnimate:!1})})),s}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.dispose=function(){
this.disposeModel(),e.prototype.dispose.call(this)},t.prototype.disposeModel=function(){this._model&&(this._model.dispose(),this._model=null)},t.prototype.getId=function(){return t.ID},t.prototype._onStateChanged=function(e){this.saveQueryState(e),e.updateHistory&&e.searchString&&this._delayedUpdateHistory(),e.isRevealed&&(this._state.isRevealed?this._findWidgetVisible.set(!0):(this._findWidgetVisible.reset(),this.disposeModel())),e.searchString&&this.setGlobalBufferTerm(this._state.searchString)},t.prototype.saveQueryState=function(e){e.isRegex&&this._storageService.store("editor.isRegex",this._state.actualIsRegex,g.StorageScope.WORKSPACE),e.wholeWord&&this._storageService.store("editor.wholeWord",this._state.actualWholeWord,g.StorageScope.WORKSPACE),e.matchCase&&this._storageService.store("editor.matchCase",this._state.actualMatchCase,g.StorageScope.WORKSPACE)},t.prototype.loadQueryState=function(){this._state.change({
matchCase:this._storageService.getBoolean("editor.matchCase",g.StorageScope.WORKSPACE,this._state.matchCase),wholeWord:this._storageService.getBoolean("editor.wholeWord",g.StorageScope.WORKSPACE,this._state.wholeWord),isRegex:this._storageService.getBoolean("editor.isRegex",g.StorageScope.WORKSPACE,this._state.isRegex)},!1)},t.prototype._delayedUpdateHistory=function(){this._updateHistoryDelayer.trigger(this._updateHistory.bind(this))},t.prototype._updateHistory=function(){this._state.searchString&&this._currentHistoryNavigator.add(this._state.searchString)},t.prototype.getState=function(){return this._state},t.prototype.getHistory=function(){return this._currentHistoryNavigator},t.prototype.closeFindWidget=function(){this._state.change({isRevealed:!1,searchScope:null},!1),this._editor.focus()},t.prototype.toggleCaseSensitive=function(){this._state.change({matchCase:!this._state.matchCase},!1)},t.prototype.toggleWholeWords=function(){this._state.change({wholeWord:!this._state.wholeWord},!1)},
t.prototype.toggleRegex=function(){this._state.change({isRegex:!this._state.isRegex},!1)},t.prototype.toggleSearchScope=function(){if(this._state.searchScope)this._state.change({searchScope:null},!0);else{var e=this._editor.getSelection();1===e.endColumn&&e.endLineNumber>e.startLineNumber&&(e=e.setEndPosition(e.endLineNumber-1,1)),e.isEmpty()||this._state.change({searchScope:e},!0)}},t.prototype.setSearchString=function(e){this._state.isRegex&&(e=a.escapeRegExpCharacters(e)),this._state.change({searchString:e},!1)},t.prototype.highlightFindOptions=function(){},t.prototype._start=function(e){if(this.disposeModel(),this._editor.getModel()){var t={isRevealed:!0};if(e.seedSearchStringFromSelection){(n=E(this._editor))&&(this._state.isRegex?t.searchString=a.escapeRegExpCharacters(n):t.searchString=n)}if(!t.searchString&&e.seedSearchStringFromGlobalClipboard){var n=this.getGlobalBufferTerm();n&&(t.searchString=n)}e.forceRevealReplace?t.isReplaceRevealed=!0:this._findWidgetVisible.get()||(t.isReplaceRevealed=!1),
this._state.change(t,!1),this._model||(this._model=new c.FindModelBoundToEditorModel(this._editor,this._state))}},t.prototype.start=function(e){this._start(e)},t.prototype.moveToNextMatch=function(){return!!this._model&&(this._model.moveToNextMatch(),!0)},t.prototype.moveToPrevMatch=function(){return!!this._model&&(this._model.moveToPrevMatch(),!0)},t.prototype.replace=function(){return!!this._model&&(this._model.replace(),!0)},t.prototype.replaceAll=function(){return!!this._model&&(this._model.replaceAll(),!0)},t.prototype.selectAllMatches=function(){return!!this._model&&(this._model.selectAllMatches(),this._editor.focus(),!0)},t.prototype.showPreviousFindTerm=function(){var e=this._currentHistoryNavigator.previous();return e&&this._state.change({searchString:e},!1,!1),!0},t.prototype.showNextFindTerm=function(){var e=this._currentHistoryNavigator.next();return e&&this._state.change({searchString:e},!1,!1),!0},t.prototype.getGlobalBufferTerm=function(){
return this._editor.getConfiguration().contribInfo.find.globalFindClipboard&&this._clipboardService&&!this._editor.getModel().isTooLargeForHavingARichMode()?this._clipboardService.readFindText():""},t.prototype.setGlobalBufferTerm=function(e){this._editor.getConfiguration().contribInfo.find.globalFindClipboard&&this._clipboardService&&!this._editor.getModel().isTooLargeForHavingARichMode()&&this._clipboardService.writeFindText(e)},t.ID="editor.contrib.findController",t=u([d(1,s.IContextKeyService),d(2,g.IStorageService),d(3,m.IClipboardService)],t)}(r.Disposable);t.CommonFindController=L;var x=function(e){function t(t,n,i,o,r,s,a){var l=e.call(this,t,i,s,a)||this;return l._contextViewService=n,l._contextKeyService=i,l._keybindingService=o,l._themeService=r,l}return o(t,e),t.prototype._start=function(t){this._widget||this._createFindWidget(),e.prototype._start.call(this,t),2===t.shouldFocus?this._widget.focusReplaceInput():1===t.shouldFocus&&this._widget.focusFindInput()},
t.prototype.highlightFindOptions=function(){this._widget||this._createFindWidget(),this._state.isRevealed?this._widget.highlightFindOptions():this._findOptionsWidget.highlightFindOptions()},t.prototype._createFindWidget=function(){this._widget=this._register(new y.FindWidget(this._editor,this,this._state,this._contextViewService,this._keybindingService,this._contextKeyService,this._themeService)),this._findOptionsWidget=this._register(new C.FindOptionsWidget(this._editor,this._state,this._keybindingService,this._themeService))},t=u([d(1,v.IContextViewService),d(2,s.IContextKeyService),d(3,_.IKeybindingService),d(4,b.IThemeService),d(5,g.IStorageService),d(6,w.optional(m.IClipboardService))],t)}(L);t.FindController=x;var N=function(e){function t(){return e.call(this,{id:c.FIND_IDS.StartFindAction,label:n.localize(0,null),alias:"Find",precondition:null,kbOpts:{kbExpr:null,primary:2084}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&n.start({forceRevealReplace:!1,
seedSearchStringFromSelection:t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,seedSearchStringFromGlobalClipboard:t.getConfiguration().contribInfo.find.globalFindClipboard,shouldFocus:1,shouldAnimate:!0})},t}(l.EditorAction);t.StartFindAction=N;var I=function(e){function t(){return e.call(this,{id:c.FIND_IDS.StartFindWithSelection,label:n.localize(1,null),alias:"Find",precondition:null,kbOpts:{kbExpr:null,primary:null,mac:{primary:2083}}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&(n.start({forceRevealReplace:!1,seedSearchStringFromSelection:!0,seedSearchStringFromGlobalClipboard:!1,shouldFocus:1,shouldAnimate:!0}),n.setGlobalBufferTerm(n.getState().searchString))},t}(l.EditorAction);t.StartFindWithSelectionAction=I;var T=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&!this._run(n)&&(n.start({forceRevealReplace:!1,
seedSearchStringFromSelection:0===n.getState().searchString.length&&t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,seedSearchStringFromGlobalClipboard:!0,shouldFocus:0,shouldAnimate:!0}),this._run(n))},t}(l.EditorAction);t.MatchFindAction=T;var D=function(e){function t(){return e.call(this,{id:c.FIND_IDS.NextMatchFindAction,label:n.localize(2,null),alias:"Find Next",precondition:null,kbOpts:{kbExpr:f.EditorContextKeys.focus,primary:61,mac:{primary:2085,secondary:[61]}}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToNextMatch()},t}(T);t.NextMatchFindAction=D;var M=function(e){function t(){return e.call(this,{id:c.FIND_IDS.PreviousMatchFindAction,label:n.localize(3,null),alias:"Find Previous",precondition:null,kbOpts:{kbExpr:f.EditorContextKeys.focus,primary:1085,mac:{primary:3109,secondary:[1085]}}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToPrevMatch()},t}(T);t.PreviousMatchFindAction=M;var k=function(e){function t(){
return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);if(n){var i=E(t);i&&n.setSearchString(i),this._run(n)||(n.start({forceRevealReplace:!1,seedSearchStringFromSelection:t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,seedSearchStringFromGlobalClipboard:!1,shouldFocus:0,shouldAnimate:!0}),this._run(n))}},t}(l.EditorAction);t.SelectionMatchFindAction=k;var O=function(e){function t(){return e.call(this,{id:c.FIND_IDS.NextSelectionMatchFindAction,label:n.localize(4,null),alias:"Find Next Selection",precondition:null,kbOpts:{kbExpr:f.EditorContextKeys.focus,primary:2109}})||this}return o(t,e),t.prototype._run=function(e){return e.moveToNextMatch()},t}(k);t.NextSelectionMatchFindAction=O;var R=function(e){function t(){return e.call(this,{id:c.FIND_IDS.PreviousSelectionMatchFindAction,label:n.localize(5,null),alias:"Find Previous Selection",precondition:null,kbOpts:{kbExpr:f.EditorContextKeys.focus,primary:3133}})||this}return o(t,e),
t.prototype._run=function(e){return e.moveToPrevMatch()},t}(k);t.PreviousSelectionMatchFindAction=R;var P=function(e){function t(){return e.call(this,{id:c.FIND_IDS.StartFindReplaceAction,label:n.localize(6,null),alias:"Replace",precondition:null,kbOpts:{kbExpr:null,primary:2086,mac:{primary:2596}}})||this}return o(t,e),t.prototype.run=function(e,t){if(!t.getConfiguration().readOnly){var n=L.get(t),i=t.getSelection(),o=!i.isEmpty()&&i.startLineNumber===i.endLineNumber&&t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,r=n.getState().searchString||o?2:1;n&&n.start({forceRevealReplace:!0,seedSearchStringFromSelection:o,seedSearchStringFromGlobalClipboard:t.getConfiguration().contribInfo.find.seedSearchStringFromSelection,shouldFocus:r,shouldAnimate:!0})}},t}(l.EditorAction);t.StartFindReplaceAction=P;var A=function(e){function t(){return e.call(this,{id:c.FIND_IDS.ShowNextFindTermAction,label:n.localize(7,null),alias:"Show Next Find Term",precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,kbOpts:{
weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:s.ContextKeyExpr.and(c.CONTEXT_FIND_INPUT_FOCUSED,f.EditorContextKeys.focus),primary:c.ShowNextFindTermKeybinding.primary,mac:c.ShowNextFindTermKeybinding.mac,win:c.ShowNextFindTermKeybinding.win,linux:c.ShowNextFindTermKeybinding.linux}})||this}return o(t,e),t.prototype._run=function(e){return e.showNextFindTerm()},t}(T);t.ShowNextFindTermAction=A;var F=function(e){function t(){return e.call(this,{id:c.FIND_IDS.ShowPreviousFindTermAction,label:n.localize(8,null),alias:"Find Show Previous Find Term",precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:s.ContextKeyExpr.and(c.CONTEXT_FIND_INPUT_FOCUSED,f.EditorContextKeys.focus),primary:c.ShowPreviousFindTermKeybinding.primary,mac:c.ShowPreviousFindTermKeybinding.mac,win:c.ShowPreviousFindTermKeybinding.win,linux:c.ShowPreviousFindTermKeybinding.linux}})||this}return o(t,e),t.prototype._run=function(e){return e.showPreviousFindTerm()},t}(T)
;t.ShowPreviousFindTermAction=F,l.registerEditorContribution(x),l.registerEditorAction(N),l.registerEditorAction(I),l.registerEditorAction(D),l.registerEditorAction(M),l.registerEditorAction(O),l.registerEditorAction(R),l.registerEditorAction(P),l.registerEditorAction(A),l.registerEditorAction(F);var W=l.EditorCommand.bindToContribution(L.get);l.registerEditorCommand(new W({id:c.FIND_IDS.CloseFindWidgetCommand,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.closeFindWidget()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:9,secondary:[1033]}})),l.registerEditorCommand(new W({id:c.FIND_IDS.ToggleCaseSensitiveCommand,precondition:null,handler:function(e){return e.toggleCaseSensitive()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:c.ToggleCaseSensitiveKeybinding.primary,mac:c.ToggleCaseSensitiveKeybinding.mac,win:c.ToggleCaseSensitiveKeybinding.win,
linux:c.ToggleCaseSensitiveKeybinding.linux}})),l.registerEditorCommand(new W({id:c.FIND_IDS.ToggleWholeWordCommand,precondition:null,handler:function(e){return e.toggleWholeWords()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:c.ToggleWholeWordKeybinding.primary,mac:c.ToggleWholeWordKeybinding.mac,win:c.ToggleWholeWordKeybinding.win,linux:c.ToggleWholeWordKeybinding.linux}})),l.registerEditorCommand(new W({id:c.FIND_IDS.ToggleRegexCommand,precondition:null,handler:function(e){return e.toggleRegex()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:c.ToggleRegexKeybinding.primary,mac:c.ToggleRegexKeybinding.mac,win:c.ToggleRegexKeybinding.win,linux:c.ToggleRegexKeybinding.linux}})),l.registerEditorCommand(new W({id:c.FIND_IDS.ToggleSearchScopeCommand,precondition:null,handler:function(e){return e.toggleSearchScope()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),
kbExpr:f.EditorContextKeys.focus,primary:c.ToggleSearchScopeKeybinding.primary,mac:c.ToggleSearchScopeKeybinding.mac,win:c.ToggleSearchScopeKeybinding.win,linux:c.ToggleSearchScopeKeybinding.linux}})),l.registerEditorCommand(new W({id:c.FIND_IDS.ReplaceOneAction,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.replace()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:3094}})),l.registerEditorCommand(new W({id:c.FIND_IDS.ReplaceAllAction,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.replaceAll()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:2563}})),l.registerEditorCommand(new W({id:c.FIND_IDS.SelectAllMatchesAction,precondition:c.CONTEXT_FIND_WIDGET_VISIBLE,handler:function(e){return e.selectAllMatches()},kbOpts:{weight:S.KeybindingsRegistry.WEIGHT.editorContrib(5),kbExpr:f.EditorContextKeys.focus,primary:515}}))}),
define(t[525],n([0,1,321,10,2,78,3,204,23,27,35,57,42,93,22,4,377]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=function(){function e(e,t,n){var o=this;this.lines=0,this.longestLineLength=0,this._relatedDiagnostics=new WeakMap,this._disposables=[],this._editor=t;var r=document.createElement("div");r.className="descriptioncontainer",r.setAttribute("aria-live","assertive"),r.setAttribute("role","alert"),this._messageBlock=document.createElement("span"),r.appendChild(this._messageBlock),this._relatedBlock=document.createElement("div"),r.appendChild(this._relatedBlock),this._disposables.push(i.addStandardDisposableListener(this._relatedBlock,"click",function(e){e.preventDefault();var t=o._relatedDiagnostics.get(e.target);t&&n(t)})),this._scrollable=new h.ScrollableElement(r,{horizontal:p.ScrollbarVisibility.Auto,vertical:p.ScrollbarVisibility.Hidden,useShadows:!1,horizontalScrollbarSize:3}),i.addClass(this._scrollable.getDomNode(),"block"),
e.appendChild(this._scrollable.getDomNode()),this._disposables.push(this._scrollable.onScroll(function(e){return r.style.left="-"+e.scrollLeft+"px"})),this._disposables.push(this._scrollable)}return e.prototype.dispose=function(){r.dispose(this._disposables)},e.prototype.update=function(e){var t=e.source,n=e.message,o=e.relatedInformation;if(t){this.lines=0,this.longestLineLength=0;for(var r=new Array(t.length+3+1).join(" "),s=n.split(/\r\n|\r|\n/g),a=0;a<s.length;a++){var l=s[a];this.lines+=1,this.longestLineLength=Math.max(l.length,this.longestLineLength),0===a?n="["+t+"] "+l:n+="\n"+r+l}}else this.lines=1,this.longestLineLength=n.length;if(i.clearNode(this._relatedBlock),!g.isFalsyOrEmpty(o)){this._relatedBlock.style.paddingTop=Math.floor(.66*this._editor.getConfiguration().lineHeight)+"px",this.lines+=1;for(var u=0,c=o;u<c.length;u++){var d=c[u],h=document.createElement("div"),p=document.createElement("span");i.addClass(p,"filename"),
p.innerHTML=f.getBaseLabel(d.resource)+"("+d.startLineNumber+", "+d.startColumn+"): ",p.title=f.getPathLabel(d.resource),this._relatedDiagnostics.set(p,d);var m=document.createElement("span");m.innerText=d.message,this._editor.applyFontInfo(m),h.appendChild(p),h.appendChild(m),this.lines+=1,this._relatedBlock.appendChild(h)}}this._messageBlock.innerText=n,this._editor.applyFontInfo(this._messageBlock);var v=Math.floor(this._editor.getConfiguration().fontInfo.typicalFullwidthCharacterWidth*this.longestLineLength);this._scrollable.setScrollDimensions({scrollWidth:v})},e.prototype.layout=function(e,t){this._scrollable.setScrollDimensions({width:t})},e}(),_=function(e){function l(t,n){var i=e.call(this,t,{showArrow:!0,showFrame:!0,isAccessible:!0})||this;return i._themeService=n,i._callOnDispose=[],i._onDidSelectRelatedInformation=new m.Emitter,i.onDidSelectRelatedInformation=i._onDidSelectRelatedInformation.event,i._severity=s.MarkerSeverity.Warning,i._backgroundColor=c.Color.white,i._applyTheme(n.getTheme()),
i._callOnDispose.push(n.onThemeChange(i._applyTheme.bind(i))),i.create(),i}return o(l,e),l.prototype._applyTheme=function(e){this._backgroundColor=e.getColor(t.editorMarkerNavigationBackground);var n=t.editorMarkerNavigationError;this._severity===s.MarkerSeverity.Warning?n=t.editorMarkerNavigationWarning:this._severity===s.MarkerSeverity.Info&&(n=t.editorMarkerNavigationInfo);var i=e.getColor(n);this.style({arrowColor:i,frameColor:i})},l.prototype._applyStyles=function(){this._parentContainer&&(this._parentContainer.style.backgroundColor=this._backgroundColor.toString()),e.prototype._applyStyles.call(this)},l.prototype.dispose=function(){this._callOnDispose=r.dispose(this._callOnDispose),e.prototype.dispose.call(this)},l.prototype.focus=function(){this._parentContainer.focus()},l.prototype._fillContainer=function(e){var t=this;this._parentContainer=e,i.addClass(e,"marker-widget"),this._parentContainer.tabIndex=0,this._parentContainer.setAttribute("role","tooltip"),
this._container=document.createElement("div"),e.appendChild(this._container),this._title=document.createElement("div"),this._title.className="block title",this._container.appendChild(this._title),this._message=new v(this._container,this.editor,function(e){return t._onDidSelectRelatedInformation.fire(e)}),this._disposables.push(this._message)},l.prototype.show=function(e,t){throw new Error("call showAtMarker")},l.prototype.showAtMarker=function(t,i,o){this._container.classList.remove("stale"),this._title.innerHTML=n.localize(0,null,i,o),this._message.update(t),this._severity=t.severity,this._applyTheme(this._themeService.getTheme());var r=a.Range.lift(t),s=r.containsPosition(this.editor.getPosition())?this.editor.getPosition():r.getStartPosition();e.prototype.show.call(this,s,this.computeRequiredHeight()),this.editor.revealPositionInCenter(s,0),1!==this.editor.getConfiguration().accessibilitySupport&&this.focus()},l.prototype.updateMarker=function(e){this._container.classList.remove("stale"),
this._message.update(e)},l.prototype.showStale=function(){this._container.classList.add("stale"),this._relayout()},l.prototype._doLayout=function(e,t){this._message.layout(e,t),this._container.style.height=e+"px"},l.prototype._relayout=function(){e.prototype._relayout.call(this,this.computeRequiredHeight())},l.prototype.computeRequiredHeight=function(){return 1+this._message.lines},l}(l.ZoneWidget);t.MarkerNavigationWidget=_;var y=u.oneOf(d.editorErrorForeground,d.editorErrorBorder),C=u.oneOf(d.editorWarningForeground,d.editorWarningBorder),b=u.oneOf(d.editorInfoForeground,d.editorInfoBorder);t.editorMarkerNavigationError=u.registerColor("editorMarkerNavigationError.background",{dark:y,light:y,hc:y},n.localize(1,null)),t.editorMarkerNavigationWarning=u.registerColor("editorMarkerNavigationWarning.background",{dark:C,light:C,hc:C},n.localize(2,null)),t.editorMarkerNavigationInfo=u.registerColor("editorMarkerNavigationInfo.background",{dark:b,light:b,hc:b},n.localize(3,null)),
t.editorMarkerNavigationBackground=u.registerColor("editorMarkerNavigation.background",{dark:"#2D2D30",light:c.Color.white,hc:"#0C141F"},n.localize(4,null))}),define(t[526],n([0,1,320,4,2,19,78,3,11,24,16,21,44,525,9,22,53,12]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var b=function(){function e(e,t){var n=this;this._editor=e,this._markers=null,this._nextIdx=-1,this._toUnbind=[],this._ignoreSelectionChange=!1,this._onCurrentMarkerChanged=new i.Emitter,this._onMarkerSetChanged=new i.Emitter,this.setMarkers(t),this._toUnbind.push(this._editor.onDidDispose(function(){return n.dispose()})),this._toUnbind.push(this._editor.onDidChangeCursorPosition(function(){n._ignoreSelectionChange||n.currentMarker&&l.Range.containsPosition(n.currentMarker,n._editor.getPosition())||(n._nextIdx=-1)}))}return Object.defineProperty(e.prototype,"onCurrentMarkerChanged",{get:function(){return this._onCurrentMarkerChanged.event},enumerable:!0,configurable:!0}),
Object.defineProperty(e.prototype,"onMarkerSetChanged",{get:function(){return this._onMarkerSetChanged.event},enumerable:!0,configurable:!0}),e.prototype.setMarkers=function(e){var t=this._nextIdx>=0?this._markers[this._nextIdx]:void 0;this._markers=e||[],this._markers.sort(w.compareMarker),this._nextIdx=t?Math.max(-1,_.binarySearch(this._markers,t,w.compareMarker)):-1,this._onMarkerSetChanged.fire(this)},e.prototype.withoutWatchingEditorPosition=function(e){this._ignoreSelectionChange=!0;try{e()}finally{this._ignoreSelectionChange=!1}},e.prototype._initIdx=function(e){for(var t=!1,n=this._editor.getPosition(),i=0;i<this._markers.length;i++){var o=l.Range.lift(this._markers[i]);if(o.isEmpty()){var r=this._editor.getModel().getWordAtPosition(o.getStartPosition());r&&(o=new l.Range(o.startLineNumber,r.startColumn,o.startLineNumber,r.endColumn))}if(o.containsPosition(n)||n.isBeforeOrEqual(o.getStartPosition())){this._nextIdx=i,t=!0;break}}t||(this._nextIdx=e?0:this._markers.length-1),
this._nextIdx<0&&(this._nextIdx=this._markers.length-1)},Object.defineProperty(e.prototype,"currentMarker",{get:function(){return this.canNavigate()?this._markers[this._nextIdx]:void 0},enumerable:!0,configurable:!0}),e.prototype.move=function(e,t){if(!this.canNavigate())return this._onCurrentMarkerChanged.fire(void 0),!t;var n=this._nextIdx,i=!1;if(-1===this._nextIdx?this._initIdx(e):e?t||this._nextIdx+1<this._markers.length?this._nextIdx=(this._nextIdx+1)%this._markers.length:i=!0:e||(t||this._nextIdx>0?this._nextIdx=(this._nextIdx-1+this._markers.length)%this._markers.length:i=!0),n!==this._nextIdx){var o=this._markers[this._nextIdx];this._onCurrentMarkerChanged.fire(o)}return i},e.prototype.canNavigate=function(){return this._markers.length>0},e.prototype.findMarkerAtPosition=function(e){for(var t=0,n=this._markers;t<n.length;t++){var i=n[t];if(l.Range.containsPosition(i,e))return i}},Object.defineProperty(e.prototype,"total",{get:function(){return this._markers.length},enumerable:!0,configurable:!0}),
e.prototype.indexOf=function(e){return 1+this._markers.indexOf(e)},e.prototype.dispose=function(){this._toUnbind=r.dispose(this._toUnbind)},e}(),S=function(){function e(e,t,n,i,o){this._markerService=t,this._contextKeyService=n,this._themeService=i,this._editorService=o,this._disposeOnClose=[],this._editor=e,this._widgetVisible=x.bindTo(this._contextKeyService)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._cleanUp()},e.prototype._cleanUp=function(){this._widgetVisible.reset(),this._disposeOnClose=r.dispose(this._disposeOnClose),this._widget=null,this._model=null},e.prototype.getOrCreateModel=function(){var e=this;if(this._model)return this._model;var t=this._getMarkers();return this._model=new b(this._editor,t),this._markerService.onMarkerChanged(this._onMarkerChanged,this,this._disposeOnClose),this._widget=new m.MarkerNavigationWidget(this._editor,this._themeService),this._widgetVisible.set(!0),
this._disposeOnClose.push(this._model),this._disposeOnClose.push(this._widget),this._disposeOnClose.push(this._widget.onDidSelectRelatedInformation(function(t){e._editorService.openEditor({resource:t.resource,options:{pinned:!0,revealIfOpened:!0,selection:l.Range.lift(t).collapseToStart()}}).then(void 0,C.onUnexpectedError),e.closeMarkersNavigation(!1)})),this._disposeOnClose.push(this._editor.onDidChangeModel(function(){return e._cleanUp()})),this._disposeOnClose.push(this._model.onCurrentMarkerChanged(function(t){t?e._model.withoutWatchingEditorPosition(function(){e._widget.showAtMarker(t,e._model.indexOf(t),e._model.total)}):e._cleanUp()})),this._disposeOnClose.push(this._model.onMarkerSetChanged(function(){var t=e._model.findMarkerAtPosition(e._widget.position);t?e._widget.updateMarker(t):e._widget.showStale()})),this._model},e.prototype.closeMarkersNavigation=function(e){void 0===e&&(e=!0),this._cleanUp(),e&&this._editor.focus()},e.prototype._onMarkerChanged=function(e){var t=this;e.some(function(e){
return t._editor.getModel().uri.toString()===e.toString()})&&this._model.setMarkers(this._getMarkers())},e.prototype._getMarkers=function(){return this._markerService.read({resource:this._editor.getModel().uri,severities:a.MarkerSeverity.Error|a.MarkerSeverity.Warning|a.MarkerSeverity.Info})},e.ID="editor.contrib.markerController",e=u([d(1,a.IMarkerService),d(2,s.IContextKeyService),d(3,p.IThemeService),d(4,y.IEditorService)],e)}(),w=function(e){function t(t,n){var i=e.call(this,n)||this;return i._isNext=t,i}return o(t,e),t.prototype.run=function(e,n){var i=this,o=e.get(a.IMarkerService),r=e.get(y.IEditorService),s=S.get(n);if(s){var l=s.getOrCreateModel();if(l.move(this._isNext,!1)){var u=o.read({severities:a.MarkerSeverity.Error|a.MarkerSeverity.Warning|a.MarkerSeverity.Info}).sort(t.compareMarker);if(0!==u.length){var c=l.currentMarker||{resource:n.getModel().uri,severity:a.MarkerSeverity.Error,startLineNumber:1,startColumn:1,endLineNumber:1,endColumn:1},d=_.binarySearch(u,c,t.compareMarker);d<0?(d=~d,
d%=u.length):d=this._isNext?(d+1)%u.length:(d+u.length-1)%u.length;var p=u[d];if(p.resource.toString()!==n.getModel().uri.toString())return s.closeMarkersNavigation(),r.openEditor({resource:p.resource,options:{pinned:!1,revealIfOpened:!0,revealInCenterIfOutsideViewport:!0,selection:p}}).then(function(e){if(e&&h.isCodeEditor(e.getControl()))return e.getControl().getAction(i.id).run()});l.move(this._isNext,!0)}}}},t.compareMarker=function(e,t){var n=v.compare(e.resource.toString(),t.resource.toString());return 0===n&&(n=a.MarkerSeverity.compare(e.severity,t.severity)),0===n&&(n=l.Range.compareRangesUsingStarts(e,t)),n},t}(c.EditorAction),E=function(e){function t(){return e.call(this,!0,{id:"editor.action.marker.next",label:n.localize(0,null),alias:"Go to Next Error or Warning",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.focus,primary:66}})||this}return o(t,e),t}(w),L=function(e){function t(){return e.call(this,!1,{id:"editor.action.marker.prev",label:n.localize(1,null),
alias:"Go to Previous Error or Warning",precondition:f.EditorContextKeys.writable,kbOpts:{kbExpr:f.EditorContextKeys.focus,primary:1090}})||this}return o(t,e),t}(w);c.registerEditorContribution(S),c.registerEditorAction(E),c.registerEditorAction(L);var x=new s.RawContextKey("markersNavigationVisible",!1),N=c.EditorCommand.bindToContribution(S.get);c.registerEditorCommand(new N({id:"closeMarkersNavigation",precondition:x,handler:function(e){return e.closeMarkersNavigation()},kbOpts:{weight:g.KeybindingsRegistry.WEIGHT.editorContrib(50),kbExpr:f.EditorContextKeys.focus,primary:9,secondary:[1033]}}))}),define(t[527],n([0,1,323,10,8,3,13,17,467,189,197,73,31,240,519,181,27,2,180]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var C=i.$,b=function(){return function(e,t,n){this.range=e,this.color=t,this.provider=n}}(),S=function(){function e(e){this._editor=e,this._range=null}return e.prototype.setRange=function(e){this._range=e,this._result=[]},
e.prototype.clearResult=function(){this._result=[]},e.prototype.computeAsync=function(){var e=this._editor.getModel();return l.HoverProviderRegistry.has(e)?u.getHover(e,new a.Position(this._range.startLineNumber,this._range.startColumn)):r.TPromise.as(null)},e.prototype.computeSync=function(){var e=this,t=this._range.startLineNumber;if(t>this._editor.getModel().getLineCount())return[];var n=m.ColorDetector.get(this._editor),i=this._editor.getModel().getLineMaxColumn(t),o=!1;return this._editor.getLineDecorations(t).map(function(r){var a=r.range.startLineNumber===t?r.range.startColumn:1,l=r.range.endLineNumber===t?r.range.endColumn:i;if(a>e._range.startColumn||e._range.endColumn>l)return null;var u=new s.Range(e._range.startLineNumber,a,e._range.startLineNumber,l),c=n.getColorData(r.range.getStartPosition());if(!o&&c){o=!0;var d=c.colorInfo,p=d.color,f=d.range;return new b(f,p,c.provider)}if(h.isEmptyMarkdownString(r.options.hoverMessage))return null;var g=void 0
;return r.options.hoverMessage&&(g=Array.isArray(r.options.hoverMessage)?r.options.hoverMessage.slice():[r.options.hoverMessage]),{contents:g,range:u}}).filter(function(e){return!!e})},e.prototype.onResult=function(e,t){this._result=t?e.concat(this._result.sort(function(e,t){return e instanceof b?-1:t instanceof b?1:0})):this._result.concat(e)},e.prototype.getResult=function(){return this._result.slice(0)},e.prototype.getResultWithLoadingMessage=function(){return this._result.slice(0).concat([this._getLoadingMessage()])},e.prototype._getLoadingMessage=function(){return{range:this._range,contents:[(new h.MarkdownString).appendText(n.localize(0,null))]}},e}(),w=function(e){function t(n,o,r){var s=e.call(this,t.ID,n)||this;return s._themeService=r,s.renderDisposable=_.empty,s.toDispose=[],s._computer=new S(s._editor),s._highlightDecorations=[],s._isChangingDecorations=!1,s._markdownRenderer=o,o.onDidRenderCodeBlock(s.onContentsChange,s,s.toDispose),s._hoverOperation=new c.HoverOperation(s._computer,function(e){
return s._withResult(e,!0)},null,function(e){return s._withResult(e,!1)}),s.toDispose.push(i.addStandardDisposableListener(s.getDomNode(),i.EventType.FOCUS,function(){s._colorPicker&&i.addClass(s.getDomNode(),"colorpicker-hover")})),s.toDispose.push(i.addStandardDisposableListener(s.getDomNode(),i.EventType.BLUR,function(){i.removeClass(s.getDomNode(),"colorpicker-hover")})),s}return o(t,e),t.prototype.dispose=function(){this.renderDisposable.dispose(),this.renderDisposable=_.empty,this._hoverOperation.cancel(),this.toDispose=_.dispose(this.toDispose),e.prototype.dispose.call(this)},t.prototype.onModelDecorationsChanged=function(){this._isChangingDecorations||this.isVisible&&(this._hoverOperation.cancel(),this._computer.clearResult(),this._colorPicker||this._hoverOperation.start())},t.prototype.startShowingAt=function(e,t){if(!this._lastRange||!this._lastRange.equalsRange(e)){if(this._hoverOperation.cancel(),this.isVisible)if(this._showAtPosition.lineNumber!==e.startLineNumber)this.hide();else{
for(var n=[],i=0,o=this._messages.length;i<o;i++){var r=this._messages[i],s=r.range;s.startColumn<=e.startColumn&&s.endColumn>=e.endColumn&&n.push(r)}if(n.length>0){if(function(e,t){if(!e&&t||e&&!t||e.length!==t.length)return!1;for(var n=0;n<e.length;n++){var i=e[n],o=t[n];if(i instanceof b)return!1;if(o instanceof b)return!1;if(!h.markedStringsEquals(i.contents,o.contents))return!1}return!0}(n,this._messages))return;this._renderMessages(e,n)}else this.hide()}this._lastRange=e,this._computer.setRange(e),this._shouldFocus=t,this._hoverOperation.start()}},t.prototype.hide=function(){this._lastRange=null,this._hoverOperation.cancel(),e.prototype.hide.call(this),this._isChangingDecorations=!0,this._highlightDecorations=this._editor.deltaDecorations(this._highlightDecorations,[]),this._isChangingDecorations=!1,this.renderDisposable.dispose(),this.renderDisposable=_.empty,this._colorPicker=null},t.prototype.isColorPickerVisible=function(){return!!this._colorPicker},t.prototype._withResult=function(e,t){
this._messages=e,this._lastRange&&this._messages.length>0?this._renderMessages(this._lastRange,this._messages):t&&this.hide()},t.prototype._renderMessages=function(e,n){var i=this;this.renderDisposable.dispose(),this._colorPicker=null;var o,r=Number.MAX_VALUE,l=n[0].range,u=document.createDocumentFragment(),c=!0,d=!1;n.forEach(function(t){if(t.range)if(r=Math.min(r,t.range.startColumn),l=s.Range.plusRange(l,t.range),t instanceof b){d=!0;var n=t.color,p=n.red,m=n.green,S=n.blue,w=n.alpha,E=new v.RGBA(255*p,255*m,255*S,w),L=new v.Color(E),x=i._editor.getModel(),N=new s.Range(t.range.startLineNumber,t.range.startColumn,t.range.endLineNumber,t.range.endColumn),I={range:t.range,color:t.color},T=new f.ColorPickerModel(L,[],0),D=new g.ColorPickerWidget(u,T,i._editor.getConfiguration().pixelRatio,i._themeService);y.getColorPresentations(x,I,t.provider).then(function(n){T.colorPresentations=n;var l=i._editor.getModel().getValueInRange(t.range);T.guessColorPresentation(L,l);var c=function(){var e,t
;T.presentation.textEdit?(e=[T.presentation.textEdit],t=(t=new s.Range(T.presentation.textEdit.range.startLineNumber,T.presentation.textEdit.range.startColumn,T.presentation.textEdit.range.endLineNumber,T.presentation.textEdit.range.endColumn)).setEndPosition(t.endLineNumber,t.startColumn+T.presentation.textEdit.text.length)):(e=[{identifier:null,range:N,text:T.presentation.label,forceMoveMarkers:!1}],t=N.setEndPosition(N.endLineNumber,N.startColumn+T.presentation.label.length)),x.pushEditOperations([],e,function(){return[]}),T.presentation.additionalTextEdits&&(e=T.presentation.additionalTextEdits.slice(),x.pushEditOperations([],e,function(){return[]}),i.hide()),i._editor.pushUndoStop(),N=t},d=function(e){return y.getColorPresentations(x,{range:N,color:{red:e.rgba.r/255,green:e.rgba.g/255,blue:e.rgba.b/255,alpha:e.rgba.a}},t.provider).then(function(e){T.colorPresentations=e})},h=T.onColorFlushed(function(e){d(e).then(c)}),p=T.onDidChangeColor(d);i._colorPicker=D,
i.showAt(new a.Position(e.startLineNumber,r),i._shouldFocus),i.updateContents(u),i._colorPicker.layout(),i.renderDisposable=_.combinedDisposable([h,p,D,o])})}else t.contents.filter(function(e){return!h.isEmptyMarkdownString(e)}).forEach(function(e){var t=i._markdownRenderer.render(e);o=t,u.appendChild(C("div.hover-row",null,t.element)),c=!1})}),d||c||(this.showAt(new a.Position(e.startLineNumber,r),this._shouldFocus),this.updateContents(u)),this._isChangingDecorations=!0,this._highlightDecorations=this._editor.deltaDecorations(this._highlightDecorations,[{range:l,options:t._DECORATION_OPTIONS}]),this._isChangingDecorations=!1},t.ID="editor.contrib.modesContentHoverWidget",t._DECORATION_OPTIONS=p.ModelDecorationOptions.register({className:"hoverHighlight"}),t}(d.ContentHoverWidget);t.ModesContentHoverWidget=w}),define(t[528],n([0,1,322,37,15,62,63,3,11,24,527,255,2,16,23,21,124,378]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var C=function(){
function e(e,t,n,i){var o=this;this._openerService=t,this._modeService=n,this._themeService=i,this._editor=e,this._toUnhook=[],this._isMouseDown=!1,e.getConfiguration().contribInfo.hover&&(this._toUnhook.push(this._editor.onMouseDown(function(e){return o._onEditorMouseDown(e)})),this._toUnhook.push(this._editor.onMouseUp(function(e){return o._onEditorMouseUp(e)})),this._toUnhook.push(this._editor.onMouseMove(function(e){return o._onEditorMouseMove(e)})),this._toUnhook.push(this._editor.onMouseLeave(function(e){return o._hideWidgets()})),this._toUnhook.push(this._editor.onKeyDown(function(e){return o._onKeyDown(e)})),this._toUnhook.push(this._editor.onDidChangeModel(function(){return o._hideWidgets()})),this._toUnhook.push(this._editor.onDidChangeModelDecorations(function(){return o._onModelDecorationsChanged()})),this._toUnhook.push(this._editor.onDidScrollChange(function(e){(e.scrollTopChanged||e.scrollLeftChanged)&&o._hideWidgets()})))}return Object.defineProperty(e.prototype,"contentWidget",{
get:function(){return this._contentWidget||this._createHoverWidget(),this._contentWidget},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"glyphWidget",{get:function(){return this._glyphWidget||this._createHoverWidget(),this._glyphWidget},enumerable:!0,configurable:!0}),e.get=function(t){return t.getContribution(e.ID)},e.prototype._onModelDecorationsChanged=function(){this.contentWidget.onModelDecorationsChanged(),this.glyphWidget.onModelDecorationsChanged()},e.prototype._onEditorMouseDown=function(e){this._isMouseDown=!0;var t=e.target.type;t!==h.MouseTargetType.CONTENT_WIDGET||e.target.detail!==p.ModesContentHoverWidget.ID?t===h.MouseTargetType.OVERLAY_WIDGET&&e.target.detail===f.ModesGlyphHoverWidget.ID||(t!==h.MouseTargetType.OVERLAY_WIDGET&&e.target.detail!==f.ModesGlyphHoverWidget.ID&&(this._hoverClicked=!1),this._hideWidgets()):this._hoverClicked=!0},e.prototype._onEditorMouseUp=function(e){this._isMouseDown=!1},e.prototype._onEditorMouseMove=function(e){
var t=e.target.type,n=r.isMacintosh?"metaKey":"ctrlKey";this._isMouseDown&&this._hoverClicked&&this.contentWidget.isColorPickerVisible()||(t!==h.MouseTargetType.CONTENT_WIDGET||e.target.detail!==p.ModesContentHoverWidget.ID||e.event[n])&&(t!==h.MouseTargetType.OVERLAY_WIDGET||e.target.detail!==f.ModesGlyphHoverWidget.ID||e.event[n])&&(this._editor.getConfiguration().contribInfo.hover&&t===h.MouseTargetType.CONTENT_TEXT?(this.glyphWidget.hide(),this.contentWidget.startShowingAt(e.target.range,!1)):t===h.MouseTargetType.GUTTER_GLYPH_MARGIN?(this.contentWidget.hide(),this.glyphWidget.startShowingAt(e.target.position.lineNumber)):this._hideWidgets())},e.prototype._onKeyDown=function(e){5!==e.keyCode&&6!==e.keyCode&&57!==e.keyCode&&this._hideWidgets()},e.prototype._hideWidgets=function(){!this._contentWidget||this._isMouseDown&&this._hoverClicked&&this._contentWidget.isColorPickerVisible()||(this._glyphWidget.hide(),this._contentWidget.hide())},e.prototype._createHoverWidget=function(){
var e=new y.MarkdownRenderer(this._editor,this._modeService,this._openerService);this._contentWidget=new p.ModesContentHoverWidget(this._editor,e,this._themeService),this._glyphWidget=new f.ModesGlyphHoverWidget(this._editor,e)},e.prototype.showContentHover=function(e,t){this.contentWidget.startShowingAt(e,t)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._toUnhook=g.dispose(this._toUnhook),this._glyphWidget&&(this._glyphWidget.dispose(),this._glyphWidget=null),this._contentWidget&&(this._contentWidget.dispose(),this._contentWidget=null)},e.ID="editor.contrib.hover",e=u([d(1,s.IOpenerService),d(2,a.IModeService),d(3,m.IThemeService)],e)}();t.ModesHoverController=C;var b=function(e){function t(){return e.call(this,{id:"editor.action.showHover",label:n.localize(0,null),alias:"Show Hover",precondition:null,kbOpts:{kbExpr:_.EditorContextKeys.editorTextFocus,primary:i.KeyChord(2089,2087)}})||this}return o(t,e),t.prototype.run=function(e,t){var n=C.get(t);if(n){
var i=t.getPosition(),o=new l.Range(i.lineNumber,i.column,i.lineNumber,i.column);n.showContentHover(o,!0)}},t}(c.EditorAction);c.registerEditorContribution(C),c.registerEditorAction(b),m.registerThemingParticipant(function(e,t){var n=e.getColor(v.editorHoverHighlight);n&&t.addRule(".monaco-editor .hoverHighlight { background-color: "+n+"; }");var i=e.getColor(v.editorHoverBackground);i&&t.addRule(".monaco-editor .monaco-editor-hover { background-color: "+i+"; }");var o=e.getColor(v.editorHoverBorder);o&&(t.addRule(".monaco-editor .monaco-editor-hover { border: 1px solid "+o+"; }"),t.addRule(".monaco-editor .monaco-editor-hover .hover-row:not(:first-child):not(:empty) { border-top: 1px solid "+o.transparent(.5)+"; }"));var r=e.getColor(v.textLinkForeground);r&&t.addRule(".monaco-editor .monaco-editor-hover a { color: "+r+"; }");var s=e.getColor(v.textCodeBlockBackground);s&&t.addRule(".monaco-editor .monaco-editor-hover code { background-color: "+s+"; }")})}),
define(t[529],n([0,1,324,8,3,20,21,11,67,256,104,16,35,31]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=function(){function e(e,t){this.editor=e,this.editorWorkerService=t,this.currentRequest=i.TPromise.as(null),this.decorationRemover=i.TPromise.as(null),this.decorationIds=[]}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){},e.prototype.getId=function(){return e.ID},e.prototype.run=function(t,n){var o=this;this.currentRequest.cancel();var a=this.editor.getSelection(),l=this.editor.getModel().uri;if(a.startLineNumber!==a.endLineNumber)return null;var u=new p.EditorState(this.editor,5);return this.editorWorkerService.canNavigateValueSet(l)?(this.currentRequest=this.editorWorkerService.navigateValueSet(l,a,n),this.currentRequest=this.currentRequest.then(function(e){return e&&e.range&&e.value?e:null})):this.currentRequest=i.TPromise.as(null),this.currentRequest.then(function(n){
if(n&&n.range&&n.value&&u.validate(o.editor)){var l=r.Range.lift(n.range),c=n.range,d=n.value.length-(a.endColumn-a.startColumn);c={startLineNumber:c.startLineNumber,startColumn:c.startColumn,endLineNumber:c.endLineNumber,endColumn:c.startColumn+n.value.length},d>1&&(a=new s.Selection(a.startLineNumber,a.startColumn,a.endLineNumber,a.endColumn+d-1));var p=new h.InPlaceReplaceCommand(l,a,n.value);o.editor.pushUndoStop(),o.editor.executeCommand(t,p),o.editor.pushUndoStop(),o.decorationIds=o.editor.deltaDecorations(o.decorationIds,[{range:c,options:e.DECORATION}]),o.decorationRemover.cancel(),o.decorationRemover=i.TPromise.timeout(350),o.decorationRemover.then(function(){o.editor.changeDecorations(function(e){o.decorationIds=e.deltaDecorations(o.decorationIds,[])})})}})},e.ID="editor.contrib.inPlaceReplaceController",e.DECORATION=m.ModelDecorationOptions.register({className:"valueSetReplacement"}),e=u([d(1,c.IEditorWorkerService)],e)}(),_=function(e){function t(){return e.call(this,{
id:"editor.action.inPlaceReplace.up",label:n.localize(0,null),alias:"Replace with Previous Value",precondition:a.EditorContextKeys.writable,kbOpts:{kbExpr:a.EditorContextKeys.editorTextFocus,primary:3154}})||this}return o(t,e),t.prototype.run=function(e,t){var n=v.get(t);if(n)return n.run(this.id,!0)},t}(l.EditorAction),y=function(e){function t(){return e.call(this,{id:"editor.action.inPlaceReplace.down",label:n.localize(1,null),alias:"Replace with Next Value",precondition:a.EditorContextKeys.writable,kbOpts:{kbExpr:a.EditorContextKeys.editorTextFocus,primary:3156}})||this}return o(t,e),t.prototype.run=function(e,t){var n=v.get(t);if(n)return n.run(this.id,!1)},t}(l.EditorAction);l.registerEditorContribution(v),l.registerEditorAction(_),l.registerEditorAction(y),f.registerThemingParticipant(function(e,t){var n=e.getColor(g.editorBracketMatchBorder);n&&t.addRule(".monaco-editor.vs .valueSetReplacement { outline: solid 2px "+n+"; }")})}),
define(t[530],n([0,1,326,12,15,8,62,11,17,24,407,2,16,23,31,150,73,28,40,379]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var S=(new y.MarkdownString).appendText(r.isMacintosh?n.localize(0,null):n.localize(1,null)),w=(new y.MarkdownString).appendText(r.isMacintosh?n.localize(2,null):n.localize(3,null)),E=(new y.MarkdownString).appendText(r.isMacintosh?n.localize(4,null):n.localize(5,null)),L=(new y.MarkdownString).appendText(r.isMacintosh?n.localize(6,null):n.localize(7,null)),x={meta:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link",hoverMessage:S}),metaActive:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link-active",hoverMessage:S}),alt:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link",hoverMessage:E}),
altActive:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link-active",hoverMessage:E}),altCommand:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link",hoverMessage:L}),altCommandActive:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link-active",hoverMessage:L}),metaCommand:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link",hoverMessage:w}),metaCommandActive:v.ModelDecorationOptions.register({stickiness:C.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,inlineClassName:"detected-link-active",hoverMessage:w})},N=function(){function e(e,t){this.link=e,this.decorationId=t}return e.decoration=function(t,n){return{range:t.range,options:e._getOptions(t,n,!1)}},e._getOptions=function(e,t,n){
return/^command:/i.test(e.url)?t?n?x.metaCommandActive:x.metaCommand:n?x.altCommandActive:x.altCommand:t?n?x.metaActive:x.meta:n?x.altActive:x.alt},e.prototype.activate=function(t,n){t.changeDecorationOptions(this.decorationId,e._getOptions(this.link,n,!0))},e.prototype.deactivate=function(t,n){t.changeDecorationOptions(this.decorationId,e._getOptions(this.link,n,!1))},e}(),I=function(){function e(e,t,n){var i=this;this.editor=e,this.openerService=t,this.notificationService=n,this.listenersToRemove=[];var o=new _.ClickLinkGesture(e);this.listenersToRemove.push(o),this.listenersToRemove.push(o.onMouseMoveOrRelevantKeyDown(function(e){var t=e[0],n=e[1];i._onEditorMouseMove(t,n)})),this.listenersToRemove.push(o.onExecute(function(e){i.onEditorMouseUp(e)})),this.listenersToRemove.push(o.onCancel(function(e){i.cleanUpActiveLinkDecoration()})),this.enabled=e.getConfiguration().contribInfo.links,this.listenersToRemove.push(e.onDidChangeConfiguration(function(t){var n=e.getConfiguration().contribInfo.links
;i.enabled!==n&&(i.enabled=n,i.updateDecorations([]),i.stop(),i.beginCompute())})),this.listenersToRemove.push(e.onDidChangeModelContent(function(e){return i.onChange()})),this.listenersToRemove.push(e.onDidChangeModel(function(e){return i.onModelChanged()})),this.listenersToRemove.push(e.onDidChangeModelLanguage(function(e){return i.onModelModeChanged()})),this.listenersToRemove.push(c.LinkProviderRegistry.onDidChange(function(e){return i.onModelModeChanged()})),this.timeoutPromise=null,this.computePromise=null,this.currentOccurrences={},this.activeLinkDecorationId=null,this.beginCompute()}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.onModelChanged=function(){this.currentOccurrences={},this.activeLinkDecorationId=null,this.stop(),this.beginCompute()},e.prototype.onModelModeChanged=function(){this.stop(),this.beginCompute()},e.prototype.onChange=function(){var t=this
;this.timeoutPromise||(this.timeoutPromise=s.TPromise.timeout(e.RECOMPUTE_TIME),this.timeoutPromise.then(function(){t.timeoutPromise=null,t.beginCompute()}))},e.prototype.beginCompute=function(){var e=this;this.editor.getModel()&&this.enabled&&c.LinkProviderRegistry.has(this.editor.getModel())&&(this.computePromise=p.getLinks(this.editor.getModel()).then(function(t){e.updateDecorations(t),e.computePromise=null}))},e.prototype.updateDecorations=function(e){var t=this,n="altKey"===this.editor.getConfiguration().multiCursorModifier;this.editor.changeDecorations(function(i){for(var o=[],r=Object.keys(t.currentOccurrences),s=0,a=r.length;s<a;s++){var l=r[s],u=t.currentOccurrences[l];o.push(u.decorationId)}var c=[];if(e)for(var d=0;d<e.length;d++)c.push(N.decoration(e[d],n));var h=i.deltaDecorations(o,c);t.currentOccurrences={},t.activeLinkDecorationId=null;for(var p=0,a=h.length;p<a;p++){var f=new N(e[p],h[p]);t.currentOccurrences[f.decorationId]=f}})},e.prototype._onEditorMouseMove=function(e,t){
var n=this,i="altKey"===this.editor.getConfiguration().multiCursorModifier;if(this.isEnabled(e,t)){this.cleanUpActiveLinkDecoration();var o=this.getLinkOccurrence(e.target.position);o&&this.editor.changeDecorations(function(e){o.activate(e,i),n.activeLinkDecorationId=o.decorationId})}else this.cleanUpActiveLinkDecoration()},e.prototype.cleanUpActiveLinkDecoration=function(){var e="altKey"===this.editor.getConfiguration().multiCursorModifier;if(this.activeLinkDecorationId){var t=this.currentOccurrences[this.activeLinkDecorationId];t&&this.editor.changeDecorations(function(n){t.deactivate(n,e)}),this.activeLinkDecorationId=null}},e.prototype.onEditorMouseUp=function(e){if(this.isEnabled(e)){var t=this.getLinkOccurrence(e.target.position);t&&this.openLinkOccurrence(t,e.hasSideBySideModifier)}},e.prototype.openLinkOccurrence=function(e,t){var o=this;if(this.openerService){var r=e.link;r.resolve().then(function(e){return o.openerService.open(e,{openToSide:t})},function(e){
"invalid"===e?o.notificationService.warn(n.localize(8,null,r.url)):"missing"===e?o.notificationService.warn(n.localize(9,null)):i.onUnexpectedError(e)}).done(null,i.onUnexpectedError)}},e.prototype.getLinkOccurrence=function(e){for(var t=this.editor.getModel().getDecorationsInRange({startLineNumber:e.lineNumber,startColumn:e.column,endLineNumber:e.lineNumber,endColumn:e.column},0,!0),n=0;n<t.length;n++){var i=t[n],o=this.currentOccurrences[i.id];if(o)return o}return null},e.prototype.isEnabled=function(e,t){return e.target.type===h.MouseTargetType.CONTENT_TEXT&&(e.hasTriggerModifier||t&&t.keyCodeIsTriggerKey)},e.prototype.stop=function(){this.timeoutPromise&&(this.timeoutPromise.cancel(),this.timeoutPromise=null),this.computePromise&&(this.computePromise.cancel(),this.computePromise=null)},e.prototype.dispose=function(){this.listenersToRemove=f.dispose(this.listenersToRemove),this.stop()},e.ID="editor.linkDetector",e.RECOMPUTE_TIME=1e3,e=u([d(1,a.IOpenerService),d(2,b.INotificationService)],e)
}(),T=function(e){function t(){return e.call(this,{id:"editor.action.openLink",label:n.localize(10,null),alias:"Open Link",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){var n=I.get(t);if(n)for(var i=0,o=t.getSelections();i<o.length;i++){var r=o[i],s=n.getLinkOccurrence(r.getEndPosition());s&&n.openLinkOccurrence(s,!1)}},t}(l.EditorAction);l.registerEditorContribution(I),l.registerEditorAction(T),g.registerThemingParticipant(function(e,t){var n=e.getColor(m.editorActiveLinkForeground);n&&t.addRule(".monaco-editor .detected-link-active { color: "+n+" !important; }")})}),define(t[200],n([0,1,18,2,50,3,11,24,19,16,23,44,380]),function(e,t,n,i,o,r,s,a,l,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(t,n){this._messageListeners=[],this._editor=t,this._visible=e.CONTEXT_SNIPPET_MODE.bindTo(n)}return e.get=function(t){return t.getContribution(e._id)},e.prototype.getId=function(){return e._id},e.prototype.dispose=function(){this._visible.reset()
},e.prototype.isVisible=function(){return this._visible.get()},e.prototype.showMessage=function(e,t){var s=this;o.alert(e),this._visible.set(!0),i.dispose(this._messageWidget),this._messageListeners=i.dispose(this._messageListeners),this._messageWidget=new m(this._editor,t,e),this._messageListeners.push(this._editor.onDidBlurEditorText(function(){return s.closeMessage()})),this._messageListeners.push(this._editor.onDidChangeCursorPosition(function(){return s.closeMessage()})),this._messageListeners.push(this._editor.onDidDispose(function(){return s.closeMessage()})),this._messageListeners.push(this._editor.onDidChangeModel(function(){return s.closeMessage()})),this._messageListeners.push(n.setDisposableTimeout(function(){return s.closeMessage()},3e3));var a;this._messageListeners.push(this._editor.onMouseMove(function(e){e.target.position&&(a?a.containsPosition(e.target.position)||s.closeMessage():a=new r.Range(t.lineNumber-3,1,e.target.position.lineNumber+3,1))}))},e.prototype.closeMessage=function(){
this._visible.reset(),this._messageListeners=i.dispose(this._messageListeners),this._messageListeners.push(m.fadeOut(this._messageWidget))},e._id="editor.contrib.messageController",e.CONTEXT_SNIPPET_MODE=new l.RawContextKey("messageVisible",!1),e=u([d(1,l.IContextKeyService)],e)}();t.MessageController=f;var g=s.EditorCommand.bindToContribution(f.get);s.registerEditorCommand(new g({id:"leaveEditorMessage",precondition:f.CONTEXT_SNIPPET_MODE,handler:function(e){return e.closeMessage()},kbOpts:{weight:p.KeybindingsRegistry.WEIGHT.editorContrib(30),primary:9}}));var m=function(){function e(e,t,n){var i=t.lineNumber,o=t.column;this.allowEditorOverflow=!0,this.suppressMouseDown=!1,this._editor=e,this._editor.revealLinesInCenterIfOutsideViewport(i,i,0),this._position={lineNumber:i,column:o-1},this._domNode=document.createElement("div"),this._domNode.classList.add("monaco-editor-overlaymessage");var r=document.createElement("div");r.classList.add("message"),r.textContent=n,this._domNode.appendChild(r)
;var s=document.createElement("div");s.classList.add("anchor"),this._domNode.appendChild(s),this._editor.addContentWidget(this),this._domNode.classList.add("fadeIn")}return e.fadeOut=function(e){var t,n=function(){e.dispose(),clearTimeout(t),e.getDomNode().removeEventListener("animationend",n)};return t=setTimeout(n,110),e.getDomNode().addEventListener("animationend",n),e.getDomNode().classList.add("fadeOut"),{dispose:n}},e.prototype.dispose=function(){this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"messageoverlay"},e.prototype.getDomNode=function(){return this._domNode},e.prototype.getPosition=function(){return{position:this._position,preference:[a.ContentWidgetPositionPreference.ABOVE]}},e}();s.registerEditorContribution(f),c.registerThemingParticipant(function(e,t){var n=e.getColor(h.inputValidationInfoBorder);if(n){var i=e.type===c.HIGH_CONTRAST?2:1;t.addRule(".monaco-editor .monaco-editor-overlaymessage .anchor { border-top-color: "+n+"; }"),
t.addRule(".monaco-editor .monaco-editor-overlaymessage .message { border: "+i+"px solid "+n+"; }")}var o=e.getColor(h.inputValidationInfoBackground);o&&t.addRule(".monaco-editor .monaco-editor-overlaymessage .message { background-color: "+o+"; }")})}),define(t[532],n([0,1,327,2,37,18,28,21,11,3,20,56,195,17,199,31,23,16]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_){"use strict";function y(e,t,n){for(var i=C(e,t[0],!n),o=1,r=t.length;o<r;o++){var s=t[o];if(s.isEmpty())return!1;if(i!==C(e,s,!n))return!1}return!0}function C(e,t,n){var i=e.getValueInRange(t);return n?i.toLowerCase():i}Object.defineProperty(t,"__esModule",{value:!0});var b=function(e){function t(){return e.call(this,{id:"editor.action.insertCursorAbove",label:n.localize(0,null),alias:"Add Cursor Above",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2576,linux:{primary:1552,secondary:[3088]}}})||this}return o(t,e),t.prototype.run=function(e,t,n){var i=t._getCursors(),o=i.context
;o.config.readOnly||(o.model.pushStackElement(),i.setStates(n.source,h.CursorChangeReason.Explicit,p.CursorMoveCommands.addCursorUp(o,i.getAll())),i.reveal(!0,1,0))},t}(u.EditorAction);t.InsertCursorAbove=b;var S=function(e){function t(){return e.call(this,{id:"editor.action.insertCursorBelow",label:n.localize(1,null),alias:"Add Cursor Below",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2578,linux:{primary:1554,secondary:[3090]}}})||this}return o(t,e),t.prototype.run=function(e,t,n){var i=t._getCursors(),o=i.context;o.config.readOnly||(o.model.pushStackElement(),i.setStates(n.source,h.CursorChangeReason.Explicit,p.CursorMoveCommands.addCursorDown(o,i.getAll())),i.reveal(!0,2,0))},t}(u.EditorAction);t.InsertCursorBelow=S;var w=function(e){function t(){return e.call(this,{id:"editor.action.insertCursorAtEndOfEachLineSelected",label:n.localize(2,null),alias:"Add Cursors to Line Ends",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:1575}})||this}
return o(t,e),t.prototype.getCursorsForSelection=function(e,t){if(e.isEmpty())return[];for(var n=t.getModel(),i=[],o=e.startLineNumber;o<e.endLineNumber;o++){var r=n.getLineMaxColumn(o);i.push(new d.Selection(o,r,o,r))}return e.endColumn>1&&i.push(new d.Selection(e.endLineNumber,e.endColumn,e.endLineNumber,e.endColumn)),i},t.prototype.run=function(e,t){var n=this,i=t.getSelections().map(function(e){return n.getCursorsForSelection(e,t)}).reduce(function(e,t){return e.concat(t)});i.length>0&&t.setSelections(i)},t}(u.EditorAction),E=function(){return function(e,t,n){this.selections=e,this.revealRange=t,this.revealScrollType=n}}();t.MultiCursorSessionResult=E;var L=function(){function e(e,t,n,i,o,r,s){this._editor=e,this.findController=t,this.isDisconnectedFromFindController=n,this.searchText=i,this.wholeWord=o,this.matchCase=r,this.currentMatch=s}return e.create=function(t,n){var i=n.getState()
;if(!t.isFocused()&&i.isRevealed&&i.searchString.length>0)return new e(t,n,!1,i.searchString,i.wholeWord,i.matchCase,null);var o,r,s=!1,a=t.getSelections();1===a.length&&a[0].isEmpty()?(s=!0,o=!0,r=!0):(o=i.wholeWord,r=i.matchCase);var l,u=t.getSelection(),c=null;if(u.isEmpty()){var h=t.getModel().getWordAtPosition(u.getStartPosition());if(!h)return null;l=h.word,c=new d.Selection(u.startLineNumber,h.startColumn,u.startLineNumber,h.endColumn)}else l=t.getModel().getValueInRange(u).replace(/\r\n/g,"\n");return new e(t,n,s,l,o,r,c)},e.prototype.addSelectionToNextFindMatch=function(){var e=this._getNextMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.concat(e),e,0)},e.prototype.moveSelectionToNextFindMatch=function(){var e=this._getNextMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.slice(0,t.length-1).concat(e),e,0)},e.prototype._getNextMatch=function(){if(this.currentMatch){var e=this.currentMatch;return this.currentMatch=null,e}
this.findController.highlightFindOptions();var t=this._editor.getSelections(),n=t[t.length-1],i=this._editor.getModel().findNextMatch(this.searchText,n.getEndPosition(),!1,this.matchCase,this.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1);return i?new d.Selection(i.range.startLineNumber,i.range.startColumn,i.range.endLineNumber,i.range.endColumn):null},e.prototype.addSelectionToPreviousFindMatch=function(){var e=this._getPreviousMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.concat(e),e,0)},e.prototype.moveSelectionToPreviousFindMatch=function(){var e=this._getPreviousMatch();if(!e)return null;var t=this._editor.getSelections();return new E(t.slice(0,t.length-1).concat(e),e,0)},e.prototype._getPreviousMatch=function(){if(this.currentMatch){var e=this.currentMatch;return this.currentMatch=null,e}this.findController.highlightFindOptions()
;var t=this._editor.getSelections(),n=t[t.length-1],i=this._editor.getModel().findPreviousMatch(this.searchText,n.getStartPosition(),!1,this.matchCase,this.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1);return i?new d.Selection(i.range.startLineNumber,i.range.startColumn,i.range.endLineNumber,i.range.endColumn):null},e.prototype.selectAll=function(){return this.findController.highlightFindOptions(),this._editor.getModel().findMatches(this.searchText,!0,!1,this.matchCase,this.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1,1073741824)},e}();t.MultiCursorSession=L;var x=function(e){function t(t){var n=e.call(this)||this;return n._editor=t,n._ignoreSelectionChange=!1,n._session=null,n._sessionDispose=[],n}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.dispose=function(){this._endSession(),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype._beginSessionIfNeeded=function(e){var t=this;if(!this._session){
var n=L.create(this._editor,e);if(!n)return;this._session=n;var i={searchString:this._session.searchText};this._session.isDisconnectedFromFindController&&(i.wholeWordOverride=1,i.matchCaseOverride=1,i.isRegexOverride=2),e.getState().change(i,!1),this._sessionDispose=[this._editor.onDidChangeCursorSelection(function(e){t._ignoreSelectionChange||t._endSession()}),this._editor.onDidBlurEditorText(function(){t._endSession()}),e.getState().onFindReplaceStateChange(function(e){(e.matchCase||e.wholeWord)&&t._endSession()})]}},t.prototype._endSession=function(){if(this._sessionDispose=i.dispose(this._sessionDispose),this._session&&this._session.isDisconnectedFromFindController){var e={wholeWordOverride:0,matchCaseOverride:0,isRegexOverride:0};this._session.findController.getState().change(e,!1)}this._session=null},t.prototype._setSelections=function(e){this._ignoreSelectionChange=!0,this._editor.setSelections(e),this._ignoreSelectionChange=!1},t.prototype._expandEmptyToWord=function(e,t){if(!t.isEmpty())return t
;var n=e.getWordAtPosition(t.getStartPosition());return n?new d.Selection(t.startLineNumber,n.startColumn,t.startLineNumber,n.endColumn):t},t.prototype._applySessionResult=function(e){e&&(this._setSelections(e.selections),e.revealRange&&this._editor.revealRangeInCenterIfOutsideViewport(e.revealRange,e.revealScrollType))},t.prototype.getSession=function(e){return this._session},t.prototype.addSelectionToNextFindMatch=function(e){if(!this._session){var t=this._editor.getSelections();if(t.length>1){var n=e.getState().matchCase;if(!y(this._editor.getModel(),t,n)){for(var i=this._editor.getModel(),o=[],r=0,s=t.length;r<s;r++)o[r]=this._expandEmptyToWord(i,t[r]);return void this._editor.setSelections(o)}}}this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.addSelectionToNextFindMatch())},t.prototype.addSelectionToPreviousFindMatch=function(e){this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.addSelectionToPreviousFindMatch())},
t.prototype.moveSelectionToNextFindMatch=function(e){this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.moveSelectionToNextFindMatch())},t.prototype.moveSelectionToPreviousFindMatch=function(e){this._beginSessionIfNeeded(e),this._session&&this._applySessionResult(this._session.moveSelectionToPreviousFindMatch())},t.prototype.selectAll=function(e){var t=null,n=e.getState();if(n.isRevealed&&n.searchString.length>0&&n.isRegex)t=this._editor.getModel().findMatches(n.searchString,!0,n.isRegex,n.matchCase,n.wholeWord?this._editor.getConfiguration().wordSeparators:null,!1,1073741824);else{if(this._beginSessionIfNeeded(e),!this._session)return;t=this._session.selectAll()}if(t.length>0){for(var i=this._editor.getSelection(),o=0,r=t.length;o<r;o++){var s=t[o];if(s.range.intersectRanges(i)){t[o]=t[0],t[0]=s;break}}this._setSelections(t.map(function(e){return new d.Selection(e.range.startLineNumber,e.range.startColumn,e.range.endLineNumber,e.range.endColumn)}))}},
t.ID="editor.contrib.multiCursorController",t}(i.Disposable);t.MultiCursorSelectionController=x;var N=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype.run=function(e,t){var n=x.get(t);if(n){var i=g.CommonFindController.get(t);if(!i)return null;this._run(n,i)}},t}(u.EditorAction);t.MultiCursorSelectionControllerAction=N;var I=function(e){function t(){return e.call(this,{id:"editor.action.addSelectionToNextFindMatch",label:n.localize(3,null),alias:"Add Selection To Next Find Match",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.focus,primary:2082}})||this}return o(t,e),t.prototype._run=function(e,t){e.addSelectionToNextFindMatch(t)},t}(N);t.AddSelectionToNextFindMatchAction=I;var T=function(e){function t(){return e.call(this,{id:"editor.action.addSelectionToPreviousFindMatch",label:n.localize(4,null),alias:"Add Selection To Previous Find Match",precondition:null})||this}return o(t,e),t.prototype._run=function(e,t){e.addSelectionToPreviousFindMatch(t)},t}(N)
;t.AddSelectionToPreviousFindMatchAction=T;var D=function(e){function t(){return e.call(this,{id:"editor.action.moveSelectionToNextFindMatch",label:n.localize(5,null),alias:"Move Last Selection To Next Find Match",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.focus,primary:r.KeyChord(2089,2082)}})||this}return o(t,e),t.prototype._run=function(e,t){e.moveSelectionToNextFindMatch(t)},t}(N);t.MoveSelectionToNextFindMatchAction=D;var M=function(e){function t(){return e.call(this,{id:"editor.action.moveSelectionToPreviousFindMatch",label:n.localize(6,null),alias:"Move Last Selection To Previous Find Match",precondition:null})||this}return o(t,e),t.prototype._run=function(e,t){e.moveSelectionToPreviousFindMatch(t)},t}(N);t.MoveSelectionToPreviousFindMatchAction=M;var k=function(e){function t(){return e.call(this,{id:"editor.action.selectHighlights",label:n.localize(7,null),alias:"Select All Occurrences of Find Match",precondition:null,kbOpts:{kbExpr:l.EditorContextKeys.focus,primary:3114}})||this}
return o(t,e),t.prototype._run=function(e,t){e.selectAll(t)},t}(N);t.SelectHighlightsAction=k;var O=function(e){function t(){return e.call(this,{id:"editor.action.changeAll",label:n.localize(8,null),alias:"Change All Occurrences",precondition:l.EditorContextKeys.writable,kbOpts:{kbExpr:l.EditorContextKeys.editorTextFocus,primary:2108},menuOpts:{group:"1_modification",order:1.2}})||this}return o(t,e),t.prototype._run=function(e,t){e.selectAll(t)},t}(N);t.CompatChangeAll=O;var R=function(){function e(e,t,n,i){this.lastWordUnderCursor=e,this.searchText=t,this.matchCase=n,this.wordSeparators=i}return e.softEquals=function(e,t){return!e&&!t||!(!e||!t)&&(e.searchText===t.searchText&&e.matchCase===t.matchCase&&e.wordSeparators===t.wordSeparators)},e}(),P=function(e){function t(t){var n=e.call(this)||this;return n.editor=t,n._isEnabled=t.getConfiguration().contribInfo.selectionHighlight,n.decorations=[],n.updateSoon=n._register(new s.RunOnceScheduler(function(){return n._update()},300)),n.state=null,
n._register(t.onDidChangeConfiguration(function(e){n._isEnabled=t.getConfiguration().contribInfo.selectionHighlight})),n._register(t.onDidChangeCursorSelection(function(e){n._isEnabled&&(e.selection.isEmpty()?e.reason===h.CursorChangeReason.Explicit?(!n.state||n.state.lastWordUnderCursor&&n.state.lastWordUnderCursor.containsPosition(e.selection.getStartPosition())||n._setState(null),n.updateSoon.schedule()):n._setState(null):n._update())})),n._register(t.onDidChangeModel(function(e){n._setState(null)})),n._register(g.CommonFindController.get(t).getState().onFindReplaceStateChange(function(e){n._update()})),n}return o(t,e),t.prototype.getId=function(){return t.ID},t.prototype._update=function(){this._setState(t._createState(this._isEnabled,this.editor))},t._createState=function(e,t){if(!e)return null;var n=t.getModel();if(!n)return null;var i=t.getSelection();if(i.startLineNumber!==i.endLineNumber)return null;var o=x.get(t);if(!o)return null;var r=g.CommonFindController.get(t);if(!r)return null
;var s=o.getSession(r);if(!s){var a=t.getSelections();if(a.length>1){var l=r.getState().matchCase;if(!y(t.getModel(),a,l))return null}s=L.create(t,r)}if(!s)return null;var u=null,c=f.DocumentHighlightProviderRegistry.has(n);if(s.currentMatch){if(c)return null;if(!t.getConfiguration().contribInfo.occurrencesHighlight)return null;u=s.currentMatch}if(/^[ \t]+$/.test(s.searchText))return null;if(s.searchText.length>200)return null;var d=r.getState(),h=d.matchCase;if(d.isRevealed){var p=d.searchString;h||(p=p.toLowerCase());var m=s.searchText;if(h||(m=m.toLowerCase()),p===m&&s.matchCase===d.matchCase&&s.wholeWord===d.wholeWord&&!d.isRegex)return null}return new R(u,s.searchText,s.matchCase,s.wholeWord?t.getConfiguration().wordSeparators:null)},t.prototype._setState=function(e){if(R.softEquals(this.state,e))this.state=e;else if(this.state=e,this.state){var n=this.editor.getModel();if(!n.isTooLargeForTokenization()){
var i=f.DocumentHighlightProviderRegistry.has(n),o=n.findMatches(this.state.searchText,!0,!1,this.state.matchCase,this.state.wordSeparators,!1).map(function(e){return e.range});o.sort(c.Range.compareRangesUsingStarts);var r=this.editor.getSelections();r.sort(c.Range.compareRangesUsingStarts);for(var s=[],a=0,l=0,u=o.length,d=r.length;a<u;){var h=o[a];if(l>=d)s.push(h),a++;else{var p=c.Range.compareRangesUsingStarts(h,r[l]);p<0?(s.push(h),a++):p>0?l++:(a++,l++)}}var g=s.map(function(e){return{range:e,options:i?t._SELECTION_HIGHLIGHT:t._SELECTION_HIGHLIGHT_OVERVIEW}});this.decorations=this.editor.deltaDecorations(this.decorations,g)}}else this.decorations.length>0&&(this.decorations=this.editor.deltaDecorations(this.decorations,[]))},t.prototype.dispose=function(){this._setState(null),e.prototype.dispose.call(this)},t.ID="editor.contrib.selectionHighlighter",t._SELECTION_HIGHLIGHT_OVERVIEW=m.ModelDecorationOptions.register({stickiness:a.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,
className:"selectionHighlight",overviewRuler:{color:_.themeColorFromId(v.overviewRulerSelectionHighlightForeground),darkColor:_.themeColorFromId(v.overviewRulerSelectionHighlightForeground),position:a.OverviewRulerLane.Center}}),t._SELECTION_HIGHLIGHT=m.ModelDecorationOptions.register({stickiness:a.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"selectionHighlight"}),t}(i.Disposable);t.SelectionHighlighter=P,u.registerEditorContribution(x),u.registerEditorContribution(P),u.registerEditorAction(b),u.registerEditorAction(S),u.registerEditorAction(w),u.registerEditorAction(I),u.registerEditorAction(T),u.registerEditorAction(D),u.registerEditorAction(M),u.registerEditorAction(k),u.registerEditorAction(O)}),define(t[533],n([0,1,329,2,8,10,50,17,24,18,12,4,91,19,183,57,86,16,23,62,63,124,381]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var L=s.$,x=function(e){function t(n){var i=e.call(this)||this
;return i._onHint=i._register(new f.Emitter),i.onHint=i._onHint.event,i._onCancel=i._register(new f.Emitter),i.onCancel=i._onCancel.event,i.editor=n,i.enabled=!1,i.triggerCharactersListeners=[],i.throttledDelayer=new h.RunOnceScheduler(function(){return i.doTrigger()},t.DELAY),i.active=!1,i._register(i.editor.onDidChangeConfiguration(function(){return i.onEditorConfigurationChange()})),i._register(i.editor.onDidChangeModel(function(e){return i.onModelChanged()})),i._register(i.editor.onDidChangeModelLanguage(function(e){return i.onModelChanged()})),i._register(i.editor.onDidChangeCursorSelection(function(e){return i.onCursorChange(e)})),i._register(l.SignatureHelpProviderRegistry.onDidChange(i.onModelChanged,i)),i.onEditorConfigurationChange(),i.onModelChanged(),i}return o(t,e),t.prototype.cancel=function(e){void 0===e&&(e=!1),this.active=!1,this.throttledDelayer.cancel(),e||this._onCancel.fire(void 0)},t.prototype.trigger=function(e){if(void 0===e&&(e=t.DELAY),
l.SignatureHelpProviderRegistry.has(this.editor.getModel()))return this.cancel(!0),this.throttledDelayer.schedule(e)},t.prototype.doTrigger=function(){var e=this;v.provideSignatureHelp(this.editor.getModel(),this.editor.getPosition()).then(null,p.onUnexpectedError).then(function(t){if(!t||!t.signatures||0===t.signatures.length)return e.cancel(),e._onCancel.fire(void 0),!1;e.active=!0;var n={hints:t};return e._onHint.fire(n),!0})},t.prototype.isTriggered=function(){return this.active||this.throttledDelayer.isScheduled()},t.prototype.onModelChanged=function(){var e=this;this.active&&this.cancel(),this.triggerCharactersListeners=i.dispose(this.triggerCharactersListeners);var t=this.editor.getModel();if(t){for(var n=new y.CharacterSet,o=0,r=l.SignatureHelpProviderRegistry.ordered(t);o<r.length;o++){var s=r[o];if(Array.isArray(s.signatureHelpTriggerCharacters))for(var a=0,u=s.signatureHelpTriggerCharacters;a<u.length;a++){var c=u[a];n.add(c.charCodeAt(0))}}
this.triggerCharactersListeners.push(this.editor.onDidType(function(t){e.enabled&&n.has(t.charCodeAt(t.length-1))&&e.trigger()}))}},t.prototype.onCursorChange=function(e){"mouse"===e.source?this.cancel():this.isTriggered()&&this.trigger()},t.prototype.onEditorConfigurationChange=function(){this.enabled=this.editor.getConfiguration().contribInfo.parameterHints,this.enabled||this.cancel()},t.prototype.dispose=function(){this.cancel(!0),this.triggerCharactersListeners=i.dispose(this.triggerCharactersListeners),e.prototype.dispose.call(this)},t.DELAY=120,t}(i.Disposable);t.ParameterHintsModel=x;var N=function(){function e(e,t,n,i){var o=this;this.editor=e,this.allowEditorOverflow=!0,this.markdownRenderer=new E.MarkdownRenderer(e,i,n),this.model=new x(e),this.keyVisible=v.Context.Visible.bindTo(t),this.keyMultipleSignatures=v.Context.MultipleSignatures.bindTo(t),this.visible=!1,this.disposables=[],this.disposables.push(this.model.onHint(function(e){o.show(),o.hints=e.hints,
o.currentSignature=e.hints.activeSignature,o.render()})),this.disposables.push(this.model.onCancel(function(){o.hide()}))}return e.prototype.createParamaterHintDOMNodes=function(){var e=this;this.element=L(".editor-widget.parameter-hints-widget");var t=s.append(this.element,L(".wrapper")),n=s.append(t,L(".buttons")),i=s.append(n,L(".button.previous")),o=s.append(n,L(".button.next"));g.stop(g.domEvent(i,"click"))(this.previous,this,this.disposables);g.stop(g.domEvent(o,"click"))(this.next,this,this.disposables),this.overloads=s.append(t,L(".overloads"));var r=L(".body");this.scrollbar=new _.DomScrollableElement(r,{}),this.disposables.push(this.scrollbar),t.appendChild(this.scrollbar.getDomNode()),this.signature=s.append(r,L(".signature")),this.docs=s.append(r,L(".docs")),this.currentSignature=0,this.editor.addContentWidget(this),this.hide(),this.disposables.push(this.editor.onDidChangeCursorSelection(function(t){e.visible&&e.editor.layoutContentWidget(e)}));var a=function(){
var t=e.editor.getConfiguration().fontInfo;e.element.style.fontSize=t.fontSize+"px"};a(),f.chain(this.editor.onDidChangeConfiguration.bind(this.editor)).filter(function(e){return e.fontInfo}).on(a,null,this.disposables),this.disposables.push(this.editor.onDidLayoutChange(function(t){return e.updateMaxHeight()})),this.updateMaxHeight()},e.prototype.show=function(){var e=this;this.model&&!this.visible&&(this.element||this.createParamaterHintDOMNodes(),this.keyVisible.set(!0),this.visible=!0,r.TPromise.timeout(100).done(function(){return s.addClass(e.element,"visible")}),this.editor.layoutContentWidget(this))},e.prototype.hide=function(){this.model&&this.visible&&(this.element||this.createParamaterHintDOMNodes(),this.keyVisible.reset(),this.visible=!1,this.hints=null,this.announcedLabel=null,s.removeClass(this.element,"visible"),this.editor.layoutContentWidget(this))},e.prototype.getPosition=function(){return this.visible?{position:this.editor.getPosition(),
preference:[c.ContentWidgetPositionPreference.ABOVE,c.ContentWidgetPositionPreference.BELOW]}:null},e.prototype.render=function(){var e=this.hints.signatures.length>1;s.toggleClass(this.element,"multiple",e),this.keyMultipleSignatures.set(e),this.signature.innerHTML="",this.docs.innerHTML="";var t=this.hints.signatures[this.currentSignature];if(t){var o=s.append(this.signature,L(".code")),r=t.parameters.length>0,l=this.editor.getConfiguration().fontInfo;if(o.style.fontSize=l.fontSize+"px",o.style.fontFamily=l.fontFamily,r)this.renderParameters(o,t,this.hints.activeParameter);else{s.append(o,L("span")).textContent=t.label}i.dispose(this.renderDisposeables),this.renderDisposeables=[];var u=t.parameters[this.hints.activeParameter];if(u&&u.documentation){var c=L("span.documentation");if("string"==typeof u.documentation)s.removeClass(this.docs,"markdown-docs"),c.textContent=u.documentation;else{s.addClass(this.docs,"markdown-docs");d=this.markdownRenderer.render(u.documentation);this.renderDisposeables.push(d),
c.appendChild(d.element)}s.append(this.docs,L("p",null,c))}if(s.toggleClass(this.signature,"has-docs",!!t.documentation),"string"==typeof t.documentation)s.append(this.docs,L("p",null,t.documentation));else{var d=this.markdownRenderer.render(t.documentation);this.renderDisposeables.push(d),s.append(this.docs,d.element)}var h=String(this.currentSignature+1);if(this.hints.signatures.length<10&&(h+="/"+this.hints.signatures.length),this.overloads.textContent=h,u){var p=u.label;this.announcedLabel!==p&&(a.alert(n.localize(0,null,p)),this.announcedLabel=p)}this.editor.layoutContentWidget(this),this.scrollbar.scanDomNode()}},e.prototype.renderParameters=function(e,t,n){for(var i,o=t.label.length,r=0,a=t.parameters.length-1;a>=0;a--){var l=t.parameters[a],u=0,c=0;(r=t.label.lastIndexOf(l.label,o-1))>=0&&(u=r,c=r+l.label.length),(i=document.createElement("span")).textContent=t.label.substring(c,o),s.prepend(e,i),(i=document.createElement("span")).className="parameter "+(a===n?"active":""),
i.textContent=t.label.substring(u,c),s.prepend(e,i),o=u}(i=document.createElement("span")).textContent=t.label.substring(0,o),s.prepend(e,i)},e.prototype.next=function(){var e=this.hints.signatures.length;return e<2?(this.cancel(),!1):(this.currentSignature=(this.currentSignature+1)%e,this.render(),!0)},e.prototype.previous=function(){var e=this.hints.signatures.length;return e<2?(this.cancel(),!1):(this.currentSignature=(this.currentSignature-1+e)%e,this.render(),!0)},e.prototype.cancel=function(){this.model.cancel()},e.prototype.getDomNode=function(){return this.element},e.prototype.getId=function(){return e.ID},e.prototype.trigger=function(){this.model.trigger(0)},e.prototype.updateMaxHeight=function(){var e=Math.max(this.editor.getLayoutInfo().height/4,250);this.element.style.maxHeight=e+"px"},e.prototype.dispose=function(){this.disposables=i.dispose(this.disposables),this.renderDisposeables=i.dispose(this.renderDisposeables),this.model&&(this.model.dispose(),this.model=null)},
e.ID="editor.widget.parameterHintsWidget",e=u([d(1,m.IContextKeyService),d(2,S.IOpenerService),d(3,w.IModeService)],e)}();t.ParameterHintsWidget=N,C.registerThemingParticipant(function(e,t){var n=e.getColor(b.editorHoverBorder);if(n){var i=e.type===C.HIGH_CONTRAST?2:1;t.addRule(".monaco-editor .parameter-hints-widget { border: "+i+"px solid "+n+"; }"),t.addRule(".monaco-editor .parameter-hints-widget.multiple .body { border-left: 1px solid "+n.transparent(.5)+"; }"),t.addRule(".monaco-editor .parameter-hints-widget .signature.has-docs { border-bottom: 1px solid "+n.transparent(.5)+"; }")}var o=e.getColor(b.editorHoverBackground);o&&t.addRule(".monaco-editor .parameter-hints-widget { background-color: "+o+"; }");var r=e.getColor(b.textLinkForeground);r&&t.addRule(".monaco-editor .parameter-hints-widget a { color: "+r+"; }");var s=e.getColor(b.textCodeBlockBackground);s&&t.addRule(".monaco-editor .parameter-hints-widget code { background-color: "+s+"; }")})}),
define(t[534],n([0,1,328,2,14,21,19,11,533,183,44]),function(e,t,n,i,r,s,a,l,c,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(){function e(e,t){this.editor=e,this.widget=t.createInstance(c.ParameterHintsWidget,this.editor)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.cancel=function(){this.widget.cancel()},e.prototype.previous=function(){this.widget.previous()},e.prototype.next=function(){this.widget.next()},e.prototype.trigger=function(){this.widget.trigger()},e.prototype.dispose=function(){this.widget=i.dispose(this.widget)},e.ID="editor.controller.parameterHints",e=u([d(1,r.IInstantiationService)],e)}(),g=function(e){function t(){return e.call(this,{id:"editor.action.triggerParameterHints",label:n.localize(0,null),alias:"Trigger Parameter Hints",precondition:s.EditorContextKeys.hasSignatureHelpProvider,kbOpts:{kbExpr:s.EditorContextKeys.editorTextFocus,primary:3082}})||this}return o(t,e),
t.prototype.run=function(e,t){var n=f.get(t);n&&n.trigger()},t}(l.EditorAction);t.TriggerParameterHintsAction=g,l.registerEditorContribution(f),l.registerEditorAction(g);var m=p.KeybindingsRegistry.WEIGHT.editorContrib(75),v=l.EditorCommand.bindToContribution(f.get);l.registerEditorCommand(new v({id:"closeParameterHints",precondition:h.Context.Visible,handler:function(e){return e.cancel()},kbOpts:{weight:m,kbExpr:s.EditorContextKeys.editorTextFocus,primary:9,secondary:[1033]}})),l.registerEditorCommand(new v({id:"showPrevParameterHint",precondition:a.ContextKeyExpr.and(h.Context.Visible,h.Context.MultipleSignatures),handler:function(e){return e.previous()},kbOpts:{weight:m,kbExpr:s.EditorContextKeys.editorTextFocus,primary:16,secondary:[528],mac:{primary:16,secondary:[528,302]}}})),l.registerEditorCommand(new v({id:"showNextParameterHint",precondition:a.ContextKeyExpr.and(h.Context.Visible,h.Context.MultipleSignatures),handler:function(e){return e.next()},kbOpts:{weight:m,
kbExpr:s.EditorContextKeys.editorTextFocus,primary:18,secondary:[530],mac:{primary:18,secondary:[530,300]}}}))}),define(t[145],n([0,1,331,65,9,25,49,4,10,71,38,204,143,19,27,386]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g){"use strict";Object.defineProperty(t,"__esModule",{value:!0});!function(e){e.inPeekEditor=new f.RawContextKey("inReferenceSearchEditor",!0),e.notInPeekEditor=e.inPeekEditor.toNegated()}(t.PeekContext||(t.PeekContext={})),t.getOuterEditor=function(e){var t=e.get(d.ICodeEditorService).getFocusedCodeEditor();return t instanceof p.EmbeddedCodeEditorWidget?t.getParentEditor():t};var m={headerBackgroundColor:g.Color.white,primaryHeadingColor:g.Color.fromHex("#333333"),secondaryHeadingColor:g.Color.fromHex("#6c6c6cb3")},v=function(e){function t(t,n){void 0===n&&(n={});var i=e.call(this,t,n)||this;return i._onDidClose=new l.Emitter,s.mixin(i.options,m,!1),i}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this),this._onDidClose.fire(this)},
Object.defineProperty(t.prototype,"onDidClose",{get:function(){return this._onDidClose.event},enumerable:!0,configurable:!0}),t.prototype.style=function(t){var n=this.options;t.headerBackgroundColor&&(n.headerBackgroundColor=t.headerBackgroundColor),t.primaryHeadingColor&&(n.primaryHeadingColor=t.primaryHeadingColor),t.secondaryHeadingColor&&(n.secondaryHeadingColor=t.secondaryHeadingColor),e.prototype.style.call(this,t)},t.prototype._applyStyles=function(){e.prototype._applyStyles.call(this);var t=this.options;this._headElement&&(this._headElement.style.backgroundColor=t.headerBackgroundColor.toString()),this._primaryHeading&&(this._primaryHeading.style.color=t.primaryHeadingColor.toString()),this._secondaryHeading&&(this._secondaryHeading.style.color=t.secondaryHeadingColor.toString()),this._bodyElement&&(this._bodyElement.style.borderColor=t.frameColor.toString())},t.prototype._fillContainer=function(e){this.setCssClass("peekview-widget"),this._headElement=a.$(".head").getHTMLElement(),
this._bodyElement=a.$(".body").getHTMLElement(),this._fillHead(this._headElement),this._fillBody(this._bodyElement),e.appendChild(this._headElement),e.appendChild(this._bodyElement)},t.prototype._fillHead=function(e){var t=this,o=a.$(".peekview-title").on(u.EventType.CLICK,function(e){return t._onTitleClick(e)}).appendTo(this._headElement).getHTMLElement();this._primaryHeading=a.$("span.filename").appendTo(o).getHTMLElement(),this._secondaryHeading=a.$("span.dirname").appendTo(o).getHTMLElement(),this._metaHeading=a.$("span.meta").appendTo(o).getHTMLElement();var r=a.$(".peekview-actions").appendTo(this._headElement),s=this._getActionBarOptions();this._actionbarWidget=new c.ActionBar(r,s),this._disposables.push(this._actionbarWidget),this._actionbarWidget.push(new i.Action("peekview.close",n.localize(0,null),"close-peekview-action",!0,function(){return t.dispose(),null}),{label:!1,icon:!0})},t.prototype._getActionBarOptions=function(){return{}},t.prototype._onTitleClick=function(e){},
t.prototype.setTitle=function(e,t){a.$(this._primaryHeading).safeInnerHtml(e),this._primaryHeading.setAttribute("aria-label",e),t?a.$(this._secondaryHeading).safeInnerHtml(t):u.clearNode(this._secondaryHeading)},t.prototype.setMetaTitle=function(e){e?a.$(this._metaHeading).safeInnerHtml(e):u.clearNode(this._metaHeading)},t.prototype._doLayout=function(e,t){if(!this._isShowing&&e<0)this.dispose();else{var n=Math.ceil(1.2*this.editor.getConfiguration().lineHeight),i=e-(n+2);this._doLayoutHead(n,t),this._doLayoutBody(i,t)}},t.prototype._doLayoutHead=function(e,t){this._headElement.style.height=r.format("{0}px",e),this._headElement.style.lineHeight=this._headElement.style.height},t.prototype._doLayoutBody=function(e,t){this._bodyElement.style.height=r.format("{0}px",e)},t}(h.ZoneWidget);t.PeekViewWidget=v}),define(t[536],n([0,1,338,2,8,3,24,16,23,13,388]),function(e,t,n,i,o,r,s,a,l,c){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(){function e(e,t){var n=this;this.themeService=t,
this._disposables=[],this.allowEditorOverflow=!0,this._currentAcceptInput=null,this._currentCancelInput=null,this._editor=e,this._editor.addContentWidget(this),this._disposables.push(e.onDidChangeConfiguration(function(e){e.fontInfo&&n.updateFont()})),this._disposables.push(t.onThemeChange(function(e){return n.onThemeChange(e)}))}return e.prototype.onThemeChange=function(e){this.updateStyles(e)},e.prototype.dispose=function(){this._disposables=i.dispose(this._disposables),this._editor.removeContentWidget(this)},e.prototype.getId=function(){return"__renameInputWidget"},e.prototype.getDomNode=function(){return this._domNode||(this._inputField=document.createElement("input"),this._inputField.className="rename-input",this._inputField.type="text",this._inputField.setAttribute("aria-label",n.localize(0,null)),this._domNode=document.createElement("div"),this._domNode.style.height=this._editor.getConfiguration().lineHeight+"px",this._domNode.className="monaco-editor rename-box",
this._domNode.appendChild(this._inputField),this.updateFont(),this.updateStyles(this.themeService.getTheme())),this._domNode},e.prototype.updateStyles=function(e){if(this._inputField){var t=e.getColor(l.inputBackground),n=e.getColor(l.inputForeground),i=e.getColor(l.widgetShadow),o=e.getColor(l.inputBorder);this._inputField.style.backgroundColor=t?t.toString():null,this._inputField.style.color=n?n.toString():null,this._inputField.style.borderWidth=o?"1px":"0px",this._inputField.style.borderStyle=o?"solid":"none",this._inputField.style.borderColor=o?o.toString():"none",this._domNode.style.boxShadow=i?" 0 2px 8px "+i:null}},e.prototype.updateFont=function(){if(this._inputField){var e=this._editor.getConfiguration().fontInfo;this._inputField.style.fontFamily=e.fontFamily,this._inputField.style.fontWeight=e.fontWeight,this._inputField.style.fontSize=e.fontSize+"px"}},e.prototype.getPosition=function(){return this._visible?{position:this._position,
preference:[s.ContentWidgetPositionPreference.BELOW,s.ContentWidgetPositionPreference.ABOVE]}:null},e.prototype.acceptInput=function(){this._currentAcceptInput&&this._currentAcceptInput()},e.prototype.cancelInput=function(e){this._currentCancelInput&&this._currentCancelInput(e)},e.prototype.getInput=function(e,t,n,s){var a=this;this._position=new c.Position(e.startLineNumber,e.startColumn),this._inputField.value=t,this._inputField.setAttribute("selectionStart",n.toString()),this._inputField.setAttribute("selectionEnd",s.toString()),this._inputField.size=Math.max(1.1*(e.endColumn-e.startColumn),20);var l,u=[];return l=function(){i.dispose(u),a._hide()},new o.TPromise(function(n){a._currentCancelInput=function(e){return a._currentAcceptInput=null,a._currentCancelInput=null,n(e),!0},a._currentAcceptInput=function(){0!==a._inputField.value.trim().length&&a._inputField.value!==t?(a._currentAcceptInput=null,a._currentCancelInput=null,n(a._inputField.value)):a.cancelInput(!0)}
;u.push(a._editor.onDidChangeCursorSelection(function(){r.Range.containsPosition(e,a._editor.getPosition())||a.cancelInput(!0)})),u.push(a._editor.onDidBlurEditor(function(){return a.cancelInput(!1)})),a._show()},function(){a._currentCancelInput(!0)}).then(function(e){return l(),e},function(e){return l(),o.TPromise.wrapError(e)})},e.prototype._show=function(){var e=this;this._editor.revealLineInCenterIfOutsideViewport(this._position.lineNumber,0),this._visible=!0,this._editor.layoutContentWidget(this),setTimeout(function(){e._inputField.focus(),e._inputField.setSelectionRange(parseInt(e._inputField.getAttribute("selectionStart")),parseInt(e._inputField.getAttribute("selectionEnd")))},25)},e.prototype._hide=function(){this._visible=!1,this._editor.layoutContentWidget(this)},e=u([d(1,a.IThemeService)],e)}();t.default=h}),define(t[537],n([0,1,337,12,8,103,19,98,11,21,168,536,58,14,16,18,17,50,3,200,104,44,40]),function(e,t,n,i,r,s,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N){"use strict";function I(e,t,n){
return a(this,void 0,r.TPromise,function(){return l(this,function(i){return[2,new T(e,t).provideRenameEdits(n)]})})}Object.defineProperty(t,"__esModule",{value:!0});var T=function(){function e(e,t){this.model=e,this.position=t,this._provider=b.RenameProviderRegistry.ordered(e)}return e.prototype.hasProvider=function(){return this._provider.length>0},e.prototype.resolveRenameLocation=function(){return a(this,void 0,r.TPromise,function(){var e,t,n,i=this;return l(this,function(o){switch(o.label){case 0:return(e=this._provider[0]).resolveRenameLocation?[4,C.asWinJsPromise(function(t){return e.resolveRenameLocation(i.model,i.position,t)})]:[3,2];case 1:t=o.sent(),o.label=2;case 2:return t||(n=this.model.getWordAtPosition(this.position))&&(t=new w.Range(this.position.lineNumber,n.startColumn,this.position.lineNumber,n.endColumn)),[2,t]}})})},e.prototype.provideRenameEdits=function(e,t,i,o){return void 0===t&&(t=0),void 0===i&&(i=[]),void 0===o&&(o=this.position),a(this,void 0,r.TPromise,function(){var o,r,s=this
;return l(this,function(a){switch(a.label){case 0:return t>=this._provider.length?[2,{edits:void 0,rejectReason:i.join("\n")}]:(o=this._provider[t],[4,C.asWinJsPromise(function(t){return o.provideRenameEdits(s.model,s.position,e,t)})]);case 1:return(r=a.sent())?r.rejectReason?[2,this.provideRenameEdits(e,t+1,i.concat(r.rejectReason))]:[2,r]:[2,this.provideRenameEdits(e,t+1,i.concat(n.localize(0,null)))]}})})},e}();t.rename=I;var D=new c.RawContextKey("renameInputVisible",!1),M=function(){function e(e,t,n,i,o,r,s){this.editor=e,this._notificationService=t,this._textModelResolverService=n,this._progressService=i,this._fileService=s,this._renameInputField=new m.default(e,r),this._renameInputVisible=D.bindTo(o)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.dispose=function(){this._renameInputField.dispose()},e.prototype.getId=function(){return e.ID},e.prototype.run=function(){return a(this,void 0,r.TPromise,function(){var e,t,i,o,s,a,u,c,d=this;return l(this,function(l){switch(l.label){
case 0:e=this.editor.getPosition(),t=new T(this.editor.getModel(),e),l.label=1;case 1:return l.trys.push([1,3,,4]),[4,t.resolveRenameLocation()];case 2:return i=l.sent(),[3,4];case 3:return o=l.sent(),E.MessageController.get(this.editor).showMessage(o,e),[2,void 0];case 4:return s=this.editor.getModel().getValueInRange(i),a=this.editor.getSelection(),u=0,c=s.length,a.isEmpty()||a.startLineNumber!==a.endLineNumber||(u=Math.max(0,a.startColumn-i.startColumn),c=Math.min(i.endColumn,a.endColumn)-i.startColumn),this._renameInputVisible.set(!0),[2,this._renameInputField.getInput(w.Range.lift(i),s,u,c).then(function(e){d._renameInputVisible.reset();if("boolean"!=typeof e){d.editor.focus();var o=new g.BulkEdit(d.editor,null,d._textModelResolverService,d._fileService),a=new L.EditorState(d.editor,15),l=t.provideRenameEdits(e,0,[],w.Range.lift(i).getStartPosition()).then(function(t){if(!t.rejectReason)return o.add(t.edits),o.perform().then(function(t){t&&d.editor.setSelection(t),
S.alert(n.localize(1,null,s,e,o.ariaMessage()))});a.validate(d.editor)?E.MessageController.get(d.editor).showMessage(t.rejectReason,d.editor.getPosition()):d._notificationService.info(t.rejectReason)},function(e){return d._notificationService.error(n.localize(2,null)),r.TPromise.wrapError(e)});return d._progressService.showWhile(l,250),l}e&&d.editor.focus()},function(e){return d._renameInputVisible.reset(),r.TPromise.wrapError(e)})]}})})},e.prototype.acceptRenameInput=function(){this._renameInputField.acceptInput()},e.prototype.cancelRenameInput=function(){this._renameInputField.cancelInput(!0)},e.ID="editor.contrib.renameController",e=u([d(1,N.INotificationService),d(2,v.ITextModelService),d(3,h.IProgressService),d(4,c.IContextKeyService),d(5,y.IThemeService),d(6,_.optional(s.IFileService))],e)}(),k=function(e){function t(){return e.call(this,{id:"editor.action.rename",label:n.localize(3,null),alias:"Rename Symbol",
precondition:c.ContextKeyExpr.and(f.EditorContextKeys.writable,f.EditorContextKeys.hasRenameProvider),kbOpts:{kbExpr:f.EditorContextKeys.editorTextFocus,primary:60},menuOpts:{group:"1_modification",order:1.1}})||this}return o(t,e),t.prototype.run=function(e,t){var n=M.get(t);if(n)return n.run()},t}(p.EditorAction);t.RenameAction=k,p.registerEditorContribution(M),p.registerEditorAction(k);var O=p.EditorCommand.bindToContribution(M.get);p.registerEditorCommand(new O({id:"acceptRenameInput",precondition:D,handler:function(e){return e.acceptRenameInput()},kbOpts:{weight:x.KeybindingsRegistry.WEIGHT.editorContrib(99),kbExpr:f.EditorContextKeys.focus,primary:3}})),p.registerEditorCommand(new O({id:"cancelRenameInput",precondition:D,handler:function(e){return e.cancelRenameInput()},kbOpts:{weight:x.KeybindingsRegistry.WEIGHT.editorContrib(99),kbExpr:f.EditorContextKeys.focus,primary:9,secondary:[1033]}})),p.registerDefaultLanguageCommand("_executeDocumentRenameProvider",function(e,t,n){var o=n.newName
;if("string"!=typeof o)throw i.illegalArgument("newName");return I(e,t,o)})}),define(t[538],n([0,1,343,110,9,4,8,12,2,10,136,105,57,48,19,24,107,50,81,109,16,23,66,124,63,62,392]),function(e,t,n,i,o,r,s,a,l,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N,I){"use strict";function T(e){return e&&e.match(O)?e:null}function D(e){if(!e)return!1;var t=e.suggestion;return!!t.documentation||t.detail&&t.detail!==t.label}Object.defineProperty(t,"__esModule",{value:!0});var M=!1;t.editorSuggestWidgetBackground=E.registerColor("editorSuggestWidget.background",{dark:E.editorWidgetBackground,light:E.editorWidgetBackground,hc:E.editorWidgetBackground},n.localize(0,null)),t.editorSuggestWidgetBorder=E.registerColor("editorSuggestWidget.border",{dark:E.editorWidgetBorder,light:E.editorWidgetBorder,hc:E.editorWidgetBorder},n.localize(1,null)),t.editorSuggestWidgetForeground=E.registerColor("editorSuggestWidget.foreground",{dark:E.editorForeground,light:E.editorForeground,hc:E.editorForeground},n.localize(2,null)),
t.editorSuggestWidgetSelectedBackground=E.registerColor("editorSuggestWidget.selectedBackground",{dark:E.listFocusBackground,light:E.listFocusBackground,hc:E.listFocusBackground},n.localize(3,null)),t.editorSuggestWidgetHighlightForeground=E.registerColor("editorSuggestWidget.highlightForeground",{dark:E.listHighlightForeground,light:E.listHighlightForeground,hc:E.listHighlightForeground},n.localize(4,null));var k,O=/^(#([\da-f]{3}){1,2}|(rgb|hsl)a\(\s*(\d{1,3}%?\s*,\s*){3}(1|0?\.\d+)\)|(rgb|hsl)\(\s*\d{1,3}%?(\s*,\s*\d{1,3}%?){2}\s*\))$/i,R=function(){function e(e,t,n){this.widget=e,this.editor=t,this.triggerKeybindingLabel=n}return Object.defineProperty(e.prototype,"templateId",{get:function(){return"suggestion"},enumerable:!0,configurable:!0}),e.prototype.renderTemplate=function(e){var t=this,i=Object.create(null);i.disposables=[],i.root=e,i.icon=h.append(e,h.$(".icon")),i.colorspan=h.append(i.icon,h.$("span.colorspan"));var o=h.append(e,h.$(".contents")),s=h.append(o,h.$(".main"))
;i.highlightedLabel=new p.HighlightedLabel(s),i.disposables.push(i.highlightedLabel),i.typeLabel=h.append(s,h.$("span.type-label")),i.readMore=h.append(s,h.$("span.readMore")),i.readMore.title=n.localize(5,null,this.triggerKeybindingLabel);var a=function(){var e=t.editor.getConfiguration(),n=e.fontInfo.fontFamily,o=(e.contribInfo.suggestFontSize||e.fontInfo.fontSize)+"px",r=(e.contribInfo.suggestLineHeight||e.fontInfo.lineHeight)+"px";i.root.style.fontSize=o,s.style.fontFamily=n,s.style.lineHeight=r,i.icon.style.height=r,i.icon.style.width=r,i.readMore.style.height=r,i.readMore.style.width=r};return a(),r.chain(this.editor.onDidChangeConfiguration.bind(this.editor)).filter(function(e){return e.fontInfo||e.contribInfo}).on(a,null,i.disposables),i},e.prototype.renderElement=function(e,t,o){var r=this,s=o,a=e.suggestion;if(D(e)?s.root.setAttribute("aria-label",n.localize(6,null,a.label)):s.root.setAttribute("aria-label",n.localize(7,null,a.label)),s.icon.className="icon "+a.type,
s.colorspan.style.backgroundColor="","color"===a.type){var l=T(a.label)||"string"==typeof a.documentation&&T(a.documentation);l&&(s.icon.className="icon customcolor",s.colorspan.style.backgroundColor=l)}s.highlightedLabel.set(a.label,i.createMatches(e.matches)),s.typeLabel.textContent=(a.detail||"").replace(/\n.*$/m,""),D(e)?(h.show(s.readMore),s.readMore.onmousedown=function(e){e.stopPropagation(),e.preventDefault()},s.readMore.onclick=function(e){e.stopPropagation(),e.preventDefault(),r.widget.toggleDetails()}):(h.hide(s.readMore),s.readMore.onmousedown=null,s.readMore.onclick=null)},e.prototype.disposeTemplate=function(e){e.highlightedLabel&&e.highlightedLabel.dispose(),e.disposables=l.dispose(e.disposables)},e}();!function(e){e[e.Hidden=0]="Hidden",e[e.Loading=1]="Loading",e[e.Empty=2]="Empty",e[e.Open=3]="Open",e[e.Frozen=4]="Frozen",e[e.Details=5]="Details"}(k||(k={}));var P=function(){function e(e,t,i,o,s){var a=this;this.widget=t,this.editor=i,this.markdownRenderer=o,this.triggerKeybindingLabel=s,
this.borderWidth=1,this.disposables=[],this.el=h.append(e,h.$(".details")),this.disposables.push(l.toDisposable(function(){return e.removeChild(a.el)})),this.body=h.$(".body"),this.scrollbar=new g.DomScrollableElement(this.body,{}),h.append(this.el,this.scrollbar.getDomNode()),this.disposables.push(this.scrollbar),this.header=h.append(this.body,h.$(".header")),this.close=h.append(this.header,h.$("span.close")),this.close.title=n.localize(8,null,this.triggerKeybindingLabel),this.type=h.append(this.header,h.$("p.type")),this.docs=h.append(this.body,h.$("p.docs")),this.ariaLabel=null,this.configureFont(),r.chain(this.editor.onDidChangeConfiguration.bind(this.editor)).filter(function(e){return e.fontInfo}).on(this.configureFont,this,this.disposables)}return Object.defineProperty(e.prototype,"element",{get:function(){return this.el},enumerable:!0,configurable:!0}),e.prototype.render=function(e){var t=this;if(this.renderDisposeable=l.dispose(this.renderDisposeable),!e||!D(e))return this.type.textContent="",
this.docs.textContent="",h.addClass(this.el,"no-docs"),void(this.ariaLabel=null);if(h.removeClass(this.el,"no-docs"),"string"==typeof e.suggestion.documentation)h.removeClass(this.docs,"markdown-docs"),this.docs.textContent=e.suggestion.documentation;else{h.addClass(this.docs,"markdown-docs"),this.docs.innerHTML="";var n=this.markdownRenderer.render(e.suggestion.documentation);this.renderDisposeable=n,this.docs.appendChild(n.element)}e.suggestion.detail?(this.type.innerText=e.suggestion.detail,h.show(this.type)):(this.type.innerText="",h.hide(this.type)),this.el.style.height=this.header.offsetHeight+this.docs.offsetHeight+2*this.borderWidth+"px",this.close.onmousedown=function(e){e.preventDefault(),e.stopPropagation()},this.close.onclick=function(e){e.preventDefault(),e.stopPropagation(),t.widget.toggleDetails()},this.body.scrollTop=0,this.scrollbar.scanDomNode(),this.ariaLabel=o.format("{0}\n{1}\n{2}",e.suggestion.label||"",e.suggestion.detail||"",e.suggestion.documentation||"")},
e.prototype.getAriaLabel=function(){return this.ariaLabel},e.prototype.scrollDown=function(e){void 0===e&&(e=8),this.body.scrollTop+=e},e.prototype.scrollUp=function(e){void 0===e&&(e=8),this.body.scrollTop-=e},e.prototype.scrollTop=function(){this.body.scrollTop=0},e.prototype.scrollBottom=function(){this.body.scrollTop=this.body.scrollHeight},e.prototype.pageDown=function(){this.scrollDown(80)},e.prototype.pageUp=function(){this.scrollUp(80)},e.prototype.setBorderWidth=function(e){this.borderWidth=e},e.prototype.configureFont=function(){var e=this.editor.getConfiguration(),t=e.fontInfo.fontFamily,n=(e.contribInfo.suggestFontSize||e.fontInfo.fontSize)+"px",i=(e.contribInfo.suggestLineHeight||e.fontInfo.lineHeight)+"px";this.el.style.fontSize=n,this.type.style.fontFamily=t,this.close.style.height=i,this.close.style.width=i},e.prototype.dispose=function(){this.disposables=l.dispose(this.disposables),this.renderDisposeable=l.dispose(this.renderDisposeable)},e}(),A=function(){function e(e,n,i,o,s,a,l,u){
var c=this;this.editor=e,this.telemetryService=n,this.allowEditorOverflow=!0,this.ignoreFocusEvents=!1,this.onDidSelectEmitter=new r.Emitter,this.onDidFocusEmitter=new r.Emitter,this.onDidHideEmitter=new r.Emitter,this.onDidShowEmitter=new r.Emitter,this.onDidSelect=this.onDidSelectEmitter.event,this.onDidFocus=this.onDidFocusEmitter.event,this.onDidHide=this.onDidHideEmitter.event,this.onDidShow=this.onDidShowEmitter.event,this.maxWidgetWidth=660,this.listWidth=330,this.storageServiceAvailable=!0,this.expandSuggestionDocs=!1;var d=a.lookupKeybinding("editor.action.triggerSuggest"),p=d?" ("+d.getLabel()+")":"",g=new x.MarkdownRenderer(e,l,u);this.isAuto=!1,this.focusedItem=null,this.storageService=s,void 0===this.expandDocsSettingFromStorage()&&(this.storageService.store("expandSuggestionDocs",M,L.StorageScope.GLOBAL),void 0===this.expandDocsSettingFromStorage()&&(this.storageServiceAvailable=!1)),this.element=h.$(".editor-widget.suggest-widget"),
this.editor.getConfiguration().contribInfo.iconsInSuggestions||h.addClass(this.element,"no-icons"),this.messageElement=h.append(this.element,h.$(".message")),this.listElement=h.append(this.element,h.$(".tree")),this.details=new P(this.element,this,this.editor,g,p);var m=new R(this,this.editor,p);this.list=new f.List(this.listElement,this,[m],{useShadows:!1,selectOnMouseDown:!0,focusOnMouseDown:!1,openController:{shouldOpen:function(){return!1}}}),this.toDispose=[S.attachListStyler(this.list,o,{listInactiveFocusBackground:t.editorSuggestWidgetSelectedBackground,listInactiveFocusOutline:E.activeContrastBorder}),o.onThemeChange(function(e){return c.onThemeChange(e)}),e.onDidBlurEditorText(function(){return c.onEditorBlur()}),e.onDidLayoutChange(function(){return c.onEditorLayoutChange()}),this.list.onSelectionChange(function(e){return c.onListSelection(e)}),this.list.onFocusChange(function(e){return c.onListFocus(e)}),this.editor.onDidChangeCursorSelection(function(){return c.onCursorSelectionChanged()})],
this.suggestWidgetVisible=y.Context.Visible.bindTo(i),this.suggestWidgetMultipleSuggestions=y.Context.MultipleSuggestions.bindTo(i),this.suggestionSupportsAutoAccept=y.Context.AcceptOnKey.bindTo(i),this.editor.addContentWidget(this),this.setState(0),this.onThemeChange(o.getTheme())}return e.prototype.onCursorSelectionChanged=function(){0!==this.state&&this.editor.layoutContentWidget(this)},e.prototype.onEditorBlur=function(){var e=this;this.editorBlurTimeout=s.TPromise.timeout(150).then(function(){e.editor.isFocused()||e.setState(0)})},e.prototype.onEditorLayoutChange=function(){3!==this.state&&5!==this.state||!this.expandDocsSettingFromStorage()||this.expandSideOrBelow()},e.prototype.onListSelection=function(e){var t=this;if(e.elements.length){var i=e.elements[0],o=e.indexes[0];i.resolve().then(function(){t.onDidSelectEmitter.fire({item:i,index:o,model:t.completionModel}),C.alert(n.localize(11,null,i.suggestion.label)),t.editor.focus()})}},e.prototype._getSuggestionAriaAlertLabel=function(e){
return D(e)?n.localize(12,null,e.suggestion.label):n.localize(13,null,e.suggestion.label)},e.prototype._ariaAlert=function(e){this._lastAriaAlertLabel!==e&&(this._lastAriaAlertLabel=e,this._lastAriaAlertLabel&&C.alert(this._lastAriaAlertLabel))},e.prototype.onThemeChange=function(e){var n=e.getColor(t.editorSuggestWidgetBackground);n&&(this.listElement.style.backgroundColor=n.toString(),this.details.element.style.backgroundColor=n.toString(),this.messageElement.style.backgroundColor=n.toString());var i=e.getColor(t.editorSuggestWidgetBorder);i&&(this.listElement.style.borderColor=i.toString(),this.details.element.style.borderColor=i.toString(),this.messageElement.style.borderColor=i.toString(),this.detailsBorderColor=i.toString());var o=e.getColor(E.focusBorder);o&&(this.detailsFocusBorderColor=o.toString()),this.details.setBorderWidth("hc"===e.type?2:1)},e.prototype.onListFocus=function(e){var t=this;if(!this.ignoreFocusEvents){
if(!e.elements.length)return this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null,this.focusedItem=null),void this._ariaAlert(null);var n=e.elements[0];if(this._ariaAlert(this._getSuggestionAriaAlertLabel(n)),n!==this.focusedItem){this.currentSuggestionDetails&&(this.currentSuggestionDetails.cancel(),this.currentSuggestionDetails=null);var i=e.indexes[0];this.suggestionSupportsAutoAccept.set(!n.suggestion.noAutoAccept),this.focusedItem=n,this.list.reveal(i),this.currentSuggestionDetails=n.resolve().then(function(){t.ignoreFocusEvents=!0,t.list.splice(i,1,[n]),t.list.setFocus([i]),t.ignoreFocusEvents=!1,t.expandDocsSettingFromStorage()?t.showDetails():h.removeClass(t.element,"docs-side")}).then(null,function(e){return!a.isPromiseCanceledError(e)&&a.onUnexpectedError(e)}).then(function(){return t.currentSuggestionDetails=null}),this.onDidFocusEmitter.fire({item:n,index:i,model:this.completionModel})}}},e.prototype.setState=function(t){if(this.element){
var n=this.state!==t;switch(this.state=t,h.toggleClass(this.element,"frozen",4===t),t){case 0:h.hide(this.messageElement,this.details.element,this.listElement),this.hide(),this.listHeight=0,n&&this.list.splice(0,this.list.length);break;case 1:this.messageElement.textContent=e.LOADING_MESSAGE,h.hide(this.listElement,this.details.element),h.show(this.messageElement),h.removeClass(this.element,"docs-side"),this.show();break;case 2:this.messageElement.textContent=e.NO_SUGGESTIONS_MESSAGE,h.hide(this.listElement,this.details.element),h.show(this.messageElement),h.removeClass(this.element,"docs-side"),this.show();break;case 3:h.hide(this.messageElement,this.details.element),h.show(this.listElement),this.show();break;case 4:h.hide(this.messageElement),h.show(this.listElement),this.show();break;case 5:h.hide(this.messageElement),h.show(this.details.element,this.listElement),this.show(),this._ariaAlert(this.details.getAriaLabel())}}},e.prototype.showTriggered=function(e){var t=this;0===this.state&&(this.isAuto=!!e,
this.isAuto||(this.loadingTimeout=setTimeout(function(){t.loadingTimeout=null,t.setState(1)},50)))},e.prototype.showSuggestions=function(e,t,n,i){if(this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),this.completionModel=e,n&&2!==this.state&&0!==this.state)this.setState(4);else{var o=this.completionModel.items.length,r=0===o;if(this.suggestWidgetMultipleSuggestions.set(o>1),r)i?this.setState(0):this.setState(2),this.completionModel=null;else{var s=this.completionModel.stats;s.wasAutomaticallyTriggered=!!i,this.telemetryService.publicLog("suggestWidget",c({},s,this.editor.getTelemetryData())),this.focusedItem=null,this.list.splice(0,this.list.length,this.completionModel.items),n?this.setState(4):this.setState(3),this.list.reveal(t,t),this.list.setFocus([t]),this.detailsBorderColor&&(this.details.element.style.borderColor=this.detailsBorderColor)}}},e.prototype.selectNextPage=function(){switch(this.state){case 0:return!1;case 5:return this.details.pageDown(),!0;case 1:
return!this.isAuto;default:return this.list.focusNextPage(),!0}},e.prototype.selectNext=function(){switch(this.state){case 0:return!1;case 1:return!this.isAuto;default:return this.list.focusNext(1,!0),!0}},e.prototype.selectLast=function(){switch(this.state){case 0:return!1;case 5:return this.details.scrollBottom(),!0;case 1:return!this.isAuto;default:return this.list.focusLast(),!0}},e.prototype.selectPreviousPage=function(){switch(this.state){case 0:return!1;case 5:return this.details.pageUp(),!0;case 1:return!this.isAuto;default:return this.list.focusPreviousPage(),!0}},e.prototype.selectPrevious=function(){switch(this.state){case 0:return!1;case 1:return!this.isAuto;default:return this.list.focusPrevious(1,!0),!1}},e.prototype.selectFirst=function(){switch(this.state){case 0:return!1;case 5:return this.details.scrollTop(),!0;case 1:return!this.isAuto;default:return this.list.focusFirst(),!0}},e.prototype.getFocusedItem=function(){if(0!==this.state&&2!==this.state&&1!==this.state)return{
item:this.list.getFocusedElements()[0],index:this.list.getFocus()[0],model:this.completionModel}},e.prototype.toggleDetailsFocus=function(){5===this.state?(this.setState(3),this.detailsBorderColor&&(this.details.element.style.borderColor=this.detailsBorderColor)):3===this.state&&this.expandDocsSettingFromStorage()&&(this.setState(5),this.detailsFocusBorderColor&&(this.details.element.style.borderColor=this.detailsFocusBorderColor)),this.telemetryService.publicLog("suggestWidget:toggleDetailsFocus",this.editor.getTelemetryData())},e.prototype.toggleDetails=function(){if(D(this.list.getFocusedElements()[0]))if(this.expandDocsSettingFromStorage())this.updateExpandDocsSetting(!1),h.hide(this.details.element),h.removeClass(this.element,"docs-side"),h.removeClass(this.element,"docs-below"),this.editor.layoutContentWidget(this),this.telemetryService.publicLog("suggestWidget:collapseDetails",this.editor.getTelemetryData());else{if(3!==this.state&&5!==this.state)return;this.updateExpandDocsSetting(!0),
this.showDetails(),this.telemetryService.publicLog("suggestWidget:expandDetails",this.editor.getTelemetryData())}},e.prototype.showDetails=function(){this.expandSideOrBelow(),h.show(this.details.element),this.details.render(this.list.getFocusedElements()[0]),this.details.element.style.maxHeight=this.maxWidgetHeight+"px",this.listElement.style.marginTop="0px",this.editor.layoutContentWidget(this),this.adjustDocsPosition(),this.editor.focus(),this._ariaAlert(this.details.getAriaLabel())},e.prototype.show=function(){var e=this,t=this.updateListHeight();t!==this.listHeight&&(this.editor.layoutContentWidget(this),this.listHeight=t),this.suggestWidgetVisible.set(!0),this.showTimeout=s.TPromise.timeout(100).then(function(){h.addClass(e.element,"visible"),e.onDidShowEmitter.fire(e)})},e.prototype.hide=function(){this.suggestWidgetVisible.reset(),this.suggestWidgetMultipleSuggestions.reset(),h.removeClass(this.element,"visible")},e.prototype.hideWidget=function(){clearTimeout(this.loadingTimeout),this.setState(0),
this.onDidHideEmitter.fire(this)},e.prototype.getPosition=function(){return 0===this.state?null:{position:this.editor.getPosition(),preference:[_.ContentWidgetPositionPreference.BELOW,_.ContentWidgetPositionPreference.ABOVE]}},e.prototype.getDomNode=function(){return this.element},e.prototype.getId=function(){return e.ID},e.prototype.updateListHeight=function(){var e=0;if(2===this.state||1===this.state)e=this.unfocusedHeight;else{var t=this.list.contentHeight/this.unfocusedHeight;e=Math.min(t,12)*this.unfocusedHeight}return this.element.style.lineHeight=this.unfocusedHeight+"px",this.listElement.style.height=e+"px",this.list.layout(e),e},e.prototype.adjustDocsPosition=function(){var e=this.editor.getConfiguration().fontInfo.lineHeight,t=this.editor.getScrolledVisiblePosition(this.editor.getPosition()),n=h.getDomNodePagePosition(this.editor.getDomNode()),i=n.left+t.left,o=n.top+t.top+t.height,r=h.getDomNodePagePosition(this.element),s=r.left,a=r.top
;s<i-this.listWidth?h.addClass(this.element,"list-right"):h.removeClass(this.element,"list-right"),h.hasClass(this.element,"docs-side")&&o-e>a&&this.details.element.offsetHeight>this.listElement.offsetHeight&&(this.listElement.style.marginTop=this.details.element.offsetHeight-this.listElement.offsetHeight+"px")},e.prototype.expandSideOrBelow=function(){var e=this.element.style.maxWidth.match(/(\d+)px/);!e||Number(e[1])<this.maxWidgetWidth?(h.addClass(this.element,"docs-below"),h.removeClass(this.element,"docs-side")):(h.addClass(this.element,"docs-side"),h.removeClass(this.element,"docs-below"))},Object.defineProperty(e.prototype,"maxWidgetHeight",{get:function(){return 12*this.unfocusedHeight},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"unfocusedHeight",{get:function(){var e=this.editor.getConfiguration();return e.contribInfo.suggestLineHeight||e.fontInfo.lineHeight},enumerable:!0,configurable:!0}),e.prototype.getHeight=function(e){return this.unfocusedHeight},
e.prototype.getTemplateId=function(e){return"suggestion"},e.prototype.expandDocsSettingFromStorage=function(){return this.storageServiceAvailable?this.storageService.getBoolean("expandSuggestionDocs",L.StorageScope.GLOBAL):this.expandSuggestionDocs},e.prototype.updateExpandDocsSetting=function(e){this.storageServiceAvailable?this.storageService.store("expandSuggestionDocs",e,L.StorageScope.GLOBAL):this.expandSuggestionDocs=e},e.prototype.dispose=function(){this.state=null,this.suggestionSupportsAutoAccept=null,this.currentSuggestionDetails=null,this.focusedItem=null,this.element=null,this.messageElement=null,this.listElement=null,this.details.dispose(),this.details=null,this.list.dispose(),this.list=null,this.toDispose=l.dispose(this.toDispose),this.loadingTimeout&&(clearTimeout(this.loadingTimeout),this.loadingTimeout=null),this.editorBlurTimeout&&(this.editorBlurTimeout.cancel(),this.editorBlurTimeout=null),this.showTimeout&&(this.showTimeout.cancel(),this.showTimeout=null)},
e.ID="editor.widget.suggestWidget",e.LOADING_MESSAGE=n.localize(9,null),e.NO_SUGGESTIONS_MESSAGE=n.localize(10,null),e=u([d(1,b.ITelemetryService),d(2,v.IContextKeyService),d(3,w.IThemeService),d(4,L.IStorageService),d(5,m.IKeybindingService),d(6,N.IModeService),d(7,I.IOpenerService)],e)}();t.SuggestWidget=A,w.registerThemingParticipant(function(e,n){var i=e.getColor(t.editorSuggestWidgetHighlightForeground);i&&n.addRule(".monaco-editor .suggest-widget .monaco-list .monaco-list-row .monaco-highlighted-label .highlight { color: "+i+"; }");var o=e.getColor(t.editorSuggestWidgetForeground);o&&n.addRule(".monaco-editor .suggest-widget { color: "+o+"; }");var r=e.getColor(E.textLinkForeground);r&&n.addRule(".monaco-editor .suggest-widget a { color: "+r+"; }");var s=e.getColor(E.textCodeBlockBackground);s&&n.addRule(".monaco-editor .suggest-widget code { background-color: "+s+"; }")})}),
define(t[539],n([0,1,342,12,22,2,14,19,33,21,11,50,51,3,133,185,107,477,538,44,448]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var E=function(){function e(e,t,n){var i=this;this._disposables=[],this._activeAcceptCharacters=new Set,this._disposables.push(t.onDidShow(function(){return i._onItem(t.getFocusedItem())})),this._disposables.push(t.onDidFocus(this._onItem,this)),this._disposables.push(t.onDidHide(this.reset,this)),this._disposables.push(e.onWillType(function(t){if(i._activeItem){var o=t[t.length-1];i._activeAcceptCharacters.has(o)&&e.getConfiguration().contribInfo.acceptSuggestionOnCommitCharacter&&n(i._activeItem)}}))}return e.prototype._onItem=function(e){if(e&&!r.isFalsyOrEmpty(e.item.suggestion.commitCharacters)){this._activeItem=e,this._activeAcceptCharacters.clear();for(var t=0,n=e.item.suggestion.commitCharacters;t<n.length;t++){var i=n[t];i.length>0&&this._activeAcceptCharacters.add(i[0])}}else this.reset()},
e.prototype.reset=function(){this._activeItem=void 0},e.prototype.dispose=function(){s.dispose(this._disposables)},e}(),L=function(){function e(e,t,n,i){var o=this;this._editor=e,this._commandService=t,this._contextKeyService=n,this._instantiationService=i,this._toDispose=[],this._model=new C.SuggestModel(this._editor),this._memory=i.createInstance(w.SuggestMemories,this._editor.getConfiguration().contribInfo.suggestSelection),this._toDispose.push(this._model.onDidTrigger(function(e){o._widget||o._createSuggestWidget(),o._widget.showTriggered(e.auto)})),this._toDispose.push(this._model.onDidSuggest(function(e){var t=o._memory.select(o._editor.getModel(),o._editor.getPosition(),e.completionModel.items);o._widget.showSuggestions(e.completionModel,t,e.isFrozen,e.auto)})),this._toDispose.push(this._model.onDidCancel(function(e){o._widget&&!e.retrigger&&o._widget.hideWidget()}));var r=y.Context.AcceptSuggestionsOnEnter.bindTo(n),s=function(){
var e=o._editor.getConfiguration().contribInfo,t=e.acceptSuggestionOnEnter,n=e.suggestSelection;r.set("on"===t||"smart"===t),o._memory.setMode(n)};this._toDispose.push(this._editor.onDidChangeConfiguration(function(e){return s()})),s()}return e.get=function(t){return t.getContribution(e.ID)},e.prototype._createSuggestWidget=function(){var e=this;this._widget=this._instantiationService.createInstance(b.SuggestWidget,this._editor),this._toDispose.push(this._widget.onDidSelect(this._onDidSelectItem,this));var t=new E(this._editor,this._widget,function(t){return e._onDidSelectItem(t)});this._toDispose.push(t,this._model.onDidSuggest(function(e){0===e.completionModel.items.length&&t.reset()}));var n=y.Context.MakesTextEdit.bindTo(this._contextKeyService);this._toDispose.push(this._widget.onDidFocus(function(t){var i=t.item,o=e._editor.getPosition(),r=i.position.column-i.suggestion.overwriteBefore,s=o.column,a=!0
;if("smart"===e._editor.getConfiguration().contribInfo.acceptSuggestionOnEnter&&2===e._model.state&&!i.suggestion.command&&!i.suggestion.additionalTextEdits&&"textmate"!==i.suggestion.snippetType&&s-r===i.suggestion.insertText.length){a=e._editor.getModel().getValueInRange({startLineNumber:o.lineNumber,startColumn:r,endLineNumber:o.lineNumber,endColumn:s})!==i.suggestion.insertText}n.set(a)})),this._toDispose.push({dispose:function(){n.reset()}})},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._toDispose=s.dispose(this._toDispose),this._widget&&(this._widget.dispose(),this._widget=null),this._model&&(this._model.dispose(),this._model=null)},e.prototype._onDidSelectItem=function(e){if(e&&e.item){var t=e.item,n=t.suggestion,o=t.position,r=this._editor.getPosition().column-o.column;Array.isArray(n.additionalTextEdits)&&(this._editor.pushUndoStop(),this._editor.executeEdits("suggestController.additionalTextEdits",n.additionalTextEdits.map(function(e){
return g.EditOperation.replace(m.Range.lift(e.range),e.text)})),this._editor.pushUndoStop()),this._memory.memorize(this._editor.getModel(),this._editor.getPosition(),e.item);var s=n.insertText;"textmate"!==n.snippetType&&(s=v.SnippetParser.escape(s)),_.SnippetController2.get(this._editor).insert(s,n.overwriteBefore+r,n.overwriteAfter),n.command?n.command.id===x.id?this._model.trigger({auto:!0},!0):((a=this._commandService).executeCommand.apply(a,[n.command.id].concat(n.command.arguments)).done(void 0,i.onUnexpectedError),this._model.cancel()):this._model.cancel(),this._alertCompletionItem(e.item);var a}else this._model.cancel()},e.prototype._alertCompletionItem=function(e){var t=e.suggestion,i=n.localize(0,null,t.label,t.insertText);f.alert(i)},e.prototype.triggerSuggest=function(e){this._model.trigger({auto:!1},!1,e),this._editor.revealLine(this._editor.getPosition().lineNumber,0),this._editor.focus()},e.prototype.acceptSelectedSuggestion=function(){if(this._widget){var e=this._widget.getFocusedItem()
;this._onDidSelectItem(e)}},e.prototype.cancelSuggestWidget=function(){this._widget&&(this._model.cancel(),this._widget.hideWidget())},e.prototype.selectNextSuggestion=function(){this._widget&&this._widget.selectNext()},e.prototype.selectNextPageSuggestion=function(){this._widget&&this._widget.selectNextPage()},e.prototype.selectLastSuggestion=function(){this._widget&&this._widget.selectLast()},e.prototype.selectPrevSuggestion=function(){this._widget&&this._widget.selectPrevious()},e.prototype.selectPrevPageSuggestion=function(){this._widget&&this._widget.selectPreviousPage()},e.prototype.selectFirstSuggestion=function(){this._widget&&this._widget.selectFirst()},e.prototype.toggleSuggestionDetails=function(){this._widget&&this._widget.toggleDetails()},e.prototype.toggleSuggestionFocus=function(){this._widget&&this._widget.toggleDetailsFocus()},e.ID="editor.contrib.suggestController",e=u([d(1,c.ICommandService),d(2,l.IContextKeyService),d(3,a.IInstantiationService)],e)}();t.SuggestController=L
;var x=function(e){function t(){return e.call(this,{id:t.id,label:n.localize(1,null),alias:"Trigger Suggest",precondition:l.ContextKeyExpr.and(h.EditorContextKeys.writable,h.EditorContextKeys.hasCompletionItemProvider),kbOpts:{kbExpr:h.EditorContextKeys.textInputFocus,primary:2058,mac:{primary:266}}})||this}return o(t,e),t.prototype.run=function(e,t){var n=L.get(t);n&&n.triggerSuggest()},t.id="editor.action.triggerSuggest",t}(p.EditorAction);t.TriggerSuggestAction=x,p.registerEditorContribution(L),p.registerEditorAction(x);var N=S.KeybindingsRegistry.WEIGHT.editorContrib(90),I=p.EditorCommand.bindToContribution(L.get);p.registerEditorCommand(new I({id:"acceptSelectedSuggestion",precondition:y.Context.Visible,handler:function(e){return e.acceptSelectedSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:2}})),p.registerEditorCommand(new I({id:"acceptSelectedSuggestionOnEnter",precondition:y.Context.Visible,handler:function(e){return e.acceptSelectedSuggestion()},kbOpts:{weight:N,
kbExpr:l.ContextKeyExpr.and(h.EditorContextKeys.textInputFocus,y.Context.AcceptSuggestionsOnEnter,y.Context.MakesTextEdit),primary:3}})),p.registerEditorCommand(new I({id:"hideSuggestWidget",precondition:y.Context.Visible,handler:function(e){return e.cancelSuggestWidget()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:9,secondary:[1033]}})),p.registerEditorCommand(new I({id:"selectNextSuggestion",precondition:l.ContextKeyExpr.and(y.Context.Visible,y.Context.MultipleSuggestions),handler:function(e){return e.selectNextSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:18,secondary:[2066],mac:{primary:18,secondary:[2066,300]}}})),p.registerEditorCommand(new I({id:"selectNextPageSuggestion",precondition:l.ContextKeyExpr.and(y.Context.Visible,y.Context.MultipleSuggestions),handler:function(e){return e.selectNextPageSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:12,secondary:[2060]}})),p.registerEditorCommand(new I({
id:"selectLastSuggestion",precondition:l.ContextKeyExpr.and(y.Context.Visible,y.Context.MultipleSuggestions),handler:function(e){return e.selectLastSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:13}})),p.registerEditorCommand(new I({id:"selectPrevSuggestion",precondition:l.ContextKeyExpr.and(y.Context.Visible,y.Context.MultipleSuggestions),handler:function(e){return e.selectPrevSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:16,secondary:[2064],mac:{primary:16,secondary:[2064,302]}}})),p.registerEditorCommand(new I({id:"selectPrevPageSuggestion",precondition:l.ContextKeyExpr.and(y.Context.Visible,y.Context.MultipleSuggestions),handler:function(e){return e.selectPrevPageSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:11,secondary:[2059]}})),p.registerEditorCommand(new I({id:"selectFirstSuggestion",precondition:l.ContextKeyExpr.and(y.Context.Visible,y.Context.MultipleSuggestions),handler:function(e){
return e.selectFirstSuggestion()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:14}})),p.registerEditorCommand(new I({id:"toggleSuggestionDetails",precondition:y.Context.Visible,handler:function(e){return e.toggleSuggestionDetails()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:2058,mac:{primary:266}}})),p.registerEditorCommand(new I({id:"toggleSuggestionFocus",precondition:y.Context.Visible,handler:function(e){return e.toggleSuggestionFocus()},kbOpts:{weight:N,kbExpr:h.EditorContextKeys.textInputFocus,primary:2570,mac:{primary:778}}}))}),define(t[540],n([0,1,345,18,12,3,11,17,2,23,16,56,31,19,21,22,28]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y){"use strict";function C(e,t){var n=l.DocumentHighlightProviderRegistry.ordered(e),o=!1;return i.sequence(n.map(function(n){return function(){if(!o)return i.asWinJsPromise(function(i){return n.provideDocumentHighlights(e,t,i)}).then(function(e){if(Array.isArray(e)&&e.length>0)return o=!0,e},function(e){
r.onUnexpectedExternalError(e)})}})).then(function(e){return e[0]})}Object.defineProperty(t,"__esModule",{value:!0}),t.editorWordHighlight=h.registerColor("editor.wordHighlightBackground",{dark:"#575757B8",light:"#57575740",hc:null},n.localize(0,null),!0),t.editorWordHighlightStrong=h.registerColor("editor.wordHighlightStrongBackground",{dark:"#004972B8",light:"#0e639c40",hc:null},n.localize(1,null),!0),t.editorWordHighlightBorder=h.registerColor("editor.wordHighlightBorder",{light:null,dark:null,hc:h.activeContrastBorder},n.localize(2,null)),t.editorWordHighlightStrongBorder=h.registerColor("editor.wordHighlightStrongBorder",{light:null,dark:null,hc:h.activeContrastBorder},n.localize(3,null)),t.overviewRulerWordHighlightForeground=h.registerColor("editorOverviewRuler.wordHighlightForeground",{dark:"#A0A0A0CC",light:"#A0A0A0CC",hc:"#A0A0A0CC"},n.localize(4,null),!0),t.overviewRulerWordHighlightStrongForeground=h.registerColor("editorOverviewRuler.wordHighlightStrongForeground",{dark:"#C0A0C0CC",
light:"#C0A0C0CC",hc:"#C0A0C0CC"},n.localize(5,null),!0),t.ctxHasWordHighlights=new m.RawContextKey("hasWordHighlights",!1),t.getOccurrencesAtPosition=C,a.registerDefaultLanguageCommand("_executeDocumentHighlights",C);var b=function(){function e(e,n){var i=this;this.workerRequestTokenId=0,this.workerRequest=null,this.workerRequestCompleted=!1,this.workerRequestValue=[],this.lastCursorPositionChangeTime=0,this.renderDecorationsTimer=-1,this.editor=e,this._hasWordHighlights=t.ctxHasWordHighlights.bindTo(n),this._ignorePositionChangeEvent=!1,this.occurrencesHighlight=this.editor.getConfiguration().contribInfo.occurrencesHighlight,this.model=this.editor.getModel(),this.toUnhook=[],this.toUnhook.push(e.onDidChangeCursorPosition(function(e){i._ignorePositionChangeEvent||i.occurrencesHighlight&&i._onPositionChanged(e)})),this.toUnhook.push(e.onDidChangeModel(function(e){i._stopAll(),i.model=i.editor.getModel()})),this.toUnhook.push(e.onDidChangeModelContent(function(e){i._stopAll()})),
this.toUnhook.push(e.onDidChangeConfiguration(function(e){var t=i.editor.getConfiguration().contribInfo.occurrencesHighlight;i.occurrencesHighlight!==t&&(i.occurrencesHighlight=t,i._stopAll())})),this._lastWordRange=null,this._decorationIds=[],this.workerRequestTokenId=0,this.workerRequest=null,this.workerRequestCompleted=!1,this.lastCursorPositionChangeTime=0,this.renderDecorationsTimer=-1}return e.prototype.hasDecorations=function(){return this._decorationIds.length>0},e.prototype.restore=function(){this.occurrencesHighlight&&this._run()},e.prototype._getSortedHighlights=function(){var e=this;return this._decorationIds.map(function(t){return e.model.getDecorationRange(t)}).sort(s.Range.compareRangesUsingStarts)},e.prototype.moveNext=function(){var e=this,t=this._getSortedHighlights(),n=t[(_.firstIndex(t,function(t){return t.containsPosition(e.editor.getPosition())})+1)%t.length];try{this._ignorePositionChangeEvent=!0,this.editor.setPosition(n.getStartPosition()),
this.editor.revealRangeInCenterIfOutsideViewport(n)}finally{this._ignorePositionChangeEvent=!1}},e.prototype.moveBack=function(){var e=this,t=this._getSortedHighlights(),n=t[(_.firstIndex(t,function(t){return t.containsPosition(e.editor.getPosition())})-1+t.length)%t.length];try{this._ignorePositionChangeEvent=!0,this.editor.setPosition(n.getStartPosition()),this.editor.revealRangeInCenterIfOutsideViewport(n)}finally{this._ignorePositionChangeEvent=!1}},e.prototype._removeDecorations=function(){this._decorationIds.length>0&&(this._decorationIds=this.editor.deltaDecorations(this._decorationIds,[]),this._hasWordHighlights.set(!1))},e.prototype._stopAll=function(){this._lastWordRange=null,this._removeDecorations(),-1!==this.renderDecorationsTimer&&(clearTimeout(this.renderDecorationsTimer),this.renderDecorationsTimer=-1),null!==this.workerRequest&&(this.workerRequest.cancel(),this.workerRequest=null),this.workerRequestCompleted||(this.workerRequestTokenId++,this.workerRequestCompleted=!0)},
e.prototype._onPositionChanged=function(e){this.occurrencesHighlight&&e.reason===f.CursorChangeReason.Explicit?this._run():this._stopAll()},e.prototype._run=function(){var e=this;if(l.DocumentHighlightProviderRegistry.has(this.model)){var t=this.editor.getSelection();if(t.startLineNumber===t.endLineNumber){var n=t.startLineNumber,i=t.startColumn,o=t.endColumn,r=this.model.getWordAtPosition({lineNumber:n,column:i});if(!r||r.startColumn>i||r.endColumn<o)this._stopAll();else{for(var a=new s.Range(n,r.startColumn,n,r.endColumn),u=this._lastWordRange&&this._lastWordRange.equalsRange(a),c=0,d=this._decorationIds.length;!u&&c<d;c++){var h=this.model.getDecorationRange(this._decorationIds[c]);h&&h.startLineNumber===n&&h.startColumn<=i&&h.endColumn>=o&&(u=!0)}if(this.lastCursorPositionChangeTime=(new Date).getTime(),u)this.workerRequestCompleted&&-1!==this.renderDecorationsTimer&&(clearTimeout(this.renderDecorationsTimer),this.renderDecorationsTimer=-1,this._beginRenderDecorations());else{this._stopAll()
;var p=++this.workerRequestTokenId;this.workerRequestCompleted=!1,this.workerRequest=C(this.model,this.editor.getPosition()),this.workerRequest.then(function(t){p===e.workerRequestTokenId&&(e.workerRequestCompleted=!0,e.workerRequestValue=t||[],e._beginRenderDecorations())}).done()}this._lastWordRange=a}}else this._stopAll()}else this._stopAll()},e.prototype._beginRenderDecorations=function(){var e=this,t=(new Date).getTime(),n=this.lastCursorPositionChangeTime+250;t>=n?(this.renderDecorationsTimer=-1,this.renderDecorations()):this.renderDecorationsTimer=setTimeout(function(){e.renderDecorations()},n-t)},e.prototype.renderDecorations=function(){this.renderDecorationsTimer=-1;for(var t=[],n=0,i=this.workerRequestValue.length;n<i;n++){var o=this.workerRequestValue[n];t.push({range:o.range,options:e._getDecorationOptions(o.kind)})}this._decorationIds=this.editor.deltaDecorations(this._decorationIds,t),this._hasWordHighlights.set(this.hasDecorations())},e._getDecorationOptions=function(e){
return e===l.DocumentHighlightKind.Write?this._WRITE_OPTIONS:e===l.DocumentHighlightKind.Text?this._TEXT_OPTIONS:this._REGULAR_OPTIONS},e.prototype.dispose=function(){this._stopAll(),this.toUnhook=c.dispose(this.toUnhook)},e._WRITE_OPTIONS=g.ModelDecorationOptions.register({stickiness:y.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"wordHighlightStrong",overviewRuler:{color:p.themeColorFromId(t.overviewRulerWordHighlightStrongForeground),darkColor:p.themeColorFromId(t.overviewRulerWordHighlightStrongForeground),position:y.OverviewRulerLane.Center}}),e._TEXT_OPTIONS=g.ModelDecorationOptions.register({stickiness:y.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"selectionHighlight",overviewRuler:{color:p.themeColorFromId(h.overviewRulerSelectionHighlightForeground),darkColor:p.themeColorFromId(h.overviewRulerSelectionHighlightForeground),position:y.OverviewRulerLane.Center}}),e._REGULAR_OPTIONS=g.ModelDecorationOptions.register({
stickiness:y.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"wordHighlight",overviewRuler:{color:p.themeColorFromId(t.overviewRulerWordHighlightForeground),darkColor:p.themeColorFromId(t.overviewRulerWordHighlightForeground),position:y.OverviewRulerLane.Center}}),e}(),S=function(){function e(e,t){this.wordHighligher=new b(e,t)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.saveViewState=function(){return!!this.wordHighligher.hasDecorations()},e.prototype.moveNext=function(){this.wordHighligher.moveNext()},e.prototype.moveBack=function(){this.wordHighligher.moveBack()},e.prototype.restoreViewState=function(e){e&&this.wordHighligher.restore()},e.prototype.dispose=function(){this.wordHighligher.dispose()},e.ID="editor.contrib.wordHighlighter",e=u([d(1,m.IContextKeyService)],e)}(),w=function(e){function t(t,n){var i=e.call(this,n)||this;return i._isNext=t,i}return o(t,e),t.prototype.run=function(e,t){var n=S.get(t)
;n&&(this._isNext?n.moveNext():n.moveBack())},t}(a.EditorAction),E=function(e){function i(){return e.call(this,!0,{id:"editor.action.wordHighlight.next",label:n.localize(6,null),alias:"Go to Next Symbol Highlight",precondition:t.ctxHasWordHighlights,kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:65}})||this}return o(i,e),i}(w),L=function(e){function i(){return e.call(this,!1,{id:"editor.action.wordHighlight.prev",label:n.localize(7,null),alias:"Go to Previous Symbol Highlight",precondition:t.ctxHasWordHighlights,kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:1089}})||this}return o(i,e),i}(w);a.registerEditorContribution(S),a.registerEditorAction(E),a.registerEditorAction(L),p.registerThemingParticipant(function(e,n){var i=e.getColor(h.editorSelectionHighlight);i&&(n.addRule(".monaco-editor .focused .selectionHighlight { background-color: "+i+"; }"),n.addRule(".monaco-editor .selectionHighlight { background-color: "+i.transparent(.5)+"; }"));var o=e.getColor(t.editorWordHighlight)
;o&&n.addRule(".monaco-editor .wordHighlight { background-color: "+o+"; }");var r=e.getColor(t.editorWordHighlightStrong);r&&n.addRule(".monaco-editor .wordHighlightStrong { background-color: "+r+"; }");var s=e.getColor(h.editorSelectionHighlightBorder);s&&("hc"===e.type?n.addRule(".monaco-editor .selectionHighlight { border: 1px dotted "+s+"; box-sizing: border-box; }"):n.addRule(".monaco-editor .selectionHighlight { border: 1px solid "+s+"; box-sizing: border-box; }"));var a=e.getColor(t.editorWordHighlightBorder);a&&("hc"===e.type?n.addRule(".monaco-editor .wordHighlight { border: 1px dashed "+a+"; box-sizing: border-box; }"):n.addRule(".monaco-editor .wordHighlight { border: 1px solid "+a+"; box-sizing: border-box; }"));var l=e.getColor(t.editorWordHighlightStrongBorder);l&&("hc"===e.type?n.addRule(".monaco-editor .wordHighlightStrong { border: 1px dashed "+l+"; box-sizing: border-box; }"):n.addRule(".monaco-editor .wordHighlightStrong { border: 1px solid "+l+"; box-sizing: border-box; }"))})}),
define(t[541],n([0,1,346,2,9,10,117,26,45,14,48,19,21,11,186,16,23,15,50,62,29,32,44,403]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var x=new f.RawContextKey("accessibilityHelpWidgetVisible",!1),N=function(e){function t(t,n){var i=e.call(this)||this;return i._editor=t,i._widget=i._register(n.createInstance(O,i._editor)),i}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.show=function(){this._widget.show()},t.prototype.hide=function(){this._widget.hide()},t.ID="editor.contrib.accessibilityHelpController",t=u([d(1,h.IInstantiationService)],t)}(i.Disposable),I=n.localize(0,null),T=n.localize(1,null),D=n.localize(2,null),M=n.localize(3,null),k=n.localize(4,null),O=function(e){function t(t,i,o,r){var a=e.call(this)||this;return a._contextKeyService=i,a._keybindingService=o,a._openerService=r,a._editor=t,a._isVisibleKey=x.bindTo(a._contextKeyService),
a._domNode=l.createFastDomNode(document.createElement("div")),a._domNode.setClassName("accessibilityHelpWidget"),a._domNode.setDisplay("none"),a._domNode.setAttribute("role","dialog"),a._domNode.setAttribute("aria-hidden","true"),a._contentDomNode=l.createFastDomNode(document.createElement("div")),a._contentDomNode.setAttribute("role","document"),a._domNode.appendChild(a._contentDomNode),a._isVisible=!1,a._register(a._editor.onDidLayoutChange(function(){a._isVisible&&a._layout()})),a._register(s.addStandardDisposableListener(a._contentDomNode.domNode,"keydown",function(e){if(a._isVisible&&(e.equals(2083)&&(b.alert(n.localize(5,null)),a._editor.updateOptions({accessibilitySupport:"on"}),s.clearNode(a._contentDomNode.domNode),a._buildContent(),a._contentDomNode.domNode.focus(),e.preventDefault(),e.stopPropagation()),e.equals(2086))){b.alert(n.localize(6,null));var t=a._editor.getRawConfiguration().accessibilityHelpUrl;void 0===t&&(t="https://go.microsoft.com/fwlink/?linkid=852450"),
a._openerService.open(w.default.parse(t)),e.preventDefault(),e.stopPropagation()}})),a.onblur(a._contentDomNode.domNode,function(){a.hide()}),a._editor.addOverlayWidget(a),a}return o(t,e),t.prototype.dispose=function(){this._editor.removeOverlayWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t.ID},t.prototype.getDomNode=function(){return this._domNode.domNode},t.prototype.getPosition=function(){return{preference:null}},t.prototype.show=function(){this._isVisible||(this._isVisible=!0,this._isVisibleKey.set(!0),this._layout(),this._domNode.setDisplay("block"),this._domNode.setAttribute("aria-hidden","false"),this._contentDomNode.domNode.tabIndex=0,this._buildContent(),this._contentDomNode.domNode.focus())},t.prototype._descriptionForCommand=function(e,t,n){var i=this._keybindingService.lookupKeybinding(e);return i?r.format(t,i.getAriaLabel()):r.format(n,e)},t.prototype._buildContent=function(){var e=this._editor.getConfiguration(),t=this._editor.getSelections(),i=0;if(t){
var o=this._editor.getModel();o&&t.forEach(function(e){i+=o.getValueLengthInRange(e)})}var s=function(e,t){return e&&0!==e.length?1===e.length?t?r.format(T,e[0].positionLineNumber,e[0].positionColumn,t):r.format(D,e[0].positionLineNumber,e[0].positionColumn):t?r.format(M,e.length,t):e.length>0?r.format(k,e.length):null:I}(t,i);switch(e.wrappingInfo.inDiffEditor?e.readOnly?s+=n.localize(7,null):s+=n.localize(8,null):e.readOnly?s+=n.localize(9,null):s+=n.localize(10,null),e.accessibilitySupport){case 0:var l=C.isMacintosh?n.localize(11,null):n.localize(12,null);s+="\n\n - "+l;break;case 2:s+="\n\n - "+n.localize(13,null);break;case 1:s+="\n\n - "+n.localize(14,null),s+=" "+l}var u=n.localize(15,null),c=n.localize(16,null),d=n.localize(17,null),h=n.localize(18,null);e.tabFocusMode?s+="\n\n - "+this._descriptionForCommand(v.ToggleTabFocusModeAction.ID,u,c):s+="\n\n - "+this._descriptionForCommand(v.ToggleTabFocusModeAction.ID,d,h);s+="\n\n - "+(C.isMacintosh?n.localize(19,null):n.localize(20,null)),
s+="\n\n"+n.localize(21,null),this._contentDomNode.domNode.appendChild(a.renderFormattedText(s)),this._contentDomNode.domNode.setAttribute("aria-label",s)},t.prototype.hide=function(){this._isVisible&&(this._isVisible=!1,this._isVisibleKey.reset(),this._domNode.setDisplay("none"),this._domNode.setAttribute("aria-hidden","true"),this._contentDomNode.domNode.tabIndex=-1,s.clearNode(this._contentDomNode.domNode),this._editor.focus())},t.prototype._layout=function(){var e=this._editor.getLayoutInfo(),n=Math.max(5,Math.min(t.WIDTH,e.width-40)),i=Math.max(5,Math.min(t.HEIGHT,e.height-40));this._domNode.setWidth(n),this._domNode.setHeight(i);var o=Math.round((e.height-i)/2);this._domNode.setTop(o);var r=Math.round((e.width-n)/2);this._domNode.setLeft(r)},t.ID="editor.contrib.accessibilityHelpWidget",t.WIDTH=500,t.HEIGHT=300,t=u([d(1,f.IContextKeyService),d(2,p.IKeybindingService),d(3,S.IOpenerService)],t)}(c.Widget),R=function(e){function t(){return e.call(this,{id:"editor.action.showAccessibilityHelp",
label:n.localize(22,null),alias:"Show Accessibility Help",precondition:null,kbOpts:{kbExpr:g.EditorContextKeys.focus,primary:E.isIE?2107:571}})||this}return o(t,e),t.prototype.run=function(e,t){var n=N.get(t);n&&n.show()},t}(m.EditorAction);m.registerEditorContribution(N),m.registerEditorAction(R);var P=m.EditorCommand.bindToContribution(N.get);m.registerEditorCommand(new P({id:"closeAccessibilityHelp",precondition:x,handler:function(e){return e.hide()},kbOpts:{weight:L.KeybindingsRegistry.WEIGHT.editorContrib(100),kbExpr:g.EditorContextKeys.focus,primary:9,secondary:[1033]}})),_.registerThemingParticipant(function(e,t){var n=e.getColor(y.editorWidgetBackground);n&&t.addRule(".monaco-editor .accessibilityHelpWidget { background-color: "+n+"; }");var i=e.getColor(y.widgetShadow);i&&t.addRule(".monaco-editor .accessibilityHelpWidget { box-shadow: 0 2px 8px "+i+"; }");var o=e.getColor(y.contrastBorder);o&&t.addRule(".monaco-editor .accessibilityHelpWidget { border: 2px solid "+o+"; }")})}),
define(t[542],n([0,1,347,2,9,11,24,63,17,85,64,27,16,23,406]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var v=function(e){function t(t,n,i){var o=e.call(this)||this;return o._editor=t,o._standaloneThemeService=n,o._modeService=i,o._widget=null,o._register(o._editor.onDidChangeModel(function(e){return o.stop()})),o._register(o._editor.onDidChangeModelLanguage(function(e){return o.stop()})),o._register(c.TokenizationRegistry.onDidChange(function(e){return o.stop()})),o}return o(t,e),t.get=function(e){return e.getContribution(t.ID)},t.prototype.getId=function(){return t.ID},t.prototype.dispose=function(){this.stop(),e.prototype.dispose.call(this)},t.prototype.launch=function(){this._widget||this._editor.getModel()&&(this._widget=new y(this._editor,this._standaloneThemeService,this._modeService))},t.prototype.stop=function(){this._widget&&(this._widget.dispose(),this._widget=null)},t.ID="editor.contrib.inspectTokens",
t=u([d(1,h.IStandaloneThemeService),d(2,l.IModeService)],t)}(i.Disposable),_=function(e){function t(){return e.call(this,{id:"editor.action.inspectTokens",label:n.localize(0,null),alias:"Developer: Inspect Tokens",precondition:null})||this}return o(t,e),t.prototype.run=function(e,t){var n=v.get(t);n&&n.launch()},t}(s.EditorAction),y=function(e){function t(t,n,i){var o=e.call(this)||this;return o.allowEditorOverflow=!0,o._editor=t,o._modeService=i,o._model=o._editor.getModel(),o._domNode=document.createElement("div"),o._domNode.className="tokens-inspect-widget",o._tokenizationSupport=function(e){var t=c.TokenizationRegistry.get(e.language);return t||{getInitialState:function(){return p.NULL_STATE},tokenize:function(t,n,i){return p.nullTokenize(e.language,t,n,i)},tokenize2:function(t,n,i){return p.nullTokenize2(e.id,t,n,i)}}}(o._model.getLanguageIdentifier()),o._compute(o._editor.getPosition()),o._register(o._editor.onDidChangeCursorPosition(function(e){return o._compute(o._editor.getPosition())})),
o._editor.addContentWidget(o),o}return o(t,e),t.prototype.dispose=function(){this._editor.removeContentWidget(this),e.prototype.dispose.call(this)},t.prototype.getId=function(){return t._ID},t.prototype._compute=function(e){for(var t=this._getTokensAtLine(e.lineNumber),n=0,i=t.tokens1.length-1;i>=0;i--){var o=t.tokens1[i];if(e.column-1>=o.offset){n=i;break}}for(var s=0,i=t.tokens2.length>>>1;i>=0;i--)if(e.column-1>=t.tokens2[i<<1]){s=i;break}var a="",l=this._model.getLineContent(e.lineNumber),u="";if(n<t.tokens1.length){var c=t.tokens1[n].offset,d=n+1<t.tokens1.length?t.tokens1[n+1].offset:l.length;u=l.substring(c,d)}a+='<h2 class="tm-token">'+function(e){for(var t="",n=0,i=e.length;n<i;n++){var o=e.charCodeAt(n);switch(o){case 9:t+="&rarr;";break;case 32:t+="&middot;";break;case 60:t+="&lt;";break;case 62:t+="&gt;";break;case 38:t+="&amp;";break;default:t+=String.fromCharCode(o)}}return t}(u)+'<span class="tm-token-length">('+u.length+" "+(1===u.length?"char":"chars")+")</span></h2>",
a+='<hr class="tokens-inspect-separator" style="clear:both"/>';var h=this._decodeMetadata(t.tokens2[1+(s<<1)]);a+='<table class="tm-metadata-table"><tbody>',a+='<tr><td class="tm-metadata-key">language</td><td class="tm-metadata-value">'+r.escape(h.languageIdentifier.language)+"</td>",a+='<tr><td class="tm-metadata-key">token type</td><td class="tm-metadata-value">'+this._tokenTypeToString(h.tokenType)+"</td>",a+='<tr><td class="tm-metadata-key">font style</td><td class="tm-metadata-value">'+this._fontStyleToString(h.fontStyle)+"</td>",a+='<tr><td class="tm-metadata-key">foreground</td><td class="tm-metadata-value">'+f.Color.Format.CSS.formatHex(h.foreground)+"</td>",a+='<tr><td class="tm-metadata-key">background</td><td class="tm-metadata-value">'+f.Color.Format.CSS.formatHex(h.background)+"</td>",a+="</tbody></table>",a+='<hr class="tokens-inspect-separator"/>',n<t.tokens1.length&&(a+='<span class="tm-token-type">'+r.escape(t.tokens1[n].type)+"</span>"),this._domNode.innerHTML=a,
this._editor.layoutContentWidget(this)},t.prototype._decodeMetadata=function(e){var t=c.TokenizationRegistry.getColorMap(),n=c.TokenMetadata.getLanguageId(e),i=c.TokenMetadata.getTokenType(e),o=c.TokenMetadata.getFontStyle(e),r=c.TokenMetadata.getForeground(e),s=c.TokenMetadata.getBackground(e);return{languageIdentifier:this._modeService.getLanguageIdentifier(n),tokenType:i,fontStyle:o,foreground:t[r],background:t[s]}},t.prototype._tokenTypeToString=function(e){switch(e){case 0:return"Other";case 1:return"Comment";case 2:return"String";case 4:return"RegEx"}return"??"},t.prototype._fontStyleToString=function(e){var t="";return 1&e&&(t+="italic "),2&e&&(t+="bold "),4&e&&(t+="underline "),0===t.length&&(t="---"),t},t.prototype._getTokensAtLine=function(e){var t=this._getStateBeforeLine(e),n=this._tokenizationSupport.tokenize(this._model.getLineContent(e),t,0),i=this._tokenizationSupport.tokenize2(this._model.getLineContent(e),t,0);return{startState:t,tokens1:n.tokens,tokens2:i.tokens,endState:n.endState}},
t.prototype._getStateBeforeLine=function(e){for(var t=this._tokenizationSupport.getInitialState(),n=1;n<e;n++){t=this._tokenizationSupport.tokenize(this._model.getLineContent(n),t,0).endState}return t},t.prototype.getDomNode=function(){return this._domNode},t.prototype.getPosition=function(){return{position:this._editor.getPosition(),preference:[a.ContentWidgetPositionPreference.BELOW,a.ContentWidgetPositionPreference.ABOVE]}},t._ID="editor.contrib.inspectTokensWidget",t}(i.Disposable);s.registerEditorContribution(v),s.registerEditorAction(_),g.registerThemingParticipant(function(e,t){var n=e.getColor(m.editorHoverBorder);if(n){var i=e.type===g.HIGH_CONTRAST?2:1;t.addRule(".monaco-editor .tokens-inspect-widget { border: "+i+"px solid "+n+"; }"),t.addRule(".monaco-editor .tokens-inspect-widget .tokens-inspect-separator { background-color: "+n+"; }")}var o=e.getColor(m.editorHoverBackground);o&&t.addRule(".monaco-editor .tokens-inspect-widget { background-color: "+o+"; }")})}),
define(t[146],n([0,1,487,11,16,31]),function(e,t,n,i,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=function(){function e(e,t){this.themeService=t,this.editor=e}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.widget&&(this.widget.destroy(),this.widget=null)},e.prototype.run=function(e){var t=this;this.widget&&(this.widget.destroy(),this.widget=null);var i=function(e){t.clearDecorations(),e&&t.lastKnownEditorSelection&&(t.editor.setSelection(t.lastKnownEditorSelection),t.editor.revealRangeInCenterIfOutsideViewport(t.lastKnownEditorSelection,0)),t.lastKnownEditorSelection=null,t.editor.focus()};this.widget=new n.QuickOpenEditorWidget(this.editor,function(){return i(!1)},function(){return i(!0)},function(n){t.widget.setInput(e.getModel(n),e.getAutoFocus(n))},{inputAriaLabel:e.inputAriaLabel},this.themeService),this.lastKnownEditorSelection||(this.lastKnownEditorSelection=this.editor.getSelection()),
this.widget.show("")},e.prototype.decorateLine=function(t,n){var i=this;n.changeDecorations(function(n){var o=[];i.rangeHighlightDecorationId&&(o.push(i.rangeHighlightDecorationId),i.rangeHighlightDecorationId=null);var r=[{range:t,options:e._RANGE_HIGHLIGHT_DECORATION}],s=n.deltaDecorations(o,r);i.rangeHighlightDecorationId=s[0]})},e.prototype.clearDecorations=function(){var e=this;this.rangeHighlightDecorationId&&this.editor.changeDecorations(function(t){t.deltaDecorations([e.rangeHighlightDecorationId],[]),e.rangeHighlightDecorationId=null})},e.ID="editor.controller.quickOpenController",e._RANGE_HIGHLIGHT_DECORATION=s.ModelDecorationOptions.register({className:"rangeHighlight",isWholeLine:!0}),e=u([d(1,r.IThemeService)],e)}();t.QuickOpenController=a;var l=function(e){function t(t,n){var i=e.call(this,n)||this;return i._inputAriaLabel=t,i}return o(t,e),t.prototype.getController=function(e){return a.get(e)},t.prototype._show=function(e,t){e.run({inputAriaLabel:this._inputAriaLabel,getModel:function(e){
return t.getModel(e)},getAutoFocus:function(e){return t.getAutoFocus(e)}})},t}(i.EditorAction);t.BaseEditorQuickOpenAction=l,i.registerEditorContribution(a)}),define(t[544],n([0,1,348,115,108,21,24,146,11,13,3,408]),function(e,t,n,i,r,s,a,l,u,c,d){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var h=function(e){function t(t,n,i){var o=e.call(this)||this;return o.editor=n,o.decorator=i,o._parseResult=o._parseInput(t),o}return o(t,e),t.prototype._parseInput=function(e){var t,i=e.split(",").map(function(e){return parseInt(e,10)}).filter(function(e){return!isNaN(e)});t=0===i.length?new c.Position(-1,-1):1===i.length?new c.Position(i[0],1):new c.Position(i[0],i[1]);var o,r,s=(o=a.isCodeEditor(this.editor)?this.editor.getModel():this.editor.getModel().modified).validatePosition(t).equals(t)
;return r=s?t.column&&t.column>1?n.localize(0,null,t.lineNumber,t.column):n.localize(1,null,t.lineNumber,t.column):t.lineNumber<1||t.lineNumber>o.getLineCount()?n.localize(2,null,o.getLineCount()):n.localize(3,null,o.getLineMaxColumn(t.lineNumber)),{position:t,isValid:s,label:r}},t.prototype.getLabel=function(){return this._parseResult.label},t.prototype.getAriaLabel=function(){return n.localize(4,null,this._parseResult.label)},t.prototype.run=function(e,t){return e===r.Mode.OPEN?this.runOpen():this.runPreview()},t.prototype.runOpen=function(){if(!this._parseResult.isValid)return!1;var e=this.toSelection();return this.editor.setSelection(e),this.editor.revealRangeInCenter(e,0),this.editor.focus(),!0},t.prototype.runPreview=function(){if(!this._parseResult.isValid)return this.decorator.clearDecorations(),!1;var e=this.toSelection();return this.editor.revealRangeInCenter(e,0),this.decorator.decorateLine(e,this.editor),!1},t.prototype.toSelection=function(){
return new d.Range(this._parseResult.position.lineNumber,this._parseResult.position.column,this._parseResult.position.lineNumber,this._parseResult.position.column)},t}(i.QuickOpenEntry);t.GotoLineEntry=h;var p=function(e){function t(){return e.call(this,n.localize(5,null),{id:"editor.action.gotoLine",label:n.localize(6,null),alias:"Go to Line...",precondition:null,kbOpts:{kbExpr:s.EditorContextKeys.focus,primary:2085,mac:{primary:293}}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this;this._show(this.getController(t),{getModel:function(e){return new i.QuickOpenModel([new h(e,t,n.getController(t))])},getAutoFocus:function(e){return{autoFocusFirstEntry:e.length>0}}})},t}(l.BaseEditorQuickOpenAction);t.GotoLineAction=p,u.registerEditorAction(p)}),define(t[545],n([0,1,349,12,110,8,115,108,48,21,146,11,32]),function(e,t,n,i,r,s,a,l,u,c,d,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(e){function t(t,n,i,o){var r=e.call(this)||this;return r.key=t,r.setHighlights(n),
r.action=i,r.editor=o,r}return o(t,e),t.prototype.getLabel=function(){return this.action.label},t.prototype.getAriaLabel=function(){return n.localize(0,null,this.getLabel())},t.prototype.getGroupLabel=function(){return this.key},t.prototype.run=function(e,t){var n=this;return e===l.Mode.OPEN&&(s.TPromise.timeout(50).done(function(){n.editor.focus();try{(n.action.run()||s.TPromise.as(null)).done(null,i.onUnexpectedError)}catch(e){i.onUnexpectedError(e)}},i.onUnexpectedError),!0)},t}(a.QuickOpenEntryGroup);t.EditorActionCommandEntry=f;var g=function(e){function t(){return e.call(this,n.localize(1,null),{id:"editor.action.quickCommand",label:n.localize(2,null),alias:"Command Palette",precondition:null,kbOpts:{kbExpr:c.EditorContextKeys.focus,primary:p.isIE?571:59},menuOpts:{}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this,i=e.get(u.IKeybindingService);this._show(this.getController(t),{getModel:function(e){return new a.QuickOpenModel(n._editorActionsToEntries(i,t,e))},getAutoFocus:function(e){
return{autoFocusFirstEntry:!0,autoFocusPrefixMatch:e}}})},t.prototype._sort=function(e,t){var n=e.getLabel().toLowerCase(),i=t.getLabel().toLowerCase();return n.localeCompare(i)},t.prototype._editorActionsToEntries=function(e,t,n){for(var i=t.getSupportedActions(),o=[],s=0;s<i.length;s++){var a=i[s],l=e.lookupKeybinding(a.id);if(a.label){var u=r.matchesFuzzy(n,a.label);u&&o.push(new f(l?l.getLabel():"",u,a,t))}}return o=o.sort(this._sort)},t}(d.BaseEditorQuickOpenAction);t.QuickCommandAction=g,h.registerEditorAction(g)}),define(t[546],n([0,1,350,110,9,115,108,21,17,146,473,11,3,409]),function(e,t,n,i,r,s,a,l,u,c,d,h,p){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var f=function(e){function t(t,n,i,o,r,s,a){var l=e.call(this)||this;return l.name=t,l.type=n,l.description=i,l.range=o,l.setHighlights(r),l.editor=s,l.decorator=a,l}return o(t,e),t.prototype.getLabel=function(){return this.name},t.prototype.getAriaLabel=function(){return n.localize(0,null,this.name)},t.prototype.getIcon=function(){
return this.type},t.prototype.getDescription=function(){return this.description},t.prototype.getType=function(){return this.type},t.prototype.getRange=function(){return this.range},t.prototype.run=function(e,t){return e===a.Mode.OPEN?this.runOpen(t):this.runPreview()},t.prototype.runOpen=function(e){var t=this.toSelection();return this.editor.setSelection(t),this.editor.revealRangeInCenter(t,0),this.editor.focus(),!0},t.prototype.runPreview=function(){var e=this.toSelection();return this.editor.revealRangeInCenter(e,0),this.decorator.decorateLine(this.range,this.editor),!1},t.prototype.toSelection=function(){return new p.Range(this.range.startLineNumber,this.range.startColumn||1,this.range.startLineNumber,this.range.startColumn||1)},t}(s.QuickOpenEntryGroup),g=function(e){function t(){return e.call(this,n.localize(1,null),{id:"editor.action.quickOutline",label:n.localize(2,null),alias:"Go to Symbol...",precondition:l.EditorContextKeys.hasDocumentSymbolProvider,kbOpts:{kbExpr:l.EditorContextKeys.focus,
primary:3117},menuOpts:{group:"navigation",order:3}})||this}return o(t,e),t.prototype.run=function(e,t){var n=this,i=t.getModel();return u.DocumentSymbolProviderRegistry.has(i)?d.getDocumentSymbols(i).then(function(e){0!==e.entries.length&&n._run(t,e.entries)}):null},t.prototype._run=function(e,t){var n=this;this._show(this.getController(e),{getModel:function(i){return new s.QuickOpenModel(n.toQuickOpenEntries(e,t,i))},getAutoFocus:function(e){return 0===e.indexOf(":")&&(e=e.substr(":".length)),{autoFocusPrefixMatch:e,autoFocusFirstEntry:!!e}}})},t.prototype.toQuickOpenEntries=function(e,t,o){var s=this.getController(e),a=[],l=o;0===o.indexOf(":")&&(l=l.substr(":".length));for(y=0;y<t.length;y++){var c=t[y],d=r.trim(c.name),h=i.matchesFuzzy(l,d);if(h){var g=null;c.containerName&&(g=c.containerName),a.push(new f(d,u.symbolKindToCssClass(c.kind),g,p.Range.lift(c.location.range),h,e,s))}}
if(o&&(a=0===o.indexOf(":")?a.sort(this.sortScoped.bind(this,o.toLowerCase())):a.sort(this.sortNormal.bind(this,o.toLowerCase()))),a.length>0&&0===o.indexOf(":")){for(var m=null,v=null,_=0,y=0;y<a.length;y++){var C=a[y];m!==C.getType()?(v&&v.setGroupLabel(this.typeToLabel(m,_)),m=C.getType(),v=C,_=1,C.setShowBorder(y>0)):_++}v&&v.setGroupLabel(this.typeToLabel(m,_))}else a.length>0&&a[0].setGroupLabel(n.localize(3,null,a.length));return a},t.prototype.typeToLabel=function(e,t){switch(e){case"module":return n.localize(4,null,t);case"class":return n.localize(5,null,t);case"interface":return n.localize(6,null,t);case"method":return n.localize(7,null,t);case"function":return n.localize(8,null,t);case"property":return n.localize(9,null,t);case"variable":return n.localize(10,null,t);case"var":return n.localize(11,null,t);case"constructor":return n.localize(12,null,t);case"call":return n.localize(13,null,t)}return e},t.prototype.sortNormal=function(e,t,n){
var i=t.getLabel().toLowerCase(),o=n.getLabel().toLowerCase(),r=i.localeCompare(o);if(0!==r)return r;var s=t.getRange(),a=n.getRange();return s.startLineNumber-a.startLineNumber},t.prototype.sortScoped=function(e,t,n){e=e.substr(":".length);var i=t.getType(),o=n.getType(),r=i.localeCompare(o);if(0!==r)return r;if(e){var s=t.getLabel().toLowerCase(),a=n.getLabel().toLowerCase(),l=s.localeCompare(a);if(0!==l)return l}var u=t.getRange(),c=n.getRange();return u.startLineNumber-c.startLineNumber},t}(c.BaseEditorQuickOpenAction);t.QuickOutlineAction=g,h.registerEditorAction(g)}),define(t[547],n([0,1,23,35]),function(e,t,n,i){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.vs={base:"vs",inherit:!1,rules:[{token:"",foreground:"000000",background:"fffffe"},{token:"invalid",foreground:"cd3131"},{token:"emphasis",fontStyle:"italic"},{token:"strong",fontStyle:"bold"},{token:"variable",foreground:"001188"},{token:"variable.predefined",foreground:"4864AA"},{token:"constant",foreground:"dd0000"},{
token:"comment",foreground:"008000"},{token:"number",foreground:"09885A"},{token:"number.hex",foreground:"3030c0"},{token:"regexp",foreground:"800000"},{token:"annotation",foreground:"808080"},{token:"type",foreground:"008080"},{token:"delimiter",foreground:"000000"},{token:"delimiter.html",foreground:"383838"},{token:"delimiter.xml",foreground:"0000FF"},{token:"tag",foreground:"800000"},{token:"tag.id.jade",foreground:"4F76AC"},{token:"tag.class.jade",foreground:"4F76AC"},{token:"meta.scss",foreground:"800000"},{token:"metatag",foreground:"e00000"},{token:"metatag.content.html",foreground:"FF0000"},{token:"metatag.html",foreground:"808080"},{token:"metatag.xml",foreground:"808080"},{token:"metatag.php",fontStyle:"bold"},{token:"key",foreground:"863B00"},{token:"string.key.json",foreground:"A31515"},{token:"string.value.json",foreground:"0451A5"},{token:"attribute.name",foreground:"FF0000"},{token:"attribute.value",foreground:"0451A5"},{token:"attribute.value.number",foreground:"09885A"},{
token:"attribute.value.unit",foreground:"09885A"},{token:"attribute.value.html",foreground:"0000FF"},{token:"attribute.value.xml",foreground:"0000FF"},{token:"string",foreground:"A31515"},{token:"string.html",foreground:"0000FF"},{token:"string.sql",foreground:"FF0000"},{token:"string.yaml",foreground:"0451A5"},{token:"keyword",foreground:"0000FF"},{token:"keyword.json",foreground:"0451A5"},{token:"keyword.flow",foreground:"AF00DB"},{token:"keyword.flow.scss",foreground:"0000FF"},{token:"operator.scss",foreground:"666666"},{token:"operator.sql",foreground:"778899"},{token:"operator.swift",foreground:"666666"},{token:"predefined.sql",foreground:"FF00FF"}],colors:(o={},o[n.editorBackground]="#FFFFFE",o[n.editorForeground]="#000000",o[n.editorInactiveSelection]="#E5EBF1",o[i.editorIndentGuides]="#D3D3D3",o[n.editorSelectionHighlight]="#ADD6FF4D",o)},t.vs_dark={base:"vs-dark",inherit:!1,rules:[{token:"",foreground:"D4D4D4",background:"1E1E1E"},{token:"invalid",foreground:"f44747"},{token:"emphasis",
fontStyle:"italic"},{token:"strong",fontStyle:"bold"},{token:"variable",foreground:"74B0DF"},{token:"variable.predefined",foreground:"4864AA"},{token:"variable.parameter",foreground:"9CDCFE"},{token:"constant",foreground:"569CD6"},{token:"comment",foreground:"608B4E"},{token:"number",foreground:"B5CEA8"},{token:"number.hex",foreground:"5BB498"},{token:"regexp",foreground:"B46695"},{token:"annotation",foreground:"cc6666"},{token:"type",foreground:"3DC9B0"},{token:"delimiter",foreground:"DCDCDC"},{token:"delimiter.html",foreground:"808080"},{token:"delimiter.xml",foreground:"808080"},{token:"tag",foreground:"569CD6"},{token:"tag.id.jade",foreground:"4F76AC"},{token:"tag.class.jade",foreground:"4F76AC"},{token:"meta.scss",foreground:"A79873"},{token:"meta.tag",foreground:"CE9178"},{token:"metatag",foreground:"DD6A6F"},{token:"metatag.content.html",foreground:"9CDCFE"},{token:"metatag.html",foreground:"569CD6"},{token:"metatag.xml",foreground:"569CD6"},{token:"metatag.php",fontStyle:"bold"},{token:"key",
foreground:"9CDCFE"},{token:"string.key.json",foreground:"9CDCFE"},{token:"string.value.json",foreground:"CE9178"},{token:"attribute.name",foreground:"9CDCFE"},{token:"attribute.value",foreground:"CE9178"},{token:"attribute.value.number.css",foreground:"B5CEA8"},{token:"attribute.value.unit.css",foreground:"B5CEA8"},{token:"attribute.value.hex.css",foreground:"D4D4D4"},{token:"string",foreground:"CE9178"},{token:"string.sql",foreground:"FF0000"},{token:"keyword",foreground:"569CD6"},{token:"keyword.flow",foreground:"C586C0"},{token:"keyword.json",foreground:"CE9178"},{token:"keyword.flow.scss",foreground:"569CD6"},{token:"operator.scss",foreground:"909090"},{token:"operator.sql",foreground:"778899"},{token:"operator.swift",foreground:"909090"},{token:"predefined.sql",foreground:"FF00FF"}],colors:(r={},r[n.editorBackground]="#1E1E1E",r[n.editorForeground]="#D4D4D4",r[n.editorInactiveSelection]="#3A3D41",r[i.editorIndentGuides]="#404040",r[n.editorSelectionHighlight]="#ADD6FF26",r)},t.hc_black={base:"hc-black",
inherit:!1,rules:[{token:"",foreground:"FFFFFF",background:"000000"},{token:"invalid",foreground:"f44747"},{token:"emphasis",fontStyle:"italic"},{token:"strong",fontStyle:"bold"},{token:"variable",foreground:"1AEBFF"},{token:"variable.parameter",foreground:"9CDCFE"},{token:"constant",foreground:"569CD6"},{token:"comment",foreground:"608B4E"},{token:"number",foreground:"FFFFFF"},{token:"regexp",foreground:"C0C0C0"},{token:"annotation",foreground:"569CD6"},{token:"type",foreground:"3DC9B0"},{token:"delimiter",foreground:"FFFF00"},{token:"delimiter.html",foreground:"FFFF00"},{token:"tag",foreground:"569CD6"},{token:"tag.id.jade",foreground:"4F76AC"},{token:"tag.class.jade",foreground:"4F76AC"},{token:"meta",foreground:"D4D4D4"},{token:"meta.tag",foreground:"CE9178"},{token:"metatag",foreground:"569CD6"},{token:"metatag.content.html",foreground:"1AEBFF"},{token:"metatag.html",foreground:"569CD6"},{token:"metatag.xml",foreground:"569CD6"},{token:"metatag.php",fontStyle:"bold"},{token:"key",foreground:"9CDCFE"},{
token:"string.key",foreground:"9CDCFE"},{token:"string.value",foreground:"CE9178"},{token:"attribute.name",foreground:"569CD6"},{token:"attribute.value",foreground:"3FF23F"},{token:"string",foreground:"CE9178"},{token:"string.sql",foreground:"FF0000"},{token:"keyword",foreground:"569CD6"},{token:"keyword.flow",foreground:"C586C0"},{token:"operator.sql",foreground:"778899"},{token:"operator.swift",foreground:"909090"},{token:"predefined.sql",foreground:"FF00FF"}],colors:(s={},s[n.editorBackground]="#000000",s[n.editorForeground]="#FFFFFF",s[i.editorIndentGuides]="#FFFFFF",s)};var o,r,s}),define(t[548],n([0,1,555,547,10,17,27,23,16,46,4]),function(e,t,n,i,o,r,s,a,l,u,c){"use strict";function d(e){return e===f||e===g||e===m}function h(e){switch(e){case f:return i.vs;case g:return i.vs_dark;case m:return i.hc_black}}function p(e){var t=h(e);return new y(e,"",t.colors,t.rules)}Object.defineProperty(t,"__esModule",{value:!0})
;var f="vs",g="vs-dark",m="hc-black",v=u.Registry.as(a.Extensions.ColorContribution),_=u.Registry.as(l.Extensions.ThemingContribution),y=function(){function e(e,t,n,i){t.length>0?(this.id=e+" "+t,this.themeName=t):(this.id=e,this.themeName=e),this.base=e,this.rules=i,this.colors={};for(var o in n)this.colors[o]=s.Color.fromHex(n[o]);this.defaultColors={}}return e.prototype.getColor=function(e,t){return this.colors.hasOwnProperty(e)?this.colors[e]:!1!==t?this.getDefault(e):null},e.prototype.getDefault=function(e){if(this.defaultColors.hasOwnProperty(e))return this.defaultColors[e];var t=v.resolveDefaultColor(e,this);return this.defaultColors[e]=t,t},e.prototype.defines=function(e){return this.colors.hasOwnProperty(e)},Object.defineProperty(e.prototype,"type",{get:function(){switch(this.base){case f:return"light";case m:return"hc";default:return"dark"}},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"tokenTheme",{get:function(){
return this._tokenTheme||(this._tokenTheme=n.TokenTheme.createFromRawTokenTheme(this.rules)),this._tokenTheme},enumerable:!0,configurable:!0}),e}(),C=function(){function e(){this._onThemeChange=new c.Emitter,this._knownThemes=new Map,this._knownThemes.set(f,p(f)),this._knownThemes.set(g,p(g)),this._knownThemes.set(m,p(m)),this._styleElement=o.createStyleSheet(),this._styleElement.className="monaco-colors",this.setTheme(f)}return Object.defineProperty(e.prototype,"onThemeChange",{get:function(){return this._onThemeChange.event},enumerable:!0,configurable:!0}),e.prototype.defineTheme=function(e,t){if(!/^[a-z0-9\-]+$/i.test(e)||d(e))throw new Error("Illegal theme name!");if(!d(t.base))throw new Error("Illegal theme base!");var n=[],i={};if(t.inherit){var o=h(t.base);n=n.concat(o.rules);for(var r in o.colors)i[r]=o.colors[r]}n=n.concat(t.rules);for(var r in t.colors)i[r]=t.colors[r];this._knownThemes.set(e,new y(t.base,e,i,n))},e.prototype.getTheme=function(){return this._theme},e.prototype.setTheme=function(e){
var t;t=this._knownThemes.has(e)?this._knownThemes.get(e):this._knownThemes.get(f),this._theme=t;var i=[],o={},s={addRule:function(e){o[e]||(i.push(e),o[e]=!0)}};_.getThemingParticipants().forEach(function(e){return e(t,s)});var a=t.tokenTheme.getColorMap();return s.addRule(n.generateTokensCSSForColorMap(a)),this._styleElement.innerHTML=i.join("\n"),r.TokenizationRegistry.setColorMap(a),this._onThemeChange.fire(t),t.id},e}();t.StandaloneThemeServiceImpl=C}),define(t[549],n([0,1,19]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.InputFocusedContextKey="inputFocus",t.InputFocusedContext=new n.RawContextKey(t.InputFocusedContextKey,!1)}),define(t[147],n([0,1,105,14,2,19,247,163,109,16,549,54,356,46,87,84,30,4,10,42]),function(e,t,n,i,r,s,a,l,h,p,f,g,m,v,_,y,C,b,S,w){"use strict";function E(e,i){var o=e.createScoped(i.getHTMLElement());return(i instanceof n.List||i instanceof a.PagedList)&&t.WorkbenchListSupportsMultiSelectContextKey.bindTo(o),M.bindTo(o),o}function L(e){
return"alt"===e.getValue(t.multiSelectModifierSettingKey)}function x(e){return"doubleClick"!==e.getValue(t.openModeSettingKey)}function N(e,t){return!1===e.multipleSelectionSupport||e.multipleSelectionController||(e.multipleSelectionController=new R(t)),e.openController=new P(t,e.openController),e}function I(){return k||(k=S.createStyleSheet()),k}function T(e,t){return e.controller||(e.controller=t.createInstance(B,{})),e.styler||(e.styler=new y.DefaultTreestyler((O||(O=S.createStyleSheet()),O))),e}Object.defineProperty(t,"__esModule",{value:!0}),t.IListService=i.createDecorator("listService");var D=function(){function e(e){this.lists=[],this._lastFocusedWidget=void 0}return Object.defineProperty(e.prototype,"lastFocusedList",{get:function(){return this._lastFocusedWidget},enumerable:!0,configurable:!0}),e.prototype.register=function(e,t){var n=this;if(this.lists.some(function(t){return t.widget===e}))throw new Error("Cannot register the same widget multiple times");var i={widget:e,extraContextKeys:t}
;this.lists.push(i),e.isDOMFocused()&&(this._lastFocusedWidget=e);return r.combinedDisposable([e.onDidFocus(function(){return n._lastFocusedWidget=e}),r.toDisposable(function(){return n.lists.splice(n.lists.indexOf(i),1)}),e.onDidDispose(function(){n.lists=n.lists.filter(function(e){return e!==i}),n._lastFocusedWidget===e&&(n._lastFocusedWidget=void 0)})])},e=u([d(0,s.IContextKeyService)],e)}();t.ListService=D;var M=new s.RawContextKey("listFocus",!0);t.WorkbenchListSupportsMultiSelectContextKey=new s.RawContextKey("listSupportsMultiselect",!0),t.WorkbenchListFocusContextKey=s.ContextKeyExpr.and(M,s.ContextKeyExpr.not(f.InputFocusedContextKey)),t.WorkbenchListDoubleSelection=new s.RawContextKey("listDoubleSelection",!1),t.WorkbenchListMultiSelection=new s.RawContextKey("listMultiSelection",!1),t.multiSelectModifierSettingKey="workbench.list.multiSelectModifier",t.openModeSettingKey="workbench.list.openMode",t.horizontalScrollingKey="workbench.tree.horizontalScrolling";var k,O,R=function(){function e(e){
this.configurationService=e}return e.prototype.isSelectionSingleChangeEvent=function(e){return L(this.configurationService)?e.browserEvent.altKey:n.isSelectionSingleChangeEvent(e)},e.prototype.isSelectionRangeChangeEvent=function(e){return n.isSelectionRangeChangeEvent(e)},e}(),P=function(){function e(e,t){this.configurationService=e,this.existingOpenController=t}return e.prototype.shouldOpen=function(e){if(e instanceof MouseEvent){var t=2===e.detail;return!(!x(this.configurationService)&&!t)&&((0===e.button||1===e.button)&&(!this.existingOpenController||this.existingOpenController.shouldOpen(e)))}return!this.existingOpenController||this.existingOpenController.shouldOpen(e)},e}(),A=function(e){function i(i,o,s,a,l,u,d,p){var f=e.call(this,i,o,s,c({keyboardSupport:!1,selectOnMouseDown:!0,styleController:new n.DefaultStyleController(I())},h.computeStyles(d.getTheme(),h.defaultListStyles),N(a,p)))||this;return f.configurationService=p,f.contextKeyService=E(l,f),
f.listDoubleSelection=t.WorkbenchListDoubleSelection.bindTo(f.contextKeyService),f.listMultiSelection=t.WorkbenchListMultiSelection.bindTo(f.contextKeyService),f._useAltAsMultipleSelectionModifier=L(p),f.disposables.push(r.combinedDisposable([f.contextKeyService,u.register(f),h.attachListStyler(f,d),f.onSelectionChange(function(){var e=f.getSelection();f.listMultiSelection.set(e.length>1),f.listDoubleSelection.set(2===e.length)})])),f.registerListeners(),f}return o(i,e),i.prototype.registerListeners=function(){var e=this;this.disposables.push(this.configurationService.onDidChangeConfiguration(function(n){n.affectsConfiguration(t.multiSelectModifierSettingKey)&&(e._useAltAsMultipleSelectionModifier=L(e.configurationService))}))},Object.defineProperty(i.prototype,"useAltAsMultipleSelectionModifier",{get:function(){return this._useAltAsMultipleSelectionModifier},enumerable:!0,configurable:!0}),i=u([d(4,s.IContextKeyService),d(5,t.IListService),d(6,p.IThemeService),d(7,g.IConfigurationService)],i)}(n.List)
;t.WorkbenchList=A;var F=function(e){function i(t,i,o,s,a,l,u,d){var p=e.call(this,t,i,o,c({keyboardSupport:!1,selectOnMouseDown:!0,styleController:new n.DefaultStyleController(I())},h.computeStyles(u.getTheme(),h.defaultListStyles),N(s,d)))||this;return p.configurationService=d,p.disposables=[],p.contextKeyService=E(a,p),p._useAltAsMultipleSelectionModifier=L(d),p.disposables.push(r.combinedDisposable([p.contextKeyService,l.register(p),h.attachListStyler(p,u)])),p.registerListeners(),p}return o(i,e),i.prototype.registerListeners=function(){var e=this;this.disposables.push(this.configurationService.onDidChangeConfiguration(function(n){n.affectsConfiguration(t.multiSelectModifierSettingKey)&&(e._useAltAsMultipleSelectionModifier=L(e.configurationService))}))},Object.defineProperty(i.prototype,"useAltAsMultipleSelectionModifier",{get:function(){return this._useAltAsMultipleSelectionModifier},enumerable:!0,configurable:!0}),i.prototype.dispose=function(){e.prototype.dispose.call(this),
this.disposables=r.dispose(this.disposables)},i=u([d(4,s.IContextKeyService),d(5,t.IListService),d(6,p.IThemeService),d(7,g.IConfigurationService)],i)}(a.PagedList);t.WorkbenchPagedList=F;var W=function(e){function n(n,i,o,r,s,a,l,u){var d=this,p=T(i,l),f=u.getValue(t.horizontalScrollingKey)?w.ScrollbarVisibility.Auto:w.ScrollbarVisibility.Hidden,g=c({horizontalScrollMode:f,keyboardSupport:!1},h.computeStyles(a.getTheme(),h.defaultListStyles),o);return d=e.call(this,n,p,g)||this,d.disposables=[],d.contextKeyService=E(r,d),d.listDoubleSelection=t.WorkbenchListDoubleSelection.bindTo(d.contextKeyService),d.listMultiSelection=t.WorkbenchListMultiSelection.bindTo(d.contextKeyService),d._openOnSingleClick=x(u),d._useAltAsMultipleSelectionModifier=L(u),d.disposables.push(d.contextKeyService,s.register(d),h.attachListStyler(d,a)),d.disposables.push(d.onDidChangeSelection(function(){var e=d.getSelection();d.listDoubleSelection.set(e&&2===e.length),d.listMultiSelection.set(e&&e.length>1)})),
d.disposables.push(u.onDidChangeConfiguration(function(e){e.affectsConfiguration(t.openModeSettingKey)&&(d._openOnSingleClick=x(u)),e.affectsConfiguration(t.multiSelectModifierSettingKey)&&(d._useAltAsMultipleSelectionModifier=L(u))})),d}return o(n,e),Object.defineProperty(n.prototype,"openOnSingleClick",{get:function(){return this._openOnSingleClick},enumerable:!0,configurable:!0}),Object.defineProperty(n.prototype,"useAltAsMultipleSelectionModifier",{get:function(){return this._useAltAsMultipleSelectionModifier},enumerable:!0,configurable:!0}),n.prototype.dispose=function(){e.prototype.dispose.call(this),this.disposables=r.dispose(this.disposables)},n=u([d(3,s.IContextKeyService),d(4,t.IListService),d(5,p.IThemeService),d(6,i.IInstantiationService),d(7,g.IConfigurationService)],n)}(l.Tree);t.WorkbenchTree=W;var B=function(e){function n(t,n){var i=e.call(this,function(e){return"boolean"!=typeof e.keyboardSupport&&(e.keyboardSupport=!1),
"number"!=typeof e.clickBehavior&&(e.clickBehavior=y.ClickBehavior.ON_MOUSE_DOWN),e}(t))||this;return i.configurationService=n,i.disposables=[],C.isUndefinedOrNull(t.openMode)&&(i.setOpenMode(i.getOpenModeSetting()),i.registerListeners()),i}return o(n,e),n.prototype.registerListeners=function(){var e=this;this.disposables.push(this.configurationService.onDidChangeConfiguration(function(n){n.affectsConfiguration(t.openModeSettingKey)&&e.setOpenMode(e.getOpenModeSetting())}))},n.prototype.getOpenModeSetting=function(){return x(this.configurationService)?y.OpenMode.SINGLE_CLICK:y.OpenMode.DOUBLE_CLICK},n.prototype.dispose=function(){this.disposables=r.dispose(this.disposables)},n=u([d(1,g.IConfigurationService)],n)}(y.DefaultController);t.WorkbenchTreeController=B;var V=function(e){function t(t,n){var i=e.call(this)||this;return i.tree=t,i.options=n,i._openResource=new b.Emitter,i.openResource=i._openResource.event,i.registerListeners(),i}return o(t,e),t.prototype.registerListeners=function(){var e=this
;this.options&&this.options.openOnFocus&&this._register(this.tree.onDidChangeFocus(function(t){return e.onFocus(t)})),this._register(this.tree.onDidChangeSelection(function(t){return e.onSelection(t)}))},t.prototype.onFocus=function(e){var t=e.payload,n=this.tree.getFocus();this.tree.setSelection([n],{fromFocus:!0});var i=t&&t.originalEvent,o=t&&"mouse"===t.origin,r=o&&i&&2===i.detail;(!o||this.tree.openOnSingleClick||r)&&this._openResource.fire({editorOptions:{preserveFocus:!0,pinned:!1,revealIfVisible:!0},sideBySide:!1,element:n,payload:t})},t.prototype.onSelection=function(e){var t=e.payload;if(!t||!t.fromFocus){var n=t&&t.originalEvent,i=t&&"mouse"===t.origin,o=i&&n&&2===n.detail;if(!i||this.tree.openOnSingleClick||o){o&&n&&n.preventDefault();var r=t&&"keyboard"===t.origin,s=n&&(n.ctrlKey||n.metaKey||n.altKey),a=!(r&&(!t||!t.preserveFocus)||o||t&&t.focusEditor);this._openResource.fire({editorOptions:{preserveFocus:a,pinned:o,revealIfVisible:!0},sideBySide:s,element:this.tree.getSelection()[0],payload:t})}
}},t}(r.Disposable);t.TreeResourceNavigator=V;v.Registry.as(_.Extensions.Configuration).registerConfiguration({id:"workbench",order:7,title:m.localize(0,null),type:"object",properties:(H={},H[t.multiSelectModifierSettingKey]={type:"string",enum:["ctrlCmd","alt"],enumDescriptions:[m.localize(1,null),m.localize(2,null)],default:"ctrlCmd",description:m.localize(3,null)},H[t.openModeSettingKey]={type:"string",enum:["singleClick","doubleClick"],enumDescriptions:[m.localize(4,null),m.localize(5,null)],default:"singleClick",description:m.localize(6,null)},H[t.horizontalScrollingKey]={type:"boolean",default:!1,description:m.localize(7,null)},H)});var H}),define(t[551],n([0,1,14,103,359,36,15,93]),function(e,t,n,i,o,r,s,a){"use strict";function l(e){return e&&"object"==typeof e&&"string"==typeof e.path&&(!e.name||"string"==typeof e.name)}function u(e){return e&&"object"==typeof e&&"string"==typeof e.uri&&(!e.name||"string"==typeof e.name)}function c(e){return"string"==typeof e}Object.defineProperty(t,"__esModule",{
value:!0}),t.IWorkspacesMainService=n.createDecorator("workspacesMainService"),t.IWorkspacesService=n.createDecorator("workspacesService"),t.WORKSPACE_EXTENSION="code-workspace",t.WORKSPACE_FILTER=[{name:o.localize(0,null),extensions:[t.WORKSPACE_EXTENSION]}],t.UNTITLED_WORKSPACE_NAME="workspace.json",t.isStoredWorkspaceFolder=function(e){return l(e)||u(e)},t.isRawFileWorkspaceFolder=l,t.isRawUriWorkspaceFolder=u,t.getWorkspaceLabel=function(e,n,l){if(c(e))return a.tildify(e,n.userHome);if(i.isParent(e.configPath,n.workspacesHome,!s.isLinux))return o.localize(1,null);var u=r.basename(e.configPath),d=u.substr(0,u.length-t.WORKSPACE_EXTENSION.length-1);return l&&l.verbose?o.localize(2,null,a.getPathLabel(r.join(r.dirname(e.configPath),d),null,n)):o.localize(3,null,d)},t.isSingleFolderWorkspaceIdentifier=c,t.isWorkspaceIdentifier=function(e){var t=e;return t&&"string"==typeof t.id&&"string"==typeof t.configPath}}),define(t[82],n([0,1,29,36,153,14,74,551,22,15]),function(e,t,n,i,o,r,s,a,l,u){"use strict"
;function c(e,t){var r=function(e,t){return e.map(function(e,o){var r;if(a.isRawFileWorkspaceFolder(e))r=function(e,t){if(e){if(i.isAbsolute(e))return n.default.file(e);if(t)return t.with({path:i.join(t.path,e)})}return null}(e.path,t);else if(a.isRawUriWorkspaceFolder(e))try{r=n.default.parse(e.uri)}catch(e){console.warn(e)}if(r)return new h({uri:r,name:e.name,index:o},e)})}(e,t);return function(e){return l.distinct(e,function(e){return u.isLinux?e.uri.toString():e.uri.toString().toLowerCase()})}(l.coalesce(r)).map(function(e,t){var n=e.uri,i=e.raw,r=e.name;return new h({uri:n,name:r||o.basenameOrAuthority(n),index:t},i)})}Object.defineProperty(t,"__esModule",{value:!0}),t.IWorkspaceContextService=r.createDecorator("contextService");!function(e){e[e.EMPTY=1]="EMPTY",e[e.FOLDER=2]="FOLDER",e[e.WORKSPACE=3]="WORKSPACE"}(t.WorkbenchState||(t.WorkbenchState={}));var d=function(){function e(e,t,n,i,o){void 0===t&&(t=""),void 0===n&&(n=[]),void 0===i&&(i=null),this._id=e,this._name=t,this._configuration=i,
this._ctime=o,this._foldersMap=s.TernarySearchTree.forPaths(),this.folders=n}return e.prototype.update=function(e){this._id=e.id,this._name=e.name,this._configuration=e.configuration,this._ctime=e.ctime,this.folders=e.folders},Object.defineProperty(e.prototype,"folders",{get:function(){return this._folders},set:function(e){this._folders=e,this.updateFoldersMap()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"id",{get:function(){return this._id},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ctime",{get:function(){return this._ctime},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"name",{get:function(){return this._name},set:function(e){this._name=e},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"configuration",{get:function(){return this._configuration},set:function(e){this._configuration=e},enumerable:!0,configurable:!0}),e.prototype.getFolder=function(e){return e?this._foldersMap.findSubstr(e.toString()):null},
e.prototype.updateFoldersMap=function(){this._foldersMap=s.TernarySearchTree.forPaths();for(var e=0,t=this.folders;e<t.length;e++){var n=t[e];this._foldersMap.set(n.uri.toString(),n)}},e.prototype.toJSON=function(){return{id:this.id,folders:this.folders,name:this.name,configuration:this.configuration}},e}();t.Workspace=d;var h=function(){function e(e,t){this.raw=t,this.uri=e.uri,this.index=e.index,this.name=e.name}return e.prototype.toResource=function(e){return this.uri.with({path:i.join(this.uri.path,e)})},e.prototype.toJSON=function(){return{uri:this.uri,name:this.name,index:this.index}},e}();t.WorkspaceFolder=h,t.toWorkspaceFolders=c}),define(t[205],n([0,1,336,12,93,4,2,68,9,8,27,49,10,106,524,156,14,82,3,31,143,145,121,58,23,16,109,116,29,28,147,19,84,387]),function(e,t,n,i,r,s,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N,I,T,D,M,k,O,R,P,A,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var W=function(){function e(e,t){var n=this;this._editor=e,this._model=t,this._decorations=new Map,
this._decorationIgnoreSet=new Set,this._callOnDispose=[],this._callOnModelChange=[],this._callOnDispose.push(this._editor.onDidChangeModel(function(){return n._onModelChanged()})),this._onModelChanged()}return e.prototype.dispose=function(){this._callOnModelChange=c.dispose(this._callOnModelChange),this._callOnDispose=c.dispose(this._callOnDispose),this.removeDecorations()},e.prototype._onModelChanged=function(){this._callOnModelChange=c.dispose(this._callOnModelChange);var e=this._editor.getModel();if(e)for(var t=0,n=this._model.groups;t<n.length;t++){var i=n[t];if(i.uri.toString()===e.uri.toString())return void this._addDecorations(i)}},e.prototype._addDecorations=function(t){var n=this;this._callOnModelChange.push(this._editor.getModel().onDidChangeDecorations(function(e){return n._onDecorationChanged()})),this._editor.changeDecorations(function(i){for(var o=[],r=[],s=0,a=t.children.length;s<a;s++){var l=t.children[s];n._decorationIgnoreSet.has(l.id)||(o.push({range:l.range,options:e.DecorationOptions}),
r.push(s))}for(var u=i.deltaDecorations([],o),s=0;s<u.length;s++)n._decorations.set(u[s],t.children[r[s]])})},e.prototype._onDecorationChanged=function(){var e=this,t=[];this._decorations.forEach(function(n,i){var o=e._editor.getModel().getDecorationRange(i);if(o){var r=!1;if(!w.Range.equalsRange(o,n.range)){if(w.Range.spansMultipleLines(o))r=!0;else{n.range.endColumn-n.range.startColumn!==o.endColumn-o.startColumn&&(r=!0)}r?(e._decorationIgnoreSet.add(n.id),t.push(i)):n.range=o}}}),this._editor.changeDecorations(function(n){for(var i=0,o=t.length;i<o;i++)e._decorations.delete(t[i]);n.deltaDecorations(t,[])})},e.prototype.removeDecorations=function(){var e=this;this._editor.changeDecorations(function(t){e._decorations.forEach(function(e,n){t.removeDecoration(n)}),e._decorations.clear()})},e.DecorationOptions=E.ModelDecorationOptions.register({stickiness:R.TrackedRangeStickiness.NeverGrowsWhenTypingAtEdges,className:"reference-decoration"}),e}(),B=function(){function e(e){this._textModelResolverService=e}
return e.prototype.getId=function(e,t){return t instanceof N.ReferencesModel?"root":t instanceof N.FileReferences?t.id:t instanceof N.OneReference?t.id:void 0},e.prototype.hasChildren=function(e,t){return t instanceof N.ReferencesModel||t instanceof N.FileReferences&&!t.failure},e.prototype.getChildren=function(e,t){return t instanceof N.ReferencesModel?f.TPromise.as(t.groups):t instanceof N.FileReferences?t.resolve(this._textModelResolverService).then(function(n){return t.failure?e.refresh(t).then(function(){return n.children}):n.children}):f.TPromise.as([])},e.prototype.getParent=function(e,t){var n=null;return t instanceof N.FileReferences?n=t.parent:t instanceof N.OneReference&&(n=t.parent),f.TPromise.as(n)},e=u([d(0,I.ITextModelService)],e)}(),V=function(e){function t(){var t=null!==e&&e.apply(this,arguments)||this;return t._onDidFocus=new s.Emitter,t.onDidFocus=t._onDidFocus.event,t._onDidSelect=new s.Emitter,t.onDidSelect=t._onDidSelect.event,t._onDidOpenToSide=new s.Emitter,
t.onDidOpenToSide=t._onDidOpenToSide.event,t}return o(t,e),t.prototype.onTap=function(t,n,i){if(n instanceof N.FileReferences)return i.preventDefault(),i.stopPropagation(),this._expandCollapse(t,n);var o=e.prototype.onTap.call(this,t,n,i);return this._onDidFocus.fire(n),o},t.prototype.onMouseDown=function(t,n,i){var o=2===i.detail;if(i.leftButton){if(n instanceof N.FileReferences&&(this.openOnSingleClick||o||this.isClickOnTwistie(i)))return i.preventDefault(),i.stopPropagation(),this._expandCollapse(t,n);var r=e.prototype.onClick.call(this,t,n,i);return(i.ctrlKey||i.metaKey||i.altKey)&&(o||this.openOnSingleClick)?this._onDidOpenToSide.fire(n):o?this._onDidSelect.fire(n):this.openOnSingleClick&&this._onDidFocus.fire(n),r}return!1},t.prototype.onClick=function(t,n,i){return!i.leftButton&&e.prototype.onClick.call(this,t,n,i)},t.prototype._expandCollapse=function(e,t){return e.isExpanded(t)?e.collapse(t).done(null,i.onUnexpectedError):e.expand(t).done(null,i.onUnexpectedError),!0},
t.prototype.onEscape=function(e,t){return!1},t.prototype.dispose=function(){this._onDidFocus.dispose(),this._onDidSelect.dispose(),this._onDidOpenToSide.dispose()},t}(P.WorkbenchTreeController),H=function(){function e(e,t,n,i){var o=this;this._contextService=t,this._environmentService=n;var r=document.createElement("div");v.addClass(r,"reference-file"),e.appendChild(r),this.file=new C.FileLabel(r,O.default.parse("no:file"),this._contextService,this._environmentService),this.badge=new y.CountBadge(m.$(".count").appendTo(r).getHTMLElement());var s=M.attachBadgeStyler(this.badge,i);this.dispose=function(){o.file.dispose(),s.dispose()}}return e.prototype.set=function(e){this.file.setFile(e.uri,this._contextService,this._environmentService);var t=e.children.length;this.badge.setCount(t),e.failure?this.badge.setTitleFormat(n.localize(0,null)):t>1?this.badge.setTitleFormat(n.localize(1,null,t)):this.badge.setTitleFormat(n.localize(2,null,t))},
e=u([d(1,S.IWorkspaceContextService),d(2,b.optional(k.IEnvironmentService)),d(3,D.IThemeService)],e)}(),z=function(){function e(e){var t=document.createElement("div");this.before=document.createElement("span"),this.inside=document.createElement("span"),this.after=document.createElement("span"),v.addClass(this.inside,"referenceMatch"),v.addClass(t,"reference"),t.appendChild(this.before),t.appendChild(this.inside),t.appendChild(this.after),e.appendChild(t)}return e.prototype.set=function(e){var t=e.parent.preview.preview(e.range),n=t.before,i=t.inside,o=t.after;this.before.innerHTML=p.escape(n),this.inside.innerHTML=p.escape(i),this.after.innerHTML=p.escape(o)},e}(),K=function(){function e(e,t,n){this._contextService=e,this._themeService=t,this._environmentService=n}return e.prototype.getHeight=function(e,t){return 23},e.prototype.getTemplateId=function(t,n){if(n instanceof N.FileReferences)return e._ids.FileReferences;if(n instanceof N.OneReference)return e._ids.OneReference;throw n},
e.prototype.renderTemplate=function(t,n,i){if(n===e._ids.FileReferences)return new H(i,this._contextService,this._environmentService,this._themeService);if(n===e._ids.OneReference)return new z(i);throw n},e.prototype.renderElement=function(e,t,n,i){if(t instanceof N.FileReferences)i.set(t);else{if(!(t instanceof N.OneReference))throw n;i.set(t)}},e.prototype.disposeTemplate=function(e,t,n){n instanceof H&&n.dispose()},e._ids={FileReferences:"FileReferences",OneReference:"OneReference"},e=u([d(0,S.IWorkspaceContextService),d(1,D.IThemeService),d(2,b.optional(k.IEnvironmentService))],e)}(),U=function(){function e(){}return e.prototype.getAriaLabel=function(e,t){return t instanceof N.FileReferences?t.getAriaMessage():t instanceof N.OneReference?t.getAriaMessage():void 0},e}(),j=function(){function e(e,t){var n=this;this._disposables=[],this._onDidChangePercentages=new s.Emitter,this._ratio=t,this._sash=new _.Sash(e,{getVerticalSashLeft:function(){return n._width*n._ratio},getVerticalSashHeight:function(){
return n._height}});var i;this._disposables.push(this._sash.onDidStart(function(e){i=e.startX-n._width*n.ratio})),this._disposables.push(this._sash.onDidChange(function(e){var t=e.currentX-i;t>20&&t+20<n._width&&(n._ratio=t/n._width,n._sash.layout(),n._onDidChangePercentages.fire(n))}))}return e.prototype.dispose=function(){this._sash.dispose(),this._onDidChangePercentages.dispose(),c.dispose(this._disposables)},Object.defineProperty(e.prototype,"onDidChangePercentages",{get:function(){return this._onDidChangePercentages.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"width",{set:function(e){this._width=e,this._sash.layout()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"height",{set:function(e){this._height=e,this._sash.layout()},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"percentages",{get:function(){var e=100*this._ratio;return[e+"%",100-e+"%"]},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"ratio",{get:function(){
return this._ratio},enumerable:!0,configurable:!0}),e}();t.ctxReferenceWidgetSearchTreeFocused=new A.RawContextKey("referenceSearchTreeFocused",!0);var q=function(e){function u(t,n,i,o,r,a,l,u){var c=e.call(this,t,{showFrame:!1,showArrow:!0,isResizeable:!0,isAccessible:!0})||this;return c._defaultTreeKeyboardSupport=n,c.layoutData=i,c._textModelResolverService=o,c._contextService=r,c._instantiationService=l,c._environmentService=u,c._disposeOnNewModel=[],c._callOnDispose=[],c._onDidSelectReference=new s.Emitter,c._applyTheme(a.getTheme()),c._callOnDispose.push(a.onThemeChange(c._applyTheme.bind(c))),c.create(),c}return o(u,e),u.prototype._applyTheme=function(e){var n=e.getColor(t.peekViewBorder)||g.Color.transparent;this.style({arrowColor:n,frameColor:n,headerBackgroundColor:e.getColor(t.peekViewTitleBackground)||g.Color.transparent,primaryHeadingColor:e.getColor(t.peekViewTitleForeground),secondaryHeadingColor:e.getColor(t.peekViewTitleInfoForeground)})},u.prototype.dispose=function(){this.setModel(null),
this._callOnDispose=c.dispose(this._callOnDispose),c.dispose(this._preview,this._previewNotAvailableMessage,this._tree,this._sash,this._previewModelReference),e.prototype.dispose.call(this)},Object.defineProperty(u.prototype,"onDidSelectReference",{get:function(){return this._onDidSelectReference.event},enumerable:!0,configurable:!0}),u.prototype.show=function(t){this.editor.revealRangeInCenterIfOutsideViewport(t,0),e.prototype.show.call(this,t,this.layoutData.heightInLines||18)},u.prototype.focus=function(){this._tree.domFocus()},u.prototype._onTitleClick=function(e){this._preview&&this._preview.getModel()&&this._onDidSelectReference.fire({element:this._getFocusedReference(),kind:e.ctrlKey||e.metaKey||e.altKey?"side":"open",source:"title"})},u.prototype._fillBody=function(e){var i=this,o=m.$(e);this.setCssClass("reference-zone-widget"),o.div({class:"messages"},function(e){i._messageContainer=e.hide()}),o.div({class:"preview inline"},function(e){
i._preview=i._instantiationService.createInstance(L.EmbeddedCodeEditorWidget,e.getHTMLElement(),{scrollBeyondLastLine:!1,scrollbar:{verticalScrollbarSize:14,horizontal:"auto",useShadows:!0,verticalHasArrows:!1,horizontalHasArrows:!1},overviewRulerLanes:2,fixedOverflowWidgets:!0,minimap:{enabled:!1}},i.editor),i._previewContainer=e.hide(),i._previewNotAvailableMessage=E.TextModel.createFromString(n.localize(3,null))}),this._sash=new j(e,this.layoutData.ratio||.8),this._sash.onDidChangePercentages(function(){var e=i._sash.percentages,t=e[0],n=e[1];i._previewContainer.style({width:t}),i._treeContainer.style({width:n}),i._preview.layout(),i._tree.layout(),i.layoutData.ratio=i._sash.ratio}),o.div({class:"ref-tree inline"},function(e){var o=i._instantiationService.createInstance(V,{keyboardSupport:i._defaultTreeKeyboardSupport,clickBehavior:F.ClickBehavior.ON_MOUSE_UP});i._callOnDispose.push(o);var r={dataSource:i._instantiationService.createInstance(B),renderer:i._instantiationService.createInstance(K),
controller:o,accessibilityProvider:new U},s={twistiePixels:20,ariaLabel:n.localize(4,null)};i._tree=i._instantiationService.createInstance(P.WorkbenchTree,e.getHTMLElement(),r,s),t.ctxReferenceWidgetSearchTreeFocused.bindTo(i._tree.contextKeyService);var a=function(e,t){e instanceof N.OneReference&&("show"===t&&i._revealReference(e,!1),i._onDidSelectReference.fire({element:e,kind:t,source:"tree"}))};i._disposables.push(i._tree.onDidChangeFocus(function(e){e&&e.payload&&"keyboard"===e.payload.origin&&a(e.focus,"show")})),i._disposables.push(i._tree.onDidChangeSelection(function(e){e&&e.payload&&"keyboard"===e.payload.origin&&a(e.selection[0],"goto")})),i._disposables.push(o.onDidFocus(function(e){return a(e,"show")})),i._disposables.push(o.onDidSelect(function(e){return a(e,"goto")})),i._disposables.push(o.onDidOpenToSide(function(e){return a(e,"side")})),i._treeContainer=e.hide()})},u.prototype._doLayoutBody=function(t,n){e.prototype._doLayoutBody.call(this,t,n);var i=t+"px";this._sash.height=t,
this._sash.width=n;var o=this._sash.percentages,r=o[0],s=o[1];this._previewContainer.style({height:i,width:r}),this._treeContainer.style({height:i,width:s}),this._tree.layout(t),this._preview.layout(),this.layoutData={heightInLines:this._viewZone.heightInLines,ratio:this._sash.ratio}},u.prototype._onWidth=function(e){this._sash.width=e,this._preview.layout()},u.prototype.setSelection=function(e){var t=this;return this._revealReference(e,!0).then(function(){t._tree.setSelection([e]),t._tree.setFocus(e)})},u.prototype.setModel=function(e){if(this._disposeOnNewModel=c.dispose(this._disposeOnNewModel),this._model=e,this._model)return this._onNewModel()},u.prototype._onNewModel=function(){var e=this;if(this._model.empty)return this.setTitle(""),this._messageContainer.innerHtml(n.localize(5,null)).show(),f.TPromise.as(void 0);this._messageContainer.hide(),this._decorationsManager=new W(this._preview,this._model),this._disposeOnNewModel.push(this._decorationsManager),
this._disposeOnNewModel.push(this._model.onDidChangeReferenceRange(function(t){return e._tree.refresh(t)})),this._disposeOnNewModel.push(this._preview.onMouseDown(function(t){var n=t.event,i=t.target;2===n.detail&&e._onDidSelectReference.fire({element:{uri:e._getFocusedReference().uri,range:i.range},kind:n.ctrlKey||n.metaKey||n.altKey?"side":"open",source:"editor"})})),v.addClass(this.container,"results-loaded"),this._treeContainer.show(),this._previewContainer.show(),this._preview.layout(),this._tree.layout(),this.focus();var t=1===this._model.groups.length?this._model.groups[0]:this._model;return this._tree.setInput(t)},u.prototype._getFocusedReference=function(){var e=this._tree.getFocus();return e instanceof N.OneReference?e:e instanceof N.FileReferences&&e.children.length>0?e.children[0]:void 0},u.prototype._revealReference=function(e,t){return a(this,void 0,f.TPromise,function(){var o,s=this;return l(this,function(a){switch(a.label){case 0:
return e.uri.scheme!==h.Schemas.inMemory?this.setTitle(e.name,r.getPathLabel(e.directory,this._contextService,this._environmentService)):this.setTitle(n.localize(6,null)),o=this._textModelResolverService.createModelReference(e.uri),t?[4,this._tree.reveal(e.parent)]:[3,2];case 1:a.sent(),a.label=2;case 2:return[2,f.TPromise.join([o,this._tree.reveal(e)]).then(function(t){var n=t[0];if(s._model){c.dispose(s._previewModelReference);var i=n.object;if(i){s._previewModelReference=n;var o=s._preview.getModel()===i.textEditorModel;s._preview.setModel(i.textEditorModel);var r=w.Range.lift(e.range).collapseToStart();s._preview.setSelection(r),s._preview.revealRangeInCenter(r,o?0:1)}else s._preview.setModel(s._previewNotAvailableMessage),n.dispose()}else n.dispose()},i.onUnexpectedError)]}})})},u}(x.PeekViewWidget);t.ReferenceWidget=q,t.peekViewTitleBackground=T.registerColor("peekViewTitle.background",{dark:"#1E1E1E",light:"#FFFFFF",hc:"#0C141F"},n.localize(7,null)),
t.peekViewTitleForeground=T.registerColor("peekViewTitleLabel.foreground",{dark:"#FFFFFF",light:"#333333",hc:"#FFFFFF"},n.localize(8,null)),t.peekViewTitleInfoForeground=T.registerColor("peekViewTitleDescription.foreground",{dark:"#ccccccb3",light:"#6c6c6cb3",hc:"#FFFFFF99"},n.localize(9,null)),t.peekViewBorder=T.registerColor("peekView.border",{dark:"#007acc",light:"#007acc",hc:T.contrastBorder},n.localize(10,null)),t.peekViewResultsBackground=T.registerColor("peekViewResult.background",{dark:"#252526",light:"#F3F3F3",hc:g.Color.black},n.localize(11,null)),t.peekViewResultsMatchForeground=T.registerColor("peekViewResult.lineForeground",{dark:"#bbbbbb",light:"#646465",hc:g.Color.white},n.localize(12,null)),t.peekViewResultsFileForeground=T.registerColor("peekViewResult.fileForeground",{dark:g.Color.white,light:"#1E1E1E",hc:g.Color.white},n.localize(13,null)),t.peekViewResultsSelectionBackground=T.registerColor("peekViewResult.selectionBackground",{dark:"#3399ff33",light:"#3399ff33",hc:null
},n.localize(14,null)),t.peekViewResultsSelectionForeground=T.registerColor("peekViewResult.selectionForeground",{dark:g.Color.white,light:"#6C6C6C",hc:g.Color.white},n.localize(15,null)),t.peekViewEditorBackground=T.registerColor("peekViewEditor.background",{dark:"#001F33",light:"#F2F8FC",hc:g.Color.black},n.localize(16,null)),t.peekViewEditorGutterBackground=T.registerColor("peekViewEditorGutter.background",{dark:t.peekViewEditorBackground,light:t.peekViewEditorBackground,hc:t.peekViewEditorBackground},n.localize(17,null)),t.peekViewResultsMatchHighlight=T.registerColor("peekViewResult.matchHighlightBackground",{dark:"#ea5c004d",light:"#ea5c004d",hc:null},n.localize(18,null)),t.peekViewEditorMatchHighlight=T.registerColor("peekViewEditor.matchHighlightBackground",{dark:"#ff8f0099",light:"#f5d802de",hc:null},n.localize(19,null)),D.registerThemingParticipant(function(e,n){var i=e.getColor(t.peekViewResultsMatchHighlight)
;i&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .referenceMatch { background-color: "+i+"; }");var o=e.getColor(t.peekViewEditorMatchHighlight);o&&n.addRule(".monaco-editor .reference-zone-widget .preview .reference-decoration { background-color: "+o+"; }");var r=e.getColor(T.activeContrastBorder);r&&(n.addRule(".monaco-editor .reference-zone-widget .ref-tree .referenceMatch { border: 1px dotted "+r+"; box-sizing: border-box; }"),n.addRule(".monaco-editor .reference-zone-widget .preview .reference-decoration { border: 2px solid "+r+"; box-sizing: border-box; }"));var s=e.getColor(t.peekViewResultsBackground);s&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree { background-color: "+s+"; }");var a=e.getColor(t.peekViewResultsMatchForeground);a&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree { color: "+a+"; }");var l=e.getColor(t.peekViewResultsFileForeground);l&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .reference-file { color: "+l+"; }")
;var u=e.getColor(t.peekViewResultsSelectionBackground);u&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .monaco-tree.focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { background-color: "+u+"; }");var c=e.getColor(t.peekViewResultsSelectionForeground);c&&n.addRule(".monaco-editor .reference-zone-widget .ref-tree .monaco-tree.focused .monaco-tree-rows > .monaco-tree-row.selected:not(.highlighted) { color: "+c+" !important; }");var d=e.getColor(t.peekViewEditorBackground);d&&n.addRule(".monaco-editor .reference-zone-widget .preview .monaco-editor .monaco-editor-background,.monaco-editor .reference-zone-widget .preview .monaco-editor .inputarea.ime-input {\tbackground-color: "+d+";}");var h=e.getColor(t.peekViewEditorGutterBackground);h&&n.addRule(".monaco-editor .reference-zone-widget .preview .monaco-editor .margin {\tbackground-color: "+h+";}")})}),define(t[149],n([0,1,333,12,2,53,14,19,54,82,66,205,3,58,16,13,116,40]),function(e,t,n,i,o,r,s,c,h,p,f,g,m,v,_,y,C,b){
"use strict";Object.defineProperty(t,"__esModule",{value:!0}),t.ctxReferenceSearchVisible=new c.RawContextKey("referenceSearchVisible",!1);var S=function(){function e(e,n,i,o,r,s,a,l,u,c,d,h){this._defaultTreeKeyboardSupport=e,this._editorService=o,this._textModelResolverService=r,this._notificationService=s,this._instantiationService=a,this._contextService=l,this._storageService=u,this._themeService=c,this._configurationService=d,this._environmentService=h,this._requestIdPool=0,this._disposables=[],this._ignoreModelChangeEvent=!1,this._editor=n,this._referenceSearchVisible=t.ctxReferenceSearchVisible.bindTo(i)}return e.get=function(t){return t.getContribution(e.ID)},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this._widget&&(this._widget.dispose(),this._widget=null),this._editor=null},e.prototype.toggleWidget=function(e,t,i){var o,r=this;if(this._widget&&(o=this._widget.position),this.closeWidget(),o&&e.containsPosition(o))return null;this._referenceSearchVisible.set(!0),
this._disposables.push(this._editor.onDidChangeModelLanguage(function(){r.closeWidget()})),this._disposables.push(this._editor.onDidChangeModel(function(){r._ignoreModelChangeEvent||r.closeWidget()}));var s=JSON.parse(this._storageService.get("peekViewLayout",void 0,"{}"));this._widget=new g.ReferenceWidget(this._editor,this._defaultTreeKeyboardSupport,s,this._textModelResolverService,this._contextService,this._themeService,this._instantiationService,this._environmentService),this._widget.setTitle(n.localize(0,null)),this._widget.show(e),this._disposables.push(this._widget.onDidClose(function(){t.cancel(),r._storageService.store("peekViewLayout",JSON.stringify(r._widget.layoutData)),r._widget=null,r.closeWidget()})),this._disposables.push(this._widget.onDidSelectReference(function(e){var t=e.element,n=e.kind;switch(n){case"open":if("editor"===e.source&&r._configurationService.getValue("editor.stablePeek"))break;case"side":r.openReference(t,"side"===n);break;case"goto":i.onGoto?i.onGoto(t):r._gotoReference(t)}
}));var a=++this._requestIdPool;t.then(function(t){if(a===r._requestIdPool&&r._widget)return r._model&&r._model.dispose(),r._model=t,r._widget.setModel(r._model).then(function(){r._widget.setMetaTitle(i.getMetaTitle(r._model));var t=r._editor.getModel().uri,n=new y.Position(e.startLineNumber,e.startColumn),o=r._model.nearestReference(t,n);if(o)return r._widget.setSelection(o)})},function(e){r._notificationService.error(e)})},e.prototype.goToNextOrPreviousReference=function(e){return a(this,void 0,void 0,function(){var t,n,i;return l(this,function(o){switch(o.label){case 0:return this._model?(t=this._model.nearestReference(this._editor.getModel().uri,this._widget.position),n=this._model.nextOrPreviousReference(t,e),i=this._editor.isFocused(),[4,this._widget.setSelection(n)]):[3,3];case 1:return o.sent(),[4,this._gotoReference(n)];case 2:o.sent(),i&&this._editor.focus(),o.label=3;case 3:return[2]}})})},e.prototype.closeWidget=function(){this._widget&&(this._widget.dispose(),this._widget=null),
this._referenceSearchVisible.reset(),this._disposables=o.dispose(this._disposables),this._model&&(this._model.dispose(),this._model=null),this._editor.focus(),this._requestIdPool+=1},e.prototype._gotoReference=function(e){var t=this;this._widget.hide(),this._ignoreModelChangeEvent=!0;var n=m.Range.lift(e.range).collapseToStart();return this._editorService.openEditor({resource:e.uri,options:{selection:n}}).then(function(e){t._ignoreModelChangeEvent=!1,e&&e.getControl()===t._editor?(t._widget.show(n),t._widget.focus()):t.closeWidget()},function(e){t._ignoreModelChangeEvent=!1,i.onUnexpectedError(e)})},e.prototype.openReference=function(e,t){var n=e.uri,i=e.range;this._editorService.openEditor({resource:n,options:{selection:i}},t),t||this.closeWidget()},e.ID="editor.contrib.referencesController",
e=u([d(2,c.IContextKeyService),d(3,r.IEditorService),d(4,v.ITextModelService),d(5,b.INotificationService),d(6,s.IInstantiationService),d(7,p.IWorkspaceContextService),d(8,f.IStorageService),d(9,_.IThemeService),d(10,h.IConfigurationService),d(11,s.optional(C.IEnvironmentService))],e)}();t.ReferencesController=S}),define(t[207],n([0,1,318,50,37,15,8,53,3,11,182,149,121,145,19,200,21,98,40]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var C=function(){return function(e,t,n,i){void 0===e&&(e=!1),void 0===t&&(t=!1),void 0===n&&(n=!0),void 0===i&&(i=!0),this.openToSide=e,this.openInPeek=t,this.filterCurrent=n,this.showMessage=i}}();t.DefinitionActionConfig=C;var b=function(e){function t(t,n){var i=e.call(this,n)||this;return i._configuration=t,i}return o(t,e),t.prototype.run=function(e,t){
var n=this,i=e.get(y.INotificationService),o=e.get(l.IEditorService),r=e.get(_.IProgressService),s=t.getModel(),a=t.getPosition(),c=this._getDeclarationsAtPosition(s,a).then(function(e){if(!s.isDisposed()&&t.getModel()===s){for(var i=-1,r=[],l=0;l<e.length;l++){var c=e[l];if(c&&c.range){var d=c.uri,h=c.range,f=r.push({uri:d,range:h});n._configuration.filterCurrent&&d.toString()===s.uri.toString()&&u.Range.containsPosition(h,a)&&-1===i&&(i=f-1)}}if(0===r.length){if(n._configuration.showMessage){var g=s.getWordAtPosition(a);m.MessageController.get(t).showMessage(n._getNoResultFoundMessage(g),a)}}else if(1===r.length&&-1!==i){var v=r[0];n._openReference(o,v,!1)}else n._onResult(o,t,new p.ReferencesModel(r))}},function(e){i.error(e)});return r.showWhile(c,250),c},t.prototype._getDeclarationsAtPosition=function(e,t){return d.getDefinitionsAtPosition(e,t)},t.prototype._getNoResultFoundMessage=function(e){return e&&e.word?n.localize(0,null,e.word):n.localize(1,null)},t.prototype._getMetaTitle=function(e){
return e.references.length>1&&n.localize(2,null,e.references.length)},t.prototype._onResult=function(e,t,n){var o=this,r=n.getAriaMessage();if(i.alert(r),this._configuration.openInPeek)this._openInPeek(e,t,n);else{var s=n.nearestReference(t.getModel().uri,t.getPosition());this._openReference(e,s,this._configuration.openToSide).then(function(t){t&&n.references.length>1?o._openInPeek(e,t,n):n.dispose()})}},t.prototype._openReference=function(e,t,n){var i=t.uri,o=t.range;return e.openEditor({resource:i,options:{selection:u.Range.collapseToStart(o),revealIfVisible:!0,revealInCenterIfOutsideViewport:!0}},n).then(function(e){return e&&e.getControl()})},t.prototype._openInPeek=function(e,t,n){var i=this,o=h.ReferencesController.get(t);o?o.toggleWidget(t.getSelection(),a.TPromise.as(n),{getMetaTitle:function(e){return i._getMetaTitle(e)},onGoto:function(t){return o.closeWidget(),i._openReference(e,t,!1)}}):n.dispose()},t}(c.EditorAction);t.DefinitionAction=b;var S=s.isWeb?2118:70,w=function(e){function t(){
return e.call(this,new C,{id:t.ID,label:n.localize(3,null),alias:"Go to Definition",precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasDefinitionProvider,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:S},menuOpts:{group:"navigation",order:1.1}})||this}return o(t,e),t.ID="editor.action.goToDeclaration",t}(b);t.GoToDefinitionAction=w;var E=function(e){function t(){return e.call(this,new C(!0),{id:t.ID,label:n.localize(4,null),alias:"Open Definition to the Side",precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasDefinitionProvider,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:r.KeyChord(2089,S)}})||this}return o(t,e),t.ID="editor.action.openDeclarationToTheSide",t}(b);t.OpenDefinitionToSideAction=E;var L=function(e){function t(){return e.call(this,new C(void 0,!0,!1),{id:"editor.action.previewDeclaration",label:n.localize(5,null),alias:"Peek Definition",
precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasDefinitionProvider,f.PeekContext.notInPeekEditor,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:582,linux:{primary:3140}},menuOpts:{group:"navigation",order:1.2}})||this}return o(t,e),t}(b);t.PeekDefinitionAction=L;var x=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._getDeclarationsAtPosition=function(e,t){return d.getImplementationsAtPosition(e,t)},t.prototype._getNoResultFoundMessage=function(e){return e&&e.word?n.localize(6,null,e.word):n.localize(7,null)},t.prototype._getMetaTitle=function(e){return e.references.length>1&&n.localize(8,null,e.references.length)},t}(b);t.ImplementationAction=x;var N=function(e){function t(){return e.call(this,new C,{id:t.ID,label:n.localize(9,null),alias:"Go to Implementation",
precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasImplementationProvider,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:2118}})||this}return o(t,e),t.ID="editor.action.goToImplementation",t}(x);t.GoToImplementationAction=N;var I=function(e){function t(){return e.call(this,new C(!1,!0,!1),{id:t.ID,label:n.localize(10,null),alias:"Peek Implementation",precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasImplementationProvider,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:3142}})||this}return o(t,e),t.ID="editor.action.peekImplementation",t}(x);t.PeekImplementationAction=I;var T=function(e){function t(){return null!==e&&e.apply(this,arguments)||this}return o(t,e),t.prototype._getDeclarationsAtPosition=function(e,t){return d.getTypeDefinitionsAtPosition(e,t)},t.prototype._getNoResultFoundMessage=function(e){return e&&e.word?n.localize(11,null,e.word):n.localize(12,null)},
t.prototype._getMetaTitle=function(e){return e.references.length>1&&n.localize(13,null,e.references.length)},t}(b);t.TypeDefinitionAction=T;var D=function(e){function t(){return e.call(this,new C,{id:t.ID,label:n.localize(14,null),alias:"Go to Type Definition",precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasTypeDefinitionProvider,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:0},menuOpts:{group:"navigation",order:1.4}})||this}return o(t,e),t.ID="editor.action.goToTypeDefinition",t}(T);t.GoToTypeDefintionAction=D;var M=function(e){function t(){return e.call(this,new C(!1,!0,!1),{id:t.ID,label:n.localize(15,null),alias:"Peek Type Definition",precondition:g.ContextKeyExpr.and(v.EditorContextKeys.hasTypeDefinitionProvider,v.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:v.EditorContextKeys.editorTextFocus,primary:0}})||this}return o(t,e),t.ID="editor.action.peekTypeDefinition",t}(T);t.PeekTypeDefinitionAction=M,
c.registerEditorAction(w),c.registerEditorAction(E),c.registerEditorAction(L),c.registerEditorAction(N),c.registerEditorAction(I),c.registerEditorAction(D),c.registerEditorAction(M)}),define(t[556],n([0,1,319,18,12,73,8,63,3,17,24,11,182,2,58,16,23,104,207,150,166]),function(e,t,n,i,o,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var S=function(){function e(e,t,n){var r=this;this.textModelResolverService=t,this.modeService=n,this.toUnhook=[],this.decorations=[],this.editor=e,this.throttler=new i.Throttler;var s=new b.ClickLinkGesture(e);this.toUnhook.push(s),this.toUnhook.push(s.onMouseMoveOrRelevantKeyDown(function(e){var t=e[0],n=e[1];r.startFindDefinition(t,n)})),this.toUnhook.push(s.onExecute(function(e){r.isEnabled(e)&&r.gotoDefinition(e.target,e.hasSideBySideModifier).done(function(){r.removeDecorations()},function(e){r.removeDecorations(),o.onUnexpectedError(e)})})),this.toUnhook.push(s.onCancel(function(){r.removeDecorations(),r.currentWordUnderMouse=null
}))}return e.prototype.startFindDefinition=function(t,i){var a=this;if(!this.isEnabled(t,i))return this.currentWordUnderMouse=null,void this.removeDecorations();var u=t.target.position,c=u?this.editor.getModel().getWordAtPosition(u):null;if(!c)return this.currentWordUnderMouse=null,void this.removeDecorations();if(!this.currentWordUnderMouse||this.currentWordUnderMouse.startColumn!==c.startColumn||this.currentWordUnderMouse.endColumn!==c.endColumn||this.currentWordUnderMouse.word!==c.word){this.currentWordUnderMouse=c;var d=new y.EditorState(this.editor,15);this.throttler.queue(function(){return d.validate(a.editor)?a.findDefinition(t.target):s.TPromise.wrap(null)}).then(function(t){if(t&&t.length&&d.validate(a.editor))if(t.length>1)a.addDecoration(new l.Range(u.lineNumber,c.startColumn,u.lineNumber,c.endColumn),(new r.MarkdownString).appendText(n.localize(0,null,t.length)));else{var i=t[0];if(!i.uri)return;a.textModelResolverService.createModelReference(i.uri).then(function(t){
if(t.object&&t.object.textEditorModel){var n=t.object.textEditorModel,o=i.range.startLineNumber;if(0!==n.getLineMaxColumn(o)){for(var s=n.getLineFirstNonWhitespaceColumn(o),d=Math.min(n.getLineCount(),o+e.MAX_SOURCE_PREVIEW_LINES),h=o+1,p=s;h<d;h++){var f=n.getLineFirstNonWhitespaceColumn(h);if(p=Math.min(p,f),s===f)break}var g=new l.Range(o,1,h+1,1),m=n.getValueInRange(g).replace(new RegExp("^\\s{"+(p-1)+"}","gm"),"").trim();a.addDecoration(new l.Range(u.lineNumber,c.startColumn,u.lineNumber,c.endColumn),(new r.MarkdownString).appendCodeblock(a.modeService.getModeIdByFilenameOrFirstLine(n.uri.fsPath),m)),t.dispose()}else t.dispose()}else t.dispose()})}else a.removeDecorations()}).done(void 0,o.onUnexpectedError)}},e.prototype.addDecoration=function(e,t){var n={range:e,options:{inlineClassName:"goto-definition-link",hoverMessage:t}};this.decorations=this.editor.deltaDecorations(this.decorations,[n])},e.prototype.removeDecorations=function(){
this.decorations.length>0&&(this.decorations=this.editor.deltaDecorations(this.decorations,[]))},e.prototype.isEnabled=function(e,t){return this.editor.getModel()&&e.isNoneOrSingleMouseDown&&e.target.type===h.MouseTargetType.CONTENT_TEXT&&(e.hasTriggerModifier||t&&t.keyCodeIsTriggerKey)&&c.DefinitionProviderRegistry.has(this.editor.getModel())},e.prototype.findDefinition=function(e){return this.editor.getModel()?f.getDefinitionsAtPosition(this.editor.getModel(),e.position):s.TPromise.as(null)},e.prototype.gotoDefinition=function(e,t){var n=this;this.editor.setPosition(e.position);var i=new C.DefinitionAction(new C.DefinitionActionConfig(t,!1,!0,!1),{alias:void 0,label:void 0,id:void 0,precondition:void 0});return this.editor.invokeWithinContext(function(e){return i.run(e,n.editor)})},e.prototype.getId=function(){return e.ID},e.prototype.dispose=function(){this.toUnhook=g.dispose(this.toUnhook)},e.ID="editor.contrib.gotodefinitionwithmouse",e.MAX_SOURCE_PREVIEW_LINES=8,
e=u([d(1,m.ITextModelService),d(2,a.IModeService)],e)}();p.registerEditorContribution(S),v.registerThemingParticipant(function(e,t){var n=e.getColor(_.editorActiveLinkForeground);n&&t.addRule(".monaco-editor .goto-definition-link { color: "+n+" !important; }")})}),define(t[557],n([0,1,332,29,8,53,33,19,44,13,3,11,17,145,149,121,18,12,21,143,24,147,205]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w,E,L){"use strict";function x(e,t){N(e,function(e){return e.closeWidget()})}function N(e,t){var n=m.getOuterEditor(e);if(n){var i=v.ReferencesController.get(n);i&&t(i)}}function I(e,t){var n=g.ReferenceProviderRegistry.ordered(e).map(function(n){return y.asWinJsPromise(function(i){return n.provideReferences(e,t,{includeDeclaration:!0},i)}).then(function(e){if(Array.isArray(e))return e},function(e){C.onUnexpectedExternalError(e)})});return r.TPromise.join(n).then(function(e){for(var t=[],n=0,i=e;n<i.length;n++){var o=i[n];o&&t.push.apply(t,o)}return t})}Object.defineProperty(t,"__esModule",{value:!0});var T={
getMetaTitle:function(e){return e.references.length>1&&n.localize(0,null,e.references.length)}},D=function(){function e(e,t){e instanceof S.EmbeddedCodeEditorWidget&&m.PeekContext.inPeekEditor.bindTo(t)}return e.prototype.dispose=function(){},e.prototype.getId=function(){return e.ID},e.ID="editor.contrib.referenceController",e=u([d(1,l.IContextKeyService)],e)}();t.ReferenceController=D;var M=function(e){function t(){return e.call(this,{id:"editor.action.referenceSearch.trigger",label:n.localize(1,null),alias:"Find All References",precondition:l.ContextKeyExpr.and(b.EditorContextKeys.hasReferenceProvider,m.PeekContext.notInPeekEditor,b.EditorContextKeys.isInEmbeddedEditor.toNegated()),kbOpts:{kbExpr:b.EditorContextKeys.editorTextFocus,primary:1094},menuOpts:{group:"navigation",order:1.5}})||this}return o(t,e),t.prototype.run=function(e,t){var n=v.ReferencesController.get(t);if(n){var i=t.getSelection(),o=I(t.getModel(),i.getStartPosition()).then(function(e){return new _.ReferencesModel(e)})
;n.toggleWidget(i,o,T)}},t}(f.EditorAction);t.ReferenceAction=M,f.registerEditorContribution(D),f.registerEditorAction(M);a.CommandsRegistry.registerCommand({id:"editor.action.findReferences",handler:function(e,t,n){if(!(t instanceof i.default))throw new Error("illegal argument, uri");if(!n)throw new Error("illegal argument, position");return e.get(s.IEditorService).openEditor({resource:t}).then(function(e){var t=e.getControl();if(w.isCodeEditor(t)){var i=v.ReferencesController.get(t);if(i){var o=I(t.getModel(),h.Position.lift(n)).then(function(e){return new _.ReferencesModel(e)}),s=new p.Range(n.lineNumber,n.column,n.lineNumber,n.column);return r.TPromise.as(i.toggleWidget(s,o,T))}}})}}),a.CommandsRegistry.registerCommand({id:"editor.action.showReferences",handler:function(e,t,n,o){if(!(t instanceof i.default))throw new Error("illegal argument, uri expected");return e.get(s.IEditorService).openEditor({resource:t}).then(function(e){var t=e.getControl();if(w.isCodeEditor(t)){var i=v.ReferencesController.get(t)
;if(i)return r.TPromise.as(i.toggleWidget(new p.Range(n.lineNumber,n.column,n.lineNumber,n.column),r.TPromise.as(new _.ReferencesModel(o)),T)).then(function(){return!0})}})},description:{description:"Show references at a position in a file",args:[{name:"uri",description:"The text document in which to show references",constraint:i.default},{name:"position",description:"The position at which to show",constraint:h.Position.isIPosition},{name:"locations",description:"An array of locations.",constraint:Array}]}}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToNextReference",weight:c.KeybindingsRegistry.WEIGHT.workbenchContrib(50),primary:62,when:v.ctxReferenceSearchVisible,handler:function(e){N(e,function(e){e.goToNextOrPreviousReference(!0)})}}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToNextReferenceFromEmbeddedEditor",weight:c.KeybindingsRegistry.WEIGHT.editorContrib(50),primary:62,when:m.PeekContext.inPeekEditor,handler:function(e){N(e,function(e){
e.goToNextOrPreviousReference(!0)})}}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToPreviousReference",weight:c.KeybindingsRegistry.WEIGHT.workbenchContrib(50),primary:1086,when:v.ctxReferenceSearchVisible,handler:function(e){N(e,function(e){e.goToNextOrPreviousReference(!1)})}}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"goToPreviousReferenceFromEmbeddedEditor",weight:c.KeybindingsRegistry.WEIGHT.editorContrib(50),primary:1086,when:m.PeekContext.inPeekEditor,handler:function(e){N(e,function(e){e.goToNextOrPreviousReference(!1)})}}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"closeReferenceSearch",weight:c.KeybindingsRegistry.WEIGHT.workbenchContrib(50),primary:9,secondary:[1033],when:l.ContextKeyExpr.and(v.ctxReferenceSearchVisible,l.ContextKeyExpr.not("config.editor.stablePeek")),handler:x}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"closeReferenceSearchEditor",weight:c.KeybindingsRegistry.WEIGHT.editorContrib(-101),primary:9,
secondary:[1033],when:l.ContextKeyExpr.and(m.PeekContext.inPeekEditor,l.ContextKeyExpr.not("config.editor.stablePeek")),handler:x}),c.KeybindingsRegistry.registerCommandAndKeybindingRule({id:"openReferenceToSide",weight:c.KeybindingsRegistry.WEIGHT.editorContrib(),primary:2051,mac:{primary:259},when:l.ContextKeyExpr.and(v.ctxReferenceSearchVisible,L.ctxReferenceWidgetSearchTreeFocused),handler:function(e,t){var n=e.get(E.IListService),i=n.lastFocusedList&&n.lastFocusedList.getFocus();i instanceof _.OneReference&&N(e,function(e){return e.openReference(i,!0)})}}),t.provideReferences=I,f.registerDefaultLanguageCommand("_executeReferenceProvider",I)}),define(t[558],n([0,1,135,194,142,152,516,453,454,455,518,181,459,460,461,462,199,463,465,207,556,526,528,529,468,530,532,534,472,557,537,474,185,539,186,540,479]),function(e,t){"use strict";Object.defineProperty(t,"__esModule",{value:!0})}),define(t[559],n([0,1,53,14,19,54,82,66,11,58,16,116,40,149]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m){"use strict"
;Object.defineProperty(t,"__esModule",{value:!0});var v=function(e){function t(t,n,i,o,r,s,a,l,u,c,d){return e.call(this,!0,t,n,i,o,r,s,a,l,u,c,d)||this}return o(t,e),t=u([d(1,r.IContextKeyService),d(2,n.IEditorService),d(3,h.ITextModelService),d(4,g.INotificationService),d(5,i.IInstantiationService),d(6,a.IWorkspaceContextService),d(7,l.IStorageService),d(8,p.IThemeService),d(9,s.IConfigurationService),d(10,i.optional(f.IEnvironmentService))],t)}(m.ReferencesController);t.StandaloneReferencesController=v,c.registerEditorContribution(v)}),define(t[125],n([0,1,68,96,29,8,33,420,424,161,48,82,24,4,441,2,10,59,44,411,37,423,15,40,13]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S,w,E,L){"use strict";function x(e){return e&&"object"==typeof e&&(!e.overrideIdentifier||"string"==typeof e.overrideIdentifier)&&(!e.resource||e.resource instanceof r.default)}Object.defineProperty(t,"__esModule",{value:!0});var N=function(){function e(e){this._widget=e}return e.prototype.getId=function(){return"editor"},
e.prototype.getControl=function(){return this._widget},e.prototype.focus=function(){this._widget.focus()},e.prototype.isVisible=function(){return!0},e.prototype.withTypedEditor=function(e,t){return p.isCodeEditor(this._widget)?e(this._widget):t(this._widget)},e}();t.SimpleEditor=N;var I=function(){function e(e){this.model=e,this._onDispose=new f.Emitter}return Object.defineProperty(e.prototype,"onDispose",{get:function(){return this._onDispose.event},enumerable:!0,configurable:!0}),e.prototype.load=function(){return s.TPromise.as(this)},Object.defineProperty(e.prototype,"textEditorModel",{get:function(){return this.model},enumerable:!0,configurable:!0}),e.prototype.dispose=function(){this._onDispose.fire()},e}();t.SimpleModel=I;var T=function(){function e(){this.openEditorDelegate=null}return e.prototype.setEditor=function(e){this.editor=new N(e)},e.prototype.setOpenEditorDelegate=function(e){this.openEditorDelegate=e},e.prototype.openEditor=function(e,t){var n=this
;return s.TPromise.as(this.editor.withTypedEditor(function(t){return n.doOpenEditor(t,e)},function(t){return n.doOpenEditor(t.getOriginalEditor(),e)||n.doOpenEditor(t.getModifiedEditor(),e)}))},e.prototype.doOpenEditor=function(e,t){if(!this.findModel(e,t)){if(t.resource){if(this.openEditorDelegate)return this.openEditorDelegate(t.resource.toString()),null;var i=t.resource.scheme;if(i===n.Schemas.http||i===n.Schemas.https)return v.windowOpenNoOpener(t.resource.toString()),this.editor}return null}var o=t.options.selection;if(o)if("number"==typeof o.endLineNumber&&"number"==typeof o.endColumn)e.setSelection(o),e.revealRangeInCenter(o,1);else{var r={lineNumber:o.startLineNumber,column:o.startColumn};e.setPosition(r),e.revealPositionInCenter(r,1)}return this.editor},e.prototype.findModel=function(e,t){var n=e.getModel();return n.uri.toString()!==t.resource.toString()?null:n},e}();t.SimpleEditorService=T;var D=function(){function e(){}return e.prototype.setEditor=function(e){this.editor=new N(e)},
e.prototype.createModelReference=function(e){var t,n=this;return(t=this.editor.withTypedEditor(function(t){return n.findModel(t,e)},function(t){return n.findModel(t.getOriginalEditor(),e)||n.findModel(t.getModifiedEditor(),e)}))?s.TPromise.as(new m.ImmortalReference(new I(t))):s.TPromise.as(new m.ImmortalReference(null))},e.prototype.registerTextModelContentProvider=function(e,t){return{dispose:function(){}}},e.prototype.findModel=function(e,t){var n=e.getModel();return n.uri.toString()!==t.toString()?null:n},e}();t.SimpleEditorModelResolverService=D;var M=function(){function e(){}return e.prototype.show=function(){return e.NULL_PROGRESS_RUNNER},e.prototype.showWhile=function(e,t){return null},e.NULL_PROGRESS_RUNNER={done:function(){},total:function(){},worked:function(){}},e}();t.SimpleProgressService=M;var k=function(){function e(){}return e.prototype.confirm=function(e){return this.doConfirm(e).then(function(e){return{confirmed:e,checkboxChecked:!1}})},e.prototype.doConfirm=function(e){var t=e.message
;return e.detail&&(t=t+"\n\n"+e.detail),s.TPromise.wrap(window.confirm(t))},e.prototype.show=function(e,t,n,i){return s.TPromise.as(0)},e}();t.SimpleDialogService=k;var O=function(){function e(){}return e.prototype.info=function(e){return this.notify({severity:i.default.Info,message:e})},e.prototype.warn=function(e){return this.notify({severity:i.default.Warning,message:e})},e.prototype.error=function(e){return this.notify({severity:i.default.Error,message:e})},e.prototype.notify=function(t){switch(t.severity){case i.default.Error:console.error(t.message);break;case i.default.Warning:console.warn(t.message);break;default:console.log(t.message)}return e.NO_OP},e.prototype.prompt=function(e,t,n){return s.TPromise.as(0)},e.NO_OP=new E.NoOpNotification,e}();t.SimpleNotificationService=O;var R=function(){function e(e){this._onWillExecuteCommand=new f.Emitter,this.onWillExecuteCommand=this._onWillExecuteCommand.event,this._instantiationService=e,this._dynamicCommands=Object.create(null)}
return e.prototype.addCommand=function(e){var t=this,n=e.id;return this._dynamicCommands[n]=e,{dispose:function(){delete t._dynamicCommands[n]}}},e.prototype.executeCommand=function(e){for(var t=[],n=1;n<arguments.length;n++)t[n-1]=arguments[n];var i=a.CommandsRegistry.getCommand(e)||this._dynamicCommands[e];if(!i)return s.TPromise.wrapError(new Error("command '"+e+"' not found"));try{this._onWillExecuteCommand.fire({commandId:e});var o=this._instantiationService.invokeFunction.apply(this._instantiationService,[i.handler].concat(t));return s.TPromise.as(o)}catch(e){return s.TPromise.wrapError(e)}},e}();t.StandaloneCommandService=R;var P=function(e){function t(t,n,i,o,r){var s=e.call(this,t,n,i,o)||this;return s._cachedResolver=null,s._dynamicKeybindings=[],s.toDispose.push(v.addDisposableListener(r,v.EventType.KEY_DOWN,function(e){var t=new _.StandardKeyboardEvent(e);s._dispatch(t,t.target)&&t.preventDefault()})),s}return o(t,e),t.prototype.addDynamicKeybinding=function(e,t,n,i){var o=this,r=[]
;this._dynamicKeybindings.push({keybinding:b.createKeybinding(t,w.OS),command:e,when:i,weight1:1e3,weight2:0}),r.push({dispose:function(){for(var t=0;t<o._dynamicKeybindings.length;t++){if(o._dynamicKeybindings[t].command===e)return o._dynamicKeybindings.splice(t,1),void o.updateResolver({source:d.KeybindingSource.Default})}}});var s=this._commandService;if(!(s instanceof R))throw new Error("Unknown command service!");return r.push(s.addCommand({id:e,handler:n})),this.updateResolver({source:d.KeybindingSource.Default}),m.combinedDisposable(r)},t.prototype.updateResolver=function(e){this._cachedResolver=null,this._onDidUpdateKeybindings.fire(e)},t.prototype._getResolver=function(){if(!this._cachedResolver){var e=this._toNormalizedKeybindingItems(y.KeybindingsRegistry.getDefaultKeybindings(),!0),t=this._toNormalizedKeybindingItems(this._dynamicKeybindings,!1);this._cachedResolver=new c.KeybindingResolver(e,t)}return this._cachedResolver},t.prototype._toNormalizedKeybindingItems=function(e,t){
for(var n=[],i=0,o=0,r=e.length;o<r;o++){var s=e[o],a=s.when?s.when.normalize():null,l=s.keybinding;if(l)for(var u=this.resolveKeybinding(l),c=0;c<u.length;c++)n[i++]=new S.ResolvedKeybindingItem(u[c],s.command,s.commandArgs,a,t);else n[i++]=new S.ResolvedKeybindingItem(null,s.command,s.commandArgs,a,t)}return n},t.prototype.resolveKeybinding=function(e){return[new u.USLayoutResolvedKeybinding(e,w.OS)]},t.prototype.resolveKeyboardEvent=function(e){var t=new b.SimpleKeybinding(e.ctrlKey,e.shiftKey,e.altKey,e.metaKey,e.keyCode);return new u.USLayoutResolvedKeybinding(t,w.OS)},t.prototype.resolveUserBinding=function(e){return[]},t}(l.AbstractKeybindingService);t.StandaloneKeybindingService=P;var A=function(){function e(){this._onDidChangeConfiguration=new f.Emitter,this.onDidChangeConfiguration=this._onDidChangeConfiguration.event,this._configuration=new g.Configuration(new g.DefaultConfigurationModel,new g.ConfigurationModel)}return e.prototype.configuration=function(){return this._configuration},
e.prototype.getValue=function(e,t){var n="string"==typeof e?e:void 0,i=x(e)?e:x(t)?t:{};return this.configuration().getValue(n,i,null)},e.prototype.updateValue=function(e,t,n,i){return s.TPromise.as(null)},e.prototype.inspect=function(e,t){return void 0===t&&(t={}),this.configuration().inspect(e,t,null)},e.prototype.keys=function(){return this.configuration().keys(null)},e.prototype.reloadConfiguration=function(){return s.TPromise.as(null)},e.prototype.getConfigurationData=function(){return null},e}();t.SimpleConfigurationService=A;var F=function(){function e(e){var t=this;this.configurationService=e,this._onDidChangeConfigurationEmitter=new f.Emitter,this.configurationService.onDidChangeConfiguration(function(e){t._onDidChangeConfigurationEmitter.fire(e)})}return e.prototype.getValue=function(e,t,n){var i=(L.Position.isIPosition(t)?t:null)?"string"==typeof n?n:void 0:"string"==typeof t?t:void 0;return this.configurationService.getValue(i)},e}();t.SimpleResourceConfigurationService=F;var W=function(){
function e(e){this._commandService=e}return e.prototype.createMenu=function(e,t){return new C.Menu(e,s.TPromise.as(!0),this._commandService,t)},e}();t.SimpleMenuService=W;var B=function(){function e(){this.isOptedIn=!1}return e.prototype.publicLog=function(e,t){return s.TPromise.wrap(null)},e.prototype.getTelemetryInfo=function(){return null},e}();t.StandaloneTelemetryService=B;var V=function(){function e(){this._onDidChangeWorkspaceName=new f.Emitter,this.onDidChangeWorkspaceName=this._onDidChangeWorkspaceName.event,this._onDidChangeWorkspaceFolders=new f.Emitter,this.onDidChangeWorkspaceFolders=this._onDidChangeWorkspaceFolders.event,this._onDidChangeWorkbenchState=new f.Emitter,this.onDidChangeWorkbenchState=this._onDidChangeWorkbenchState.event;var t=r.default.from({scheme:e.SCHEME,authority:"model",path:"/"});this.workspace={id:"4064f6ec-cb38-4ad0-af64-ee6467e63c82",folders:[new h.WorkspaceFolder({uri:t,name:"",index:0})],name:t.fsPath}}return e.prototype.getWorkspace=function(){return this.workspace},
e.prototype.getWorkbenchState=function(){return this.workspace?this.workspace.configuration?h.WorkbenchState.WORKSPACE:h.WorkbenchState.FOLDER:h.WorkbenchState.EMPTY},e.prototype.getWorkspaceFolder=function(t){return t&&t.scheme===e.SCHEME?this.workspace.folders[0]:void 0},e.prototype.isInsideWorkspace=function(t){return t&&t.scheme===e.SCHEME},e.prototype.isCurrentWorkspace=function(e){return!0},e}();t.SimpleWorkspaceContextService=V}),define(t[561],n([0,1,2,8,76,14,33,48,19,38,67,125,141,142,85,170,89,16,50,351,32,40]),function(e,t,n,i,r,s,a,l,c,h,p,f,g,m,v,_,y,C,b,S,w,E){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var L=0,x=!1,N=function(e){function t(t,n,i,o,r,s,a,l){var u=this;return n=n||{},n.ariaLabel=n.ariaLabel||S.localize(0,null),n.ariaLabel=n.ariaLabel+";"+(w.isIE?S.localize(1,null):S.localize(2,null)),u=e.call(this,t,n,i,o,r,s,l)||this,a instanceof f.StandaloneKeybindingService&&(u._standaloneKeybindingService=a),x||(x=!0,b.setARIAContainer(document.body)),u}return o(t,e),
t.prototype.addCommand=function(e,t,n){if(!this._standaloneKeybindingService)return console.warn("Cannot add command because the editor is configured with an unrecognized KeybindingService"),null;var i="DYNAMIC_"+ ++L,o=c.ContextKeyExpr.deserialize(n);return this._standaloneKeybindingService.addDynamicKeybinding(i,e,t,o),i},t.prototype.createContextKey=function(e,t){return this._contextKeyService.createKey(e,t)},t.prototype.addAction=function(e){var t=this;if("string"!=typeof e.id||"string"!=typeof e.label||"function"!=typeof e.run)throw new Error("Invalid action descriptor, `id`, `label` and `run` are required properties!");if(!this._standaloneKeybindingService)return console.warn("Cannot add keybinding because the editor is configured with an unrecognized KeybindingService"),n.empty
;var o=e.id,r=e.label,s=c.ContextKeyExpr.and(c.ContextKeyExpr.equals("editorId",this.getId()),c.ContextKeyExpr.deserialize(e.precondition)),l=e.keybindings,u=c.ContextKeyExpr.and(s,c.ContextKeyExpr.deserialize(e.keybindingContext)),d=e.contextMenuGroupId||null,h=e.contextMenuOrder||0,p=function(){var n=e.run(t);return n||i.TPromise.as(void 0)},f=[],g=this.getId()+":"+o;if(f.push(a.CommandsRegistry.registerCommand(g,p)),d){var m={command:{id:g,title:r},when:s,group:d,order:h};f.push(y.MenuRegistry.appendMenuItem(y.MenuId.EditorContext,m))}Array.isArray(l)&&(f=f.concat(l.map(function(e){return t._standaloneKeybindingService.addDynamicKeybinding(g,e,p,u)})));var v=new _.InternalEditorAction(g,r,r,s,p,this._contextKeyService);return this._actions[o]=v,f.push({dispose:function(){delete t._actions[o]}}),n.combinedDisposable(f)},t=u([d(2,s.IInstantiationService),d(3,h.ICodeEditorService),d(4,a.ICommandService),d(5,c.IContextKeyService),d(6,l.IKeybindingService),d(7,C.IThemeService)],t)}(g.CodeEditor)
;t.StandaloneCodeEditor=N;var I=function(e){function t(t,n,i,o,r,s,a,l,u,c){var d=this;"string"==typeof(n=n||{}).theme&&c.setTheme(n.theme);var h=n.model;if(delete n.model,d=e.call(this,t,n,o,r,s,a,l,c)||this,d._contextViewService=u,d._register(i),void 0===h?(h=self.monaco.editor.createModel(n.value||"",n.language||"text/plain"),d._ownsModel=!0):d._ownsModel=!1,d._attachModel(h),h){var p={oldModelUrl:null,newModelUrl:h.uri};d._onDidChangeModel.fire(p)}return d}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._attachModel=function(t){e.prototype._attachModel.call(this,t),this._view&&this._contextViewService.setContainer(this._view.domNode.domNode)},t.prototype._postDetachModelCleanup=function(t){e.prototype._postDetachModelCleanup.call(this,t),t&&this._ownsModel&&(t.dispose(),this._ownsModel=!1)},
t=u([d(3,s.IInstantiationService),d(4,h.ICodeEditorService),d(5,a.ICommandService),d(6,c.IContextKeyService),d(7,l.IKeybindingService),d(8,r.IContextViewService),d(9,v.IStandaloneThemeService)],t)}(N);t.StandaloneEditor=I;var T=function(e){function t(t,n,i,o,r,s,a,l,u,c,d){var h=this;return"string"==typeof(n=n||{}).theme&&(n.theme=c.setTheme(n.theme)),h=e.call(this,t,n,l,r,o,u,c,d)||this,h._contextViewService=a,h._register(i),h._contextViewService.setContainer(h._containerDomElement),h}return o(t,e),t.prototype.dispose=function(){e.prototype.dispose.call(this)},t.prototype._createInnerEditor=function(e,t,n){return e.createInstance(N,t,n)},t.prototype.getOriginalEditor=function(){return e.prototype.getOriginalEditor.call(this)},t.prototype.getModifiedEditor=function(){return e.prototype.getModifiedEditor.call(this)},t.prototype.addCommand=function(e,t,n){return this.getModifiedEditor().addCommand(e,t,n)},t.prototype.createContextKey=function(e,t){return this.getModifiedEditor().createContextKey(e,t)},
t.prototype.addAction=function(e){return this.getModifiedEditor().addAction(e)},t=u([d(3,s.IInstantiationService),d(4,c.IContextKeyService),d(5,l.IKeybindingService),d(6,r.IContextViewService),d(7,p.IEditorWorkerService),d(8,h.ICodeEditorService),d(9,v.IStandaloneThemeService),d(10,E.INotificationService)],t)}(m.DiffEditorWidget);t.StandaloneDiffEditor=T}),define(t[209],n([0,1,2,54,361,76,482,14,419,95,33,48,19,427,78,98,66,81,82,38,67,201,198,63,439,47,515,489,125,442,89,85,548,120,40,413,147]),function(e,t,n,i,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N,I,T,D,M,k,O,R,P,A,F){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var W;!function(e){function t(e,t){var n=new o(e,t);return r.push(n),n}var n=new c.ServiceCollection,o=function(){function e(e,t){this._serviceId=e,this._factory=t,this._value=null}return Object.defineProperty(e.prototype,"id",{get:function(){return this._serviceId},enumerable:!0,configurable:!0}),e.prototype.get=function(e){if(!this._value){
if(e&&(this._value=e[this._serviceId.toString()]),this._value||(this._value=this._factory(e)),!this._value)throw new Error("Service "+this._serviceId+" is missing!");n.set(this._serviceId,this._value)}return this._value},e}();e.LazyStaticService=o;var r=[];e.init=function(e){var t=new c.ServiceCollection;for(var n in e)e.hasOwnProperty(n)&&t.set(l.createDecorator(n),e[n]);r.forEach(function(n){return t.set(n.id,n.get(e))});var i=new u.InstantiationService(t,!0);return t.set(l.IInstantiationService,i),[t,i]},e.instantiationService=t(l.IInstantiationService,function(){return new u.InstantiationService(n,!0)});var s=new T.SimpleConfigurationService;e.configurationService=t(i.IConfigurationService,function(){return s}),e.resourceConfigurationService=t(w.ITextResourceConfigurationService,function(){return new T.SimpleResourceConfigurationService(s)}),e.contextService=t(y.IWorkspaceContextService,function(){return new T.SimpleWorkspaceContextService}),e.telemetryService=t(_.ITelemetryService,function(){
return new T.StandaloneTelemetryService}),e.dialogService=t(A.IDialogService,function(){return new T.SimpleDialogService}),e.notificationService=t(P.INotificationService,function(){return new T.SimpleNotificationService}),e.markerService=t(g.IMarkerService,function(){return new f.MarkerService}),e.modeService=t(E.IModeService,function(e){return new L.ModeServiceImpl}),e.modelService=t(x.IModelService,function(t){return new N.ModelServiceImpl(e.markerService.get(t),e.configurationService.get(t))}),e.editorWorkerService=t(b.IEditorWorkerService,function(t){return new S.EditorWorkerServiceImpl(e.modelService.get(t),e.resourceConfigurationService.get(t))}),e.standaloneThemeService=t(k.IStandaloneThemeService,function(){return new O.StandaloneThemeServiceImpl}),e.codeEditorService=t(C.ICodeEditorService,function(t){return new I.CodeEditorServiceImpl(e.standaloneThemeService.get(t))}),e.progressService=t(m.IProgressService,function(){return new T.SimpleProgressService}),
e.storageService=t(v.IStorageService,function(){return v.NullStorageService}),e.logService=t(R.ILogService,function(){return new R.NullLogService})}(W=t.StaticServices||(t.StaticServices={}));var B=function(e){function t(t,n){var o=e.call(this)||this,l=W.init(n),u=l[0],c=l[1];o._serviceCollection=u,o._instantiationService=c;var f=o.get(i.IConfigurationService),g=o.get(P.INotificationService),m=o.get(_.ITelemetryService),v=function(e,t){var i=null;return n&&(i=n[e.toString()]),i||(i=t()),o._serviceCollection.set(e,i),i},y=v(p.IContextKeyService,function(){return o._register(new D.ContextKeyService(f))});v(F.IListService,function(){return new F.ListService(y)});var C=v(d.ICommandService,function(){return new T.StandaloneCommandService(o._instantiationService)});v(h.IKeybindingService,function(){return o._register(new T.StandaloneKeybindingService(y,C,m,g,t))});var b=v(s.IContextViewService,function(){return o._register(new a.ContextViewService(t,m,new R.NullLogService))})
;return v(s.IContextMenuService,function(){return o._register(new r.ContextMenuService(t,m,g,b))}),v(M.IMenuService,function(){return new T.SimpleMenuService(C)}),o}return o(t,e),t.prototype.get=function(e){var t=this._serviceCollection.get(e);if(!t)throw new Error("Missing service "+e);return t},t.prototype.set=function(e,t){this._serviceCollection.set(e,t)},t.prototype.has=function(e){return this._serviceCollection.has(e)},t}(n.Disposable);t.DynamicStandaloneServices=B}),define(t[563],n([0,1,55,24,561,42,209,484,62,401,125,17,389,152,53,33,76,14,48,19,38,67,58,64,85,119,52,56,28,40,410]),function(e,t,n,i,o,r,s,a,l,u,c,d,h,p,f,g,m,v,_,y,C,b,S,w,E,L,x,N,I,T){"use strict";function D(e,t,n){var i=new s.DynamicStandaloneServices(e,t),o=null;i.has(f.IEditorService)||(o=new c.SimpleEditorService,i.set(f.IEditorService,o));var r=null;i.has(S.ITextModelService)||(r=new c.SimpleEditorModelResolverService,i.set(S.ITextModelService,r)),
i.has(l.IOpenerService)||i.set(l.IOpenerService,new a.OpenerService(i.get(f.IEditorService),i.get(g.ICommandService)));var u=n(i);return o&&o.setEditor(u),r&&r.setEditor(u),u}function M(e,t,n){return D(e,n,function(n){return new o.StandaloneEditor(e,t,n,n.get(v.IInstantiationService),n.get(C.ICodeEditorService),n.get(g.ICommandService),n.get(y.IContextKeyService),n.get(_.IKeybindingService),n.get(m.IContextViewService),n.get(E.IStandaloneThemeService))})}function k(e){return s.StaticServices.codeEditorService.get().onCodeEditorAdd(function(t){e(t)})}function O(e,t,n){return D(e,n,function(n){return new o.StandaloneDiffEditor(e,t,n,n.get(v.IInstantiationService),n.get(y.IContextKeyService),n.get(_.IKeybindingService),n.get(m.IContextViewService),n.get(b.IEditorWorkerService),n.get(C.ICodeEditorService),n.get(E.IStandaloneThemeService),n.get(T.INotificationService))})}function R(e,t){return new p.DiffNavigator(e,t)}function P(e,t,n){return s.StaticServices.modelService.get().createModel(e,t,n)}
function A(e,t,n){if(e=e||"",!t){var i=n?n.path:null,o=e.indexOf("\n"),r=e;return-1!==o&&(r=e.substring(0,o)),P(e,s.StaticServices.modeService.get().getOrCreateModeByFilenameOrFirstLine(i,r),n)}return P(e,s.StaticServices.modeService.get().getOrCreateMode(t),n)}function F(e,t){s.StaticServices.modelService.get().setMode(e,s.StaticServices.modeService.get().getOrCreateMode(t))}function W(e,t,n){e&&s.StaticServices.markerService.get().changeOne(t,e.uri,n)}function B(e){return s.StaticServices.markerService.get().read(e)}function V(e){return s.StaticServices.modelService.get().getModel(e)}function H(){return s.StaticServices.modelService.get().getModels()}function z(e){return s.StaticServices.modelService.get().onModelAdded(e)}function K(e){return s.StaticServices.modelService.get().onModelRemoved(e)}function U(e){return s.StaticServices.modelService.get().onModelModeChanged(function(t){e({model:t.model,oldLanguage:t.oldModeId})})}function j(e){return h.createWebWorker(s.StaticServices.modelService.get(),e)}
function q(e,t){return u.Colorizer.colorizeElement(s.StaticServices.standaloneThemeService.get(),s.StaticServices.modeService.get(),e,t)}function G(e,t,n){return u.Colorizer.colorize(s.StaticServices.modeService.get(),e,t,n)}function Y(e,t,n){return void 0===n&&(n=4),u.Colorizer.colorizeModelLine(e,t,n)}function Z(e,t){s.StaticServices.modeService.get().getOrCreateMode(t);for(var n=function(e){var t=d.TokenizationRegistry.get(e);return t||{getInitialState:function(){return w.NULL_STATE},tokenize:function(t,n,i){return w.nullTokenize(e,t,n,i)},tokenize2:void 0}}(t),i=e.split(/\r\n|\r|\n/),o=[],r=n.getInitialState(),a=0,l=i.length;a<l;a++){var u=i[a],c=n.tokenize(u,r,0);o[a]=c.tokens,r=c.endState}return o}function $(e,t){s.StaticServices.standaloneThemeService.get().defineTheme(e,t)}function X(e){s.StaticServices.standaloneThemeService.get().setTheme(e)}Object.defineProperty(t,"__esModule",{value:!0}),t.create=M,t.onDidCreateEditor=k,t.createDiffEditor=O,t.createDiffNavigator=R,t.createModel=A,
t.setModelLanguage=F,t.setModelMarkers=W,t.getModelMarkers=B,t.getModel=V,t.getModels=H,t.onDidCreateModel=z,t.onWillDisposeModel=K,t.onDidChangeModelLanguage=U,t.createWebWorker=j,t.colorizeElement=q,t.colorize=G,t.colorizeModelLine=Y,t.tokenize=Z,t.defineTheme=$,t.setTheme=X;var J;!function(e){e[e.Smooth=0]="Smooth",e[e.Immediate=1]="Immediate"}(J||(J={}));var Q;!function(e){e[e.Off=0]="Off",e[e.On=1]="On",e[e.Relative=2]="Relative",e[e.Interval=3]="Interval",e[e.Custom=4]="Custom"}(Q||(Q={})),t.createMonacoEditorAPI=function(){return{create:M,onDidCreateEditor:k,createDiffEditor:O,createDiffNavigator:R,createModel:A,setModelLanguage:F,setModelMarkers:W,getModelMarkers:B,getModels:H,getModel:V,onDidCreateModel:z,onWillDisposeModel:K,onDidChangeModelLanguage:U,createWebWorker:j,colorizeElement:q,colorize:G,colorizeModelLine:Y,tokenize:Z,defineTheme:$,setTheme:X,ScrollbarVisibility:r.ScrollbarVisibility,WrappingIndent:x.WrappingIndent,OverviewRulerLane:I.OverviewRulerLane,
EndOfLinePreference:I.EndOfLinePreference,DefaultEndOfLine:I.DefaultEndOfLine,EndOfLineSequence:I.EndOfLineSequence,TrackedRangeStickiness:I.TrackedRangeStickiness,CursorChangeReason:N.CursorChangeReason,MouseTargetType:i.MouseTargetType,TextEditorCursorStyle:x.TextEditorCursorStyle,TextEditorCursorBlinkingStyle:x.TextEditorCursorBlinkingStyle,ContentWidgetPositionPreference:i.ContentWidgetPositionPreference,OverlayWidgetPositionPreference:i.OverlayWidgetPositionPreference,RenderMinimap:x.RenderMinimap,ScrollType:J,RenderLineNumbersType:Q,InternalEditorOptions:x.InternalEditorOptions,BareFontInfo:L.BareFontInfo,FontInfo:L.FontInfo,TextModelResolvedOptions:I.TextModelResolvedOptions,FindMatch:I.FindMatch,EditorType:n.EditorType}}}),define(t[564],n([0,1,8,127,209,17,61,13,3,18,267,402,43,94]),function(e,t,n,i,o,r,s,a,l,u,c,d,h,p){"use strict";function f(e){i.ModesRegistry.registerLanguage(e)}function g(){var e=[];return e=e.concat(i.ModesRegistry.getLanguages())}function m(e,t){
var n=o.StaticServices.modeService.get().onDidCreateMode(function(i){i.getId()===e&&(n.dispose(),t())});return n}function v(e,t){var n=o.StaticServices.modeService.get().getLanguageIdentifier(e);if(!n)throw new Error("Cannot set configuration for unknown language "+e);return h.LanguageConfigurationRegistry.register(n,t)}function _(e,t){var n=o.StaticServices.modeService.get().getLanguageIdentifier(e);if(!n)throw new Error("Cannot set tokens provider for unknown language "+e);var i=new F(o.StaticServices.standaloneThemeService.get(),n,t);return r.TokenizationRegistry.register(e,i)}function y(e,t){var n=c.compile(e,t),i=d.createTokenizationSupport(o.StaticServices.modeService.get(),o.StaticServices.standaloneThemeService.get(),e,n);return r.TokenizationRegistry.register(e,i)}function C(e,t){return r.ReferenceProviderRegistry.register(e,t)}function b(e,t){return r.RenameProviderRegistry.register(e,t)}function S(e,t){return r.SignatureHelpProviderRegistry.register(e,t)}function w(e,t){
return r.HoverProviderRegistry.register(e,{provideHover:function(e,n,i){var o=e.getWordAtPosition(n);return u.toThenable(t.provideHover(e,n,i)).then(function(e){if(e)return!e.range&&o&&(e.range=new l.Range(n.lineNumber,o.startColumn,n.lineNumber,o.endColumn)),e.range||(e.range=new l.Range(n.lineNumber,n.column,n.lineNumber,n.column)),e})}})}function E(e,t){return r.DocumentSymbolProviderRegistry.register(e,t)}function L(e,t){return r.DocumentHighlightProviderRegistry.register(e,t)}function x(e,t){return r.DefinitionProviderRegistry.register(e,t)}function N(e,t){return r.ImplementationProviderRegistry.register(e,t)}function I(e,t){return r.TypeDefinitionProviderRegistry.register(e,t)}function T(e,t){return r.CodeLensProviderRegistry.register(e,t)}function D(e,t){return r.CodeActionProviderRegistry.register(e,{provideCodeActions:function(e,n,i,r){var s=o.StaticServices.markerService.get().read({resource:e.uri}).filter(function(e){return l.Range.areIntersectingOrTouching(e,n)});return t.provideCodeActions(e,n,{
markers:s,only:i.only},r)}})}function M(e,t){return r.DocumentFormattingEditProviderRegistry.register(e,t)}function k(e,t){return r.DocumentRangeFormattingEditProviderRegistry.register(e,t)}function O(e,t){return r.OnTypeFormattingEditProviderRegistry.register(e,t)}function R(e,t){return r.LinkProviderRegistry.register(e,t)}function P(e,t){var n=new B(t);return r.SuggestRegistry.register(e,{triggerCharacters:t.triggerCharacters,provideCompletionItems:function(e,t,i,o){return n.provideCompletionItems(e,t,i,o)},resolveCompletionItem:function(e,t,i,o){return n.resolveCompletionItem(e,t,i,o)}})}function A(e,t){return r.ColorProviderRegistry.register(e,t)}Object.defineProperty(t,"__esModule",{value:!0}),t.register=f,t.getLanguages=g,t.onLanguage=m,t.setLanguageConfiguration=v;var F=function(){function e(e,t,n){this._standaloneThemeService=e,this._languageIdentifier=t,this._actual=n}return e.prototype.getInitialState=function(){return this._actual.getInitialState()},e.prototype._toClassicTokens=function(e,t,n){
for(var i=[],o=0,r=0,s=e.length;r<s;r++){var a=e[r],l=a.startIndex;0===r?l=0:l<o&&(l=o),i[r]=new p.Token(l+n,a.scopes,t),o=l}return i},e.prototype.tokenize=function(e,t,n){var i,o=this._actual.tokenize(e,t),r=this._toClassicTokens(o.tokens,this._languageIdentifier.language,n);return i=o.endState.equals(t)?t:o.endState,new p.TokenizationResult(r,i)},e.prototype._toBinaryTokens=function(e,t){for(var n=this._languageIdentifier.id,i=this._standaloneThemeService.getTheme().tokenTheme,o=[],r=0,s=0,a=0,l=e.length;a<l;a++){var u=e[a],c=i.match(n,u.scopes);if(!(r>0&&o[r-1]===c)){var d=u.startIndex;0===a?d=0:d<s&&(d=s),o[r++]=d+t,o[r++]=c,s=d}}for(var h=new Uint32Array(r),a=0;a<r;a++)h[a]=o[a];return h},e.prototype.tokenize2=function(e,t,n){var i,o=this._actual.tokenize(e,t),r=this._toBinaryTokens(o.tokens,n);return i=o.endState.equals(t)?t:o.endState,new p.TokenizationResult2(r,i)},e}();t.TokenizationSupport2Adapter=F,t.setTokensProvider=_,t.setMonarchTokensProvider=y,t.registerReferenceProvider=C,
t.registerRenameProvider=b,t.registerSignatureHelpProvider=S,t.registerHoverProvider=w,t.registerDocumentSymbolProvider=E,t.registerDocumentHighlightProvider=L,t.registerDefinitionProvider=x,t.registerImplementationProvider=N,t.registerTypeDefinitionProvider=I,t.registerCodeLensProvider=T,t.registerCodeActionProvider=D,t.registerDocumentFormattingEditProvider=M,t.registerDocumentRangeFormattingEditProvider=k,t.registerOnTypeFormattingEditProvider=O,t.registerLinkProvider=R,t.registerCompletionItemProvider=P,t.registerColorProvider=A;var W;!function(e){e[e.Text=0]="Text",e[e.Method=1]="Method",e[e.Function=2]="Function",e[e.Constructor=3]="Constructor",e[e.Field=4]="Field",e[e.Variable=5]="Variable",e[e.Class=6]="Class",e[e.Interface=7]="Interface",e[e.Module=8]="Module",e[e.Property=9]="Property",e[e.Unit=10]="Unit",e[e.Value=11]="Value",e[e.Enum=12]="Enum",e[e.Keyword=13]="Keyword",e[e.Snippet=14]="Snippet",e[e.Color=15]="Color",e[e.File=16]="File",e[e.Reference=17]="Reference",e[e.Folder=18]="Folder"
}(W=t.CompletionItemKind||(t.CompletionItemKind={}));var B=function(){function e(e){this._provider=e}return e.from=function(e,t,n){var i={_actual:e,label:e.label,insertText:e.label,type:function(e){switch(e){case W.Method:return"method";case W.Function:return"function";case W.Constructor:return"constructor";case W.Field:return"field";case W.Variable:return"variable";case W.Class:return"class";case W.Interface:return"interface";case W.Module:return"module";case W.Property:return"property";case W.Unit:return"unit";case W.Value:return"value";case W.Enum:return"enum";case W.Keyword:return"keyword";case W.Snippet:return"snippet";case W.Text:return"text";case W.Color:return"color";case W.File:return"file";case W.Reference:return"reference";case W.Folder:return"folder"}return"property"}(e.kind),detail:e.detail,documentation:e.documentation,command:e.command,sortText:e.sortText,filterText:e.filterText,snippetType:"internal",additionalTextEdits:e.additionalTextEdits,commitCharacters:e.commitCharacters
},o=e.textEdit?e.textEdit.range:e.range;if(o){if(!(o.startLineNumber===o.endLineNumber)||o.startLineNumber!==t.lineNumber)return console.warn("INVALID range, must be single line and on the same line"),null;i.overwriteBefore=t.column-o.startColumn,i.overwriteAfter=o.endColumn-t.column}else i.overwriteBefore=t.column-n.column,i.overwriteAfter=0;return e.textEdit?i.insertText=e.textEdit.text:"object"==typeof e.insertText&&"string"==typeof e.insertText.value?(i.insertText=e.insertText.value,i.snippetType="textmate"):"string"==typeof e.insertText&&(i.insertText=e.insertText),i},e.prototype.provideCompletionItems=function(t,n,i,o){var r=this._provider.provideCompletionItems(t,n,o,i);return u.toThenable(r).then(function(i){var o={suggestions:[]},r=n,s=t.getWordUntilPosition(n);s&&(r=new a.Position(r.lineNumber,s.startColumn));var l;if(Array.isArray(i))l={items:i,isIncomplete:!1};else if("object"==typeof i&&Array.isArray(i.items))l=i,o.incomplete=l.isIncomplete;else{if(!i)return
;console.warn("INVALID result from completion provider. expected CompletionItem-array or CompletionList but got:",i)}for(var u=0;u<l.items.length;u++){var c=l.items[u],d=e.from(c,n,r);d&&o.suggestions.push(d)}return o})},e.prototype.resolveCompletionItem=function(t,i,o,r){if("function"!=typeof this._provider.resolveCompletionItem)return n.TPromise.as(o);var s=o._actual;return s?u.toThenable(this._provider.resolveCompletionItem(s,r)).then(function(n){var o=i,r=t.getWordUntilPosition(i);return r&&(o=new a.Position(o.lineNumber,r.startColumn)),e.from(n,i,o)}):n.TPromise.as(o)},e}();t.createMonacoLanguagesAPI=function(){return{register:f,getLanguages:g,onLanguage:m,setLanguageConfiguration:v,setTokensProvider:_,setMonarchTokensProvider:y,registerReferenceProvider:C,registerRenameProvider:b,registerCompletionItemProvider:P,registerSignatureHelpProvider:S,registerHoverProvider:w,registerDocumentSymbolProvider:E,registerDocumentHighlightProvider:L,registerDefinitionProvider:x,registerImplementationProvider:N,
registerTypeDefinitionProvider:I,registerCodeLensProvider:T,registerCodeActionProvider:D,registerDocumentFormattingEditProvider:M,registerDocumentRangeFormattingEditProvider:k,registerOnTypeFormattingEditProvider:O,registerLinkProvider:R,registerColorProvider:A,DocumentHighlightKind:r.DocumentHighlightKind,CompletionItemKind:W,SymbolKind:r.SymbolKind,IndentAction:s.IndentAction,SuggestTriggerKind:r.SuggestTriggerKind}}}),define(t[416],n([0,1,159,563,564,52,430]),function(e,t,n,i,o,r,s){"use strict";Object.defineProperty(t,"__esModule",{value:!0});var a=self;void 0===a.Promise&&(a.Promise=s.PolyfillPromise),r.EDITOR_DEFAULTS.wrappingIndent=r.WrappingIndent.None,r.EDITOR_DEFAULTS.viewInfo.glyphMargin=!1,r.EDITOR_DEFAULTS.autoIndent=!1;var l=n.createMonacoBaseAPI();l.editor=i.createMonacoEditorAPI(),l.languages=o.createMonacoLanguagesAPI(),t.CancellationTokenSource=l.CancellationTokenSource,t.Emitter=l.Emitter,t.KeyCode=l.KeyCode,t.KeyMod=l.KeyMod,t.Position=l.Position,t.Range=l.Range,t.Selection=l.Selection,
t.SelectionDirection=l.SelectionDirection,t.Severity=l.Severity,t.Promise=l.Promise,t.Uri=l.Uri,t.Token=l.Token,t.editor=l.editor,t.languages=l.languages,a.monaco=l,void 0!==a.require&&"function"==typeof a.require.config&&a.require.config({ignoreDuplicateModules:["vscode-languageserver-types","vscode-languageserver-types/main","vscode-nls","vscode-nls/vscode-nls","jsonc-parser","jsonc-parser/main","vscode-uri","vscode-uri/index"]})}),define(t[566],n([0,1,416,558,541,542,480,546,544,545,481,559]),function(e,t,n){"use strict";Object.defineProperty(t,"__esModule",{value:!0}),function(e){for(var n in e)t.hasOwnProperty(n)||(t[n]=e[n])}(n)})}).call(this);

/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-typescript version: 3.1.0(64641eebb2d0dca62499cc1b822970ea72efbfce)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-typescript/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/typescript/monaco.contribution",["require","exports","vs/editor/editor.api"],function(n,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t,i,r,o,a,s,c,p,u,l,g,d,S,f,m=monaco.Emitter,h=function(){function e(e,t){this._onDidChange=new m,this._extraLibs=Object.create(null),this._workerMaxIdleTime=12e4,this.setCompilerOptions(e),this.setDiagnosticsOptions(t)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),e.prototype.getExtraLibs=function(){var e=Object.create(null);for(var t in this._extraLibs)e[t]=this._extraLibs[t];return Object.freeze(e)},e.prototype.addExtraLib=function(e,t){var n=this;if(void 0===t&&(t="ts:extralib-"+Date.now()),this._extraLibs[t])throw new Error(t+" already a extra lib");return this._extraLibs[t]=e,this._onDidChange.fire(this),{dispose:function(){delete n._extraLibs[t]&&n._onDidChange.fire(n)}}},e.prototype.getCompilerOptions=function(){return this._compilerOptions},e.prototype.setCompilerOptions=function(e){this._compilerOptions=e||Object.create(null),this._onDidChange.fire(this)},e.prototype.getDiagnosticsOptions=function(){return this._diagnosticsOptions},e.prototype.setDiagnosticsOptions=function(e){this._diagnosticsOptions=e||Object.create(null),this._onDidChange.fire(this)},e.prototype.setMaximumWorkerIdleTime=function(e){this._workerMaxIdleTime=e},e.prototype.getWorkerMaxIdleTime=function(){return this._workerMaxIdleTime},e.prototype.setEagerModelSync=function(e){this._eagerModelSync=e},e.prototype.getEagerModelSync=function(){return this._eagerModelSync},e}();e.LanguageServiceDefaultsImpl=h,(i=t||(t={}))[i.None=0]="None",i[i.CommonJS=1]="CommonJS",i[i.AMD=2]="AMD",i[i.UMD=3]="UMD",i[i.System=4]="System",i[i.ES2015=5]="ES2015",(o=r||(r={}))[o.None=0]="None",o[o.Preserve=1]="Preserve",o[o.React=2]="React",(s=a||(a={}))[s.CarriageReturnLineFeed=0]="CarriageReturnLineFeed",s[s.LineFeed=1]="LineFeed",(p=c||(c={}))[p.Unknown=0]="Unknown",p[p.JS=1]="JS",p[p.JSX=2]="JSX",p[p.TS=3]="TS",p[p.TSX=4]="TSX",(l=u||(u={}))[l.ES3=0]="ES3",l[l.ES5=1]="ES5",l[l.ES2015=2]="ES2015",l[l.ES2016=3]="ES2016",l[l.ES2017=4]="ES2017",l[l.ESNext=5]="ESNext",l[l.Latest=5]="Latest",(d=g||(g={}))[d.Standard=0]="Standard",d[d.JSX=1]="JSX",(f=S||(S={}))[f.Classic=1]="Classic",f[f.NodeJs=2]="NodeJs";var y=new h({allowNonTsExtensions:!0,target:u.Latest},{noSemanticValidation:!1,noSyntaxValidation:!1}),x=new h({allowNonTsExtensions:!0,allowJs:!0,target:u.Latest},{noSemanticValidation:!0,noSyntaxValidation:!1});function E(){return b().then(function(e){return e.getTypeScriptWorker()})}function _(){return b().then(function(e){return e.getJavaScriptWorker()})}function b(){return monaco.Promise.wrap(new Promise(function(e,t){n(["./tsMode"],e,t)}))}monaco.languages.typescript={ModuleKind:t,JsxEmit:r,NewLineKind:a,ScriptTarget:u,ModuleResolutionKind:S,typescriptDefaults:y,javascriptDefaults:x,getTypeScriptWorker:E,getJavaScriptWorker:_},monaco.languages.register({id:"typescript",extensions:[".ts",".tsx"],aliases:["TypeScript","ts","typescript"],mimetypes:["text/typescript"]}),monaco.languages.onLanguage("typescript",function(){return b().then(function(e){return e.setupTypeScript(y)})}),monaco.languages.register({id:"javascript",extensions:[".js",".es6",".jsx"],firstLine:"^#!.*\\bnode",filenames:["jakefile"],aliases:["JavaScript","javascript","js"],mimetypes:["text/javascript"]}),monaco.languages.onLanguage("javascript",function(){return b().then(function(e){return e.setupJavaScript(x)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-css version: 2.1.0(008a5a9f98f5e9afcaa1bbb40407ed2fd2d97b83)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-css/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/css/monaco.contribution",["require","exports","vs/editor/editor.api"],function(o,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var t=monaco.Emitter,n=function(){function e(e,n){this._onDidChange=new t,this._languageId=e,this.setDiagnosticsOptions(n)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"diagnosticsOptions",{get:function(){return this._diagnosticsOptions},enumerable:!0,configurable:!0}),e.prototype.setDiagnosticsOptions=function(e){this._diagnosticsOptions=e||Object.create(null),this._onDidChange.fire(this)},e}(),i={validate:!0,lint:{compatibleVendorPrefixes:"ignore",vendorPrefix:"warning",duplicateProperties:"warning",emptyRules:"warning",importStatement:"ignore",boxModel:"ignore",universalSelector:"ignore",zeroUnits:"ignore",fontFaceProperties:"warning",hexColorLength:"error",argumentsInColorFunction:"error",unknownProperties:"warning",ieHack:"ignore",unknownVendorSpecificProperties:"ignore",propertyIgnoredDueToDisplay:"warning",important:"ignore",float:"ignore",idSelector:"ignore"}},r=new(e.LanguageServiceDefaultsImpl=n)("css",i),s=new n("scss",i),a=new n("less",i);function u(){return monaco.Promise.wrap(new Promise(function(e,n){o(["./cssMode"],e,n)}))}monaco.languages.css={cssDefaults:r,lessDefaults:a,scssDefaults:s},monaco.languages.onLanguage("less",function(){u().then(function(e){return e.setupMode(a)})}),monaco.languages.onLanguage("scss",function(){u().then(function(e){return e.setupMode(s)})}),monaco.languages.onLanguage("css",function(){u().then(function(e){return e.setupMode(r)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-json version: 2.1.0(427abfc518aba22b38705f2484e3b50662ea3166)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-json/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/json/monaco.contribution",["require","exports","vs/editor/editor.api"],function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var o=monaco.Emitter,n=function(){function e(e,n){this._onDidChange=new o,this._languageId=e,this.setDiagnosticsOptions(n)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"diagnosticsOptions",{get:function(){return this._diagnosticsOptions},enumerable:!0,configurable:!0}),e.prototype.setDiagnosticsOptions=function(e){this._diagnosticsOptions=e||Object.create(null),this._onDidChange.fire(this)},e}(),i=new(e.LanguageServiceDefaultsImpl=n)("json",{validate:!0,allowComments:!0,schemas:[]});monaco.languages.json={jsonDefaults:i},monaco.languages.register({id:"json",extensions:[".json",".bowerrc",".jshintrc",".jscsrc",".eslintrc",".babelrc"],aliases:["JSON","json"],mimetypes:["application/json"]}),monaco.languages.onLanguage("json",function(){monaco.Promise.wrap(new Promise(function(e,n){t(["./jsonMode"],e,n)})).then(function(e){return e.setupMode(i)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-html version: 2.1.0(3e40e40b22629289e2e1719f987e8ce964ecde46)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-html/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/language/html/monaco.contribution",["require","exports","vs/editor/editor.api"],function(t,e){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var o=monaco.Emitter,n=function(){function e(e,n){this._onDidChange=new o,this._languageId=e,this.setOptions(n)}return Object.defineProperty(e.prototype,"onDidChange",{get:function(){return this._onDidChange.event},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"languageId",{get:function(){return this._languageId},enumerable:!0,configurable:!0}),Object.defineProperty(e.prototype,"options",{get:function(){return this._options},enumerable:!0,configurable:!0}),e.prototype.setOptions=function(e){this._options=e||Object.create(null),this._onDidChange.fire(this)},e}(),a={tabSize:4,insertSpaces:!1,wrapLineLength:120,unformatted:'default": "a, abbr, acronym, b, bdo, big, br, button, cite, code, dfn, em, i, img, input, kbd, label, map, object, q, samp, select, small, span, strong, sub, sup, textarea, tt, var',contentUnformatted:"pre",indentInnerHtml:!1,preserveNewLines:!0,maxPreserveNewLines:null,indentHandlebars:!1,endWithNewline:!1,extraLiners:"head, body, /html",wrapAttributes:"auto"},r={format:a,suggest:{html5:!0}},i={format:a,suggest:{html5:!0,razor:!0}},u="html",s="handlebars",l="razor",g=new(e.LanguageServiceDefaultsImpl=n)(u,{format:a,suggest:{html5:!0,angular1:!0,ionic:!0}}),c=new n(s,r),m=new n(l,i);function f(){return monaco.Promise.wrap(new Promise(function(e,n){t(["./htmlMode"],e,n)}))}monaco.languages.html={htmlDefaults:g,razorDefaults:m,handlebarDefaults:c},monaco.languages.onLanguage(u,function(){f().then(function(e){return e.setupMode(g)})}),monaco.languages.onLanguage(s,function(){f().then(function(e){return e.setupMode(c)})}),monaco.languages.onLanguage(l,function(){f().then(function(e){return e.setupMode(m)})})});
/*!-----------------------------------------------------------------------------
 * Copyright (c) Microsoft Corporation. All rights reserved.
 * monaco-languages version: 1.2.0(6f34b63e4006c357717a7639a1c6f0ea3cf68333)
 * Released under the MIT license
 * https://github.com/Microsoft/monaco-languages/blob/master/LICENSE.md
 *-----------------------------------------------------------------------------*/
define("vs/basic-languages/_.contribution",["require","exports","vs/editor/editor.api"],function(e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0});var o="undefined"==typeof monaco?self.monaco:monaco,i={};var t={};function s(e){var n;return t[e]||(t[e]=(0,i[n=e].loader)().then(function(e){o.languages.setMonarchTokensProvider(n,e.language),o.languages.setLanguageConfiguration(n,e.conf)})),t[e]}n.loadLanguage=s,n.registerLanguage=function(e){var n=e.id;i[n]=e,o.languages.register(e),o.languages.onLanguage(n,function(){s(n)})}}),define("vs/basic-languages/bat/bat.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"bat",extensions:[".bat",".cmd"],aliases:["Batch","bat"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./bat"],e,n)}))}})}),define("vs/basic-languages/coffee/coffee.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"coffeescript",extensions:[".coffee"],aliases:["CoffeeScript","coffeescript","coffee"],mimetypes:["text/x-coffeescript","text/coffeescript"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./coffee"],e,n)}))}})}),define("vs/basic-languages/cpp/cpp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"c",extensions:[".c",".h"],aliases:["C","c"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./cpp"],e,n)}))}}),n.registerLanguage({id:"cpp",extensions:[".cpp",".cc",".cxx",".hpp",".hh",".hxx"],aliases:["C++","Cpp","cpp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./cpp"],e,n)}))}})}),define("vs/basic-languages/csharp/csharp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"csharp",extensions:[".cs",".csx"],aliases:["C#","csharp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./csharp"],e,n)}))}})}),define("vs/basic-languages/csp/csp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"csp",extensions:[],aliases:["CSP","csp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./csp"],e,n)}))}})}),define("vs/basic-languages/css/css.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"css",extensions:[".css"],aliases:["CSS","css"],mimetypes:["text/css"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./css"],e,n)}))}})}),define("vs/basic-languages/dockerfile/dockerfile.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"dockerfile",extensions:[".dockerfile"],filenames:["Dockerfile"],aliases:["Dockerfile"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./dockerfile"],e,n)}))}})}),define("vs/basic-languages/fsharp/fsharp.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"fsharp",extensions:[".fs",".fsi",".ml",".mli",".fsx",".fsscript"],aliases:["F#","FSharp","fsharp"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./fsharp"],e,n)}))}})}),define("vs/basic-languages/go/go.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"go",extensions:[".go"],aliases:["Go"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./go"],e,n)}))}})}),define("vs/basic-languages/handlebars/handlebars.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"handlebars",extensions:[".handlebars",".hbs"],aliases:["Handlebars","handlebars"],mimetypes:["text/x-handlebars-template"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./handlebars"],e,n)}))}})}),define("vs/basic-languages/html/html.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"html",extensions:[".html",".htm",".shtml",".xhtml",".mdoc",".jsp",".asp",".aspx",".jshtm"],aliases:["HTML","htm","html","xhtml"],mimetypes:["text/html","text/x-jshtm","text/template","text/ng-template"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./html"],e,n)}))}})}),define("vs/basic-languages/ini/ini.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"ini",extensions:[".ini",".properties",".gitconfig"],filenames:["config",".gitattributes",".gitconfig",".editorconfig"],aliases:["Ini","ini"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./ini"],e,n)}))}})}),define("vs/basic-languages/java/java.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"java",extensions:[".java",".jav"],aliases:["Java","java"],mimetypes:["text/x-java-source","text/x-java"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./java"],e,n)}))}})}),define("vs/basic-languages/less/less.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"less",extensions:[".less"],aliases:["Less","less"],mimetypes:["text/x-less","text/less"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./less"],e,n)}))}})}),define("vs/basic-languages/lua/lua.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"lua",extensions:[".lua"],aliases:["Lua","lua"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./lua"],e,n)}))}})}),define("vs/basic-languages/markdown/markdown.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"markdown",extensions:[".md",".markdown",".mdown",".mkdn",".mkd",".mdwn",".mdtxt",".mdtext"],aliases:["Markdown","markdown"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./markdown"],e,n)}))}})}),define("vs/basic-languages/msdax/msdax.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"msdax",extensions:[".dax",".msdax"],aliases:["DAX","MSDAX"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./msdax"],e,n)}))}})}),define("vs/basic-languages/mysql/mysql.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"mysql",extensions:[],aliases:["MySQL","mysql"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./mysql"],e,n)}))}})}),define("vs/basic-languages/objective-c/objective-c.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"objective-c",extensions:[".m"],aliases:["Objective-C"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./objective-c"],e,n)}))}})}),define("vs/basic-languages/pgsql/pgsql.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"pgsql",extensions:[],aliases:["PostgreSQL","postgres","pg","postgre"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./pgsql"],e,n)}))}})}),define("vs/basic-languages/php/php.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"php",extensions:[".php",".php4",".php5",".phtml",".ctp"],aliases:["PHP","php"],mimetypes:["application/x-php"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./php"],e,n)}))}})}),define("vs/basic-languages/postiats/postiats.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"postiats",extensions:[".dats",".sats",".hats"],aliases:["ATS","ATS/Postiats"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./postiats"],e,n)}))}})}),define("vs/basic-languages/powershell/powershell.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"powershell",extensions:[".ps1",".psm1",".psd1"],aliases:["PowerShell","powershell","ps","ps1"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./powershell"],e,n)}))}})}),define("vs/basic-languages/pug/pug.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"pug",extensions:[".jade",".pug"],aliases:["Pug","Jade","jade"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./pug"],e,n)}))}})}),define("vs/basic-languages/python/python.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"python",extensions:[".py",".rpy",".pyw",".cpy",".gyp",".gypi"],aliases:["Python","py"],firstLine:"^#!/.*\\bpython[0-9.-]*\\b",loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./python"],e,n)}))}})}),define("vs/basic-languages/r/r.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"r",extensions:[".r",".rhistory",".rprofile",".rt"],aliases:["R","r"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./r"],e,n)}))}})}),define("vs/basic-languages/razor/razor.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"razor",extensions:[".cshtml"],aliases:["Razor","razor"],mimetypes:["text/x-cshtml"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./razor"],e,n)}))}})}),define("vs/basic-languages/redis/redis.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"redis",extensions:[".redis"],aliases:["redis"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./redis"],e,n)}))}})}),define("vs/basic-languages/redshift/redshift.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"redshift",extensions:[],aliases:["Redshift","redshift"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./redshift"],e,n)}))}})}),define("vs/basic-languages/ruby/ruby.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"ruby",extensions:[".rb",".rbx",".rjs",".gemspec",".pp"],filenames:["rakefile"],aliases:["Ruby","rb"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./ruby"],e,n)}))}})}),define("vs/basic-languages/rust/rust.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"rust",extensions:[".rs",".rlib"],aliases:["Rust","rust"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./rust"],e,n)}))}})}),define("vs/basic-languages/sb/sb.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"sb",extensions:[".sb"],aliases:["Small Basic","sb"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./sb"],e,n)}))}})}),define("vs/basic-languages/scss/scss.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"scss",extensions:[".scss"],aliases:["Sass","sass","scss"],mimetypes:["text/x-scss","text/scss"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./scss"],e,n)}))}})}),define("vs/basic-languages/solidity/solidity.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"sol",extensions:[".sol"],aliases:["sol","solidity","Solidity"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./solidity"],e,n)}))}})}),define("vs/basic-languages/sql/sql.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"sql",extensions:[".sql"],aliases:["SQL"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./sql"],e,n)}))}})}),define("vs/basic-languages/swift/swift.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"swift",aliases:["Swift","swift"],extensions:[".swift"],mimetypes:["text/swift"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./swift"],e,n)}))}})}),define("vs/basic-languages/vb/vb.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"vb",extensions:[".vb"],aliases:["Visual Basic","vb"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./vb"],e,n)}))}})}),define("vs/basic-languages/xml/xml.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"xml",extensions:[".xml",".dtd",".ascx",".csproj",".config",".wxi",".wxl",".wxs",".xaml",".svg",".svgz"],firstLine:"(\\<\\?xml.*)|(\\<svg)|(\\<\\!doctype\\s+svg)",aliases:["XML","xml"],mimetypes:["text/xml","application/xml","application/xaml+xml","application/xml-dtd"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./xml"],e,n)}))}})}),define("vs/basic-languages/yaml/yaml.contribution",["require","exports","../_.contribution"],function(o,e,n){"use strict";Object.defineProperty(e,"__esModule",{value:!0});var i="undefined"==typeof monaco?self.monaco:monaco;n.registerLanguage({id:"yaml",extensions:[".yaml",".yml"],aliases:["YAML","yaml","YML","yml"],mimetypes:["application/x-yaml"],loader:function(){return i.Promise.wrap(new Promise(function(e,n){o(["./yaml"],e,n)}))}})}),define("vs/basic-languages/monaco.contribution",["require","exports","./bat/bat.contribution","./coffee/coffee.contribution","./cpp/cpp.contribution","./csharp/csharp.contribution","./csp/csp.contribution","./css/css.contribution","./dockerfile/dockerfile.contribution","./fsharp/fsharp.contribution","./go/go.contribution","./handlebars/handlebars.contribution","./html/html.contribution","./ini/ini.contribution","./java/java.contribution","./less/less.contribution","./lua/lua.contribution","./markdown/markdown.contribution","./msdax/msdax.contribution","./mysql/mysql.contribution","./objective-c/objective-c.contribution","./pgsql/pgsql.contribution","./php/php.contribution","./postiats/postiats.contribution","./powershell/powershell.contribution","./pug/pug.contribution","./python/python.contribution","./r/r.contribution","./razor/razor.contribution","./redis/redis.contribution","./redshift/redshift.contribution","./ruby/ruby.contribution","./rust/rust.contribution","./sb/sb.contribution","./scss/scss.contribution","./solidity/solidity.contribution","./sql/sql.contribution","./swift/swift.contribution","./vb/vb.contribution","./xml/xml.contribution","./yaml/yaml.contribution","vs/editor/editor.api"],function(e,n){"use strict";Object.defineProperty(n,"__esModule",{value:!0})});
define("vs/editor/editor.main", ["vs/editor/edcore.main","vs/language/typescript/monaco.contribution","vs/language/css/monaco.contribution","vs/language/json/monaco.contribution","vs/language/html/monaco.contribution","vs/basic-languages/monaco.contribution"], function() {});
//# sourceMappingURL=../../../min-maps/vs/editor/editor.main.js.map